!*****************************************************************************
!                   Time-stamp: <2015-04-10 17:44:41 sander>
!      Author: Rolf Sander, Max-Planck Institute Mainz, Germany 1996-2014
!*****************************************************************************

! This program is free software; you can redistribute it and/or
! modify it under the terms of the GNU General Public License
! as published by the Free Software Foundation; either version 2
! of the License, or (at your option) any later version.
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! You should have received a copy of the GNU General Public License
! along with this program; if not, get it from:
! http://www.gnu.org/copyleft/gpl.html

!*****************************************************************************

PROGRAM Henry

  USE henry_util,   ONLY: Initialize, PrintGeneralNotes, &
                          SpeciesGroup, Species,         &
                          Middle, Finalize
  USE henry_ref0500 ! references 0001-0500
  USE henry_ref1000 ! references 0501-1000
  USE henry_ref1500 ! references 1001-1500
  USE henry_ref2000 ! references 1501-2000
  USE henry_ref2500 ! references 2001-2500
  USE henry_ref3000 ! references 2501-3000
  USE henry_ref3500 ! references 3001-3500
  IMPLICIT NONE

  !---------------------------------------------------------------------------

  CALL Initialize
  CALL PrintGeneralNotes

  !---------------------------------------------------------------------------

  ! go through individual references (ref....), convert their data to the
  ! SI unit [mol m-3 Pa-1], and store the results in the array henry_data:
  CALL CleanUp ; CALL ref_thiswork
  ! (2015)
  CALL CleanUp ; CALL ref3088
  CALL CleanUp ; CALL ref3111
  ! (2014)
  CALL CleanUp ; CALL ref3006
  CALL CleanUp ; CALL ref3022
  CALL CleanUp ; CALL ref3024
  CALL CleanUp ; CALL ref3025
  CALL CleanUp ; CALL ref3032
  CALL CleanUp ; CALL ref3034
  CALL CleanUp ; CALL ref3064
  CALL CleanUp ; CALL ref3067
  CALL CleanUp ; CALL ref3093
  CALL CleanUp ; CALL ref3094
  ! (2013)
  CALL CleanUp ; CALL ref2891
  CALL CleanUp ; CALL ref2921
  CALL CleanUp ; CALL ref2926
  CALL CleanUp ; CALL ref2939
  CALL CleanUp ; CALL ref2987
  CALL CleanUp ; CALL ref2999
  CALL CleanUp ; CALL ref3007
  CALL CleanUp ; CALL ref3008
  CALL CleanUp ; CALL ref3009
  CALL CleanUp ; CALL ref3033
  CALL CleanUp ; CALL ref3089
  CALL CleanUp ; CALL ref3010
  ! (2012)
  CALL CleanUp ; CALL ref2824
  CALL CleanUp ; CALL ref2828
  CALL CleanUp ; CALL ref2927
  CALL CleanUp ; CALL ref2990
  CALL CleanUp ; CALL ref3014
  CALL CleanUp ; CALL ref3015
  CALL CleanUp ; CALL ref3087
  CALL CleanUp ; CALL ref3096
  CALL CleanUp ; CALL ref3098
  CALL CleanUp ; CALL ref3117
  ! (2011)
  CALL CleanUp ; CALL ref2626
  CALL CleanUp ; CALL ref2805
  CALL CleanUp ; CALL ref2817
  CALL CleanUp ; CALL ref2823
  CALL CleanUp ; CALL ref2986
  CALL CleanUp ; CALL ref2991
  CALL CleanUp ; CALL ref3013
  ! (2010)
  CALL CleanUp ; CALL ref2822
  CALL CleanUp ; CALL ref2827
  CALL CleanUp ; CALL ref2982
  CALL CleanUp ; CALL ref2989
  CALL CleanUp ; CALL ref2994
  CALL CleanUp ; CALL ref2995
  CALL CleanUp ; CALL ref3097
  ! (2009)
  CALL CleanUp ; CALL ref2401
  CALL CleanUp ; CALL ref2563
  CALL CleanUp ; CALL ref2821
  CALL CleanUp ; CALL ref2826
  CALL CleanUp ; CALL ref2645
  CALL CleanUp ; CALL ref3134
  ! (2008)
  CALL CleanUp ; CALL ref2360
  CALL CleanUp ; CALL ref2521
  CALL CleanUp ; CALL ref2571
  CALL CleanUp ; CALL ref2577
  CALL CleanUp ; CALL ref2601
  CALL CleanUp ; CALL ref2815
  CALL CleanUp ; CALL ref2816
  CALL CleanUp ; CALL ref2820
  CALL CleanUp ; CALL ref2925
  CALL CleanUp ; CALL ref2955
  CALL CleanUp ; CALL ref2970
  CALL CleanUp ; CALL ref3116
  CALL CleanUp ; CALL ref3135
  ! (2007)
  CALL CleanUp ; CALL ref1855
  CALL CleanUp ; CALL ref2183
  CALL CleanUp ; CALL ref2371
  CALL CleanUp ; CALL ref2406
  CALL CleanUp ; CALL ref2524
  CALL CleanUp ; CALL ref2526
  CALL CleanUp ; CALL ref2566
  CALL CleanUp ; CALL ref2580
  CALL CleanUp ; CALL ref2597
  CALL CleanUp ; CALL ref2600
  CALL CleanUp ; CALL ref2630
  CALL CleanUp ; CALL ref2804
  CALL CleanUp ; CALL ref2829
  CALL CleanUp ; CALL ref2932
  CALL CleanUp ; CALL ref2954
  CALL CleanUp ; CALL ref2997
  CALL CleanUp ; CALL ref3115
  CALL CleanUp ; CALL ref3118
  ! (2006)
  CALL CleanUp ; CALL ref1831
  CALL CleanUp ; CALL ref1945
  CALL CleanUp ; CALL ref2122
  CALL CleanUp ; CALL ref2123
  CALL CleanUp ; CALL ref2492
  CALL CleanUp ; CALL ref2564
  CALL CleanUp ; CALL ref2565
  CALL CleanUp ; CALL ref2599
  CALL CleanUp ; CALL ref2611_2614
  CALL CleanUp ; CALL ref2814
  CALL CleanUp ; CALL ref2819
  CALL CleanUp ; CALL ref2992
  CALL CleanUp ; CALL ref2993
  CALL CleanUp ; CALL ref3065
  CALL CleanUp ; CALL ref3112
  ! (2005)
  CALL CleanUp ; CALL ref1571
  CALL CleanUp ; CALL ref1917
  CALL CleanUp ; CALL ref1929
  CALL CleanUp ; CALL ref1936
  CALL CleanUp ; CALL ref1937
  CALL CleanUp ; CALL ref2124
  CALL CleanUp ; CALL ref2125
  CALL CleanUp ; CALL ref2169
  CALL CleanUp ; CALL ref2212
  CALL CleanUp ; CALL ref2285
  CALL CleanUp ; CALL ref2321
  CALL CleanUp ; CALL ref2447
  CALL CleanUp ; CALL ref2468
  CALL CleanUp ; CALL ref2496
  CALL CleanUp ; CALL ref2598
  CALL CleanUp ; CALL ref2629
  CALL CleanUp ; CALL ref2802
  CALL CleanUp ; CALL ref2825
  CALL CleanUp ; CALL ref2915
  CALL CleanUp ; CALL ref2948
  ! (2004)
  CALL CleanUp ; CALL ref1658
  CALL CleanUp ; CALL ref1721
  CALL CleanUp ; CALL ref1932
  CALL CleanUp ; CALL ref1942
  CALL CleanUp ; CALL ref2469
  CALL CleanUp ; CALL ref2483
  CALL CleanUp ; CALL ref2488
  CALL CleanUp ; CALL ref2489
  CALL CleanUp ; CALL ref2554
  CALL CleanUp ; CALL ref2646
  CALL CleanUp ; CALL ref2647
  CALL CleanUp ; CALL ref2803
  CALL CleanUp ; CALL ref2818
  CALL CleanUp ; CALL ref2913
  CALL CleanUp ; CALL ref2936
  CALL CleanUp ; CALL ref2965
  CALL CleanUp ; CALL ref2978
  CALL CleanUp ; CALL ref2996
  CALL CleanUp ; CALL ref3129
  ! (2003)
  CALL CleanUp ; CALL ref1773
  CALL CleanUp ; CALL ref1856
  CALL CleanUp ; CALL ref1922
  CALL CleanUp ; CALL ref1923
  CALL CleanUp ; CALL ref1931
  CALL CleanUp ; CALL ref1940
  CALL CleanUp ; CALL ref1943
  CALL CleanUp ; CALL ref2105
  CALL CleanUp ; CALL ref2216
  CALL CleanUp ; CALL ref2432
  CALL CleanUp ; CALL ref2438
  CALL CleanUp ; CALL ref2536
  CALL CleanUp ; CALL ref2540
  CALL CleanUp ; CALL ref2808
  CALL CleanUp ; CALL ref2897
  CALL CleanUp ; CALL ref2899
  CALL CleanUp ; CALL ref2923
  ! (2002)
  CALL CleanUp ; CALL ref1513
  CALL CleanUp ; CALL ref1776
  CALL CleanUp ; CALL ref1935
  CALL CleanUp ; CALL ref2472
  CALL CleanUp ; CALL ref2487
  CALL CleanUp ; CALL ref2494
  CALL CleanUp ; CALL ref2497
  CALL CleanUp ; CALL ref2940
  CALL CleanUp ; CALL ref2949
  CALL CleanUp ; CALL ref2953
  CALL CleanUp ; CALL ref2963
  ! (2001)
  CALL CleanUp ; CALL ref1323
  CALL CleanUp ; CALL ref1514
  CALL CleanUp ; CALL ref1516
  CALL CleanUp ; CALL ref1524
  CALL CleanUp ; CALL ref1525
  CALL CleanUp ; CALL ref1930
  CALL CleanUp ; CALL ref2512
  CALL CleanUp ; CALL ref2522
  CALL CleanUp ; CALL ref2532
  CALL CleanUp ; CALL ref2610
  CALL CleanUp ; CALL ref2969
  CALL CleanUp ; CALL ref3081
  CALL CleanUp ; CALL ref3132
  ! (2000)
  CALL CleanUp ; CALL ref1026
  CALL CleanUp ; CALL ref1217
  CALL CleanUp ; CALL ref1442
  CALL CleanUp ; CALL ref1502
  CALL CleanUp ; CALL ref1573
  CALL CleanUp ; CALL ref1574
  CALL CleanUp ; CALL ref1928
  CALL CleanUp ; CALL ref2165
  CALL CleanUp ; CALL ref2338
  CALL CleanUp ; CALL ref2340
  CALL CleanUp ; CALL ref2837
  CALL CleanUp ; CALL ref2896
  CALL CleanUp ; CALL ref2910
  CALL CleanUp ; CALL ref2929
  CALL CleanUp ; CALL ref2957
  CALL CleanUp ; CALL ref2961
  CALL CleanUp ; CALL ref3073
  ! (1999)
  CALL CleanUp ; CALL ref1004
  CALL CleanUp ; CALL ref1018
  CALL CleanUp ; CALL ref1038
  CALL CleanUp ; CALL ref1096
  CALL CleanUp ; CALL ref1107
  CALL CleanUp ; CALL ref1143
  CALL CleanUp ; CALL ref1182
  CALL CleanUp ; CALL ref1195
  CALL CleanUp ; CALL ref1257
  CALL CleanUp ; CALL ref1996
  CALL CleanUp ; CALL ref2440
  CALL CleanUp ; CALL ref2462
  CALL CleanUp ; CALL ref2477
  CALL CleanUp ; CALL ref2914
  CALL CleanUp ; CALL ref2935
  CALL CleanUp ; CALL ref2938
  CALL CleanUp ; CALL ref2960
  CALL CleanUp ; CALL ref2964
  CALL CleanUp ; CALL ref3003
  ! (1998)
  CALL CleanUp ; CALL ref0796
  CALL CleanUp ; CALL ref0895
  CALL CleanUp ; CALL ref0896
  CALL CleanUp ; CALL ref0910
  CALL CleanUp ; CALL ref0935
  CALL CleanUp ; CALL ref0937
  CALL CleanUp ; CALL ref0981
  CALL CleanUp ; CALL ref0982
  CALL CleanUp ; CALL ref0985
  CALL CleanUp ; CALL ref0992
  CALL CleanUp ; CALL ref0998
  CALL CleanUp ; CALL ref1024
  CALL CleanUp ; CALL ref1046
  CALL CleanUp ; CALL ref1056
  CALL CleanUp ; CALL ref1110
  CALL CleanUp ; CALL ref1112
  CALL CleanUp ; CALL ref1113
  CALL CleanUp ; CALL ref1114
  CALL CleanUp ; CALL ref1230
  CALL CleanUp ; CALL ref1330
  CALL CleanUp ; CALL ref1481
  CALL CleanUp ; CALL ref2171
  CALL CleanUp ; CALL ref2241
  CALL CleanUp ; CALL ref2286
  CALL CleanUp ; CALL ref2464
  CALL CleanUp ; CALL ref2838
  CALL CleanUp ; CALL ref2950
  CALL CleanUp ; CALL ref3091
  CALL CleanUp ; CALL ref3121
  ! (1997)
  CALL CleanUp ; CALL ref0536
  CALL CleanUp ; CALL ref0769
  CALL CleanUp ; CALL ref0797
  CALL CleanUp ; CALL ref0837
  CALL CleanUp ; CALL ref0893
  CALL CleanUp ; CALL ref0921
  CALL CleanUp ; CALL ref0977
  CALL CleanUp ; CALL ref0983
  CALL CleanUp ; CALL ref0984
  CALL CleanUp ; CALL ref1060
  CALL CleanUp ; CALL ref1115
  CALL CleanUp ; CALL ref1200
  CALL CleanUp ; CALL ref2339
  CALL CleanUp ; CALL ref2389
  CALL CleanUp ; CALL ref2450
  CALL CleanUp ; CALL ref2451
  CALL CleanUp ; CALL ref2572
  CALL CleanUp ; CALL ref2806
  CALL CleanUp ; CALL ref2836
  CALL CleanUp ; CALL ref2904
  CALL CleanUp ; CALL ref2905
  CALL CleanUp ; CALL ref2958
  CALL CleanUp ; CALL ref3095
  CALL CleanUp ; CALL ref3124
  CALL CleanUp ; CALL ref3126
  ! (1996)
  CALL CleanUp ; CALL ref0271
  CALL CleanUp ; CALL ref0446
  CALL CleanUp ; CALL ref0511
  CALL CleanUp ; CALL ref0516
  CALL CleanUp ; CALL ref0548
  CALL CleanUp ; CALL ref0585
  CALL CleanUp ; CALL ref0588
  CALL CleanUp ; CALL ref0619
  CALL CleanUp ; CALL ref0625
  CALL CleanUp ; CALL ref0669
  CALL CleanUp ; CALL ref0670
  CALL CleanUp ; CALL ref0671
  CALL CleanUp ; CALL ref0672
  CALL CleanUp ; CALL ref0747
  CALL CleanUp ; CALL ref0892
  CALL CleanUp ; CALL ref0995
  CALL CleanUp ; CALL ref1536
  CALL CleanUp ; CALL ref1597
  CALL CleanUp ; CALL ref1925
  CALL CleanUp ; CALL ref2431
  CALL CleanUp ; CALL ref2456
  CALL CleanUp ; CALL ref2463
  CALL CleanUp ; CALL ref2930
  CALL CleanUp ; CALL ref2972
  CALL CleanUp ; CALL ref2973
  ! (1995)
  CALL CleanUp ; CALL ref0276
  CALL CleanUp ; CALL ref0315
  CALL CleanUp ; CALL ref0477
  CALL CleanUp ; CALL ref0493
  CALL CleanUp ; CALL ref0498
  CALL CleanUp ; CALL ref0538
  CALL CleanUp ; CALL ref0542
  CALL CleanUp ; CALL ref0583
  CALL CleanUp ; CALL ref0584
  CALL CleanUp ; CALL ref0586
  CALL CleanUp ; CALL ref0617
  CALL CleanUp ; CALL ref0624
  CALL CleanUp ; CALL ref0636
  CALL CleanUp ; CALL ref0923
  CALL CleanUp ; CALL ref1073
  CALL CleanUp ; CALL ref1125
  CALL CleanUp ; CALL ref1484
  CALL CleanUp ; CALL ref1775
  CALL CleanUp ; CALL ref1907
  CALL CleanUp ; CALL ref2013
  CALL CleanUp ; CALL ref2121
  CALL CleanUp ; CALL ref2840
  ! (1994)
  CALL CleanUp ; CALL ref0311
  CALL CleanUp ; CALL ref0389
  CALL CleanUp ; CALL ref0514
  CALL CleanUp ; CALL ref0622
  CALL CleanUp ; CALL ref0638
  CALL CleanUp ; CALL ref0644
  CALL CleanUp ; CALL ref0997
  CALL CleanUp ; CALL ref1124
  CALL CleanUp ; CALL ref1126
  CALL CleanUp ; CALL ref1127
  CALL CleanUp ; CALL ref1501
  CALL CleanUp ; CALL ref2485
  CALL CleanUp ; CALL ref2542
  CALL CleanUp ; CALL ref2895
  CALL CleanUp ; CALL ref2931
  CALL CleanUp ; CALL ref2967
  ! (1993)
  CALL CleanUp ; CALL ref0599
  CALL CleanUp ; CALL ref0635
  CALL CleanUp ; CALL ref0637
  CALL CleanUp ; CALL ref0799
  CALL CleanUp ; CALL ref0858
  CALL CleanUp ; CALL ref0903
  CALL CleanUp ; CALL ref1155
  CALL CleanUp ; CALL ref1229
  CALL CleanUp ; CALL ref1342
  CALL CleanUp ; CALL ref1912
  CALL CleanUp ; CALL ref2457
  CALL CleanUp ; CALL ref2493
  CALL CleanUp ; CALL ref2527
  CALL CleanUp ; CALL ref2538
  CALL CleanUp ; CALL ref2937
  CALL CleanUp ; CALL ref2945
  CALL CleanUp ; CALL ref3071
  ! (1992)
  CALL CleanUp ; CALL ref0171
  CALL CleanUp ; CALL ref0288
  CALL CleanUp ; CALL ref0379
  CALL CleanUp ; CALL ref0507
  CALL CleanUp ; CALL ref0510
  CALL CleanUp ; CALL ref0515
  CALL CleanUp ; CALL ref0541
  CALL CleanUp ; CALL ref0633
  CALL CleanUp ; CALL ref0789
  CALL CleanUp ; CALL ref0800
  CALL CleanUp ; CALL ref0855
  CALL CleanUp ; CALL ref0856
  CALL CleanUp ; CALL ref0857
  CALL CleanUp ; CALL ref1063
  CALL CleanUp ; CALL ref1142
  CALL CleanUp ; CALL ref1146
  CALL CleanUp ; CALL ref1148
  CALL CleanUp ; CALL ref2230
  CALL CleanUp ; CALL ref2231
  CALL CleanUp ; CALL ref2435
  CALL CleanUp ; CALL ref2439
  CALL CleanUp ; CALL ref2475
  CALL CleanUp ; CALL ref2525
  CALL CleanUp ; CALL ref2983
  ! (1991)
  CALL CleanUp ; CALL ref0031
  CALL CleanUp ; CALL ref0183
  CALL CleanUp ; CALL ref0205
  CALL CleanUp ; CALL ref0443
  CALL CleanUp ; CALL ref0495
  CALL CleanUp ; CALL ref0502
  CALL CleanUp ; CALL ref0520
  CALL CleanUp ; CALL ref0631
  CALL CleanUp ; CALL ref1145
  CALL CleanUp ; CALL ref1152
  CALL CleanUp ; CALL ref1153
  CALL CleanUp ; CALL ref2014
  CALL CleanUp ; CALL ref2016
  CALL CleanUp ; CALL ref2974
  CALL CleanUp ; CALL ref2977
  ! (1990)
  CALL CleanUp ; CALL ref0598
  CALL CleanUp ; CALL ref0630
  CALL CleanUp ; CALL ref1144
  CALL CleanUp ; CALL ref1194
  CALL CleanUp ; CALL ref1500
  CALL CleanUp ; CALL ref2270
  CALL CleanUp ; CALL ref2460
  CALL CleanUp ; CALL ref2839
  CALL CleanUp ; CALL ref2966
  CALL CleanUp ; CALL ref2975
  CALL CleanUp ; CALL ref3070
  CALL CleanUp ; CALL ref3090
  ! (1989)
  CALL CleanUp ; CALL ref0034
  CALL CleanUp ; CALL ref0076
  CALL CleanUp ; CALL ref0530
  CALL CleanUp ; CALL ref0533
  CALL CleanUp ; CALL ref0615
  CALL CleanUp ; CALL ref0620
  CALL CleanUp ; CALL ref0901
  CALL CleanUp ; CALL ref1014
  CALL CleanUp ; CALL ref1141
  CALL CleanUp ; CALL ref1995
  CALL CleanUp ; CALL ref2229
  CALL CleanUp ; CALL ref2436
  CALL CleanUp ; CALL ref2570
  CALL CleanUp ; CALL ref2631
  CALL CleanUp ; CALL ref2901
  CALL CleanUp ; CALL ref2924
  CALL CleanUp ; CALL ref3005
  CALL CleanUp ; CALL ref3076
  ! (1988)
  CALL CleanUp ; CALL ref0067
  CALL CleanUp ; CALL ref0160
  CALL CleanUp ; CALL ref0260
  CALL CleanUp ; CALL ref0484
  CALL CleanUp ; CALL ref0592
  CALL CleanUp ; CALL ref0643
  CALL CleanUp ; CALL ref0854
  CALL CleanUp ; CALL ref0900
  CALL CleanUp ; CALL ref0941
  CALL CleanUp ; CALL ref1140
  CALL CleanUp ; CALL ref1156
  CALL CleanUp ; CALL ref1157
  CALL CleanUp ; CALL ref1498
  CALL CleanUp ; CALL ref2235
  CALL CleanUp ; CALL ref2478
  CALL CleanUp ; CALL ref2482
  CALL CleanUp ; CALL ref2906
  CALL CleanUp ; CALL ref2928
  CALL CleanUp ; CALL ref3078
  CALL CleanUp ; CALL ref3079
  ! (1987)
  CALL CleanUp ; CALL ref0532
  CALL CleanUp ; CALL ref0715
  CALL CleanUp ; CALL ref0759
  CALL CleanUp ; CALL ref0824
  CALL CleanUp ; CALL ref0853
  CALL CleanUp ; CALL ref2243
  CALL CleanUp ; CALL ref2292
  CALL CleanUp ; CALL ref2448
  CALL CleanUp ; CALL ref2449
  CALL CleanUp ; CALL ref2452
  CALL CleanUp ; CALL ref2479
  CALL CleanUp ; CALL ref2625
  ! (1986)
  CALL CleanUp ; CALL ref0019
  CALL CleanUp ; CALL ref0046
  CALL CleanUp ; CALL ref0088
  CALL CleanUp ; CALL ref0189
  CALL CleanUp ; CALL ref0485
  CALL CleanUp ; CALL ref0487
  CALL CleanUp ; CALL ref0508
  CALL CleanUp ; CALL ref0523
  CALL CleanUp ; CALL ref0524
  CALL CleanUp ; CALL ref0629
  CALL CleanUp ; CALL ref0695
  CALL CleanUp ; CALL ref0852
  CALL CleanUp ; CALL ref1071
  CALL CleanUp ; CALL ref2291
  CALL CleanUp ; CALL ref2302
  CALL CleanUp ; CALL ref2903
  CALL CleanUp ; CALL ref2946
  CALL CleanUp ; CALL ref3085
  ! (1985)
  CALL CleanUp ; CALL ref0140
  CALL CleanUp ; CALL ref0167
  CALL CleanUp ; CALL ref0483
  CALL CleanUp ; CALL ref0488
  CALL CleanUp ; CALL ref0582
  CALL CleanUp ; CALL ref0850
  CALL CleanUp ; CALL ref1068
  CALL CleanUp ; CALL ref1139
  CALL CleanUp ; CALL ref1331
  CALL CleanUp ; CALL ref2232
  CALL CleanUp ; CALL ref2240
  CALL CleanUp ; CALL ref2269
  CALL CleanUp ; CALL ref2279
  CALL CleanUp ; CALL ref2290
  CALL CleanUp ; CALL ref2531
  CALL CleanUp ; CALL ref2537
  CALL CleanUp ; CALL ref2576
  CALL CleanUp ; CALL ref2830
  CALL CleanUp ; CALL ref2902
  CALL CleanUp ; CALL ref2912
  CALL CleanUp ; CALL ref2947
  CALL CleanUp ; CALL ref2976
  CALL CleanUp ; CALL ref3110
  ! (1984)
  CALL CleanUp ; CALL ref0074
  CALL CleanUp ; CALL ref0087
  CALL CleanUp ; CALL ref0103
  CALL CleanUp ; CALL ref0209
  CALL CleanUp ; CALL ref0287
  CALL CleanUp ; CALL ref0512
  CALL CleanUp ; CALL ref0513
  CALL CleanUp ; CALL ref0527
  CALL CleanUp ; CALL ref0531
  CALL CleanUp ; CALL ref0601
  CALL CleanUp ; CALL ref0632
  CALL CleanUp ; CALL ref1497
  CALL CleanUp ; CALL ref2433
  CALL CleanUp ; CALL ref2434
  ! (1983)
  CALL CleanUp ; CALL ref0082
  CALL CleanUp ; CALL ref0203
  CALL CleanUp ; CALL ref0480
  CALL CleanUp ; CALL ref0522
  CALL CleanUp ; CALL ref0608
  CALL CleanUp ; CALL ref0641
  CALL CleanUp ; CALL ref0730
  CALL CleanUp ; CALL ref1076
  CALL CleanUp ; CALL ref2233
  CALL CleanUp ; CALL ref2301
  CALL CleanUp ; CALL ref2444
  CALL CleanUp ; CALL ref2455
  CALL CleanUp ; CALL ref2481
  CALL CleanUp ; CALL ref2533
  CALL CleanUp ; CALL ref2534
  CALL CleanUp ; CALL ref2556
  CALL CleanUp ; CALL ref2911
  CALL CleanUp ; CALL ref2944
  CALL CleanUp ; CALL ref2971
  CALL CleanUp ; CALL ref3084
  ! (1982)
  CALL CleanUp ; CALL ref0489
  CALL CleanUp ; CALL ref0834
  CALL CleanUp ; CALL ref1926
  CALL CleanUp ; CALL ref2234
  CALL CleanUp ; CALL ref2288
  CALL CleanUp ; CALL ref2453
  CALL CleanUp ; CALL ref2486
  CALL CleanUp ; CALL ref2529
  CALL CleanUp ; CALL ref2557
  CALL CleanUp ; CALL ref2909
  CALL CleanUp ; CALL ref3080
  CALL CleanUp ; CALL ref3083
  CALL CleanUp ; CALL ref3119
  ! (1981)
  CALL CleanUp ; CALL ref0043
  CALL CleanUp ; CALL ref0059
  CALL CleanUp ; CALL ref0449
  CALL CleanUp ; CALL ref0479
  CALL CleanUp ; CALL ref0491
  CALL CleanUp ; CALL ref0492
  CALL CleanUp ; CALL ref0849
  CALL CleanUp ; CALL ref1150
  CALL CleanUp ; CALL ref1910
  CALL CleanUp ; CALL ref2220
  CALL CleanUp ; CALL ref2225
  CALL CleanUp ; CALL ref2236
  CALL CleanUp ; CALL ref2445
  CALL CleanUp ; CALL ref2465
  CALL CleanUp ; CALL ref2549
  CALL CleanUp ; CALL ref2968
  CALL CleanUp ; CALL ref2980
  CALL CleanUp ; CALL ref2984
  ! (1980)
  CALL CleanUp ; CALL ref0559
  CALL CleanUp ; CALL ref0201
  CALL CleanUp ; CALL ref2219
  CALL CleanUp ; CALL ref2271
  CALL CleanUp ; CALL ref2454
  CALL CleanUp ; CALL ref2832
  CALL CleanUp ; CALL ref2900
  CALL CleanUp ; CALL ref2951
  CALL CleanUp ; CALL ref2952
  CALL CleanUp ; CALL ref2956
  CALL CleanUp ; CALL ref2979
  CALL CleanUp ; CALL ref3120
  ! (1979)
  CALL CleanUp ; CALL ref0482
  CALL CleanUp ; CALL ref0490
  CALL CleanUp ; CALL ref0628
  CALL CleanUp ; CALL ref0729
  CALL CleanUp ; CALL ref1137
  CALL CleanUp ; CALL ref2226
  CALL CleanUp ; CALL ref2378
  CALL CleanUp ; CALL ref2437
  CALL CleanUp ; CALL ref2459
  CALL CleanUp ; CALL ref2484
  CALL CleanUp ; CALL ref2917
  CALL CleanUp ; CALL ref2918
  CALL CleanUp ; CALL ref2922
  CALL CleanUp ; CALL ref2942
  ! (1978)
  CALL CleanUp ; CALL ref0540
  CALL CleanUp ; CALL ref1138
  CALL CleanUp ; CALL ref2218
  CALL CleanUp ; CALL ref2381
  CALL CleanUp ; CALL ref2388
  ! (1977)
  CALL CleanUp ; CALL ref0190
  CALL CleanUp ; CALL ref0545
  CALL CleanUp ; CALL ref2458
  ! (1976)
  CALL CleanUp ; CALL ref2224
  CALL CleanUp ; CALL ref2379
  CALL CleanUp ; CALL ref3082
  ! (1975)
  CALL CleanUp ; CALL ref0544
  CALL CleanUp ; CALL ref0642
  CALL CleanUp ; CALL ref0728
  CALL CleanUp ; CALL ref1916
  CALL CleanUp ; CALL ref2280
  CALL CleanUp ; CALL ref2289
  CALL CleanUp ; CALL ref2471
  ! (1974)
  CALL CleanUp ; CALL ref0505
  CALL CleanUp ; CALL ref0563
  CALL CleanUp ; CALL ref1492
  CALL CleanUp ; CALL ref1779
  CALL CleanUp ; CALL ref2203
  CALL CleanUp ; CALL ref2376
  CALL CleanUp ; CALL ref2377
  CALL CleanUp ; CALL ref2981
  ! (1973)
  CALL CleanUp ; CALL ref0640
  CALL CleanUp ; CALL ref0727
  CALL CleanUp ; CALL ref0792
  CALL CleanUp ; CALL ref0794
  CALL CleanUp ; CALL ref1149
  CALL CleanUp ; CALL ref2441
  ! (1972)
  CALL CleanUp ; CALL ref0725
  CALL CleanUp ; CALL ref0726
  CALL CleanUp ; CALL ref2467
  CALL CleanUp ; CALL ref2833
  CALL CleanUp ; CALL ref2959
  ! (1971)
  CALL CleanUp ; CALL ref0722
  CALL CleanUp ; CALL ref0723
  CALL CleanUp ; CALL ref0724
  CALL CleanUp ; CALL ref0755
  CALL CleanUp ; CALL ref2578
  CALL CleanUp ; CALL ref2807
  ! (1970)
  CALL CleanUp ; CALL ref0763
  CALL CleanUp ; CALL ref0791
  CALL CleanUp ; CALL ref3086
  ! (1969)
  CALL CleanUp ; CALL ref0754
  CALL CleanUp ; CALL ref0795
  ! (1968)
  CALL CleanUp ; CALL ref0627
  CALL CleanUp ; CALL ref2387
  CALL CleanUp ; CALL ref2831
  ! (1967)
  CALL CleanUp ; CALL ref0721
  CALL CleanUp ; CALL ref1911
  CALL CleanUp ; CALL ref3122
  ! (1966)
  CALL CleanUp ; CALL ref0525
  ! (1965)
  CALL CleanUp ; CALL ref0714
  CALL CleanUp ; CALL ref0753
  CALL CleanUp ; CALL ref2550
  CALL CleanUp ; CALL ref3075
  ! (1964)
  CALL CleanUp ; CALL ref0752
  CALL CleanUp ; CALL ref2442
  CALL CleanUp ; CALL ref2446
  ! (1963)
  CALL CleanUp ; CALL ref0496
  CALL CleanUp ; CALL ref3077
  ! (1962)
  CALL CleanUp ; CALL ref0735
  CALL CleanUp ; CALL ref0750
  CALL CleanUp ; CALL ref1340
  CALL CleanUp ; CALL ref2551
  ! (1961)
  CALL CleanUp ; CALL ref1151
  CALL CleanUp ; CALL ref3100
  CALL CleanUp ; CALL ref3123
  ! (1960)
  CALL CleanUp ; CALL ref0529
  CALL CleanUp ; CALL ref1992
  ! (1958)
  CALL CleanUp ; CALL ref2552
  ! (1957)
  CALL CleanUp ; CALL ref3066
  ! (1956)
  CALL CleanUp ; CALL ref0626
  CALL CleanUp ; CALL ref0776
  ! (1954)
  CALL CleanUp ; CALL ref0719
  CALL CleanUp ; CALL ref0764
  ! (1953)
  CALL CleanUp ; CALL ref2222
  ! (1951)
  CALL CleanUp ; CALL ref0790
  ! (1943)
  CALL CleanUp ; CALL ref2835
  ! (1939)
  CALL CleanUp ; CALL ref0528
  ! (1938)
  CALL CleanUp ; CALL ref2491
  ! (1935)
  CALL CleanUp ; CALL ref0712
  CALL CleanUp ; CALL ref0713
  ! (1934)
  CALL CleanUp ; CALL ref1072
  ! (1932)
  CALL CleanUp ; CALL ref1913
  CALL CleanUp ; CALL ref1914
  CALL CleanUp ; CALL ref1915
  ! (1928)
  CALL CleanUp ; CALL ref0732
  ! (1925)
  CALL CleanUp ; CALL ref0481
  CALL CleanUp ; CALL ref0486
  ! (1917)
  CALL CleanUp ; CALL ref2933
  ! (1906)
  CALL CleanUp ; CALL ref0862
  CALL CleanUp ; CALL ref0863
  ! (1901)
  CALL CleanUp ; CALL ref0869
  CALL CleanUp ; CALL ref2834
  ! (1899)
  CALL CleanUp ; CALL ref0871
  CALL CleanUp ; CALL ref2841
  ! (1891)
  CALL CleanUp ; CALL ref3026
  CALL CleanUp ; CALL ref3027

  !---------------------------------------------------------------------------

  CALL middle

  !---------------------------------------------------------------------------

  ! go through individual species and select all data enties in henry_data
  ! that belong to it by using the CASRN to identify the species. The results
  ! are written to henry_data.tex.

  ! The order of halogen species is as in MECCA. For organics, the order is:
  ! 1) alkanes, 2) alkenes, 3) alkynes, 4) aromatics
  ! within each group, sorted by increasing size: C_1, C_2, ...
  ! within each size, sorted by increasing number of halogen atoms

  ! if there is more than 1 trivial name, they must be separated with a
  ! semicolon, not with a comma.

  ! Some restrictions because of makeindex:
  ! - The name must not contain either "@", "!", or "|".
  ! - Currently, only the Greek letters alpha, beta, and gamma are treated
  !   correctly. Add more to SUBROUTINE Species, if necessary.

  !***************************************************************************
  CALL SpeciesGroup(1,"Inorganic species")
  !***************************************************************************
  CALL SpeciesGroup(2,"Oxygen (\chem{O})")
  CALL Species("oxygen", "O_2", "", &
    "7782-44-7", "MYMOFIZGZYHOMD-UHFFFAOYSA-N")
  CALL Species("ozone", "O_3", "", &
    "10028-15-6", "CBENFWSGALASAD-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Hydrogen (\chem{H})")
  CALL Species("hydrogen atom", "H", "", &
    "12385-13-6", "YZCKVEUIGOORGS-UHFFFAOYSA-N")
  CALL Species("hydrogen", "H_2", "", &
    "1333-74-0", "UFHFLCQGNIYNRP-UHFFFAOYSA-N")
  CALL Species("deuterium", "D_2", "", &
    "7782-39-0", "UFHFLCQGNIYNRP-VVKOMZTBSA-N")
  CALL Species("hydroxyl radical", "OH", "", &
    "3352-57-6", "TUJKJAMUKRIRHC-UHFFFAOYSA-N")
  CALL Species("hydroperoxy radical", "HO_2", "", &
    "3170-83-0", "MHAJPDPJQMAIIY-UHFFFAOYSA-M")
  CALL Species("hydrogen peroxide", "H_2O_2", "", &
    "7722-84-1", "MHAJPDPJQMAIIY-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Nitrogen (\chem{N})")
  ! H, N:
  CALL Species("nitrogen", "N_2", "", &
    "7727-37-9", "IJGRMHOSHXDMSA-UHFFFAOYSA-N")
  CALL Species("ammonia", "NH_3", "", &
    "7664-41-7", "QGZKDVFQNNGYKY-UHFFFAOYSA-N")
  CALL Species("hydrazoic acid", "HN_3", "", &
    "7782-79-8", "JUINSXZKUKVTMD-UHFFFAOYSA-N")
  CALL Species("hydrazine", "H_4N_2", "", &
    "302-01-2", "OAKJQQAXSVQMHS-UHFFFAOYSA-N")
  ! H, O, N:
  CALL Species("dinitrogen monoxide", "N_2O", "nitrous oxide; laughing gas", &
    "10024-97-2", "GQPLMRYTRLFLPF-UHFFFAOYSA-N")
  CALL Species("nitrogen monoxide", "NO", "nitric oxide", &
    "10102-43-9", "MWUXSHHQAYIFBG-UHFFFAOYSA-N")
  CALL Species("nitrogen dioxide", "NO_2", "", &
    "10102-44-0", "JCXJVPUVTGWSNB-UHFFFAOYSA-N")
  CALL Species("nitrogen trioxide", "NO_3", "nitrate radical", &
    "12033-49-7", "YPJKMVATUPSWOH-UHFFFAOYSA-N")
  CALL Species("dinitrogen trioxide", "N_2O_3", "", &
    "10544-73-7", "LZDSILRDTDCIQT-UHFFFAOYSA-N")
  CALL Species("dinitrogen tetroxide", "N_2O_4", "", &
    "10544-72-6", "WFPZPJSADLPSON-UHFFFAOYSA-N")
  CALL Species("dinitrogen pentoxide", "N_2O_5", "nitric anhydride", &
    "10102-03-1", "ZWWCURLKEXEFQT-UHFFFAOYSA-N")
  CALL Species("hydroxylamine", "H_3NO", "", &
    "7803-49-8", "AVXURJPOCDRRFD-UHFFFAOYSA-N")
  CALL Species("nitrous acid", "HNO_2", "", &
    "7782-77-6", "IOVCWXUNBOPUCH-UHFFFAOYSA-N")
  CALL Species("nitric acid", "HNO_3", "", &
    "7697-37-2", "GRYLNZFGIOXLOG-UHFFFAOYSA-N")
  CALL Species("pernitric acid", "HNO_4", "", &
    "26404-66-0", "UUZZMWZGAZGXSF-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Fluorine (\chem{F})")
  ! F, H, O:
  CALL Species("fluorine atom", "F", "", &
    "14762-94-8", "YCKRFDGAMUMZLT-UHFFFAOYSA-N")
  CALL Species("hydrogen fluoride", "HF", "", &
    "7664-39-3", "KRHYYFGTRYWZRS-UHFFFAOYSA-N")
  CALL Species("difluorine monoxide", "F_2O", "", &
    "7783-41-7", "UJMWVICAENGCRF-UHFFFAOYSA-N")
  ! F, H, O, N:
  CALL Species("nitrogen trifluoride", "NF_3", "", &
    "7783-54-2", "GVGCUCJTUSOZKP-UHFFFAOYSA-N")
  CALL Species("dinitrogen tetrafluoride", "N_2F_4", "tetrafluorohydrazine", &
    "10036-47-2", "GFADZIUESKAXAK-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Chlorine (\chem{Cl})")
  ! Cl:
  CALL Species("chlorine (molecular)", "Cl_2", "", &
    "7782-50-5", "KZBUYRJDOAKODT-UHFFFAOYSA-N")
  CALL Species("chlorine atom", "Cl", "", &
    "22537-15-1", "ZAMOUSCENKQFHK-UHFFFAOYSA-N")
  ! Cl, H:
  CALL Species("hydrogen chloride", "HCl", "", &
    "7647-01-0", "VEXZGXHMUGYJMC-UHFFFAOYSA-N")
  ! Cl, H, O:
  CALL Species("hypochlorous acid", "HOCl", "", &
    "7790-92-3", "QWPPOHNGKGFGJK-UHFFFAOYSA-N")
  CALL Species("perchloric acid", "HClO_4", "", &
    "7601-90-3", "VLTRZXGMWDSKGL-UHFFFAOYSA-N")
  CALL Species("monochlorine monoxide", "ClO", "", &
    "14989-30-1", "MLWGAEVSWJXOQJ-UHFFFAOYSA-N")
  CALL Species("dichlorine monoxide", "Cl_2O", "", &
    "7791-21-1", "RCJVRSBWZCNNQT-UHFFFAOYSA-N")
  CALL Species("chlorine dioxide", "ClO_2", "", &
    "10049-04-4", "OSVXSBDYLRYLIG-UHFFFAOYSA-N")
  ! Cl, H, O, N:
  CALL Species("nitrosyl chloride", "NOCl", "", &
    "2696-92-6", "VPCDQGACGWYTMC-UHFFFAOYSA-N")
  CALL Species("nitryl chloride", "ClNO_2", "", &
    "13444-90-1", "HSSFHZJIMRUXDM-UHFFFAOYSA-M")
  CALL Species("chlorine nitrate", "ClNO_3", "", &
    "14545-72-3", "XYLGPCWDPLOBGP-UHFFFAOYSA-N")
  CALL Species("chloramine", "NH_2Cl", "chloramide", &
    "10599-90-3", "QDHHCQZDFGDHMP-UHFFFAOYSA-N")
  CALL Species("dichloramine", "NHCl_2", "chlorimide", &
    "3400-09-7", "JSYGRUBHOCKMGQ-UHFFFAOYSA-N")
  CALL Species("nitrogen trichloride", "NCl_3", "", &
    "10025-85-1", "QEHKBHWEUPXBCW-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Bromine (\chem{Br})")
  ! Br:
  CALL Species("bromine (molecular)", "Br_2", "", &
    "7726-95-6", "GDTBXPJZTBHREO-UHFFFAOYSA-N")
  CALL Species("bromine atom", "Br", "", &
    "10097-32-2", "WKBOTKDWSSQWDR-UHFFFAOYSA-N")
  ! Br, H:
  CALL Species("hydrogen bromide", "HBr", "", &
    "10035-10-6", "CPELXLSAUQHCOX-UHFFFAOYSA-N")
  ! Br, H, O:
  CALL Species("hypobromous acid", "HOBr", "", &
    "13517-11-8", "CUILPNURFADTPE-UHFFFAOYSA-N")
  ! Br, H, O, N:
  CALL Species("nitryl bromide", "BrNO_2", "", &
    "13536-70-4", "SEYAFCXQVVHRPY-UHFFFAOYSA-M")
  CALL Species("bromine nitrate", "BrNO_3", "", &
    "40423-14-1", "RRTWEEAEXPZMPY-UHFFFAOYSA-N")
  ! Br, Cl:
  CALL Species("bromine chloride", "BrCl", "", &
    "13863-41-7", "CODNYICXDISAEA-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Iodine (\chem{I})")
  ! I:
  CALL Species("iodine (molecular)", "I_2", "", &
    "7553-56-2", "PNDPGZBMCMUPRI-UHFFFAOYSA-N")
  CALL Species("iodine atom", "I", "", &
    "14362-44-8", "ZCYVEMRRCGMTRW-UHFFFAOYSA-N")
  ! I, H:
  CALL Species("hydrogen iodide", "HI", "", &
    "10034-85-2", "XMBWDFGMSWQBCA-UHFFFAOYSA-N")
  ! I, H, O:
  CALL Species("hypoiodous acid", "HOI", "", &
    "14332-21-9", "GEOVEUCEIQCBKH-UHFFFAOYSA-N")
  ! I, H, O, N:
  ! I, Cl:
  CALL Species("iodine chloride", "ICl", "", &
    "7790-99-0", "QZRGKCOWNLSUDK-UHFFFAOYSA-N")
  ! I, Br:
  CALL Species("iodine bromide", "IBr", "", &
    "7789-33-5", "CBEQRNSPHCCXSH-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Sulfur (\chem{S})")
  CALL Species("hydrogen sulfide", "H_2S", "", &
    "7783-06-4", "RWSOTUBLDIXVET-UHFFFAOYSA-N")
  CALL Species("sulfur dioxide", "SO_2", "", &
    "7446-09-5", "RAHZWNYVWXNFOC-UHFFFAOYSA-N")
  CALL Species("sulfur trioxide", "SO_3", "", &
    "7446-11-9", "AKEJUJNQAAGONA-UHFFFAOYSA-N")
  CALL Species("sulfuric acid", "H_2SO_4", "", &
    "7664-93-9", "QAOWNCQODCNURD-UHFFFAOYSA-N")
  CALL Species("sulfur hexafluoride", "SF_6", "", &
    "2551-62-4", "SFZCNBIFKDRMGX-UHFFFAOYSA-N")
  CALL Species("sulfuryl fluoride", "SO_2F_2", "", &
    "2699-79-8", "OBTWBSRJZRCYQV-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Rare gases (\chem{He}, \chem{Ne}, \chem{Ar}, \chem{Kr}, \chem{Xe}, \chem{Rn})")
  CALL Species("helium", "He", "", &
    "7440-59-7", "SWQJXJOGLNCZEY-UHFFFAOYSA-N")
  CALL Species("neon", "Ne", "", &
    "7440-01-9", "GKAOGPIIYCISHV-UHFFFAOYSA-N")
  CALL Species("argon", "Ar", "", &
    "7440-37-1", "XKRFYHLGVUSROY-UHFFFAOYSA-N")
  CALL Species("krypton", "Kr", "", &
    "7439-90-9", "DNNSSWSSYDEUBZ-UHFFFAOYSA-N")
  CALL Species("xenon", "Xe", "", &
    "7440-63-3", "FHNFHKCVQCLJFQ-UHFFFAOYSA-N")
  CALL Species("radon", "Rn", "", &
    "10043-92-2", "SYUHGPGVQRZVTB-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Other elements (\chem{B}, \chem{Se}, \chem{P}, \chem{As}, \chem{Hg})")
  CALL Species("boric acid", "H_3BO_3", "", &
    "10043-35-3", "KGBXLFKZBHKPEV-UHFFFAOYSA-N")
  CALL Species("selenium hydride", "H_2Se", "", &
    "7783-07-5", "BUGBHKTXTAQXES-UHFFFAOYSA-N")
  CALL Species("phosphorus trihydride", "PH_3", "phosphine", &
    "7803-51-2", "XYFCBTPGUUZFHI-UHFFFAOYSA-N")
  CALL Species("arsenic hydride", "AsH_3", "arsine", &
    "7784-42-1", "RQNWIZPPADIBDY-UHFFFAOYSA-N")
  CALL Species("mercury", "Hg", "", &
    "7439-97-6", "QSHDDOUJBYECFT-UHFFFAOYSA-N")
  CALL Species("mercury(II) oxide", "HgO", "", &
    "21908-53-2", "UKWHYYKOEPRTIC-UHFFFAOYSA-N")
  CALL Species("mercury dihydroxide", "Hg(OH)_2", "", &
    "_CAS-84", "inchikey")
  CALL Species("mercury dichloride", "HgCl_2", "", &
    "7487-94-7", "LWJROJCJINYWOX-UHFFFAOYSA-L")
  CALL Species("mercury dibromide", "HgBr_2", "", &
    "7789-47-1", "NGYIMTKLQULBOO-UHFFFAOYSA-L")
  CALL Species("mercury diiodide", "HgI_2", "", &
    "7774-29-0", "YFDLHELOZYVNJE-UHFFFAOYSA-L")
  !***************************************************************************
  CALL SpeciesGroup(1,"Hydrocarbons (\chem{C}, \chem{H})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Alkanes")
  ! C1:
  CALL Species("methane", "CH_4", "", &
    "74-82-8", "VNWKTOKETHGBQD-UHFFFAOYSA-N")
  ! C2:
  CALL Species("ethane", "C_2H_6", "", &
    "74-84-0", "OTMSDBZUPAUEDD-UHFFFAOYSA-N")
  ! C3:
  CALL Species("propane", "C_3H_8", "", &
    "74-98-6", "ATUOYWHBWRKTHZ-UHFFFAOYSA-N")
  ! C4:
  CALL Species("butane", "C_4H_{10}", "", &
    "106-97-8", "IJDNQMDRQITEOD-UHFFFAOYSA-N")
  CALL Species("2-methylpropane", "HC(CH_3)_3", "isobutane", &
    "75-28-5", "NNPPMTNAJDCUHE-UHFFFAOYSA-N")
  ! C5:
  CALL Species("pentane", "C_5H_{12}", "", &
    "109-66-0", "OFBQJSOFQDEBGM-UHFFFAOYSA-N")
  CALL Species("2-methylbutane", "C_5H_{12}", "isopentane", &
    "78-78-4", "QWTDNUCVQCZILF-UHFFFAOYSA-N")
  CALL Species("dimethylpropane", "C(CH_3)_4", "neopentane", &
    "463-82-1", "CRSOQBOWXPBRES-UHFFFAOYSA-N")
  ! C6:
  CALL Species("hexane", "C_6H_{14}", "", &
    "110-54-3", "VLKZOEOYAKHREP-UHFFFAOYSA-N")
  CALL Species("2-methylpentane", "C_6H_{14}", "isohexane", &
    "107-83-5", "AFABGHUZZDYHJO-UHFFFAOYSA-N")
  CALL Species("3-methylpentane", "C_6H_{14}", "", &
    "96-14-0", "PFEOZHBOMNWTJB-UHFFFAOYSA-N")
  CALL Species("2,2-dimethylbutane", "C_6H_{14}", "", &
    "75-83-2", "HNRMPXKDFBEGFZ-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylbutane", "C_6H_{14}", "", &
    "79-29-8", "ZFFMLCVRJBZUDZ-UHFFFAOYSA-N")
  ! C7:
  CALL Species("heptane", "C_7H_{16}", "", &
    "142-82-5", "IMNFDUFMRHMDMM-UHFFFAOYSA-N")
  CALL Species("2-methylhexane", "C_7H_{16}", "isoheptane", &
    "591-76-4", "GXDHCNNESPLIKD-UHFFFAOYSA-N")
  CALL Species("3-methylhexane", "C_7H_{16}", "", &
    "589-34-4", "VLJXXKKOSFGPHI-UHFFFAOYSA-N") ! other CAS: 78918-91-9 for (R)-enantiomer
  CALL Species("2,2-dimethylpentane", "C_7H_{16}", "", &
    "590-35-2", "CXOWYJMDMMMMJO-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylpentane", "C_7H_{16}", "", &
    "565-59-3", "WGECXQBGLLYSFP-UHFFFAOYSA-N")
  CALL Species("2,4-dimethylpentane", "C_7H_{16}", "", &
    "108-08-7", "BZHMBWZPUJHVEE-UHFFFAOYSA-N")
  CALL Species("3,3-dimethylpentane", "C_7H_{16}", "", &
    "562-49-2", "AEXMKKGTQYQZCS-UHFFFAOYSA-N")
  CALL Species("3-ethylpentane", "C_7H_{16}", "", &
    "617-78-7", "AORMDLNPRGXHHL-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethylbutane", "C_7H_{16}", "", &
    "464-06-2", "ZISSAWUMDACLOM-UHFFFAOYSA-N")
  ! C8:
  CALL Species("octane", "C_8H_{18}", "", &
    "111-65-9", "TVMXDCGIABBOFY-UHFFFAOYSA-N")
  CALL Species("2-methylheptane", "C_8H_{18}", "", &
    "592-27-8", "JVSWJIKNEAIKJW-UHFFFAOYSA-N")
  CALL Species("3-methylheptane", "C_8H_{18}", "", &
    "589-81-1", "LAIUFBWHERIJIH-UHFFFAOYSA-N")
  CALL Species("4-methylheptane", "C_8H_{18}", "", &
    "589-53-7", "CHBAWFGIXDBEBT-UHFFFAOYSA-N")
  CALL Species("2,2-dimethylhexane", "C_8H_{18}", "", &
    "590-73-8", "FLTJDUOFAQWHDF-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylhexane", "C_8H_{18}", "", &
    "584-94-1", "JXPOLSKBTUYKJB-UHFFFAOYSA-N")
  CALL Species("2,4-dimethylhexane", "C_8H_{18}", "", &
    "589-43-5", "HDGQICNBXPAKLR-UHFFFAOYSA-N")
  CALL Species("2,5-dimethylhexane", "C_8H_{18}", "", &
    "592-13-2", "UWNADWZGEHDQAB-UHFFFAOYSA-N")
  CALL Species("3,3-dimethylhexane", "C_8H_{18}", "", &
    "563-16-6", "KUMXLFIBWFCMOJ-UHFFFAOYSA-N")
  CALL Species("3,4-dimethylhexane", "C_8H_{18}", "", &
    "583-48-2", "RNTWWGNZUXGTAX-UHFFFAOYSA-N")
  CALL Species("3-ethylhexane", "C_8H_{18}", "", &
    "619-99-8", "SFRKSDZMZHIISH-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethylpentane", "C_8H_{18}", "", &
    "564-02-3", "XTDQDBVBDLYELW-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethylpentane", "C_8H_{18}", "isooctane", &
    "540-84-1", "NHTMVDHEPJAVLT-UHFFFAOYSA-N")
  CALL Species("2,3,3-trimethylpentane", "C_8H_{18}", "", &
    "560-21-4", "OKVWYBALHQFVFP-UHFFFAOYSA-N")
  CALL Species("2,3,4-trimethylpentane", "C_8H_{18}", "", &
    "565-75-3", "RLPGDEORIPLBNF-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methylpentane", "C_8H_{18}", "", &
    "609-26-7", "DUPUVYJQZSLSJB-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-methylpentane", "C_8H_{18}", "", &
    "1067-08-9", "GIEZWIDCIFCQPS-UHFFFAOYSA-N")
  CALL Species("2,2,3,3-tetramethylbutane", "C_8H_{18}", "", &
    "594-82-1", "OMMLUKLXGSRPHK-UHFFFAOYSA-N")
  ! C9:
  CALL Species("nonane", "C_9H_{20}", "", &
    "111-84-2", "BKIMMITUMNQMOS-UHFFFAOYSA-N")
  CALL Species("2-methyloctane", "C_9H_{20}", "", &
    "3221-61-2", "ZUBZATZOEPUUQF-UHFFFAOYSA-N")
  CALL Species("3-methyloctane", "C_9H_{20}", "", &
    "2216-33-3", "SEEOMASXHIJCDV-UHFFFAOYSA-N")
  CALL Species("4-methyloctane", "C_9H_{20}", "", &
    "2216-34-4", "DOGIHOCMZJUJNR-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylheptane", "C_9H_{20}", "", &
    "3074-71-3", "WBRFDUJXCLCKPX-UHFFFAOYSA-N")
  CALL Species("2,2-dimethylheptane", "C_9H_{20}", "", &
    "1071-26-7", "PSABUFWDVWCFDP-UHFFFAOYSA-N")
  CALL Species("2,4-dimethylheptane", "C_9H_{20}", "", &
    "2213-23-2", "AUKVIBNBLXQNIZ-UHFFFAOYSA-N")
  CALL Species("2,5-dimethylheptane", "C_9H_{20}", "", &
    "2216-30-0", "HQZHQNKZOYIKQC-UHFFFAOYSA-N")
  CALL Species("2,6-dimethylheptane", "C_9H_{20}", "", &
    "1072-05-5", "KBPCCVWUMVGXGF-UHFFFAOYSA-N")
  CALL Species("3,3-dimethylheptane", "C_9H_{20}", "", &
    "4032-86-4", "BVAKDOXCVSMKHE-UHFFFAOYSA-N")
  CALL Species("3,4-dimethylheptane", "C_9H_{20}", "", &
    "922-28-1", "MAKRYGRRIKSDES-UHFFFAOYSA-N")
  CALL Species("3,5-dimethylheptane", "C_9H_{20}", "", &
    "926-82-9", "DZJTZGHZAWTWGA-UHFFFAOYSA-N")
  CALL Species("4,4-dimethylheptane", "C_9H_{20}", "", &
    "1068-19-5", "WSOKFYJGNBQDPW-UHFFFAOYSA-N")
  CALL Species("3-ethylheptane", "C_9H_{20}", "", &
    "15869-80-4", "PSVQKOKKLWHNRP-UHFFFAOYSA-N")
  CALL Species("4-ethylheptane", "C_9H_{20}", "", &
    "2216-32-2", "XMROPFQWHHUFFS-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethylhexane", "C_9H_{20}", "", &
    "16747-25-4", "CBVFSZDQEHBJEQ-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethylhexane", "C_9H_{20}", "", &
    "16747-26-5", "AFTPEBDOGXRMNQ-UHFFFAOYSA-N")
  CALL Species("2,2,5-trimethylhexane", "C_9H_{20}", "", &
    "3522-94-9", "HHOSMYBYIHNXNO-UHFFFAOYSA-N")
  CALL Species("2,3,3-trimethylhexane", "C_9H_{20}", "", &
    "16747-28-7", "DJYSEQMMCZAKGT-UHFFFAOYSA-N")
  CALL Species("2,3,4-trimethylhexane", "C_9H_{20}", "", &
    "921-47-1", "RUTNOQHQISEBGT-UHFFFAOYSA-N")
  CALL Species("2,3,5-trimethylhexane", "C_9H_{20}", "", &
    "1069-53-0", "ODGLTLJZCVNPBU-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethylhexane", "C_9H_{20}", "", &
    "16747-30-1", "SVEMKBCPZYWEPH-UHFFFAOYSA-N")
  CALL Species("3,3,4-trimethylhexane", "C_9H_{20}", "", &
    "16747-31-2", "ARWOOWBJJKVYOV-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methylhexane", "C_9H_{20}", "", &
    "16789-46-1", "MVLOWDRGPHBNNF-UHFFFAOYSA-N")
  CALL Species("4-ethyl-2-methylhexane", "C_9H_{20}", "", &
    "3074-75-7", "KYCZJIBOPKRSOV-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-methylhexane", "C_9H_{20}", "", &
    "3074-76-8", "CYWROHZCELEGSE-UHFFFAOYSA-N")
  CALL Species("3-ethyl-4-methylhexane", "C_9H_{20}", "", &
    "3074-77-9", "OKCRKWVABWILDR-UHFFFAOYSA-N")
  CALL Species("2,2,3,3-tetramethylpentane", "C_9H_{20}", "", &
    "7154-79-2", "QUKOJKFJIHSBKV-UHFFFAOYSA-N")
  CALL Species("2,2,3,4-tetramethylpentane", "C_9H_{20}", "", &
    "1186-53-4", "VZFMYOCAEQDWDY-UHFFFAOYSA-N")
  CALL Species("2,2,4,4-tetramethylpentane", "C_9H_{20}", "", &
    "1070-87-7", "GUMULFRCHLJNDY-UHFFFAOYSA-N")
  CALL Species("2,3,3,4-tetramethylpentane", "C_9H_{20}", "", &
    "16747-38-9", "JLCYYQOQSAMWTA-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,2-dimethylpentane", "C_9H_{20}", "", &
    "16747-32-3", "CLZCPQKGOAXOJT-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,3-dimethylpentane", "C_9H_{20}", "", &
    "16747-33-4", "MMASVVOQIKCFJZ-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,4-dimethylpentane", "C_9H_{20}", "", &
    "1068-87-7", "VLHAGZNBWKUMRW-UHFFFAOYSA-N")
  CALL Species("3,3-diethylpentane", "C_9H_{20}", "", &
    "1067-20-5", "BGXXXYLRPIRDHJ-UHFFFAOYSA-N")
  ! C10:
  CALL Species("decane", "C_{10}H_{22}", "", &
    "124-18-5", "DIOQZVSQGTUSAI-UHFFFAOYSA-N")
  CALL Species("2-methylnonane", "C_{10}H_{22}", "", &
    "871-83-0", "SGVYKUFIHHTIFL-UHFFFAOYSA-N")
  CALL Species("3-methylnonane", "C_{10}H_{22}", "", &
    "5911-04-6", "PLZDDPSCZHRBOY-UHFFFAOYSA-N")
  CALL Species("4-methylnonane", "C_{10}H_{22}", "", &
    "17301-94-9", "IALRSQMWHFKJJA-UHFFFAOYSA-N")
  CALL Species("5-methylnonane", "C_{10}H_{22}", "", &
    "15869-85-9", "TYSIILFJZXHVPU-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-87-1", "GPBUTTSWJNPYJL-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyloctane", "C_{10}H_{22}", "", &
    "7146-60-3", "YPMNDMUOGQJCLW-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyloctane", "C_{10}H_{22}", "", &
    "4032-94-4", "IXAVTTRPEXFVSX-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-89-3", "HOAAQUNESXYFDT-UHFFFAOYSA-N")
  CALL Species("2,6-dimethyloctane", "C_{10}H_{22}", "", &
    "2051-30-1", "ZALHPSXXQIPKTQ-UHFFFAOYSA-N")
  CALL Species("2,7-dimethyloctane", "C_{10}H_{22}", "", &
    "1072-16-8", "KEVMYFLMMDUPJE-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyloctane", "C_{10}H_{22}", "", &
    "4110-44-5", "DBULLUBYDONGLT-UHFFFAOYSA-N")
  CALL Species("3,4-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-92-8", "QQCWGAMGBCGAQJ-UHFFFAOYSA-N")
  CALL Species("3,5-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-93-9", "VRHRGVJOUHJULC-UHFFFAOYSA-N")
  CALL Species("3,6-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-94-0", "JEEQUUSFXYRPRK-UHFFFAOYSA-N")
  CALL Species("4,4-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-95-1", "ZMEDGZAGMLTROM-UHFFFAOYSA-N")
  CALL Species("4,5-dimethyloctane", "C_{10}H_{22}", "", &
    "15869-96-2", "DOYJTLUPPPUSMD-UHFFFAOYSA-N")
  CALL Species("3-ethyloctane", "C_{10}H_{22}", "", &
    "5881-17-4", "OEYGTUAKNZFCDJ-UHFFFAOYSA-N")
  CALL Species("4-ethyloctane", "C_{10}H_{22}", "", &
    "15869-86-0", "NRJUFUBKIFIKFI-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethylheptane", "C_{10}H_{22}", "", &
    "52896-92-1", "ACYHSTUWOQNWCX-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethylheptane", "C_{10}H_{22}", "", &
    "14720-74-2", "IIYGOARYARWJBO-UHFFFAOYSA-N")
  CALL Species("2,2,5-trimethylheptane", "C_{10}H_{22}", "", &
    "20291-95-6", "GZJFAWOTMWATOS-UHFFFAOYSA-N")
  CALL Species("2,2,6-trimethylheptane", "C_{10}H_{22}", "", &
    "1190-83-6", "FHJCGIUZJXWNET-UHFFFAOYSA-N")
  CALL Species("2,3,3-trimethylheptane", "C_{10}H_{22}", "", &
    "52896-93-2", "QACXEXNKLFWKLK-UHFFFAOYSA-N")
  CALL Species("2,3,4-trimethylheptane", "C_{10}H_{22}", "", &
    "52896-95-4", "UVVYAKOLFKEZEE-UHFFFAOYSA-N")
  CALL Species("2,3,5-trimethylheptane", "C_{10}H_{22}", "", &
    "20278-85-7", "YKPNYFKOKKKGNM-UHFFFAOYSA-N")
  CALL Species("2,3,6-trimethylheptane", "C_{10}H_{22}", "", &
    "4032-93-3", "IHPXJGBVRWFEJB-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethylheptane", "C_{10}H_{22}", "", &
    "4032-92-2", "QALGVLROELGEEM-UHFFFAOYSA-N")
  CALL Species("2,4,5-trimethylheptane", "C_{10}H_{22}", "", &
    "20278-84-6", "YMBNRMDSLJNNPF-UHFFFAOYSA-N")
  CALL Species("2,4,6-trimethylheptane", "C_{10}H_{22}", "", &
    "2613-61-8", "YNLBBDHDNIXQNL-UHFFFAOYSA-N")
  CALL Species("2,5,5-trimethylheptane", "C_{10}H_{22}", "", &
    "1189-99-7", "SOYLPZSOEXZMLE-UHFFFAOYSA-N")
  CALL Species("3,3,4-trimethylheptane", "C_{10}H_{22}", "", &
    "20278-87-9", "WRBHKVWLEIYLDZ-UHFFFAOYSA-N")
  CALL Species("3,3,5-trimethylheptane", "C_{10}H_{22}", "", &
    "7154-80-5", "VRVRZZWPKABUOE-UHFFFAOYSA-N")
  CALL Species("3,4,4-trimethylheptane", "C_{10}H_{22}", "", &
    "20278-88-0", "BLNBSBLKPFFJKQ-UHFFFAOYSA-N")
  CALL Species("3,4,5-trimethylheptane", "C_{10}H_{22}", "", &
    "20278-89-1", "LJIIBBYARMPSMT-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methylheptane", "C_{10}H_{22}", "", &
    "14676-29-0", "NKMJCVVUYDKHAV-UHFFFAOYSA-N")
  CALL Species("4-ethyl-2-methylheptane", "C_{10}H_{22}", "", &
    "52896-88-5", "OJDKRASKNKPYDH-UHFFFAOYSA-N")
  CALL Species("5-ethyl-2-methylheptane", "C_{10}H_{22}", "", &
    "13475-78-0", "DGEMPTLPTFNEHJ-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-methylheptane", "C_{10}H_{22}", "", &
    "17302-01-1", "HSOMNBKXPGCNBH-UHFFFAOYSA-N")
  CALL Species("4-ethyl-3-methylheptane", "C_{10}H_{22}", "", &
    "52896-89-6", "BTGGSWBKRYMHQK-UHFFFAOYSA-N")
  CALL Species("3-ethyl-5-methylheptane", "C_{10}H_{22}", "", &
    "52896-90-9", "VXARVYMIZCGZGG-UHFFFAOYSA-N")
  CALL Species("3-ethyl-4-methylheptane", "C_{10}H_{22}", "", &
    "52896-91-0", "JZBKRUIGSVOOIC-UHFFFAOYSA-N")
  CALL Species("4-ethyl-4-methylheptane", "C_{10}H_{22}", "", &
    "17302-04-4", "MPYQJQDSICRCJJ-UHFFFAOYSA-N")
  CALL Species("4-propylheptane", "C_{10}H_{22}", "", &
    "3178-29-8", "ABYGSZMCWVXFCQ-UHFFFAOYSA-N")
  CALL Species("4-(1-methylethyl)-heptane", "C_{10}H_{22}", "4-isopropylheptane", &
    "52896-87-4", "AZLAWGCUDHUQDB-UHFFFAOYSA-N")
  CALL Species("2,2,3,3-tetramethylhexane", "C_{10}H_{22}", "", &
    "13475-81-5", "RMQHJMMCLSJULX-UHFFFAOYSA-N")
  CALL Species("2,2,3,4-tetramethylhexane", "C_{10}H_{22}", "", &
    "52897-08-2", "MHPSPNGWFAGBNH-UHFFFAOYSA-N")
  CALL Species("2,2,3,5-tetramethylhexane", "C_{10}H_{22}", "", &
    "52897-09-3", "GCFKTDRTZYDRBI-UHFFFAOYSA-N")
  CALL Species("2,2,4,4-tetramethylhexane", "C_{10}H_{22}", "", &
    "51750-65-3", "PXHNHTBJHHSVPT-UHFFFAOYSA-N")
  CALL Species("2,2,4,5-tetramethylhexane", "C_{10}H_{22}", "", &
    "16747-42-5", "KDRZICOOQNIJDN-UHFFFAOYSA-N")
  CALL Species("2,2,5,5-tetramethylhexane", "C_{10}H_{22}", "", &
    "1071-81-4", "HXQDUXXBVMMIKL-UHFFFAOYSA-N")
  CALL Species("2,3,3,4-tetramethylhexane", "C_{10}H_{22}", "", &
    "52897-10-6", "HIHSOGFAVTVMCY-UHFFFAOYSA-N")
  CALL Species("2,3,3,5-tetramethylhexane", "C_{10}H_{22}", "", &
    "52897-11-7", "GCGFXFIPOBRMQT-UHFFFAOYSA-N")
  CALL Species("2,3,4,4-tetramethylhexane", "C_{10}H_{22}", "", &
    "52897-12-8", "XDRDDPSGUQMOBO-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetramethylhexane", "C_{10}H_{22}", "", &
    "52897-15-1", "BHGNYYIOYPFWKC-UHFFFAOYSA-N")
  CALL Species("3,3,4,4-tetramethylhexane", "C_{10}H_{22}", "", &
    "5171-84-6", "MCEYLFHKATVXLN-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,2-dimethylhexane", "C_{10}H_{22}", "", &
    "20291-91-2", "XYDYODCWVCBIOQ-UHFFFAOYSA-N")
  CALL Species("4-ethyl-2,2-dimethylhexane", "C_{10}H_{22}", "", &
    "52896-99-8", "QHLDBFLIDFTHQI-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,3-dimethylhexane", "C_{10}H_{22}", "", &
    "52897-00-4", "PJIFKODHGMUPFH-UHFFFAOYSA-N")
  CALL Species("4-ethyl-2,3-dimethylhexane", "C_{10}H_{22}", "", &
    "52897-01-5", "RHMRCCBCYFAZIK-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,4-dimethylhexane", "C_{10}H_{22}", "", &
    "7220-26-0", "OSKIMJMPFNLVOU-UHFFFAOYSA-N")
  CALL Species("4-ethyl-2,4-dimethylhexane", "C_{10}H_{22}", "", &
    "52897-03-7", "SIKFMUYSQCEQOO-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,5-dimethylhexane", "C_{10}H_{22}", "", &
    "52897-04-8", "UJEUVDLASLOZIV-UHFFFAOYSA-N")
  CALL Species("4-ethyl-3,3-dimethylhexane", "C_{10}H_{22}", "", &
    "52897-05-9", "ZRTXVJYJVBTXHE-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3,4-dimethylhexane", "C_{10}H_{22}", "", &
    "52897-06-0", "ZGJCTUKRTSBTIQ-UHFFFAOYSA-N")
  CALL Species("3,3-diethylhexane", "C_{10}H_{22}", "", &
    "17302-02-2", "WWNGLKDLYKNGGT-UHFFFAOYSA-N")
  CALL Species("3,4-diethylhexane", "C_{10}H_{22}", "", &
    "19398-77-7", "VBZCRMTUDYIWIH-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-(1-methylethyl)-hexane", "C_{10}H_{22}", "3-isopropyl-2-methylhexane", &
    "62016-13-1", "YBOXGRMAQIYMGV-UHFFFAOYSA-N")
  CALL Species("2,2,3,3,4-pentamethylpentane", "C_{10}H_{22}", "", &
    "16747-44-7", "WKQBIIUOSATALN-UHFFFAOYSA-N")
  CALL Species("2,2,3,4,4-pentamethylpentane", "C_{10}H_{22}", "", &
    "16747-45-8", "OWFKEHICSVOVAC-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,2,3-trimethylpentane", "C_{10}H_{22}", "", &
    "52897-17-3", "AJDIFHIHSYVDGP-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,2,4-trimethylpentane", "C_{10}H_{22}", "", &
    "52897-18-4", "VLIZIVHXZXQRDE-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,3,4-trimethylpentane", "C_{10}H_{22}", "", &
    "52897-19-5", "OHZNMGSGEFVFTI-UHFFFAOYSA-N")
  CALL Species("3,3-diethyl-2-methylpentane", "C_{10}H_{22}", "", &
    "52897-16-2", "DSSAZLXYIQIXGW-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-3-(1-methylethyl)-pentane", "C_{10}H_{22}", "2,4-dimethyl-3-isopropylpentane", &
    "13475-79-1", "YVYHOOYMDHZALB-UHFFFAOYSA-N")
  ! >= C11:
  CALL Species("undecane", "C_{11}H_{24}", "", &
    "1120-21-4", "RSJKGSCJYJTIGS-UHFFFAOYSA-N")
  CALL Species("dodecane", "C_{12}H_{26}", "", &
    "112-40-3", "SNRUBQQJIBEYMU-UHFFFAOYSA-N")
  CALL Species("2,2,4,6,6-pentamethylheptane", "C_{12}H_{26}", "", &
    "13475-82-6", "VKPSKYDESGTTFR-UHFFFAOYSA-N")
  CALL Species("tridecane", "C_{13}H_{28}", "", &
    "629-50-5", "IIYFAKIEWZDVMP-UHFFFAOYSA-N")
  CALL Species("tetradecane", "C_{14}H_{30}", "", &
    "629-59-4", "BGHCVCJVXZWKCC-UHFFFAOYSA-N")
  CALL Species("pentadecane", "C_{15}H_{32}", "", &
    "629-62-9", "YCOZIPAWZNQLMR-UHFFFAOYSA-N")
  CALL Species("hexadecane", "C_{16}H_{34}", "", &
    "544-76-3", "DCAYPVUWAIABOU-UHFFFAOYSA-N")
  CALL Species("heptadecane", "C_{17}H_{36}", "", &
    "629-78-7", "NDJKXXJCMXVBJW-UHFFFAOYSA-N")
  CALL Species("octadecane", "C_{18}H_{38}", "", &
    "593-45-3", "RZJRJXONCZWCBN-UHFFFAOYSA-N")
  CALL Species("nonadecane", "C_{19}H_{40}", "", &
    "629-92-5", "LQERIDTXQFOHKA-UHFFFAOYSA-N")
  CALL Species("eicosane", "C_{20}H_{42}", "", &
    "112-95-8", "CBFCDTFDPHXCNY-UHFFFAOYSA-N")
  CALL Species("heneicosane", "C_{21}H_{44}", "", &
    "629-94-7", "FNAZRRHPUDJQCJ-UHFFFAOYSA-N")
  CALL Species("docosane", "C_{22}H_{46}", "", &
    "629-97-0", "HOWGUJZVBDQJKV-UHFFFAOYSA-N")
  CALL Species("tricosane", "C_{23}H_{48}", "", &
    "638-67-5", "FIGVVZUWCLSUEI-UHFFFAOYSA-N")
  CALL Species("tetracosane", "C_{24}H_{50}", "", &
    "646-31-1", "POOSGDOYLQNASK-UHFFFAOYSA-N")
  CALL Species("pentacosane", "C_{25}H_{52}", "", &
    "629-99-2", "YKNWIILGEFFOPE-UHFFFAOYSA-N")
  CALL Species("hexacosane", "C_{26}H_{54}", "", &
    "630-01-3", "HMSWAIKSFDFLKN-UHFFFAOYSA-N")
  CALL Species("heptacosane", "C_{27}H_{56}", "", &
    "593-49-7", "BJQWYEJQWHSSCJ-UHFFFAOYSA-N")
  CALL Species("octacosane", "C_{28}H_{58}", "", &
    "630-02-4", "ZYURHZPYMFLWSH-UHFFFAOYSA-N")
  CALL Species("nonacosane", "C_{29}H_{60}", "", &
    "630-03-5", "IGGUPRCHHJZPBS-UHFFFAOYSA-N")
  CALL Species("triacontane", "C_{30}H_{62}", "", &
    "638-68-6", "JXTPJDDICSTXJX-UHFFFAOYSA-N")
  CALL Species("dotriacontane", "C_{32}H_{66}", "", &
    "544-85-4", "QHMGJGNTMQDRQA-UHFFFAOYSA-N")
  CALL Species("pentatriacontane", "C_{35}H_{72}", "", &
    "630-07-9", "VHQQPFLOGSTQPC-UHFFFAOYSA-N")
  CALL Species("hexatriacontane", "C_{36}H_{74}", "", &
    "630-06-8", "YDLYQMBWCWFRAI-UHFFFAOYSA-N")
  CALL Species("octatriacontane", "C_{38}H_{78}", "", &
    "7194-85-6", "BVKCQBBZBGYNOP-UHFFFAOYSA-N")

  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Cycloalkanes")
  CALL Species("cyclopropane", "C_3H_6", "", &
    "75-19-4", "LVZWSLJZHVFIQJ-UHFFFAOYSA-N")
  CALL Species("cyclobutane", "C_4H_8", "", &
    "287-23-0", "PMPVIKIVABFJJI-UHFFFAOYSA-N")
  CALL Species("cyclopentane", "C_5H_{10}", "", &
    "287-92-3", "RGSFGYAAUTVSQA-UHFFFAOYSA-N")
  CALL Species("cyclohexane", "C_6H_{12}", "", &
    "110-82-7", "XDTMQSROBMDMFD-UHFFFAOYSA-N")
  CALL Species("cycloheptane", "C_7H_{14}", "", &
    "291-64-5", "DMEGYFMYUHOHGS-UHFFFAOYSA-N")
  CALL Species("cyclooctane", "C_8H_{16}", "", &
    "292-64-8", "WJTCGQSWYFHTAC-UHFFFAOYSA-N")
  CALL Species("methylcyclopentane", "C_5H_9CH_3", "", &
    "96-37-7", "GDOPTJXRTPNYNR-UHFFFAOYSA-N")
  CALL Species("methylcyclohexane", "C_6H_{11}CH_3", "", &
    "108-87-2", "UAEPNZWRGJTJPN-UHFFFAOYSA-N")
  CALL Species("methylcyclohexane-d14", "C_6D_{11}CD_3", "", &
    "10120-28-2", "UAEPNZWRGJTJPN-OBYKGMMLSA-N")
  CALL Species("ethylcyclohexane", "C_8H_{16}", "", &
    "1678-91-7", "IIEWJVIFRVWJOD-UHFFFAOYSA-N")
  CALL Species("methylcycloheptane", "C_8H_{16}", "", &
    "4126-78-7", "GYNNXHKOJHMOHS-UHFFFAOYSA-N")
  CALL Species("1,2-dimethylcyclohexane", "C_6H_{10}(CH_3)_2", "", &
    "583-57-3", "KVZJLSYJROEPSQ-UHFFFAOYSA-N")
  CALL Species("{\it cis}-1,2-dimethylcyclohexane", "C_6H_{10}(CH_3)_2", "", &
    "2207-01-4", "KVZJLSYJROEPSQ-OCAPTIKFSA-N")
  CALL Species("{\it trans}-1,2-dimethylcyclohexane", "C_6H_{10}(CH_3)_2", "", &
    "6876-23-9", "KVZJLSYJROEPSQ-YUMQZZPRSA-N")
  CALL Species("1,4-dimethylcyclohexane", "C_6H_{10}(CH_3)_2", "", &
    "589-90-2", "QRMPKOFEUHIBNM-UHFFFAOYSA-N")
  CALL Species("{\it trans}-1,4-dimethylcyclohexane", "C_6H_{10}(CH_3)_2", "", &
    "2207-04-7", "QRMPKOFEUHIBNM-ZKCHVHJHSA-N")
  CALL Species("1,1,2-trimethylcyclopentane", "C_5H_7(CH_3)_3", "", &
    "4259-00-1", "WINCSBAYCULVDU-UHFFFAOYSA-N")
  CALL Species("1,1,3-trimethylcyclopentane", "C_5H_7(CH_3)_3", "", &
    "4516-69-2", "OBKHYUIZSOIEPG-UHFFFAOYSA-N")
  CALL Species("1,1,3-trimethylcyclohexane", "C_9H_{18}", "", &
    "3073-66-3", "PYOLJOJPIPCRDP-UHFFFAOYSA-N")
  CALL Species("propylcyclopentane", "C_5H_9C_3H_7", "", &
    "2040-96-2", "KDIAMAVWIJYWHN-UHFFFAOYSA-N")
  CALL Species("pentylcyclopentane", "C_5H_9C_5H_{11}", "", &
    "3741-00-2", "HPQURZRDYMUHJI-UHFFFAOYSA-N")
  CALL Species("cyclooctene", "C_8H_{14}", "", &
    "931-88-4", "URYYVOIYTNXXBN-UPHRSURJSA-N")
  CALL Species("decahydronaphthalene", "C_{10}H_{18}", "decalin", &
    "91-17-8", "NNBZCPXTIHJBJL-UHFFFAOYSA-N")
  CALL Species("octahydro-1H-indene", "C_9H_{16}", "", &
    "496-10-6", "BNRNAKTVFSZAFA-UHFFFAOYSA-N")
  CALL Species("($Z$)-bicyclo[4.4.0]decane", "C_{10}H_{18}", "{\it cis}-decahydronaphthalene; {\it cis}-decalin", &
    "493-01-6", "NNBZCPXTIHJBJL-AOOOYVTPSA-N")
  CALL Species("($E$)-bicyclo[4.4.0]decane", "C_{10}H_{18}", "{\it trans}-decahydronaphthalene; {\it trans}-decalin", &
    "493-02-7", "NNBZCPXTIHJBJL-MGCOHNPYSA-N")
  CALL Species("2,6,6-trimethylbicyclo[3.1.1]heptane", "C_{10}H_{18}", "dihydropinene", &
    "473-55-2", "XOKSLPVRUOBDEW-UHFFFAOYSA-N")
  CALL Species("1,1'-bicyclohexyl", "C_{12}H_{22}", "", &
    "92-51-3", "WVIIMZNLDWSIRH-UHFFFAOYSA-N")
  CALL Species("cyclododecane", "C_{12}H_{24}", "", &
    "294-62-2", "DDTBPAQBQHZRDW-UHFFFAOYSA-N")
  CALL Species("octahydro-1,1,2,3,3-pentamethyl-1H-indene", "C_{14}H_{26}", "", &
    "33704-60-8", "TUALLFJCLUYJEN-UHFFFAOYSA-N")
  CALL Species("1,1':3',1''-tercyclohexane", "C_{18}H_{32}", "", &
    "1706-50-9", "JBQRJHVXZMSLNH-UHFFFAOYSA-N")
  CALL Species("1,1'-(2-methylpentane-2,4-diyl)dicyclohexane", "C_{18}H_{34}", "", &
    "38970-72-8", "XUVKLBIJXLIPDZ-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Aliphatic alkenes and cycloalkenes")
  ! non-cyclic, one double bond:
  CALL Species("ethene", "C_2H_4", "ethylene", &
    "74-85-1", "VGGSQFUCUMXWEO-UHFFFAOYSA-N")
  CALL Species("propene", "C_3H_6", "propylene", &
    "115-07-1", "QQONPFPTGQHPMA-UHFFFAOYSA-N")
  CALL Species("1-butene", "C_4H_8", "", &
    "106-98-9", "VXNZUUAINFGPBY-UHFFFAOYSA-N")
  CALL Species("2-butene", "C_4H_8", "", &
    "107-01-7", "IAQRGUVFOMOMEM-UHFFFAOYSA-N")
  CALL Species("{\it cis}-2-butene", "C_4H_8", "", &
    "590-18-1", "IAQRGUVFOMOMEM-ARJAWSKDSA-N")
  CALL Species("{\it trans}-2-butene", "C_4H_8", "", &
    "624-64-6", "IAQRGUVFOMOMEM-ONEGZZNKSA-N")
  CALL Species("2-methylpropene", "C_4H_8", "isobutene", &
    "115-11-7", "VQTUBCCKSQIDNK-UHFFFAOYSA-N")
  CALL Species("1-pentene", "C_5H_{10}", "", &
    "109-67-1", "YWAKXRMUMFPDSH-UHFFFAOYSA-N")
  CALL Species("2-pentene", "C_5H_{10}", "", &
    "109-68-2", "QMMOXUPEWRXHJS-UHFFFAOYSA-N")
  CALL Species("{\it cis}-2-pentene", "C_5H_{10}", "", &
    "627-20-3", "QMMOXUPEWRXHJS-HYXAFXHYSA-N")
  CALL Species("{\it trans}-2-pentene", "C_5H_{10}", "", &
    "646-04-8", "QMMOXUPEWRXHJS-HWKANZROSA-N")
  CALL Species("2-methyl-1-butene", "C_5H_{10}", "", &
    "563-46-2", "MHNNAWXXUZQSNM-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-butene", "C_5H_{10}", "", &
    "513-35-9", "BKOOMYPCSUNDGP-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-butene", "C_5H_{10}", "", &
    "563-45-1", "YHQXBTXEYZIYOV-UHFFFAOYSA-N")
  CALL Species("1-hexene", "C_6H_{12}", "", &
    "592-41-6", "LIKMAJRDDDTEIG-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-pentene", "C_6H_{12}", "", &
    "763-29-1", "WWUVJRULCWHUSA-UHFFFAOYSA-N")
  CALL Species("4-methyl-1-pentene", "C_6H_{12}", "", &
    "691-37-2", "WSSSPWUEQFSQQG-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-1-butene", "C_6H_{12}", "", &
    "563-78-0", "OWWIWYDDISJUMY-UHFFFAOYSA-N")
  CALL Species("1-heptene", "C_7H_{14}", "", &
    "592-76-7", "ZGEGCLOFRBLKSE-UHFFFAOYSA-N")
  CALL Species("2-heptene", "C_7H_{14}", "", &
    "592-77-8", "OTTZHAVKAVGASB-UHFFFAOYSA-N")
  CALL Species("{\it trans}-2-heptene", "C_7H_{14}", "", &
    "14686-13-6", "OTTZHAVKAVGASB-HWKANZROSA-N")
  CALL Species("1-octene", "C_8H_{16}", "", &
    "111-66-0", "KWKAKUADMBZCLK-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethyl-1-pentene", "C_8H_{16}", "", &
    "107-39-1", "FXNDIJDIPNCZQJ-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethyl-2-pentene", "C_8H_{16}", "", &
    "107-40-4", "LAAVYEUJEMRIGF-UHFFFAOYSA-N")
  CALL Species("3,4,4-trimethyl-2-pentene", "C_8H_{16}", "", &
    "598-96-9", "FZQMZRXKWHQJAG-UHFFFAOYSA-N")
  CALL Species("1-nonene", "C_9H_{18}", "", &
    "124-11-8", "JRZJOMJEPLMPRA-UHFFFAOYSA-N")
  CALL Species("1-decene", "C_{10}H_{20}", "", &
    "872-05-9", "AFFLGGQVNFXPEV-UHFFFAOYSA-N")
  CALL Species("1-undecene", "C_{11}H_{22}", "", &
    "821-95-4", "DCTOHCCUXLBQMS-UHFFFAOYSA-N")
  CALL Species("1-dodecene", "C_{12}H_{24}", "", &
    "112-41-4", "CRSBERNSMYQZNG-UHFFFAOYSA-N")
  CALL Species("2,2,4,6,6-pentamethyl-3-heptene", "C_{12}H_{24}", "", &
    "123-48-8", "NBUMCEJRJRRLCA-UHFFFAOYSA-N")
  CALL Species("1-tridecene", "C_{13}H_{26}", "", &
    "2437-56-1", "VQOXUMQBYILCKR-UHFFFAOYSA-N")
  CALL Species("1-tetradecene", "C_{14}H_{28}", "", &
    "1120-36-1", "HFDVRLIODXPAHB-UHFFFAOYSA-N")
  ! non-cyclic, two or more double bonds:
  CALL Species("1,2-butadiene", "C_4H_6", "", &
    "590-19-2", "QNRMTGGDHLBXQZ-UHFFFAOYSA-N")
  CALL Species("1,3-butadiene", "C_4H_6", "", &
    "106-99-0", "KAKZBPTYRLMSJV-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,3-butadiene", "C_5H_8", "isoprene", &
    "78-79-5", "RRHGJUQNOFWUDK-UHFFFAOYSA-N")
  CALL Species("1,2-pentadiene", "C_5H_8", "", &
    "591-95-7", "LVMTVPFRTKXRPH-UHFFFAOYSA-N")
  CALL Species("1,3-pentadiene", "C_5H_8", "", &
    "504-60-9", "PMJHHCWVYXUKFD-UHFFFAOYSA-N")
  CALL Species("($E$)-1,3-pentadiene", "C_5H_8", "", &
    "2004-70-8", "PMJHHCWVYXUKFD-SNAWJCMRSA-N")
  CALL Species("1,4-pentadiene", "C_5H_8", "", &
    "591-93-5", "QYZLKGVUSQXAMU-UHFFFAOYSA-N")
  CALL Species("2,3-pentadiene", "C_5H_8", "", &
    "591-96-8", "PODAMDNJNMAKAZ-UHFFFAOYSA-N")
  CALL Species("1,4-hexadiene", "C_6H_{10}", "", &
    "592-45-0", "PRBHEGAFLDMLAL-UHFFFAOYSA-N")
  CALL Species("1,5-hexadiene", "C_6H_{10}", "", &
    "592-42-7", "PYGSKMBEVAICCR-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-1,3-butadiene", "C_6H_{10}", "", &
    "513-81-5", "SDJHPPZKZZWAKF-UHFFFAOYSA-N")
  CALL Species("1,6-heptadiene", "C_7H_{12}", "", &
    "3070-53-9", "GEAWFZNTIFJMHR-UHFFFAOYSA-N")
  ! cyclic, one double bond:
  CALL Species("1-methylcyclopropene", "C_4H_6", "", &
    "3100-04-7", "SHDPRTQPPWIEJG-UHFFFAOYSA-N")
  CALL Species("cyclopentene", "C_5H_8", "", &
    "142-29-0", "LPIQUOYDBNQMRZ-UHFFFAOYSA-N")
  CALL Species("cyclohexene", "C_6H_{10}", "", &
    "110-83-8", "HGCIXCUEYOPUTN-UHFFFAOYSA-N")
  CALL Species("1-methylcyclopentene", "C_6H_{10}", "", &
    "693-89-0", "ATQUFXWBVZUTKO-UHFFFAOYSA-N")
  CALL Species("cycloheptene", "C_7H_{12}", "", &
    "628-92-2", "ZXIJMRYMVAMXQP-UHFFFAOYSA-N")
  CALL Species("1-methylcyclohexene", "C_6H_9CH_3", "", &
    "591-49-1", "CTMHWPIWNRWQEG-UHFFFAOYSA-N")
  CALL Species("1,1,2,3,3-pentamethyl-2,3,4,5,6,7-hexahydro-1H-indene", "C_{14}H_{24}", "", &
    "33704-59-5", "CDEGOUYLXTUDAU-UHFFFAOYSA-N")
  ! cyclic, more than one double bond:
  CALL Species("1,3-cyclopentadiene", "C_5H_6", "", &
    "542-92-7", "ZSWFCLXCOIISFI-UHFFFAOYSA-N")
  CALL Species("1,3-cyclohexadiene", "C_6H_8", "", &
    "592-57-4", "MGNZXYYWBUKAII-UHFFFAOYSA-N")
  CALL Species("1,4-cyclohexadiene", "C_6H_8", "1,4-dihydrobenzene", &
    "628-41-1", "UVJHQYIOXKWHFD-UHFFFAOYSA-N")
  CALL Species("1,3-cycloheptadiene", "C_7H_{10}", "", &
    "4054-38-0", "GWYPDXLJACEENP-UHFFFAOYSA-N")
  CALL Species("1,3,5-cycloheptatriene", "C_7H_8", "", &
    "544-25-2", "CHVJITGCYZJHLR-UHFFFAOYSA-N")
  CALL Species("1,5-cyclooctadiene", "C_8H_{12}", "", &
    "111-78-4", "VYXHVRARDIDEHS-QGTKBVGQSA-N")
  CALL Species("1-ethenylcyclohexene", "C_8H_{12}", "", &
    "2622-21-1", "SDRZFSPCVYEJTP-UHFFFAOYSA-N")
  CALL Species("4-ethenylcyclohexene", "C_8H_{12}", "", &
    "100-40-3", "BBDKZWKEPDTENS-UHFFFAOYSA-N")
  CALL Species("1,3,5,7-cyclooctatetraene", "C_8H_8", "", &
    "629-20-9", "KDUIUFJBNGTBMD-DLMDZQPMSA-N")
  CALL Species("3a,4,7,7a-tetrahydro-4,7-methano-1H-indene", "C_{10}H_{12}", "dicyclopentadiene", &
    "77-73-6", "HECLRDQVFMWTQS-UHFFFAOYSA-N")
  CALL Species("1,5,9-cyclododecatriene", "C_{12}H_{18}", "", &
    "4904-61-4", "ZOLLIQAKMYWTBR-MOLCZBCNSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Aliphatic alkynes")
  CALL Species("ethyne", "C_2H_2", "acetylene", &
    "74-86-2", "HSFWRNGVRCDJHI-UHFFFAOYSA-N")
  CALL Species("propyne", "CH_3CCH", "", &
    "74-99-7", "MWWATHDPGQKSAR-UHFFFAOYSA-N")
  CALL Species("1-butyne", "C_2H_5CCH", "ethylacetylene", &
    "107-00-6", "KDKYADYSIPSCCQ-UHFFFAOYSA-N")
  CALL Species("2-butyne", "C_4H_6", "", &
    "503-17-3", "XNMQEEKYCVKGBD-UHFFFAOYSA-N")
  CALL Species("1-pentyne", "C_3H_7CCH", "", &
    "627-19-0", "IBXNCJKFFQIKKY-UHFFFAOYSA-N")
  CALL Species("2-pentyne", "C_5H_8", "", &
    "627-21-4", "NKTDTMONXHODTI-UHFFFAOYSA-N")
  CALL Species("1-hexyne", "C_4H_9CCH", "", &
    "693-02-7", "CGHIBGNXEGJPQZ-UHFFFAOYSA-N")
  CALL Species("2-hexyne", "C_6H_{10}", "", &
    "764-35-2", "MELUCTCJOARQQG-UHFFFAOYSA-N")
  CALL Species("3-hexyne", "C_6H_{10}", "", &
    "928-49-4", "DQQNMIPXXNPGCV-UHFFFAOYSA-N")
  CALL Species("1-heptyne", "C_5H_{11}CCH", "", &
    "628-71-7", "YVXHZKKCZYLQOP-UHFFFAOYSA-N")
  CALL Species("1-octyne", "C_6H_{13}CCH", "", &
    "629-05-0", "UMIPWJGWASORKV-UHFFFAOYSA-N")
  CALL Species("2-octyne", "C_8H_{14}", "", &
    "2809-67-8", "QCQALVMFTWRCFI-UHFFFAOYSA-N")
  CALL Species("1-nonyne", "C_7H_{15}CCH", "", &
    "3452-09-3", "OSSQSXOTMIGBCF-UHFFFAOYSA-N")
  CALL Species("3-buten-1-yne", "CH_2CHCCH", "vinylacetylene", &
    "689-97-4", "WFYPICNXBKQZGB-UHFFFAOYSA-N")
  CALL Species("butadiyne", "C_4H_2", "biacetylene", &
    "460-12-8", "LLCSWKVOHICRDD-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Mononuclear aromatics")
  ! saturated substituents, sorted be increasing number of C atoms:
  CALL Species("benzene", "C_6H_6", "", &
    "71-43-2", "UHOVQNZJYSORNB-UHFFFAOYSA-N")
  CALL Species("benzene-d6", "C_6D_6", "", &
    "1076-43-3", "UHOVQNZJYSORNB-MZWXYZOWSA-N")
  CALL Species("methylbenzene", "C_6H_5CH_3", "toluene", &
    "108-88-3", "YXFVVABEGXRONW-UHFFFAOYSA-N")
  CALL Species("methylbenzene-d8", "C_6D_5CD_3", "toluene-d8", &
    "2037-26-5", "YXFVVABEGXRONW-JGUCLWPXSA-N")
  CALL Species("1,2-dimethylbenzene", "C_6H_4(CH_3)_2", "$o$-xylene", &
    "95-47-6", "CTQNGGLPUBDAKN-UHFFFAOYSA-N")
  CALL Species("1,2-dimethylbenzene-d10", "C_6D_4(CD_3)_2", "$o$-xylene-d10", &
    "56004-61-6", "CTQNGGLPUBDAKN-ZGYYUIRESA-N")
  CALL Species("1,3-dimethylbenzene", "C_6H_4(CH_3)_2", "$m$-xylene", &
    "108-38-3", "IVSZLXZYQVIEFR-UHFFFAOYSA-N")
  CALL Species("1,4-dimethylbenzene", "C_6H_4(CH_3)_2", "$p$-xylene", &
    "106-42-3", "URLKBWYHVLBVBO-UHFFFAOYSA-N")
  CALL Species("1,2,3-trimethylbenzene", "C_6H_3(CH_3)_3", "", &
    "526-73-8", "FYGHSUNMUKGBRK-UHFFFAOYSA-N")
  CALL Species("1,2,4-trimethylbenzene", "C_6H_3(CH_3)_3", "", &
    "95-63-6", "GWHJZXXIDMPWGX-UHFFFAOYSA-N")
  CALL Species("1,3,5-trimethylbenzene", "C_6H_3(CH_3)_3", "mesitylene", &
    "108-67-8", "AUHZEENZYGFFBQ-UHFFFAOYSA-N")
  CALL Species("1,2,3,5-tetramethylbenzene", "C_{10}H_{14}", "", &
    "527-53-7", "BFIMMTCNYPIMRN-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetramethylbenzene", "C_{10}H_{14}", "", &
    "95-93-2", "SQNZJJAZBFDUTD-UHFFFAOYSA-N")
  CALL Species("ethylbenzene", "C_6H_5C_2H_5", "", &
    "100-41-4", "YNQLUTRBYVCPMQ-UHFFFAOYSA-N")
  CALL Species("ethylbenzene-d10", "C_6D_5C_2D_5", "", &
    "25837-05-2", "YNQLUTRBYVCPMQ-CFTAVCBPSA-N")
  CALL Species("1,2-diethylbenzene", "C_{10}H_{14}", "$o$-diethylbenzene", &
    "135-01-3", "KVNYFPKFSJIPBJ-UHFFFAOYSA-N")
  CALL Species("1,3-diethylbenzene", "C_{10}H_{14}", "$m$-diethylbenzene", &
    "141-93-5", "AFZZYIJIWUTJFO-UHFFFAOYSA-N")
  CALL Species("1,4-diethylbenzene", "C_{10}H_{14}", "$p$-diethylbenzene", &
    "105-05-5", "DSNHSQKRULAAEI-UHFFFAOYSA-N")
  CALL Species("propylbenzene", "C_6H_5C_3H_7", "", &
    "103-65-1", "ODLMAHJVESYWTB-UHFFFAOYSA-N")
  CALL Species("(2-propyl)-benzene", "C_6H_5C_3H_7", "isopropylbenzene; cumene", &
    "98-82-8", "RWGFKTVRMDUZSP-UHFFFAOYSA-N")
  CALL Species("1-ethyl-2-methylbenzene", "C_6H_4CH_3C_2H_5", "$o$-ethyltoluene", &
    "611-14-3", "HYFLWBNQFMXCPA-UHFFFAOYSA-N")
  CALL Species("1-ethyl-3-methylbenzene", "C_6H_4CH_3C_2H_5", "$m$-ethyltoluene", &
    "620-14-4", "ZLCSFXXPPANWQY-UHFFFAOYSA-N")
  CALL Species("1-ethyl-4-methylbenzene", "C_6H_4CH_3C_2H_5", "$p$-ethyltoluene", &
    "622-96-8", "JRLPEMVDPFPYPJ-UHFFFAOYSA-N")
  CALL Species("butylbenzene", "C_6H_5C_4H_9", "", &
    "104-51-8", "OCKPCBLVNKHBMX-UHFFFAOYSA-N")
  CALL Species("(1-methylpropyl)-benzene", "C_6H_5C_4H_9", "{\it sec}-butylbenzene", &
    "135-98-8", "ZJMWRROPUADPEA-UHFFFAOYSA-N") ! other CAS: 36383-15-0
  CALL Species("(2-methylpropyl)-benzene", "C_6H_5C_4H_9", "isobutylbenzene", &
    "538-93-2", "KXUHSQYYJYAXGZ-UHFFFAOYSA-N")
  CALL Species("(1,1-dimethylethyl)-benzene", "C_6H_5C_4H_9", "{\it tert}-butylbenzene", &
    "98-06-6", "YTZKOQUCBOVLHL-UHFFFAOYSA-N")
  CALL Species("1-methyl-2-(1-methylethyl)-benzene", "C_{10}H_{14}", "$o$-cymene", &
    "527-84-4", "WWRCMNKATXZARA-UHFFFAOYSA-N")
  CALL Species("1-methyl-3-(1-methylethyl)-benzene", "C_{10}H_{14}", "$m$-cymene", &
    "535-77-3", "XCYJPXQACVEIOS-UHFFFAOYSA-N")
  CALL Species("1-methyl-4-(1-methylethyl)-benzene", "C_{10}H_{14}", "$p$-cymene; $p$-isopropyltoluene", &
    "99-87-6", "HFPZCAJZSCWRBC-UHFFFAOYSA-N")
  CALL Species("4-{\it tert}-butyltoluene", "C_{11}H_{16}", "", &
    "98-51-1", "QCWXDVFBZVHKLV-UHFFFAOYSA-N")
  CALL Species("pentylbenzene", "C_6H_5C_5H_{11}", "", &
    "538-68-1", "PWATWSYOIIXYMA-UHFFFAOYSA-N")
  CALL Species("pentamethylbenzene", "C_{11}H_{16}", "", &
    "700-12-9", "BEZDDPMMPIDMGJ-UHFFFAOYSA-N")
  CALL Species("(1,1-dimethylpropyl)-benzene", "C_6H_5C_5H_{11}", "{\it tert}-amylbenzene", &
    "2049-95-8", "QHTJSSMHBLGUHV-UHFFFAOYSA-N")
  CALL Species("hexylbenzene", "C_6H_5C_6H_{13}", "", &
    "1077-16-3", "LTEQMZWBSYACLV-UHFFFAOYSA-N")
  CALL Species("hexamethylbenzene", "C_{12}H_{18}", "", &
    "87-85-4", "YUWFEBAXEOLKSG-UHFFFAOYSA-N")
  CALL Species("4-{\it tert}-butyl-$o$-xylene", "C_{12}H_{18}", "", &
    "7397-06-0", "QRPPSTNABSMSCS-UHFFFAOYSA-N")
  CALL Species("1-(1,1-dimethylethyl)-3,5-dimethylbenzene", "C_{12}H_{18}", "", &
    "98-19-1", "FZSPYHREEHYLCB-UHFFFAOYSA-N")
  CALL Species("diisopropylbenzene", "C_{12}H_{18}", "", &
    "25321-09-9", "OKIRBHVFJGXOIS-UHFFFAOYSA-N")
  CALL Species("heptylbenzene", "C_6H_5C_7H_{15}", "", &
    "1078-71-3", "LBNXAWYDQUGHGX-UHFFFAOYSA-N")
  CALL Species("5-{\it tert}-butyl-1,2,3-trimethylbenzene", "C_{13}H_{20}", "", &
    "98-23-7", "ZQVJKYPEIPJEIP-UHFFFAOYSA-N")
  CALL Species("octylbenzene", "C_6H_5C_8H_{17}", "", &
    "2189-60-8", "CDKDZKXSXLNROY-UHFFFAOYSA-N")
  CALL Species("3,5-di-{\it tert}-butyltoluene", "C_{15}H_{24}", "", &
    "15181-11-0", "WIXDSJRJFDWTNY-UHFFFAOYSA-N")
  CALL Species("1,3,5-tris(1-methylethyl)benzene", "C_{15}H_{24}", "", &
    "717-74-8", "VUMCUSHVMYIRMB-UHFFFAOYSA-N")
  CALL Species("ethyl(phenylethyl)-benzene", "C_{16}H_{18}", "", &
    "64800-83-5", "BDEIYMXBPHSOSG-UHFFFAOYSA-N")
  CALL Species("1-phenyldecane", "C_{16}H_{26}", "", &
    "104-72-3", "UZILCZKGXMQEQR-UHFFFAOYSA-N")
  CALL Species("4-(1-phenylethyl)-$m$-xylene", "C_{16}H_{18}", "", &
    "6165-52-2", "JOUBGGHXBLOLFY-UHFFFAOYSA-N")
  CALL Species("undecylbenzene", "C_{17}H_{28}", "", &
    "6742-54-7", "XBEADGFTLHRJRB-UHFFFAOYSA-N")
  CALL Species("dodecylbenzene", "C_{18}H_{30}", "", &
    "123-01-3", "KWKXNDCHNDYVRT-UHFFFAOYSA-N")
  CALL Species("tridecylbenzene", "C_{19}H_{32}", "", &
    "123-02-4", "MCVUKOYZUCWLQQ-UHFFFAOYSA-N")
  CALL Species("tetradecylbenzene", "C_{20}H_{34}", "", &
    "1459-10-5", "JZALLXAUNPOCEU-UHFFFAOYSA-N")
  CALL Species("pentadecylbenzene", "C_{21}H_{36}", "", &
    "2131-18-2", "JIRNEODMTPGRGV-UHFFFAOYSA-N")
  ! unsaturated substituents:
  CALL Species("ethenylbenzene", "C_8H_8", "styrene", &
    "100-42-5", "PPBRXRYQALVLMV-UHFFFAOYSA-N")
  CALL Species("($E$)-1-propenylbenzene", "C_9H_{10}", "", &
    "873-66-5", "QROGIFZRVHSFLM-QHHAFSJGSA-N")
  CALL Species("1-propenylbenzene", "C_9H_{10}", "", &
    "637-50-3", "QROGIFZRVHSFLM-UHFFFAOYSA-N")
  CALL Species("2-propenylbenzene", "C_9H_{10}", "allylbenzene", &
    "300-57-2", "HJWLCRVIBGQPNF-UHFFFAOYSA-N")
  CALL Species("1-ethenyl-3-methylbenzene", "C_9H_{10}", "$m$-methylstyrene", &
    "100-80-1", "JZHGRUMIRATHIU-UHFFFAOYSA-N")
  CALL Species("1-ethenyl-4-methylbenzene", "C_9H_{10}", "$p$-methylstyrene", &
    "622-97-9", "JLBJTVDPSNHSKJ-UHFFFAOYSA-N")
  CALL Species("(1-methylethenyl)-benzene", "C_9H_{10}", "$\alpha$-methyl styrene", &
    "98-83-9", "XYLMUPLGERFSHI-UHFFFAOYSA-N")
  CALL Species("phenylacetylene", "C_8H_6", "", &
    "536-74-3", "UEXCJVNBTNXOEH-UHFFFAOYSA-N")
  CALL Species("$\alpha$-methylstyrene dimer", "C_{18}H_{20}", "", &
    "6144-04-3", "ATSCZMXECPRPEA-BUHFOSPRSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Terpenes and terpenoids")
  CALL Species("1-methyl-4-(1-methylethyl)-cyclohexane", "C_{10}H_{20}", "$p$-menthane", &
    "99-82-1", "CFJYNSNXFXLKNS-UHFFFAOYSA-N")
  CALL Species("$\alpha$-pinene", "C_{10}H_{16}", "", &
    "80-56-8", "GRWFGVWFFZKLTI-UHFFFAOYSA-N")
  CALL Species("$\beta$-pinene", "C_{10}H_{16}", "", &
    "127-91-3", "WTARULDDTDQWMU-UHFFFAOYSA-N")
  CALL Species("1-methyl-4-(1-methylethyl)-1,3-cyclohexadiene", "C_{10}H_{16}", "$\alpha$-terpinene", &
    "99-86-5", "YHQGMYUVUMAZJR-UHFFFAOYSA-N")
  CALL Species("1-methyl-4-(1-methylethyl)-1,4-cyclohexadiene", "C_{10}H_{16}", "$\gamma$-terpinene", &
    "99-85-4", "YKFLAYDHMOASIY-UHFFFAOYSA-N")
  CALL Species("1-methyl-4-(1-methylethenyl)-cyclohexene", "C_{10}H_{16}", "limonene", &
    "138-86-3", "XMGQYMWWDOXHJM-UHFFFAOYSA-N")
  CALL Species("($R$)-1-methyl-4-(1-methylethenyl)-cyclohexene", "C_{10}H_{16}", "$R$-(+)-limonene; $D$-limonene", &
    "5989-27-5", "XMGQYMWWDOXHJM-SNVBAGLBSA-N")
  CALL Species("($S$)-1-methyl-4-(1-methylethenyl)-cyclohexene", "C_{10}H_{16}", "$S$-(-)-limonene", &
    "5989-54-8", "XMGQYMWWDOXHJM-JTQLQIEISA-N")
  CALL Species("3,7,7-trimethyl-bicyclo[4.1.0]hept-3-ene", "C_{10}H_{16}", "3-carene", &
    "13466-78-9", "BQOFWKZOCNGFEC-UHFFFAOYSA-N")
  CALL Species("7-methyl-3-methylene-1,6-octadiene", "C_{10}H_{16}", "myrcene", &
    "123-35-3", "UAHWPYUMFXYFJY-UHFFFAOYSA-N")
  CALL Species("1-methyl-4-(1-methylethylidene)-cyclohexene", "C_{10}H_{16}", "$\alpha$-terpinolene", &
    "586-62-9", "MOYAFQVGZZPNRA-UHFFFAOYSA-N")
  CALL Species("2-methyl-5-(1-methylethyl)-1,3-cyclohexadiene", "C_{10}H_{16}", "$\alpha$-phellandrene", &
    "99-83-2", "OGLDWXZKYODSOB-UHFFFAOYSA-N")
  CALL Species("3-methylene-6-(1-methylethyl)-cyclohexene", "C_{10}H_{16}", "$\beta$-phellandrene", &
    "555-10-2", "LFJQCDVYDGGFCH-UHFFFAOYSA-N")
  CALL Species("3,7-dimethyl-1,3,6-octatriene", "C_{10}H_{16}", "$\beta$-ocimene", &
    "13877-91-3", "IHPKGUQCSIINRJ-UHFFFAOYSA-N")
  CALL Species("($Z$)-3,7-dimethyl-1,3,6-octatriene", "C_{10}H_{16}", "{\it cis}-$\beta$-ocimene", &
    "3338-55-4", "IHPKGUQCSIINRJ-NTMALXAHSA-N")
  CALL Species("($E$)-3,7-dimethyl-1,3,6-octatriene", "C_{10}H_{16}", "{\it trans}-$\beta$-ocimene", &
    "3779-61-1", "IHPKGUQCSIINRJ-CSKARUKUSA-N")
  CALL Species("2,2-dimethyl-3-methylene-bicyclo[2.2.1]heptane", "C_{10}H_{16}", "camphene", &
    "79-92-5", "CRPUJAZIXJMDBK-UHFFFAOYSA-N")
  CALL Species("4-methylene-1-(1-methylethyl)-bicyclo[3.1.0]hexane", "C_{10}H_{16}", "sabinene", &
    "3387-41-5", "NDVASEGYNIMXJL-UHFFFAOYSA-N")
  CALL Species("tricyclo[3.3.1.1(3,7)]decane", "C_{10}H_{16}", "adamantane", &
    "281-23-2", "ORILYTVJVMAKLC-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Polynuclear aromatics")
  ! separate rings:
  CALL Species("bis(1-methylethyl)-1,1'-biphenyl", "C_{18}H_{22}", "", &
    "36876-13-8", "NUEUMFZLNOCRCQ-UHFFFAOYSA-N")
  CALL Species("1,1-bis(3,4-dimethylphenyl)ethane", "C_{18}H_{22}", "", &
    "1742-14-9", "NCSVCMFDHINRJE-UHFFFAOYSA-N")
  CALL Species("1-benzyl-2-(2-methylbenzyl)benzene", "C_{21}H_{20}", "", &
    "100404-06-6", "SMOZJCPUZPHHKQ-UHFFFAOYSA-N")
  CALL Species("2,5-dibenzyltoluene", "C_{21}H_{20}", "", &
    "56310-11-3", "INLIRICAUXXHSB-UHFFFAOYSA-N")
  CALL Species("biphenyl", "(C_6H_5)_2", "", &
    "92-52-4", "ZUOUZKKEUPVFJK-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,1'-biphenyl", "C_{13}H_{12}", "", &
    "643-58-3", "ALLIZEAXNXSFGD-UHFFFAOYSA-N") ! other CAS: 28652-72-4
  CALL Species("3-methyl-1,1'-biphenyl", "C_{13}H_{12}", "", &
    "643-93-6", "NPDIDUXTRAITDE-UHFFFAOYSA-N")
  CALL Species("4-methyl-1,1'-biphenyl", "C_{13}H_{12}", "", &
    "644-08-6", "ZZLCFHIKESPLTH-UHFFFAOYSA-N")
  CALL Species("diphenylmethane", "C_{13}H_{12}", "1,1'-methylenebisbenzene", &
    "101-81-5", "CZZYITDELCSZES-UHFFFAOYSA-N")
  CALL Species("1,2-diphenylethane", "C_{14}H_{14}", "dibenzyl", &
    "103-29-7", "QWUWMCYKGHVNAV-UHFFFAOYSA-N")
  CALL Species("$o$-terphenyl", "C_{18}H_{14}", "", &
    "84-15-1", "OIAQMFOKAXHPNH-UHFFFAOYSA-N")
  CALL Species("$m$-terphenyl", "C_{18}H_{14}", "", &
    "92-06-8", "YJTKZCDBKVTVBY-UHFFFAOYSA-N")
  CALL Species("$p$-terphenyl", "C_{18}H_{14}", "", &
    "92-94-4", "XJKSTNDFUHDPQJ-UHFFFAOYSA-N")
  ! fused rings:
  CALL Species("indene", "C_9H_8", "", &
    "95-13-6", "YBYIRNPNPLQARY-UHFFFAOYSA-N")
  CALL Species("5-ethylidene-2-norbornene", "C_9H_{12}", "", &
    "16219-75-3", "OJOWICOBYCXEKR-KRXBUXKQSA-N")
  CALL Species("azulene", "C_{10}H_8", "", &
    "275-51-4", "CUFNKYGDVFVPHO-UHFFFAOYSA-N")
  CALL Species("naphthalene", "C_{10}H_8", "", &
    "91-20-3", "UFWIBTONFRDIAS-UHFFFAOYSA-N")
  CALL Species("naphthalene-d8", "C_{10}D_8", "", &
    "1146-65-2", "UFWIBTONFRDIAS-PGRXLJNUSA-N")
  CALL Species("1-methylnaphthalene", "C_{10}H_7CH_3", "", &
    "90-12-0", "QPUYECUOLPXSFR-UHFFFAOYSA-N")
  CALL Species("1-methylnaphthalene-d10", "C_{10}D_7CD_3", "", &
    "38072-94-5", "QPUYECUOLPXSFR-UZHHFJDZSA-N")
  CALL Species("2-methylnaphthalene", "C_{10}H_7CH_3", "", &
    "91-57-6", "QIMMUPPBPVKWKM-UHFFFAOYSA-N")
  CALL Species("1-ethylnaphthalene", "C_{10}H_7C_2H_5", "", &
    "1127-76-0", "ZMXIYERNXPIYFR-UHFFFAOYSA-N")
  CALL Species("2-ethylnaphthalene", "C_{10}H_7C_2H_5", "", &
    "939-27-5", "RJTJVVYSTUQWNI-UHFFFAOYSA-N")
  CALL Species("1,3-dimethylnaphthalene", "C_{12}H_{12}", "", &
    "575-41-7", "QHJMFSMPSZREIF-UHFFFAOYSA-N")
  CALL Species("1,4-dimethylnaphthalene", "C_{12}H_{12}", "", &
    "571-58-4", "APQSQLNWAIULLK-UHFFFAOYSA-N")
  CALL Species("1,5-dimethylnaphthalene", "C_{12}H_{12}", "", &
    "571-61-9", "SDDBCEWUYXVGCQ-UHFFFAOYSA-N")
  CALL Species("1,6-dimethylnaphthalene", "C_{12}H_{12}", "", &
    "575-43-9", "CBMXCNPQDUJNHT-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylnaphthalene", "C_{12}H_{12}", "", &
    "581-40-8", "WWGUMAYGTYQSGA-UHFFFAOYSA-N")
  CALL Species("2,6-dimethylnaphthalene", "C_{12}H_{12}", "", &
    "581-42-0", "YGYNBBAUIYTWBF-UHFFFAOYSA-N")
  CALL Species("1,4,5-trimethylnaphthalene", "C_{13}H_{14}", "", &
    "2131-41-1", "FSAWRQYDMHSDRN-UHFFFAOYSA-N")
  CALL Species("2-(1-methylethyl)naphthalene", "C_{13}H_{14}", "", &
    "2027-17-0", "TVYVQNHYIHAJTD-UHFFFAOYSA-N")
  CALL Species("1,2-bis(isopropyl)naphthalene", "C_{16}H_{20}", "diisopropylnaphthalene", &
    "38640-62-9", "IAUKWGFWINVWKS-UHFFFAOYSA-N")
  CALL Species("($E$)-stilbene", "C_{14}H_{12}", "{\it trans}-1,2-diphenylethene", &
    "103-30-0", "PJANXHGTPQOBST-VAWYXSNFSA-N")
  CALL Species("acenaphthene", "C_{12}H_{10}", "", &
    "83-32-9", "CWRYPZZKDGJXCA-UHFFFAOYSA-N")
  CALL Species("acenaphthylene", "C_{12}H_8", "", &
    "208-96-8", "HXGDTGSAIMULJN-UHFFFAOYSA-N")
  CALL Species("phenanthrene", "C_{14}H_{10}", "", &
    "85-01-8", "YNPNZTXNASCQKK-UHFFFAOYSA-N")
  CALL Species("1-methylphenanthrene", "C_{15}H_{12}", "", &
    "832-69-9", "DOWJXOHBNXRUOD-UHFFFAOYSA-N")
  CALL Species("9,10-dihydrophenanthrene", "C_{14}H_{12}", "", &
    "776-35-2", "XXPBFNVKTVJZKF-UHFFFAOYSA-N")
  CALL Species("2,3-benzindene", "C_{13}H_{10}", "fluorene", &
    "86-73-7", "NIHNNTQXNPWCJQ-UHFFFAOYSA-N")
  CALL Species("benzo[$a$]fluorene", "C_{17}H_{12}", "", &
    "238-84-6", "HKMTVMBEALTRRR-UHFFFAOYSA-N")
  CALL Species("anthracene", "C_{14}H_{10}", "", &
    "120-12-7", "MWPLVEDNUUSJAV-UHFFFAOYSA-N")
  CALL Species("9-methylanthracene", "C_{15}H_{12}", "", &
    "779-02-2", "CPGPAVAKSZHMBP-UHFFFAOYSA-N")
  CALL Species("9,10-dimethylanthracene", "C_{16}H_{14}", "", &
    "781-43-1", "JTGMTYWYUZDRBK-UHFFFAOYSA-N")
  CALL Species("pyrene", "C_{16}H_{10}", "", &
    "129-00-0", "BBEAQIROQSPTKN-UHFFFAOYSA-N")
  CALL Species("1-methylpyrene", "C_{17}H_{12}", "", &
    "2381-21-7", "KBSPJIWZDWBDGM-UHFFFAOYSA-N")
  CALL Species("2-methylpyrene", "C_{17}H_{12}", "", &
    "3442-78-2", "VIRFPLJXRDHVEI-UHFFFAOYSA-N")
  CALL Species("2,7-dimethylpyrene", "C_{18}H_{14}", "", &
    "15679-24-0", "GSKHIRFMTJUBSM-UHFFFAOYSA-N")
  CALL Species("chrysene", "C_{18}H_{12}", "", &
    "218-01-9", "WDECIBYCCFPHNR-UHFFFAOYSA-N")
  CALL Species("naphthacene", "C_{18}H_{12}", "2,3-benzanthracene", &
    "92-24-0", "IFLREYGFSNHWGE-UHFFFAOYSA-N")
  CALL Species("triphenylene", "C_{18}H_{12}", "benzo[$l$]phenanthrene", &
    "217-59-4", "SLGBZMMZGDRARJ-UHFFFAOYSA-N")
  CALL Species("benzo[$jk$]fluorene", "C_{16}H_{10}", "fluoranthene", &
    "206-44-0", "GVEPBJHOBDJJJI-UHFFFAOYSA-N")
  CALL Species("benz[$a$]anthracene", "C_{18}H_{12}", "", &
    "56-55-3", "DXBHBZVCASKNBY-UHFFFAOYSA-N")
  CALL Species("7-methylbenz[$a$]anthracene", "C_{19}H_{14}", "", &
    "2541-69-7", "DIIFUCUPDHMNIV-UHFFFAOYSA-N")
  CALL Species("10-methylbenz[$a$]anthracene", "C_{19}H_{14}", "", &
    "2381-15-9", "WUMGYHICFXGLAB-UHFFFAOYSA-N")
  CALL Species("12-methylbenz[$a$]anthracene", "C_{19}H_{14}", "", &
    "2422-79-9", "ACYOLKMEHHTLAB-UHFFFAOYSA-N")
  CALL Species("7,12-dimethyl-benz[$a$]anthracene", "C_{20}H_{16}", "", &
    "57-97-6", "ARSRBNBHOADGJU-UHFFFAOYSA-N")
  CALL Species("9,10-dimethyl-benz[$a$]anthracene", "C_{20}H_{16}", "", &
    "58429-99-5", "GKVUDAZMZLMNJQ-UHFFFAOYSA-N")
  CALL Species("20-methylcholanthrene", "C_{21}H_{16}", "", &
    "56-49-5", "PPQNQXQZIWHJRB-UHFFFAOYSA-N")
  CALL Species("benzo[$b$]fluoranthene", "C_{20}H_{12}", "", &
    "205-99-2", "FTOVXSOBNPWTSH-UHFFFAOYSA-N")
  CALL Species("benzo[$k$]fluoranthene", "C_{20}H_{12}", "", &
    "207-08-9", "HAXBIWFMXWRORI-UHFFFAOYSA-N")
  CALL Species("benzo[$a$]pyrene", "C_{20}H_{12}", "benz[$a$]pyrene", &
    "50-32-8", "FMMWHPNWAFZXNH-UHFFFAOYSA-N")
  CALL Species("benzo[$e$]pyrene", "C_{20}H_{12}", "", &
    "192-97-2", "TXVHTIQJNYSSKO-UHFFFAOYSA-N")
  CALL Species("dibenzo[$a,e$]pyrene", "C_{24}H_{14}", "", &
    "192-65-4", "KGHMWBNEMFNJFZ-UHFFFAOYSA-N")
  CALL Species("dibenzo[$a,h$]pyrene", "C_{24}H_{14}", "", &
    "189-64-0", "RXUSYFJGDZFVND-UHFFFAOYSA-N")
  CALL Species("dibenzo[$a,i$]pyrene", "C_{24}H_{14}", "", &
    "189-55-9", "TUGYIJVAYAHHHM-UHFFFAOYSA-N")
  CALL Species("perylene", "C_{20}H_{12}", "dibenz[$de,kl$]anthracene", &
    "198-55-0", "CSHWQDPOILHKBI-UHFFFAOYSA-N")
  CALL Species("dibenz[$a,h$]anthracene", "C_{22}H_{14}", "", &
    "53-70-3", "LHRCREOYAASXPZ-UHFFFAOYSA-N")
  CALL Species("indeno[1,2,3-$cd$]pyrene", "C_{22}H_{12}", "", &
    "193-39-5", "SXQBHARYMNFBPS-UHFFFAOYSA-N")
  CALL Species("benzo[$ghi$]perylene", "C_{22}H_{12}", "", &
    "191-24-2", "GYFAGKUZYNFMBN-UHFFFAOYSA-N")
  CALL Species("coronene", "C_{24}H_{12}", "", &
    "191-07-1", "VPUGDVKSAQVFFS-UHFFFAOYSA-N")
  CALL Species("benzo[$b$]triphenylene", "C_{22}H_{14}", "dibenz[$a,c$]anthracene", &
    "215-58-7", "RAASUWZPTOJQAY-UHFFFAOYSA-N")
  CALL Species("dibenz[$a,j$]anthracene", "C_{22}H_{14}", "", &
    "224-41-9", "KLIHYVJAYWCEDM-UHFFFAOYSA-N")
  CALL Species("picene", "C_{22}H_{14}", "", &
    "213-46-7", "GBROPGWFBFCKAG-UHFFFAOYSA-N")
  CALL Species("1,2-benzfluoranthene", "C_{20}H_{12}", "", &
    "203-33-8", "OQDXASJSCOTNQS-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrahydronaphthalene", "C_{10}H_{12}", "tetralin", &
    "119-64-2", "CXWXQJXEFPUFDZ-UHFFFAOYSA-N")
  CALL Species("indane", "C_9H_{10}", "", &
    "496-11-7", "PQNFLJBBNBOBRQ-UHFFFAOYSA-N")
  CALL Species("2,3-dihydro-1,1,3,3,5-pentamethyl-1H-indene", "C_{14}H_{20}", "", &
    "81-03-8", "NNXHDILUOAXSPU-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrahydro-1,1,3,4,4,6-hexamethylnaphthalene", "C_{16}H_{24}", "", &
    "2084-69-7", "JIVANURAWUCQIG-UHFFFAOYSA-N")
  CALL Species("[2.2]paracyclophane", "C_{16}H_{16}", "", &
    "1633-22-3", "OOLUVSIJOMLOCB-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrahydro-5-(1-phenylethyl)-naphthalene", "C_{18}H_{20}", "", &
    "60466-61-7", "TXOHWLOHKUPUKO-UHFFFAOYSA-N")
  CALL Species("5-methylchrysene", "C_{19}H_{14}", "", &
    "3697-24-3", "GOHBXWHNJHENRX-UHFFFAOYSA-N")
  CALL Species("benzo[$j$]fluoranthene", "C_{20}H_{12}", "", &
    "205-82-3", "KHNYNFUTFKJLDD-UHFFFAOYSA-N")
  CALL Species("benzo[$c$]chrysene", "C_{22}H_{14}", "", &
    "194-69-4", "YZWGEMSQAMDWEM-UHFFFAOYSA-N")
  CALL Species("benzo[$g$]chrysene", "C_{22}H_{14}", "", &
    "196-78-1", "JZOIZKBKSZMVRV-UHFFFAOYSA-N")
  CALL Species("dibenz[$a,e$]aceanthrylene", "C_{24}H_{14}", "", &
    "5385-75-1", "JHOWUOKQHJHGMU-UHFFFAOYSA-N")
  CALL Species("dibenzo[$b,k$]chrysene", "C_{26}H_{16}", "", &
    "217-54-9", "DHCSBRKYHMINPB-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with oxygen (\chem{O})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Carbon oxides")
  CALL Species("carbon monoxide", "CO", "", &
    "630-08-0", "UGFAIRIUMAVXCW-UHFFFAOYSA-N")
  CALL Species("carbon dioxide", "CO_2", "", &
    "124-38-9", "CURLTUGMZLYLDI-UHFFFAOYSA-N")
  CALL Species("carbon suboxide", "C_3O_2", "", &
    "504-64-3", "GNEVIACKFGQMHB-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Alcohols (\chem{ROH})")
  ! aliphatic, saturated:
  ! C1:
  CALL Species("methanol", "CH_3OH", "", &
    "67-56-1", "OKKJLVBELUTLKV-UHFFFAOYSA-N")
  ! C2:
  CALL Species("ethanol", "C_2H_5OH", "", &
    "64-17-5", "LFQSCWFLJHTTHZ-UHFFFAOYSA-N")
  ! C3:
  CALL Species("1-propanol", "C_3H_7OH", "", &
    "71-23-8", "BDERNNFJNOPAEC-UHFFFAOYSA-N")
  CALL Species("2-propanol", "C_3H_7OH", "isopropanol", &
    "67-63-0", "KFZMGEQAYNKOFK-UHFFFAOYSA-N")
  CALL Species("glycidol", "C_3H_6O_2", "", &
    "556-52-5", "CTKINSOISVBQLD-UHFFFAOYSA-N")
  ! C4:
  CALL Species("1-butanol", "C_4H_9OH", "", &
    "71-36-3", "LRHPLDYGYMQRHN-UHFFFAOYSA-N")
  CALL Species("2-butanol", "C_4H_{10}O", "{\it sec}-butanol", &
    "78-92-2", "BTANRVKWQNVYAZ-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-propanol", "C_4H_{10}O", "isobutanol", &
    "78-83-1", "ZXEKIIBDNHEJCQ-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propanol", "C_4H_{10}O", "{\it tert}-butanol", &
    "75-65-0", "DKGAVHZHDRPRBM-UHFFFAOYSA-N")
  ! C5:
  CALL Species("1-pentanol", "C_5H_{11}OH", "amyl alcohol", &
    "71-41-0", "AMQJEAYHLZJPGS-UHFFFAOYSA-N")
  CALL Species("2-pentanol", "C_5H_{12}O", "{\it sec}-pentanol", &
    "6032-29-7", "JYVLIDXNZAXMDK-UHFFFAOYSA-N")
  CALL Species("3-pentanol", "C_5H_{12}O", "", &
    "584-02-1", "AQIXEPGDORPWBJ-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-butanol", "C_5H_{12}O", "isopentanol", &
    "137-32-6", "QPRQEDXDYOZYLA-UHFFFAOYSA-N")
  CALL Species("($S$)-2-methyl-1-butanol", "C_5H_{12}O", "", &
    "1565-80-6", "QPRQEDXDYOZYLA-RXMQYKEDSA-N")
  CALL Species("3-methyl-1-butanol", "C_5H_{12}O", "", &
    "123-51-3", "PHTQWCKDNZKARW-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-butanol", "C_5H_{12}O", "{\it tert}-pentanol", &
    "75-85-4", "MSXVEPNJUHWQHW-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-butanol", "C_5H_{12}O", "", &
    "598-75-4", "MXLMTQWGSQIYOW-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-1-propanol", "C_5H_{12}O", "", &
    "75-84-3", "KPSSIOMAKSHJJG-UHFFFAOYSA-N")
  ! C6:
  CALL Species("1-hexanol",                             "C_6H_{14}O", "", &
    "111-27-3", "ZSIAUFGUXNUGDI-UHFFFAOYSA-N")
  CALL Species("2-hexanol",                             "C_6H_{14}O", "", &
    "626-93-7", "QNVRIHYSUZMSGM-UHFFFAOYSA-N")
  CALL Species("3-hexanol",                             "C_6H_{14}O", "", &
    "623-37-0", "ZOCHHNOQQHDWHG-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-pentanol",                   "C_6H_{14}O", "", &
    "105-30-6", "PFNHSEQQEPMLNI-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-pentanol",                   "C_6H_{14}O", "", &
    "589-35-5", "IWTBVKIGCDZRPL-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-pentanol",                   "C_6H_{14}O", "", &
    "590-36-3", "WFRBDWRZVBPBDO-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-pentanol",                   "C_6H_{14}O", "", &
    "565-60-6", "ZXNBBWHRUSXUFZ-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-pentanol",                   "C_6H_{14}O", "", &
    "108-11-2", "WVYWICLMDOOCFB-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-pentanol",                   "C_6H_{14}O", "", &
    "565-67-3", "ISTJMQSHILQAEC-UHFFFAOYSA-N")
  CALL Species("3-methyl-3-pentanol",                   "C_6H_{14}O", "", &
    "77-74-7", "FRDAATYAJDYRNW-UHFFFAOYSA-N")
  CALL Species("2-ethyl-1-butanol",                     "C_6H_{14}O", "", &
    "97-95-0", "TZYRSLHNPKPEFV-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-1-butanol",                "C_6H_{14}O", "", &
    "1185-33-7", "XRMVWAKMXZNZIL-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-1-butanol",                "C_6H_{14}O", "", &
    "19550-30-2", "SXSWMAUXEHKFGX-UHFFFAOYSA-N") ! other CAS: 20281-85-0, 54206-54-1, 79956-98-2
  CALL Species("2,3-dimethyl-2-butanol",                "C_6H_{14}O", "", &
    "594-60-5", "IKECULIHBUCAKR-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyl-2-butanol",                "C_6H_{14}O", "", &
    "464-07-3", "DFOXKPDFWGNLJU-UHFFFAOYSA-N")
  ! C7:
  CALL Species("1-heptanol",                            "C_7H_{16}O", "", &
    "111-70-6", "BBMCTIGTTCKYKF-UHFFFAOYSA-N")
  CALL Species("2-heptanol",                            "C_7H_{16}O", "", &
    "543-49-7", "CETWDUZRCINIHU-UHFFFAOYSA-N")
  CALL Species("3-heptanol",                            "C_7H_{16}O", "", &
    "589-82-2", "RZKSECIXORKHQS-UHFFFAOYSA-N")
  CALL Species("4-heptanol",                            "C_7H_{16}O", "", &
    "589-55-9", "YVBCULSIZWMTFY-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-hexanol",                    "C_7H_{16}O", "", &
    "624-22-6", "LCFKURIJYIJNRU-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-hexanol",                    "C_7H_{16}O", "", &
    "13231-81-7", "YGZVAQICDGBHMD-UHFFFAOYSA-N")
  CALL Species("4-methyl-1-hexanol",                    "C_7H_{16}O", "", &
    "818-49-5", "YNPVNLWKVZZBTM-UHFFFAOYSA-N")
  CALL Species("5-methyl-1-hexanol",                    "C_7H_{16}O", "", &
    "627-98-5", "ZVHAANQOQZVVFD-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-hexanol",                    "C_7H_{16}O", "", &
    "625-23-0", "KRIMXCDMVRMCTC-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-hexanol",                    "C_7H_{16}O", "", &
    "2313-65-7", "IRLSKJITMWPWNY-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-hexanol",                    "C_7H_{16}O", "", &
    "2313-61-3", "KZUBXUKRWLMPIO-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-hexanol",                    "C_7H_{16}O", "", &
    "627-59-8", "ZDVJGWXFXGJSIU-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-hexanol",                    "C_7H_{16}O", "", &
    "617-29-8", "RGRUUTLDBCWYBL-UHFFFAOYSA-N")
  CALL Species("3-methyl-3-hexanol",                    "C_7H_{16}O", "", &
    "597-96-6", "KYWJZCSJMOILIZ-UHFFFAOYSA-N")
  CALL Species("4-methyl-3-hexanol",                    "C_7H_{16}O", "", &
    "615-29-2", "NZPGYIBESMMUFU-UHFFFAOYSA-N")
  CALL Species("5-methyl-3-hexanol",                    "C_7H_{16}O", "", &
    "623-55-2", "RGCZULIFYUPTAR-UHFFFAOYSA-N")
  CALL Species("2-ethyl-1-pentanol",                    "C_7H_{16}O", "", &
    "27522-11-8", "UKFQWAVMIMCNEH-UHFFFAOYSA-N")
  CALL Species("3-ethyl-1-pentanol",                    "C_7H_{16}O", "", &
    "66225-51-2", "DVEFUHVVWJONKR-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-1-pentanol",               "C_7H_{16}O", "", &
    "2370-12-9", "QTOMCRXZFDHJOL-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-1-pentanol",               "C_7H_{16}O", "", &
    "10143-23-4", "MIBBFRQOCRYDDB-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-1-pentanol",               "C_7H_{16}O", "", &
    "6305-71-1", "OVOVDHYEOQJKMD-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyl-1-pentanol",               "C_7H_{16}O", "", &
    "19264-94-9", "IFDHMBHPLKHMOY-UHFFFAOYSA-N")
  CALL Species("3,4-dimethyl-1-pentanol",               "C_7H_{16}O", "", &
    "6570-87-2", "SVJNECJVNWTYQG-UHFFFAOYSA-N")
  CALL Species("4,4-dimethyl-1-pentanol",               "C_7H_{16}O", "", &
    "3121-79-7", "OWCNPTHAWPMOJU-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-pentanol",                    "C_7H_{16}O", "", &
    "609-27-8", "NEHRITNOSGFGGS-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-2-pentanol",               "C_7H_{16}O", "", &
    "4911-70-0", "YRSIFCHKXFKNME-UHFFFAOYSA-N") ! other CAS: 50819-06-2
  CALL Species("2,4-dimethyl-2-pentanol",               "C_7H_{16}O", "", &
    "625-06-9", "FMLSQAUAAGVTJO-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyl-2-pentanol",               "C_7H_{16}O", "", &
    "19781-24-9", "FCUOIGTWJDBTHR-UHFFFAOYSA-N")
  CALL Species("3,4-dimethyl-2-pentanol",               "C_7H_{16}O", "", &
    "64502-86-9", "SODKTKJZYBOMMT-UHFFFAOYSA-N")
  CALL Species("4,4-dimethyl-2-pentanol",               "C_7H_{16}O", "", &
    "6144-93-0", "OIBKGNPMOMMSSI-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-pentanol",                    "C_7H_{16}O", "", &
    "597-49-9", "XKIRHOWVQWCYBT-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-3-pentanol",               "C_7H_{16}O", "", &
    "3970-62-5", "HMSVXZJWPVIVIV-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-3-pentanol",               "C_7H_{16}O", "", &
    "595-41-5", "RFZHJHSNHYIRNE-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-3-pentanol",               "C_7H_{16}O", "", &
    "600-36-2", "BAYAKMPRFGNNFW-UHFFFAOYSA-N")
  CALL Species("2-ethyl-2-methyl-1-butanol",            "C_7H_{16}O", "", &
    "18371-13-6", "KMWHQWJVSALJAW-UHFFFAOYSA-N")
  CALL Species("2-ethyl-3-methyl-1-butanol",            "C_7H_{16}O", "", &
    "32444-34-1", "OXFFPTMSBXBVLZ-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethyl-1-butanol",             "C_7H_{16}O", "", &
    "55505-23-2", "FAMOAJMEFGYSNY-UHFFFAOYSA-N")
  CALL Species("2,3,3-trimethyl-1-butanol",             "C_7H_{16}O", "", &
    "36794-64-6", "IWWVOLGZHKFWKK-UHFFFAOYSA-N")
  CALL Species("2,3,3-trimethyl-2-butanol",             "C_7H_{16}O", "", &
    "594-83-2", "OKXVARYIKDXAEO-UHFFFAOYSA-N")
  ! C8:
  CALL Species("1-octanol",                             "C_8H_{18}O", "", &
    "111-87-5", "KBPLFHHGFOOTCA-UHFFFAOYSA-N")
  CALL Species("2-octanol",                             "C_8H_{18}O", "", &
    "123-96-6", "SJWFXCIHNDVPSH-UHFFFAOYSA-N")
  CALL Species("3-octanol",                             "C_8H_{18}O", "", &
    "589-98-0", "NMRPBPVERJPACX-UHFFFAOYSA-N") ! other CAS: 20296-29-1
  CALL Species("4-octanol",                             "C_8H_{18}O", "", &
    "589-62-8", "WOFPPJOZXUTRAU-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-heptanol",                   "C_8H_{18}O", "", &
    "60435-70-3", "QZESEQBMSFFHRY-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-heptanol",                   "C_8H_{18}O", "", &
    "1070-32-2", "MUPPEBVXFKNMCI-UHFFFAOYSA-N")
  CALL Species("4-methyl-1-heptanol",                   "C_8H_{18}O", "", &
    "817-91-4", "LLUQZGDMUIMPTC-UHFFFAOYSA-N")
  CALL Species("5-methyl-1-heptanol",                   "C_8H_{18}O", "", &
    "7212-53-5", "KFARNLMRENFOHE-UHFFFAOYSA-N")
  CALL Species("6-methyl-1-heptanol",                   "C_8H_{18}O", "", &
    "1653-40-3", "BWDBEAQIHAEVLV-UHFFFAOYSA-N") ! other CAS: 26952-21-6
  CALL Species("2-methyl-2-heptanol",                   "C_8H_{18}O", "", &
    "625-25-2", "ACBMYYVZWKYLIP-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-heptanol",                   "C_8H_{18}O", "", &
    "31367-46-1", "SZERMVMTUUAYML-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-heptanol",                   "C_8H_{18}O", "", &
    "56298-90-9", "GUHWHNUGIGOSCN-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-heptanol",                   "C_8H_{18}O", "", &
    "54630-50-1", "FYMBAYNKBWGEIK-UHFFFAOYSA-N")
  CALL Species("6-methyl-2-heptanol",                   "C_8H_{18}O", "", &
    "4730-22-7", "FCOUHTHQYOMLJT-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-heptanol",                   "C_8H_{18}O", "", &
    "18720-62-2", "QGVFLDUEHSIZIG-UHFFFAOYSA-N")
  CALL Species("3-methyl-3-heptanol",                   "C_8H_{18}O", "", &
    "5582-82-1", "PQOSNJHBSNZITJ-UHFFFAOYSA-N")
  CALL Species("4-methyl-3-heptanol",                   "C_8H_{18}O", "", &
    "14979-39-6", "BKQICAFAUMRYLZ-UHFFFAOYSA-N")
  CALL Species("5-methyl-3-heptanol",                   "C_8H_{18}O", "", &
    "18720-65-5", "SECKOSOTZOBWEI-UHFFFAOYSA-N")
  CALL Species("2-methyl-4-heptanol",                   "C_8H_{18}O", "", &
    "21570-35-4", "QXPLZEKPCGUWEM-UHFFFAOYSA-N")
  CALL Species("3-methyl-4-heptanol",                   "C_8H_{18}O", "", &
    "1838-73-9", "JMRDKKYZLXDPLN-UHFFFAOYSA-N")
  CALL Species("4-methyl-4-heptanol",                   "C_8H_{18}O", "", &
    "598-01-6", "IQXKGRKRIRMQCQ-UHFFFAOYSA-N")
  CALL Species("2-ethyl-1-hexanol",                     "C_8H_{18}O", "", &
    "104-76-7", "YIWUKEYIRIRTPP-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-1-hexanol",                "C_8H_{18}O", "", &
    "2370-13-0", "GSSDZVRLQDXOPL-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-1-hexanol",                "C_8H_{18}O", "", &
    "3965-59-1", "GDRBQWCGBCJTLB-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyl-1-hexanol",                "C_8H_{18}O", "", &
    "6886-16-4", "OBOHUKJIPIBYTA-UHFFFAOYSA-N")
  CALL Species("3,5-dimethyl-1-hexanol",                "C_8H_{18}O", "", &
    "13501-73-0", "WETBJXIDTZXCBL-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-hexanol",                     "C_8H_{18}O", "", &
    "24448-19-9", "inchikey")
  CALL Species("2,3-dimethyl-2-hexanol",                "C_8H_{18}O", "", &
    "19550-03-9", "BFKOEFFCVFMWPF-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-2-hexanol",                "C_8H_{18}O", "", &
    "42328-76-7", "RTRZHEPXWQXCCI-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyl-2-hexanol",                "C_8H_{18}O", "", &
    "3730-60-7", "JPUIYNHIEXIFMV-UHFFFAOYSA-N")
  CALL Species("3,4-dimethyl-2-hexanol",                "C_8H_{18}O", "", &
    "19550-05-1", "LBJWJHMCZHKLQU-UHFFFAOYSA-N")
  CALL Species("3,5-dimethyl-2-hexanol",                "C_8H_{18}O", "", &
    "66576-27-0", "VGGMROOHXNLMTP-UHFFFAOYSA-N")
  CALL Species("5,5-dimethyl-2-hexanol",                "C_8H_{18}O", "", &
    "31841-77-7", "NMSUCVXVCHZTEH-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-hexanol",                     "C_8H_{18}O", "", &
    "597-76-2", "WNDLTOTUHMHNOC-UHFFFAOYSA-N")
  CALL Species("4-ethyl-3-hexanol",                     "C_8H_{18}O", "", &
    "19780-44-0", "BOJLCKCCKQMGKD-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "4209-90-9", "PFHLGQKVKALLMD-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "4166-46-5", "CGWJMIUMPDDHQC-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "13432-25-2", "UCRQJBCLZKHOGX-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "19550-07-3", "SNKTZHPOKPYBPT-UHFFFAOYSA-N")
  CALL Species("3,4-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "19550-08-4", "FJXOYCIYKQJAAF-UHFFFAOYSA-N")
  CALL Species("3,5-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "4209-91-0", "INMGJWCKWKKMPN-UHFFFAOYSA-N")
  CALL Species("4,4-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "19550-09-5", "BARKHVPKOOSMNW-UHFFFAOYSA-N")
  CALL Species("5,5-dimethyl-3-hexanol",                "C_8H_{18}O", "", &
    "66576-31-6", "NPZRPUOKIPAIEL-UHFFFAOYSA-N")
  CALL Species("2-propyl-1-pentanol",                   "C_8H_{18}O", "", &
    "58175-57-8", "LASHFHLFDRTERB-UHFFFAOYSA-N")
  CALL Species("2-ethyl-2-methyl-1-pentanol",           "C_8H_{18}O", "", &
    "5970-63-8", "VZCOFGHOKLEMPL-UHFFFAOYSA-N")
  CALL Species("2-ethyl-4-methyl-1-pentanol",           "C_8H_{18}O", "", &
    "106-67-2", "QCHSJPKDWOFACC-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethyl-1-pentanol",            "C_8H_{18}O", "", &
    "57409-53-7", "GBONVOIRPAJSLA-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethyl-1-pentanol",            "C_8H_{18}O", "", &
    "123-44-4", "CWPPDTVYIJETDF-UHFFFAOYSA-N")
  CALL Species("2,3,4-trimethyl-1-pentanol",            "C_8H_{18}O", "", &
    "6570-88-3", "PAZDSSMTPLLLIR-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethyl-1-pentanol",            "C_8H_{18}O", "", &
    "16325-63-6", "ZNRVRWHPZZOTIE-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methyl-2-pentanol",           "C_8H_{18}O", "", &
    "19780-63-3", "FRUMTAZIGSJVOJ-UHFFFAOYSA-N")
  CALL Species("3-ethyl-4-methyl-2-pentanol",           "C_8H_{18}O", "", &
    "66576-23-6", "PFRFNYYIOSQSDD-UHFFFAOYSA-N")
  CALL Species("2,3,3-trimethyl-2-pentanol",            "C_8H_{18}O", "", &
    "23171-85-9", "FBWWGYIEJGQWJP-UHFFFAOYSA-N")
  CALL Species("2,3,4-trimethyl-2-pentanol",            "C_8H_{18}O", "", &
    "66576-26-9", "FTPXXARYDFWPGE-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethyl-2-pentanol",            "C_8H_{18}O", "", &
    "690-37-9", "BSYJHYLAMMJNRC-UHFFFAOYSA-N")
  CALL Species("3,3,4-trimethyl-2-pentanol",            "C_8H_{18}O", "", &
    "19411-41-7", "BOBYQFFCQPQLOB-UHFFFAOYSA-N")
  CALL Species("3,4,4-trimethyl-2-pentanol",            "C_8H_{18}O", "", &
    "10575-56-1", "MXDGSCZQIMQLII-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methyl-3-pentanol",           "C_8H_{18}O", "", &
    "597-05-7", "DMHIJUVUPKCGLJ-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethyl-3-pentanol",            "C_8H_{18}O", "", &
    "7294-05-5", "KLIHWYNSISMOMR-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethyl-3-pentanol",            "C_8H_{18}O", "", &
    "5162-48-1", "AXINNNJHLJWMTC-UHFFFAOYSA-N")
  CALL Species("2,3,4-trimethyl-3-pentanol",            "C_8H_{18}O", "", &
    "3054-92-0", "PLSMHHUFDLYURK-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-(1-methylethyl)-1-butanol",  "C_8H_{18}O", "", &
    "18593-92-5", "IDGDEUZERZKYHG-UHFFFAOYSA-N")
  ! C9:
  CALL Species("1-nonanol",                             "C_9H_{20}O", "", &
    "143-08-8", "ZWRUINPWMLAQRD-UHFFFAOYSA-N") ! other CAS: 28473-21-4
  CALL Species("2-nonanol",                             "C_9H_{20}O", "", &
    "628-99-9", "NGDNVOAEIVQRFH-UHFFFAOYSA-N")
  CALL Species("3-nonanol",                             "C_9H_{20}O", "", &
    "624-51-1", "GYSCXPVAKHVAAY-UHFFFAOYSA-N")
  CALL Species("4-nonanol",                             "C_9H_{20}O", "", &
    "5932-79-6", "IXUOEGRSQCCEHB-UHFFFAOYSA-N")
  CALL Species("5-nonanol",                             "C_9H_{20}O", "", &
    "623-93-8", "FCBBRODPXVPZAH-UHFFFAOYSA-N")
  CALL Species("6-methyl-1-octanol",                    "C_9H_{20}O", "", &
    "38514-05-5", "WWRGKAMABZHMCN-UHFFFAOYSA-N")
  CALL Species("7-methyl-1-octanol",                    "C_9H_{20}O", "", &
    "2430-22-0", "QDTDKYHPHANITQ-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-octanol",                    "C_9H_{20}O", "", &
    "628-44-4", "KBCNUEXDHWDIFX-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-octanol",                    "C_9H_{20}O", "", &
    "26533-34-6", "DIVBBSLQUDHECU-UHFFFAOYSA-N")
  CALL Species("3-methyl-3-octanol",                    "C_9H_{20}O", "", &
    "5340-36-3", "JEWXYDDSLPIBBO-UHFFFAOYSA-N")
  CALL Species("2-methyl-4-octanol",                    "C_9H_{20}O", "", &
    "40575-41-5", "BIAVIOIDPRPYJK-UHFFFAOYSA-N")
  CALL Species("3-methyl-4-octanol",                    "C_9H_{20}O", "", &
    "26533-35-7", "MJOKZMZDONULOD-UHFFFAOYSA-N")
  CALL Species("4-methyl-4-octanol",                    "C_9H_{20}O", "", &
    "23418-37-3", "RXSIKQJQLQRQQY-UHFFFAOYSA-N")
  CALL Species("3-ethyl-1-heptanol",                    "C_9H_{20}O", "", &
    "3525-25-5", "VRZRVMXNGMZLDB-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-1-heptanol",               "C_9H_{20}O", "", &
    "14250-79-4", "WENIXZFPXMQPQQ-UHFFFAOYSA-N")
  CALL Species("2,6-dimethyl-2-heptanol",               "C_9H_{20}O", "", &
    "13254-34-7", "HGDVHRITTGWMJK-UHFFFAOYSA-N")
  CALL Species("4,6-dimethyl-2-heptanol",               "C_9H_{20}O", "", &
    "51079-52-8", "YYUGBYFBCFRGNZ-UHFFFAOYSA-N")
  CALL Species("5,6-dimethyl-2-heptanol",               "C_9H_{20}O", "", &
    "58795-24-7", "ONBXNGYZXZBRJA-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-heptanol",                    "C_9H_{20}O", "", &
    "19780-41-7", "XKRZDNKKANUBPV-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-3-heptanol",               "C_9H_{20}O", "", &
    "19549-71-4", "JIEGVNXCNNWVPH-UHFFFAOYSA-N")
  CALL Species("2,6-dimethyl-3-heptanol",               "C_9H_{20}O", "", &
    "19549-73-6", "XZDMJRIWJSNEGC-UHFFFAOYSA-N")
  CALL Species("4-ethyl-4-heptanol",                    "C_9H_{20}O", "", &
    "597-90-0", "GNROHGFUVTWFNG-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-4-heptanol",               "C_9H_{20}O", "", &
    "66793-99-5", "ZIKNXBYJTDTRQA-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-4-heptanol",               "C_9H_{20}O", "", &
    "19549-77-0", "QKRRAXACNUNGCF-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyl-4-heptanol",               "C_9H_{20}O", "", &
    "_CAS-35", "inchikey")
  CALL Species("2,6-dimethyl-4-heptanol",               "C_9H_{20}O", "", &
    "108-82-7", "HXQPUEQDBSPXTE-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyl-4-heptanol",               "C_9H_{20}O", "", &
    "19549-78-1", "UGAZGYFCTFGQQH-UHFFFAOYSA-N")
  CALL Species("2-ethyl-4-methyl-1-hexanol",            "C_9H_{20}O", "", &
    "66794-06-7", "NRZVENBFUFCASY-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methyl-1-hexanol",            "C_9H_{20}O", "", &
    "66794-01-2", "UDZCUJOKBNABRS-UHFFFAOYSA-N")
  CALL Species("3,4,4-trimethyl-1-hexanol",             "C_9H_{20}O", "", &
    "66793-73-5", "OLRPKAJSAOYYCY-UHFFFAOYSA-N")
  CALL Species("3,5,5-trimethyl-1-hexanol",             "C_9H_{20}O", "", &
    "3452-97-9", "BODRLKRKPXBDBN-UHFFFAOYSA-N")
  CALL Species("4,5,5-trimethyl-1-hexanol",             "C_9H_{20}O", "", &
    "66793-75-7", "IECJUMYEWJOKHM-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methyl-2-hexanol",            "C_9H_{20}O", "", &
    "66794-02-3", "HTOYXTGJEOUKPM-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methyl-3-hexanol",            "C_9H_{20}O", "", &
    "66794-03-4", "VUMFTWNZYFBYEB-UHFFFAOYSA-N")
  CALL Species("3-ethyl-5-methyl-3-hexanol",            "C_9H_{20}O", "", &
    "597-77-3", "RMBUNHOAKTUXTC-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethyl-3-hexanol",             "C_9H_{20}O", "", &
    "5340-41-0", "DHNHHYWBZNQHGN-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethyl-3-hexanol",             "C_9H_{20}O", "", &
    "66793-89-3", "YMBVVPXERVAJTB-UHFFFAOYSA-N")
  CALL Species("2,2,5-trimethyl-3-hexanol",             "C_9H_{20}O", "", &
    "3970-60-3", "UCLXUUYVWJKXIK-UHFFFAOYSA-N")
  CALL Species("2,4,4-trimethyl-3-hexanol",             "C_9H_{20}O", "", &
    "66793-92-8", "PDIVDRVTPZNRDZ-UHFFFAOYSA-N")
  CALL Species("3,4,4-trimethyl-3-hexanol",             "C_9H_{20}O", "", &
    "66793-74-6", "QWJDXMFJOMPTCV-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-propyl-1-pentanol",          "C_9H_{20}O", "", &
    "54004-41-0", "IGSWOIOCVJEQRH-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-(1-methylethyl)-1-pentanol", "C_9H_{20}O", "", &
    "55505-24-3", "CBHPZSADBWMIGE-UHFFFAOYSA-N")
  CALL Species("2-ethyl-2,4-dimethyl-1-pentanol",       "C_9H_{20}O", "", &
    "66793-98-4", "JIZZVMCXCCJUHI-UHFFFAOYSA-N")
  CALL Species("3,3,4,4-tetramethyl-2-pentanol",        "C_9H_{20}O", "", &
    "66793-88-2", "AIQOKYGLKGGWOI-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,2-dimethyl-3-pentanol",       "C_9H_{20}O", "", &
    "66793-96-2", "CFWIFHZJKFFDFU-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,4-dimethyl-3-pentanol",       "C_9H_{20}O", "", &
    "3970-59-0", "PZPYIRQFCOFLGJ-UHFFFAOYSA-N")
  CALL Species("2,2,3,4-tetramethyl-3-pentanol",        "C_9H_{20}O", "", &
    "29772-39-2", "KNTFAYXQHRNXSM-UHFFFAOYSA-N")
  CALL Species("2,2,4,4-tetramethylpentan-3-ol",        "C_9H_{20}O", "", &
    "14609-79-1", "WFJSIIHYYLHRHB-UHFFFAOYSA-N")
  ! C10:
  CALL Species("1-decanol",                                 "C_{10}H_{22}O", "",    &
    "112-30-1", "MWKFXSUHUHTGQN-UHFFFAOYSA-N") ! other CAS: 36729-58-5
  CALL Species("2-decanol",                                 "C_{10}H_{22}O", "",   &
    "1120-06-5", "ACUZDYFTRHEKOS-UHFFFAOYSA-N")
  CALL Species("4-decanol",                                 "C_{10}H_{22}O", "", &
    "2051-31-2", "DTDMYWXTWWFLGJ-UHFFFAOYSA-N")
  CALL Species("5-decanol",                                 "C_{10}H_{22}O", "", &
    "5205-34-5", "SZMNDOUFZGODBR-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-nonanol",                        "C_{10}H_{22}O", "", &
    "40589-14-8", "BEGNRPGEHZBNKK-UHFFFAOYSA-N")
  CALL Species("8-methyl-1-nonanol", "C_{10}H_{22}O", "isodecanol", &
    "25339-17-7", "PLLBRTOLHQQAQQ-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-nonanol",                        "C_{10}H_{22}O", "", &
    "26533-33-5", "OFIYMUXECPHIPZ-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-1-octanol",                    "C_{10}H_{22}O", "", &
    "2370-14-1", "KEXGXAGJHHCTKD-UHFFFAOYSA-N")
  CALL Species("3,7-dimethyl-1-octanol",                    "C_{10}H_{22}O", "",    &
    "106-21-8", "PRNCMAKCNVRZFX-UHFFFAOYSA-N")
  CALL Species("3-ethyl-3-octanol",                         "C_{10}H_{22}O", "",   &
    "2051-32-3", "NPQPNSNHYJTUSA-UHFFFAOYSA-N")
  CALL Species("2,3-dimethyl-3-octanol",                    "C_{10}H_{22}O", "", &
    "19781-10-3", "AWHYRPPRRQITHX-UHFFFAOYSA-N")
  CALL Species("2,7-dimethyl-3-octanol",                    "C_{10}H_{22}O", "", &
    "66719-55-9", "VFUOFVONEDBLIJ-UHFFFAOYSA-N")
  CALL Species("3,6-dimethyl-3-octanol",                    "C_{10}H_{22}O", "",    &
    "151-19-9", "NPHCXUPGMINOPP-UHFFFAOYSA-N")
  CALL Species("3,7-dimethyl-3-octanol",                    "C_{10}H_{22}O", "",     &
    "78-69-3", "DLHQZZUEERVIGQ-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-4-octanol",                    "C_{10}H_{22}O", "",  &
    "66719-52-6", "IVLDCRDTRQCTIY-UHFFFAOYSA-N")
  CALL Species("4,7-dimethyl-4-octanol",                    "C_{10}H_{22}O", "", &
    "19781-13-6", "OTISWHNJCUMBFI-UHFFFAOYSA-N")
  CALL Species("2-propyl-1-heptanol",                       "C_{10}H_{22}O", "", &
    "10042-59-8", "YLQLIQIAXYRMDL-UHFFFAOYSA-N")
  CALL Species("3-(1-methylethyl)-1-heptanol",              "C_{10}H_{22}O", "", &
    "38514-15-7", "NTGBCQFKKOCODF-UHFFFAOYSA-N")
  CALL Species("2,5,6-trimethyl-2-heptanol",                "C_{10}H_{22}O", "", &
    "66256-48-2", "LQQYOLMGDBGEBC-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-methyl-3-heptanol",               "C_{10}H_{22}O", "", &
    "66719-37-7", "GYCRUUSYQLIIBA-UHFFFAOYSA-N")
  CALL Species("2,2,3-trimethyl-3-heptanol",                "C_{10}H_{22}O", "", &
    "29772-40-5", "GCLFPNQSLCWZAQ-UHFFFAOYSA-N")
  CALL Species("3,5,5-trimethyl-3-heptanol",                "C_{10}H_{22}O", "", &
    "66256-50-6", "WOUVARFKMJIYBY-UHFFFAOYSA-N")
  CALL Species("4-propyl-4-heptanol",                       "C_{10}H_{22}O", "", &
    "2198-72-3", "SJTPBRMACCDJPZ-UHFFFAOYSA-N")
  CALL Species("4-(1-methylethyl)-4-heptanol",              "C_{10}H_{22}O", "", &
    "51200-82-9", "OHSMKBPEDBXYDU-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethyl-4-heptanol",                "C_{10}H_{22}O", "", &
    "57233-31-5", "KNACVESXMPHLNM-UHFFFAOYSA-N")
  CALL Species("2,4,6-trimethyl-4-heptanol",                "C_{10}H_{22}O", "", &
    "60836-07-9", "QSVYJSJPLCSACO-UHFFFAOYSA-N")
  CALL Species("2-butyl-1-hexanol",                         "C_{10}H_{22}O", "", &
    "2768-15-2", "LAPPDPWPIZBBJY-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-propyl-1-hexanol",               "C_{10}H_{22}O", "", &
    "66256-62-0", "VZXWJVFQXZUFQS-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-(1-methylethyl)-1-hexanol",      "C_{10}H_{22}O", "", &
    "66719-41-3", "VHGVOODVCUKVCL-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-(1-methylethyl)-1-hexanol",      "C_{10}H_{22}O", "", &
    "2051-33-4", "SFIQHFBITUEIBP-UHFFFAOYSA-N")
  CALL Species("2,3,4,4-tetramethyl-2-hexanol",             "C_{10}H_{22}O", "", &
    "66256-66-4", "IELWGTFQRBDDCZ-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-(1-methylethyl)-3-hexanol",      "C_{10}H_{22}O", "", &
    "51200-81-8", "GGOIYPAZTVTJBE-UHFFFAOYSA-N")
  CALL Species("4-ethyl-2,2-dimethyl-3-hexanol",            "C_{10}H_{22}O", "", &
    "66719-47-9", "UOYRABPBVGDJLW-UHFFFAOYSA-N")
  CALL Species("2,2,3,4-tetramethyl-3-hexanol",             "C_{10}H_{22}O", "", &
    "66256-63-1", "SAFMWGCEQYLRLS-UHFFFAOYSA-N")
  CALL Species("2,2,4,4-tetramethyl-3-hexanol",             "C_{10}H_{22}O", "", &
    "66256-65-3", "LKAPNEGVXBMYKE-UHFFFAOYSA-N")
  CALL Species("2,2,5,5-tetramethyl-3-hexanol",             "C_{10}H_{22}O", "", &
    "55073-86-4", "CFEYPBVKHMZCFR-UHFFFAOYSA-N")
  CALL Species("2,3,4,4-tetramethyl-3-hexanol",             "C_{10}H_{22}O", "", &
    "66256-67-5", "ZQFIWHOYWCJIHU-UHFFFAOYSA-N")
  CALL Species("3,4,4,5-tetramethyl-3-hexanol",             "C_{10}H_{22}O", "", &
    "66256-39-1", "UHJJSHWWLQIIOU-UHFFFAOYSA-N")
  CALL Species("3,4,5,5-tetramethyl-3-hexanol",             "C_{10}H_{22}O", "", &
    "66256-40-4", "LBLUJHQRJVUQJR-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-(2-methylpropyl)-1-pentanol",    "C_{10}H_{22}O", "", &
    "22417-45-4", "FXXCTCCAZGTNNO-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-3-propyl-3-pentanol",          "C_{10}H_{22}O", "", &
    "500001-19-4", "inchikey")
  CALL Species("2,4-dimethyl-3-(1-methylethyl)-3-pentanol", "C_{10}H_{22}O", "", &
    "51200-83-0", "IFXNWIUSZUHIDG-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2,2,4-trimethyl-3-pentanol",        "C_{10}H_{22}O", "", &
    "66256-41-5", "CHZVHXPAKQDRSE-UHFFFAOYSA-N")
  CALL Species("2,2,3,4,4-pentamethyl-3-pentanol",          "C_{10}H_{22}O", "", &
    "5857-69-2", "UYFZQUABCZILAI-UHFFFAOYSA-N")
  ! >C10:
  CALL Species("1-undecanol",    "C_{11}H_{24}O",              "", &
    "112-42-5", "KJIOQYGWTQBHNH-UHFFFAOYSA-N")
  CALL Species("1-dodecanol",    "C_{12}H_{26}O",              "", &
    "112-53-8", "LQZZUXJYWNFBMV-UHFFFAOYSA-N")
  CALL Species("2,6,8-trimethyl-4-nonanol", "C_{12}H_{26}O",   "", &
    "123-17-1", "LFEHSRSSAGQWNI-UHFFFAOYSA-N")
  CALL Species("1-tridecanol",   "C_{13}H_{28}O",              "", &
    "112-70-9", "XFRVVPUIAFSTFO-UHFFFAOYSA-N")
  CALL Species("1-tetradecanol", "C_{14}H_{30}O",              "", &
    "112-72-1", "HLZKNKRTKFSKGZ-UHFFFAOYSA-N") ! other CAS: 27196-00-5
  CALL Species("1-pentadecanol", "C_{15}H_{32}O",              "", &
    "629-76-5", "REIUXOLGHVXAEO-UHFFFAOYSA-N")
  CALL Species("1-hexadecanol",  "C_{16}H_{34}O", "cetyl alcohol", &
    "124-29-8", "BXWNKGSJHAJOGX-UHFFFAOYSA-N") ! other CAS: 36653-82-4
  CALL Species("1-heptadecanol", "C_{17}H_{36}O",              "", &
    "1454-85-9", "GOQYKNQRPGWPLP-UHFFFAOYSA-N")
  CALL Species("1-octadecanol",  "C_{18}H_{38}O",              "", &
    "112-92-5", "GLDOVTGHNKAZLK-UHFFFAOYSA-N")
  CALL Species("1-nonadecanol",  "C_{19}H_{40}O",              "", &
    "1454-84-8", "XGFDHKJUZCCPKQ-UHFFFAOYSA-N")
  CALL Species("1-eicosanol",    "C_{20}H_{42}O",              "", &
    "629-96-9", "BTFJIXJJCSYFAL-UHFFFAOYSA-N")
  CALL Species("1-docosanol", "C_{22}H_{46}O", "behenic alcohol", &
    "661-19-8", "NOPFSRXAKWQILS-UHFFFAOYSA-N")
  CALL Species("1-tetracosanol", "C_{24}H_{50}O", "", &
    "506-51-4", "TYWMIZZBOVGFOV-UHFFFAOYSA-N")
  ! cyclic:
  CALL Species("cyclopentanol", "C_5H_9OH", "", &
    "96-41-3", "XCIXKGXIYUWCLL-UHFFFAOYSA-N")
  CALL Species("cyclohexanol", "C_6H_{11}OH", "", &
    "108-93-0", "HPXRVTGHNJAIIH-UHFFFAOYSA-N")
  CALL Species("cycloheptanol", "C_7H_{13}OH", "", &
    "502-41-0", "QCRFMSUKWRQZEM-UHFFFAOYSA-N")
  CALL Species("2-methylcyclohexanol", "C_7H_{14}O", "", &
    "583-59-5", "NDVWOBYBJYUSMF-UHFFFAOYSA-N")
  CALL Species("3-methylcyclohexanol", "C_7H_{14}O", "", &
    "591-23-1", "HTSABYAWKQAHBT-UHFFFAOYSA-N")
  CALL Species("cyclododecanol", "C_{12}H_{24}O", "", &
    "1724-39-6", "SFVWPXMPRCIVOK-UHFFFAOYSA-N")
  CALL Species("perhydrobisphenol a", "C_{15}H_{28}O_2", "", &
    "80-04-6", "CDBAMNGURPMUTG-UHFFFAOYSA-N")
  CALL Species("3-(5,5,6-trimethyl-2-norbornyl)cyclohexanol", "C_{16}H_{28}O", "", &
    "3407-42-9", "BWVZAZPLUTUBKD-UHFFFAOYSA-N")
  CALL Species("4-(5,5,6-trimethylbicyclo[2.2.1]hept-2-yl)cyclohexan-1-ol", "C_{16}H_{28}O", "", &
    "66068-84-6", "PCFHYANYPQEMPU-UHFFFAOYSA-N")
  CALL Species("4-((1R,2R,4R)-born-2-yl)cyclohexanol", "C_{16}H_{28}O", "", &
    "66072-32-0", "LFHQKYSBKVWWOS-UHFFFAOYSA-N")
  ! unsaturated:
  CALL Species("2-propen-1-ol", "C_3H_5OH", "allyl alcohol", &
    "107-18-6", "XXROGKLTLUQVRX-UHFFFAOYSA-N")
  CALL Species("2-propyn-1-ol", "C_3H_4O", "propargyl alcohol", &
    "107-19-7", "TVDSBUOJIPERQY-UHFFFAOYSA-N")
  CALL Species("2-buten-1-ol", "CH_3CHCHCH_2OH", "", &
    "6117-91-5", "WCASXYBKJHWFMY-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-buten-2-ol", "C_5H_9O", "", &
    "115-18-4", "HNVRRHSXBLFLIG-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-butyn-2-ol", "C_5H_8O", "", &
    "115-19-5", "CEBKHWWANWSNTI-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-pentyn-3-ol", "C_6H_{10}O", "meparfynol", &
    "77-75-8", "QXLPXWSKPNOQLE-UHFFFAOYSA-N")
  CALL Species("1-octen-3-ol", "C_8H_{16}O", "", &
    "3391-86-4", "VSMOENVRRABVKN-UHFFFAOYSA-N")
  CALL Species("bicyclo[2.2.1]heptan-2-ol", "C_7H_{12}O", "norborneol", &
    "1632-68-4", "ZQTYQMYDIHMKQB-UHFFFAOYSA-N")
  CALL Species("3,7-dimethyl-1,6-octadien-3-ol", "C_{10}H_{18}O", "linalool", &
    "78-70-6", "CDOSHBSSFJOMGT-UHFFFAOYSA-N")
  CALL Species("($E$)-3,7-dimethyl-2,6-octadien-1-ol", "C_{10}H_{18}O", "geraniol", &
    "106-24-1", "GLZPCOQZEFWAFX-JXMROGBWSA-N")
  CALL Species("tricyclo[3.3.1.1(3,7)]decan-1-ol", "C_{10}H_{16}O", "1-adamantanol", &
    "768-95-6", "VLLNJDMHDJRNFK-UHFFFAOYSA-N")
  CALL Species("plinol", "C_{10}H_{18}O", "", &
    "11039-70-6", "inchikey")
  CALL Species("3,7,11-trimethyl-2,6,10-dodecatrien-1-ol", "C_{15}H_{26}O", "farnesol", &
    "4602-84-0", "CRDAMVZIKSXKFV-YFVJMOTDSA-N")
  CALL Species("($Z$)-9-octadecen-1-ol", "C_{18}H_{36}O", "oleyl alcohol", &
    "143-28-2", "ALSTYHKOOCGGFT-KTKRTIGZSA-N")
  CALL Species("dihydroabietyl alcohol", "C_{20}H_{34}O", "", &
    "26266-77-3", "FLMIYUXOBAUKJM-UHFFFAOYSA-N")
  CALL Species("ethylestrenol", "C_{20}H_{32}O", "", &
    "965-90-2", "AOXRBFRFYPMWLR-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("hydroxybenzene", "C_6H_5OH", "phenol", &
    "108-95-2", "ISWSIDIOOBJBQZ-UHFFFAOYSA-N")
  CALL Species("(hydroxymethyl)-benzene", "C_6H_5CH_2OH", "benzyl alcohol", &
    "100-51-6", "WVDDGKGOMKODPV-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2-methylbenzene", "HOC_6H_4CH_3", "2-cresol; $o$-cresol", &
    "95-48-7", "QWVGKYWNOKOFNN-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-3-methylbenzene", "HOC_6H_4CH_3", "3-cresol; $m$-cresol", &
    "108-39-4", "RLSSMJSEOOYNOY-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-4-methylbenzene", "HOC_6H_4CH_3", "4-cresol; $p$-cresol", &
    "106-44-5", "IWDCLRJOBJJRNH-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2,3-dimethylbenzene", "C_8H_{10}O", "2,3-xylenol; 2,3-dimethylphenol", &
    "526-75-0", "QWBBPBRQALCEIZ-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2,4-dimethylbenzene", "C_8H_{10}O", "2,4-xylenol; 2,4-dimethylphenol", &
    "105-67-9", "KUFFULVDNCHOFZ-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2,5-dimethylbenzene", "C_8H_{10}O", "2,5-xylenol; 2,5-dimethylphenol", &
    "95-87-4", "NKTOLZVEWDHZMU-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2,6-dimethylbenzene", "C_8H_{10}O", "2,6-xylenol; 2,6-dimethylphenol", &
    "576-26-1", "NXXYKOUNUYWIHA-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-3,4-dimethylbenzene", "C_8H_{10}O", "3,4-xylenol; 3,4-dimethylphenol", &
    "95-65-8", "YCOXTKKNXUZSKD-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-3,5-dimethylbenzene", "C_8H_{10}O", "3,5-xylenol; 3,5-dimethylphenol", &
    "108-68-9", "TUAMRELNJMMDMT-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenemethanol", "C_8H_{10}O", "", &
    "589-18-4", "KMTDMTZBNYGUNX-UHFFFAOYSA-N")
  CALL Species("$\alpha$-methylbenzyl alcohol", "C_8H_{10}O", "", &
    "98-85-1", "WAPNOHKVXSQRPX-UHFFFAOYSA-N")
  CALL Species("2,3,5-trimethylphenol", "C_9H_{12}O", "", &
    "697-82-5", "OGRAOKJKVGDSFR-UHFFFAOYSA-N")
  CALL Species("2,4,6-trimethylphenol", "C_9H_{12}O", "", &
    "527-60-6", "BPRYUXCVCCNUFE-UHFFFAOYSA-N")
  CALL Species("3,4,5-trimethylphenol", "C_9H_{12}O", "", &
    "527-54-8", "FDQQNNZKEJIHMS-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2-ethylbenzene", "C_8H_{10}O", "2-ethylphenol", &
    "90-00-6", "IXQGCWUGDFDQMF-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-3-ethylbenzene", "C_8H_{10}O", "3-ethylphenol", &
    "620-17-7", "HMNKTRSOROOSPP-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-4-ethylbenzene", "C_8H_{10}O", "4-ethylphenol", &
    "123-07-9", "HXDOZKJGKXYMEW-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-4-propylbenzene", "C_9H_{12}O", "4-propylphenol", &
    "645-56-7", "KLSLBUSXWBJMEC-UHFFFAOYSA-N")
  CALL Species("2-(1-methylethyl)-phenol", "C_9H_{12}O", "", &
    "88-69-7", "CRBJBYGJVIBWIY-UHFFFAOYSA-N")
  CALL Species("2-phenylisopropanol", "C_9H_{12}O", "", &
    "617-94-7", "BDCFWIDZNLCTMF-UHFFFAOYSA-N")
  CALL Species("3-methyl-5-ethylphenol", "C_9H_{12}O", "", &
    "698-71-5", "XTCHLXABLZQNNN-UHFFFAOYSA-N")
  CALL Species("2,3,6-trimethylphenol", "C_9H_{12}O", "", &
    "2416-94-6", "QQOMQLYQAXGHSU-UHFFFAOYSA-N")
  CALL Species("2-(1,1-dimethylethyl)phenol", "C_{10}H_{14}O", "", &
    "88-18-6", "WJQOZHYUIDYNHM-UHFFFAOYSA-N")
  CALL Species("2-(1-methylpropyl)phenol", "C_{10}H_{14}O", "", &
    "89-72-5", "NGFPWHGISWUQOI-UHFFFAOYSA-N")
  CALL Species("4-(1-methylpropyl)-phenol", "C_{10}H_{14}O", "4-{\it sec}-butylphenol", &
    "99-71-8", "ZUTYZAFDFLLILI-UHFFFAOYSA-N")
  CALL Species("4-{\it tert}-butylphenol", "C_{10}H_{14}O", "", &
    "98-54-4", "QHPQWRBYOIRBIT-UHFFFAOYSA-N")
  CALL Species("2-methyl-5-(1-methylethyl)-phenol", "C_{10}H_{14}O", "carvacrol", &
    "499-75-2", "RECUKUPTGUEGMW-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-(1-methylethyl)-phenol", "C_{10}H_{14}O", "thymol", &
    "89-83-8", "MGSRCZKZVOBKFT-UHFFFAOYSA-N")
  CALL Species("2-(1,1-dimethylethyl)-4-methylphenol", "C_{11}H_{16}O", "", &
    "2409-55-4", "IKEHOXWJQXIQAG-UHFFFAOYSA-N")
  CALL Species("4-(1,1-dimethylpropyl)phenol", "C_{11}H_{16}O", "", &
    "80-46-6", "NRZWYNLTFLDQQX-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-4-octylbenzene", "C_{14}H_{22}O", "4-octylphenol", &
    "1806-26-4", "NTDQQZYCCIDJRK-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-4-nonylbenzene", "C_{15}H_{24}O", "4-nonylphenol", &
    "104-40-5", "IGFHQQFPSIBGKE-UHFFFAOYSA-N")
  CALL Species("4-(1,1,3,3-tetramethylbutyl)-phenol", "C_{14}H_{22}O", "$p$-{\it tert}-octylphenol", &
    "140-66-9", "ISAVYTVYFVQUDY-UHFFFAOYSA-N")
  CALL Species("2,6-bis(1,1-dimethylethyl)-4-methylphenol", "C_{15}H_{24}O", "butylated hydroxytoluene; BHT", &
    "128-37-0", "NLZUEZXRPGMBCV-UHFFFAOYSA-N")
  CALL Species("4-(3',5'-dimethyl-3'-heptyl)-phenol(+)", "C_{15}H_{24}O", "", &
    "_CAS-33", "inchikey")
  CALL Species("4-(3',5'-dimethyl-3'-heptyl)-phenol(-)", "C_{15}H_{24}O", "", &
    "_CAS-34", "inchikey")
  CALL Species("2-phenylethanol", "C_8H_{10}O", "", &
    "60-12-8", "WRMNZCZEMHIOCP-UHFFFAOYSA-N")
  CALL Species("3-phenyl-1-propanol", "C_9H_{12}O", "", &
    "122-97-4", "VAJVDSVGBWFCLW-UHFFFAOYSA-N")
  CALL Species("4-phenyl-1-butanol", "C_{10}H_{14}O", "", &
    "3360-41-6", "LDZLXQFDGRCELX-UHFFFAOYSA-N")
  CALL Species("1-naphthalenol", "C_{10}H_8O", "1-naphthol", &
    "90-15-3", "KJCVRFUGPWSIIH-UHFFFAOYSA-N")
  CALL Species("2-naphthalenol", "C_{10}H_8O", "2-naphthol", &
    "135-19-3", "JWAZRIHNYRIHIV-UHFFFAOYSA-N")
  CALL Species("$o$-hydroxybiphenyl", "C_{12}H_{10}O", "", &
    "90-43-7", "LLEMOWNGBBNAJR-UHFFFAOYSA-N")
  CALL Species("$p$-hydroxybiphenyl", "C_{12}H_{10}O", "", &
    "92-69-3", "YXVFYQXJAXKLAK-UHFFFAOYSA-N")
  CALL Species("2,4,6-tris(1,1-dimethylethyl)phenol", "C_{18}H_{30}O", "", &
    "732-26-3", "PFEFOYRSMXVNEL-UHFFFAOYSA-N")
  CALL Species("dehydroabietol", "C_{20}H_{30}O", "", &
    "3772-55-2", "WSKGRAGZAQRSED-IOJLRTSASA-N")
  CALL Species("2,2'-methylenebis(6-(1,1-dimethylethyl)-4-methylphenol)", "C_{23}H_{32}O_2", "", &
    "119-47-1", "KGRVJHAUYBGFFP-UHFFFAOYSA-N")
  CALL Species("2,4-dinonylphenol", "C_{24}H_{42}O", "", &
    "137-99-5", "FDAJTLLBHNHECW-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Polyols (\chem{R(OH)_n})")
  ! aliphatic, saturated:
  CALL Species("1,2-ethanediol", "HO(CH_2)_2OH", "ethylene glycol", &
    "107-21-1", "LYCAIKOWRPUZTN-UHFFFAOYSA-N")
  CALL Species("1,2-propanediol", "C_3H_8O_2", "", &
    "57-55-6", "DNIAPMSPPWPWGF-UHFFFAOYSA-N")
  CALL Species("1,3-propanediol", "C_3H_8O_2", "", &
    "504-63-2", "YPFDHNVEDLHUCE-UHFFFAOYSA-N")
  CALL Species("1,2,3-propanetriol", "C_3H_8O_3", "glycerol", &
    "56-81-5", "PEDCQBHIVMGVHV-UHFFFAOYSA-N")
  CALL Species("1,2-butanediol", "C_4H_{10}O_2", "", &
    "584-03-2", "BMRWNKZVCUKKSR-UHFFFAOYSA-N")
  CALL Species("1,3-butanediol", "C_4H_{10}O_2", "", &
    "107-88-0", "PUPZLCDOIYMWBV-UHFFFAOYSA-N")
  CALL Species("1,4-butanediol", "C_4H_{10}O_2", "", &
    "110-63-4", "WERYXYBDKMZEQL-UHFFFAOYSA-N")
  CALL Species("2,3-butanediol", "C_4H_{10}O_2", "", &
    "513-85-9", "OWBTYPJTUOEWEK-UHFFFAOYSA-N")
  CALL Species("2-methylpropane-1,3-diol", "C_4H_{10}O_2", "", &
    "2163-42-0", "QWGRWMMWNDWRQN-UHFFFAOYSA-N")
  CALL Species("1,2,3-butanetriol", "C_4H_{10}O_3", "", &
    "4435-50-1", "YAXKTBLXMTYWDQ-UHFFFAOYSA-N")
  CALL Species("1,2,4-butanetriol", "C_4H_{10}O_3", "", &
    "3068-00-6", "ARXKVVRQIIOZGF-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-butanetetrol", "C_4H_{10}O_4", "1,2,3,4-tetrahydroxybutane", &
    "_CAS-82", "inchikey") ! CAS for racemat not available
  CALL Species("2($R$),3($S$)-1,2,3,4-butanetetrol", "C_4H_{10}O_4", "erythritol", &
    "149-32-6", "UNXHWFMMPAWVPI-ZXZARUISSA-N")
  CALL Species("1,2-pentanediol", "C_5H_{12}O_2", "", &
    "5343-92-0", "WCVRQHFDJLLWFE-UHFFFAOYSA-N")
  CALL Species("1,4-pentanediol", "C_5H_{12}O_2", "", &
    "626-95-9", "GLOBUAZSRIOKLN-UHFFFAOYSA-N")
  CALL Species("1,5-pentanediol", "C_5H_{12}O_2", "", &
    "111-29-5", "ALQSHHUCVQOPAS-UHFFFAOYSA-N")
  CALL Species("2,3-pentanediol", "C_5H_{12}O_2", "", &
    "42027-23-6", "XLMFDCKSFJWJTP-UHFFFAOYSA-N")
  CALL Species("2,4-pentanediol", "C_5H_{12}O_2", "", &
    "625-69-4", "GTCCGKPBSJZVRZ-UHFFFAOYSA-N")
  CALL Species("2-(hydroxymethyl)-2-methyl-1,3-propanediol", "C_5H_{12}O_3", "", &
    "77-85-0", "QXJQHYBHAIHNGG-UHFFFAOYSA-N")
  CALL Species("2,2-bis(hydroxymethyl)1,3-propanediol", "C_5H_{12}O_4", "pentaerythritol", &
    "115-77-5", "WXZMFSXDPGVJKK-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5-pentanepentol", "C_5H_{12}O_5", "", &
    "_CAS-81", "inchikey") ! CAS for racemat not available
  CALL Species("(2R,3R,4S)-pentane-1,2,3,4,5-pentol", "C_5H_{12}O_5", "xylitol", &
    "87-99-0", "HEBKCHPVOIAQTA-SCDXWVJYSA-N")
  CALL Species("(2R,3S,4S)-pentane-1,2,3,4,5-pentol", "C_5H_{12}O_5", "adonitol; ribitol", &
    "488-81-3", "HEBKCHPVOIAQTA-ZXFHETKHSA-N")
  CALL Species("(2R,4R)-pentane-1,2,3,4,5-pentol", "C_5H_{12}O_5", "arabitol; arabinitol", &
    "2152-56-9", "HEBKCHPVOIAQTA-QWWZWVQMSA-N")
  CALL Species("1,2-hexanediol", "C_6H_{14}O_2", "", &
    "6920-22-5", "FHKSXSQHXQEMOK-UHFFFAOYSA-N")
  CALL Species("1,6-hexanediol", "C_6H_{14}O_2", "", &
    "629-11-8", "XXMIOPMDWAUFGU-UHFFFAOYSA-N")
  CALL Species("2,5-hexanediol", "C_6H_{14}O_2", "", &
    "2935-44-6", "OHMBHFSEKCCCBW-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,3-pentanediol", "C_6H_{14}O_2", "", &
    "149-31-5", "SPXWGAHNKXLXAP-UHFFFAOYSA-N")
  CALL Species("2-methyl-2,4-pentanediol", "C_6H_{14}O_2", "", &
    "107-41-5", "SVTBMSDMJJWYQN-UHFFFAOYSA-N")
  CALL Species("1,2,6-hexanetriol", "C_6H_{14}O_3", "", &
    "106-69-4", "ZWVMLYRJXORSEP-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5,6-hexahydroxy hexane", "C_6H_{14}O_6", "", &
    "_CAS-83", "inchikey") ! CAS for racemat not available
  CALL Species("(2S,3R,4R,5R)-hexane-1,2,3,4,5,6-hexol", "C_6H_{14}O_6", "sorbitol", &
    "50-70-4", "FBPFZTCFMRRESA-JGWLITMVSA-N")
  CALL Species("(2R,3R,4R,5R)-hexane-1,2,3,4,5,6-hexol", "C_6H_{14}O_6", "mannitol", &
    "69-65-8", "FBPFZTCFMRRESA-KVTDHHQDSA-N")
  CALL Species("(2R,3S,4R,5S)-hexane-1,2,3,4,5,6-hexol", "C_6H_{14}O_6", "dulcitol; galactitol", &
    "608-66-2", "FBPFZTCFMRRESA-GUCUJZIJSA-N")
  CALL Species("1,2,4,5-cyclohexanetetrol", "C_6H_{12}O_4", "1,2,4,5-tetrahydroxycyclohexane", &
    "35652-37-0", "RDIDGZFQASQXBU-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5,6-hexahydroxycyclohexane", "C_6H_{12}O_6", "", &
    "87-89-8", "CDAISMWEOUEBRE-UHFFFAOYSA-N")
  CALL Species("1,7-heptanediol", "C_7H_{16}O_2", "", &
    "629-30-1", "SXCBDZAEHILGLM-UHFFFAOYSA-N")
  CALL Species("2,4-heptanediol", "C_7H_{16}O_2", "", &
    "20748-86-1", "XVEOUOTUJBYHNL-UHFFFAOYSA-N")
  CALL Species("2,2-diethyl-1,3-propanediol", "C_7H_{16}O_2", "", &
    "115-76-4", "XRVCFZPJAHWYTB-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5-pentahydroxyheptane", "C_7H_{16}O_5", "", &
    "_CAS-01", "inchikey")
  CALL Species("1,2,3,4,6-pentahydroxyheptane", "C_7H_{16}O_5", "", &
    "_CAS-02", "inchikey")
  CALL Species("1,2,3,5,7-pentahydroxyheptane", "C_7H_{16}O_5", "", &
    "_CAS-03", "inchikey")
  CALL Species("1,2,3,4,5,6-hexahydroxyheptane", "C_7H_{16}O_6", "1-deoxy-heptitol", &
    "688007-16-1", "YMEXGEAJNZRQEH-VIFPVBQESA-N")
  CALL Species("4-methylcyclohexanemethanol", "C_8H_{16}O", "", &
    "34885-03-5", "OSINZLLLLCUKJH-UHFFFAOYSA-N")
  CALL Species("1,4-cyclohexanedimethanol", "C_8H_{16}O_2", "", &
    "105-08-8", "YIMQCDZDWXUDCA-UHFFFAOYSA-N")
  CALL Species("2-ethyl-1,3-hexanediol", "C_8H_{18}O_2", "", &
    "94-96-2", "RWLALWYNXFYRGW-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethyl-1,3-pentanediol", "C_8H_{18}O_2", "", &
    "144-19-4", "JCTXKRPTIMZBJT-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyl-2,5-hexanediol", "C_8H_{18}O_2", "", &
    "110-03-2", "ZWNMRZQYWRLGMM-UHFFFAOYSA-N")
  CALL Species("1,9-nonanediol", "C_9H_{20}O_2", "", &
    "3937-56-2", "ALVZNPYWJMLXKV-UHFFFAOYSA-N")
  CALL Species("1,10-decanediol", "C_{10}H_{22}O_2", "", &
    "112-47-0", "FOTKYAAJKYLFFN-UHFFFAOYSA-N")
  ! aliphatic, unsaturated:
  CALL Species("2-butene-1,4-diol", "C_4H_8O_2", "", &
    "110-64-5", "ORTVZLZNOYNASJ-UHFFFAOYSA-N")
  CALL Species("2-butyne-1,4-diol", "C_4H_6O_2", "1,4-dihydroxy-2-butyne", &
    "110-65-6", "DLDJFQGPPSQZKI-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("1,2-dihydroxybenzene", "C_6H_4(OH)_2", "pyrocatechol", &
    "120-80-9", "YCIMNLLNPGFGHC-UHFFFAOYSA-N")
  CALL Species("1,3-dihydroxybenzene", "C_6H_4(OH)_2", "resorcinol", &
    "108-46-3", "GHMLBKRAJCXXBS-UHFFFAOYSA-N")
  CALL Species("1,4-dihydroxybenzene", "C_6H_4(OH)_2", "hydroquinone", &
    "123-31-9", "QIGBRXMKCJKVMJ-UHFFFAOYSA-N")
  CALL Species("1,2,3-benzenetriol", "C_6H_6O_3", "pyrogallic acid", &
    "87-66-1", "WQGWDDDVZFFDIG-UHFFFAOYSA-N")
  CALL Species("hexylresorcinol", "C_{12}H_{18}O_2", "", &
    "136-77-6", "WFJIVOKAWHGMBH-UHFFFAOYSA-N")
  CALL Species("2,6-bis(1,1-dimethylethyl)phenol", "C_{14}H_{22}O", "", &
    "128-39-2", "DKCPKDPYUFEZCP-UHFFFAOYSA-N")
  CALL Species("4-(1-methyl-1-phenylethyl)phenol", "C_{15}H_{16}O", "", &
    "599-64-4", "QBDSZLJBMIMQRS-UHFFFAOYSA-N")
  CALL Species("2,2',3,3'-tetrahydro-3,3,3',3'-tetramethyl-1,1'-spirobi(1H-indene)-6,6'-diol", "C_{21}H_{24}O_2", "", &
    "1568-80-5", "SICLLPHPVFCNTJ-UHFFFAOYSA-N")
  CALL Species("4,4'-(3,3,5-trimethylcyclohexane-1,1-diyl)diphenol", "C_{21}H_{26}O_2", "", &
    "129188-99-4", "UMPGNGRIGSEMTC-UHFFFAOYSA-N")
  CALL Species("3,3,3',3'-tetramethyl-1,1'-spirobi(indan)-5,5',6,6'-tetrol", "C_{21}H_{24}O_4", "", &
    "77-08-7", "POFMQEVZKZVAPQ-UHFFFAOYSA-N")
  CALL Species("9,9-bis(4-hydroxyphenyl)fluorene", "C_{25}H_{18}O_2", "", &
    "3236-71-3", "YWFPGFJLYRKYJZ-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Peroxides (\chem{ROOH}) and peroxy radicals (\chem{ROO})")
  CALL Species("methyl hydroperoxide", "CH_3OOH", "methyl peroxide", &
    "3031-73-0", "MEUKEBNAABNAEX-UHFFFAOYSA-N")
  CALL Species("ethyl hydroperoxide", "C_2H_5OOH", "ethyl peroxide", &
    "3031-74-1", "ILHIHKRJJMKBEE-UHFFFAOYSA-N")
  CALL Species("hydroxymethyl hydroperoxide", "HOCH_2OOH", "HMHP; HMP", &
    "15932-89-5", "NEZWFWIACBUQMN-UHFFFAOYSA-N")
  CALL Species("bis-(hydroxymethyl)-peroxide", "HOCH_2OOCH_2OH", "BHMP", &
    "17088-73-2", "JLJXMZMKMRQOLN-UHFFFAOYSA-N")
  CALL Species("{\it tert}-butyl hydroperoxide", "C_4H_{10}O_2", "", &
    "75-91-2", "CIHOLLKRGTVIJN-UHFFFAOYSA-N")
  CALL Species("di-{\it tert}-butylperoxide", "C_8H_{18}O_2", "", &
    "110-05-4", "LSXWFXONGKSEMY-UHFFFAOYSA-N")
  CALL Species("1-methyl-1-phenylethylhydroperoxide", "C_9H_{12}O_2", "", &
    "80-15-9", "YQHLDYVWEZKEOX-UHFFFAOYSA-N")
  CALL Species("dicumyl peroxide", "C_{18}H_{22}O_2", "", &
    "80-43-3", "XMNIXWIUMCBBBL-UHFFFAOYSA-N")
  CALL Species("methylperoxy radical", "CH_3OO", "", &
    "2143-58-0", "WTFNSXYULBQCQV-UHFFFAOYSA-N")
  CALL Species("hydroxymethylperoxy radical", "HOCH_2OO", "", &
    "27828-51-9", "inchikey")
  CALL Species("peroxyacetyl radical", "CH_3C(O)O_2", "", &
    "36709-10-1", "ZBQKPDHUDKSCRS-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Aldehydes (\chem{RCHO})")
  ! aliphatic:
  CALL Species("methanal", "HCHO", "formaldehyde", &
    "50-00-0", "WSFSSNUMVMOOMR-UHFFFAOYSA-N")
  CALL Species("ethanal", "CH_3CHO", "acetaldehyde", &
    "75-07-0", "IKHGUXGNUITLKF-UHFFFAOYSA-N")
  CALL Species("propanal", "C_2H_5CHO", "propionaldehyde", &
    "123-38-6", "NBBJYMSMWIIQGU-UHFFFAOYSA-N")
  CALL Species("butanal", "C_3H_7CHO", "butyraldehyde", &
    "123-72-8", "ZTQSAGDEMFDKMZ-UHFFFAOYSA-N")
  CALL Species("2-methylpropanal", "C_4H_8O", "isobutyraldehyde", &
    "78-84-2", "AMIMRNSIRUDHCM-UHFFFAOYSA-N")
  CALL Species("pentanal", "C_4H_{9}CHO", "valeraldehyde", &
    "110-62-3", "HGBOYTHUEUWSSQ-UHFFFAOYSA-N")
  CALL Species("2-methylbutanal", "C_5H_{10}O", "", &
    "96-17-3", "BYGQBDHUGHBGMD-UHFFFAOYSA-N")
  CALL Species("3-methylbutanal", "C_5H_{10}O", "isovaleraldehyde", &
    "590-86-3", "YGHRJJRRZDOVPD-UHFFFAOYSA-N")
  CALL Species("hexanal", "C_5H_{11}CHO", "", &
    "66-25-1", "JARKCYVAAOWBJS-UHFFFAOYSA-N")
  CALL Species("2-methylpentanal", "C_6H_{12}O", "2-methylvaleraldehyde", &
    "123-15-9", "FTZILAQGHINQQR-UHFFFAOYSA-N")
  CALL Species("heptanal", "C_6H_{13}CHO", "", &
    "111-71-7", "FXHGMKSSBGDXIY-UHFFFAOYSA-N")
  CALL Species("octanal", "C_7H_{15}CHO", "", &
    "124-13-0", "NUJGJRNETVAIRJ-UHFFFAOYSA-N")
  CALL Species("nonanal", "C_8H_{17}CHO", "", &
    "124-19-6", "GYHFUZHODSMOHU-UHFFFAOYSA-N")
  CALL Species("2-ethylhexanal", "C_8H_{16}O", "", &
    "123-05-7", "LGYNIFWIKSEESD-UHFFFAOYSA-N")
  CALL Species("3,5,5-trimethylhexanal", "C_9H_{18}O", "", &
    "5435-64-3", "WTPYRCJDOZVZON-UHFFFAOYSA-N")
  CALL Species("decanal", "C_9H_{19}CHO", "", &
    "112-31-2", "KSMVZQYAVGTKIV-UHFFFAOYSA-N")
  CALL Species("undecanal", "C_{11}H_{22}O", "", &
    "112-44-7", "KMPQYAYAQWNLME-UHFFFAOYSA-N")
  CALL Species("propenal", "CH_2CHCHO", "acrolein", &
    "107-02-8", "HGINCPLSRVDWNT-UHFFFAOYSA-N")
  CALL Species("2-methylpropenal", "C_4H_6O", "methacrolein", &
    "78-85-3", "STNJBCKSHOAVAJ-UHFFFAOYSA-N")
  CALL Species("2-butenal", "C_4H_6O", "", &
    "4170-30-3", "MLUCVPSAIODCQM-UHFFFAOYSA-N")
  CALL Species("($E$)-2-butenal", "CH_3CHCHCHO", "crotonaldehyde", &
    "123-73-9", "MLUCVPSAIODCQM-NSCUHMNNSA-N")
  CALL Species("2-hexenal", "C_6H_{10}O", "", &
    "505-57-7", "MBDOYVRWFFCFHM-UHFFFAOYSA-N")
  CALL Species("($E$)-2-hexenal", "C_3H_7CHCHCHO", "{\it trans}-2-hexenal", &
    "6728-26-3", "MBDOYVRWFFCFHM-SNAWJCMRSA-N")
  CALL Species("($E$,$E$)-2,4-hexadienal", "CH_3CHCHCHCHCHO", "{\it trans}-{\it trans}-2,4-hexadienal", &
    "142-83-6", "BATOPAZDIZEVQF-MQQKCMAXSA-N") ! other CAS: 4488-48-6
  CALL Species("2-heptenal", "C_7H_{12}O", "", &
    "2463-63-0", "NDFKTBCGKNOHPJ-AATRIKPKSA-N")
  CALL Species("($Z$)-4-heptenal", "C_7H_{12}O", "{\it cis}-4-heptenal", &
    "6728-31-0", "VVGOCOMZRGWHPI-ARJAWSKDSA-N")
  CALL Species("2-octenal", "C_8H_{14}O", "", &
    "2363-89-5", "LVBXEMGDVWVTGY-UHFFFAOYSA-N")
  CALL Species("($E$)-2-octenal", "C_5H_{11}CHCHCHO", "{\it trans}-2-octenal", &
    "2548-87-0", "LVBXEMGDVWVTGY-VOTSOKGWSA-N")
  CALL Species("($E$)-2-nonenal", "C_9H_{16}O", "{\it trans}-2-nonenal", &
    "18829-56-6", "BSAIUMLZVGUGKX-BQYQJAHWSA-N")
  CALL Species("3,7-dimethyl-6-octenal", "C_{10}H_{18}O", "citronellal", &
    "106-23-0", "NEHNMFOYXAPHSD-UHFFFAOYSA-N")
  CALL Species("3,7-dimethyl-2,6-octadienal", "C_{10}H_{16}O", "citral", &
    "5392-40-5", "WTEVQBCEXWBHNA-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("benzaldehyde", "C_6H_5CHO", "", &
    "100-52-7", "HUMNYLRZRPPJDN-UHFFFAOYSA-N")
  CALL Species("phenylacetaldehyde", "C_6H_5CH_2CHO", "", &
    "122-78-1", "DTUQWGWMVIHBKE-UHFFFAOYSA-N")
  CALL Species("2-methylbenzaldehyde", "C_8H_8O", "$o$-tolualdehyde", &
    "529-20-4", "BTFQKIATRPGRBS-UHFFFAOYSA-N")
  CALL Species("3-methylbenzaldehyde", "C_8H_8O", "$m$-tolualdehyde", &
    "620-23-5", "OVWYEQOVUDKZNU-UHFFFAOYSA-N")
  CALL Species("4-methylbenzaldehyde", "C_8H_8O", "$p$-tolualdehyde", &
    "104-87-0", "FXLOVSHXALFLKQ-UHFFFAOYSA-N")
  CALL Species("2-hydroxybenzaldehyde", "C_6H_4(OH)CHO", "2-formylphenol", &
    "90-02-8", "SMQUZDBALVYZAC-UHFFFAOYSA-N")
  CALL Species("3-hydroxybenzaldehyde", "C_6H_4(OH)CHO", "3-formylphenol", &
    "100-83-4", "IAVREABSGIHHMO-UHFFFAOYSA-N")
  CALL Species("4-hydroxybenzaldehyde", "C_6H_4(OH)CHO", "4-formylphenol", &
    "123-08-0", "RGHHSNMVTDWUBI-UHFFFAOYSA-N")
  CALL Species("3-phenyl-2-propenal", "C_9H_8O", "cinnamaldehyde", &
    "104-55-2", "KJPRLNWUNMBNBZ-QPJJXVBHSA-N")
  CALL Species("$\alpha$-amyl cinnamaldehyde", "C_{14}H_{18}O", "", &
    "122-40-7", "HMKKIXGYKWDQSV-KAMYIIQDSA-N")
  ! more than one aldehyde group:
  CALL Species("ethanedial", "OHCCHO", "glyoxal", &
    "107-22-2", "LEQAOMBKQFMDFZ-UHFFFAOYSA-N")
  CALL Species("pentanedial", "OHC(CH_2)_3CHO", "glutaraldehyde", &
    "111-30-8", "SXRSQZLOMIGNAQ-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Ketones (\chem{RCOR})")
  ! saturated:
  CALL Species("propanone", "CH_3COCH_3", "acetone", &
    "67-64-1", "CSCPPACGZOOCGX-UHFFFAOYSA-N")
  CALL Species("propanone-2-13C", "CH_3COCH_3", "acetone-2-13C", &
    "3881-06-9", "CSCPPACGZOOCGX-LBPDFUHNSA-N")
  CALL Species("1-hydroxypropanone", "CH_3COCH_2OH", "hydroxyacetone", &
    "116-09-6", "XLSMFKSTNGKWQX-UHFFFAOYSA-N")
  CALL Species("butanone", "C_2H_5COCH_3", "methyl ethyl ketone; MEK", &
    "78-93-3", "ZWEHNKRNPOVVGH-UHFFFAOYSA-N")
  CALL Species("butanone-1,1,1,3,3-d5", "C_2H_5COCH_3", "methyl ethyl ketone-d5; MEK-d5", &
    "24313-50-6", "ZWEHNKRNPOVVGH-PDWRLMEDSA-N")
  CALL Species("2-pentanone", "C_3H_7COCH_3", "", &
    "107-87-9", "XNLICIUVMPYHGG-UHFFFAOYSA-N")
  CALL Species("3-pentanone", "C_2H_5COC_2H_5", "", &
    "96-22-0", "FDPIMTJIUBPUKL-UHFFFAOYSA-N")
  CALL Species("1-cyclopropyl-ethanone", "C_5H_8O", "cyclopropyl methyl ketone", &
    "765-43-5", "HVCFCNAITDHQFX-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-butanone", "C_5H_{10}O", "isopropyl methyl ketone", &
    "563-80-4", "SYBYTAAJFKOIEJ-UHFFFAOYSA-N")
  CALL Species("cyclopentanone", "C_5H_8O", "", &
    "120-92-3", "BGTOWKSIORTVQH-UHFFFAOYSA-N")
  CALL Species("2-hexanone", "C_6H_{12}O", "", &
    "591-78-6", "QQZOPKMRPOGIEB-UHFFFAOYSA-N")
  CALL Species("2-hexanone-1,1,1,3,3-d5", "C_6H_{12}O", "", &
    "4840-82-8", "QQZOPKMRPOGIEB-ZTIZGVCASA-N")
  CALL Species("3-hexanone", "C_6H_{12}O", "", &
    "589-38-8", "PFCHFHIRKBAQGU-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-pentanone", "C_6H_{12}O", "", &
    "565-61-7", "UIHCLUNTQKBZGK-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-pentanone", "(CH_3)_2CHCH_2COCH_3", "methyl isobutyl ketone; MIBK", &
    "108-10-1", "NTIZESTWPVYFNL-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-pentanone", "C_6H_{12}O", "", &
    "565-69-5", "HYTRYEXINDDXJK-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyl-2-butanone", "C_6H_{12}O", "{\it tert}-butyl methyl ketone", &
    "75-97-8", "PJGSXYOJTGTZAV-UHFFFAOYSA-N")
  CALL Species("cyclohexanone", "C_6H_{10}O", "", &
    "108-94-1", "JHIVVAPYMSGYDF-UHFFFAOYSA-N")
  CALL Species("2-heptanone", "C_7H_{14}O", "", &
    "110-43-0", "CATSNJVOTSVZJV-UHFFFAOYSA-N")
  CALL Species("3-heptanone", "C_7H_{14}O", "", &
    "106-35-4", "NGAZZOYFWWSOGK-UHFFFAOYSA-N")
  CALL Species("4-heptanone", "C_7H_{14}O", "", &
    "123-19-3", "HCFAJYNVAYBARA-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-hexanone", "C_7H_{14}O", "", &
    "2550-21-2", "GYWYASONLSQZBB-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-hexanone", "C_7H_{14}O", "", &
    "105-42-0", "XUPXMIAWKPTZLZ-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-hexanone", "C_7H_{14}O", "", &
    "110-12-3", "FFWSICBKRCICMR-UHFFFAOYSA-N")
  CALL Species("2-methyl-3-hexanone", "C_7H_{14}O", "", &
    "7379-12-6", "HIGGFWFRAWSMBR-UHFFFAOYSA-N")
  CALL Species("4-methyl-3-hexanone", "C_7H_{14}O", "", &
    "17042-16-9", "ULPMRIXXHGUZFA-UHFFFAOYSA-N")
  CALL Species("5-methyl-3-hexanone", "C_7H_{14}O", "", &
    "623-56-3", "DXVYLFHTJZWTRF-UHFFFAOYSA-N")
  CALL Species("3-ethyl-2-pentanone", "C_7H_{14}O", "", &
    "6137-03-7", "GSNKRSKIWFBWEG-UHFFFAOYSA-N")
  CALL Species("3,3-dimethyl-2-pentanone", "C_7H_{14}O", "", &
    "20669-04-9", "QSHJLBQLQVSEFV-UHFFFAOYSA-N")
  CALL Species("3,4-dimethyl-2-pentanone", "C_7H_{14}O", "", &
    "565-78-6", "QXHRQZNDMYRDPA-UHFFFAOYAA")
  CALL Species("4,4-dimethyl-2-pentanone", "C_7H_{14}O", "", &
    "590-50-1", "AZASWMGVGQEVCS-UHFFFAOYSA-N")
  CALL Species("2,2-dimethyl-3-pentanone", "C_7H_{14}O", "", &
    "564-04-5", "VLNUTKMHYLQCQB-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-3-pentanone", "C_7H_{14}O", "diisopropyl ketone", &
    "565-80-0", "HXVNBWAKAOHACI-UHFFFAOYSA-N")
  CALL Species("cycloheptanone", "C_7H_{12}O", "", &
    "502-42-1", "CGZZMOTZOONQIA-UHFFFAOYSA-N")
  CALL Species("2-methylcyclohexanone", "C_7H_{12}O", "", &
    "583-60-8", "LFSAPCRASZRSKS-UHFFFAOYSA-N")
  CALL Species("4-methylcyclohexanone", "C_7H_{12}O", "", &
    "589-92-4", "VGVHNLRUAMRIEW-UHFFFAOYSA-N")
  CALL Species("dicyclopropylmethanone", "C_7H_{10}O", "dicyclopropyl ketone", &
    "1121-37-5", "BIPUHAHGLJKIPK-UHFFFAOYSA-N")
  CALL Species("2-octanone", "C_6H_{13}COCH_3", "", &
    "111-13-7", "ZPVFWPFBNIEHGJ-UHFFFAOYSA-N")
  CALL Species("3-octanone", "C_8H_{16}O", "", &
    "106-68-3", "RHLVCLIPMVJYKS-UHFFFAOYSA-N")
  CALL Species("4-octanone", "C_8H_{16}O", "", &
    "589-63-9", "YWXLSHOWXZUMSR-UHFFFAOYSA-N")
  CALL Species("6-methyl-3-heptanone", "C_8H_{16}O", "", &
    "624-42-0", "CCCIYAQYQZQDIZ-UHFFFAOYSA-N")
  CALL Species("cyclohexyl methyl ketone", "C_6H_{11}COCH_3", "", &
    "823-76-7", "RIFKADJTWUGDOV-UHFFFAOYSA-N")
  CALL Species("2-nonanone", "C_7H_{15}COCH_3", "", &
    "821-55-6", "VKCYHJWLYTUGCC-UHFFFAOYSA-N")
  CALL Species("5-nonanone", "C_9H_{18}O", "dibutyl ketone", &
    "502-56-7", "WSGCRAOTEDLMFQ-UHFFFAOYSA-N")
  CALL Species("2,6-dimethyl-4-heptanone", "C_9H_{18}O", "diisobutyl ketone", &
    "108-83-8", "PTTPXKJBFFKCEK-UHFFFAOYSA-N")
  CALL Species("2,2,4,4-tetramethyl-3-pentanone", "C_9H_{18}O", "di-({\it tert}-butyl) ketone", &
    "815-24-7", "UIQGEWJEWJMQSL-UHFFFAOYSA-N")
  CALL Species("2-decanone", "C_8H_{17}COCH_3", "", &
    "693-54-9", "ZAJNGDIORYACQU-UHFFFAOYSA-N")
  CALL Species("2-undecanone", "C_9H_{19}COCH_3", "", &
    "112-12-9", "KYWIYKKSMDLRDC-UHFFFAOYSA-N")
  CALL Species("6-undecanone", "C_{11}H_{22}O", "", &
    "927-49-1", "ZPQAKYPOZRXKFA-UHFFFAOYSA-N")
  CALL Species("2-dodecanone", "C_{12}H_{24}O", "", &
    "6175-49-1", "LSKONYYRONEBKA-UHFFFAOYSA-N")
  CALL Species("2-tridecanone", "C_{13}H_{26}O", "", &
    "593-08-8", "CYIFVRUOHKNECG-UHFFFAOYSA-N")
  CALL Species("2-tetradecanone", "C_{14}H_{28}O", "", &
    "2345-27-9", "POQLVOYRGNFGRM-UHFFFAOYSA-N")
  CALL Species("2-pentadecanone", "C_{15}H_{30}O", "", &
    "2345-28-0", "CJPNOLIZCWDHJK-UHFFFAOYSA-N")
  CALL Species("2-hexadecanone", "C_{16}H_{32}O", "", &
    "18787-63-8", "XCXKZBWAKKPFCJ-UHFFFAOYSA-N")
  CALL Species("2-heptadecanone", "C_{17}H_{34}O", "", &
    "2922-51-2", "TVTCXPXLRKTHAU-UHFFFAOYSA-N")
  CALL Species("menthone", "C_{10}H_{18}O", "", &
    "89-80-5", "NFLGAXVYCFJBMK-UHFFFAOYSA-N")
  CALL Species("tricyclo[3.3.1.1(3,7)]decanone", "C_{10}H_{14}O", "2-adamantanone", &
    "700-58-3", "IYKFYARMMIESOX-UHFFFAOYSA-N")
  ! unsaturated and aromatic:
  CALL Species("3-buten-2-one", "C_4H_6O", "methyl vinyl ketone; MVK", &
    "78-94-4", "FUSUHKVFWTUUBE-UHFFFAOYSA-N")
  CALL Species("4-methyl-3-penten-2-one", "C_6H_{10}O", "", &
    "141-79-7", "SHOJXDKTYKFBRD-UHFFFAOYSA-N")
  CALL Species("1-phenylethanone", "C_6H_5COCH_3", "acetophenone", &
    "98-86-2", "KWOLFJPFCHCOCG-UHFFFAOYSA-N")
  CALL Species("1-phenylethanone-d5", "C_6D_5COCH_3", "acetophenone-d5", &
    "28077-64-7", "KWOLFJPFCHCOCG-VIQYUKPQSA-N")
  CALL Species("phenyl ethyl ketone", "C_9H_{10}O", "propiophenone", &
    "93-55-0", "KRIOVPPHQSLHCZ-UHFFFAOYSA-N")
  CALL Species("4-methoxy-4-methyl-2-pentanone", "C_7H_{14}O_2", "", &
    "107-70-0", "KOKPBCHLPVDQTK-UHFFFAOYSA-N")
  CALL Species("(4-methylphenyl)-ethanone", "C_9H_{10}O", "4-methylacetophenone", &
    "122-00-9", "GNKZMNRKLCTJAY-UHFFFAOYSA-N")
  CALL Species("4-methoxyphenyl methyl ketone", "C_9H_{10}O_2", "", &
    "100-06-1", "NTPLXRHDUXRPNE-UHFFFAOYSA-N")
  CALL Species("2-methyl-5-(1-methylethenyl)-2-cyclohexen-1-one", "C_{10}H_{14}O", "carvone", &
    "6485-40-1", "ULDHMXUKGWMISQ-SECBINFHSA-N") ! other CAS: 99-49-0
  CALL Species("benzophenone", "C_{13}H_{10}O", "diphenyl ketone", &
    "119-61-9", "RWCCWEUUXYIKHB-UHFFFAOYSA-N")
  CALL Species("3,5,5-trimethyl-2-cyclohexen-1-one", "C_9H_{14}O", "isophorone", &
    "78-59-1", "HJOVHMDZYOCNQW-UHFFFAOYSA-N")
  CALL Species("bicyclo[2.2.1]heptan-2-one", "C_7H_{10}O", "norcamphor; 2-norbornanone", &
    "497-38-1", "KPMKEVXVVHNIEY-UHFFFAOYSA-N")
  CALL Species("4-methyl-1-(1-methylethyl)-bicyclo[3.1.0]hexan-3-one", "C_{10}H_{16}O", "thujone", &
    "1125-12-8", "USMNOWBWPHYOEA-UHFFFAOYSA-N")
  CALL Species("isopropyl phenyl ketone", "C_{10}H_{12}O", "", &
    "611-70-1", "BSMGLVDZZMBWQB-UHFFFAOYSA-N")
  CALL Species("carvone", "C_{10}H_{14}O", "", &
    "99-49-0", "ULDHMXUKGWMISQ-UHFFFAOYSA-N")
  CALL Species("thujone", "C_{10}H_{16}O", "", &
    "76231-76-0", "USMNOWBWPHYOEA-VWHDNNRLSA-N")
  CALL Species("9H-fluoren-9-one", "C_{13}H_8O", "", &
    "486-25-9", "YLQWCDOCJODRMT-UHFFFAOYSA-N")
  CALL Species("anthrone", "C_{14}H_{10}O", "", &
    "90-44-8", "RJGDLRCDCYRQOQ-UHFFFAOYSA-N")
  CALL Species("1,2,3,5,6,7-hexahydro-1,1,2,3,3-pentamethyl-4H-inden-4-one", "C_{14}H_{22}O", "", &
    "33704-61-9", "MIZGSAALSYARKU-UHFFFAOYSA-N")
  CALL Species("2,4,6-trimethylbenzophenone", "C_{16}H_{16}O", "", &
    "954-16-5", "HPAFOABSQZMTHE-UHFFFAOYSA-N")
  CALL Species("1-(1,2,3,5,6,7,8,8a-octahydro-2,3,8,8-tetramethyl-2-naphthyl)ethan-1-one", "C_{16}H_{26}O", "", &
    "68155-66-8", "NOMWSTMYQKABST-UHFFFAOYSA-N")
  CALL Species("1-(2,3-dihydro-1,1,2,3,3,6-hexamethyl-1H-inden-5-yl)ethanone", "C_{17}H_{24}O", "", &
    "15323-35-0", "VDBHOHJWUDKDRW-UHFFFAOYSA-N")
  CALL Species("celestolide", "C_{17}H_{24}O", "", &
    "13171-00-1", "IKTHMQYJOWTSJO-UHFFFAOYSA-N")
  CALL Species("7H-benz[$de$]anthracen-7-one", "C_{17}H_{10}O", "benzanthrone", &
    "82-05-3", "HUKPVYBUJRAUAG-UHFFFAOYSA-N")
  CALL Species("1-[2,3-dihydro-1,1,2,6-tetramethyl-3-(1-methylethyl)-1H-inden-5-yl]ethanone", "C_{18}H_{26}O", "", &
    "68140-48-7", "IMRYETFJNLKUHK-UHFFFAOYSA-N")
  CALL Species("tonalid", "C_{18}H_{26}O", "", &
    "21145-77-7", "DNRJTBAOUJJKDY-UHFFFAOYSA-N")
  ! diones:
  CALL Species("2,3-butanedione", "CH_3COCOCH_3", "biacetyl; dimethylglyoxal", &
    "431-03-8", "QSJXEFYPDANLFS-UHFFFAOYSA-N")
  CALL Species("2,4-pentanedione", "C_5H_8O_2", "acetylacetone", &
    "123-54-6", "YRKCREAYFQTBPV-UHFFFAOYSA-N")
  CALL Species("1,2-naphthalenedione", "C_{10}H_6O_2", "", &
    "524-42-5", "KETQAJRQOHHATG-UHFFFAOYSA-N")
  CALL Species("1,4-naphthalenedione", "C_{10}H_6O_2", "1,4-naphthoquinone", &
    "130-15-4", "FRASJONUBLZVQX-UHFFFAOYSA-N")
  CALL Species("menadione", "C_{11}H_8O_2", "", &
    "58-27-5", "MJVAVZPDRWSRRC-UHFFFAOYSA-N")
  CALL Species("2,6-di-{\it tert}-butyl-$p$-benzoquinone", "C_{14}H_{20}O_2", "", &
    "719-22-2", "RDQSIADLBQFVMY-UHFFFAOYSA-N")
  CALL Species("9,10-phenanthrenedione", "C_{14}H_8O_2", "", &
    "84-11-7", "YYVYAPXYZVYDHN-UHFFFAOYSA-N")
  CALL Species("dibenzoylmethane", "C_{15}H_{12}O_2", "", &
    "120-46-7", "NZZIMKJIVMHWJC-UHFFFAOYSA-N")
  CALL Species("2-ethyl-9,10-anthracenedione", "C_{16}H_{12}O_2", "", &
    "84-51-5", "SJEBAWHUJDUKQK-UHFFFAOYSA-N")
  CALL Species("9,10-anthracenedione", "C_{14}H_8O_2", "", &
    "84-65-1", "RZVHIXYEVGDQDX-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Carboxylic acids (\chem{RCOOH}) and peroxy carboxylic acids (\chem{RCOOOH})")
  ! saturated:
  CALL Species("methanoic acid", "HCOOH", "formic acid", &
    "64-18-6", "BDAGIHXWWSANSR-UHFFFAOYSA-N")
  CALL Species("ethanoic acid", "CH_3COOH", "acetic acid", &
    "64-19-7", "QTBSBXVTEAMEQO-UHFFFAOYSA-N")
  CALL Species("propanoic acid", "C_2H_5COOH", "propionic acid", &
    "79-09-4", "XBDQKXXYIPTUBI-UHFFFAOYSA-N")
  CALL Species("butanoic acid", "C_3H_7COOH", "butyric acid", &
    "107-92-6", "FERIUCNNQQJTOY-UHFFFAOYSA-N")
  CALL Species("2-methylpropanoic acid", "(CH_3)_2CHCOOH", "isobutyric acid", &
    "79-31-2", "KQNPFQTWMSNSAP-UHFFFAOYSA-N")
  CALL Species("pentanoic acid", "C_4H_9COOH", "valeric acid", &
    "109-52-4", "NQPDZGIKBAWPEJ-UHFFFAOYSA-N")
  CALL Species("2-methylbutanoic acid", "C_5H_{10}O_2", "", &
    "116-53-0", "WLAMNBDJUVNPJU-UHFFFAOYSA-N")
  CALL Species("3-methylbutanoic acid", "(CH_3)_2CHCH_2COOH", "isovaleric acid", &
    "503-74-2", "GWYFCOCPABKNJV-UHFFFAOYSA-N")
  CALL Species("2,2-dimethylpropanoic acid", "(CH_3)_3CCOOH", "pivalic acid", &
    "75-98-9", "IUGYQRQAERSCNH-UHFFFAOYSA-N")
  CALL Species("hexanoic acid", "C_5H_{11}COOH", "caproic acid", &
    "142-62-1", "FUZZWVXGSFPDMH-UHFFFAOYSA-N")
  CALL Species("2-methylpentanoic acid", "C_6H_{12}O_2", "", &
    "97-61-0", "OVBFMEVBMNZIBR-UHFFFAOYSA-N")
  CALL Species("2-ethylbutanoic acid", "C_6H_{12}O_2", "", &
    "88-09-5", "OXQGTIUCKGYOAA-UHFFFAOYSA-N")
  CALL Species("heptanoic acid", "C_7H_{14}O_2", "", &
    "111-14-8", "MNWFXJYAOYHMED-UHFFFAOYSA-N")
  CALL Species("4,4-dimethylpentanoic acid", "C_7H_{14}O_2", "", &
    "95823-36-2", "HMMSZUQCCUWXRA-UHFFFAOYSA-N")
  CALL Species("2-ethyl-2-methylbutanoic acid", "C_7H_{14}O_2", "", &
    "19889-37-3", "LHJPKLWGGMAUAN-UHFFFAOYSA-N")
  CALL Species("octanoic acid", "C_8H_{16}O_2", "caprylic acid", &
    "124-07-2", "WWZKQHOCKIZLMA-UHFFFAOYSA-N")
  CALL Species("2-ethylhexanoic acid", "C_8H_{16}O_2", "", &
    "149-57-5", "OBETXYAYXDNJHR-UHFFFAOYSA-N")
  CALL Species("nonanoic acid", "C_9H_{18}O_2", "pelargic acid", &
    "112-05-0", "FBUKVWPVBMHYJY-UHFFFAOYSA-N")
  CALL Species("decanoic acid", "C_{10}H_{20}O_2", "", &
    "334-48-5", "GHVNFZFCNZKVNT-UHFFFAOYSA-N")
  CALL Species("3,3,5,5-tetramethylhexanoic acid", "C_{10}H_{20}O_2", "", &
    "_CAS-76", "WRPPDRMFGQJMAR-UHFFFAOYSA-N")
  CALL Species("undecanoic acid", "C_{11}H_{22}O_2", "", &
    "112-37-8", "ZDPHROOEEOARMN-UHFFFAOYSA-N")
  CALL Species("dodecanoic acid", "C_{12}H_{24}O_2", "", &
    "143-07-7", "POULHZVOKOAJMA-UHFFFAOYSA-N")
  CALL Species("octadecanoic acid", "C_{18}H_{36}O_2", "stearic acid", &
    "57-11-4", "QIQXTHQIDYTFRH-UHFFFAOYSA-N")
  ! unsaturated and aromatic:
  CALL Species("propenoic acid", "C_3H_4O_2", "acrylic acid", &
    "79-10-7", "NIXOWILDQLNWCW-UHFFFAOYSA-N")
  CALL Species("($E$)-2-butenoic acid", "C_4H_6O_2", "crotonic acid", &
    "3724-65-0", "LDHQCZJRKDOVOX-UHFFFAOYSA-N")
  CALL Species("($Z$)-2-butenoic acid", "C_4H_6O_2", "isocrotonic acid", &
    "503-64-0", "LDHQCZJRKDOVOX-IHWYPQMZSA-N")
  CALL Species("2-methyl-2-propenoic acid", "C_4H_6O_2", "methacrylic acid", &
    "79-41-4", "CERQOIWHTDAKMF-UHFFFAOYSA-N")
  CALL Species("benzenecarboxylic acid", "C_6H_5COOH", "benzoic acid", &
    "65-85-0", "WPYMKLBDIGXBTP-UHFFFAOYSA-N")
  CALL Species("sorbic acid", "C_6H_8O_2", "", &
    "110-44-1", "WSWCOQWTEOXDQX-MQQKCMAXSA-N")
  CALL Species("$D$(-)-isoascorbic acid", "C_6H_8O_6", "erythorbic acid", &
    "89-65-6", "CIWBSHSKHKDKBQ-DUZGATOHSA-N")
  CALL Species("shikimic acid", "C_7H_{10}O_5", "", &
    "138-59-0", "JXOHGGNKMLTUBP-UHFFFAOYSA-N")
  CALL Species("4-hydroxybenzoic acid", "C_7H_6O_3", "", &
    "99-96-7", "FJKROLUGYXJWQN-UHFFFAOYSA-N")
  CALL Species("3,4,5-trihydroxybenzoic acid", "C_7H_6O_5", "gallic acid", &
    "149-91-7", "LNTHITQWFMADLM-UHFFFAOYSA-N")
  CALL Species("3-methylbenzoic acid", "C_7H_7COOH", "$m$-toluic acid", &
    "99-04-7", "GPSDUZXPYCFOSQ-UHFFFAOYSA-N")
  CALL Species("2-methylbenzoic acid", "C_8H_8O_2", "$o$-toluic acid", &
    "118-90-1", "ZWLPBLYKEWSWPD-UHFFFAOYSA-N")
  CALL Species("4-methylbenzoic acid", "C_8H_8O_2", "$p$-toluic acid", &
    "99-94-5", "LPNBBFKOUUSUDB-UHFFFAOYSA-N")
  CALL Species("2-hydroxy-benzoic acid", "C_7H_6O_3", "salicylic acid", &
    "69-72-7", "YGSDEFSMJLZEOE-UHFFFAOYSA-N")
  CALL Species("benzeneethanoic acid", "C_8H_8O_2", "phenylacetic acid", &
    "103-82-2", "WLJVXDMOQOGPHL-UHFFFAOYSA-N")
  CALL Species("phthalic anhydride", "C_8H_4O_3", "", &
    "85-44-9", "LGRFSURHDFAFJT-UHFFFAOYSA-N")
  CALL Species("1,2-benzenedicarboxylic acid", "C_8H_6O_4", "phthalic acid", &
    "88-99-3", "XNGIFLGASWRNHJ-UHFFFAOYSA-N")
  CALL Species("terephthalic acid", "C_8H_6O_4", "", &
    "100-21-0", "KKEYFWRCBNTPAC-UHFFFAOYSA-N")
  CALL Species("isophthalic acid", "C_8H_6O_4", "", &
    "121-91-5", "QQVIHTHCMHWDBS-UHFFFAOYSA-N")
  CALL Species("dehydroacetic acid", "C_8H_8O_4", "", &
    "520-45-6", "PGRHXDWITVMQBC-UHFFFAOYSA-N")
  CALL Species("caffeic acid", "C_9H_8O_4", "", &
    "331-39-5", "QAIPRVGONGVQAS-DUXPYHPUSA-N")
  CALL Species("4-methylphthalic anhydride", "C_9H_6O_3", "", &
    "19438-61-0", "ZOXBWJMCXHTKNU-UHFFFAOYSA-N")
  CALL Species("$p$-{\it tert}-butylbenzoic acid", "C_{11}H_{14}O_2", "", &
    "98-73-7", "KDVYCTOWXSLNNI-UHFFFAOYSA-N")
  CALL Species("benzoic acid, anhydride", "C_{14}H_{10}O_3", "", &
    "93-97-0", "CHIHQLCVLOXUJW-UHFFFAOYSA-N")
  CALL Species("pyromellitic dianhydride", "C_{10}H_2O_6", "", &
    "89-32-7", "ANSXAPJVJOKRDJ-UHFFFAOYSA-N")
  CALL Species("($Z$,$Z$)-9,12-octadecadienoic acid", "C_{18}H_{32}O_2", "linoleic acid", &
    "60-33-3", "OYHQOLUKZRVURQ-HZJYTTRNSA-N")
  CALL Species("rosmarinic acid", "C_{18}H_{16}O_8", "", &
    "537-15-5", "DOUMFZQKYFQNTF-WUTVXBCWSA-N")
  ! dicarboxylic acids:
  CALL Species("ethanedioic acid", "HOOCCOOH", "oxalic acid", &
    "144-62-7", "MUBZPKHOEPUJKR-UHFFFAOYSA-N")
  CALL Species("propanedioic acid", "HOOCCH_2COOH", "malonic acid", &
    "141-82-2", "OFOBLEOULBTSOW-UHFFFAOYSA-N")
  CALL Species("butanedioic acid", "HOOC(CH_2)_2COOH", "succinic acid", &
    "110-15-6", "KDYFGRWQOYBRFD-UHFFFAOYSA-N")
  CALL Species("pentanedioic acid", "HOOC(CH_2)_3COOH", "glutaric acid", &
    "110-94-1", "JFCQEDHGNNZCLN-UHFFFAOYSA-N")
  CALL Species("hexanedioic acid", "HOOC(CH_2)_4COOH", "adipic acid", &
    "124-04-9", "WNLRTRBMVRJNCN-UHFFFAOYSA-N")
  CALL Species("heptanedioic acid", "C_7H_{12}O_4", "pimelic acid", &
    "111-16-0", "WLJVNTCWHIRURA-UHFFFAOYSA-N")
  CALL Species("octanedioic acid", "C_8H_{14}O_4", "suberic acid", &
    "505-48-6", "TYFQFVWCELRYAO-UHFFFAOYSA-N")
  CALL Species("nonanedioic acid", "C_9H_{16}O_4", "azelaic acid", &
    "123-99-9", "BDJRBEYXGGNYIS-UHFFFAOYSA-N")
  CALL Species("decanedioic acid", "C_{10}H_{18}O_4", "sebacic acid", &
    "111-20-6", "CXMXRPHRNRROMY-UHFFFAOYSA-N")
  CALL Species("{\it cis}-butenedioic acid", "HOOC(CH)_2COOH", "maleic acid", &
    "110-16-7", "VZCYOOQTPOCHFL-UPHRSURJSA-N")
  ! peroxyacids:
  CALL Species("methanoic peroxyacid", "HCOOOH", "peroxyformic acid", &
    "107-32-4", "SCKXCAADGDQQCS-UHFFFAOYSA-N")
  CALL Species("ethanoic peroxyacid", "CH_3COOOH", "peroxyacetic acid", &
    "79-21-0", "KFSLWBXXFJQRDL-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Esters (\chem{RCOOR})")
  ! saturated:
  ! carbonates:
  CALL Species("1,3-dioxolan-2-one", "C_3H_4O_3", "ethylene carbonate", &
    "96-49-1", "KMTRUDSVKNLOMY-UHFFFAOYSA-N")
  CALL Species("carbonic acid, dimethyl ester", "C_3H_6O_3", "", &
    "616-38-6", "IEJIGPNLZYLLBP-UHFFFAOYSA-N")
  CALL Species("dimethyl dicarbonate", "C_4H_6O_5", "", &
    "4525-33-1", "GZDFHIJNHHMENY-UHFFFAOYSA-N")
  ! methanoate:
  CALL Species("methyl methanoate", "HCOOCH_3", "methyl formate", &
    "107-31-3", "TZIHFWKZFHZASV-UHFFFAOYSA-N")
  CALL Species("ethyl methanoate", "HCOOC_2H_5", "ethyl formate", &
    "109-94-4", "WBJINCZRORDGAQ-UHFFFAOYSA-N")
  CALL Species("propyl methanoate", "HCOOC_3H_7", "propyl formate", &
    "110-74-7", "KFNNIILCVOLYIR-UHFFFAOYSA-N")
  CALL Species("isopropyl methanoate", "HCOOC_3H_7", "isopropyl formate", &
    "625-55-8", "RMOUBSOVHSONPZ-UHFFFAOYSA-N")
  CALL Species("(2-methylpropyl)-methanoate", "HCOOC_4H_9", "isobutyl formate", &
    "542-55-2", "AVMSWPWPYJVYKY-UHFFFAOYSA-N")
  CALL Species("(1,1-dimethylethyl)-methanoate", "HCOOC_4H_9", "{\it tert}-butyl formate; TBF", &
    "762-75-4", "RUPAXCPQAAOIPB-UHFFFAOYSA-N")
  CALL Species("methanoic acid, pentyl ester", "C_6H_{12}O_2", "", &
    "638-49-3", "DIQMPQMYFZXDAX-UHFFFAOYSA-N")
  CALL Species("isopentyl methanoate", "HCOOC_5H_{11}", "isoamyl formate", &
    "110-45-2", "XKYICAQFSCFURC-UHFFFAOYSA-N")
  CALL Species("methanoic acid, hexyl ester", "C_7H_{14}O_2", "", &
    "629-33-4", "OUGPMNMLWKSBRI-UHFFFAOYSA-N")
  ! ethanoate:
  CALL Species("methyl ethanoate", "CH_3COOCH_3", "methyl acetate", &
    "79-20-9", "KXKVLQRXCPHEJC-UHFFFAOYSA-N")
  CALL Species("ethyl ethanoate", "CH_3COOC_2H_5", "ethyl acetate", &
    "141-78-6", "XEKOWRVHYACXOJ-UHFFFAOYSA-N")
  CALL Species("ethyl ethanoate-1-13C", "CH_3COOC_2H_5", "ethyl acetate-1-13C", &
    "3424-59-7", "XEKOWRVHYACXOJ-AZXPZELESA-N")
  CALL Species("propyl ethanoate", "CH_3COOC_3H_7", "propyl acetate", &
    "109-60-4", "YKYONYBAUNKHLG-UHFFFAOYSA-N")
  CALL Species("ethanoic acid, 2-propenyl ester", "C_5H_8O_2", "", &
    "591-87-7", "FWZUNOYOVVKUNF-UHFFFAOYSA-N")
  CALL Species("isopropyl ethanoate", "CH_3COOC_3H_7", "isopropyl acetate", &
    "108-21-4", "JMMWKPVZQRWMSS-UHFFFAOYSA-N")
  CALL Species("ethanol, 2-methoxy-, acetate", "C_5H_{10}O_3", "methyl cellosolve acetate", &
    "110-49-6", "XLLIQLLCWZCATF-UHFFFAOYSA-N")
  CALL Species("glycerol monoacetate", "C_5H_{10}O_4", "acetin", &
    "26446-35-5", "KMZHZAAOEWVPSE-UHFFFAOYSA-N")
  CALL Species("1-propen-2-ol, acetate", "C_5H_8O_2", "isopropenyl acetate", &
    "108-22-5", "HETCEOQFVDFGSY-UHFFFAOYSA-N")
  CALL Species("butyl ethanoate", "CH_3COOC_4H_9", "butyl acetate", &
    "123-86-4", "DKPFZGUDAPQIHT-UHFFFAOYSA-N")
  CALL Species("{\it sec}-butyl acetate", "C_6H_{12}O_2", "", &
    "105-46-4", "DCKVNWZUADLDEH-UHFFFAOYSA-N")
  CALL Species("acetic acid, 1,1-dimethylethyl ester", "C_6H_{12}O_2", "{\it tert}-butyl acetate", &
    "540-88-5", "WMOVHXAZOJBABW-UHFFFAOYSA-N")
  CALL Species("(2-methylpropyl)-ethanoate", "CH_3COOC_4H_9", "isobutyl acetate", &
    "110-19-0", "GJRQTCIYDGXPES-UHFFFAOYSA-N")
  CALL Species("pentyl ethanoate", "CH_3COOC_5H_{11}", "amyl acetate", &
    "628-63-7", "PGMYKACGEOXYJE-UHFFFAOYSA-N")
  CALL Species("1,2-propanediol, diacetate", "C_7H_{12}O_4", "", &
    "623-84-7", "MLHOXUWWKVQEJB-UHFFFAOYSA-N")
  CALL Species("2-pentanol, acetate", "C_7H_{14}O_2", "", &
    "626-38-0", "GQKZRWSUJHVIPE-UHFFFAOYSA-N")
  CALL Species("isopentyl ethanoate", "CH_3COOC_5H_{11}", "isoamyl acetate", &
    "123-92-2", "MLFHJEHSLIIPHL-UHFFFAOYSA-N")
  CALL Species("hexyl ethanoate", "CH_3COOC_6H_{13}", "hexyl acetate", &
    "142-92-7", "AOGQPLXWSUTHQB-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-pentyl ethanoate", "C_8H_{16}O_2", "", &
    "108-84-9", "CPIVYSAVIPTCCX-UHFFFAOYSA-N")
  CALL Species("acetic acid, cyclohexyl ester", "C_8H_{14}O_2", "cyclohexyl acetate", &
    "622-45-7", "YYLLIJHXUHJATK-UHFFFAOYSA-N")
  CALL Species("ethanol, 2-(2-ethoxyethoxy)-, acetate", "C_8H_{16}O_4", "diethylene glycol monoethyl ether acetate", &
    "112-15-2", "FPZWZCWUIYYYBU-UHFFFAOYSA-N")
  CALL Species("acetic acid, phenyl ester", "C_8H_8O_2", "", &
    "122-79-2", "IPBVNPXQWQGGJP-UHFFFAOYSA-N")
  CALL Species("acetic acid, phenylmethyl ester", "C_9H_{10}O_2", "", &
    "140-11-4", "QUKGYYKBILRGFE-UHFFFAOYSA-N")
  CALL Species("2-ethylhexyl ethanoate", "C_{10}H_{20}O_2", "2-ethylhexyl acetate", &
    "103-09-3", "WOYWLLHHWAMFCB-UHFFFAOYSA-N")
  CALL Species("ethanol, 2,2'-[1,2-ethanediylbis(oxy)]bis-, diacetate", "C_{10}H_{18}O_6", "triethylene glycol, diacetate", &
    "111-21-7", "OVOUKWFJRHALDD-UHFFFAOYSA-N")
  CALL Species("1-methoxy-2-propyl ethanoate", "C_6H_{12}O_3", "", &
    "108-65-6", "LLHKCFNBLRBOGN-UHFFFAOYSA-N")
  CALL Species("2-ethoxyethyl ethanoate", "C_6H_{12}O_3", "", &
    "111-15-9", "SVONRAPFKPVNKG-UHFFFAOYSA-N")
  CALL Species("2-butoxyethyl ethanoate", "C_8H_{16}O_3", "butyl cellosolve acetate", &
    "112-07-2", "NQBXSWAWVZHKBZ-UHFFFAOYSA-N")
  CALL Species("2-(2-butoxyethoxy)-ethanol, ethanoate", "C_{10}H_{20}O_4", "", &
    "124-17-4", "VXQBJTKSVGFQOL-UHFFFAOYSA-N")
  CALL Species("1,2-ethanediol, diethanoate", "C_6H_{10}O_4", "", &
    "111-55-7", "JTXMVXSTHSMVQF-UHFFFAOYSA-N")
  CALL Species("geranyl acetate", "C_{12}H_{20}O_2", "", &
    "105-87-3", "HIGQPQRQIQDZMP-DHZHZOJOSA-N")
  CALL Species("linalyl acetate", "C_{12}H_{20}O_2", "", &
    "115-95-7", "UWKAYLJWKGQEPM-UHFFFAOYSA-N")
  CALL Species("cyclohexanol, 5-methyl-2-(1-methylethyl)-, acetate", "C_{12}H_{22}O_2", "menthyl acetate", &
    "16409-45-3", "XHXUANMFYXWVNG-UHFFFAOYSA-N")
  ! propanoate:
  CALL Species("methyl propanoate", "C_2H_5COOCH_3", "methyl propionate", &
    "554-12-1", "RJUFJBKOKNCXHH-UHFFFAOYSA-N")
  CALL Species("methyl 2-hydroxypropanoate", "C_4H_8O_3", "methyl lactate", &
    "547-64-8", "LPEKGGXMPWTOCB-UHFFFAOYSA-N")
  CALL Species("ethyl propanoate", "C_2H_5COOC_2H_5", "ethyl propionate", &
    "105-37-3", "FKRCODPIKNYEAC-UHFFFAOYSA-N")
  CALL Species("propyl propanoate", "C_2H_5COOC_3H_7", "propyl propionate", &
    "106-36-5", "MCSINKKTEDDPNK-UHFFFAOYSA-N")
  CALL Species("isopropyl propanoate", "C_2H_5COOC_3H_7", "isopropyl propionate", &
    "637-78-5", "IJMWOMHMDSDKGK-UHFFFAOYSA-N")
  CALL Species("(2-methylpropyl)-propanoate", "C_7H_{14}O_2", "", &
    "540-42-1", "FZXRXKLUIMKDEL-UHFFFAOYSA-N")
  CALL Species("pentyl propanoate", "C_2H_5COOC_5H_{11}", "amyl propionate", &
    "624-54-4", "TWSRVQVEYJNFKQ-UHFFFAOYSA-N")
  CALL Species("propanoic acid, 2-hydroxy-, ethyl ester", "C_5H_{10}O_3", "ethyl lactate", &
    "97-64-3", "LZCLXQDLBQLTDK-UHFFFAOYSA-N")
  CALL Species("propanoic acid, 2-phenylethyl ester", "C_{11}H_{14}O_2", "", &
    "122-70-3", "HVGZQCSMLUDISR-UHFFFAOYSA-N")
  ! butanoate:
  CALL Species("methyl butanoate", "C_3H_7COOCH_3", "methyl butyrate", &
    "623-42-7", "UUIQMZJEGPQKFD-UHFFFAOYSA-N")
  CALL Species("ethyl butanoate", "C_3H_7COOC_2H_5", "ethyl butyrate", &
    "105-54-4", "OBNCKNCVKJNDBV-UHFFFAOYSA-N")
  CALL Species("propyl butanoate", "C_3H_7COOC_3H_7", "propyl butyrate", &
    "105-66-8", "HUAZGNHGCJGYNP-UHFFFAOYSA-N")
  CALL Species("butanoic acid, 2-methylpropyl ester", "C_8H_{16}O_2", "", &
    "539-90-2", "RGFNRWTWDWVHDD-UHFFFAOYSA-N")
  CALL Species("(2-methylpropyl)-2-methylpropanoate", "C_8H_{16}O_2", "isobutyl isobutyrate", &
    "97-85-8", "RXGUIWHIADMCFC-UHFFFAOYSA-N")
  CALL Species("2-methylpropanoic acid, methyl ester", "C_5H_{10}O_2", "methyl isobutyrate", &
    "547-63-7", "BHIWKHZACMWKOJ-UHFFFAOYSA-N")
  CALL Species("2-methylpropanoic acid, ethyl ester", "C_6H_{12}O_2", "", &
    "97-62-1", "WDAXFOBOLVPGLV-UHFFFAOYSA-N")
  CALL Species("cyclohexyl butanoate", "C_{10}H_{18}O_2", "cyclohexyl butyrate", &
    "1551-44-6", "VZHUBBUZNIULNM-UHFFFAOYSA-N")
  CALL Species("3-oxobutanoic acid, methyl ester", "C_5H_8O_3", "", &
    "105-45-3", "WRQNANDWMGAFTP-UHFFFAOYSA-N")
  CALL Species("3-oxobutanoic acid, ethyl ester", "C_6H_{10}O_3", "", &
    "141-97-9", "XYIBRDXRRQCHLP-UHFFFAOYSA-N")
  ! pentanoate:
  CALL Species("methyl pentanoate", "C_4H_9COOCH_3", "", &
    "624-24-8", "HNBDRPTVWVGKBR-UHFFFAOYSA-N")
  CALL Species("ethyl pentanoate", "C_4H_9COOC_2H_5", "", &
    "539-82-2", "ICMAFTSLXCXHRK-UHFFFAOYSA-N")
  CALL Species("2-methylbutanoic acid, ethyl ester", "C_7H_{14}O_2", "", &
    "7452-79-1", "HCRBXQFHJMCTLF-UHFFFAOYSA-N")
  CALL Species("3-methylbutanoic acid, ethyl ester", "C_7H_{14}O_2", "", &
    "108-64-5", "PPXUHEORWJQRHJ-UHFFFAOYSA-N")
  CALL Species("2,2-dimethylpropanoic acid, methyl ester", "C_6H_{12}O_2", "methyl pivalate", &
    "598-98-1", "CNMFHDIDIMZHKY-UHFFFAOYSA-N")
  ! hexanoate:
  CALL Species("methyl hexanoate", "C_5H_{11}COOCH_3", "", &
    "106-70-7", "NUKZAGXMHTUAFE-UHFFFAOYSA-N")
  CALL Species("ethyl hexanoate", "C_5H_{11}COOC_2H_5", "", &
    "123-66-0", "SHZIWNPUGXLXDT-UHFFFAOYSA-N")
  CALL Species("2-ethylbutanoic acid, 1,2-ethanediylbis(oxy-2,1-ethanediyl) ester", "C_{18}H_{34}O_6", "", &
    "95-08-9", "JEYLQCXBYFQJRO-UHFFFAOYSA-N")
  ! heptanoate:
  CALL Species("ethyl heptanoate", "C_6H_{13}COOC_2H_5", "", &
    "106-30-9", "TVQGDYNRXLTQAP-UHFFFAOYSA-N")
  ! octanoate:
  CALL Species("methyl octanoate", "C_6H_{13}COOCH_3", "", &
    "111-11-5", "JGHZJRVDZXSNKQ-UHFFFAOYSA-N")
  CALL Species("ethyl octanoate", "C_7H_{15}COOC_2H_5", "", &
    "106-32-1", "YYZUSRORWSJGET-UHFFFAOYSA-N")
  CALL Species("octadecanoic acid, 2-methylpropyl ester", "C_{22}H_{44}O_2", "isobutyl stearate", &
    "646-13-9", "ORFWYUFLWUWSFM-UHFFFAOYSA-N")
  CALL Species("octadecanoic acid, butyl ester", "C_{22}H_{44}O_2", "", &
    "123-95-5", "ULBTUVJTXULMLP-UHFFFAOYSA-N")
  ! nonanoate:
  CALL Species("methyl nonanoate", "C_{10}H_{20}O_2", "", &
    "1731-84-6", "IJXHLVMUNBOGRR-UHFFFAOYSA-N")
  CALL Species("ethyl nonanoate", "C_8H_{17}COOC_2H_5", "", &
    "123-29-5", "BYEVBITUADOIGY-UHFFFAOYSA-N")
  CALL Species("nonanedioic acid, bis(2-ethylhexyl) ester", "C_{25}H_{48}O_4", "di-2-ethylhexyl azelate", &
    "103-24-2", "ZDWGXBPVPXVXMQ-UHFFFAOYSA-N")
  ! decanoate:
  CALL Species("methyl decanoate", "C_{11}H_{22}O_{2}", "methyl caprate", &
    "110-42-9", "YRHYCMZPEVDGFQ-UHFFFAOYSA-N")
  CALL Species("ethyl decanoate", "C_9H_{19}COOC_2H_5", "", &
    "110-38-3", "RGXWDWUGBIJHDO-UHFFFAOYSA-N")
  ! dodecanoate:
  CALL Species("methyl dodecanoate", "C_{13}H_{26}O_{2}", "methyl laurate", &
    "111-82-0", "UQDUPQYQJKYHQI-UHFFFAOYSA-N")
  CALL Species("ethyl dodecanoate", "C_{14}H_{28}O_{2}", "ethyl laurate", &
    "106-33-2", "MMXKVMNBHPAILY-UHFFFAOYSA-N")
  CALL Species("propyl dodecanoate", "C_{15}H_{30}O_{2}", "propyl laurate", &
    "3681-78-5", "FTBUKOLPOATXGV-UHFFFAOYSA-N")
  CALL Species("butyl dodecanoate", "C_{16}H_{32}O_{2}", "butyl laurate", &
    "106-18-3", "NDKYEUQMPZIGFN-UHFFFAOYSA-N")
  CALL Species("2-ethylhexyl dodecanoate", "C_{20}H_{40}O_2", "2-ethylhexyl laurate", &
    "20292-08-4", "LWLRMRFJCCMNML-UHFFFAOYSA-N")
  ! >= tetradecanoate:
  CALL Species("methyl tetradecanoate", "C_{15}H_{30}O_{2}", "methyl myristate", &
    "124-10-7", "ZAZKJZBWRNNLDS-UHFFFAOYSA-N")
  CALL Species("methyl hexadecanoate", "C_{17}H_{34}O_{2}", "methyl palmitate", &
    "112-39-0", "FLIACVVOZYBSBS-UHFFFAOYSA-N")
  CALL Species("isopropyl palmitate", "C_{19}H_{38}O_2", "", &
    "142-91-6", "XUGNVMKQXJXZCD-UHFFFAOYSA-N")
  CALL Species("ascorbic palmitate", "C_{22}H_{38}O_7", "", &
    "137-66-6", "QAQJMLQRFWZOBN-LAUBAEHRSA-N")
  CALL Species("methyl octadecanoate", "C_{19}H_{38}O_{2}", "methyl stearate", &
    "112-61-8", "HPEUJPJOZXNMSJ-UHFFFAOYSA-N")
  CALL Species("methyl eicosanoate", "C_{21}H_{42}O_2", "methyl arachidate", &
    "1120-28-1", "QGBRLVONZXHAKJ-UHFFFAOYSA-N")
  CALL Species("methyl docosanoate", "C_{23}H_{46}O_2", "methyl behenate", &
    "929-77-1", "QSQLTHHMFHEFIY-UHFFFAOYSA-N")
  ! cyclic:
  CALL Species("cyclopropanecarboxylic acid, methyl ester", "C_5H_8O_2", "", &
    "2868-37-3", "PKAHQJNJPDVTDP-UHFFFAOYSA-N")
  CALL Species("cyclohexanecarboxylic acid, methyl ester", "C_6H_{11}COOCH_3", "", &
    "4630-82-4", "ZQWPRMPSCMSAJU-UHFFFAOYSA-N")
  CALL Species("($Z$,$Z$,$Z$)-9,12,15-octadecatrienoic acid, methyl ester", "C_{19}H_{32}O_{2}", "methyl linolenate", &
    "301-00-8", "DVWSXZIHSUZZKJ-YSTUJMKBSA-N")
  CALL Species("($Z$,$Z$)-9,12-octadecadienoic acid, methyl ester", "C_{19}H_{34}O_{2}", "methyl linolate", &
    "112-63-0", "WTTJVINHCBCLGX-NQLNTKRDSA-N")
  CALL Species("($Z$)-9-octadecenoic acid, methyl ester", "C_{19}H_{36}O_{2}", "methyl oleate", &
    "112-62-9", "QYDYPVFESGNLHU-KHPPLWFESA-N")
  CALL Species("($Z$)-13-docosenoic acid, methyl ester", "C_{23}H_{44}O_{2}", "methyl erucate", &
    "1120-34-9", "ZYNDJIBBPLNPOW-KHPPLWFESA-N")
  CALL Species("oxacyclohexadecan-2-one", "C_{15}H_{28}O_2", "pentadecalactone", &
    "106-02-5", "FKUPPRZPSYCDRS-UHFFFAOYSA-N")
  CALL Species("2-{\it tert}-butylcyclohexyl acetate", "C_{12}H_{22}O_2", "", &
    "88-41-5", "FINOAUDUYKVGDS-UHFFFAOYSA-N")
  ! other saturated:
  CALL Species("2-ethyl-3-oxo-butanoic acid, ethyl ester", "C_8H_{14}O_3", "", &
    "607-97-6", "OKANYBNORCUPKZ-UHFFFAOYSA-N")
  CALL Species("carbonic acid, diethyl ester", "C_5H_{10}O_3", "", &
    "105-58-8", "OIFBSDVPJOWBCH-UHFFFAOYSA-N")
  CALL Species("2-hydroxypropanoic acid, butyl ester", "C_7H_{14}O_3", "", &
    "138-22-7", "MRABAEUHTLLEML-UHFFFAOYSA-N")
  ! unsaturated:
  CALL Species("methyl propenoate", "C_4H_6O_2", "methyl acrylate", &
    "96-33-3", "BAPJBEWLBFYGME-UHFFFAOYSA-N")
  CALL Species("ethyl propenoate", "C_5H_8O_2", "ethyl acrylate", &
    "140-88-5", "JIGUQPWFLRLWPJ-UHFFFAOYSA-N")
  CALL Species("2-propenoic acid, butyl ester", "C_7H_{12}O_2", "", &
    "141-32-2", "CQEYYJKEWSMYFG-UHFFFAOYSA-N")
  CALL Species("2-propenoic acid, 2-methylpropyl ester", "C_7H_{12}O_2", "", &
    "106-63-8", "CFVWNXQPGQOHRJ-UHFFFAOYSA-N")
  CALL Species("2-propenoic acid, 2-ethylhexyl ester", "C_{11}H_{20}O_2", "", &
    "103-11-7", "GOXQRTZXKQZDDN-UHFFFAOYSA-N")
  CALL Species("2-propenoic acid, 2-hydroxyethyl ester", "C_5H_8O_3", "2-hydroxyethyl acrylate", &
    "818-61-1", "OMIGHNLMNHATMP-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, ethyl ester", "C_6H_{10}O_2", "", &
    "97-63-2", "SUPCQIBBMFXVTL-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, 2-propenyl ester", "C_7H_{10}O_2", "allyl methacrylate", &
    "96-05-9", "FBCQUCJYYPMKRO-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, oxiranylmethyl ester", "C_7H_{10}O_3", "glycidyl methacrylate", &
    "106-91-2", "VOZRXNHHFUQHIL-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, propyl ester", "C_7H_{12}O_2", "propyl methacrylate", &
    "2210-28-8", "NHARPDSAXCBDDR-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, butyl ester", "C_8H_{14}O_2", "butyl methacrylate", &
    "97-88-1", "SOGAXMICEFXMKE-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, 2-methylpropyl ester", "C_8H_{14}O_2", "", &
    "97-86-9", "RUMACXVDVNRZJZ-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propenoic acid, 1,2-ethanediylbis(oxy-2,1-ethanediyl) ester", "C_{14}H_{22}O_6", "", &
    "109-16-0", "HWSSEYVMGDIFMH-UHFFFAOYSA-N")
  CALL Species("methyl methacrylate", "C_5H_8O_2", "", &
    "80-62-6", "VVQNEPGJFQJSBK-UHFFFAOYSA-N")
  CALL Species("($E$)-3-hexenyl ethanoate", "C_8H_{14}O_2", "", &
    "3681-82-1", "NPFVOOAXDOBMCE-SNAWJCMRSA-N")
  CALL Species("($Z$)-3-hexenyl ethanoate", "C_8H_{14}O_2", "", &
    "3681-71-8", "NPFVOOAXDOBMCE-PLNGDYQASA-N")
  CALL Species("ethenyl ethanoate", "CH_3COOCHCH_2", "vinyl acetate", &
    "108-05-4", "XTXRWKRVRITETP-UHFFFAOYSA-N")
  CALL Species("3-(4-methoxyphenyl)-2-propenoic acid, 2-ethylhexyl ester", "C_{18}H_{26}O_3", "octinoxate", &
    "5466-77-3", "YBGZDTIWKVFICR-JLHYYAGUSA-N")
  ! aromatic:
  CALL Species("methyl benzoate", "C_6H_5COOCH_3", "", &
    "93-58-3", "QPJVMBTYPHYUOC-UHFFFAOYSA-N")
  CALL Species("ethyl benzoate", "C_6H_5COOC_2H_5", "", &
    "93-89-0", "MTZQAGJQAFMTAQ-UHFFFAOYSA-N")
  CALL Species("2-hydroxybenzoic acid methyl ester", "C_8H_8O_3", "", &
    "119-36-8", "OSWPMRLSEDHDFF-UHFFFAOYSA-N")
  CALL Species("benzoic acid, 4-methyl-, methyl ester", "C_9H_{10}O_2", "", &
    "99-75-2", "QSSJZLPUHJDYKF-UHFFFAOYSA-N")
  CALL Species("1,4-benzenedicarboxylic acid, dimethyl ester", "C_{10}H_{10}O_4", "", &
    "120-61-6", "WOZVHXUHUFLZGK-UHFFFAOYSA-N")
  CALL Species("butyl benzoate", "C_{11}H_{14}O_2", "", &
    "136-60-7", "XSIFPSYPOVKYCO-UHFFFAOYSA-N")
  CALL Species("diphenyl carbonate", "C_{13}H_{10}O_3", "", &
    "102-09-0", "ROORDVPLFPIABK-UHFFFAOYSA-N")
  CALL Species("benzyl benzoate", "C_{14}H_{12}O_2", "", &
    "120-51-4", "SESFRYSPDFLNCH-UHFFFAOYSA-N")
  ! aromatic phthalates:
  CALL Species("dimethyl phthalate",            "C_{10}H_{10}O_4", "", &
    "131-11-3", "NIQCNGHVCWTJSM-UHFFFAOYSA-N")
  CALL Species("1,4-cyclohexanedicarboxylic acid, dimethyl ester", "C_{10}H_{16}O_4", "dimethyl hexahydroterephthalate", &
    "94-60-0", "LNGAGQAGYITKCW-UHFFFAOYSA-N")
  CALL Species("1,3-benzenedicarboxylic acid, dimethyl ester", "C_{10}H_{10}O_4", "dimethyl isophthalate", &
    "1459-93-4", "VNGOYPQMJFJDLV-UHFFFAOYSA-N")
  CALL Species("diethyl phthalate",             "C_{12}H_{14}O_4", "", &
    "84-66-2", "FLKPEMZONWLCSK-UHFFFAOYSA-N")
  CALL Species("dipropyl phthalate",            "C_{14}H_{18}O_4", "", &
    "131-16-8", "MQHNKCZKNAJROC-UHFFFAOYSA-N")
  CALL Species("diallyl phthalate",             "C_{14}H_{14}O_4", "", &
    "131-17-9", "QUDWYFHPNIMBFC-UHFFFAOYSA-N")
  CALL Species("bis(2-methoxyethyl) phthalate", "C_{14}H_{18}O_5", "", &
    "117-82-8", "HSUIVCLOAAJSRE-UHFFFAOYSA-N")
  CALL Species("dibutyl phthalate",             "C_{16}H_{22}O_4", "", &
    "84-74-2", "DOIRQSBPFJWKBE-UHFFFAOYSA-N")
  CALL Species("diisobutyl phthalate",          "C_{16}H_{22}O_4", "", &
    "84-69-5", "MGWAVDBGNNKXQV-UHFFFAOYSA-N")
  CALL Species("1,2-benzenedicarboxylic acid, butyl cyclohexyl ester", "C_{18}H_{24}O_4", "butyl cyclohexyl phthalate", &
    "84-64-0", "BHKLONWXRPJNAE-UHFFFAOYSA-N")
  CALL Species("butyl glycolyl butyl phthalate", "C_{18}H_{24}O_6", "", &
    "85-70-1", "GOJCZVPJCKEBQV-UHFFFAOYSA-N")
  CALL Species("diamyl phthalate", "C_{18}H_{26}O_4", "", &
    "131-18-0", "IPKKHRVROFYTEK-UHFFFAOYSA-N")
  CALL Species("butyl benzyl phthalate",        "C_{19}H_{20}O_4", "", &
    "85-68-7", "IRIAEXORFWYRCZ-UHFFFAOYSA-N")
  CALL Species("dihexyl phthalate",             "C_{20}H_{30}O_4", "", &
    "84-75-3", "KCXZNSGUUQJJTR-UHFFFAOYSA-N")
  CALL Species("butyl 2-ethylhexyl phthalate",  "C_{20}H_{30}O_4", "", &
    "85-69-8", "AVOLBYOSCILFLL-UHFFFAOYSA-N")
  CALL Species("diphenyl terephthalate", "C_{20}H_{14}O_4", "", &
    "1539-04-4", "HPGJOUYGWKFYQW-UHFFFAOYSA-N")
  CALL Species("dicyclohexyl phthalate", "C_{20}H_{26}O_4", "", &
    "84-61-7", "VOWAEIGWURALJQ-UHFFFAOYSA-N")
  CALL Species("bis(2-butoxyethyl) phthalate", "C_{20}H_{30}O_6", "", &
    "117-83-9", "CMCJNODIWQEOAI-UHFFFAOYSA-N")
  CALL Species("diheptyl phthalate",            "C_{22}H_{34}O_4", "", &
    "3648-21-3", "JQCXWCOOWVGKMT-UHFFFAOYSA-N") ! other CAS: 68515-44-6
  CALL Species("dioctyl phthalate",             "C_{24}H_{38}O_4", "", &
    "117-84-0", "MQIUGAXCHLFZKX-UHFFFAOYSA-N")
  CALL Species("diisooctyl phthalate",          "C_{24}H_{38}O_4", "", &
    "27554-26-3", "IJFPVINAQGWBRJ-UHFFFAOYSA-N")
  CALL Species("decyl hexyl phthalate",         "C_{24}H_{38}O_4", "", &
    "25724-58-7", "OMQBXAQAHHFSST-UHFFFAOYSA-N")
  CALL Species("bis(2-ethylhexyl)-phthalate",   "C_{24}H_{38}O_4", "DEHP", &
    "117-81-7", "BJQHLKABXJIVAM-UHFFFAOYSA-N")
  CALL Species("bis(2-ethylhexyl) terephthalate", "C_{24}H_{38}O_4", "", &
    "6422-86-2", "RWPICVVBGZBXNA-UHFFFAOYSA-N")
  CALL Species("dinonyl phthalate",             "C_{26}H_{42}O_4", "", &
    "84-76-4", "DROMNWUQASBTFM-UHFFFAOYSA-N") ! other CAS: 68515-45-7
  CALL Species("diisononyl phthalate",          "C_{26}H_{42}O_4", "", &
    "28553-12-0", "HBGGXOJOCNVPFY-UHFFFAOYSA-N")
  CALL Species("didecyl phthalate",             "C_{28}H_{46}O_4", "", &
    "84-77-5", "PGIBJVOPLXHHGS-UHFFFAOYSA-N")
  CALL Species("diisodecyl phthalate",          "C_{28}H_{46}O_4", "", &
    "26761-40-0", "ZVFDTKUVRCTHQE-UHFFFAOYSA-N")
  CALL Species("diundecyl phthalate",           "C_{30}H_{50}O_4", "", &
    "3648-20-2", "QQVHEQUEHCEAKS-UHFFFAOYSA-N")
  CALL Species("ditridecyl phthalate",          "C_{34}H_{58}O_4", "", &
    "119-06-2", "YCZJVRCZIPDYHH-UHFFFAOYSA-N")
  ! diester:
  CALL Species("ethanedioic acid, dimethyl ester", "C_4H_6O_4", "dimethyl oxalate", &
    "553-90-2", "LOMVENUNSWAXEN-UHFFFAOYSA-N")
  CALL Species("propanedioic acid, dimethyl ester", "C_5H_8O_4", "dimethyl malonate", &
    "108-59-8", "BEPAFCGSDWSTEL-UHFFFAOYSA-N")
  CALL Species("propanedioic acid, diethyl ester", "C_7H_{12}O_4", "diethyl malonate", &
    "105-53-3", "IYXGSMUGOJNHAZ-UHFFFAOYSA-N")
  CALL Species("butanedioic acid, dimethyl ester", "C_6H_{10}O_4", "dimethyl succinate", &
    "106-65-0", "MUXOBHXGJLMRAB-UHFFFAOYSA-N")
  CALL Species("diethyl succinate", "C_8H_{14}O_4", "", &
    "123-25-1", "DKMROQRQHGEIOW-UHFFFAOYSA-N")
  CALL Species("($Z$)-2-butenedioic acid dimethyl ester", "C_6H_8O_4", "", &
    "624-48-6", "LDCRTTXIJACKKU-ARJAWSKDSA-N")
  CALL Species("diethyl pimelate", "C_{11}H_{20}O_4", "", &
    "2050-20-6", "LKKOGZVQGQUVHF-UHFFFAOYSA-N")
  CALL Species("1,3-benzenedicarboxylic acid, diethyl ester", "C_{12}H_{14}O_4", "", &
    "636-53-3", "JLVWYWVLMFVCDI-UHFFFAOYSA-N")
  CALL Species("2,6-naphthalenedicarboxylic acid, dimethyl ester", "C_{14}H_{12}O_4", "", &
    "840-65-3", "GYUVMLBYMPKZAZ-UHFFFAOYSA-N")
  CALL Species("di-(2-ethylhexyl)-adipate", "C_{22}H_{42}O_4", "", &
    "103-23-1", "SAOKZLXYCUGLFA-UHFFFAOYSA-N")
  ! peroxy ester:
  CALL Species("peroxybenzoic acid, {\it tert}-butyl ester", "C_{11}H_{14}O_3", "", &
    "614-45-9", "GJBRNHKUVLOCEB-UHFFFAOYSA-N")
  CALL Species("neodecaneperoxoic acid, 1,1-dimethylethyl ester", "C_{14}H_{28}O_3", "", &
    "26748-41-4", "NMOALOSNPWTWRH-UHFFFAOYSA-N")
  CALL Species("neoheptaneperoxoic acid, 1-methyl-1-phenylethyl ester", "C_{16}H_{24}O_3", "", &
    "130097-36-8", "WFAUFYAGXAXBEG-UHFFFAOYSA-N")
  ! other esters:
  CALL Species("hydroxypropyl acrylate", "C_6H_{10}O_3", "", &
    "25584-83-2", "AYEFIAVHMUFQPZ-UHFFFAOYSA-N")
  CALL Species("2-hydroxyethyl methacrylate", "C_6H_{10}O_3", "", &
    "868-77-9", "WOBHKFSMXKNTIM-UHFFFAOYSA-N")
  CALL Species("2-hydroxypropyl acrylate", "C_6H_{10}O_3", "", &
    "999-61-1", "GWZMWHWAWHPNHN-UHFFFAOYSA-N")
  CALL Species("dimethyl fumarate", "C_6H_8O_4", "", &
    "624-49-7", "LDCRTTXIJACKKU-ONEGZZNKSA-N")
  CALL Species("hexanedioic acid, dimethyl ester", "C_8H_{14}O_4", "dimethyl adipate", &
    "627-93-0", "UDSFAEKRVUSQDD-UHFFFAOYSA-N")
  CALL Species("methyl 4-hydroxybenzoate", "C_8H_8O_3", "methylparaben", &
    "99-76-3", "LXCFILQKKLGQFO-UHFFFAOYSA-N")
  CALL Species("diethyl fumarate", "C_8H_{12}O_4", "", &
    "623-91-6", "IEPRKVQEAMIZSS-AATRIKPKSA-N")
  CALL Species("diethyl adipate", "C_{10}H_{18}O_4", "", &
    "141-28-6", "VIZORQUEIQEFRT-UHFFFAOYSA-N")
  CALL Species("propyl 4-hydroxybenzoate", "C_{10}H_{12}O_3", "propylparaben", &
    "94-13-3", "QELSKZZBTMNZEB-UHFFFAOYSA-N")
  CALL Species("diethylene glycol diacrylate", "C_{10}H_{14}O_5", "", &
    "4074-88-8", "LEJBBGNFPAFPKQ-UHFFFAOYSA-N")
  CALL Species("(2,2-dimethyl-3-prop-2-enoyloxypropyl) prop-2-enoate", "C_{11}H_{16}O_4", "2,2-dimethyltrimethylene acrylate", &
    "2223-82-7", "MXFQRSUWYYSPOC-UHFFFAOYSA-N")
  CALL Species("methyl jasmonate", "C_{13}H_{20}O_3", "", &
    "1211-29-6", "GEWDNTWNSAZUDX-NNOMMRTBSA-N")
  CALL Species("cinoxate", "C_{14}H_{18}O_4", "", &
    "104-28-9", "CMDKPGRTAQVGFQ-RMKNXTFCSA-N")
  CALL Species("trimethylolpropane triacrylate", "C_{15}H_{20}O_6", "", &
    "15625-89-5", "DAKWPKUUDNSNPN-UHFFFAOYSA-N")
  CALL Species("benzyl cinnamate", "C_{16}H_{14}O_2", "", &
    "103-41-3", "NGHOLYJTSCBCGC-VAWYXSNFSA-N")
  CALL Species("2,2,4-trimethyl-1,3-pentanediol diisobutyrate", "C_{16}H_{30}O_4", "", &
    "6846-50-0", "OMVSWZDEEGIJJI-UHFFFAOYSA-N")
  CALL Species("nonanedioic acid, dibutyl ester", "C_{17}H_{32}O_4", "dibutyl azelate", &
    "2917-73-9", "RISLXYINQFKFRL-UHFFFAOYSA-N")
  CALL Species("isopropyl myristate", "C_{17}H_{34}O_2", "", &
    "110-27-0", "AXISYYRBXTVTFY-UHFFFAOYSA-N")
  CALL Species("decanedioic acid, dibutyl ester", "C_{18}H_{34}O_4", "", &
    "109-43-3", "PYGXAGIECVVIOZ-UHFFFAOYSA-N")
  CALL Species("diethylene glycol dibenzoate", "C_{18}H_{18}O_5", "", &
    "120-55-8", "NXQMCAOPTPLPRL-UHFFFAOYSA-N")
  CALL Species("12-hydroxy-9-octadecenoic acid, methyl ester", "C_{19}H_{36}O_3", "ricinoleic acid, methyl ester", &
    "141-24-2", "XKGDWZQXVZSXAO-RAXLEYEMSA-N")
  CALL Species("chrysanthemumic acid 2,4-dimethylbenzyl ester", "C_{19}H_{26}O_2", "dimethrin", &
    "70-38-2", "FHNKBSDJERHDHZ-UHFFFAOYSA-N")
  CALL Species("tributyl acetylcitrate", "C_{20}H_{34}O_8", "acetyl tributyl citrate", &
    "77-90-7", "QZCLKYGREBVARF-UHFFFAOYSA-N")
  CALL Species("hexanedioic acid, dioctyl ester", "C_{22}H_{42}O_4", "di-n-octyl adipate", &
    "123-79-5", "NEHDRDVHPTWWFG-UHFFFAOYSA-N")
  CALL Species("diisooctyl adipate", "C_{22}H_{42}O_4", "", &
    "1330-86-5", "CJFLBOQMPJCWLR-UHFFFAOYSA-N")
  CALL Species("hexanedioic acid, bis[2-(2-butoxyethoxy)ethyl] ester", "C_{22}H_{42}O_8", "bis(2-(2-butoxyethoxy)ethyl) adipate", &
    "141-17-3", "SCABKEBYDRTODC-UHFFFAOYSA-N")
  CALL Species("1,2-benzenedicarboxylic acid, decyl octyl ester", "C_{26}H_{42}O_4", "", &
    "119-07-3", "LVAGMBHLXLZJKZ-UHFFFAOYSA-N")
  CALL Species("phthalic acid, isodecyl octyl ester", "C_{26}H_{42}O_4", "", &
    "1330-96-7", "UXLBXTIBYMXRNX-UHFFFAOYSA-N")
  CALL Species("diisononyl hexahydrophthalate", "C_{26}H_{48}O_4", "", &
    "166412-78-8", "HORIEOQXBKUKGQ-UHFFFAOYSA-N")
  CALL Species("decanedioic acid, bis(2-ethylhexyl) ester", "C_{26}H_{50}O_4", "bis(2-ethylhexyl) sebacate", &
    "122-62-3", "VJHINFRRDQUWOJ-UHFFFAOYSA-N")
  CALL Species("glycerol tricaprylate", "C_{27}H_{50}O_6", "tricaprylin", &
    "538-23-8", "VLPFTAMPNXLGLX-UHFFFAOYSA-N")
  CALL Species("tris(2-ethylhexyl) trimellitate", "C_{33}H_{54}O_6", "", &
    "3319-31-1", "KRADHMIOFJQKEZ-UHFFFAOYSA-N")
  CALL Species("emamectin benzoate", "C_{97}H_{146}O_{26}", "", &
    "119791-41-2", "WQYWHGOKYSMVFW-YXCDHJPISA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Ethers (\chem{ROR})")
  ! saturated:
  ! C2:
  CALL Species("dimethyl ether", "CH_3OCH_3", "", &
    "115-10-6", "LCGLNKUTAGEVQW-UHFFFAOYSA-N")
  ! C3:
  CALL Species("ethyl methyl ether", "C_2H_5OCH_3", "", &
    "540-67-0", "XOBKSJJDNFUZPF-UHFFFAOYSA-N")
  ! C4:
  CALL Species("diethyl ether", "C_2H_5OC_2H_5", "", &
    "60-29-7", "RTZKZFJDLAIYFH-UHFFFAOYSA-N")
  CALL Species("diethyl ether-d10", "C_2D_5OC_2D_5", "", &
    "2679-89-2", "RTZKZFJDLAIYFH-MWUKXHIBSA-N")
  CALL Species("methyl propyl ether", "CH_3OC_3H_7", "", &
    "557-17-5", "VNKYTQGIUYNRMY-UHFFFAOYSA-N")
  CALL Species("methyl 2-propyl ether", "CH_3OC_3H_7", "methyl isopropyl ether", &
    "598-53-8", "RMGHERXMTMUMMV-UHFFFAOYSA-N")
  CALL Species("divinyl ether", "C_4H_6O", "", &
    "109-93-3", "QYKIQEUNHZKYBP-UHFFFAOYSA-N")
  ! C5:
  CALL Species("methyl butyl ether", "C_5H_{12}O", "", &
    "628-28-4", "CXBDYQVECUFKRK-UHFFFAOYSA-N")
  CALL Species("2-methoxybutane", "C_5H_{12}O", "", &
    "6795-87-5", "FVNIMHIOIXPIQT-UHFFFAOYSA-N")
  CALL Species("methyl {\it tert}-butyl ether", "CH_3OC(CH_3)_3", "MTBE", &
    "1634-04-4", "BZLVMXJERCGZMT-UHFFFAOYSA-N")
  CALL Species("ethyl propyl ether", "C_2H_5OC_3H_7", "", &
    "628-32-0", "NVJUHMXYKCUMQA-UHFFFAOYSA-N")
  ! C6:
  CALL Species("1-ethoxy-butane", "C_6H_{14}O", "ethyl butyl ether", &
    "628-81-9", "PZHIWRCQKBBTOW-UHFFFAOYSA-N")
  CALL Species("ethyl {\it tert}-butyl ether", "C_2H_5OC(CH_3)_3", "ETBE", &
    "637-92-3", "NUMQCACRALPSHD-UHFFFAOYSA-N")
  CALL Species("2-methoxy-2-methylbutane", "C_6H_{14}O", "{\it tert}-amyl methyl ether", &
    "994-05-8", "HVZJRWJGKQPSFL-UHFFFAOYSA-N")
  CALL Species("dipropyl ether", "C_3H_7OC_3H_7", "", &
    "111-43-3", "POLCUAVZOMRGSN-UHFFFAOYSA-N")
  CALL Species("diisopropyl ether", "C_3H_7OC_3H_7", "", &
    "108-20-3", "ZAFNJMIOTHYJRJ-UHFFFAOYSA-N")
  ! C7:
  CALL Species("2-ethyl-2-ethoxypropane", "C_7H_{16}O", "", &
    "919-94-8", "KFRVYYGHSPLXSZ-UHFFFAOYSA-N")
  ! C8:
  CALL Species("dibutyl ether", "C_4H_9OC_4H_9", "", &
    "142-96-1", "DURPTKYDGMDSBL-UHFFFAOYSA-N")
  CALL Species("diisobutyl ether", "C_8H_{18}O", "", &
    "628-55-7", "SZNYYWIUQFZLLT-UHFFFAOYSA-N")
  ! >= C9:
  CALL Species("1,1'-oxybispentane", "C_{10}H_{22}O", "", &
    "693-65-2", "AOPDRZXCEAKHHW-UHFFFAOYSA-N")
  CALL Species("1,1'-oxybis(3-methylbutane)", "C_{10}H_{22}O", "diisopentyl ether", &
    "544-01-4", "AQZGPSLYZOOYQP-UHFFFAOYSA-N")
  CALL Species("1,1'-oxybishexane", "C_{12}H_{26}O", "", &
    "112-58-3", "BPIUIOXAFBGMNB-UHFFFAOYSA-N")
  CALL Species("1-ethoxy-3,7-dimethyloctane", "C_{12}H_{26}O", "", &
    "22810-10-2", "HCHHIPCZJSRFRT-UHFFFAOYSA-N")
  ! cyclic:
  CALL Species("methoxycyclohexane", "C_7H_{14}O", "", &
    "931-56-6", "GHDIHPNJQVDFBL-UHFFFAOYSA-N")
  CALL Species("methyl cedryl ether", "C_{16}H_{28}O", "", &
    "19870-74-7", "HRGPYCVTDOECMG-WALBABNVSA-N")
  ! more than one O:
  CALL Species("dimethoxymethane", "CH_3OCH_2OCH_3", "", &
    "109-87-5", "NKDDWNXOKDWJAK-UHFFFAOYSA-N")
  CALL Species("trimethoxymethane", "HC(OCH_3)_3", "", &
    "149-73-5", "PYOKUURKVVELLB-UHFFFAOYSA-N")
  CALL Species("1,1-diethoxyethane", "(C_2H_5O)_2CHCH_3", "", &
    "105-57-7", "DHKHKXVYLBGOIT-UHFFFAOYSA-N")
  CALL Species("1,2-diethoxyethane", "C_2H_5OC_2H_4OC_2H_5", "", &
    "629-14-1", "LZDKZFUFMNSQCJ-UHFFFAOYSA-N")
  CALL Species("1,1,1-trimethoxyethane", "CH_3C(OCH_3)_3", "", &
    "1445-45-0", "HDPNBNXLBDFELL-UHFFFAOYSA-N")
  CALL Species("1,2-dimethoxyethane", "C_4H_{10}O_2", "", &
    "110-71-4", "XTHFKEDIFFGKHM-UHFFFAOYSA-N")
  CALL Species("3-oxa-1-hexanol", "C_5H_{12}O_2", "2-propoxyethanol", &
    "2807-30-9", "YEYKMVJDLWJFOA-UHFFFAOYSA-N")
  CALL Species("3-oxa-1-heptanol", "C_6H_{14}O_2", "2-butoxyethanol; butyl cellosolve", &
    "111-76-2", "POAOYUHQDCAZBD-UHFFFAOYSA-N")
  CALL Species("1-methoxy-2-propanol", "C_4H_{10}O_2", "", &
    "107-98-2", "ARXJGSRGQADJSQ-UHFFFAOYSA-N")
  CALL Species("4-methyl-3-oxa-1-pentanol", "C_5H_{12}O_2", "2-isopropoxyethanol", &
    "109-59-1", "HCGFUIQPSOCUHI-UHFFFAOYSA-N")
  CALL Species("1,2-dibutoxyethane", "C_{10}H_{22}O_2", "", &
    "112-48-1", "GDXHBFHOEYVPED-UHFFFAOYSA-N")
  CALL Species("3,6-dioxa-1-decanol", "C_8H_{18}O_3", "butyl carbitol", &
    "112-34-5", "OAYXUHPQHDHDDZ-UHFFFAOYSA-N")
  CALL Species("1,1'-[oxybis(2,1-ethanediyloxy)]bisbutane", "C_{12}H_{26}O_3", "", &
    "112-73-2", "KZVBBTZJMSWGTK-UHFFFAOYSA-N")
  ! unsaturated:
  CALL Species("methoxyethene", "C_3H_6O", "vinyl methyl ether", &
    "107-25-5", "XJRBAMWJDBPFIM-UHFFFAOYSA-N")
  CALL Species("1-(ethenyloxy)butane", "C_6H_{12}O", "butyl vinyl ether", &
    "111-34-2", "UZKWTJUDCOPSNM-UHFFFAOYSA-N")
  CALL Species("vinylisobutyl ether", "C_6H_{12}O", "", &
    "109-53-5", "OZCMOJQQLBXBKI-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("methoxybenzene", "C_6H_5OCH_3", "anisole", &
    "100-66-3", "RDOXTESZEPMUJZ-UHFFFAOYSA-N")
  CALL Species("ethoxybenzene", "C_8H_{10}O", "phenetole", &
    "103-73-1", "DLRJIFUOBPOJNS-UHFFFAOYSA-N")
  CALL Species("1,2-dimethoxybenzene", "C_8H_{10}O_2", "", &
    "91-16-7", "ABDKAPXRBAPSQN-UHFFFAOYSA-N")
  CALL Species("2-phenoxyethanol", "C_8H_{10}O_2", "", &
    "122-99-6", "QCDWFXQBSFUVSP-UHFFFAOYSA-N")
  CALL Species("2-(phenylmethoxy)-ethanol", "C_9H_{12}O_2", "", &
    "622-08-2", "CUZKCNWZBXLAJX-UHFFFAOYSA-N")
  CALL Species("1,2,3-trimethoxybenzene", "C_9H_{12}O_3", "", &
    "634-36-6", "CRUILBNAQILVHZ-UHFFFAOYSA-N")
  CALL Species("1-methoxy-4-(1-propenyl)-benzene", "C_{10}H_{12}O", "anethole", &
    "104-46-1", "RUVINXPYWBROJD-UHFFFAOYSA-N") ! other CAS: 4180-23-8
  CALL Species("2-methoxy-4-(2-propenyl)-phenol", "C_{10}H_{12}O_2", "eugenol", &
    "97-53-0", "RRAFCDWBNXTKKO-UHFFFAOYSA-N")
  CALL Species("1,2-dimethoxy-4-(2-propenyl)-benzene", "C_{11}H_{14}O_2", "", &
    "93-15-2", "ZYEMGPIYFIJGTP-UHFFFAOYSA-N")
  CALL Species("diphenyl ether", "C_{12}H_{10}O", "", &
    "101-84-8", "USIUVYZYUHIAEV-UHFFFAOYSA-N")
  CALL Species("(phenoxymethyl)-oxirane", "C_9H_{10}O_2", "", &
    "122-60-1", "FQYUMYWMJTYZTK-UHFFFAOYSA-N")
  CALL Species("1-dodecyl-4-phenoxybenzene", "C_{24}H_{34}O", "", &
    "119345-02-7", "XSAHYEQPUFJGKW-UHFFFAOYSA-N")
  CALL Species("2,2,4-trimethyl-4-(4-(4-(2,4,4-trimethylpentan-2-yl)phenoxy)phenyl)pentane", "C_{28}H_{42}O", "", &
    "61702-88-3", "AJDONJVWDSZZQF-UHFFFAOYSA-N") ! other CAS: 101-58-6
  ! peroxy ether:
  CALL Species("di-{\it tert}-butyl {\it sec}-butylidene diperoxide", "C_{12}H_{26}O_4", "", &
    "2167-23-9", "HQOVXPHOJANJBR-UHFFFAOYSA-N")
  CALL Species("peroxide, 1,1-dimethylethyl 1-methyl-1-phenylethyl", "C_{13}H_{20}O_2", "", &
    "3457-61-2", "BIISIZOQPWZPPS-UHFFFAOYSA-N")
  CALL Species("di-{\it tert}-butyl 1,1,4,4-tetramethyltetramethylene diperoxide", "C_{16}H_{34}O_4", "", &
    "78-63-7", "DMWVYCCGCQPJEA-UHFFFAOYSA-N")
  CALL Species("1,4-bis(1-{\it tert}-butylperoxy-1-methyl-ethyl)benzene", "C_{20}H_{34}O_4", "", &
    "2781-00-2", "GWQOYRSARAWVTC-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Heterocycles with oxygen")
  CALL Species("2-furanmethanol", "C_5H_6O_2", "", &
    "98-00-0", "XPFVYQJUAUNWIW-UHFFFAOYSA-N")
  CALL Species("tetrahydropyran-2-methanol", "C_6H_{12}O_2", "", &
    "100-72-1", "ROTONRWJLXYJBD-UHFFFAOYSA-N")
  CALL Species("oxirane", "C_2H_4O", "ethylene oxide", &
    "75-21-8", "IAYPIBMASNFSPL-UHFFFAOYSA-N")
  CALL Species("1,2-epoxypropane", "C_3H_6O", "propyleneoxide", &
    "75-56-9", "GOOHAUXETOMSMM-UHFFFAOYSA-N") ! other CAS: 16033-71-9
  CALL Species("phenyloxirane", "C_8H_8O", "styrene oxide", &
    "96-09-3", "AWMVMTVKBNGEAK-UHFFFAOYSA-N")
  CALL Species("oxacyclopentadiene", "C_4H_4O", "furan; furfuran", &
    "110-00-9", "YLQBMQCUIZJEEH-UHFFFAOYSA-N")
  CALL Species("dibenzofuran", "C_{12}H_8O", "2,2'-biphenylene oxide", &
    "132-64-9", "TXCDCPKCNAJMEE-UHFFFAOYSA-N")
  CALL Species("2-furancarboxaldehyde", "C_5H_4O_2", "furfural; 2-furanaldehyde", &
    "98-01-1", "HYBBIBNJHNGZAN-UHFFFAOYSA-N")
  CALL Species("tetrahydrofuran", "C_4H_8O", "THF", &
    "109-99-9", "WYURNTSHIVDZCO-UHFFFAOYSA-N")
  CALL Species("tetrahydrofuran-d8", "C_4D_8O", "THF-d8", &
    "1693-74-9", "WYURNTSHIVDZCO-SVYQBANQSA-N")
  CALL Species("2-methyltetrahydrofuran", "CH_3C_4H_7O", "", &
    "96-47-9", "JWUJQDFVADABEY-UHFFFAOYSA-N")
  CALL Species("2,5-dimethyltetrahydrofuran", "(CH_3)_2C_4H_6O", "", &
    "1003-38-9", "OXMIDRBAFOEOQT-UHFFFAOYSA-N")
  CALL Species("tetrahydropyran", "C_5H_{10}O", "THP", &
    "142-68-7", "DHXVGJBLRPWPCS-UHFFFAOYSA-N")
  CALL Species("3-methyltetrahydropyran", "C_6H_{12}O", "", &
    "26093-63-0", "UJQZTMFRMLEYQN-UHFFFAOYSA-N")
  CALL Species("3,4-dihydro-2H-pyran", "C_5H_8O", "", &
    "110-87-2", "BUDQDWGNQVEFAC-UHFFFAOYSA-N")
  CALL Species("1,3-dioxolane", "C_3H_6O_2", "", &
    "646-06-0", "WNXJIVFYUVYPPR-UHFFFAOYSA-N")
  CALL Species("1,3-dioxane", "C_4H_8O_2", "", &
    "505-22-6", "VDFVNEFVBPFDSB-UHFFFAOYSA-N")
  CALL Species("1,4-dioxane", "C_4H_8O_2", "dioxane", &
    "123-91-1", "RYHBNJHYFVUHQT-UHFFFAOYSA-N")
  CALL Species("1,4-dioxane-d8", "C_4D_8O_2", "dioxane-d8", &
    "17647-74-4", "RYHBNJHYFVUHQT-SVYQBANQSA-N")
  CALL Species("4-methyl-1,3-dioxolan-2-one", "C_4H_6O_3", "propylene carbonate", &
    "108-32-7", "RUOJZAUFBMNUDX-UHFFFAOYSA-N")
  CALL Species("1,3,3-trimethyl-2-oxabicyclo[2.2.2]octane", "C_{10}H_{18}O", "eucalyptol; limonene oxide; 1,8-cineole", &
    "470-82-6", "WEEGYLXZBRQIMU-UHFFFAOYSA-N")
  CALL Species("dibenzo[$b,e$][1,4]dioxin", "C_{12}H_8O_2", "dibenzo-$p$-dioxin", &
    "262-12-4", "NFBOHOGPQUYFRF-UHFFFAOYSA-N")
  CALL Species("piperonal", "C_8H_6O_3", "", &
    "120-57-0", "SATCULPHIDQDRE-UHFFFAOYSA-N")
  CALL Species("paraldehyde", "C_6H_{12}O_3", "", &
    "123-63-7", "SQYNKIJPMDEDEG-UHFFFAOYSA-N")
  CALL Species("benzofuran", "C_8H_6O", "", &
    "271-89-6", "IANQTJSKSUMEQM-UHFFFAOYSA-N")
  CALL Species("$\gamma$-nonalactone", "C_9H_{16}O_2", "", &
    "104-61-0", "OALYTRUKMRCXNH-UHFFFAOYSA-N")
  CALL Species("1,5,5,9-tetramethyl-13-oxatricyclo(8.3.0.0(4,9))tridecane", "C_{16}H_{28}O", "ambroxan", &
    "3738-00-9", "YPZUZOLGGMJZJO-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,7,8-hexahydro-4,6,6,7,8,8-hexamethylcyclopenta[$g$]-2-benzopyran", "C_{18}H_{26}O", "", &
    "1222-05-5", "ONKNPOPIGWHAQC-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Oxidized terpenoids")
  CALL Species("(1S-endo)-1,7,7-trimethyl-bicyclo[2.2.1]heptan-2-ol", "C_{10}H_{18}O", "1S-endo-(-)-borneol", &
    "464-45-9", "DTGKSKDOIYIVQL-CCNFQMFXSA-N")
  CALL Species("(1R)-1,3,3-trimethylbicyclo[2.2.1]heptan-2-ol", "C_{10}H_{18}O", "endo-(+)-fenchyl alcohol", &
    "2217-02-9", "IAIHUHQCLTYTSF-OYNCUSHFSA-N")
  CALL Species("2-(4-methyl-3-cyclohexen-1-yl)-2-propanol", "C_{10}H_{18}O", "$\alpha$-terpineol", &
    "98-55-5", "WUOACPNHFRMFPN-UHFFFAOYSA-N")
  CALL Species("1,2-dimethyl-3-(1-methylethenyl)-cyclopentanol", "C_{10}H_{18}O", "plinol", &
    "72402-00-7", "ZRVPDCMGGOSDKG-UHFFFAOYSA-N")
  CALL Species("1-methyl-4-(1-methylethyl)-7-oxabicyclo[2.2.1]heptane", "C_{10}H_{18}O", "1,4-cineole", &
    "470-67-7", "RFFOTVCVTJUTAD-UHFFFAOYSA-N")
  CALL Species("1,7,7-trimethyl-bicyclo[2.2.1]heptan-2-one", "C_{10}H_{16}O", "camphor", &
    "76-22-2", "DSSYKIVIOFKYAU-UHFFFAOYSA-N")
  CALL Species("2,7,7-trimethyl-3-oxatricyclo[4.1.1.0(2,4)]octane", "C_{10}H_{16}O", "(-)-$\alpha$-pinene oxide", &
    "1686-14-2", "NQFUSWIGRKFAHK-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-(1-methylethylidene)-cyclohexanone", "C_{10}H_{16}O", "pulegone", &
    "89-82-7", "NZGWDASTMWDZIW-UHFFFAOYSA-N")
  CALL Species("exo-2-[(1,7,7-trimethylbicyclo[2.2.1]hept-2-yl)-oxy]ethanol", "C_{12}H_{22}O_2", "arbanol", &
    "7070-15-7", "IWWCSDGEIDYEJV-JBLDHEPKSA-N")
  CALL Species("4-(2,6,6-trimethyl-1-cyclohexenyl)-3-buten-2-one", "C_{13}H_{20}O", "beta-ionone", &
    "14901-07-6", "PSQYTAPXSHCGMF-BQYQJAHWSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Miscellaneous")
  CALL Species("oxoethanoic acid", "OHCCOOH", "glyoxylic acid", &
    "298-12-4", "HHLFWLYXYJOTON-UHFFFAOYSA-N")
  CALL Species("hydroxyethanoic acid", "HOCH_2COOH", "glycolic acid", &
    "79-14-1", "AEMRFAOFKBGASW-UHFFFAOYSA-N")
  CALL Species("2-hydroxyethanal", "HOCH_2CHO", "hydroxyacetaldehyde; glycolaldehyde", &
    "141-46-8", "WGCNASOHLSPBMP-UHFFFAOYSA-N")
  CALL Species("propanonal", "CH_3COCHO", "methylglyoxal; pyruvaldehyde", &
    "78-98-8", "AIJULSRZWUXGPQ-UHFFFAOYSA-N")
  CALL Species("2-oxopropanoic acid", "CH_3COCOOH", "pyruvic acid", &
    "127-17-3", "LCTONWCANYUPML-UHFFFAOYSA-N")
  CALL Species("3-oxopropanoic acid", "OHCCH_2COOH", "", &
    "926-61-4", "OAKURXIZZOAYBC-UHFFFAOYSA-N")
  CALL Species("2-hydroxypropanoic acid", "CH_3CHOHCOOH", "lactic acid", &
    "50-21-5", "JVTAAEKCZFNVCJ-UHFFFAOYSA-N")
  CALL Species("glycidaldehyde", "C_3H_4O_2", "", &
    "765-34-4", "IWYRWIUNAVNFPE-UHFFFAOYSA-N")
  CALL Species("trimethylene oxide", "C_3H_6O", "1,3-epoxypropane", &
    "503-30-0", "AHHWIHXENZJRFG-UHFFFAOYSA-N")
  CALL Species("2,3-dihydroxypropanal", "C_3H_6O_3", "glyceraldehyde", &
    "367-47-5", "MNQZXJOMYWMBOU-UHFFFAOYSA-N")
  CALL Species("dihydroxyacetone", "C_3H_6O_3", "", &
    "96-26-4", "RXKJFZQQPQGTFL-UHFFFAOYSA-N")
  CALL Species("2-methoxyethanol", "C_3H_8O_2", "methyl cellosolve", &
    "109-86-4", "XNWFRZJHXBZDAG-UHFFFAOYSA-N")
  CALL Species("4-oxobutanoic acid", "OHC(CH_2)_2COOH", "", &
    "692-29-5", "UIUJIQZEACWQSV-UHFFFAOYSA-N")
  CALL Species("2,3-dihydroxybutanedioic acid", "HOOCCHOHCHOHCOOH", "tartaric acid", &
    "87-69-4", "FEWJPZIEWOKRBE-JCYAYHJZSA-N")
  CALL Species("3-oxapentane-1,5-diol", "HO(CH_2)_2O(CH_2)_2OH", "diethylene glycol", &
    "111-46-6", "MTHSVFCYNBDYFN-UHFFFAOYSA-N")
  CALL Species("hydroxybutanedioic acid", "HOOCCH_2CHOHCOOH", "malic acid", &
    "6915-15-7", "BJEPYKJPYRNKOW-UHFFFAOYSA-N")
  CALL Species("2-ethoxyethanol",  "C_4H_{10}O_2", "", &
    "110-80-5", "ZNQVEEAIQZEUHB-UHFFFAOYSA-N")
  CALL Species("2-methoxy-1-propanol", "C_4H_{10}O_2", "", &
    "1589-47-5", "YTTFFPATQICAQN-UHFFFAOYSA-N")
  CALL Species("1,1-dimethoxyethane", "C_4H_{10}O_2", "", &
    "534-15-6", "SPEUIVXLLWOEMJ-UHFFFAOYSA-N")
  CALL Species("4-methylene-2-oxetanone", "C_4H_4O_2", "acetyl ketene", &
    "674-82-8", "WASQWSOJHCZDFK-UHFFFAOYSA-N")
  CALL Species("2(5H)-furanone", "C_4H_4O_2", "", &
    "497-23-4", "VIHAEDVKXSOUAT-UHFFFAOYSA-N")
  CALL Species("2,2'-bioxirane", "C_4H_6O_2", "", &
    "1464-53-5", "ZFIVKAOQEXOYFY-UHFFFAOYSA-N")
  CALL Species("butyrolactone", "C_4H_6O_2", "", &
    "96-48-0", "YEJRWHAVMIAJKC-UHFFFAOYSA-N")
  CALL Species("ethyloxirane", "C_4H_8O", "1,2-epoxybutane", &
    "106-88-7", "RBACIKXCRWGCBB-UHFFFAOYSA-N")
  CALL Species("2,3-epoxy-2-methyl-1,4-butanediol", "C_5H_{10}O_3", "IEPOX", &
    "_CAS-86", "FLVAIUDBQNOKHB-UHFFFAOYSA-N")
  CALL Species("2,3-epoxy-6-oxo-heptenal", "C_7H_8O_3", "TOL\_EPOX", &
    "_CAS-85", "YHZQHUOBDYTWMQ-UHFFFAOYSA-N")
  CALL Species("3-hydroxy-2-butanone", "C_4H_8O_2", "acetoin", &
    "513-86-0", "ROWKJAVDOGWPAT-UHFFFAOYSA-N")
  CALL Species("2-(vinyloxy)ethanol", "C_4H_8O_2", "ethylene glycol monovinyl ether", &
    "764-48-7", "VUIWJRYTWUGOOF-UHFFFAOYSA-N")
  CALL Species("2-methyloxetane", "C_4H_8O", "", &
    "2167-39-7", "FZIIBDOXPQOKBP-UHFFFAOYSA-N")
  CALL Species("5-oxopentanoic acid", "OHC(CH_2)_3COOH", "", &
    "5746-02-1", "VBKPPDYGFUZOAJ-UHFFFAOYSA-N")
  CALL Species("2-oxopentanedioic acid", "HOOC(CH_2)_2COCOOH", "$\alpha$-keto glutaric acid", &
    "328-50-7", "KPGXRSRHYNQIFN-UHFFFAOYSA-N")
  CALL Species("tetrahydro-2-furanmethanol", "C_5H_{10}O_2", "tetrahydrofurfuryl alcohol", &
    "97-99-4", "BSYVTEYKTMYBMK-UHFFFAOYSA-N")
  CALL Species("xylose", "C_5H_{10}O_5", "", &
    "58-86-6", "PYMYPHUHKUWMLA-VPENINKCSA-N")
  CALL Species("2-(2-methoxyethoxy)ethanol", "C_5H_{12}O_3", "diethylene glycol monomethyl ether", &
    "111-77-3", "SBASXUCJHJRPEV-UHFFFAOYSA-N")
  CALL Species("3,6-dioxaoctane-1,8-diol", "HO(CH_2CH_2O)_3H", "triethylene glycol", &
    "112-27-6", "ZIBGPFATKBEMQZ-UHFFFAOYSA-N")
  CALL Species("2-oxepanone", "C_6H_{10}O_2", "caprolactone", &
    "502-44-3", "PAPBSGBWRJIAAV-UHFFFAOYSA-N")
  CALL Species("glycidyl ether", "C_6H_{10}O_3", "diglycidyl ether", &
    "2238-07-5", "GYZLOYUZLJXAJU-UHFFFAOYSA-N")
  CALL Species("4-hydroxy-4-methyl-2-pentanone", "C_6H_{12}O_2", "", &
    "123-42-2", "SWXVUIWOUIDPGS-UHFFFAOYSA-N")
  CALL Species("1-propoxy-2-propanol", "C_6H_{14}O_2", "", &
    "1569-01-3", "FENFUOGYJVOCRY-UHFFFAOYSA-N")
  CALL Species("2-(2-ethoxyethoxy)ethanol", "C_6H_{14}O_3", "diethylene glycol monoethyl ether", &
    "111-90-0", "XXJWXESWEXIICW-UHFFFAOYSA-N")
  CALL Species("2,5,8-trioxanonane", "C_6H_{14}O_3", "diglyme", &
    "111-96-6", "SBZXBUIDTXKZTM-UHFFFAOYSA-N")
  CALL Species("oxydipropanol", "C_6H_{14}O_3", "dipropylene glycol", &
    "25265-71-8", "SZXQTJUDPRGNJN-UHFFFAOYSA-N")
  CALL Species("$p$-benzoquinone", "C_6H_4O_2", "1,4-benzoquinone", &
    "106-51-4", "AZQWKYJCGOJGHM-UHFFFAOYSA-N")
  CALL Species("5-hydroxymethylfurfural", "C_6H_6O_3", "5-hydroxymethyl-2-furfuraldehyde", &
    "67-47-0", "NOEGNKMFWQHSLB-UHFFFAOYSA-N")
  CALL Species("5-hydroxy-2-(hydroxymethyl)-4H-pyran-4-one", "C_6H_6O_4", "kojic acid", &
    "501-30-4", "BEJNERDRQOWKJM-UHFFFAOYSA-N")
  CALL Species("2-hydroxy-1,2,3-propanetricarboxylic acid", "C_6H_8O_7", "citric acid", &
    "77-92-9", "KRKNYBCHXYNGOX-UHFFFAOYSA-N")
  CALL Species("(butoxymethyl)oxirane", "C_7H_{14}O_2", "n-butyl glycidyl ether", &
    "2426-08-6", "YSUQLAYJZDEMOT-UHFFFAOYSA-N")
  CALL Species("1-(1,1-dimethylethoxy)-2-propanol", "C_7H_{16}O_2", "propylene glycol mono-t-butyl ether", &
    "57018-52-7", "GQCZPFJGIXHZMB-UHFFFAOYSA-N")
  CALL Species("2-[2-(2-methoxyethoxy)ethoxy]ethanol", "C_7H_{16}O_4", "triethylene glycol monomethyl ether", &
    "112-35-6", "JLGLQAWTXXGVEM-UHFFFAOYSA-N")
  CALL Species("2-methylp-benzoquinone", "C_7H_6O_2", "", &
    "553-97-9", "VTWDKFNVVLAELH-UHFFFAOYSA-N")
  CALL Species("patulin", "C_7H_6O_4", "", &
    "149-29-1", "ZRWPUFFVAOMMNM-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-3-methoxybenzene", "C_7H_8O_2", "3-methoxyphenol", &
    "150-19-6", "ASHGTJPOSUFTGB-UHFFFAOYSA-N")
  CALL Species("mequinol", "C_7H_8O_2", "4-methoxyphenol", &
    "150-76-5", "NWVVVBRKAWDGAB-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2-methoxybenzene", "C_7H_8O_2", "guaicol; 2-methoxyphenol", &
    "90-05-1", "LHGVFZTZFXWLCP-UHFFFAOYSA-N")
  CALL Species("1,4-dimethoxybenzene", "C_8H_{10}O_2", "hydroquinone dimethyl ether", &
    "150-78-7", "OHBQPCCCRFSCAX-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-methoxyphenol", "C_8H_{10}O_2", "", &
    "93-51-6", "PETRWTHZSKVLRE-UHFFFAOYSA-N")
  CALL Species("1,3-dimethoxy-2-hydroxybenzene", "C_8H_{10}O_3", "2,6-dimethoxyphenol", &
    "91-10-1", "KLIDCXVFHGNTTM-UHFFFAOYSA-N")
  CALL Species("hexahydro-1,3-isobenzofurandione", "C_8H_{10}O_3", "hexahydrophthalic anhydride", &
    "85-42-7", "MUTGBJKUEZFXGO-UHFFFAOYSA-N")
  CALL Species("1-methoxy-4-methylbenzene", "C_8H_{10}O", "", &
    "104-93-8", "CHLICZRVGGXEOD-UHFFFAOYSA-N")
  CALL Species("dimethoxane", "C_8H_{14}O_4", "", &
    "828-00-2", "PHMNXPYGVPEQSJ-UHFFFAOYSA-N")
  CALL Species("metaldehyde", "C_8H_{16}O_4", "", &
    "108-62-3", "GKKDCARASOJPNG-UHFFFAOYSA-N")
  CALL Species("diethyl carbitol", "C_8H_{18}O_3", "diethylene glycol diethyl ether", &
    "112-36-7", "RRQYJINTUHWNHW-UHFFFAOYSA-N")
  CALL Species("2-[2-(2-ethoxyethoxy)ethoxy]ethanol", "C_8H_{18}O_4", "triethylene glycol monoethyl ether", &
    "112-50-5", "WFSMVVDJSNMRAR-UHFFFAOYSA-N")
  CALL Species("tetraethylene glycol", "C_8H_{18}O_5", "", &
    "112-60-7", "UWHCKJMYHZGTIT-UHFFFAOYSA-N")
  CALL Species("vanillin", "C_8H_8O_3", "", &
    "121-33-5", "MWOOGOJBHIARFG-UHFFFAOYSA-N")
  CALL Species("ethylparaben", "C_9H_{10}O_3", "", &
    "120-47-8", "NUVBSKCKDOMJSU-UHFFFAOYSA-N")
  CALL Species("ethyl vanillin", "C_9H_{10}O_3", "", &
    "121-32-4", "CBOQJANXLMLOSS-UHFFFAOYSA-N")
  CALL Species("1-phenoxypropan-2-ol", "C_9H_{12}O_2", "propylene glycol phenyl ether", &
    "770-35-4", "IBLKWZIFZMJLFL-UHFFFAOYSA-N")
  CALL Species("triacetin", "C_9H_{14}O_6", "", &
    "102-76-1", "URAYPUMNDPQOKB-UHFFFAOYSA-N")
  CALL Species("tripropylene glycol", "C_9H_{20}O_4", "", &
    "24800-44-0", "LCZVSXRMYJUNFX-UHFFFAOYSA-N")
  CALL Species("coumarin", "C_9H_6O_2", "", &
    "91-64-5", "ZYGHJZDHTFUPRJ-UHFFFAOYSA-N")
  CALL Species("5-(1-propenyl)-1,3-benzodioxole", "C_{10}H_{10}O_2", "isosafrole", &
    "120-58-1", "VHVOLFRBFDOUSH-UHFFFAOYSA-N")
  CALL Species("safrole", "C_{10}H_{10}O_2", "", &
    "94-59-7", "ZMQAAUBTXCXRIC-UHFFFAOYSA-N")
  CALL Species("5-propyl-1,3-benzodioxole", "C_{10}H_{12}O_2", "dihydrosafrole", &
    "94-58-6", "MYEIDJPOUKASEC-UHFFFAOYSA-N")
  CALL Species("2-methoxy-4-(1-propenyl)phenol", "C_{10}H_{12}O_2", "isoeugenol", &
    "97-54-1", "BJIOGJUNALELMI-UHFFFAOYSA-N")
  CALL Species("$p$-cresyl glycidyl ether", "C_{10}H_{12}O_2", "", &
    "26447-14-3", "CUFXMPWHOWYNSO-UHFFFAOYSA-N")
  CALL Species("4-(4-hydroxyphenyl)-2-butanone", "C_{10}H_{12}O_2", "raspberry ketone", &
    "5471-51-2", "NJGBTKGETPDVIK-UHFFFAOYSA-N")
  CALL Species("guaifenesin", "C_{10}H_{14}O_4", "", &
    "93-14-1", "HSRJKNPTNIJEKV-UHFFFAOYSA-N")
  CALL Species("levomenthol", "C_{10}H_{20}O", "$L$-menthol", &
    "2216-51-5", "NOOLISFMXDJSKH-AEJSXWLSSA-N")
  CALL Species("diethylene glycol hexyl ether", "C_{10}H_{22}O_3", "", &
    "112-59-4", "GZMAAYIALGURDQ-UHFFFAOYSA-N")
  CALL Species("2-[2-(2-butoxyethoxy)ethoxy]ethanol", "C_{10}H_{22}O_4", "triethylene glycol monobutyl ether", &
    "143-22-6", "COBPKKZHLDDMTB-UHFFFAOYSA-N")
  CALL Species("4-methoxy-6-(2-propenyl)-1,3-benzodioxole", "C_{11}H_{12}O_3", "myristicin", &
    "607-91-0", "BNWJOHGLIBDBOB-UHFFFAOYSA-N")
  CALL Species("butylparaben", "C_{11}H_{14}O_3", "", &
    "94-26-8", "QFOHBWFCKVYLES-UHFFFAOYSA-N")
  CALL Species("2-{\it tert}-butyl-4-methoxyphenol", "C_{11}H_{16}O_2", "butylated hydroxyanisole", &
    "25013-16-5", "MRBKEAMVRSLQPH-UHFFFAOYSA-N")
  CALL Species("3-hydroxy-2-naphthalenecarboxylic acid", "C_{11}H_8O_3", "", &
    "92-70-6", "ALKYHXVLJMQRLQ-UHFFFAOYSA-N")
  CALL Species("arbutin", "C_{12}H_{16}O_7", "", &
    "497-76-7", "BJRNKVDFDLYUGJ-RMPHRYRLSA-N")
  CALL Species("butopyronoxyl", "C_{12}H_{18}O_4", "indalone", &
    "532-34-3", "OKIJSNGRQAOIGZ-UHFFFAOYSA-N")
  CALL Species("diethylene glycol bis(methacrylate)", "C_{12}H_{18}O_5", "", &
    "2358-84-1", "XFCMNSHQOZQILR-UHFFFAOYSA-N")
  CALL Species("dikegulac", "C_{12}H_{18}O_7", "", &
    "18467-77-1", "FWCBATIDXGJRMF-FLNNQWSLSA-N")
  CALL Species("propofol", "C_{12}H_{18}O", "", &
    "2078-54-8", "OLBCVFGFOZPWHH-UHFFFAOYSA-N")
  CALL Species("lactitol", "C_{12}H_{24}O_{11}", "", &
    "585-86-4", "VQHSOMBJVWLPSR-JVCRWLNRSA-N")
  CALL Species("maltitol", "C_{12}H_{24}O_{11}", "", &
    "585-88-6", "VQHSOMBJVWLPSR-WUJBLJFYSA-N")
  CALL Species("naphthalic anhydride", "C_{12}H_6O_3", "", &
    "81-84-5", "GRSMWKLPSNHDHA-UHFFFAOYSA-N")
  CALL Species("methoxsalen", "C_{12}H_8O_4", "8-methoxypsoralen", &
    "298-81-7", "QXKHYNVANLEOEG-UHFFFAOYSA-N")
  CALL Species("bisphenol F", "C_{13}H_{12}O_2", "", &
    "620-92-8", "PXKLMJQFEQBVLD-UHFFFAOYSA-N")
  CALL Species("ibuprofen", "C_{13}H_{18}O_2", "", &
    "15687-27-1", "HEFNNWSXXWATRW-UHFFFAOYSA-N")
  CALL Species("benzoyl peroxide", "C_{14}H_{10}O_4", "", &
    "94-36-0", "OMPJBNCRMGITSC-UHFFFAOYSA-N")
  CALL Species("oxybenzone", "C_{14}H_{12}O_3", "2-hydroxy-4-methoxybenzophenone", &
    "131-57-7", "DXGLGDHPHMLXJC-UHFFFAOYSA-N")
  CALL Species("resveratrol", "C_{14}H_{12}O_3", "", &
    "501-36-0", "LUKBXSAWLPMMSZ-OWOJBTEDSA-N")
  CALL Species("pindone", "C_{14}H_{14}O_3", "", &
    "83-26-1", "RZKYEQDPDZUERB-UHFFFAOYSA-N")
  CALL Species("1,1'-[oxybis(methylene)]bisbenzene", "C_{14}H_{14}O", "dibenzyl ether", &
    "103-50-4", "MHDVGSVTJDSBDK-UHFFFAOYSA-N")
  CALL Species("butanoic acid, 3,3-bis((1,1-dimethylethyl)dioxy)-, ethyl ester", "C_{14}H_{28}O_6", "", &
    "55794-20-2", "HARQWLDROVMFJE-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-9,10-anthracenedione", "C_{14}H_8O_3", "1-hydroxyanthraquinone", &
    "129-43-1", "BTLXPCBPYBNQNR-UHFFFAOYSA-N")
  CALL Species("danthron", "C_{14}H_8O_4", "1,8-dihydroxyanthraquinone", &
    "117-10-2", "QBPFLULOKWLNNW-UHFFFAOYSA-N")
  CALL Species("bisphenol A", "C_{15}H_{16}O_2", "", &
    "80-05-7", "IISBACLAFKSPIT-UHFFFAOYSA-N")
  CALL Species("atractylenolide III", "C_{15}H_{20}O_3", "", &
    "73030-71-4", "FBMORZZOJSDNRQ-GLQYFDAESA-N")
  CALL Species("deoxynivalenol", "C_{15}H_{20}O_6", "", &
    "51481-10-8", "LINOMUASTDIRTM-WHNKEALZSA-N")
  CALL Species("nivalenol", "C_{15}H_{20}O_7", "", &
    "23282-20-4", "UKOTXHQERFPCBU-UHFFFAOYSA-N")
  CALL Species("tributyrin", "C_{15}H_{26}O_6", "", &
    "60-01-5", "UYXTWWCETRIEDR-UHFFFAOYSA-N")
  CALL Species("diosmetin", "C_{16}H_{12}O_6", "", &
    "520-34-3", "MBNGWHIJMBWFHU-UHFFFAOYSA-N")
  CALL Species("shikonin", "C_{16}H_{16}O_5", "", &
    "517-89-5", "NEZONWMXZKDMKF-SNVBAGLBSA-N")
  CALL Species("2,2-bis(4-hydroxyphenyl)butane", "C_{16}H_{18}O_2", "bisphenol B", &
    "77-40-7", "HTVITOHKHWFJKO-UHFFFAOYSA-N")
  CALL Species("ethyl 3,3-bis({\it tert}-amylperoxy)butyrate", "C_{16}H_{32}O_6", "", &
    "67567-23-1", "NICWAKGKDIAMOD-UHFFFAOYSA-N")
  CALL Species("aflatoxin B1", "C_{17}H_{12}O_6", "", &
    "1162-65-8", "OQIQSTLJSLGHID-UHFFFAOYSA-N")
  CALL Species("aflatoxin G1", "C_{17}H_{12}O_7", "", &
    "1165-39-5", "XWIYFDMXXLINPU-UHFFFAOYSA-N")
  CALL Species("aflatoxin B2", "C_{17}H_{14}O_6", "", &
    "7220-81-7", "WWSYXEZEXMQWHT-UHFFFAOYSA-N")
  CALL Species("aflatoxin G2", "C_{17}H_{14}O_7", "", &
    "7241-98-7", "WPCVRWVBBXIRMA-UHFFFAOYSA-N")
  CALL Species("bisphenol C", "C_{17}H_{20}O_2", "", &
    "79-97-0", "YMTYZTXUZLQUSF-UHFFFAOYSA-N")
  CALL Species("PR-toxin", "C_{17}H_{20}O_6", "", &
    "56299-00-4", "GSPFUBNBRPVALJ-VIEAGMIOSA-N")
  CALL Species("fusarenon X", "C_{17}H_{22}O_8", "", &
    "23255-69-8", "XGCUCFKWVIWWNW-UHFFFAOYSA-N")
  CALL Species("dihydrotanshinone I", "C_{18}H_{14}O_3", "", &
    "87205-99-0", "HARGZZNYNSYSGJ-JTQLQIEISA-N")
  CALL Species("diethylstilbestrol", "C_{18}H_{20}O_2", "", &
    "56-53-1", "RGLYKWWBQGJZGM-ISLYRVAYSA-N")
  CALL Species("estrone", "C_{18}H_{22}O_2", "", &
    "53-16-7", "DNXHEGUUPJUMQT-UHFFFAOYSA-N")
  CALL Species("estradiol", "C_{18}H_{24}O_2", "", &
    "50-28-2", "VOXZDWNPVJITMN-AWDGRILASA-N")
  CALL Species("estriol", "C_{18}H_{24}O_3", "", &
    "50-27-1", "PROQIPRRNZUXQM-PVGHXWSTSA-N")
  CALL Species("nandrolone", "C_{18}H_{26}O_2", "", &
    "434-22-0", "NPAGDVCDWIYMMC-SVXFNXITSA-N")
  CALL Species("diofenolan", "C_{18}H_{20}O_4", "", &
    "63837-33-2", "ZDOOQPFIGYHZFV-UHFFFAOYSA-N")
  CALL Species("dicumarol", "C_{19}H_{12}O_6", "", &
    "66-76-2", "DOBMPNYZJYQDGZ-UHFFFAOYSA-N")
  CALL Species("coumatetralyl", "C_{19}H_{16}O_3", "", &
    "5836-29-3", "ULSLJYXHZDTLQK-UHFFFAOYSA-N")
  CALL Species("warfarin", "C_{19}H_{16}O_4", "", &
    "81-81-2", "PJVWKTKQMONHTI-UHFFFAOYSA-N")
  CALL Species("tanshinone II", "C_{19}H_{18}O_3", "", &
    "568-72-9", "HYXITZLLTYIPOF-UHFFFAOYSA-N")
  CALL Species("gibberellic acid", "C_{19}H_{22}O_6", "", &
    "77-06-5", "IXORZMNAPKEEDV-UHFFFAOYSA-N")
  CALL Species("prallethrin", "C_{19}H_{24}O_3", "", &
    "23031-36-9", "SMKRKQBMYOFFMU-UHFFFAOYSA-N")
  CALL Species("testolactone", "C_{19}H_{24}O_3", "", &
    "968-93-4", "BPEWUONYVDABNZ-LHXSAFEUSA-N")
  CALL Species("androstenedione", "C_{19}H_{26}O_2", "", &
    "63-05-8", "AEMFNILZOJDQLW-JRCHKSGSSA-N")
  CALL Species("diacetoxyscirpenol", "C_{19}H_{26}O_7", "", &
    "2270-40-8", "AUGQEEXBDZWUJY-UHFFFAOYSA-N")
  CALL Species("testosterone", "C_{19}H_{28}O_2", "", &
    "58-22-0", "MUMGGOZAMZWBJJ-JZJKZLICSA-N")
  CALL Species("5$\alpha$-androst-16-en-4-one", "C_{19}H_{28}O", "androstenone", &
    "18339-16-7", "HFVMLYAGWXSTQI-QYXZOKGRSA-N")
  CALL Species("oxandrolone", "C_{19}H_{30}O_3", "", &
    "53-39-4", "QSLJIVKCVHQPLV-WPMSWULFSA-N")
  CALL Species("piperonyl butoxide", "C_{19}H_{30}O_5", "", &
    "51-03-6", "FIPWRIJSWJWJAI-UHFFFAOYSA-N")
  CALL Species("methoprene", "C_{19}H_{34}O_3", "", &
    "40596-69-8", "NFGXHKASABOEEW-LDRANXPESA-N")
  CALL Species("fluorescein", "C_{20}H_{12}O_5", "", &
    "2321-07-5", "GNBHRKFJIUUOQI-UHFFFAOYSA-N")
  CALL Species("phenolphthalein", "C_{20}H_{14}O_4", "", &
    "77-09-8", "KJFMBFZCATUALV-UHFFFAOYSA-N")
  CALL Species("avobenzone", "C_{20}H_{22}O_3", "", &
    "70356-09-1", "XNEFYCZVKIDDMS-UHFFFAOYSA-N")
  CALL Species("ethinyl estradiol", "C_{20}H_{24}O_2", "", &
    "57-63-6", "BFPYWIDHMRZLRN-UHFFFAOYSA-N")
  CALL Species("norethynodrel", "C_{20}H_{26}O_2", "", &
    "68-23-5", "ICTXHFFSOAJUMG-CEVCPLMDSA-N")
  CALL Species("norethindrone", "C_{20}H_{26}O", "", &
    "68-22-4", "VIKNJXKGJWUCNN-BROHZWGRSA-N")
  CALL Species("methandrostenolone", "C_{20}H_{28}O_2", "", &
    "72-63-9", "XWALNWXLMVGSFR-NSDIEPNESA-N")
  CALL Species("cinerin I", "C_{20}H_{28}O_3", "", &
    "25402-06-6", "FMTFEIJHMMQUJI-FPLPWBNLSA-N")
  CALL Species("17-methyltestosterone", "C_{20}H_{30}O_2", "", &
    "58-18-4", "GCKMFJBGXUYNAG-NSDIEPNESA-N")
  CALL Species("drostanolone", "C_{20}H_{32}O_2", "dromostanolone", &
    "58-19-5", "IKXILDNPCZPPRV-UHFFFAOYSA-N")
  CALL Species("curcumin", "C_{21}H_{20}O_6", "", &
    "458-37-7", "VFLDPWHFBUODDF-FCXRPNKRSA-N")
  CALL Species("bisphenol A diglycidyl ether", "C_{21}H_{24}O_4", "", &
    "1675-54-3", "LCFVJGUPQDGYKZ-UHFFFAOYSA-N")
  CALL Species("mestranol", "C_{21}H_{26}O_2", "", &
    "72-33-3", "IMSSROKUHAOUJS-ALAWOQLPSA-N")
  CALL Species("prednisone", "C_{21}H_{26}O_5", "", &
    "53-03-2", "XOFYZVNMUHMLCC-NUBBXXJJSA-N")
  CALL Species("norgestrel", "C_{21}H_{28}O_2", "", &
    "6533-00-2", "WWYNJERNGUHSAO-ZUHHCLADSA-N")
  CALL Species("levonorgestrel", "C_{21}H_{28}O_2", "", &
    "797-63-7", "WWYNJERNGUHSAO-XUDSTZEESA-N")
  CALL Species("pyrethrin I", "C_{21}H_{28}O_3", "", &
    "121-21-1", "ROVGZAWFACYCSP-CMDGGOBGSA-N")
  CALL Species("cinerin II", "C_{21}H_{28}O_5", "", &
    "121-20-0", "SHCRDCOTRILILT-WOBDGSLYSA-N")
  CALL Species("prednisolone", "C_{21}H_{28}O_5", "", &
    "50-24-8", "OIGNJSKKLXVSLS-UHFFFAOYSA-N")
  CALL Species("dronabinol", "C_{21}H_{30}O_2", "delta 9-tetrahydrocannabinol", &
    "1972-08-3", "CYQFCXCEBYINGO-UHFFFAOYSA-N")
  CALL Species("progesterone", "C_{21}H_{30}O_2", "", &
    "57-83-0", "RJKFOVLPORLFTN-UHFFFAOYSA-N")
  CALL Species("hydrocortisone", "C_{21}H_{30}O_5", "", &
    "50-23-7", "JYGXADMDTFJGBT-NDNUHCHRSA-N")
  CALL Species("calusterone", "C_{21}H_{32}O_2", "", &
    "17021-26-0", "IVFYLRMMHVYGJH-UHFFFAOYSA-N")
  CALL Species("oxymetholone", "C_{21}H_{32}O_3", "", &
    "434-07-1", "ICMWWNHDUZJFDW-RCXBLOTCSA-N")
  CALL Species("resmethrin", "C_{22}H_{26}O_3", "", &
    "10453-86-8", "VEMKTZHHVJILDY-UHFFFAOYSA-N")
  CALL Species("pyrethrin II", "C_{22}H_{28}O_5", "", &
    "121-29-9", "VJFUPGQZSXIULQ-VKTMSVCMSA-N")
  CALL Species("methylprednisolone", "C_{22}H_{30}O_5", "", &
    "83-43-2", "VHRSUDSXCMQTMA-UHFFFAOYSA-N")
  CALL Species("medroxyprogesterone", "C_{22}H_{32}O_3", "", &
    "520-85-4", "FRQMUZJSZHZSGN-HBNHAYAOSA-N")
  CALL Species("dimethirimol", "C_{23}H_{24}O_5", "", &
    "5221-53-4", "VNKCZJKGJAEOCW-WXUKJITCSA-N")
  CALL Species("rotenone", "C_{23}H_{22}O_6", "", &
    "83-79-4", "JUVIOZPCNVVQFO-UHFFFAOYSA-N")
  CALL Species("phenothrin", "C_{23}H_{26}O_3", "", &
    "26002-80-2", "SBNFWQZLDJGRLK-UHFFFAOYSA-N")
  CALL Species("spiromesifen", "C_{23}H_{30}O_4", "", &
    "283594-90-1", "GOLXNESZZPUPJE-UHFFFAOYSA-N")
  CALL Species("digoxigenin", "C_{23}H_{34}O_5", "", &
    "1672-46-4", "SHIBSTMRCDJXLN-KCZCNTNESA-N")
  CALL Species("annatto", "C_{24}H_{28}O_4", "", &
    "1393-63-1", "ZVKOASAVGLETCT-LRRSNBNMSA-N")
  CALL Species("acequinocyl", "C_{24}H_{32}O_4", "", &
    "57960-19-7", "QDRXWCAVUNHOGA-UHFFFAOYSA-N")
  CALL Species("T-2 mycotoxin", "C_{24}H_{34}O_9", "", &
    "21259-20-1", "SSHHYBPAMCLKRH-UHFFFAOYSA-N")
  CALL Species("milk thistle extract", "C_{25}H_{22}O_{10}", "", &
    "84604-20-6", "SEBFKMXJBCUCAI-VGHNRKBZSA-N")
  CALL Species("simvastatin", "C_{25}H_{38}O_5", "", &
    "79902-63-9", "RYMZZMVNJRMUDD-UHFFFAOYSA-N")
  CALL Species("calcitriol", "C_{27}H_{44}O_3", "1,25-dihydroxycholecalciferol", &
    "32222-06-3", "GMRQFYUYWCNGIN-NKMMMXOESA-N")
  CALL Species("paricalcitol", "C_{27}H_{44}O_3", "", &
    "131918-61-1", "BPKAHTKRCLCHEA-UBFJEZKGSA-N")
  CALL Species("cholecalciferol", "C_{27}H_{44}O", "", &
    "67-97-0", "QYSXJUFSXHHAJI-SMGPGMQOSA-N")
  CALL Species("cholesterol", "C_{27}H_{46}O", "", &
    "57-88-5", "HVYWMOMLDIMFJA-VUDDDUNTSA-N")
  CALL Species("ergosterol", "C_{28}H_{44}O", "", &
    "57-87-4", "DNVPQKQSNYMLRS-CVGROQQCSA-N")
  CALL Species("dihydrotachysterol", "C_{28}H_{46}O", "", &
    "67-96-9", "DTSXXSAWQHPLEF-GFVAUXBKSA-N")
  CALL Species("etoposide", "C_{29}H_{32}O_{13}", "", &
    "33419-42-0", "VJJPUSNTGOMMGY-KWGSHVRASA-N")
  CALL Species("stigmasterol", "C_{29}H_{48}O", "", &
    "83-48-7", "HCXVJBMSMIARIN-BASBAMEESA-N")
  CALL Species("pseudohypericin", "C_{30}H_{16}O_9", "", &
    "55954-61-5", "YXBUQQDFTYOHQI-UHFFFAOYSA-N")
  CALL Species("gossypol", "C_{30}H_{30}O_8", "", &
    "303-45-7", "QBKSWRVVCFFDOT-UHFFFAOYSA-N")
  CALL Species("maslinic acid", "C_{30}H_{48}O_4", "", &
    "4373-41-5", "MDZKJHQSJHYOHJ-LLICELPBSA-N")
  CALL Species("difenacoum", "C_{31}H_{24}O_3", "", &
    "56073-07-5", "FVQITOLOYMWVFU-UHFFFAOYSA-N")
  CALL Species("nonoxynol 9", "C_{33}H_{60}O_{10}", "", &
    "26571-11-9", "FBWNMEQMRUMQSO-UHFFFAOYSA-N")
  CALL Species("azadirachtin", "C_{35}H_{44}O_{16}", "", &
    "11141-17-6", "FTNJWQUOZFUQQJ-GWTPYEAISA-N")
  CALL Species("monensin", "C_{36}H_{62}O_{11}", "", &
    "17090-79-8", "GAOZTHIDHYLHMS-LXKLZWMJSA-N")
  CALL Species("gossyplure", "C_{36}H_{64}O_4", "", &
    "50933-33-0", "BXJHOKLLMOYSRQ-QOXWLJPHSA-N")
  CALL Species("capsanthin", "C_{40}H_{56}O_3", "", &
    "465-42-9", "VYIRVAXUEZSDNC-RDJLEWNRSA-N")
  CALL Species("digitoxin", "C_{41}H_{64}O_{13}", "", &
    "71-63-6", "WDJUZGPOPHTGOT-UCKSZOHFSA-N")
  CALL Species("digoxin", "C_{41}H_{64}O_{14}", "", &
    "20830-75-5", "LTMHDMANZUZIPE-PUGKRICDSA-N")
  CALL Species("pyrethrum", "C_{43}H_{56}O_8", "", &
    "8003-34-7", "VXSIXFKKSNGRRO-YWUDCVDHSA-N")
  CALL Species("punicalagin", "C_{48}H_{28}O_{30}", "", &
    "65995-63-3", "SKNLUADAGHCXKF-UHFFFAOYSA-N")
  CALL Species("abamectin", "C_{48}H_{72}O_{14}", "", &
    "71751-41-2", "RRZXIRBKKLTSOM-IGNCFFBFSA-N")
  CALL Species("notoginsenoside R1", "C_{48}H_{84}O_{18}", "", &
    "80418-24-2", "ZBXDHDDTAIOMHK-UWGJVBKGSA-N")
  CALL Species("triolein", "C_{57}H_{104}O_6", "", &
    "122-32-7", "PHYFQTYBJUILEZ-IUPFWZBJSA-N")
  CALL Species("tristearin", "C_{57}H_{110}O_6", "", &
    "555-43-1", "DCXXMTOCNZCJGO-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with nitrogen (\chem{N})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Amines (\chem{C}, \chem{H}, \chem{N})")
  ! C, H, N:
  ! aliphatic:
  CALL Species("cyanamide", "CH_2N_2", "", &
    "420-04-2", "XZMCDFZZKTWFGF-UHFFFAOYSA-N")
  CALL Species("methylhydrazine", "CH_6N_2", "", &
    "60-34-4", "HDZGCSFEDULWCS-UHFFFAOYSA-N")
  CALL Species("methanamine", "CH_3NH_2", "methylamine", &
    "74-89-5", "BAVYZALUXZFZLV-UHFFFAOYSA-N")
  CALL Species("ethanamine", "C_2H_5NH_2", "ethylamine", &
    "75-04-7", "QUSNBJAOOMFDIB-UHFFFAOYSA-N")
  CALL Species("1H-1,2,4-triazole", "C_2H_3N_3", "", &
    "288-88-0", "NSPMIYGKQJPBQR-UHFFFAOYSA-N")
  CALL Species("dicyandiamide", "C_2H_4N_4", "cyanoguanidine", &
    "461-58-5", "QGBSISYHAICWAH-UHFFFAOYSA-N")
  CALL Species("ethylenimine", "C_2H_5N", "", &
    "151-56-4", "NOWKCMXCCJGMRR-UHFFFAOYSA-N")
  CALL Species("1,2-dimethylhydrazine", "C_2H_8N_2", "", &
    "540-73-8", "DIIIISSCIXVANO-UHFFFAOYSA-N")
  CALL Species("1,1-dimethylhydrazine", "C_2H_8N_2", "", &
    "57-14-7", "RHUYHJGZWVXEHW-UHFFFAOYSA-N")
  CALL Species("1-propanamine", "C_3H_7NH_2", "1-propylamine", &
    "107-10-8", "WGYKZJWCGVVSQN-UHFFFAOYSA-N")
  CALL Species("2-propanamine", "C_3H_9N", "", &
    "75-31-0", "JJWLVOIRVHMVIS-UHFFFAOYSA-N")
  CALL Species("propanedinitrile", "C_3H_2N_2", "malononitrile", &
    "109-77-3", "CUONGYYJJVDODC-UHFFFAOYSA-N")
  CALL Species("1-butanamine", "C_4H_9NH_2", "1-butylamine", &
    "109-73-9", "HQABUPZFAYXKJW-UHFFFAOYSA-N")
  CALL Species("2-butanamine", "C_4H_{11}N", "", &
    "13952-84-6", "BHRZNVHARXXAHW-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-propanamine", "C_4H_{11}N", "", &
    "78-81-9", "KDSNLYIMUZNERS-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propanamine", "C_4H_{11}N", "", &
    "75-64-9", "YBRBMKDOPFTVDT-UHFFFAOYSA-N")
  CALL Species("1,2-diethylhydrazine", "C_4H_{12}N_2", "", &
    "1615-80-1", "YCBOYOYVDOUXLH-UHFFFAOYSA-N")
  CALL Species("N-(2-aminoethyl)-1,2-ethanediamine", "C_4H_{13}N_3", "diethylenetriamine", &
    "111-40-0", "RPNUMPOLZDHAAY-UHFFFAOYSA-N")
  CALL Species("butanedinitrile", "C_4H_4N_2", "", &
    "110-61-2", "IAHFWCOBPZCAEA-UHFFFAOYSA-N")
  CALL Species("2-methyl-1H-imidazole", "C_4H_6N_2", "", &
    "693-98-1", "LXBGSDVWAMZHDD-UHFFFAOYSA-N")
  CALL Species("4-methyl-1H-imidazole", "C_4H_6N_2", "", &
    "822-36-6", "XLSZMDLNRCVEIJ-UHFFFAOYSA-N")
  CALL Species("1-pentanamine", "C_5H_{11}NH_2", "1-pentylamine", &
    "110-58-7", "DPBLXKKOBLCELK-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-butanamine", "C_5H_{13}N", "", &
    "107-85-7", "BMFVGAAISNGQNM-UHFFFAOYSA-N")
  CALL Species("1-hexanamine", "C_6H_{13}NH_2", "1-hexylamine", &
    "111-26-2", "BMVXCPBXGZKUPN-UHFFFAOYSA-N")
  CALL Species("1,6-hexanediamine", "C_6H_{16}N_2", "hexamethylene diamine", &
    "124-09-4", "NAQMVNRVTILPCV-UHFFFAOYSA-N")
  CALL Species("N,N'-methanetetraylbis-2-propanamine", "C_7H_{14}N_2", "1,3-diisopropylcarbodiimide", &
    "693-13-0", "BDNKZNFMNDZQMI-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-hexanamine", "C_7H_{17}N", "", &
    "105-41-9", "YAHRDLICUYEDAU-UHFFFAOYSA-N")
  CALL Species("1-heptanamine", "C_7H_{17}N", "1-heptylamine", &
    "111-68-2", "WJYIASZWHGOTOU-UHFFFAOYSA-N")
  CALL Species("1-octanamine", "C_8H{19}N", "1-octylamine", &
    "111-86-4", "IOQPZZOEVPZRBK-UHFFFAOYSA-N")
  CALL Species("2-ethyl-1-hexanamine", "C_8H_{19}N", "2-ethylhexylamine", &
    "104-75-6", "LTHNHFOGQMKPOV-UHFFFAOYSA-N")
  CALL Species("1-tridecanamine", "C_{13}H_{29}N", "", &
    "2869-34-3", "ABVVEAHYODGCLZ-UHFFFAOYSA-N")
  CALL Species("dimethylamine", "(CH_3)_2NH", "", &
    "124-40-3", "ROSDSFDQCJNGOL-UHFFFAOYSA-N")
  CALL Species("diethylamine", "(C_2H_5)_2NH", "", &
    "109-89-7", "HPNMFZURTQLUMO-UHFFFAOYSA-N")
  CALL Species("dipropylamine", "(C_3H_7)_2NH", "", &
    "142-84-7", "WEHWNAOGRSTTBQ-UHFFFAOYSA-N")
  CALL Species("N-methylpropanamine", "C_4H_{11}N", "", &
    "627-35-0", "GVWISOJSERXQBM-UHFFFAOYSA-N")
  CALL Species("N-methyl-2-propanamine", "C_4H_{11}N", "", &
    "4747-21-1", "XHFGWHUWQXTGAT-UHFFFAOYSA-N")
  CALL Species("N-(1-methylethyl)-2-propanamine", "C_6H_{15}N", "diisopropylamine", &
    "108-18-9", "UAOMVDZJSHZZME-UHFFFAOYSA-N")
  CALL Species("N,N-dipropyl-1-propanamine", "C_9H_{21}N", "", &
    "102-69-2", "YFTHZRPMJXBUME-UHFFFAOYSA-N")
  CALL Species("N-methyl-1-butanamine", "C_5H_{13}N", "N-methylbutylamine", &
    "110-68-9", "QCOGKXLOEWLIDC-UHFFFAOYSA-N")
  CALL Species("dibutylamine", "(C_4H_9)_2NH", "", &
    "111-92-2", "JQVDAXLFBXTEQA-UHFFFAOYSA-N")
  CALL Species("diisobutylamine", "C_8H_{19}N", "", &
    "110-96-3", "NJBCRXCAPCODGX-UHFFFAOYSA-N")
  CALL Species("bis-(1-methylpropyl)-amine", "C_8H_{19}N", "di-{\it sec}-butylamine", &
    "626-23-3", "OBYVIBDTOCAXSN-UHFFFAOYSA-N")
  CALL Species("tetraethylenepentamine", "C_8H_{23}N_5", "", &
    "112-57-2", "FAGUFWYHJQFNRV-UHFFFAOYSA-N")
  CALL Species("N,N-di-2-propenyl-2-propen-1-amine", "C_9H_{15}N", "triallylamine", &
    "102-70-5", "VPYJNCGUESNPMV-UHFFFAOYSA-N")
  CALL Species("trimethylamine", "(CH_3)_3N", "", &
    "75-50-3", "GETQZCLCWQTVFV-UHFFFAOYSA-N")
  CALL Species("triethylamine", "(C_2H_5)_3N", "", &
    "121-44-8", "ZMANZCXQSJIPKH-UHFFFAOYSA-N")
  CALL Species("tributylamine", "C_{12}H_{27}N", "", &
    "102-82-9", "IMFACGCPASFAPR-UHFFFAOYSA-N")
  CALL Species("N,N-dimethyl-1-dodecanamine", "C_{14}H_{31}N", "", &
    "112-18-5", "YWFWDNVOPHGWMX-UHFFFAOYSA-N")
  CALL Species("ethylenediamine", "H_2NCH_2CH_2NH_2", "", &
    "107-15-3", "PIICEJLVQHRZGT-UHFFFAOYSA-N")
  CALL Species("2-propen-1-amine", "C_3H_7N", "", &
    "107-11-9", "VVJKKWFAADXIJK-UHFFFAOYSA-N")
  CALL Species("di-2-propenylamine", "C_6H_{11}N", "diallylamine", &
    "124-02-7", "DYUWTXWIYMHBQS-UHFFFAOYSA-N")
  CALL Species("hexamethyleneimine", "(CH_2)_6NH", "", &
    "111-49-9", "ZSIQJIWKELUFRJ-UHFFFAOYSA-N")
  CALL Species("cyclohexanamine", "C_6H_{13}N", "cyclohexylamine", &
    "108-91-8", "PAFZNILMFXTMIY-UHFFFAOYSA-N")
  CALL Species("3-methylcyclohexylamine", "C_7H_{15}N", "", &
    "6850-35-7", "JYDYHSHPBDZRPU-UHFFFAOYSA-N")
  CALL Species("N-ethylcyclohexanamine", "C_8H_{17}N", "N-ethylcyclohexylamine", &
    "5459-93-8", "AGVKXDPPPSLISR-UHFFFAOYSA-N")
  CALL Species("N,N-dimethylcyclohexylamine", "C_8H_{17}N", "", &
    "98-94-2", "SVYKKECYCPFKGB-UHFFFAOYSA-N")
  CALL Species("hexamethylenetetramine", "C_6H_{12}N_4", "", &
    "100-97-0", "VKYKSIONXSXAKP-UHFFFAOYSA-N")
  CALL Species("1-decanamine", "C_{10}H_{23}N", "", &
    "2016-57-1", "MHZGKXUYDGKKIU-UHFFFAOYSA-N")
  CALL Species("N-cyclohexylcyclohexanamine", "C_{12}H_{23}N", "dicyclohexylamine", &
    "101-83-7", "XBPCUCUWBYBCDP-UHFFFAOYSA-N")
  CALL Species("1-dodecanamine", "C_{12}H_{27}N", "", &
    "124-22-1", "JRBPAEWTRLWTQC-UHFFFAOYSA-N")
  CALL Species("1-octadecanamine", "C_{18}H_{39}N", "", &
    "124-30-1", "REYJJPSVUYRZGE-UHFFFAOYSA-N")
  CALL Species("N,N-dioctyl-1-octanamine", "C_{24}H_{51}N", "tri-N-octylamine", &
    "1116-76-3", "XTAZYLNFDRKIHJ-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("aminobenzene", "C_6H_7N", "aniline", &
    "62-53-3", "PAYRUJLWNCNPSJ-UHFFFAOYSA-N")
  CALL Species("2-methylbenzenamine", "C_7H_9N", "2-methylaniline; $o$-toluidine", &
    "95-53-4", "RNVCVTLRINQCPJ-UHFFFAOYSA-N")
  CALL Species("3-methylbenzenamine", "C_7H_9N", "3-methylaniline; $m$-toluidine", &
    "108-44-1", "JJYPMNFTHPTTDI-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenamine", "C_7H_9N", "4-methylaniline; $p$-toluidine", &
    "106-49-0", "RZXMPPFPUUCRFN-UHFFFAOYSA-N")
  CALL Species("2-ethylaniline", "C_8H_{11}N", "$o$-ethylaniline", &
    "578-54-1", "MLPVBIWIRCKMJV-UHFFFAOYSA-N")
  CALL Species("4-ethylaniline", "C_8H_{11}N", "$p$-ethylaniline", &
    "589-16-2", "HRXZRAXKKNUKRF-UHFFFAOYSA-N")
  CALL Species("2,4-dimethylbenzenamine", "C_8H_{11}N", "2,4-dimethylaniline; 2,4-xylidine", &
    "95-68-1", "CZZZABOKJQXEBO-UHFFFAOYSA-N")
  CALL Species("3,4-dimethylbenzenamine", "C_8H_{11}N", "3,4-dimethylaniline; 3,4-xylidine", &
    "95-64-7", "DOLQYFPDPKPQSS-UHFFFAOYSA-N")
  CALL Species("2,5-dimethylbenzenamine", "C_8H_{11}N", "2,5-dimethylaniline; 2,5-xylidine", &
    "95-78-3", "VOWZNBNDMFLQGM-UHFFFAOYSA-N")
  CALL Species("2,6-dimethylbenzenamine", "C_8H_{11}N", "2,6-dimethylaniline; 2,6-xylidine", &
    "87-62-7", "UFFBMTHBGFGIHF-UHFFFAOYSA-N")
  CALL Species("2,4,5-trimethylbenzenamine", "C_9H_{13}N", "2,4,5-trimethylaniline", &
    "137-17-7", "BMIPMKQAAJKBKP-UHFFFAOYSA-N")
  CALL Species("2-(1-methylethyl)-benzenamine", "C_9H_{13}N", "2-isopropylaniline", &
    "643-28-7", "YKOLZVXSPGIIBJ-UHFFFAOYSA-N")
  CALL Species("2,6-diethylbenzenamine", "C_{10}H_{15}N", "", &
    "579-66-8", "FOYHNROGBXVLLX-UHFFFAOYSA-N")
  CALL Species("1,2-benzenediamine", "C_6H_8N_2", "$o$-phenylenediamine", &
    "95-54-5", "GEYOCULIXLDCMW-UHFFFAOYSA-N")
  CALL Species("1,3-benzenediamine", "C_6H_8N_2", "$m$-phenylenediamine", &
    "108-45-2", "WZCQRUWWHSTZEM-UHFFFAOYSA-N")
  CALL Species("1,4-benzenediamine", "C_6H_8N_2", "$p$-phenylenediamine", &
    "106-50-3", "CBCKQZAAMUWICA-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,3-benzenediamine", "C_7H_{10}N_2", "", &
    "823-40-5", "RLYCRLGLCUXUPO-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,4-benzenediamine", "C_7H_{10}N_2", "", &
    "95-70-5", "OBCSAIDCZQSFQH-UHFFFAOYSA-N")
  CALL Species("3-methyl-1,2-benzenediamine", "C_7H_{10}N_2", "2,3-diaminotoluene", &
    "2687-25-4", "AXNUJYHFQHQZBE-UHFFFAOYSA-N")
  CALL Species("4-methyl-1,3-benzenediamine", "C_7H_{10}N_2", "toluene-2,4-diamine", &
    "95-80-7", "VOZKAJLKRJDJLL-UHFFFAOYSA-N")
  CALL Species("3,5-diaminotoluene", "C_7H_{10}N_2", "", &
    "108-71-4", "LVNDUJYMLJDECN-UHFFFAOYSA-N")
  CALL Species("phenylhydrazine", "C_6H_8N_2", "", &
    "100-63-0", "HKOOXMFOFWEVGF-UHFFFAOYSA-N")
  CALL Species("(methylamino)-benzene", "C_7H_9N", "N-methylaniline", &
    "100-61-8", "AFBPFSWMIHJQDM-UHFFFAOYSA-N")
  CALL Species("(ethylamino)-benzene", "C_8H_{11}N", "N-ethylaniline", &
    "103-69-5", "OJGMBLNIHDZDGS-UHFFFAOYSA-N")
  CALL Species("(dimethylamino)-benzene", "C_8H_{11}N", "N,N-dimethylaniline", &
    "121-69-7", "JLTDJTHDQAWBAV-UHFFFAOYSA-N")
  CALL Species("benzeneethanamine", "C_8H_{11}N", "2-phenylethylamine", &
    "64-04-0", "BHHGXPLMPWCGHP-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylbenzenamine", "C_8H_{11}N", "2,3-xylidine", &
    "87-59-2", "VVAKEQGKZNKUSU-UHFFFAOYSA-N")
  CALL Species("3,5-dimethylbenzenamine", "C_8H_{11}N", "", &
    "108-69-0", "MKARNSWMMBGSHX-UHFFFAOYSA-N")
  CALL Species("dimethylaniline", "C_8H_{11}N", "xylidine", &
    "1300-73-8", "CDULGHZNHURECF-UHFFFAOYSA-N")
  CALL Species("phenelzine", "C_8H_{12}N_2", "", &
    "51-71-8", "RMUCZJUITONUFY-UHFFFAOYSA-N")
  CALL Species("N,N-dimethyl-1,4-benzenediamine", "C_8H_{12}N_2", "", &
    "99-98-9", "BZORFPDSXLZWJF-UHFFFAOYSA-N")
  CALL Species("2,4,6-trimethylbenzenamine", "C_9H_{13}N", "2,4,6-trimethylaniline", &
    "88-05-1", "KWVPRPSXBZNOHS-UHFFFAOYSA-N")
  CALL Species("N-ethyl-3-methylbenzenamine", "C_9H_{13}N", "", &
    "102-27-2", "GUYMMHOQXYZMJQ-UHFFFAOYSA-N")
  CALL Species("N-(1-methylethyl)benzenamine", "C_9H_{13}N", "", &
    "768-52-5", "FRCFWPVMFJMNDP-UHFFFAOYSA-N")
  CALL Species("2-ethyl-6-methylbenzenamine", "C_9H_{13}N", "", &
    "24549-06-2", "JJVKJJNCIILLRP-UHFFFAOYSA-N")
  CALL Species("N,N-dimethylbenzylamine", "C_9H_{13}N", "", &
    "103-83-3", "XXBDWLFCJWSEKW-UHFFFAOYSA-N")
  CALL Species("N,N,4-trimethylbenzenamine", "C_9H_{13}N", "", &
    "99-97-8", "GYVGXEWAOAAJEU-UHFFFAOYSA-N")
  CALL Species("N,N'-di-{\it tert}-butylethylenediamine", "C_{10}H_{24}N_2", "", &
    "4062-60-6", "KGHYGBGIWLNFAV-UHFFFAOYSA-N")
  CALL Species("(diethylamino)-benzene", "C_{10}H_{15}N", "N,N-diethylaniline", &
    "91-66-7", "GGSUCNLOZRCGPQ-UHFFFAOYSA-N")
  CALL Species("1-naphthylamine", "C_{10}H_9N", "", &
    "134-32-7", "RUFPHBVGCFYCNW-UHFFFAOYSA-N")
  CALL Species("2-naphthylamine", "C_{10}H_9N", "", &
    "91-59-8", "JBIJLHTVPXGSAM-UHFFFAOYSA-N")
  CALL Species("1,5-naphthalenediamine", "C_{10}H_{10}N_2", "", &
    "2243-62-1", "KQSABULTKYLFEV-UHFFFAOYSA-N")
  CALL Species("phentermine", "C_{10}H_{15}N", "", &
    "122-09-8", "DHHVAGZRUROJKS-UHFFFAOYSA-N")
  CALL Species("N,N-diethyl-1,4-benzenediamine", "C_{10}H_{16}N_2", "", &
    "93-05-0", "QNGVNLMMEQUVQK-UHFFFAOYSA-N")
  CALL Species("3,5-diethyltoluene-2,6-diamine", "C_{11}H_{18}N_2", "", &
    "2095-01-4", "RQEOBXYYEPMCPJ-UHFFFAOYSA-N")
  CALL Species("2,4-diethyl-6-methylbenzene-1,3-diamine", "C_{11}H_{18}N_2", "", &
    "2095-02-5", "PISLZQACAJMAIO-UHFFFAOYSA-N")
  CALL Species("diphenylamine", "C_{12}H_{11}N", "", &
    "122-39-4", "DMBHHRLKUKUOEG-UHFFFAOYSA-N")
  CALL Species("benzidine", "C_{12}H_{12}N_2", "", &
    "92-87-5", "HFACYLZERDEVSX-UHFFFAOYSA-N")
  CALL Species("1,1-diphenylhydrazine", "C_{12}H_{12}N_2", "", &
    "530-50-7", "YHYKLKNNBYLTQY-UHFFFAOYSA-N")
  CALL Species("1,2-diphenylhydrazine", "C_{12}H_{12}N_2", "N,N'-bianiline", &
    "122-66-7", "YBQZXXMEJHZYMB-UHFFFAOYSA-N")
  CALL Species("4-(phenylazo)-benzenamine", "C_{12}H_{11}N_3", "", &
    "60-09-3", "QPQKUYVSJWQSDY-UHFFFAOYSA-N")
  CALL Species("azobenzene", "C_{12}H_{10}N_2", "", &
    "103-33-3", "DMLAVOWQYNRWNQ-UHFFFAOYSA-N")
  CALL Species("2-aminobiphenyl", "C_{12}H_{11}N", "", &
    "90-41-5", "TWBPWBPGNQWFSJ-UHFFFAOYSA-N")
  CALL Species("4-aminobiphenyl", "C_{12}H_{11}N", "", &
    "92-67-1", "DMVOXQPQNTYEKQ-UHFFFAOYSA-N")
  CALL Species("N-phenyl-1,4-benzenediamine", "C_{12}H_{12}N_2", "$p$-aminodiphenylamine", &
    "101-54-2", "ATGUVEKSASEFFO-UHFFFAOYSA-N")
  CALL Species("2-fluorenamine", "C_{13}H_{11}N", "", &
    "153-78-6", "CFRFHWQYWJMEJN-UHFFFAOYSA-N")
  CALL Species("4,4'-methylenebisbenzenamine", "C_{13}H_{14}N_2", "", &
    "101-77-9", "YBRVSVVVWCFQMG-UHFFFAOYSA-N")
  CALL Species("2-anthracenamine", "C_{14}H_{11}N", "", &
    "613-13-8", "YCSBALJAGZKWFF-UHFFFAOYSA-N")
  CALL Species("3,3'-dimethylbenzidine", "C_{14}H_{16}N_2", "", &
    "119-93-7", "NUIURNJTPRWVAP-UHFFFAOYSA-N")
  CALL Species("N,N-dimethyl-4-(phenylazo)-benzenamine", "C_{14}H_{15}N_3", "", &
    "60-11-7", "JCYPECIVGRXBMO-UHFFFAOYSA-N")
  CALL Species("N-ethyl-N-phenylbenzenemethanamine", "C_{15}H_{17}N", "", &
    "92-59-1", "HSZCJVZRHXPCIA-UHFFFAOYSA-N")
  CALL Species("N-(1-methylethyl)-N'-phenyl-1,4-benzenediamine", "C_{15}H_{18}N_2", "4-(iso-propylamino)diphenylamine", &
    "101-72-4", "OUBMGJOQLXMSNT-UHFFFAOYSA-N")
  CALL Species("4,4'-methylene-bis-(N-methylaniline)", "C_{15}H_{18}N_2", "", &
    "1807-55-2", "ZMVMYBGDGJLCHV-UHFFFAOYSA-N")
  CALL Species("C.I. Food Yellow 10", "C_{16}H_{13}N_3", "", &
    "85-84-7", "KLCDQSGLLRINHY-UHFFFAOYSA-N")
  CALL Species("3,3',5,5'-tetramethylbenzidine", "C_{16}H_{20}N_2", "", &
    "54827-17-7", "UAIUNKRWKOVEES-UHFFFAOYSA-N")
  CALL Species("N-phenyl-1-naphthalenamine", "C_{16}H_{13}N", "", &
    "90-30-2", "XQVWYOYUZDUNRW-UHFFFAOYSA-N")
  CALL Species("yellow OB", "C_{17}H_{15}N_3", "", &
    "131-79-3", "BWLVSYUUKOQICP-FMQUCBEESA-N")
  CALL Species("auramine", "C_{17}H_{21}N_3", "", &
    "492-80-8", "JPIYZTWMUGTEHX-UHFFFAOYSA-N")
  CALL Species("benzphetamine", "C_{17}H_{21}N", "", &
    "156-08-1", "YXKTVDFXDRQTKV-UHFFFAOYSA-N")
  CALL Species("4,4'-methylenebis(N,N-dimethylbenzenamine)", "C_{17}H_{22}N_2", "bis(p-dimethylamino)phenylmethane", &
    "101-61-1", "JNRLEMMIVRBKJE-UHFFFAOYSA-N")
  CALL Species("phencyclidine", "C_{17}H_{25}N", "", &
    "77-10-1", "JTJMJGYZQZDUJJ-UHFFFAOYSA-N")
  CALL Species("N,N'-diphenyl-1,4-benzenediamine", "C_{18}H_{16}N_2", "", &
    "74-31-7", "UTGQNNCQYDRXCH-UHFFFAOYSA-N")
  CALL Species("N-(1,3-dimethylbutyl)-N'-phenyl-1,4-phenylenediamine", "C_{18}H_{24}N_2", "", &
    "793-24-8", "ZZMVLMVFYMGSMY-UHFFFAOYSA-N")
  CALL Species("amitraz", "C_{19}H_{23}N_3", "", &
    "33089-61-1", "QXAITBQSYVNQDR-UHFFFAOYSA-N")
  CALL Species("N,N'-bis(1-ethyl-3-methylpentyl)-1,4-benzenediamine", "C_{22}H_{40}N_2", "", &
    "139-60-6", "JUHXTONDLXIGGK-UHFFFAOYSA-N")
  CALL Species("$p$,$p$'-benzylidenebis(N,N-dimethylaniline)", "C_{23}H_{26}N_2", "leucomalachite green", &
    "129-73-7", "WZKXBGJNNCGHIC-UHFFFAOYSA-N")
  CALL Species("N-phenyl-N-(2,4,4-trimethyl-2-pentanyl)-1-naphthalenamine", "C_{24}H_{29}N", "", &
    "51772-35-1", "SNWVRVDHQRBBFG-UHFFFAOYSA-N")
  CALL Species("tris(2-ethylhexyl)amine", "C_{24}H_{51}N", "", &
    "1860-26-0", "BZUDVELGTZDOIG-UHFFFAOYSA-N")
  CALL Species("4,4',4''-methylidyne-tris(N,N-dimethylbenzenamine)", "C_{25}H_{31}N_3", "Leucocrystal violet", &
    "603-48-5", "OAZWDJGLIYNYMU-UHFFFAOYSA-N")
  CALL Species("N-phenylbenzenamide", "C_{30}H_{47}N", "", &
    "68608-79-7", "FSPSHPMYFQHGQD-UHFFFAOYSA-N")
  CALL Species("4,4',4''-methanetriyltris(N,N-diethylaniline)", "C_{31}H_{43}N_3", "", &
    "68814-02-8", "HOGMPEULJBVHLZ-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Heterocycles with nitrogen (\chem{C}, \chem{H}, \chem{N})")
  CALL Species("pyrrolidine", "C_4H_8NH", "", &
    "123-75-1", "RWRDLPDLKQPQOW-UHFFFAOYSA-N")
  CALL Species("1-pyrroline", "C_4H_7N", "", &
    "5724-81-2", "ZVJHJDDKYZXRJI-UHFFFAOYSA-N")
  CALL Species("3-pyrroline", "C_4H_7N", "", &
    "109-96-6", "JVQIKJMSUIMUDI-UHFFFAOYSA-N")
  CALL Species("N-methylpyrrolidine", "C_4H_8NCH_3", "", &
    "120-94-5", "AVFZOVWCLRSYKC-UHFFFAOYSA-N")
  CALL Species("piperidine", "C_5H_{10}NH", "", &
    "110-89-4", "NQRYJNQNLNOLGT-UHFFFAOYSA-N")
  CALL Species("N-methylpiperidine", "C_5H_{10}NCH_3", "", &
    "626-67-5", "PAMIQIKDUOTOBW-UHFFFAOYSA-N")
  CALL Species("N-ethylpiperidine", "C_7H_{15}N", "1-ethylpiperidine", &
    "766-09-6", "HTLZVHNRZJPSMI-UHFFFAOYSA-N")
  CALL Species("1,4-diazacyclohexane", "C_4H_{10}N_2", "piperazine", &
    "110-85-0", "GLUUGHFHXGJENI-UHFFFAOYSA-N")
  CALL Species("N-methylpiperazine", "C_5H_{12}N_2", "1-methylpiperazine", &
    "109-01-3", "PVOAHINGSUIXLS-UHFFFAOYSA-N")
  CALL Species("N,N'-dimethylpiperazine", "C_6H_{14}N_2", "1,4-dimethylpiperazine", &
    "106-58-1", "RXYPXQSKLGGKOL-UHFFFAOYSA-N")
  CALL Species("cyromazine", "C_6H_{10}N_6", "", &
    "66215-27-8", "LVQDKIWDGQRHTE-UHFFFAOYSA-N")
  CALL Species("1H-benzotriazole", "C_6H_5N_3", "1,2,3-benzotriazole", &
    "95-14-7", "QRUDEWIWKLJBPS-UHFFFAOYSA-N")
  CALL Species("1H-benzimidazole", "C_7H_6N_2", "", &
    "51-17-2", "HYZJCKYKOHLVJF-UHFFFAOYSA-N")
  CALL Species("2-ethenylpyridine", "C_7H_7N", "2-vinylpyridine", &
    "100-69-6", "KGIGUEBEKRSTEW-UHFFFAOYSA-N")
  CALL Species("4-ethenylpyridine", "C_7H_7N", "4-vinylpyridine", &
    "100-43-6", "KFDVPJUYSDEJTH-UHFFFAOYSA-N")
  CALL Species("1,3,5-tricyclohexylhexahydro-1,3,5-triazine", "C_{21}H_{39}N_3", "", &
    "6281-14-7", "ZLLRUEJANKJPQE-UHFFFAOYSA-N")
  CALL Species("1-piperazineethanamine", "C_6H_{15}N_3", "N-(2-aminoethyl)piperazine", &
    "140-31-8", "IMUDHTPIFIBORV-UHFFFAOYSA-N")
  CALL Species("pyrrole", "C_4H_5N", "1H-pyrrole", &
    "109-97-7", "KAESVJOAVNADME-UHFFFAOYSA-N")
  CALL Species("1-methyl-1H-pyrrole", "C_5H_7N", "", &
    "96-54-8", "OXHNLMTVIGZXSG-UHFFFAOYSA-N")
  CALL Species("pyridine", "C_5H_5N", "", &
    "110-86-1", "JUJWROOIHBZHMG-UHFFFAOYSA-N")
  CALL Species("pyridine-d5", "C_5D_5N", "", &
    "7291-22-7", "JUJWROOIHBZHMG-RALIUCGRSA-N")
  CALL Species("2-methylpyridine", "C_5H_4NCH_3", "2-picoline; $\alpha$-picoline", &
    "109-06-8", "BSKHPKMHTQYZBB-UHFFFAOYSA-N")
  CALL Species("3-methylpyridine", "C_5H_4NCH_3", "3-picoline; $\beta$-picoline", &
    "108-99-6", "ITQTTZVARXURQS-UHFFFAOYSA-N")
  CALL Species("4-methylpyridine", "C_5H_4NCH_3", "", &
    "108-89-4", "FKNQCJSGGFJEIZ-UHFFFAOYSA-N")
  CALL Species("4-aminopyridine", "C_5H_6N_2", "", &
    "504-24-5", "NUKYPUAOHBNCPY-UHFFFAOYSA-N")
  CALL Species("2-aminopyridine", "C_5H_6N_2", "", &
    "504-29-0", "ICSNLGPSRYBMBD-UHFFFAOYSA-N")
  CALL Species("2-ethylpyridine", "C_5H_4NC_2H_5", "", &
    "100-71-0", "NRGGMCIBEHEAIL-UHFFFAOYSA-N")
  CALL Species("3-ethylpyridine", "C_5H_4NC_2H_5", "", &
    "536-78-7", "MFEIKQPHQINPRI-UHFFFAOYSA-N")
  CALL Species("4-ethylpyridine", "C_5H_4NC_2H_5", "", &
    "536-75-4", "VJXRKZJMGVSXPX-UHFFFAOYSA-N")
  CALL Species("2,3-dimethylpyridine", "C_5H_3N(CH_3)_2", "", &
    "583-61-9", "HPYNZHMRTTWQTB-UHFFFAOYSA-N")
  CALL Species("2,4-dimethylpyridine", "C_5H_3N(CH_3)_2", "", &
    "108-47-4", "JYYNAJVZFGKDEQ-UHFFFAOYSA-N")
  CALL Species("2,5-dimethylpyridine", "C_5H_3N(CH_3)_2", "", &
    "589-93-5", "XWKFPIODWVPXLX-UHFFFAOYSA-N")
  CALL Species("2,6-dimethylpyridine", "C_5H_3N(CH_3)_2", "", &
    "108-48-5", "OISVCGZHLKNMSJ-UHFFFAOYSA-N")
  CALL Species("3,4-dimethylpyridine", "C_5H_3N(CH_3)_2", "", &
    "583-58-4", "NURQLCJSMXZBPC-UHFFFAOYSA-N")
  CALL Species("3,5-dimethylpyridine", "C_5H_3N(CH_3)_2", "", &
    "591-22-0", "HWWYDZCSSYKIAD-UHFFFAOYSA-N")
  CALL Species("5-ethyl-2-methylpyridine", "C_8H_{11}N", "", &
    "104-90-5", "NTSLROIKFLNUIJ-UHFFFAOYSA-N")
  CALL Species("2,4,6-trimethylpyridine", "C_5H_2N(CH_3)_3", "collidine", &
    "108-75-8", "BWZVCCNYKMEVEX-UHFFFAOYSA-N")
  CALL Species("4-(1,1-dimethylethyl)-pyridine", "C_9H_{13}N", "4-{\it tert}-butylpyridine", &
    "3978-81-2", "YSHMQTRICHYLGF-UHFFFAOYSA-N")
  CALL Species("2,6-bis-(1,1-dimethylethyl)-pyridine", "C_{13}H_{21}N", "2,6-di-{\it tert}-butylpyridine", &
    "585-48-8", "UWKQJZCTQGMHKD-UHFFFAOYSA-N")
  CALL Species("1-methyl-1H-imidazole", "C_4H_6N_2", "", &
    "616-47-7", "MCTWTZJPVLRJOU-UHFFFAOYSA-N")
  CALL Species("amitrole", "C_2H_4N_4", "", &
    "61-82-5", "KLSJWNVTNUYHDU-UHFFFAOYSA-N")
  CALL Species("1,3-diazine", "C_4H_4N_2", "", &
    "289-95-2", "CZPWVGJYEJSRLH-UHFFFAOYSA-N")
  CALL Species("1,3,5-triazine-2,4,6-triamine", "C_3H_6N_6", "", &
    "108-78-1", "JDSHMPZPIAZGSV-UHFFFAOYSA-N")
  CALL Species("3-cyanopyridine", "C_6H_4N_2",  "", &
    "100-54-9", "GZPHSAQLYPIAIN-UHFFFAOYSA-N")
  CALL Species("4-cyanopyridine", "C_6H_4N_2",  "", &
    "100-48-1", "GPHQHTOMRSGBNZ-UHFFFAOYSA-N")
  CALL Species("indole", "C_8H_7N", "", &
    "120-72-9", "SIKJAQJRHWYJAI-UHFFFAOYSA-N")
  CALL Species("2-methylpyrazine", "C_4N_2H_3CH_3", "", &
    "109-08-0", "CAWHJQAVHZEVTJ-UHFFFAOYSA-N")
  CALL Species("2-ethylpyrazine", "C_4N_2H_3(C_2H_5)", "", &
    "13925-00-3", "KVFIJIWMDBAGDP-UHFFFAOYSA-N")
  CALL Species("2,5-dimethylpyrazine", "C_6H_8N_2", "", &
    "123-32-0", "LCZUOKDVTBMCMX-UHFFFAOYSA-N")
  CALL Species("2,6-dimethylpyrazine", "C_6H_8N_2", "3,5-dimethylpyrazine", &
    "108-50-9", "HJFZAYHYIWGLNL-UHFFFAOYSA-N")
  CALL Species("2-isobutylpyrazine", "C_4N_2H_3C_4H_9", "", &
    "29460-92-2", "YAIMUUJMEBJXAA-UHFFFAOYSA-N")
  CALL Species("2-(1-methylpropyl)-pyrazine", "C_8H_{12}N_2", "", &
    "29460-93-3", "NFFQZEXYZVZKNN-UHFFFAOYSA-N")
  CALL Species("5-ethenyl-2-methylpyridine", "C_8H_9N", "", &
    "140-76-1", "VJOWMORERYNYON-UHFFFAOYSA-N")
  CALL Species("nornicotine", "C_9H_{12}N_2", "", &
    "494-97-3", "MYKUKUCHPMASKF-UHFFFAOYSA-N")
  CALL Species("2,4-diamino-6-phenyl-1,3,5-triazine", "C_9H_9N_5", "", &
    "91-76-9", "GZVHEAJQGPRDLQ-UHFFFAOYSA-N")
  CALL Species("3-methylindole", "C_9H_9N", "", &
    "83-34-1", "ZFRKQXVRDFCRJG-UHFFFAOYSA-N")
  CALL Species("2,3-diethyl-5-methylpyrazine", "C_9H_{14}N_2", "", &
    "18138-04-0", "PSINWXIDJYEXLO-UHFFFAOYSA-N")
  CALL Species("benzo[$b$]pyridine", "C_9H_7N", "quinoline", &
    "91-22-5", "SMWDFEZZVXVKRB-UHFFFAOYSA-N")
  CALL Species("benzo[$c$]pyridine", "C_9H_7N", "isoquinoline", &
    "119-65-3", "AWJUIBRHMBBTKR-UHFFFAOYSA-N")
  CALL Species("nicotine", "C_{10}H_{14}N_2", "", &
    "54-11-5", "SNICXCGAKADSCV-SNVBAGLBSA-N")
  CALL Species("2,2'-bipyridine", "C_{10}H_8N_2", "", &
    "366-18-7", "ROFVEXUMMXZLPA-UHFFFAOYSA-N")
  CALL Species("4-methylquinoline", "C_{10}H_9N", "", &
    "491-35-0", "MUDSDYNRBDKLGK-UHFFFAOYSA-N")
  CALL Species("MEIQX", "C_{11}H_{11}N_5", "2-amino-3,8-dimethylimidazo[4,5-f]quinoxaline", &
    "77500-04-0", "DVCCCQNKIYNAKB-UHFFFAOYSA-N")
  CALL Species("3-(phenylazo)-2,6-pyridinediamine", "C_{11}H_{11}N_5", "phenazopyridine", &
    "94-78-0", "QPFYXYFORQJZEC-UHFFFAOYSA-N")
  CALL Species("2-amino-9H-pyrido[2,3-b]indole", "C_{11}H_9N_3", "", &
    "26148-68-5", "FJTNLJLPLJDTRM-UHFFFAOYSA-N")
  CALL Species("benzo[$f$]quinoline", "C_{13}H_9N", "", &
    "85-02-9", "HCAUQPZEWLULFJ-UHFFFAOYSA-N")
  CALL Species("carbazole", "C_{12}H_9N", "", &
    "86-74-8", "UJOBWOGCFQCDNV-UHFFFAOYSA-N")
  CALL Species("$o$-phenanthroline", "C_{12}H_8N_2", "", &
    "66-71-7", "DGEZNRSVGBDHLK-UHFFFAOYSA-N")
  CALL Species("benzyladenine", "C_{12}H_{11}N_5", "", &
    "1214-39-7", "NWBJYWHLCVSVIJ-UHFFFAOYSA-N")
  CALL Species("MEIQ", "C_{12}H_{12}N_4", "2-amino-3,4-dimethylimidazo[4,5-f]quinoxaline", &
    "77094-11-2", "GMGWMIJIGUYNAY-UHFFFAOYSA-N")
  CALL Species("pyrimethanil", "C_{12}H_{13}N_3", "", &
    "53112-28-0", "ZLIBICFPKPWGIZ-UHFFFAOYSA-N")
  CALL Species("paraquat", "C_{12}H_{14}N_2", "", &
    "4685-14-7", "INFDPOAKFNIJBF-UHFFFAOYSA-N")
  CALL Species("N,N-dimethyltryptamine", "C_{12}H_{16}N_2", "", &
    "61-50-7", "DMULVCHRPCFFGV-UHFFFAOYSA-N")
  CALL Species("PHIP", "C_{13}H_{12}N_4", "2-amino-1-methyl-6-phenylimidazo[4,5-b]pyridine", &
    "105650-23-5", "UQVKZNNCIHJZLS-UHFFFAOYSA-N")
  CALL Species("N,N'-diphenylguanidine", "C_{13}H_{13}N_3", "", &
    "102-06-7", "OWRCNXZUPFZXOS-UHFFFAOYSA-N")
  CALL Species("acridine", "C_{13}H_9N", "", &
    "260-94-6", "DZBUGLKDJFMEHC-UHFFFAOYSA-N")
  CALL Species("cyprodinil", "C_{14}H_{15}N_3", "", &
    "121552-61-2", "HAORKNGNJCEJBX-UHFFFAOYSA-N")
  CALL Species("imiquimod", "C_{14}H_{16}N_4", "", &
    "99011-02-6", "DOUYETYNHWVLEO-UHFFFAOYSA-N")
  CALL Species("benz[$c$]acridine", "C_{17}H_{11}N", "", &
    "225-51-4", "OAPPEBNXKAKQGS-UHFFFAOYSA-N")
  CALL Species("6-pentyl-1,2,3,4,7,8,9,10-octahydrophenanthridine", "C_{18}H_{27}N", "", &
    "10594-03-3", "FNUATPIDZQSFPD-UHFFFAOYSA-N")
  CALL Species("2-diphenylmethylpiperidine", "C_{18}H_{21}N", "desoxypipradrol", &
    "519-74-4", "RWTNXJXZVGHMGI-UHFFFAOYSA-N")
  CALL Species("7H-dibenzo[$c,g$]carbazole", "C_{20}H_{13}N", "", &
    "194-59-2", "STJXCDGCXVZHDU-UHFFFAOYSA-N")
  CALL Species("dibenz[$a,j$]acridine", "C_{21}H_{13}N", "", &
    "224-42-0", "ANUCHZVCBDOPOX-UHFFFAOYSA-N")
  CALL Species("dibenz[$a,h$]acridine", "C_{21}H_{13}N", "", &
    "226-36-8", "JNCSIWAONQTVCF-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Nitriles (\chem{C}, \chem{H}, \chem{N})")
  CALL Species("cyano radical", "CN", "", &
    "2074-87-5", "JEVCWSUVFOYBFI-UHFFFAOYSA-N")
  CALL Species("hydrogen cyanide", "HCN", "hydrocyanic acid", &
    "74-90-8", "LELOWRISYMNNSU-UHFFFAOYSA-N")
  CALL Species("ethane nitrile", "CH_3CN", "acetonitrile", &
    "75-05-8", "WEVYAHXRMPXWCK-UHFFFAOYSA-N")
  CALL Species("propane nitrile", "C_2H_5CN", "propionitrile", &
    "107-12-0", "FVSKHRXBFJPNKK-UHFFFAOYSA-N")
  CALL Species("butane nitrile", "C_3H_7CN", "butyronitrile", &
    "109-74-0", "KVNRLNFWIYMESJ-UHFFFAOYSA-N")
  CALL Species("2-methylpropane nitrile", "C_4H_7N", "isobutyronitrile", &
    "78-82-0", "LRDFRRGEGBBSRN-UHFFFAOYSA-N")
  CALL Species("pentane nitrile", "C_4H_9CN", "butyl cyanide; valeronitrile", &
    "110-59-8", "RFFFKMOABOFIDF-UHFFFAOYSA-N")
  CALL Species("hexanenitrile", "C_6H_{11}N", "", &
    "628-73-9", "AILKHAQXUAOOFU-UHFFFAOYSA-N")
  CALL Species("heptanenitrile", "C_7H_{13}N", "", &
    "629-08-3", "SDAXRHHPNYTELL-UHFFFAOYSA-N")
  CALL Species("octanenitrile", "C_8H_{15}N", "", &
    "124-12-9", "YSIMAPNUZAVQER-UHFFFAOYSA-N")
  CALL Species("nonanenitrile", "C_9H_{17}N", "", &
    "2243-27-8", "PLZZPPHAMDJOSR-UHFFFAOYSA-N")
  CALL Species("decanenitrile", "C_{10}H_{19}N", "", &
    "1975-78-6", "HBZDPWBWBJMYRY-UHFFFAOYSA-N")
  CALL Species("undecanenitrile", "C_{11}H_{21}N", "", &
    "2244-07-7", "SZKKNEOUHLFYNA-UHFFFAOYSA-N")
  CALL Species("cyclohexanecarbonitrile", "C_7H_{11}N", "", &
    "766-05-2", "VBWIZSYFQSOUFQ-UHFFFAOYSA-N")
  CALL Species("ethanedinitrile", "C_2N_2", "cyanogen", &
    "460-19-5", "JMANVNJQNLATNU-UHFFFAOYSA-N")
  CALL Species("hexanedinitrile", "C_6H_8N_2", "adiponitrile", &
    "111-69-3", "BTGRAWJCKBQKAO-UHFFFAOYSA-N")
  CALL Species("2-propenenitrile", "C_3H_3N", "acrylonitrile", &
    "107-13-1", "NLHHRLWOUZZQLW-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propene nitrile", "C_4H_5N", "methacrylonitrile", &
    "126-98-7", "GYCMBHHDWRMZGG-UHFFFAOYSA-N")
  CALL Species("benzenenitrile", "C_6H_5CN", "benzonitrile", &
    "100-47-0", "JFDZBHWFFUWGJE-UHFFFAOYSA-N")
  CALL Species("2-pyridinecarbonitrile", "C_6H_4N_2", "", &
    "100-70-9", "FFNVQNRYTPFDDP-UHFFFAOYSA-N")
  CALL Species("2-methylpentanedinitrile", "C_6H_8N_2", "", &
    "4553-62-2", "FPPLREPCQJZDAQ-UHFFFAOYSA-N")
  CALL Species("3,3'-iminobispropanenitrile", "C_6H_9N_3", "", &
    "111-94-4", "SBAJRGRUGUQKAF-UHFFFAOYSA-N")
  CALL Species("2-methylbenzonitrile", "C_8H_7N", "$o$-tolunitrile", &
    "529-19-1", "NWPNXBQSRGKSJB-UHFFFAOYSA-N")
  CALL Species("3-methylbenzonitrile", "C_8H_7N", "$m$-tolunitrile", &
    "620-22-4", "BOHCMQZJWOGWTA-UHFFFAOYSA-N")
  CALL Species("benzeneacetonitrile", "C_8H_7N", "phenylacetonitrile", &
    "140-29-4", "SUSQOBVLVYHIEX-UHFFFAOYSA-N")
  CALL Species("tetramethylbutanedinitrile", "C_8H_{12}N_2", "", &
    "3333-52-6", "ZVQXQPNJHRNGID-UHFFFAOYSA-N")
  CALL Species("1,2-benzenedicarbonitrile", "C_8H_4N_2", "", &
    "91-15-6", "XQZYPMVTSDWCCE-UHFFFAOYSA-N")
  CALL Species("3,7-dimethyl-2,6-octadienenitrile", "C_{10}H_{15}N", "geranyl nitrile", &
    "5146-66-7", "HLCSDJLATUNSSI-JXMROGBWSA-N")
  CALL Species("2,2'-azobis(2-methylbutyronitrile)", "C_{10}H_{16}N_4", "", &
    "13472-08-7", "AVTLBBWTUPQRAY-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Amines, amides, amino acids (\chem{C}, \chem{H}, \chem{O}, \chem{N})")
  ! C, H, O, N:
  CALL Species("formamide", "CH_3NO", "", &
    "75-12-7", "ZHNUHDYFZUAESO-UHFFFAOYSA-N")
  CALL Species("methyl nitrite", "CH_3NO_2", "", &
    "624-91-9", "BLLFVUPNHCTMSV-UHFFFAOYSA-N")
  CALL Species("urea", "CH_4N_2O", "", &
    "57-13-6", "XSQUKJJJFZCRTK-UHFFFAOYSA-N")
  CALL Species("ethanolamine", "HOC_2H_4NH_2", "", &
    "141-43-5", "HZAXFHJVJLSVMW-UHFFFAOYSA-N")
  CALL Species("1,1'-azodiformamide", "C_2H_4N_4O_2", "", &
    "123-77-3", "XOZUGNYVDXMRKW-UHFFFAOYSA-N")
  CALL Species("ethyl nitrite", "C_2H_5NO_2", "", &
    "109-95-5", "QQZWEECEMNQSTG-UHFFFAOYSA-N")
  CALL Species("carbamic acid, methyl ester", "C_2H_5NO_2", "", &
    "598-55-0", "GTCAXTIRRLKXRU-UHFFFAOYSA-N")
  CALL Species("acetaldoxime", "C_2H_5NO", "acetaldehyde oxime", &
    "107-29-9", "FZENGILVLUJGJX-UHFFFAOYSA-N")
  CALL Species("ethanamide", "C_2H_5NO", "acetamide", &
    "60-35-5", "DLFVBJFMPXGRIB-UHFFFAOYSA-N")
  CALL Species("N-methylmethanamide", "C_2H_5NO", "N-methylformamide", &
    "123-39-7", "ATHHXGZTWNVVOU-UHFFFAOYSA-N")
  CALL Species("N-nitrosodimethylamine", "C_2H_6N_2O", "", &
    "62-75-9", "UMFJAHHVKNCGLG-UHFFFAOYSA-N")
  CALL Species("methylnitrosourea", "C_2H_5N_3O_2", "", &
    "684-93-5", "ZRKWMRDKSOPRRS-UHFFFAOYSA-N")
  CALL Species("nitrosoazetidine", "C_3H_6N_2O", "", &
    "15216-10-1", "SNKTZBNDUVWOAZ-UHFFFAOYSA-N")
  CALL Species("methylnitrosoacetamide", "C_3H_6N_2O_2", "", &
    "7417-67-6", "FFLFWNRFMZRFKU-UHFFFAOYSA-N")
  CALL Species("ethylnitrosocyanamide", "C_3H_5N_3O", "", &
    "38434-77-4", "LMIMSGCBKHFTDY-UHFFFAOYSA-N")
  CALL Species("2-propenamide", "C_3H_5NO", "acrylamide", &
    "79-06-1", "HRPVXLWXLXDGHG-UHFFFAOYSA-N")
  CALL Species("methylvinylnitrosamine", "C_3H_6N_2O", "N-nitrosomethylvinylamine", &
    "4549-40-0", "AWZVYNHQGTZJIH-UHFFFAOYSA-N")
  CALL Species("urethane", "C_3H_7NO_2", "", &
    "51-79-6", "JOYRKODLDBILNP-UHFFFAOYSA-N")
  CALL Species("N,N-dimethylmethanamide", "C_3H_7NO", "N,N-dimethylformamide", &
    "68-12-2", "ZMXDDKWLCZADIW-UHFFFAOYSA-N")
  CALL Species("N-methylacetamide", "C_3H_7NO", "", &
    "79-16-3", "OHLUUHNLEMFGTQ-UHFFFAOYSA-N")
  CALL Species("N-methyl-N-nitrosoethanamine", "C_3H_8N_2O", "N-nitrosomethylethylamine", &
    "10595-95-6", "RTDCJKARQCRONF-UHFFFAOYSA-N")
  CALL Species("2-methoxyethanamine", "C_3H_9NO", "2-methoxyethylamine", &
    "109-85-3", "ASUDFOJKTJLAIK-UHFFFAOYSA-N")
  CALL Species("2-(methylamino)ethanol", "C_3H_9NO", "", &
    "109-83-1", "OPKOKAMJFNKNAS-UHFFFAOYSA-N")
  CALL Species("1-amino-2-propanol", "C_3H_9NO", "", &
    "78-96-6", "HXKKHQJGJAFBHI-UHFFFAOYSA-N")
  CALL Species("N-nitroso-N-methylurethane", "C_4H_8N_2O_3", "N-nitroso-N-methylurethane", &
    "615-53-2", "CAUBWLYZCDDYEF-UHFFFAOYSA-N")
  CALL Species("dinitrosopiperazine", "C_4H_8N_4O_2", "", &
    "140-79-4", "WNSYEWGYAFFSSQ-UHFFFAOYSA-N")
  CALL Species("2-amino-3(methylamino)propionic acid", "C_4H_{10}N_2O_2", "3-(methylamino)-(DL)-alanine", &
    "16676-91-8", "UJVHVMNGOZXSOZ-UHFFFAOYSA-N")
  CALL Species("N-nitrosodiethanolamine", "C_4H_{10}N_2O_3", "", &
    "1116-54-7", "YFCDLVPYFMHRQZ-UHFFFAOYSA-N")
  CALL Species("N-nitrosodiethylamine", "C_4H_{10}N_2O", "", &
    "55-18-5", "WBNQDOYYEUMPFS-UHFFFAOYSA-N")
  CALL Species("diethanolamine", "C_4H_{11}NO_2", "", &
    "111-42-2", "ZBCBWPMODOFKDW-UHFFFAOYSA-N")
  CALL Species("3-methoxy-1-propanamine", "C_4H_{11}NO", "3-methoxypropylamine", &
    "5332-73-0", "FAXDZWQIWUSWJH-UHFFFAOYSA-N")
  CALL Species("2-[(2-aminoethyl)amino]ethanol", "C_4H_{12}N_2O", "", &
    "111-41-1", "LHIJANUOQQMGNT-UHFFFAOYSA-N")
  CALL Species("tetramethylammonium hydroxide", "C_4H_{13}NO", "", &
    "75-59-2", "WGTYBPLFGIVFAS-UHFFFAOYSA-M")
  CALL Species("acetone cyanohydrin", "C_4H_7NO", "", &
    "75-86-5", "MWFMGBPGAXYFAR-UHFFFAOYSA-N")
  CALL Species("carbamic acid, 1-methylethyl ester", "C_4H_9NO_2", "", &
    "1746-77-6", "OVPLZYJGTGDFNB-UHFFFAOYSA-N")
  CALL Species("propylcarbamate", "C_4H_9NO_2", "", &
    "627-12-3", "YNTOKMNHRPSGFU-UHFFFAOYSA-N")
  CALL Species("N,N-dimethylacetamide", "C_4H_9NO", "", &
    "127-19-5", "FXHOOIRPVKKKFG-UHFFFAOYSA-N")
  CALL Species("2-butanone, oxime", "C_4H_9NO", "", &
    "96-29-7", "WHIVNJATOVLWBW-UHFFFAOYSA-N")
  CALL Species("nitrosoethylurethane", "C_5H_{10}N_2O_3", "N-ethyl-N-nitrosourethane", &
    "614-95-9", "RAUQLNDTFONODT-UHFFFAOYSA-N")
  CALL Species("N-nitroso-N-butylurea", "C_5H_{11}N_3O_2", "", &
    "869-01-2", "LSWOCDLIYSKTRX-UHFFFAOYSA-N")
  CALL Species("methyldiethanolamine", "C_5H_{13}NO_2", "", &
    "105-59-9", "CRVGTESFCCXCTH-UHFFFAOYSA-N")
  CALL Species("methylbutylnitrosamine", "C_5H_{12}N_2O", "", &
    "7068-83-9", "PKTSCJXWLVREKX-UHFFFAOYSA-N")
  CALL Species("methylpentylnitrosamine", "C_6H_{14}N_2O", "", &
    "13256-07-0", "KSFCDINBDBFFSI-UHFFFAOYSA-N")
  CALL Species("ethylbutylnitrosamine", "C_6H_{14}N_2O", "", &
    "4549-44-4", "ZGMCNGHHUQZNIH-UHFFFAOYSA-N")
  CALL Species("nitrosohexamethyleneimine", "C_6H_{12}N_2O", "", &
    "932-83-2", "UZMVSVHUTOAPTD-UHFFFAOYSA-N")
  CALL Species("2,6-dimethylnitrosomorpholine", "C_6H_{12}N_2O_2", "", &
    "1456-28-6", "DPYMAXOKJUBANR-UHFFFAOYSA-N")
  CALL Species("2,6-dimethyldinitrosopiperazine", "C_6H_{12}N_4O_2", "", &
    "55380-34-2", "JIWAGFGPBKDFQN-UHFFFAOYSA-N")
  CALL Species("N-(1-methylethyl)-2-propenamide", "C_6H_{11}NO", "N-isopropylacrylamide", &
    "2210-25-5", "QNILTEGFHQSKFF-UHFFFAOYSA-N")
  CALL Species("N-butylacetamide", "C_6H_{13}NO", "", &
    "1119-49-9", "GYLDXXLJMRTVSS-UHFFFAOYSA-N")
  CALL Species("N-(1-methylethyl)-N-nitroso-2-propanamine", "C_6H_{14}N_2O", "diisopropylamine", &
    "601-77-4", "AUIKJTGFPFLMFP-UHFFFAOYSA-N")
  CALL Species("N-nitrosodipropylamine", "C_6H_{14}N_2O", "N,N-dipropylnitrosamine", &
    "621-64-7", "YLKFDHTUAUWZPQ-UHFFFAOYSA-N")
  CALL Species("ethyldiethanolamine", "C_6H_{15}NO_2", "", &
    "139-87-7", "AKNUHUCEWALCOI-UHFFFAOYSA-N")
  CALL Species("triethanolamine", "C_6H_{15}NO_3", "", &
    "102-71-6", "GSEJCLTVZPLZKY-UHFFFAOYSA-N")
  CALL Species("$o$-aminophenol", "C_6H_7NO", "2-aminophenol", &
    "95-55-6", "CDAWCLOXVUBKRW-UHFFFAOYSA-N")
  CALL Species("4-aminophenol", "C_6H_7NO", "", &
    "123-30-8", "PLIKAWJENQZMHA-UHFFFAOYSA-N")
  CALL Species("3-aminophenol", "C_6H_7NO", "", &
    "591-27-5", "CWLKGDAVCFYWJK-UHFFFAOYSA-N")
  CALL Species("$p$-diaminoanisole", "C_7H_{10}N_2O", "2-methoxy-1,4-benzenediamine", &
    "5307-02-8", "HGUYBLVGLMAUFF-UHFFFAOYSA-N")
  CALL Species("4-methoxy-1,3-benzenediamine", "C_7H_{10}N_2O", "", &
    "615-05-4", "BAHPQISAXRFLCL-UHFFFAOYSA-N")
  CALL Species("2-cyano-N-[(ethylamino)carbonyl]-2-(methoxyimino)acetamide", "C_7H_{10}N_4O_3", "cymoxanil", &
    "57966-95-7", "XERJKGMBORTKEO-UHFFFAOYSA-N")
  CALL Species("isocyanatocyclohexane", "C_7H_{11}NO", "", &
    "3173-53-3", "KQWGXHWJMSMDJJ-UHFFFAOYSA-N")
  CALL Species("$L$-theanine", "C_7H_{14}N_2O_3", "", &
    "3081-61-6", "DATAGRPVKZEWHA-YFKPBYRVSA-N")
  CALL Species("tetryl", "C_7H_5N_5O_8", "", &
    "479-45-8", "AGUIVNYEYSCPNI-UHFFFAOYSA-N")
  CALL Species("anthranilic acid", "C_7H_7NO_2", "", &
    "118-92-3", "RWZYAGGXGHYGMB-UHFFFAOYSA-N")
  CALL Species("4-aminobenzoic acid", "C_7H_7NO_2", "", &
    "150-13-0", "ALYNCZNDIQEVRV-UHFFFAOYSA-N")
  CALL Species("salicylamide", "C_7H_7NO_2", "", &
    "65-45-2", "SKZKKFZAGNVIMN-UHFFFAOYSA-N")
  CALL Species("mesalamine", "C_7H_7NO_3", "", &
    "89-57-6", "KBOPZPXVLCULAV-UHFFFAOYSA-N")
  CALL Species("N-phenylformamide", "C_7H_7NO", "", &
    "103-70-8", "DYDNPESBYVVLBO-UHFFFAOYSA-N")
  CALL Species("benzamide", "C_7H_7NO", "", &
    "55-21-0", "KXDAEFPNCMNJSK-UHFFFAOYSA-N")
  CALL Species("anthranilamide", "C_7H_8N_2O", "2-aminobenzamide", &
    "88-68-6", "PXBFMLJZNCDSMP-UHFFFAOYSA-N")
  CALL Species("N-methyl-N-nitrosobenzenamine", "C_7H_8N_2O", "", &
    "614-00-6", "MAXCWSIJKVASQC-UHFFFAOYSA-N")
  CALL Species("2-methoxy-benzenamine", "C_7H_9NO", "2-methoxyaniline", &
    "90-04-0", "VMPITZXILSNTON-UHFFFAOYSA-N")
  CALL Species("3-methoxy-benzenamine", "C_7H_9NO", "3-methoxyaniline", &
    "536-90-3", "NCBZRJODKRCREW-UHFFFAOYSA-N")
  CALL Species("4-methoxy-benzenamine", "C_7H_9NO", "4-methoxyaniline", &
    "104-94-9", "BHAAPTBBJKJZER-UHFFFAOYSA-N")
  CALL Species("4-(methylamino)phenol", "C_7H_9NO", "N-methyl-4-aminophenol", &
    "150-75-4", "ZFIQGRISGKSVAG-UHFFFAOYSA-N")
  CALL Species("defenuron", "C_8H_{10}N_2O", "", &
    "1007-36-9", "SQBHGDSDVWCPHN-UHFFFAOYSA-N")
  CALL Species("N-methyl-N-nitrosobenzenemethanamine", "C_8H_{10}N_2O", "", &
    "937-40-6", "NGXUJKBJBFLCAR-UHFFFAOYSA-N")
  CALL Species("norepinephrine", "C_8H_{11}NO_3", "", &
    "51-41-2", "SFLSHLFXELFNJZ-QMMMGPOBSA-N")
  CALL Species("4-methoxy-2-methylbenzenamine", "C_8H_{11}NO", "$m$-cresidine", &
    "102-50-1", "CDGNLUSBENXDGG-UHFFFAOYSA-N")
  CALL Species("$p$-cresidine", "C_8H_{11}NO", "", &
    "120-71-8", "WXWCDTXEKCVRRO-UHFFFAOYSA-N")
  CALL Species("N-nitrosodi-N-butylamine", "C_8H_{18}N_2O", "", &
    "924-16-3", "YGJHZCLPZAZIHH-UHFFFAOYSA-N")
  CALL Species("(diisopropylamino)-ethanol", "C_8H_{19}NO", "", &
    "96-80-0", "ZYWUVGFIXPNBDL-UHFFFAOYSA-N")
  CALL Species("phthalamide", "C_8H_8N_2O_2", "", &
    "88-96-0", "NAYYNDKKHOIIOD-UHFFFAOYSA-N")
  CALL Species("acetaminophen", "C_8H_9NO_2", "", &
    "103-90-2", "RZVAJINKPMORJF-UHFFFAOYSA-N")
  CALL Species("methyl anthranilate", "C_8H_9NO_2", "", &
    "134-20-3", "VAMXMNNIEUEQDV-UHFFFAOYSA-N")
  CALL Species("4'-aminoacetophenone", "C_8H_9NO", "4-acetylaniline", &
    "99-92-3", "GPRYKVSEZCQIHD-UHFFFAOYSA-N")
  CALL Species("N-phenylacetamide", "C_8H_9NO", "acetanilide", &
    "103-84-4", "FZERHIULMFGESH-UHFFFAOYSA-N")
  CALL Species("methylcarbamic acid, 3-methylphenyl ester", "C_9H_{11}NO_2", "metolcarb", &
    "1129-41-5", "VOEYXMAFNDNNED-UHFFFAOYSA-N")
  CALL Species("phenylcarbamic acid, ethyl ester", "C_9H_{11}NO_2", "", &
    "101-99-5", "LBKPGNUOUPTQKA-UHFFFAOYSA-N")
  CALL Species("ethyl anthranilate", "C_9H_{11}NO_2", "", &
    "87-25-2", "TWLLPUMZVVGILS-UHFFFAOYSA-N")
  CALL Species("benzocaine", "C_9H_{11}NO_2", "", &
    "94-09-7", "BLFLLBZGZJTVJG-UHFFFAOYSA-N")
  CALL Species("1-(4-aminophenyl)-1-propanone", "C_9H_{11}NO", "4-aminopropiophenone", &
    "70-69-9", "FSWXOANXOQPCFF-UHFFFAOYSA-N")
  CALL Species("(4-ethoxyphenyl)urea", "C_9H_{12}N_2O_2", "dulcin", &
    "150-69-6", "GGLIEWRLXDLBBF-UHFFFAOYSA-N")
  CALL Species("fenuron", "C_9H_{12}N_2O", "", &
    "101-42-8", "XXOYNJXVWVNOOJ-UHFFFAOYSA-N")
  CALL Species("epinephrine", "C_9H_{13}NO_3", "", &
    "51-43-4", "UCTWMZQNUQWSLP-UHFFFAOYSA-N")
  CALL Species("meprobamate", "C_9H_{18}N_2O_4", "", &
    "57-53-4", "NPPQSCRMBWNHMW-UHFFFAOYSA-N")
  CALL Species("propamocarb", "C_9H_{20}N_2O_2", "", &
    "24579-73-5", "WZZLDXDUQPOXNW-UHFFFAOYSA-N")
  CALL Species("proximpham", "C_{10}H_{12}N_2O_2", "", &
    "2828-42-4", "LATYTXGNKNKTDS-UHFFFAOYSA-N")
  CALL Species("dioxacarb", "C_{10}H_{13}NO_4", "", &
    "6988-21-2", "SDKQRNRRDYRQKY-UHFFFAOYSA-N")
  CALL Species("phenol, 3,5-dimethyl-, methylcarbamate", "C_{10}H_{13}NO_2", "3,5-xylyl methylcarbamate", &
    "2655-14-3", "CVQODEWAPZVVBU-UHFFFAOYSA-N")
  CALL Species("phenylcarbamic acid, 1-methylethyl ester", "C_{10}H_{13}NO_2", "", &
    "122-42-9", "VXPLXMJHHKHSOA-UHFFFAOYSA-N")
  CALL Species("xylylcarb", "C_{10}H_{13}NO_2", "", &
    "2425-10-7", "WCJYTPVNMWIZCG-UHFFFAOYSA-N")
  CALL Species("phenacetin", "C_{10}H_{13}NO_2", "", &
    "62-44-2", "CPJSUEIXXCENMM-UHFFFAOYSA-N")
  CALL Species("ephedrine", "C_{10}H_{15}NO", "", &
    "299-42-3", "KWGRBVOPPLSCSI-PSASIEDQSA-N")
  CALL Species("$m$-cumenyl methylcarbamate", "C_{11}H_{15}NO_2", "3-isopropylphenyl methyl carbamate", &
    "64-00-6", "GYKXQTKSWLAUIT-UHFFFAOYSA-N")
  CALL Species("propoxur", "C_{11}H_{15}NO_3", "", &
    "114-26-1", "ISRUGXGCCGIOQO-UHFFFAOYSA-N")
  CALL Species("methocarbamol", "C_{11}H_{15}NO_5", "", &
    "532-03-6", "GNXFOGHNGIVQEH-UHFFFAOYSA-N")
  CALL Species("aminocarb", "C_{11}H_{16}N_2O_2", "", &
    "2032-59-9", "IMIDOCRTMDIQIJ-UHFFFAOYSA-N")
  CALL Species("monodesmethylisoproturon", "C_{11}H_{16}N_2O", "", &
    "34123-57-4", "DOULWWSSZVEPIN-UHFFFAOYSA-N")
  CALL Species("cycluron", "C_{11}H_{22}N_2O", "", &
    "2163-69-1", "DQZCVNGCTZLGAQ-UHFFFAOYSA-N")
  CALL Species("methylneodecanamide", "C_{11}H_{23}NO", "", &
    "105726-67-8", "GELCOLZWXWHMIB-UHFFFAOYSA-N")
  CALL Species("4-(phenylazo)phenol", "C_{12}H_{10}N_2O", "4-hydroxyazobenzene", &
    "1689-82-3", "BEYOBVMPDRKTNR-UHFFFAOYSA-N")
  CALL Species("N-nitrosodiphenylamine", "C_{12}H_{10}N_2O", "N,N-Diphenylnitrosamine", &
    "86-30-6", "UBUCNCOMADRQHX-UHFFFAOYSA-N")
  CALL Species("carbaryl", "C_{12}H_{11}NO_2", "", &
    "63-25-2", "CVXBEEMKQHEXEN-UHFFFAOYSA-N")
  CALL Species("4,4'-oxybisbenzenamine", "C_{12}H_{12}N_2O", "bis(4-aminophenyl) ether", &
    "101-80-4", "HLBLWEWZXPIGSM-UHFFFAOYSA-N")
  CALL Species("carbofuran", "C_{12}H_{15}NO_3", "", &
    "1563-66-2", "DUEPRVBVGDRKAG-UHFFFAOYSA-N")
  CALL Species("phenol, 3-methyl-5-(1-methylethyl)-, methylcarbamate", "C_{12}H_{16}NO_2", "promecarb", &
    "2631-37-0", "DTAPQAJKAFRNJB-UHFFFAOYSA-N")
  CALL Species("fenobucarb", "C_{12}H_{17}NO_2", "", &
    "3766-81-2", "DIRFUJHNVNOBMY-UHFFFAOYSA-N")
  CALL Species("diethyltoluamide", "C_{12}H_{17}NO", "DEET", &
    "134-62-3", "MMOXZBCLCQITDF-UHFFFAOYSA-N")
  CALL Species("N,N-dimethyl-N'-[4-(1-methylethyl)phenyl]-urea", "C_{12}H_{18}N_2O", "isoproturon", &
    "34123-59-6", "PUIYMUZLKQOUOZ-UHFFFAOYSA-N")
  CALL Species("carisoprodol", "C_{12}H_{24}N_2O_4", "", &
    "78-44-4", "OFZCIYFFPZCNJE-UHFFFAOYSA-N")
  CALL Species("diethylpropion", "C_{13}H_{19}NO", "", &
    "90-84-6", "XXEPPPIWZFICOJ-UHFFFAOYSA-N")
  CALL Species("salbutamol", "C_{13}H_{21}NO_3", "albuterol", &
    "18559-94-9", "NDAUXUAQIAJITI-UHFFFAOYSA-N")
  CALL Species("disperse blue 1", "C_{14}H_{12}N_4O_2", "", &
    "2475-45-8", "JSFUMBWFPQSADC-UHFFFAOYSA-N")
  CALL Species("3,3'-dimethoxybenzidine", "C_{14}H_{16}N_2O_2", "", &
    "119-90-4", "JRBJSXQPQWSCCF-UHFFFAOYSA-N")
  CALL Species("aspartame", "C_{14}H_{18}N_2O_5", "", &
    "22839-47-0", "IAOZJIPTCAWIRG-QWRGUYRKSA-N")
  CALL Species("dinobuton", "C_{14}H_{18}N_2O_7", "dessin", &
    "973-21-7", "HDWLUGYOLUHEMN-UHFFFAOYSA-N")
  CALL Species("N-(2-methylcyclohexyl)-N'-phenylurea", "C_{14}H_{20}N_2O", "siduron", &
    "1982-49-6", "JXVIIQLNUPXOII-UHFFFAOYSA-N")
  CALL Species("butralin", "C_{14}H_{21}N_3O_4", "", &
    "33629-47-9", "SPNQRCTZKIBOAX-UHFFFAOYSA-N")
  CALL Species("lauramine oxide", "C_{14}H_{31}NO", "", &
    "1643-20-5", "SYELZBGXAIXKHU-UHFFFAOYSA-N")
  CALL Species("2-aminoanthraquinone", "C_{14}H_9NO_2", "", &
    "117-79-3", "XOGPDSATLSAZEK-UHFFFAOYSA-N")
  CALL Species("1-amino-2-methyl-9,10-anthracenedione", "C_{15}H_{11}NO_2", "1-amino-2-methylanthraquinone", &
    "82-28-0", "ZLCUIOWQYBYEBG-UHFFFAOYSA-N")
  CALL Species("N-2-fluorenylacetamide", "C_{15}H_{13}NO", "2-acetylaminofluorene", &
    "53-96-3", "CZIHNRWJTSTCEX-UHFFFAOYSA-N")
  CALL Species("metalaxyl", "C_{15}H_{21}NO_4", "", &
    "57837-19-1", "ZQEIXNIJLIKNTD-UHFFFAOYSA-N")
  CALL Species("tebutam", "C_{15}H_{23}NO", "", &
    "35256-85-0", "RJKCKKDSSSRYCB-UHFFFAOYSA-N")
  CALL Species("isopropalin", "C_{15}H_{23}N_3O_4", "", &
    "33820-53-0", "NEKOXWSIMFDGMA-UHFFFAOYSA-N")
  CALL Species("metoprolol", "C_{15}H_{25}NO_3", "", &
    "37350-58-6", "IUBSYMUCCVWXPE-UHFFFAOYSA-N")
  CALL Species("(3-methylphenyl)-carbamic acid, 3-[(methoxycarbonyl)amino]phenyl ester", "C_{16}H_{16}N_2O_4", "betanal", &
    "13684-63-4", "IDOWTHOLJBTAFI-UHFFFAOYSA-N")
  CALL Species("fenam", "C_{16}H_{17}NO", "", &
    "957-51-7", "QAHFOPIILNICLA-UHFFFAOYSA-N")
  CALL Species("difenoxuron", "C_{16}H_{18}N_2O_3", "", &
    "14214-32-5", "AMVYOVYGIJXTQB-UHFFFAOYSA-N")
  CALL Species("butacarb", "C_{16}H_{25}NO_2", "", &
    "2655-19-8", "SLZWBCGZQRRUNG-UHFFFAOYSA-N")
  CALL Species("oseltamivir", "C_{16}H_{28}N_2O_4", "", &
    "196618-13-0", "VSZGPKBBMSAYNT-RRFJBIMHSA-N")
  CALL Species("N,N-bis(2-hydroxyethyl)dodecanamide", "C_{16}H_{33}NO_3", "", &
    "120-40-1", "AOMUHOFOVNGZAN-UHFFFAOYSA-N")
  CALL Species("1-[(2-methoxyphenyl)azo]-2-naphthol", "C_{17}H_{14}N_2O_2", "", &
    "1229-55-6", "ALLOLPOYFRLCCX-VHEBQXMUSA-N")
  CALL Species("furalaxyl", "C_{17}H_{19}NO_4", "", &
    "57646-30-7", "CIEXPHRYOLIQQD-UHFFFAOYSA-N")
  CALL Species("fenoxycarb", "C_{17}H_{19}NO_4", "", &
    "79127-80-3", "HJUFTIJOISQSKQ-UHFFFAOYSA-N") ! other CAS: 72490-01-8
  CALL Species("bifenazate", "C_{17}H_{20}N_2O_3", "", &
    "149877-41-8", "VHLKTXFWDRXILV-UHFFFAOYSA-N")
  CALL Species("napropamide", "C_{17}H_{21}NO_2", "", &
    "15299-99-7", "WXZVAROIGSFCFJ-UHFFFAOYSA-N")
  CALL Species("padimate O", "C_{17}H_{27}NO_2", "", &
    "21245-02-3", "WYWZRNAHINYAEF-UHFFFAOYSA-N")
  CALL Species("nadolol", "C_{17}H_{27}NO_4", "", &
    "42200-33-9", "VWPOSFSPZNDTMJ-UHFFFAOYSA-N")
  CALL Species("2,6-di-{\it tert}-butyl-4-(dimethylaminomethyl)phenol", "C_{17}H_{29}NO", "", &
    "88-27-7", "VMZVBRIIHDRYGK-UHFFFAOYSA-N")
  CALL Species("naptalam", "C_{18}H_{13}NO_3", "", &
    "132-66-1", "JXTHEWSKYLZVJC-UHFFFAOYSA-N")
  CALL Species("citrus red 2", "C_{18}H_{16}N_2O_3", "", &
    "6358-53-8", "ULLJIFAIUSUJBP-ZZEZOPTASA-N")
  CALL Species("kresoxim-methyl", "C_{18}H_{19}NO_4", "", &
    "143390-89-0", "ZOTBXTZVPHCKPN-UHFFFAOYSA-N")
  CALL Species("dinocap", "C_{18}H_{24}N_2O_6", "", &
    "39300-45-3", "RNDNTTTUTQAXII-GORDUTHDSA-N")
  CALL Species("capsaicin", "C_{18}H_{27}NO_3", "", &
    "404-86-4", "YKPUWZUDDOIDPM-SOFGYWHQSA-N")
  CALL Species("($RS$)-$\alpha$-2-naphthoxypropionanilide", "C_{19}H_{17}NO_2", "naproanilide", &
    "52570-16-8", "LVKTWOXHRYGDMM-UHFFFAOYSA-N")
  CALL Species("phenylbutazone", "C_{19}H_{20}N_2O_2", "", &
    "50-33-9", "VYMDGNCVAMGZFE-UHFFFAOYSA-N")
  CALL Species("phenisopham", "C_{19}H_{22}N_2O_4", "", &
    "57375-63-0", "PWEOEHNGYFXZLI-UHFFFAOYSA-N")
  CALL Species("formoterol", "C_{19}H_{24}N_2O_4", "", &
    "73573-87-2", "BPZSYCZIITTYBL-ORAYPTAESA-N")
  CALL Species("benalaxyl", "C_{20}H_{23}NO_3", "", &
    "71626-11-4", "CJPQIRJHIZUAQP-UHFFFAOYSA-N")
  CALL Species("tralkoxydim", "C_{20}H_{27}NO_3", "", &
    "87820-88-0", "SOTLWPHEAQOHHC-UHFFFAOYSA-N")
  CALL Species("neotame", "C_{20}H_{30}N_2O_5", "", &
    "165450-17-9", "HLIAVLHNDJUHFG-HOTGVXAUSA-N")
  CALL Species("colchicine", "C_{22}H_{25}NO_6", "", &
    "64-86-8", "IAKHMKGGTNLKSZ-MRXNPFEDSA-N")
  CALL Species("tebufenozide", "C_{22}H_{28}N_2O_2", "", &
    "112410-23-8", "QYPNKSZPJQQLRK-UHFFFAOYSA-N")
  CALL Species("methoxyfenozide", "C_{22}H_{28}N_2O_3", "", &
    "161050-58-4", "QCAWEPFNJXQPAN-UHFFFAOYSA-N")
  CALL Species("propoxyphene", "C_{22}H_{29}NO_2", "", &
    "469-62-5", "XLMALTXPSGQGBX-PGRDOPGGSA-N")
  CALL Species("($Z$)-13-docosenamide", "C_{22}H_{43}NO", "erucamide", &
    "112-84-5", "UAUDZVJPLUQNMU-KTKRTIGZSA-N")
  CALL Species("butroxydim", "C_{24}H_{33}NO_4", "", &
    "138164-12-2", "ZOGDSYNXUXQGHF-XIEYBQDHSA-N")
  CALL Species("2,2-bis[4-(4-aminophenoxy)phenyl]propane", "C_{27}H_{26}N_2O_2", "", &
    "13080-86-9", "KMKWGXGSGPYISJ-UHFFFAOYSA-N")
  CALL Species("1,4-bis[(4-methylphenyl)amino]-9,10-anthracenedione", "C_{28}H_{22}N_2O_2", "D\&C Green No. 6", &
    "128-80-3", "TVRGPOFMYCMNRB-UHFFFAOYSA-N")
  CALL Species("mifepristone", "C_{29}H_{35}NO_2", "", &
    "84371-65-3", "VKHAHZOOUSRJNA-GCNJZUOMSA-N")
  CALL Species("2'-anilino-6'-[ethyl(3-methylbutyl)amino]-3'-methylspiro[isobenzofuran-1(3H),9'-[9H]xanthene]-3-one", &
    "C_{34}H_{34}N_2O_3", "", &
    "70516-41-5", "HUSIBQLZEMMTCQ-UHFFFAOYSA-N")
  ! amino acids:
  CALL Species("glutamic acid", "C_5H_9NO_4", "", &
    "617-65-2", "WHUUTDBJXJRKMK-UHFFFAOYSA-N")
  CALL Species("asparagine", "C_4H_8N_2O_3", "", &
    "70-47-3", "DCXYFEDJOCDNAF-UWTATZPHSA-N")
  CALL Species("serine", "C_3H_7NO_3", "", &
    "302-84-1", "MTCFGRXMJLQNBG-UHFFFAOYSA-N")
  CALL Species("glutamine", "C_5H_{10}N_2O_3", "", &
    "56-85-9", "ZDXPYRJPNDTMRX-GSVOUGTGSA-N")
  CALL Species("glycine", "C_2H_5NO_2", "", &
    "56-40-6", "DHMQDGOQFOQNFH-UHFFFAOYSA-N")
  CALL Species("arginine", "C_6H_{14}N_4O_2", "", &
    "74-79-3", "ODKSFYDXXFIFQN-SCSAIBSYSA-N")
  CALL Species("alanine", "C_3H_7NO_2", "", &
    "302-72-7", "QNAYBMKLOCPYGJ-UHFFFAOYSA-N")
  CALL Species("leucine", "C_6H_{13}NO_2", "", &
    "328-39-2", "ROHFNLRQFUQHCH-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Heterocycles with oxygen and nitrogen (\chem{C}, \chem{H}, \chem{O}, \chem{N})")
  CALL Species("cyanuric acid", "C_3H_3N_3O_3", "", &
    "108-80-5", "ZFSLODLOARCGLH-UHFFFAOYSA-N")
  CALL Species("isoxazole", "C_3H_3NO", "", &
    "288-14-2", "CTAPFRYPJLPFDF-UHFFFAOYSA-N")
  CALL Species("glycidamide", "C_3H_5NO_2", "", &
    "5694-00-8", "FMAZQSYXRGRESX-UHFFFAOYSA-N")
  CALL Species("cyclonite", "C_3H_6N_6O_6", "", &
    "121-82-4", "XTFIVUDBNACUBN-UHFFFAOYSA-N")
  CALL Species("5-methyl-3-(2H)-isoxazolone", "C_4H_5NO_2", "hymexazol", &
    "10004-44-1", "KGVPNLBXJKTABS-UHFFFAOYSA-N")
  CALL Species("allantoin", "C_4H_6N_4O_3", "", &
    "97-59-6", "POJWUDADGALRAB-UHFFFAOYSA-N")
  CALL Species("2-pyrrolidinone", "C_4H_7NO", "", &
    "616-45-5", "HNJBEVLQSNELDL-UHFFFAOYSA-N")
  CALL Species("4-nitrosomorpholine", "C_4H_8N_2O_2", "", &
    "59-89-2", "ZKXDGKXYMTYWTB-UHFFFAOYSA-N")
  CALL Species("N-nitrosopyrrolidine", "C_4H_8N_2O", "", &
    "930-55-2", "WNYADZVDBIBLJJ-UHFFFAOYSA-N")
  CALL Species("cyclotetramethylenetetranitramine", "C_4H_8N_8O_8", "", &
    "2691-41-0", "UZGLIIJVICEWHF-UHFFFAOYSA-N")
  CALL Species("1-oxa-4-azacyclohexane", "C_4H_9NO", "morpholine", &
    "110-91-8", "YNAVUWVOSKDBBP-UHFFFAOYSA-N")
  CALL Species("1-aziridineethanol", "C_4H_9NO", "", &
    "1072-52-2", "VYONOYYDEFODAJ-UHFFFAOYSA-N")
  CALL Species("2-ethyl-3-methoxypyrazine", "C_4N_2H_3(C_2H_5)OCH_3", "", &
    "25680-58-4", "DPCILIMHENXHQX-UHFFFAOYSA-N")
  CALL Species("2-isobutyl-3-methoxypyrazine", "C_4N_2H_3(C_4H_9)OCH_3", "", &
    "24683-00-9", "UXFSPRAGHGMRSQ-UHFFFAOYSA-N")
  CALL Species("1-nitrosopiperidine", "C_5H_{10}N_2O", "", &
    "100-75-4", "UWSDONTXWQOZFN-UHFFFAOYSA-N")
  CALL Species("butyl carbamate", "C_5H_{11}NO_2", "", &
    "592-35-8", "SKKTUOZKZKCGTB-UHFFFAOYSA-N")
  CALL Species("4-methyl-1-oxa-4-azacyclohexane", "C_5H_{11}NO", "N-methylmorpholine; 4-methylmorpholine", &
    "109-02-4", "SJRJJKPEHAURKC-UHFFFAOYSA-N")
  CALL Species("allopurinol", "C_5H_4N_4O", "", &
    "315-30-0", "OFCNXPDARWKPPY-UHFFFAOYSA-N")
  CALL Species("4-methoxypyridine", "C_5H_4NOCH_3", "", &
    "620-08-6", "XQABVLBGNWBWIV-UHFFFAOYSA-N")
  CALL Species("N-methyl-2-pyrrolidone", "C_5H_9NO", "", &
    "872-50-4", "SECXISVLQFMRJM-UHFFFAOYSA-N")
  CALL Species("5,5-dimethyl-2,4-imidazolidinedione", "C_5H_8N_2O_2", "", &
    "77-71-4", "YIROYDNZEPTFOL-UHFFFAOYSA-N")
  CALL Species("2-azacycloheptanone", "C_6H_{11}NO", "caprolactam", &
    "105-60-2", "JBKVHLHDHHXQEQ-UHFFFAOYSA-N")
  CALL Species("N-acetylpyrrolidine", "C_6H_{11}NO", "", &
    "4030-18-6", "LNWWQYYLZVZXKS-UHFFFAOYSA-N")
  CALL Species("glucosamine", "C_6H_{13}NO_5", "", &
    "3416-24-8", "MSWZFWKMSRAUBD-IVMDWMLBSA-N")
  CALL Species("N-ethylmorpholine", "C_6H_{13}NO", "", &
    "100-74-3", "HVCNXQOWACZAFN-UHFFFAOYSA-N")
  CALL Species("3-formylpyridine", "C_6H_5NO", "", &
    "500-22-1", "QJZUKDFHGGYHMC-UHFFFAOYSA-N")
  CALL Species("4-formylpyridine", "C_6H_5NO", "", &
    "872-85-5", "BGUWFUQJCDRPTL-UHFFFAOYSA-N")
  CALL Species("niacinamide", "C_6H_6N_2O", "", &
    "98-92-0", "DFPAKSUCGFBDDF-UHFFFAOYSA-N")
  CALL Species("metronidazole", "C_6H_9N_3O_3", "", &
    "443-48-1", "VAOCPAMSLUNLGC-UHFFFAOYSA-N")
  CALL Species("glydant", "C_7H_{12}N_2O_4", "1,3-dimethylol-5,5-dimethylhydantoin", &
    "6440-58-0", "WSDISUOETYTPRL-UHFFFAOYSA-N")
  CALL Species("3-quinuclidinol", "C_7H_{13}NO", "", &
    "1619-34-7", "IVLICPVPXWEGCA-UHFFFAOYSA-N")
  CALL Species("dinotefuran", "C_7H_{14}N_4O_3", "", &
    "165252-70-0", "YKBZOVFACRVRJN-UHFFFAOYSA-N")
  CALL Species("1,2,3-benzotriazin-4(1H)-one", "C_7H_5N_3O", "", &
    "90-16-4", "DMSSTTLDFWKBSX-UHFFFAOYSA-N")
  CALL Species("4-acetylpyridine", "C_7H_7NO", "", &
    "1122-54-9", "WMQUKDQWMMOHSA-UHFFFAOYSA-N")
  CALL Species("3-acetylpyridine", "C_7H_7NO", "", &
    "350-03-8", "WEGYGNROSJDEIW-UHFFFAOYSA-N")
  CALL Species("theophylline", "C_7H_8N_4O_2", "", &
    "58-55-9", "ZFXYFBGIUFBOJW-UHFFFAOYSA-N")
  CALL Species("theobromine", "C_7H_8N_4O_2", "", &
    "83-67-0", "YAPQBXQYLJRXSA-UHFFFAOYSA-N")
  CALL Species("2-pyridineethanol", "C_7H_9NO", "", &
    "103-74-2", "BXGYBSJAZFGIPX-UHFFFAOYSA-N")
  CALL Species("caffeine", "C_8H_{10}N_4O_2", "", &
    "58-08-2", "RYYVLZVUVIJVGH-UHFFFAOYSA-N")
  CALL Species("acyclovir", "C_8H_{11}N_5O_3", "", &
    "59277-89-3", "MKUXAQIIEYXACX-UHFFFAOYSA-N")
  CALL Species("2-methoxy-3-(1-methylethyl)-pyrazine", "C_8H_{12}N_2O", "", &
    "25773-40-4", "NTOPKICPEQUPPH-UHFFFAOYSA-N")
  CALL Species("simeton", "C_8H_{15}N_5O", "", &
    "673-04-1", "HKAMKLBXTLTVCN-UHFFFAOYSA-N")
  CALL Species("N-isobutylmorpholine", "C_8H_{17}NO", "", &
    "10315-98-7", "QKVSMSABRNCNRS-UHFFFAOYSA-N")
  CALL Species("phthalimide", "C_8H_5NO_2", "", &
    "85-41-6", "XKJCHHZQLQNZHY-UHFFFAOYSA-N")
  CALL Species("furazolidone", "C_8H_7N_3O_5", "", &
    "67-45-8", "PLHJDBGFXBMTGZ-UHFFFAOYSA-N")
  CALL Species("1,2,3,6-tetrahydrophthalimide", "C_8H_9NO_2", "", &
    "85-40-5", "CIFFBTOJCKSRJY-UHFFFAOYSA-N")
  CALL Species("N-nitrosonornicotine", "C_9H_{11}N_3O", "", &
    "16543-55-8", "XKABJYQDMJTNGQ-UHFFFAOYSA-N")
  CALL Species("9-[(1,3-dihydroxy-2-propoxy)methyl]guanine", "C_9H_{13}N_5O_4", "ganciclovir", &
    "82410-32-0", "IRSCQMHQWWYFCW-UHFFFAOYSA-N")
  CALL Species("atraton", "C_9H_{17}N_5O", "", &
    "1610-17-9", "PXWUKZGIHQRDHL-UHFFFAOYSA-N")
  CALL Species("4-hydroxy-2,2,6,6-tetramethyl-1-piperidinyloxy", "C_9H_{18}NO_2", "", &
    "2226-96-2", "UZFMOKQJFYMBGY-UHFFFAOYSA-N")
  CALL Species("8-hydroxyquinoline", "C_9H_7NO", "", &
    "148-24-3", "MCJGNVYPOGVAJF-UHFFFAOYSA-N")
  CALL Species("carbendazim", "C_9H_9N_3O_2", "", &
    "10605-21-7", "TWFZGCMQGLPBSX-UHFFFAOYSA-N")
  CALL Species("metamitron", "C_{10}H_{10}N_4O", "", &
    "41394-05-2", "VHCNQEUWZYOAEV-UHFFFAOYSA-N")
  CALL Species("pymetrozin", "C_{10}H_{11}N_5O", "", &
    "123312-89-0", "QHMTXANCGGJZRX-UHFFFAOYSA-N")
  CALL Species("3-oxo-N-phenylbutanamide", "C_{10}H_{11}NO_2", "acetoacetanilide", &
    "102-01-2", "DYRDKSSFIWVSNM-UHFFFAOYSA-N")
  CALL Species("2,3'-didehydro-3'-deoxythymidine (stavudine)", "C_{10}H_{12}N_2O_4", "stavudine", &
    "3056-17-5", "XNKLLVCARDGLGL-JGVFFNPUSA-N")
  CALL Species("cotinine", "C_{10}H_{12}N_2O", "", &
    "486-56-6", "UIKROCXWUNQSPJ-UHFFFAOYSA-N")
  CALL Species("4-(N-nitroso-N-methylamino)-1-(3-pyridyl)-1-butanone", "C_{10}H_{13}N_3O_2", "", &
    "64091-91-4", "FLAQQSHRLBFIEZ-UHFFFAOYSA-N")
  CALL Species("9-(4-hydroxy-3-hydroxymethylbut-1-yl)guanine", "C_{10}H_{15}N_5O_3", "penciclovir", &
    "39809-25-1", "JNTOCHDNEULJHD-UHFFFAOYSA-N")
  CALL Species("anatoxin A", "C_{10}H_{15}NO", "", &
    "64285-06-9", "SGNXVBOIDPPRJJ-UHFFFAOYSA-N")
  CALL Species("dimetilan", "C_{10}H_{16}N_4O_3", "", &
    "644-64-4", "RDBIYWSVMRVKSG-UHFFFAOYSA-N")
  CALL Species("isolan", "C_{10}H_{17}N_3O_2", "", &
    "119-38-0", "RNNBHZYEKNHLKT-UHFFFAOYSA-N")
  CALL Species("amicarbazone", "C_{10}H_{19}N_5O_2", "", &
    "129909-90-6", "ORFPWVRKFLOQHK-UHFFFAOYSA-N")
  CALL Species("prometone", "C_{10}H_{19}N_5O", "", &
    "1610-18-0", "ISEUFVQQFVOBCY-UHFFFAOYSA-N")
  CALL Species("secbumeton", "C_{10}H_{19}N_5O", "", &
    "26259-45-0", "ZJMZZNVGNSWOOM-UHFFFAOYSA-N")
  CALL Species("terbumeton", "C_{10}H_{19}N_5O", "", &
    "33693-04-8", "BCQMBFHBDZVHKU-UHFFFAOYSA-N")
  CALL Species("kinetin", "C_{10}H_9N_5O", "", &
    "525-79-1", "QANMHLXAZMSUEX-UHFFFAOYSA-N")
  CALL Species("carbadox", "C_{11}H_{10}N_4O_4", "", &
    "6804-07-5", "OVGGLBAWFMIPPY-WUXMJOGZSA-N")
  CALL Species("bendiocarb", "C_{11}H_{13}NO_4", "", &
    "22781-23-3", "XEGGRYVFLWGFHI-UHFFFAOYSA-N")
  CALL Species("2,3,5-trimethylphenol, methylcarbamate", "C_{11}H_{15}NO_2", "2,3,5-trimethacarb", &
    "2655-15-4", "NYOKZHDTNBDPOB-UHFFFAOYSA-N")
  CALL Species("butalbital", "C_{11}H_{16}N_2O_3", "", &
    "77-26-9", "UZVHFVZFNXBMQJ-UHFFFAOYSA-N")
  CALL Species("dexrazoxane", "C_{11}H_{16}N_4O_4", "", &
    "24584-09-6", "BMKDZUISNHGIBY-ZETCQYMHSA-N")
  CALL Species("pentobarbital", "C_{11}H_{18}N_2O_3", "", &
    "76-74-4", "WEXRUCMBJFQVBZ-UHFFFAOYSA-N")
  CALL Species("pirimor", "C_{11}H_{18}N_4O_2", "pirimicarb", &
    "23103-98-2", "YFGYUFNIOHWBOB-UHFFFAOYSA-N")
  CALL Species("ethirimol", "C_{11}H_{19}N_3O", "", &
    "23947-60-6", "BBXXLROWFHWFQY-UHFFFAOYSA-N")
  CALL Species("fenfuram", "C_{12}H_{11}NO_2", "", &
    "24691-80-3", "JFSPBVWPKOEZCB-UHFFFAOYSA-N")
  CALL Species("phenobarbital", "C_{12}H_{12}N_2O_3", "", &
    "50-06-6", "DDBREPKUVSBGFI-UHFFFAOYSA-N")
  CALL Species("triaziquone", "C_{12}H_{13}N_3O_2", "", &
    "68-76-8", "PXSOHRWMIRDKMP-UHFFFAOYSA-N")
  CALL Species("triallyl cyanurate", "C_{12}H_{15}N_3O_3", "", &
    "101-37-1", "BJELTSYBAHKXRW-UHFFFAOYSA-N")
  CALL Species("entecavir", "C_{12}H_{15}N_5O_3", "", &
    "142217-69-4", "QDGZDCVAUDNJFG-FXQIFTODSA-N")
  CALL Species("metaxalone", "C_{12}H_{15}NO_3", "", &
    "1665-48-1", "IMWZZHHPURKASS-UHFFFAOYSA-N")
  CALL Species("phendimetrazine", "C_{12}H_{17}NO", "", &
    "634-03-7", "MFOCDFTXLCYLKU-UHFFFAOYSA-N")
  CALL Species("hexazinone", "C_{12}H_{20}N_4O_2", "", &
    "51235-04-2", "CAWXEEYDBZRFPE-UHFFFAOYSA-N")
  CALL Species("picaridin", "C_{12}H_{23}NO_3", "", &
    "119515-38-7", "QLHULAHOXSSASE-UHFFFAOYSA-N")
  CALL Species("pyrinuron", "C_{13}H_{12}N_4O_3", "pyriminil", &
    "53558-25-1", "CLKZWXHKFXZIMA-UHFFFAOYSA-N")
  CALL Species("melatonin", "C_{13}H_{16}N_2O_2", "", &
    "73-31-4", "DRLFMBDRBRZALE-UHFFFAOYSA-N")
  CALL Species("dibenz[$b,f$]][1,4]oxazepine", "C_{13}H_9NO", "", &
    "257-07-8", "NPUACKRELIJTFM-UHFFFAOYSA-N")
  CALL Species("benomyl", "C_{14}H_{18}N_4O_3", "", &
    "17804-35-2", "RIOXQFHNBCKOKP-UHFFFAOYSA-N")
  CALL Species("trimethoprim", "C_{14}H_{18}N_4O_3", "", &
    "738-70-5", "IEDVJHCEMCRBQM-UHFFFAOYSA-N")
  CALL Species("famciclovir", "C_{14}H_{19}N_5O_4", "", &
    "104227-87-4", "GGXKWVWZWMLJEH-UHFFFAOYSA-N")
  CALL Species("furmecyclox", "C_{14}H_{21}NO_3", "", &
    "60568-05-0", "QTDRLOKFLJJHTG-UHFFFAOYSA-N")
  CALL Species("oxcarbazepine", "C_{15}H_{12}N_2O_2", "", &
    "28721-07-5", "CTRLABGOLIVAIY-UHFFFAOYSA-N")
  CALL Species("phenytoin", "C_{15}H_{12}N_2O_2", "", &
    "57-41-0", "CXOFVDLJLONNDW-UHFFFAOYSA-N")
  CALL Species("carbamazepine", "C_{15}H_{12}N_2O", "", &
    "298-46-4", "FFGPTBGBLSHEPO-UHFFFAOYSA-N")
  CALL Species("propylthiouracil", "C_{15}H_{12}N_2O", "", &
    "51-52-5", "KNAHARQHSZJURB-UHFFFAOYSA-N")
  CALL Species("ancymidol", "C_{15}H_{16}N_2O_2", "", &
    "12771-68-5", "HUTDUHSNJYTCAR-UHFFFAOYSA-N")
  CALL Species("imazethapyr", "C_{15}H_{19}N_3O_3", "", &
    "81335-77-5", "XVOKUMIPKHGGTN-UHFFFAOYSA-N")
  CALL Species("imazamox", "C_{15}H_{19}N_3O_4", "", &
    "114311-32-9", "NUPJIGQFXCQJBK-UHFFFAOYSA-N")
  CALL Species("cycloheximide", "C_{15}H_{23}NO_4", "", &
    "66-81-9", "YPHMISFOHDHNIV-FSZOTQKASA-N")
  CALL Species("oxymatrine", "C_{15}H_{24}N_2O_2", "", &
    "16837-52-8", "XVPBINOPNYFXID-LHDUFFHYSA-N")
  CALL Species("mebendazole", "C_{16}H_{13}N_3O_3", "", &
    "31431-39-7", "OPXLLQIJSORQAM-UHFFFAOYSA-N")
  CALL Species("fenpyroximate", "C_{16}H_{20}N_2O_3", "", &
    "134098-61-6", "YYJNOYZRYGDPNH-MFKUBSTISA-N")
  CALL Species("imazamethabenz-methyl", "C_{16}H_{20}N_2O_3", "", &
    "81405-85-8", "FFCCBBNQPIMUJI-UHFFFAOYSA-N")
  CALL Species("nifedipine", "C_{17}H_{18}N_2O_6", "", &
    "21829-25-4", "HYIMSNHJOBLJNT-UHFFFAOYSA-N")
  CALL Species("oxymorphone", "C_{17}H_{19}NO_4", "", &
    "76-41-5", "UQCNKQCJZOAFTQ-UHFFFAOYSA-N")
  CALL Species("desomorphine", "C_{17}H_{21}NO_2", "", &
    "427-00-9", "LNNWVNGFPYWNQE-UHFFFAOYSA-N")
  CALL Species("cocaine", "C_{17}H_{21}NO_4", "", &
    "50-36-2", "ZPUCINDJVBIVPJ-PFSRBDOWSA-N")
  CALL Species("N-(2-ethylhexyl)-5-norbornene-2,3-dicarboximide", "C_{17}H_{25}NO_2", "", &
    "113-48-4", "WLLGXSLBOPFWQV-UHFFFAOYSA-N")
  CALL Species("quinophthalone", "C_{18}H_{11}NO_2", "", &
    "8003-22-3", "IZMJMCDDWKSTTK-UHFFFAOYSA-N")
  CALL Species("tetramethrin", "C_{19}H_{25}NO_4", "", &
    "7696-12-0", "CXBMCYHAMVGWJQ-UHFFFAOYSA-N")
  CALL Species("isoxaben", "C_{19}H_{25}NO_4", "", &
    "82558-50-7", "PMHURSZHKKJGBM-UHFFFAOYSA-N")
  CALL Species("alfuzosin", "C_{19}H_{27}N_5O_4", "", &
    "81403-80-7", "WNMJYKCGWZFFKR-UHFFFAOYSA-N")
  CALL Species("pyriproxyfen", "C_{20}H_{19}NO_3", "", &
    "95737-68-1", "NHDHVHZZCFYRSB-UHFFFAOYSA-N")
  CALL Species("papaverine", "C_{20}H_{21}NO_4", "", &
    "58-74-2", "XQYZDYMELSJDRZ-UHFFFAOYSA-N")
  CALL Species("fenazaquin", "C_{20}H_{22}N_2O", "", &
    "120928-09-8", "DMYHGDXADUDKCQ-UHFFFAOYSA-N")
  CALL Species("bitertanol", "C_{20}H_{23}N_3O_2", "", &
    "55179-31-2", "VGPIBGGRCVEHQZ-UHFFFAOYSA-N")
  CALL Species("bitertanol diastereoisomer a", "C_{20}H_{23}N_3O_2", "", &
    "70585-36-3", "VGPIBGGRCVEHQZ-OALUTQOASA-N")
  CALL Species("bitertanol diastereoisomer b", "C_{20}H_{23}N_3O_2", "", &
    "70585-38-5", "VGPIBGGRCVEHQZ-RBUKOAKNSA-N")
  CALL Species("naltrexone", "C_{20}H_{23}NO_4", "", &
    "16590-41-3", "DQCKKXVULJGBQN-UHFFFAOYSA-N")
  CALL Species("$D$-lysergic acid N,N-diethylamide", "C_{20}H_{25}N_3O", "LSD", &
    "50-37-3", "VAYOSLLFUXYJDT-UHFFFAOYSA-N")
  CALL Species("ibogaine", "C_{20}H_{26}N_2O", "", &
    "83-74-9", "HSIBGVUMFOSJPD-UHFFFAOYSA-N")
  CALL Species("fenpropimorph", "C_{20}H_{33}NO", "", &
    "67564-91-4", "RYAUSSKQMZRMAI-ALOPSCKCSA-N")
  CALL Species("strychnine", "C_{21}H_{22}N_2O_2", "", &
    "57-24-9", "QMGVPVSNSZLJIA-UHFFFAOYSA-N")
  CALL Species("nalmefene", "C_{21}H_{25}NO_3", "", &
    "55096-26-9", "WJBLNOPPDWQMCH-UHFFFAOYSA-N")
  CALL Species("benztropine", "C_{21}H_{25}NO", "", &
    "86-13-5", "GIJXKZJWITVLHI-UHFFFAOYSA-N")
  CALL Species("stanozolol", "C_{21}H_{32}N_2O", "", &
    "10418-03-8", "LKAJKIOFIWVMDJ-KIWJEFSTSA-N")
  CALL Species("azoxystrobin", "C_{22}H_{17}N_3O_5", "", &
    "131860-33-8", "WFDXOXNFNRHQEC-GHRIWEEISA-N")
  CALL Species("famoxadone", "C_{22}H_{18}N_2O_4", "", &
    "131807-57-3", "PCCSBWNGDMYFCW-UHFFFAOYSA-N")
  CALL Species("tadalafil", "C_{22}H_{19}N_3O_4", "", &
    "171596-29-5", "WOXKDUGGOYFFRN-IIBYNOLFSA-N")
  CALL Species("bisacodyl", "C_{22}H_{19}NO_4", "", &
    "603-50-9", "KHOITXIGCFIULA-UHFFFAOYSA-N")
  CALL Species("fentanyl", "C_{22}H_{28}N_2O", "", &
    "437-38-7", "PJMPHNIQZUBGLI-UHFFFAOYSA-N")
  CALL Species("4-(triphenylmethyl)morpholine", "C_{23}H_{23}NO", "trifenmorph", &
    "1420-06-0", "ZJMLMBICUVVJDX-UHFFFAOYSA-N")
  CALL Species("brucine", "C_{23}H_{26}N_2O_4", "", &
    "357-57-3", "RRKTZKIUPZVBMF-UHFFFAOYSA-N")
  CALL Species("mycophenolate mofetil", "C_{23}H_{31}NO_7", "", &
    "128794-94-5", "RTGDFNSFWBGLEC-SYZQJQIISA-N")
  CALL Species("pinoxaden", "C_{23}H_{32}N_2O_4", "", &
    "243973-20-8", "MGOHCFMYLBAPRN-UHFFFAOYSA-N")
  CALL Species("valsartan", "C_{24}H_{29}N_5O_3", "", &
    "137862-53-4", "ACWBQPMHZXGDFX-QFIPXVFZSA-N")
  CALL Species("donepezil", "C_{24}H_{29}NO_3", "", &
    "120014-06-4", "ADEBPBSSDYVVLD-UHFFFAOYSA-N")
  CALL Species("2-[4-[4-(2-benzoxazolyl)styryl]phenyl]-5-methylbenzoxazole", "C_{29}H_{20}N_2O_2", "", &
    "5242-49-9", "SOTPOQQKAUOHRO-BQYQJAHWSA-N")
  CALL Species("2-(2H-benzotriazol-2-yl)-4,6-bis(1-methyl-1-phenylethyl)phenol", "C_{30}H_{29}N_3O", "", &
    "70321-86-7", "OLFNXLXEGXRUOI-UHFFFAOYSA-N")
  CALL Species("norbormide", "C_{33}H_{25}N_3O_3", "", &
    "991-42-4", "DNTHHIVFNQZZRD-UHFFFAOYSA-N")
  CALL Species("reserpine", "C_{33}H_{40}N_2O_9", "", &
    "50-55-5", "QEVHRUUCFGRFIF-UHFFFAOYSA-N")
  CALL Species("telaprevir", "C_{36}H_{53}N_7O_6", "", &
    "402957-28-2", "BBAWEDCPNXPBQM-GDEBMMAJSA-N")
  CALL Species("lopinavir", "C_{37}H_{48}N_4O_5", "", &
    "192725-17-0", "KJHKTHWMRKYKJE-WRHCQWCJSA-N")
  CALL Species("atazanavir", "C_{38}H_{52}N_6O_7", "", &
    "198904-31-3", "AXRYRYVKAWYZBR-GASGPIRDSA-N")
  CALL Species("tylosin", "C_{46}H_{77}NO_{17}", "", &
    "1401-69-0", "WBPYTXDJUQJLPQ-SNQVITFCSA-N")
  CALL Species("nystatin", "C_{47}H_{75}NO_{17}", "", &
    "1400-61-9", "VQOXZBDYSJBXMA-QFHUWGMOSA-N")
  CALL Species("1,3,5-tris(3,5-di-{\it tert}-butyl-4-hydroxybenzyl)-1,3,5-triazinane-2,4,6-trione", "C_{48}H_{69}N_3O_6", "", &
    "27676-62-6", "VNQNXQYZMPJLQX-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Nitrates (\chem{RONO_2})")
  CALL Species("urea nitrate", "CH_5N_3O_4", "", &
    "124-47-0", "AYTGUZPQPXGYFS-UHFFFAOYSA-N")
  CALL Species("methyl nitrate", "CH_3ONO_2", "", &
    "598-58-3", "LRMHVVPPGGOAJQ-UHFFFAOYSA-N")
  CALL Species("ethyl nitrate", "C_2H_5ONO_2", "", &
    "625-58-1", "IDNUEBSJWINEMI-UHFFFAOYSA-N")
  CALL Species("1-propyl nitrate", "C_3H_7ONO_2", "", &
    "627-13-4", "JNTOKFNBDFMTIV-UHFFFAOYSA-N")
  CALL Species("2-propyl nitrate", "C_3H_7ONO_2", "isopropyl nitrate", &
    "1712-64-7", "GAPFWGOSHOCNBM-UHFFFAOYSA-N")
  CALL Species("1-butyl nitrate", "C_4H_9ONO_2", "", &
    "928-45-0", "QQHZPQUHCAKSOL-UHFFFAOYSA-N")
  CALL Species("2-butyl nitrate", "C_4H_9ONO_2", "", &
    "924-52-7", "DYONNFFVDNILGI-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-nitropropane", "C_4H_9ONO_2", "isobutyl nitrate", &
    "543-29-3", "LNNXFUZKZLXPOF-UHFFFAOYSA-N")
  CALL Species("1-pentyl nitrate", "C_5H_{11}ONO_2", "amyl nitrate", &
    "1002-16-0", "HSNWZBCBUUSSQD-UHFFFAOYSA-N")
  CALL Species("2-pentyl nitrate", "C_5H_{11}ONO_2", "", &
    "21981-48-6", "RWRBSYOTDDOXKC-UHFFFAOYSA-N")
  CALL Species("3-pentyl nitrate", "C_5H_{13}ONO_2", "", &
    "82944-59-0", "WQZKKVJFBZPJSU-UHFFFAOYSA-N")
  CALL Species("3-methyl-1-butanol nitrate", "C_5H_{11}ONO_2", "isoamyl nitrate", &
    "543-87-3", "NTHGIYFSMNNHSC-UHFFFAOYSA-N")
  CALL Species("pentaerythritol tetranitrate", "C_5H_8N_4O_{12}", "", &
    "78-11-5", "TZRXHJWUDPFEEY-UHFFFAOYSA-N")
  CALL Species("1-hexyl nitrate", "C_6H_{13}ONO_2", "", &
    "20633-11-8", "AGDYNDJUZRMYRG-UHFFFAOYSA-N")
  CALL Species("2-nitrooxyethanol", "HOC_2H_4ONO_2", "", &
    "16051-48-2", "HTKIMWYSDZQQBP-UHFFFAOYSA-N")
  CALL Species("1-nitrooxy-2-propanol", "C_3H_7O_4N", "", &
    "20266-65-3", "OMDFJTSKBNDDRM-UHFFFAOYSA-N")
  CALL Species("2-nitrooxy-1-propanol", "C_3H_7O_4N", "", &
    "20266-74-4", "HGCMMKIIGJXXMW-UHFFFAOYSA-N")
  CALL Species("1-nitrooxy-2-butanol", "C_4H_9O_4N", "", &
    "147794-11-4", "KNUQGVIXAYDSOX-UHFFFAOYSA-N")
  CALL Species("2-nitrooxy-1-butanol", "C_4H_9O_4N", "", &
    "147794-12-5", "YXMNEYKMHSBVTD-UHFFFAOYSA-N")
  CALL Species("2-nitrooxy-3-butanol", "C_4H_9O_4N", "", &
    "147794-10-3", "CGFCSKMZZXPWEY-UHFFFAOYSA-N")
  CALL Species("3-nitrooxy-1-butanol", "C_4H_9O_4N", "", &
    "_CAS-52", "inchikey")
  CALL Species("4-nitrooxy-1-butanol", "C_4H_9O_4N", "", &
    "_CAS-53", "inchikey")
  CALL Species("4-nitrooxy-2-butanol", "C_4H_9O_4N", "", &
    "_CAS-51", "inchikey")
  CALL Species("4-nitrooxy-1-pentanol", "C_5H_{11}O_4N", "", &
    "_CAS-55", "inchikey")
  CALL Species("5-nitrooxy-2-pentanol", "C_5H_{11}O_4N", "", &
    "_CAS-54", "inchikey")
  CALL Species("1-nitrooxy-2-propanone", "CH_3COCH_2ONO_2", "nitrooxyacetone", &
    "6745-71-7", "ISWXYJQANHQYSR-UHFFFAOYSA-N")
  ! dinitrates and trinitrates:
  CALL Species("1,2-ethanediol dinitrate", "O_3NCH_2CH_2ONO_2", "1,2-ethane dinitrate", &
    "628-96-6", "UQXKXGWGFRWILX-UHFFFAOYSA-N")
  CALL Species("1,2-propanediol dinitrate", "C_3H_6(ONO_2)_2", "1,2-propane dinitrate", &
    "6423-43-4", "PSXCGTLGGVDWFU-UHFFFAOYSA-N")
  CALL Species("1,3-propanediol dinitrate", "C_3H_6N_2O_6", "", &
    "3457-90-7", "KOSAMXZBGUIISK-UHFFFAOYSA-N")
  CALL Species("1,2,3-propanetriol trinitrate", "C_3H_5N_3O_9", "nitroglycerin", &
    "55-63-0", "SNIOPGDIGTZGOP-UHFFFAOYSA-N")
  CALL Species("1,2-butanediol dinitrate", "C_4H_8N_2O_6", "", &
    "20820-41-1", "CTISQZXTUUHJNC-UHFFFAOYSA-N")
  CALL Species("1,3-butanediol dinitrate", "C_4H_8N_2O_6", "", &
    "6423-44-5", "DGFBULNMARLFTH-UHFFFAOYSA-N")
  CALL Species("1,4-butanediol dinitrate", "C_4H_8N_2O_6", "", &
    "3457-91-8", "WSTUOPKRORLDCX-DTWKUNHWSA-N")
  CALL Species("2,3-butanediol dinitrate", "C_4H_8N_2O_6", "", &
    "6423-45-6", "RVDDYBGRQLZMSB-UHFFFAOYSA-N")
  CALL Species("1,2-pentanediol dinitrate", "C_5H_{10}N_2O_6", "", &
    "89365-05-9", "MZWHVGLDAWPHHW-UHFFFAOYSA-N")
  CALL Species("1,4-pentanediol dinitrate", "C_5H_{10}N_2O_6", "", &
    "25385-63-1", "IUTIKUKYGRINOD-UHFFFAOYSA-N")
  CALL Species("1,5-pentanediol dinitrate", "C_5H_{10}N_2O_6", "", &
    "3457-92-9", "MIYIEPHJPVBSEV-UHFFFAOYSA-N")
  CALL Species("(2R,4S)-2,4-pentanediol dinitrate", "C_5H_{10}N_2O_6", "{\it cis}-2,4-pentanediol dinitrate", &
    "208252-05-5", "inchikey")
  CALL Species("(2R,4R)-2,4-pentanediol dinitrate", "C_5H_{10}N_2O_6", "{\it trans}-2,4-pentanediol dinitrate", &
    "208252-04-4", "inchikey")
  CALL Species("1,2-hexanediol dinitrate", "C_6H_{12}N_2O_6", "", &
    "110539-07-6", "UJKJGCZXZPXTGS-UHFFFAOYSA-N")
  CALL Species("1,5-hexanediol dinitrate", "C_6H_{12}N_2O_6", "", &
    "206443-83-6", "PGDWEAOSOZNKFU-UHFFFAOYSA-N")
  CALL Species("1,6-hexanediol dinitrate", "C_6H_{12}N_2O_6", "", &
    "3457-93-0", "GCVAYIWGKFFWEU-UHFFFAOYSA-N")
  CALL Species("2,5-hexanediol dinitrate", "C_6H_{12}N_2O_6", "", &
    "99115-63-6", "ISSLCMSTXXUOEU-UHFFFAOYSA-N")
  CALL Species("(1R,2S)-1,2-cyclohexanediol dinitrate", "C_6H_{10}N_2O_6", "{\it cis}-1,2-cyclohexanediol dinitrate", &
    "32342-28-2", "inchikey")
  CALL Species("(1R,2R)-1,2-cyclohexanediol dinitrate", "C_6H_{10}N_2O_6", "{\it trans}-1,2-cyclohexanediol dinitrate", &
    "32342-29-3", "inchikey")
  CALL Species("(1R,3S)-1,3-cyclohexanediol dinitrate", "C_6H_{10}N_2O_6", "{\it cis}-1,3-cyclohexanediol dinitrate", &
    "170994-36-2", "inchikey")
  CALL Species("(1R,3R)-1,3-cyclohexanediol dinitrate", "C_6H_{10}N_2O_6", "{\it trans}-1,3-cyclohexanediol dinitrate", &
    "170994-41-9", "inchikey")
  CALL Species("1,7-heptanediol dinitrate", "C_7H_{14}N_2O_6", "", &
    "3457-94-1", "KIERETFMVSIXIJ-UHFFFAOYSA-N")
  CALL Species("(1R,2R)-1,2-cycloheptanediol dinitrate", "C_7H_{12}N_2O_6", "{\it trans}-1,2-cycloheptanediol dinitrate", &
    "208252-06-6", "inchikey")
  CALL Species("1,2-octanediol dinitrate", "C_8H_{16}N_2O_6", "", &
    "121222-48-8", "RLNKMZWMCSTIEM-UHFFFAOYSA-N")
  CALL Species("1,8-octanediol dinitrate", "C_8H_{16}N_2O_6", "", &
    "3457-95-2", "BVIHOKFRPSZJEI-UHFFFAOYSA-N")
  CALL Species("1,2-decanediol dinitrate", "C_{10}H_{20}N_2O_6", "", &
    "60123-40-2", "KKNGVXOJDIUADE-UHFFFAOYSA-N")
  CALL Species("1,10-decanediol dinitrate", "C_{10}H_{20}N_2O_6", "", &
    "3457-97-4", "RHUZOYMELURURD-UHFFFAOYSA-N")
  CALL Species("diethylene glycol dinitrate", "C_4H_8N_2O_7", "", &
    "693-21-0", "LYAGTVMJGHTIDH-UHFFFAOYSA-N")
  ! peroxy nitrates:
  CALL Species("peroxyacetyl nitrate", "CH_3COOONO_2", "PAN", &
    "2278-22-0", "VGQXTTSVLMQFHM-UHFFFAOYSA-N")
  CALL Species("peroxypropionyl nitrate", "C_2H_5COOONO_2", "PPN", &
    "5796-89-4", "TXINBPKSWKFMNB-UHFFFAOYSA-N")
  CALL Species("nitro butaneperoxoate", "C_3H_7COOONO_2", "PnBN", &
    "27746-48-1", "HZUMMZVMNQSPFF-UHFFFAOYSA-N")
  CALL Species("peroxy-2-propenoyl nitrate", "CH_2C(CH_3)COOONO_2", "peroxymethacryloyl nitrate; MPAN", &
    "88181-75-3", "LLZWPQFQEBKRLX-UHFFFAOYSA-N")
  CALL Species("peroxy-isobutyryl nitrate", "C_3H_7COOONO_2", "PiBN", &
    "65424-60-4", "BDNFHGUXBRZLRQ-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Nitriles with oxygen (\chem{C}, \chem{H}, \chem{O}, \chem{N})")
  CALL Species("isocyanic acid", "HNCO", "", &
    "75-13-8", "OWIKHYCFFJSOEH-UHFFFAOYSA-N")
  CALL Species("hydroxyacetonitrile", "C_2H_3NO", "glycolonitrile", &
    "107-16-4", "LTYRAPJYLUPLCI-UHFFFAOYSA-N")
  CALL Species("2-hydroxypropanenitrile", "C_3H_5NO", "", &
    "78-97-7", "WOFDVDFSGLBFAC-UHFFFAOYSA-N")
  CALL Species("3-hydroxypropanenitrile", "C_3H_5NO", "ethylene cyanohydrin", &
    "109-78-4", "WSGYTJNNHPZFKR-UHFFFAOYSA-N")
  CALL Species("cyanoethanoic acid, ethyl ester", "C_5H_7NO_2", "", &
    "105-56-6", "ZIUSEGSNTOUIPT-UHFFFAOYSA-N")
  CALL Species("2-hydroxybenzoic acid nitrile", "C_7H_5NO", "2-cyanophenol", &
    "611-20-1", "CHZCERSEMVWNHL-UHFFFAOYSA-N")
  CALL Species("3-hydroxybenzoic acid nitrile", "C_7H_5NO", "3-cyanophenol", &
    "873-62-1", "SGHBRHKBCLLVCI-UHFFFAOYSA-N")
  CALL Species("4-hydroxybenzoic acid nitrile", "C_7H_5NO", "4-cyanophenol", &
    "767-00-0", "CVNOWLNNPYYEOH-UHFFFAOYSA-N")
  CALL Species("1,1',1''-nitrilotris-2-propanol", "C_9H_{21}NO_3", "triisopropanolamine", &
    "122-20-3", "SLINHMUFWFWBMU-UHFFFAOYSA-N")
  CALL Species("cyometrinil", "C_{10}H_7N_3O", "", &
    "78370-21-5", "PYKLUAIDKVVEOS-JLHYYAGUSA-N")
  CALL Species("fenpropathrin", "C_{22}H_{23}NO_3", "", &
    "39515-41-8", "XQUXKZZNEFRCAW-UHFFFAOYSA-N") ! other CAS: 64257-84-7
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Nitro compounds (\chem{RNO_2})")
  ! aliphatic:
  CALL Species("nitromethane", "CH_3NO_2", "", &
    "75-52-5", "LYGJENNIWJXYER-UHFFFAOYSA-N")
  CALL Species("nitromethane-13C", "CH_3NO_2", "", &
    "32480-00-5", "LYGJENNIWJXYER-OUBTZVSYSA-N")
  CALL Species("nitroethane", "C_2H_5NO_2", "", &
    "79-24-3", "MCSAJNNLRCFZED-UHFFFAOYSA-N")
  CALL Species("1-nitropropane", "C_3H_7NO_2", "", &
    "108-03-2", "JSZOAYXJRCEYSX-UHFFFAOYSA-N")
  CALL Species("2-nitropropane", "CH_3CH(NO_2)CH_3", "", &
    "79-46-9", "FGLBSLMDCBOPQK-UHFFFAOYSA-N")
  CALL Species("1-nitrobutane", "C_4H_9NO_2", "", &
    "627-05-4", "NALZTFARIYUCBY-UHFFFAOYSA-N")
  CALL Species("{\it tert}-butylnitrite", "C_4H_9NO_2", "", &
    "540-80-7", "IOGXOCVLYRDXLW-UHFFFAOYSA-N")
  CALL Species("1-nitropentane", "C_5H_{11}NO_2", "", &
    "628-05-7", "BVALZCVRLDMXOQ-UHFFFAOYSA-N")
  CALL Species("tris(hydroxymethyl)ethane trinitrate", "C_5H_9N_3O_9", "", &
    "3032-55-1", "IPPYBNCEPZCLNI-UHFFFAOYSA-N")
  CALL Species("1-nitrohexane", "C_6H_{13}NO_2", "", &
    "646-14-0", "FEYJIFXFOHFGCC-UHFFFAOYSA-N")
  CALL Species("nitrocyclohexane", "C_6H_{11}NO_2", "", &
    "1122-60-7", "NJNQUTDUIPVROZ-UHFFFAOYSA-N")
  CALL Species("2-nitroethanol", "C_2H_5NO_3", "", &
    "625-48-9", "KIPMDPDAFINLIV-UHFFFAOYSA-N")
  CALL Species("1-nitro-2-propanol", "C_3H_7NO_3", "", &
    "3156-73-8", "PFNCKQIYLAVYJF-UHFFFAOYSA-N")
  CALL Species("2-nitro-1-propanol", "C_3H_7NO_3", "", &
    "2902-96-7", "PCNWBUOSTLGPMI-UHFFFAOYSA-N")
  CALL Species("1-nitro-2-butanol", "C_4H_9NO_3", "", &
    "3156-74-9", "FMEFHKJRIGHSLB-UHFFFAOYSA-N")
  CALL Species("2-nitro-1-butanol", "C_4H_9NO_3", "", &
    "609-31-4", "MHIHRIPETCJEMQ-UHFFFAOYSA-N")
  CALL Species("3-nitro-2-butanol", "C_4H_9NO_3", "", &
    "6270-16-2", "OJVOGABFNZDOOZ-UHFFFAOYSA-N")
  CALL Species("nitroguanidine", "CH_4N_4O_2", "", &
    "556-88-7", "IDCPFAYURAQKDZ-UHFFFAOYSA-N")
  CALL Species("tetranitromethane", "CN_4O_8", "", &
    "509-14-8", "NYTOUQBROMCLBJ-UHFFFAOYSA-N")
  CALL Species("N-methyl-N'-nitro-N-nitrosoguanidine", "C_2H_5N_5O_3", "", &
    "70-25-7", "VZUNGTLZRAYYDE-UHFFFAOYSA-N")
  CALL Species("2-(hydroxymethyl)-2-nitro-1,3-propanediol", "C_4H_9NO_5", "", &
    "126-11-4", "OLQJQHSAWMFDJE-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("nitrobenzene", "C_6H_5NO_2", "", &
    "98-95-3", "LQNUZADURLCDLV-UHFFFAOYSA-N")
  CALL Species("nitrobenzene-d5", "C_6D_5NO_2", "", &
    "4165-60-0", "LQNUZADURLCDLV-RALIUCGRSA-N")
  CALL Species("2-nitrotoluene", "C_6H_4(NO_2)CH_3", "", &
    "88-72-2", "PLAZTCDQAHEYBI-UHFFFAOYSA-N")
  CALL Species("3-nitrotoluene", "C_6H_4(NO_2)CH_3", "", &
    "99-08-1", "QZYHIOPPLUPUJF-UHFFFAOYSA-N")
  CALL Species("4-nitrotoluene", "C_6H_4(NO_2)CH_3", "", &
    "99-99-0", "ZPTVNYMJQHSSEA-UHFFFAOYSA-N")
  CALL Species("1,2-dinitrobenzene", "C_6H_4N_2O_4", "", &
    "528-29-0", "IZUKQUVSCNEFMJ-UHFFFAOYSA-N")
  CALL Species("1,3-dinitrobenzene", "C_6H_4N_2O_4", "", &
    "99-65-0", "WDCYWAQPCXBPJA-UHFFFAOYSA-N")
  CALL Species("1,4-dinitrobenzene", "C_6H_4N_2O_4", "", &
    "100-25-4", "FYFDQJRXFWGIBS-UHFFFAOYSA-N")
  CALL Species("1,3,5-trinitrobenzene", "C_6H_3N_3O_6", "", &
    "99-35-4", "UATJOMSPNYCXIX-UHFFFAOYSA-N")
  CALL Species("2-nitrobenzenamine", "C_6H_6N_2O_2", "2-nitroaniline", &
    "88-74-4", "DPJCXCZTLWNFOH-UHFFFAOYSA-N")
  CALL Species("3-nitrobenzenamine", "C_6H_6N_2O_2", "3-nitroaniline", &
    "99-09-2", "XJCVRTZCHMZPBD-UHFFFAOYSA-N")
  CALL Species("4-nitrobenzenamine", "C_6H_6N_2O_2", "4-nitroaniline", &
    "100-01-6", "TYMLOMAKGOJONV-UHFFFAOYSA-N")
  CALL Species("2,4-dinitrobenzenamine", "C_6H_5N_3O_4", "", &
    "97-02-9", "LXQOQPGNCGEELI-UHFFFAOYSA-N")
  CALL Species("1-methyl-2,3-dinitrobenzene", "C_7H_6N_2O_4", "2,3-dinitrotoluene; 2,3-DNT", &
    "602-01-7", "DYSXLQBUUOPLBB-UHFFFAOYSA-N")
  CALL Species("1-methyl-2,4-dinitrobenzene", "C_7H_6N_2O_4", "2,4-dinitrotoluene; 2,4-DNT", &
    "121-14-2", "RMBFBMJGBANMMK-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,4-dinitrobenzene", "C_7H_6N_2O_4", "2,5-dinitrotoluene; 2,5-DNT", &
    "619-15-8", "KZBOXYKTSUUBTO-UHFFFAOYSA-N")
  CALL Species("2-methyl-1,3-dinitrobenzene", "C_7H_6N_2O_4", "2,6-dinitrotoluene; 2,6-DNT", &
    "606-20-2", "XTRDKALNCIHHNI-UHFFFAOYSA-N")
  CALL Species("4-methyl-1,2-dinitrobenzene", "C_7H_6N_2O_4", "3,4-dinitrotoluene; 3,4-DNT", &
    "610-39-9", "INYDMNPNDHRJQJ-UHFFFAOYSA-N")
  CALL Species("1-methyl-2,4,6-trinitrobenzene", "C_7H_5N_3O_6", "2,4,6-trinitrotoluene; TNT", &
    "118-96-7", "SPSSULHKWOKEEL-UHFFFAOYSA-N")
  CALL Species("2,4,6-trinitro-1,3-dimethyl-5-{\it tert}-butylbenzene", "C_{12}H_{15}N_3O_6", "musk xylene", &
    "81-15-2", "XMWRWTSZNLOZFN-UHFFFAOYSA-N")
  CALL Species("2-nitrophenol", "HOC_6H_4(NO_2)", "", &
    "88-75-5", "IQUPABOKLQSFBK-UHFFFAOYSA-N")
  CALL Species("3-nitrophenol", "HOC_6H_4(NO_2)", "", &
    "554-84-7", "RTZZCYNQPHTPPL-UHFFFAOYSA-N")
  CALL Species("4-nitrophenol", "HOC_6H_4(NO_2)", "", &
    "100-02-7", "BTJIUGUIPKRLHP-UHFFFAOYSA-N")
  CALL Species("3-methyl-2-nitrophenol", "C_7H_7NO_3", "", &
    "4920-77-8", "QIORDSKCCHRSSD-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-nitrophenol", "C_7H_7NO_3", "", &
    "119-33-5", "SYDNSSSQVSOXTN-UHFFFAOYSA-N")
  CALL Species("5-methyl-2-nitrophenol", "C_7H_7NO_3", "", &
    "700-38-9", "NQXUSSVLFOBRSE-UHFFFAOYSA-N")
  CALL Species("6-methyl-2-nitrophenol", "C_7H_7NO_3", "", &
    "13073-29-5", "AQDKZPFDOWHRDZ-UHFFFAOYSA-N")
  CALL Species("3-methyl-4-nitrophenol", "C_7H_7NO_3", "", &
    "2581-34-2", "PIIZYNQECPTVEO-UHFFFAOYSA-N")
  CALL Species("4-methoxy-2-nitrophenol", "C_7H_7NO_4", "", &
    "1568-70-3", "YBUGOACXDPDUIR-UHFFFAOYSA-N")
  CALL Species("4-hydroxy-3-nitro-benzaldehyde", "C_7H_5NO_4", "", &
    "3011-34-5", "YTHJCZRFJGXPTL-UHFFFAOYSA-N")
  CALL Species("2,4-dinitrophenol", "C_6H_4N_2O_5", "", &
    "51-28-5", "UFBJCMHMOXMLKC-UHFFFAOYSA-N") ! other CAS: 1326-82-5
  CALL Species("2,5-dinitrophenol", "C_6H_4N_2O_5", "", &
    "329-71-5", "UWEZBKLLMKVIPI-UHFFFAOYSA-N")
  CALL Species("picramic acid", "C_6H_5N_3O_5", "4,6-dinitro-2-aminophenol", &
    "96-91-3", "QXYMVUZOGFVPGH-UHFFFAOYSA-N")
  CALL Species("4-amino-2-nitrophenol", "C_6H_6N_2O_3", "", &
    "119-34-6", "WHODQVWERNSQEO-UHFFFAOYSA-N")
  CALL Species("2-amino-5-nitrophenol", "C_6H_6N_2O_3", "", &
    "121-88-0", "DOPJTDJKZNWLRB-UHFFFAOYSA-N")
  CALL Species("2-amino-4-nitrophenol", "C_6H_6N_2O_3", "", &
    "99-57-0", "VLZVIIYRNMWPSN-UHFFFAOYSA-N")
  CALL Species("4-nitro-$o$-phenylenediamine", "C_6H_7N_3O_2", "4-nitro-1,2-diaminobenzene", &
    "99-56-9", "RAUWPNXIALNKQM-UHFFFAOYSA-N")
  CALL Species("4-nitrobenzene-1,3-diamine", "C_6H_7N_3O_2", "", &
    "5131-58-8", "DPIZKMGPXNXSGL-UHFFFAOYSA-N")
  CALL Species("2-nitro-1,4-benzenediamine", "C_6H_7N_3O_2", "", &
    "5307-14-2", "HVHNMNGARPCGGD-UHFFFAOYSA-N")
  CALL Species("4-methyl-2,6-dinitrophenol", "C_7H_6N_2O_5", "2,6-dinitro-$p$-cresol", &
    "609-93-8", "HOYRZHJJAHRMLL-UHFFFAOYSA-N")
  CALL Species("2-methyl-4,6-dinitrophenol", "C_7H_6N_2O_5", "6-methyl-2,4-dinitrophenol; 4,6-dinitro-$o$-cresol; DNOC", &
    "534-52-1", "ZXVONLUNISGICL-UHFFFAOYSA-N")
  CALL Species("2,4,6-trinitrobenzoic acid", "C_7H_3N_3O_8", "", &
    "129-66-8", "KAQBNBSMMVTKRN-UHFFFAOYSA-N")
  CALL Species("5-nitrobenzimidazole", "C_7H_5N_3O_2", "", &
    "94-52-0", "XPAZGLFMMUODDK-UHFFFAOYSA-N")
  CALL Species("4-nitrobenzoic acid", "C_7H_5NO_4", "", &
    "62-23-7", "OTLNPYWUJOZPPA-UHFFFAOYSA-N")
  CALL Species("dinitrotoluene", "C_7H_6N_2O_4", "", &
    "25321-14-6", "MOSFIJXAXDLOML-UHFFFAOYSA-N")
  CALL Species("1-methyl-3,5-dinitrobenzene", "C_7H_6N_2O_4", "", &
    "618-85-9", "RUIFULUFLANOCI-UHFFFAOYSA-N")
  CALL Species("1-methoxy-2-nitrobenzene", "C_7H_7NO_3", "", &
    "91-23-6", "CFBYEGUGFPZCNF-UHFFFAOYSA-N")
  CALL Species("2-methyl-5-nitrobenzenamine", "C_7H_8N_2O_2", "5-nitro-$o$-toluidine", &
    "99-55-8", "DSBIJCMXAIKKKI-UHFFFAOYSA-N")
  CALL Species("2-methoxy-5-nitrobenzenamine", "C_7H_8N_2O_3", "5-nitro-$o$-anisidine", &
    "99-59-2", "NIPDVSLAMPAWTP-UHFFFAOYSA-N")
  CALL Species("(2-nitroethenyl)benzene", "C_8H_7NO_2", "", &
    "102-96-5", "PIAOLBVUVDXHHL-UHFFFAOYSA-N")
  CALL Species("1,2-dimethyl-3-nitrobenzene", "C_8H_9NO_2", "", &
    "83-41-0", "FVHAWXWFPBPFOS-UHFFFAOYSA-N")
  CALL Species("1,2-dimethyl-4-nitrobenzene", "C_8H_9NO_2", "", &
    "99-51-4", "HFZKOYWDLDYELC-UHFFFAOYSA-N")
  CALL Species("1,4-dimethyl-2-nitrobenzene", "C_8H_9NO_2", "", &
    "89-58-7", "BSFHJMGROOFSRA-UHFFFAOYSA-N")
  CALL Species("2,4-dimethyl-1-nitrobenzene", "C_8H_9NO_2", "", &
    "89-87-2", "BBUPBICWUURTNP-UHFFFAOYSA-N")
  CALL Species("4-methyl-2-nitroanisole", "C_8H_9NO_3", "", &
    "119-10-8", "LGNMURXRPLMVJI-UHFFFAOYSA-N")
  CALL Species("1-(1-methylethyl)-4-nitrobenzene", "C_9H_{11}NO_2", "", &
    "1817-47-6", "JXMYUMNAEKRMIP-UHFFFAOYSA-N")
  CALL Species("2-(1-methylpropyl)-4,6-dinitrophenol", "C_{10}H_{12}N_2O_5", "dinoseb", &
    "88-85-7", "OWZPCEFYPSAJFR-UHFFFAOYSA-N")
  CALL Species("1-nitronaphthalene", "C_{10}H_7NO_2", "", &
    "86-57-7", "RJKGJBPXVHTNJL-UHFFFAOYSA-N")
  CALL Species("dinoterb", "C_{10}H_{12}N_2O_5", "", &
    "1420-07-1", "IIPZYDQGBIWLBU-UHFFFAOYSA-N")
  CALL Species("4-(1-methylpropyl)-2-nitrophenol", "C_{10}H_{13}NO_3", "4-{\it sec}-butyl-2-nitrophenol", &
    "3555-18-8", "GCDCKEORRIGZKI-UHFFFAOYSA-N")
  CALL Species("musk ambrette (artificial)", "C_{12}H_{16}N_2O_5", "", &
    "83-66-9", "SUAUILGSCPYJCS-UHFFFAOYSA-N")
  CALL Species("bis($p$-nitrophenyl) ether", "C_{12}H_8N_2O_5", "", &
    "101-63-3", "MWAGUKZCDDRDCS-UHFFFAOYSA-N")
  CALL Species("4-nitro-N-phenylbenzenamine", "C_{12}H_{10}N_2O_2", "", &
    "836-30-6", "XXYMSQQCBUKFHE-UHFFFAOYSA-N")
  CALL Species("2-cyclohexyl-4,6-dinitrophenol", "C_{12}H_{14}N_2O_5", "", &
    "131-89-5", "QJYHUJAGJUHXJN-UHFFFAOYSA-N")
  CALL Species("dipicrylamine", "C_{12}H_5N_7O_{12}", "2,2',4,4',6,6'-hexanitrodiphenylamine", &
    "131-73-7", "CBCIHIVRDWLAME-UHFFFAOYSA-N")
  CALL Species("1,2-dihydro-5-nitroacenaphthylene", "C_{12}H_9NO_2", "5-nitroacenaphthene", &
    "602-87-9", "CUARLQDWYSRQDF-UHFFFAOYSA-N")
  CALL Species("4-nitro-1,1'-biphenyl", "C_{12}H_9NO_2", "", &
    "92-93-3", "BAJQRLZAPXASRD-UHFFFAOYSA-N")
  CALL Species("2-nitro-9H-fluorene", "C_{13}H_9NO_2", "", &
    "607-57-8", "XFOHWECQTFIEIX-UHFFFAOYSA-N")
  CALL Species("5-{\it tert}-butyl-4,6-dinitro-1,2,3-trimethylbenzene", "C_{13}H_{18}N_2O_4", "", &
    "145-39-1", "MINYPECWDZURGR-UHFFFAOYSA-N")
  CALL Species("penoxaline", "C_{13}H_{19}N_3O_4", "pendimethalin", &
    "40487-42-1", "CHIFOSRWCNZCFN-UHFFFAOYSA-N")
  CALL Species("2,6-dinitro-4-octylphenol", "C_{14}H_{20}N_2O_5", "", &
    "4097-33-0", "NYGISSDEOKKXOE-UHFFFAOYSA-N")
  CALL Species("musk ketone", "C_{14}H_{18}N_2O_5", "", &
    "81-14-1", "WXCMHFPAUCOJIG-UHFFFAOYSA-N")
  CALL Species("moskene", "C_{14}H_{18}N_2O_4", "", &
    "116-66-5", "UHWURQRPEIFIAK-UHFFFAOYSA-N")
  CALL Species("9-ethyl-3-nitrocarbazole", "C_{14}H_{12}N_2O_2", "", &
    "86-20-4", "WONHLSYSHMRRGO-UHFFFAOYSA-N")
  CALL Species("1-[(2,4-dinitrophenyl)azo]-2-naphthol", "C_{16}H_{10}N_4O_5", "C.I. pigment orange 5", &
    "3468-63-1", "HBHZKFOUIUMKHV-UHFFFAOYSA-N")
  CALL Species("3,7-dinitrofluoranthene", "C_{16}H_8N_2O_4", "", &
    "105735-71-5", "WAAHHGKGQYVTNS-UHFFFAOYSA-N")
  CALL Species("1,6-dinitropyrene", "C_{16}H_8N_2O_4", "", &
    "42397-64-8", "GUXACCKTQWVTLG-UHFFFAOYSA-N")
  CALL Species("1,8-dinitropyrene", "C_{16}H_8N_2O_4", "", &
    "42397-65-9", "BLYXNIHKOMELAP-UHFFFAOYSA-N")
  CALL Species("1-nitropyrene", "C_{16}H_9NO_2", "", &
    "5522-43-0", "ALRLPDGCPYIVHP-UHFFFAOYSA-N")
  CALL Species("4-nitropyrene", "C_{16}H_9NO_2", "", &
    "57835-92-4", "UISKIUIWPSPSAV-UHFFFAOYSA-N")
  CALL Species("1-[(4-methyl-2-nitrophenyl)azo]-2-naphthalenol", "C_{17}H_{13}N_3O_3", "C.I. Pigment Red 3", &
    "2425-85-6", "ZLFVRXUOSPRRKQ-UHFFFAOYSA-N")
  CALL Species("phenyl 1-hydroxy-4-nitro-2-naphthoate", "C_{17}H_{11}NO_5", "", &
    "65208-34-6", "DMPUGHYNLCGVPX-UHFFFAOYSA-N")
  CALL Species("6-nitrochrysene", "C_{18}H_{11}NO_2", "", &
    "7496-02-8", "UAWLTQJFZUYROA-UHFFFAOYSA-N")
  CALL Species("1-nitrobenzo[$a$]pyrene", "C_{20}H_{11}NO_2", "", &
    "70021-99-7", "ICKISBPYFVBVQG-UHFFFAOYSA-N")
  CALL Species("3-nitrobenzo[$a$]pyrene", "C_{20}H_{11}NO_2", "", &
    "70021-98-6", "CQIJHYPCKYZMIV-UHFFFAOYSA-N")
  CALL Species("6-nitrobenzo[$a$]pyrene", "C_{20}H_{11}NO_2", "", &
    "63041-90-7", "NMMAFYSZGOFZCM-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with fluorine (\chem{F})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Fluorine (\chem{F})")
  ! C, H, F:
  ! saturated:
  CALL Species("fluoromethane", "CH_3F", "", &
    "593-53-3", "NBVXSUQYWXRMNV-UHFFFAOYSA-N")
  CALL Species("difluoromethane", "CH_2F_2", "R32", &
    "75-10-5", "RWRIWBAIICGTTQ-UHFFFAOYSA-N")
  CALL Species("trifluoromethane", "CHF_3", "R23", &
    "75-46-7", "XPDWGBQVDMORPB-UHFFFAOYSA-N")
  CALL Species("tetrafluoromethane", "CF_4", "carbontetrafluoride", &
    "75-73-0", "TXEYQDLBPFQVAA-UHFFFAOYSA-N")
  CALL Species("fluoroethane", "C_2H_5F", "", &
    "353-36-6", "UHCBBWUQDAVSMS-UHFFFAOYSA-N")
  CALL Species("1,1-difluoroethane", "C_2H_4F_2", "R152a", &
    "75-37-6", "NPNPZTNLOVBDOC-UHFFFAOYSA-N")
  CALL Species("1,1,1,2-tetrafluoroethane", "C_2H_2F_4", "R134a", &
    "811-97-2", "LVGUZGTVOIAKKC-UHFFFAOYSA-N")
  CALL Species("pentafluoroethane", "C_2HF_5", "R125", &
    "354-33-6", "GTLACDSXYULKMZ-UHFFFAOYSA-N")
  CALL Species("hexafluoroethane", "C_2F_6", "", &
    "76-16-4", "WMIYKQLTONQJES-UHFFFAOYSA-N")
  CALL Species("1-fluoropropane", "C_3H_7F", "", &
    "460-13-9", "JRHNUZCXXOTJCA-UHFFFAOYSA-N")
  CALL Species("2-fluoropropane", "C_3H_7F", "", &
    "420-26-8", "PRNZBCYBKGCOFI-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2-pentafluoropropane", "C_3H_3F_5", "", &
    "1814-88-6", "FDOPVENYMZRARC-UHFFFAOYSA-N")
  CALL Species("1,1,1,3,3,3-hexafluoropropane", "C_3H_2F_6", "", &
    "690-39-1", "NSGXIBWMJZWTPY-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,3,3,3-heptafluoropropane", "C_3HF_7", "R227", &
    "431-89-0", "YFMFNYKEUDLDTL-UHFFFAOYSA-N")
  CALL Species("octafluoropropane", "C_3F_8", "R218", &
    "76-19-7", "QYSGYZVSCZSLHT-UHFFFAOYSA-N")
  CALL Species("octafluorocyclobutane", "C_4F_8", "", &
    "115-25-3", "BCCOBQSFUDVTJQ-UHFFFAOYSA-N")
  CALL Species("dodecafluoropentane", "C_5F_{12}", "", &
    "678-26-2", "NJCBUSHGCBERSK-UHFFFAOYSA-N")
  CALL Species("fluorocyclohexane", "C_6H_{11}F", "", &
    "372-46-3", "GOBGVVAHHOUMDK-UHFFFAOYSA-N")
  CALL Species("1-fluoroheptane", "C_7H_{15}F", "", &
    "661-11-0", "BITLXSQYFZTQGC-UHFFFAOYSA-N")
  CALL Species("hexadecafluoroheptane", "C_7F_{16}", "", &
    "335-57-9", "LGUZHRODIJCVOC-UHFFFAOYSA-N")
  CALL Species("1-fluorooctane", "C_8H_{17}F", "", &
    "463-11-6", "DHIVLKMGKIZOHF-UHFFFAOYSA-N")
  CALL Species("eicosafluorononane", "C_9F_{20}", "", &
    "375-96-2", "UVWPNDVAQBNQBG-UHFFFAOYSA-N")
  CALL Species("perfluoroundecane", "C_{11}F_{24}", "", &
    "307-49-3", "VCIVYCHKSHULON-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10-henicosafluorododecane", "C_{12}H_5F_{21}", "F10H2", &
    "_CAS-58", "HUPGRQWHZOWFPQ-UHFFFAOYSA-N") ! C12H5F21
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6-tridecafluorotetradecane", "C_{14}H_{17}F_{13}", "F6H8", &
    "133331-77-8", "WRYIIOKOQSICTB-UHFFFAOYSA-N") ! C14H17F13
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6-tridecafluoroicosane", "C_{20}H_{29}F_{13}", "F6H14", &
    "154628-00-9", "BREOHRVZEZMFOB-UHFFFAOYSA-N") ! C20H29F13
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6-tridecafluorodocosane", "C_{22}H_{33}F_{13}", "F6H16", &
    "133310-71-1", "ZKYMFADZZFTYJH-UHFFFAOYSA-N") ! C22H33F13
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8-heptadecafluorotetracosane", "C_{24}H_{33}F_{17}", "F8H16", &
    "117146-18-6", "FTECWCULPOFDJS-UHFFFAOYSA-N") ! C24H33F17
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10-henicosafluorohexacosane", "C_{26}H_{33}F_{21}", "F10H16", &
    "_CAS-57", "LZENXKBSJNMIKY-UHFFFAOYSA-N") ! C26H33F21
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,\+10,10,11,11,12,12-pentacosafluorohexacosane", &
    "C_{26}H_{29}F_{25}", "F12H14", &
    "93454-73-0", "inchikey") ! C26H29F25
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,\+10,10,11,11,12,12-pentacosafluorooctacosane", &
    "C_{28}H_{33}F_{25}", "F12H16", &
    "_CAS-59", "CZCMNCOQMXNFTL-UHFFFAOYSA-N") ! C28H33F25
  ! unsaturated:
  CALL Species("1,1-difluoroethene", "C_2H_2F_2", "", &
    "75-38-7", "BQCIDUSAKPWEOX-UHFFFAOYSA-N")
  CALL Species("tetrafluoroethene", "C_2F_4", "", &
    "116-14-3", "BFKJFAAPBSQJPD-UHFFFAOYSA-N")
  CALL Species("hexafluoropropene", "C_3F_6", "", &
    "116-15-4", "HCDGVLDPFQMKDK-UHFFFAOYSA-N")
  CALL Species("(perfluorobutyl)ethene", "C_6H_3F_9", "4:2 FTO", &
    "19430-93-4", "GVEUEBXMTMZVSD-UHFFFAOYSA-N")
  CALL Species("(perfluorohexyl)ethene", "C_8H_3F_{13}", "6:2 FTO", &
    "25291-17-2", "FYQFWFHDPNXORA-UHFFFAOYSA-N")
  CALL Species("(perfluorooctyl)ethene", "C_{10}H_3F_{17}", "8:2 FTO", &
    "21652-58-4", "NKAMGQZDVMQEJL-UHFFFAOYSA-N")
  CALL Species("(perfluorodecyl)ethene", "C_{12}H_3F_{21}", "10:2 FTO", &
    "30389-25-4", "UCHSAVGOZUCXHC-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,\+10,10,11,11,12,12-pentacosafluorooctacos-13-ene", &
    "C_{28}H_{31}F_{25}", "", &
    "_CAS-56", "LBVDHZOJOFOXJM-FOCLMDBBSA-N") ! F12H16ene
  ! aromatic:
  CALL Species("fluorobenzene", "C_6H_5F", "", &
    "462-06-6", "PYLWMHQQBFSUBP-UHFFFAOYSA-N")
  CALL Species("1,2-difluorobenzene", "C_6H_4F_2", "$o$-difluorobenzene", &
    "367-11-3", "GOYDNIKZWGIXJT-UHFFFAOYSA-N")
  CALL Species("1,3-difluorobenzene", "C_6H_4F_2", "$m$-difluorobenzene", &
    "372-18-9", "UEMGWPRHOOEKTA-UHFFFAOYSA-N")
  CALL Species("1,4-difluorobenzene", "C_6H_4F_2", "$p$-difluorobenzene", &
    "540-36-3", "QUGUFLJIAFISSW-UHFFFAOYSA-N")
  CALL Species("1,2,3,5-tetrafluorobenzene", "C_6H_2F_4", "", &
    "2367-82-0", "UHHYOKRQTQBKSB-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetrafluorobenzene", "C_6H_2F_4", "", &
    "327-54-8", "SDXUIOOHCIQXRP-UHFFFAOYSA-N")
  CALL Species("pentafluorobenzene", "C_6HF_5", "", &
    "363-72-4", "WACNXHCZHTVBJM-UHFFFAOYSA-N")
  CALL Species("hexafluorobenzene", "C_6F_6", "", &
    "392-56-3", "ZQBFAOFFOQMSGJ-UHFFFAOYSA-N")
  CALL Species("(trifluoromethyl)-benzene", "C_6H_5CF_3", "$\alpha$,$\alpha$,$\alpha$-trifluorotoluene", &
    "98-08-8", "GETTZEONDQJALK-UHFFFAOYSA-N")
  CALL Species("decafluorobiphenyl", "C_{10}F_{10}", "", &
    "434-90-2", "ONUFSRWQCKNVSL-UHFFFAOYSA-N")
  ! C, H, O, F:
  ! aliphatic:
  CALL Species("carbonyl fluoride", "COF_2", "", &
    "353-50-4", "IYRWEQXVUNLMAY-UHFFFAOYSA-N")
  CALL Species("formyl fluoride", "FCHO", "", &
    "1493-02-3", "NHGVZTMBVDFPHJ-UHFFFAOYSA-N")
  CALL Species("2-fluoroethanol", "C_2H_5FO", "", &
    "371-62-0", "GGDYAKVUZMZKRV-UHFFFAOYSA-N")
  CALL Species("2,2,2-trifluoroethanol", "CF_3CH_2OH", "", &
    "75-89-8", "RHQDFWAXVIIEBN-UHFFFAOYSA-N")
  CALL Species("1,1,1-trifluoro-2-propanol", "CF_3CHOHCH_3", "", &
    "374-01-6", "GILIYJDBJZWGBG-UHFFFAOYSA-N")
  CALL Species("2,2,3,3-tetrafluoro-1-propanol", "CHF_2CF_2CH_2OH", "", &
    "76-37-9", "NBUKAOOFKZFCGD-UHFFFAOYSA-N")
  CALL Species("2,2,3,3,3-pentafluoro-1-propanol", "CF_3CF_2CH_2OH", "", &
    "422-05-9", "PSQZJKGXDGNDFP-UHFFFAOYSA-N")
  CALL Species("1,1,1,3,3,3-hexafluoro-2-propanol", "CF_3CHOHCF_3", "", &
    "920-66-1", "BYEAHWXPCBROCE-UHFFFAOYSA-N")
  CALL Species("trifluoroacetylfluoride", "CF_3COF", "", &
    "354-34-7", "DCEPGADSNJKOJK-UHFFFAOYSA-N")
  CALL Species("1,1,1-trifluoro-2-propanone", "CF_3COCH_3", "", &
    "421-50-1", "FHUDAMLDXFJHJE-UHFFFAOYSA-N")
  CALL Species("fluoroethanoic acid", "CH_2FCOOH", "fluoroacetic acid", &
    "144-49-0", "QEWYKACRFQMRMB-UHFFFAOYSA-N")
  CALL Species("difluoroethanoic acid", "CHF_2COOH", "difluoroacetic acid", &
    "381-73-7", "PBWZKZYHONABLN-UHFFFAOYSA-N")
  CALL Species("trifluoroethanoic acid", "CF_3COOH", "trifluoroacetic acid", &
    "76-05-1", "DTQVDTLACAAQTR-UHFFFAOYSA-N")
  CALL Species("perfluorohexanoic acid",                            "C_6HF_{11}O_2", "", &
    "307-24-4", "PXUULQAPEKKVAH-UHFFFAOYSA-N")
  CALL Species("perfluoroheptanoic acid",                           "C_7HF_{13}O_2", "", &
    "375-85-9", "ZWBAMYVPMDSJGQ-UHFFFAOYSA-N")
  CALL Species("pentadecafluorooctanoic acid", "C_8HF_{15}O_2", "perfluorooctanoic acid; PFOA", &
    "335-67-1", "SNGREZUHAYWORS-UHFFFAOYSA-N")
  CALL Species("perfluorononanoic acid",                            "C_9HF_{17}O_2", "", &
    "375-95-1", "UZUFPBIDKMEQEQ-UHFFFAOYSA-N")
  CALL Species("perfluorodecanoic acid",                            "C_{10}HF_{19}O_2", "", &
    "335-76-2", "PCIUEQPBYFRTEM-UHFFFAOYSA-N")
  CALL Species("perfluoroundecanoic acid",                          "C_{11}HF_{21}O_2", "", &
    "2058-94-8", "SIDINRCMMRKXGQ-UHFFFAOYSA-N")
  CALL Species("perfluorododecanoic acid",                          "C_{12}HF_{23}O_2", "", &
    "307-55-1", "CXGONMQFMIYUJR-UHFFFAOYSA-N")
  CALL Species("perfluorotetradecanoic acid",                       "C_{14}HF_{27}O_2", "", &
    "376-06-7", "RUDINRUXCKIXAJ-UHFFFAOYSA-N")
  CALL Species("ethyl 2,2,2-trifluoroethyl ether", "C_4H_7F_3O", "", &
    "461-24-5", "ZKNHDJMXIUOHLX-UHFFFAOYSA-N")
  CALL Species("(2,2,2-trifluoroethoxy)-ethene", "CF_3CH_2OCHCH_2", "fluoroxene", &
    "406-90-6", "DLEGDLSLRSOURQ-UHFFFAOYSA-N")
  CALL Species("2,2,2-trifluoroethyl methanoate", "C_3H_3F_3O_2", "", &
    "32042-38-9", "CAFROQYMUICGNO-UHFFFAOYSA-N")
  CALL Species("2,2,2-trifluoroethyl ethanoate", "C_4H_5F_3O_2", "", &
    "406-95-1", "ZOWSJJBOQDKOHI-UHFFFAOYSA-N")
  CALL Species("trifluoroethanoic acid, methyl ester", "CF_3COOCH_3", "methyl trifluoroacetate", &
    "431-47-0", "VMVNZNXAVJHNDJ-UHFFFAOYSA-N")
  CALL Species("trifluoroethanoic acid, ethyl ester", "CF_3COOC_2H_5", "ethyl trifluoroacetate", &
    "383-63-1", "STSCVKRWJPWALQ-UHFFFAOYSA-N")
  CALL Species("trifluoro(trifluoromethyl)-oxirane", "C_3F_6O", "", &
    "428-59-1", "PGFXOWRDDHCDTE-UHFFFAOYSA-N")
  CALL Species("heptafluorobutanoic acid", "C_4HF_7O_2", "", &
    "375-22-4", "YPJUNDFVDDCYIH-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,4-pentafluorobutan-1-ol", "C_4H_5OF_5", "", &
    "54949-74-5", "JPMHUDBOKDBBLG-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2,3,4,5,5,5-decafluoropentane", "C_5H_2F_{10}", "", &
    "138495-42-8", "RIQRGMUSBYGDBL-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2,3,3,4,4-nonafluoro-4-methoxybutane", "C_5H_3F_9O", "", &
    "163702-07-6", "OKIYQFLILPKULA-UHFFFAOYSA-N")
  CALL Species("1-ethoxy-1,1,2,3,3,3-hexafluoro-2-(trifluoromethyl)propane", "C_6H_5F_9O", "", &
    "163702-06-5", "SQEGLLMNIBLLNQ-UHFFFAOYSA-N")
  CALL Species("1H,1H,2H,2H-perfluorohexan-1-ol", "C_6H_5F_9O", "4:2 FTOH", &
    "2043-47-2", "JCMNMOBHVPONLD-UHFFFAOYSA-N")
  CALL Species("1-ethoxy-1,1,2,2,3,3,4,4,4-nonafluorobutane", "C_6H_5F_9O", "", &
    "163702-05-4", "DFUYAWQUODQGFF-UHFFFAOYSA-N")
  CALL Species("1H,1H,2H,2H-perfluorooctan-1-ol", "C_8H_5F_{13}O", "6:2 FTOH", &
    "647-42-7", "GRJRKPMIRMSBNK-UHFFFAOYSA-N")
  CALL Species("methyl perfluoro(8-(fluoroformyl)-5-methyl-4,7-dioxanonanoate)", "C_{10}H_3F_{15}O_5", "", &
    "69116-73-0", "JOMJXRTUQWIHQD-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,6-nonafluorohexyl methacrylate", "C_{10}H_9F_9O_2", "", &
    "1799-84-4", "TYNRPOFACABVSI-UHFFFAOYSA-N")
  CALL Species("1H,1H,2H,2H-perfluorodecan-1-ol", "C_{10}H_5F_{17}O", "8:2 FTOH", &
    "678-39-7", "JJUBFBTUBACDHW-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,7,7,8,8,8-tridecafluorooctyl acrylate", "C_{11}H_7F_{13}O_2", "", &
    "17527-29-6", "VPKQPPJQTZJZDB-UHFFFAOYSA-N")
  CALL Species("2-(perfluorohexyl)ethyl methacrylate", "C_{12}H_9F_{13}O_2", "", &
    "2144-53-8", "CDXFIRXEAJABAZ-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrahydroperfluoro dodecanol", "C_{12}H_5F_{21}O", "10:2 FTOH", &
    "865-86-1", "FLXYIZWPNQYPIT-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,10-heptadecafluorodecyl acrylate", "C_{13}H_7F_{17}O_2", "", &
    "27905-45-9", "QUKRIOLKOHUUBM-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,10-heptadecafluorodecyl methacrylate", "C_{14}H_9F_{17}O_2", "", &
    "1996-88-9", "HBZFBSFGXQBQTB-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,7,7,8,8,9,9,\+10,10,11,11,12,12,13,13,14,14,14-pentacosafluorotetradecan-1-ol", &
    "C_{14}H_5F_{25}O", "", &
    "39239-77-5", "QBBJBWKVSJWYQK-UHFFFAOYSA-N")
  CALL Species("2-(perfluorodecyl)ethyl acrylate", "C_{15}H_7F_{21}O_2", "", &
    "17741-60-5", "FIAHOPQKBBASOY-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrahydroperfluoro-1-hexadecanol", "C_{16}H_5OF_{29}", "", &
    "60699-51-6", "ZDUOTHMDVYXZBS-UHFFFAOYSA-N")
  CALL Species("2-(perfluorodecyl)ethyl methacrylate", "C_{16}H_9F_{21}O_2", "", &
    "2144-54-9", "FQHLOOOXLDQLPF-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,7,7,8,8,9,9,\+10,10,11,11,12,12,13,13,14,14,14-pentacosafluorotetradecyl prop-2-enoate", &
    "C_{17}H_7F_{25}O_2", "", &
    "34395-24-9", "SWTZSHBOMGAQKX-UHFFFAOYSA-N")
  CALL Species("2-perfluorododecylethyl methacrylate", "C_{18}H_9F_{25}O_2", "", &
    "6014-75-1", "LFEGLDRNIDJMKB-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrahydroperfluoro-1-octadecanol", "C_{18}H_5OF_{33}", "", &
    "65104-67-8", "UYSGWTCETIRUHO-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrahydroperfluorohexadecyl acrylate", "C_{19}H_7F{29}O_2", "", &
    "34362-49-7", "KLOHTAIHCCMZIL-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrahydroperfluoroeicosyl alcohol", "C_{20}H_5OF_{37}", "", &
    "65104-65-6", "FDCQNVKWWMNRQN-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("2-hydroxyfluorobenzene", "C_6H_5FO", "$o$-fluorophenol", &
    "367-12-4", "HFHFGHLXUCOHLN-UHFFFAOYSA-N")
  CALL Species("4-hydroxyfluorobenzene", "C_6H_5FO", "$p$-fluorophenol", &
    "371-41-5", "RHMPLDJJXGPMEX-UHFFFAOYSA-N")
  CALL Species("3-fluorophenol", "C_6H_5FO", "", &
    "372-20-3", "SJTBRFHBXDZMPS-UHFFFAOYSA-N")
  CALL Species("2,6-difluorophenol", "C_6H_4F_2O", "", &
    "28177-48-2", "CKKOVFGIBXCEIJ-UHFFFAOYSA-N")
  CALL Species("4,4'-(hexafluoroisopropylidene)diphenol", "C_{15}H_{10}F_6O_2", "", &
    "1478-61-1", "ZFVMWEVVKGLCIJ-UHFFFAOYSA-N")
  ! C, H, N, F:
  CALL Species("perfluorotributylamine", "C_{12}F_{27}N", "", &
    "311-89-7", "RVZRBWKZFJCCIB-UHFFFAOYSA-N")
  CALL Species("tris(undecafluoropentyl)amine", "C_{15}F_{33}N", "", &
    "338-84-1", "AQZYBQIAUSKCCS-UHFFFAOYSA-N")
  ! C, H, O, N, F:
  CALL Species("2-fluoroacetamide", "C_2H_4FNO", "", &
    "640-19-7", "FVTWJXMFYOXOKK-UHFFFAOYSA-N")
  CALL Species("5-fluorouracil", "C_4H_3FN_2O_2", "", &
    "51-21-8", "GHASVSINZRGABV-UHFFFAOYSA-N")
  CALL Species("1-fluoro-2,4-dinitrobenzene", "C_6H_3FN_2O_4", "", &
    "70-34-8", "LOTKRQAVGJMPNV-UHFFFAOYSA-N")
  CALL Species("5-fluoro-2-nitrophenol", "C_6H_4FNO_3", "", &
    "446-36-6", "QQURWFRNETXFTN-UHFFFAOYSA-N")
  CALL Species("4-nitro-3-(trifluoromethyl)phenol", "C_7H_4F_3NO_3", "", &
    "88-30-2", "ZEFMBAFMCSYJOO-UHFFFAOYSA-N")
  CALL Species("1-nitro-3-(trifluoromethyl)benzene", "C_7H_4F_3NO_2", "", &
    "98-46-4", "WHNAMGUAXHGCHH-UHFFFAOYSA-N")
  CALL Species("1-isocyanato-3-(trifluoromethyl)-benzene", "C_8H_4F_3NO", "", &
    "329-01-1", "SXJYSIBLFGQAND-UHFFFAOYSA-N")
  CALL Species("flonicamid", "C_9H_6F_3N_3O", "", &
    "158062-67-0", "RLQJEEJISHYWON-UHFFFAOYSA-N")
  CALL Species("trifluridine", "C_{10}H_{11}F_3N_2O_5", "", &
    "70-00-8", "VSQQQLOSPVPRAZ-RRKCRQDMSA-N")
  CALL Species("N-(4-amino-2-hydroxyphenyl)-2,2,3,3,4,4,4-heptafluorobutanamide", "C_{10}H_7F_7N_2O_2", "", &
    "847-51-8", "STPOJASQXPXVMS-UHFFFAOYSA-N")
  CALL Species("fluometuron", "C_{10}H_{11}F_3N_2O", "", &
    "2164-17-2", "RZILCCPWPBTYDO-UHFFFAOYSA-N")
  CALL Species("dinitramine", "C_{11}H_{13}F_3N_4O_4", "", &
    "29091-05-2", "OFDYMSKSGFSLLM-UHFFFAOYSA-N")
  CALL Species("5-methyl-N-[4-(trifluoromethyl)phenyl]-4-isoxazolecarboxamide", "C_{12}H_9F_3N_2O_2", "leflunomide", &
    "75706-12-6", "VHOGYURTWQBHIL-UHFFFAOYSA-N")
  CALL Species("fluconazole", "C_{13}H_{12}F_2N_6O", "", &
    "86386-73-4", "RFHAOTPXVQNOHP-UHFFFAOYSA-N")
  CALL Species("ethalfluralin", "C_{13}H_{14}F_3N_3O_4", "", &
    "55283-68-6", "PTFJIKYUEPWBMS-UHFFFAOYSA-N")
  CALL Species("benfluralin", "C_{13}H_{16}F_3N_3O_4", "benefin", &
    "1861-40-1", "SMDHCQAYESWHAE-UHFFFAOYSA-N")
  CALL Species("trifluralin", "C_{13}H_{16}F_3N_3O_4", "", &
    "1582-09-8", "ZSDSQXJSNMTJDA-UHFFFAOYSA-N")
  CALL Species("fluorodifen", "C_{13}H_7F_3N_2O_5", "", &
    "15457-05-3", "HHMCAJWVGYGUEF-UHFFFAOYSA-N")
  CALL Species("profluralin", "C_{14}H_{16}F_3N_3O_4", "", &
    "26399-36-0", "ITVQAKZNYJEWKS-UHFFFAOYSA-N")
  CALL Species("flumequine", "C_{14}H_{12}FNO_3", "", &
    "42835-25-6", "DPSPPJIUMHPXMA-UHFFFAOYSA-N")
  CALL Species("flunitrazepam", "C_{16}H_{12}FN_3O_3", "", &
    "1622-62-4", "PPTYJKAXVCCBDU-UHFFFAOYSA-N")
  CALL Species("fluazifop-butyl", "C_{19}H_{20}F_3NO_4", "", &
    "69806-50-4", "VAIZTNZGPYBOGF-UHFFFAOYSA-N")
  CALL Species("flumioxazin", "C_{19}H_{15}FN_2O_4", "", &
    "103361-09-7", "FOUWCSDKDDHKQP-UHFFFAOYSA-N")
  CALL Species("fluridone", "C_{19}H_{14}F_3NO", "", &
    "59756-60-4", "YWBVHLJPRPCRSD-UHFFFAOYSA-N")
  CALL Species("cyhalofop-butyl", "C_{20}H_{20}FNO_4", "", &
    "122008-85-9", "TYIYMOAHACZAMQ-CQSZACIVSA-N")
  CALL Species("raltegravir", "C_{20}H_{21}FN_6O_5", "", &
    "518048-05-0", "CZFFBEXEKNGXKS-UHFFFAOYSA-N")
  CALL Species("fluacrypyrim", "C_{20}H_{21}N_2O_5F_3", "", &
    "229977-93-9", "MXWAGQASUDSFBG-RVDMUPIBSA-N")
  CALL Species("trifloxystrobin", "C_{20}H_{19}F_3N_2O_4", "", &
    "141517-21-7", "ONCZDRURRATYFI-UHFFFAOYSA-N")
  CALL Species("etoxazole", "C_{21}H_{23}F_2NO_2", "", &
    "153233-91-1", "IXSZQYVWNJNRAL-UHFFFAOYSA-N")
  CALL Species("droperidol", "C_{22}H_{22}FN_3O_2", "", &
    "548-73-2", "RMEDXOLNCUSCGS-UHFFFAOYSA-N")
  CALL Species("paliperidone", "C_{23}H_{27}FN_4O_3", "", &
    "144598-75-4", "PMXMIIMHBWHSKN-UHFFFAOYSA-N")
  CALL Species("risperidone", "C_{23}H_{27}FN_4O_2", "", &
    "106266-06-2", "RAPZEAPATHNIPO-UHFFFAOYSA-N")
  CALL Species("ezetimibe", "C_{24}H_{21}F_2NO_3", "", &
    "163222-33-1", "OLNTVTPDXPETLC-XPWALMASSA-N")
  CALL Species("cerivastatin", "C_{26}H_{34}FNO_5", "", &
    "145599-86-6", "SEERZIQQUAZTOL-ANMDKAQQSA-N")
  CALL Species("flucythrinate, isomer 1", "C_{26}H_{23}F_2NO_4", "", &
    "70124-77-5", "GBIHOLCMZGAKNG-UHFFFAOYSA-N")
  ! PFBHA-derivatives:
  CALL Species("PFBHA-methanal", "H_2C=NOCH_2C_6F_5", "", &
    "_CAS-60", "inchikey")
  CALL Species("PFBHA-ethanal", "CH_3CH=NOCH_2C_6F_5", "", &
    "_CAS-61", "inchikey")
  CALL Species("PFBHA-propanone", "(CH_3)_2C=NOCH_2C_6F_5", "", &
    "_CAS-62", "inchikey")
  CALL Species("PFBHA-butanone", "(C_2H_5)(CH_3)C=NOCH_2C_6F_5", "", &
    "_CAS-63", "inchikey")
  CALL Species("PFBHA-2-pentanone", "(C_3H_7)(CH_3)C=NOCH_2C_6F_5", "", &
    "_CAS-64", "inchikey")
  CALL Species("PFBHA-hexanal", "C_5H_{11}CH=NOCH_2C_6F_5", "", &
    "_CAS-65", "inchikey")
  CALL Species("PFBHA-octanal", "C_7H_{15}CH=NOCH_2C_6F_5", "", &
    "_CAS-66", "inchikey")
  CALL Species("PFBHA-decanal", "C_9H_{19}CH=NOCH_2C_6F_5", "", &
    "_CAS-67", "inchikey")
  CALL Species("PFBHA-propenal", "CH_2CHCH=NOCH_2C_6F_5", "", &
    "_CAS-68", "inchikey")
  CALL Species("PFBHA-crotonaldehyde", "CH_3CHCHCH=NOCH_2C_6F_5", "", &
    "_CAS-69", "inchikey")
  CALL Species("PFBHA-benzaldehyde", "C_6H_5CH=NOCH_2C_6F_5", "", &
    "_CAS-70", "inchikey")
  CALL Species("PFBHA-4-methyl-benzaldehyde", "C_8H_8=NOCH_2C_6F_5", "", &
    "_CAS-71", "inchikey")
  CALL Species("PFBHA-9-fluorenone", "C_{13}H_8=NOCH_2C_6F_5", "", &
    "_CAS-72", "inchikey")
  CALL Species("PFBHA-ethanedial", "(HC=NOCH_2C_6F_5)_2", "", &
    "_CAS-73", "inchikey")
  CALL Species("PFBHA-1-hydroxypropanone", "(CH_2OH)(CH_3)C=NOCH_2C_6F_5", "", &
    "_CAS-74", "inchikey")
  CALL Species("PFBHA-3-hydroxy-3-methyl-2-butanone", "(HOC_3H_6)(CH_3)C=NOCH_2C_6F_5", "", &
    "_CAS-75", "inchikey")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with chlorine (\chem{Cl})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Chlorocarbons (\chem{C}, \chem{H}, \chem{Cl})")
  ! C, H, Cl:
  ! saturated:
  CALL Species("chloromethane", "CH_3Cl", "methyl chloride", &
    "74-87-3", "NEHMKBQYUWJMIP-UHFFFAOYSA-N")
  CALL Species("dichloromethane", "CH_2Cl_2", "methylene chloride", &
    "75-09-2", "YMWUJEATGCHHMB-UHFFFAOYSA-N")
  CALL Species("dichloromethane-d2", "CD_2Cl_2", "methylene chloride-d2", &
    "1665-00-5", "YMWUJEATGCHHMB-DICFDUPASA-N")
  CALL Species("trichloromethane", "CHCl_3", "chloroform", &
    "67-66-3", "HEDRZPFGACZZDS-UHFFFAOYSA-N")
  CALL Species("tetrachloromethane", "CCl_4", "carbontetrachloride", &
    "56-23-5", "VZGDMQKNWNREIO-UHFFFAOYSA-N")
  CALL Species("chloroethane", "C_2H_5Cl", "", &
    "75-00-3", "HRYZWHHZPQKTII-UHFFFAOYSA-N")
  CALL Species("1,1-dichloroethane", "CHCl_2CH_3", "", &
    "75-34-3", "SCYULBFZEHDVBN-UHFFFAOYSA-N")
  CALL Species("1,2-dichloroethane", "CH_2ClCH_2Cl", "", &
    "107-06-2", "WSLDOOZREJYCGB-UHFFFAOYSA-N")
  CALL Species("1,2-dichloroethane-d4", "CD_2ClCD_2Cl", "", &
    "17060-07-0", "WSLDOOZREJYCGB-LNLMKGTHSA-N")
  CALL Species("1,1,1-trichloroethane", "CH_3CCl_3", "methylchloroform; MCF", &
    "71-55-6", "UOCLXMDMGBRAIB-UHFFFAOYSA-N")
  CALL Species("1,1,2-trichloroethane", "CHCl_2CH_2Cl", "", &
    "79-00-5", "UBOXGVDOUJQMTN-UHFFFAOYSA-N")
  CALL Species("1,1,2-trichloroethane-d3", "CDCl_2CD_2Cl", "", &
    "171086-93-4", "inchikey")
  CALL Species("1,1,1,2-tetrachloroethane", "CCl_3CH_2Cl", "", &
    "630-20-6", "QVLAWKAXOMEXPM-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrachloroethane", "CHCl_2CHCl_2", "", &
    "79-34-5", "QPFMBZIOSGYJDE-UHFFFAOYSA-N")
  CALL Species("pentachloroethane", "CHCl_2CCl_3", "", &
    "76-01-7", "BNIXVQGCZULYKV-UHFFFAOYSA-N")
  CALL Species("hexachloroethane", "C_2Cl_6", "", &
    "67-72-1", "VHHHONWQHHHLTI-UHFFFAOYSA-N")
  CALL Species("1-chloropropane", "C_3H_7Cl", "", &
    "540-54-5", "SNMVRZFUUCLYTO-UHFFFAOYSA-N")
  CALL Species("2-chloropropane", "C_3H_7Cl", "", &
    "75-29-6", "ULYZAYCEDJDHCC-UHFFFAOYSA-N")
  CALL Species("1,1-dichloropropane", "C_3H_6Cl_2", "", &
    "78-99-9", "WIHMGGWNMISDNJ-UHFFFAOYSA-N")
  CALL Species("1,2-dichloropropane", "C_3H_6Cl_2", "", &
    "78-87-5", "KNKRKFALVUDBJE-UHFFFAOYSA-N") ! other CAS: 26198-63-0
  CALL Species("1,2-dichloropropane-d6", "C_3D_6Cl_2", "", &
    "93952-08-0", "inchikey")
  CALL Species("1,3-dichloropropane", "C_3H_6Cl_2", "", &
    "142-28-9", "YHRUOJUYPBUZOS-UHFFFAOYSA-N")
  CALL Species("2,2-dichloropropane", "C_3H_6Cl_2", "", &
    "594-20-7", "ZEOVXNVKXIPWMS-UHFFFAOYSA-N")
  CALL Species("1,1,1-trichloropropane", "C_3H_5Cl_3", "", &
    "7789-89-1", "AVGQTJUPLKNPQP-UHFFFAOYSA-N")
  CALL Species("1,1,2-trichloropropane", "C_3H_5Cl_3", "", &
    "598-77-6", "GRSQYISVQKPZCW-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichloropropane", "C_3H_5Cl_3", "", &
    "96-18-4", "CFXQEHVMCRXUSD-UHFFFAOYSA-N")
  CALL Species("1,1,2,2,3-pentachloropropane", "C_3H_3Cl_5", "", &
    "16714-68-4", "IYFMQUDCYNWFTL-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-methylpropane", "C_4H_9Cl", "", &
    "513-36-0", "QTBFPMKWQKYFLR-UHFFFAOYSA-N")
  CALL Species("2-chloro-2-methylpropane", "C_4H_9Cl", "", &
    "507-20-0", "NBRKLOOSMBRFMH-UHFFFAOYSA-N")
  CALL Species("1-chlorobutane", "C_4H_9Cl", "", &
    "109-69-3", "VFWCMGCRMGJXDK-UHFFFAOYSA-N")
  CALL Species("2-chlorobutane", "C_4H_9Cl", "", &
    "78-86-4", "BSPCSKHALVHRSR-UHFFFAOYSA-N")
  CALL Species("1,1-dichlorobutane", "C_4H_8Cl_2", "", &
    "541-33-3", "SEQRDAAUNCRFIT-UHFFFAOYSA-N")
  CALL Species("1,4-dichlorobutane", "C_4H_8Cl_2", "", &
    "110-56-5", "KJDRSWPQXHESDQ-UHFFFAOYSA-N")
  CALL Species("2,3-dichlorobutane", "C_4H_8Cl_2", "", &
    "7581-97-7", "RMISVOPUIFJTEO-UHFFFAOYSA-N")
  CALL Species("1-chloropentane", "C_5H_{11}Cl", "", &
    "543-59-9", "SQCZQTSHSZLZIQ-UHFFFAOYSA-N")
  CALL Species("2-chloropentane", "C_5H_{11}Cl", "", &
    "625-29-6", "NFRKUDYZEVQXTE-UHFFFAOYSA-N")
  CALL Species("3-chloropentane", "C_5H_{11}Cl", "", &
    "616-20-6", "CXQSCYIVCSCSES-UHFFFAOYSA-N")
  CALL Species("1,2-dichloropentane", "C_5H_{10}Cl_2", "", &
    "1674-33-5", "PPLBPDUKNRCHGG-UHFFFAOYSA-N")
  CALL Species("1,5-dichloropentane", "C_5H_{10}Cl_2", "", &
    "628-76-2", "LBKDGROORAKTLC-UHFFFAOYSA-N")
  CALL Species("2,3-dichloropentane", "C_5H_{10}Cl_2", "", &
    "600-11-3", "HVFJQRZGBBKTPL-UHFFFAOYSA-N")
  CALL Species("2-chloro-2-methylbutane", "C_5H_{11}Cl", "", &
    "594-36-5", "CRNIHJHMEQZAAS-UHFFFAOYSA-N")
  CALL Species("1-chlorohexane", "C_6H_{13}Cl", "", &
    "544-10-5", "MLRVZFYXUZQSRU-UHFFFAOYSA-N")
  CALL Species("2-chlorohexane", "C_6H_{13}Cl", "", &
    "638-28-8", "GLCIPJOIEVLTPR-UHFFFAOYSA-N")
  CALL Species("3-chlorohexane", "C_6H_{13}Cl", "", &
    "2346-81-8", "BXSMMAVTEURRGG-UHFFFAOYSA-N")
  CALL Species("1-chloroheptane", "C_7H_{15}Cl", "", &
    "629-06-1", "DZMDPHNGKBEVRE-UHFFFAOYSA-N")
  CALL Species("2-chloroheptane", "C_7H_{15}Cl", "", &
    "1001-89-4", "PTSLUOSUHFGQHV-UHFFFAOYSA-N")
  CALL Species("3-chloroheptane", "C_7H_{15}Cl", "", &
    "999-52-0", "DMKNOEJJJSHSML-UHFFFAOYSA-N")
  CALL Species("4-chloroheptane", "C_7H_{15}Cl", "", &
    "998-95-8", "MGSGWAXIEMEWCQ-UHFFFAOYSA-N")
  CALL Species("1-chlorooctane", "C_8H_{17}Cl", "", &
    "111-85-3", "CNDHHGUSRIZDSL-UHFFFAOYSA-N")
  CALL Species("2-chlorooctane", "C_8H_{17}Cl", "", &
    "628-61-5", "HKDCIIMOALDWHF-UHFFFAOYSA-N")
  CALL Species("3-(chloromethyl)-heptane", "C_8H_{17}Cl", "", &
    "123-04-6", "WLVCBAMXYMWGLJ-UHFFFAOYSA-N")
  CALL Species("1,8-dichlorooctane", "C_8H_{16}Cl_2", "", &
    "2162-99-4", "WXYMNDFVLNUAIA-UHFFFAOYSA-N")
  CALL Species("1-chlorononane", "C_9H_{19}Cl", "", &
    "2473-01-0", "RKAMCQVGHFRILV-UHFFFAOYSA-N")
  CALL Species("2-chlorononane", "C_9H_{19}Cl", "", &
    "2216-36-6", "DTWJISBCMBWFNY-UHFFFAOYSA-N")
  CALL Species("5-chlorononane", "C_9H_{19}Cl", "", &
    "28123-70-8", "GHLDSOWZIOPMTC-UHFFFAOYSA-N")
  CALL Species("1-chlorodecane", "C_{10}H_{21}Cl", "", &
    "1002-69-3", "ZTEHOZMYMCEYRM-UHFFFAOYSA-N")
  CALL Species("1,10-dichlorodecane", "C_{10}H_{20}Cl_{2}", "", &
    "2162-98-3", "RBBNTRDPSVZESY-UHFFFAOYSA-N")
  CALL Species("1,2,9,10-tetrachlorodecane", "C_{10}H_{18}Cl_{4}", "", &
    "205646-11-3", "VXBHNYIEBLRXAW-UHFFFAOYSA-N")
  CALL Species("pentachlorodecane isomers", "C_{10}H_{17}Cl_{5}", "", &
    "175801-37-3", "AMKBEJYNNQNKGD-UHFFFAOYSA-N")
  CALL Species("1-chloroundecane", "C_{11}H_{23}Cl", "", &
    "2473-03-2", "ZHKKNUKCXPWZOP-UHFFFAOYSA-N")
  CALL Species("1,2,10,11-tetrachloroundecane", "C_{11}H_{20}Cl_{4}", "", &
    "210049-49-3", "VVAAXDBMZVCVPA-UHFFFAOYSA-N")
  CALL Species("pentachloroundecane isomers", "C_{11}H_{19}Cl_{5}", "", &
    "210175-48-7", "BBCUCNDIXLWBNQ-UHFFFAOYSA-N")
  CALL Species("1-chlorododecane", "C_{12}H_{25}Cl", "", &
    "112-52-7", "YAYNEUUHHLGGAH-UHFFFAOYSA-N")
  CALL Species("1,12-dichlorododecane", "C_{12}H_{24}Cl_{2}", "", &
    "3922-28-9", "RNXPZVYZVHJVHM-UHFFFAOYSA-N")
  CALL Species("1-chlorotridecane", "C_{13}H_{27}Cl", "", &
    "822-13-9", "ASZMYJSJEOGSBR-UHFFFAOYSA-N")
  CALL Species("1-chlorotetradecane", "C_{14}H_{29}Cl", "", &
    "2425-54-9", "RNHWYOLIEJIAMV-UHFFFAOYSA-N")
  ! cyclic:
  CALL Species("tetrachlorocyclopentane", "C_5H_6Cl_4", "", &
    "59808-78-5", "ZFMWDTNZPKDVBU-UHFFFAOYSA-N")
  CALL Species("1,1,2,3,3,4-hexachlorocyclopentane", "C_5H_4Cl_6", "", &
    "68258-91-3", "RPUFWOAXMFQSDJ-UHFFFAOYSA-N")
  CALL Species("1,1,2,3,3,4,5-heptachlorocyclopentane", "C_5H_3Cl_7", "", &
    "68258-90-2", "XCEUTYGYMGYCBG-UHFFFAOYSA-N")
  CALL Species("1,2,3,3,4,5-hexachlorocyclopentene", "C_5H_2Cl_6", "", &
    "_CAS-80", "OSRFTCIVMWPVNP-UHFFFAOYSA-N")
  CALL Species("heptachlorocyclopentene", "C_5HCl_7", "", &
    "62111-47-1", "AJUXFTIOMRYFRL-UHFFFAOYSA-N")
  CALL Species("chlorocyclohexane", "C_6H_{11}Cl", "", &
    "542-18-7", "UNFUYWDGSFDHCW-UHFFFAOYSA-N")
  CALL Species("$\alpha$-1,2,3,4,5,6-hexachlorocyclohexane", "C_6H_6Cl_6", "$\alpha$-lindane; $\alpha$-HCH", &
    "319-84-6", "JLYXXMFPNIAWKQ-SHFUYGGZSA-N")
  CALL Species("$\beta$-1,2,3,4,5,6-hexachlorocyclohexane", "C_6H_6Cl_6", "$\beta$-lindane; $\beta$-HCH", &
    "319-85-7", "JLYXXMFPNIAWKQ-UHFFFAOYSA-N")
  CALL Species("$\gamma$-1,2,3,4,5,6-hexachlorocyclohexane", "C_6H_6Cl_6", "$\gamma$-lindane; lindane; $\gamma$-HCH", &
    "58-89-9", "JLYXXMFPNIAWKQ-GNIYUCBRSA-N") ! other CAS: 55963-79-6
  CALL Species("$\delta$-1,2,3,4,5,6-hexachlorocyclohexane", "C_6H_6Cl_6", "$\delta$-lindane; $\delta$-HCH", &
    "319-86-8", "JLYXXMFPNIAWKQ-GPIVLXJGSA-N")
  CALL Species("4,5,6,7,8,8-hexachloro-3a,4,7,7a-tetrahydro-4,7-methano-1H-indene", "C_{10}H_6Cl_6", "", &
    "3734-48-3", "XCJXQCUJXDUNDN-UHFFFAOYSA-N")
  CALL Species("mirex", "C_{10}Cl_{12}", "dodecachloropentacyclodecane", &
    "2385-85-5", "GVYLCNUFSHDAAW-UHFFFAOYSA-N")
  CALL Species("dechlorane plus", "C_{18}H_{12}Cl_{12}", "", &
    "13560-89-9", "UGQQAJOWXNCOPY-UHFFFAOYSA-N")
  ! toxaphene is a mixture, not a pure substance:
  ! CALL Species("toxaphene", "C_{10}H_{10}Cl_8", "", "8001-35-2")
  ! unsaturated:
  CALL Species("chloroethene", "CH_2CHCl", "vinyl chloride", &
    "75-01-4", "BZHJMEDXRYGGRV-UHFFFAOYSA-N")
  CALL Species("chloroethene-d3", "CD_2CDCl", "vinyl chloride-d3", &
    "6745-35-3", "BZHJMEDXRYGGRV-FUDHJZNOSA-N")
  CALL Species("1,1-dichloroethene", "CH_2CCl_2", "", &
    "75-35-4", "LGXVIGDEPROXKC-UHFFFAOYSA-N")
  CALL Species("1,2-dichloroethene", "C_2H_2Cl_2", "", &
    "540-59-0", "KFUSEUYYWQURPO-UHFFFAOYSA-N")
  CALL Species("($Z$)-1,2-dichloroethene", "CHClCHCl", "{\it cis}-1,2-dichloroethene", &
    "156-59-2", "KFUSEUYYWQURPO-UPHRSURJSA-N")
  CALL Species("($E$)-1,2-dichloroethene", "CHClCHCl", "{\it trans}-1,2-dichloroethene", &
    "156-60-5", "KFUSEUYYWQURPO-OWOJBTEDSA-N")
  CALL Species("trichloroethene", "C_2HCl_3", "trichloroethylene", &
    "79-01-6", "XSTXAVWGXDQKEL-UHFFFAOYSA-N")
  CALL Species("tetrachloroethene", "C_2Cl_4", "tetrachloroethylene", &
    "127-18-4", "CYTYCFOTNPOANT-UHFFFAOYSA-N")
  CALL Species("dichloroethyne", "C_2Cl_2", "", &
    "7572-29-4", "ZMJOVJSTYLQINE-UHFFFAOYSA-N")
  CALL Species("1-chloro-1-propene", "C_3H_5Cl", "", &
    "590-21-6", "OWXJKYNZGFSVRC-UHFFFAOYSA-N")
  CALL Species("2-chloro-1-propene", "C_3H_5Cl", "", &
    "557-98-2", "PNLQPWWBHXMFCA-UHFFFAOYSA-N")
  CALL Species("3-chloro-1-propene", "C_3H_5Cl", "allyl chloride", &
    "107-05-1", "OSDWBNJEKMUWAV-UHFFFAOYSA-N")
  CALL Species("1,1-dichloropropene", "C_3H_4Cl_2", "", &
    "563-58-6", "ZAIDIVBQUMFXEC-UHFFFAOYSA-N")
  CALL Species("1,2-dichloropropene", "C_3H_4Cl_2", "", &
    "563-54-2", "PPKPKFIWDXDAGC-UHFFFAOYSA-N")
  CALL Species("1,3-dichloropropene", "C_3H_4Cl_2", "", &
    "542-75-6", "UOORRWUZONOOLO-UHFFFAOYSA-N")
  CALL Species("{\it cis}-1,3-dichloropropene", "C_3H_4Cl_2", "", &
    "10061-01-5", "UOORRWUZONOOLO-UPHRSURJSA-N")
  CALL Species("{\it trans}-1,3-dichloropropene", "C_3H_4Cl_2", "", &
    "10061-02-6", "UOORRWUZONOOLO-OWOJBTEDSA-N")
  CALL Species("2,3-dichloropropene", "C_3H_4Cl_2", "", &
    "78-88-6", "FALCMQXTWHPRIH-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichloro-1-propene", "C_3H_3Cl_3", "", &
    "96-19-5", "HIILBTHBHCLUER-UHFFFAOYSA-N")
  CALL Species("1,1,2,3,3,3-hexachloro-1-propene", "C_3Cl_6", "", &
    "1888-71-7", "VFDYKPARTDCDCU-UHFFFAOYSA-N")
  CALL Species("3-chloro-2-methyl-1-propene", "C_4H_7Cl", "", &
    "563-47-3", "OHXAOPZTJOUYKM-UHFFFAOYSA-N")
  CALL Species("($Z$)-1-chloro-2-butene", "C_4H_7Cl", "{\it cis}-1-chloro-2-butene", &
    "4628-21-1", "YTKRILODNOEEPX-UHFFFAOYSA-N")
  CALL Species("($E$)-1-chloro-2-butene", "C_4H_7Cl", "{\it trans}-1-chloro-2-butene", &
    "4894-61-5", "YTKRILODNOEEPX-NSCUHMNNSA-N")
  CALL Species("1,3-dichloro-2-butene", "C_4H_6Cl_2", "", &
    "926-57-8", "WLIADPFXSACYLS-UHFFFAOYSA-N")
  CALL Species("1,4-dichloro-2-butene", "C_4H_6Cl_2", "", &
    "764-41-0", "FQDIANVAWVHZIR-UHFFFAOYSA-N")
  CALL Species("($Z$)-1,4-dichloro-2-butene", "C_4H_6Cl_2", "", &
    "1476-11-5", "FQDIANVAWVHZIR-UPHRSURJSA-N")
  CALL Species("($E$)-1,4-dichloro-2-butene", "C_4H_6Cl_2", "", &
    "110-57-6", "FQDIANVAWVHZIR-OWOJBTEDSA-N")
  CALL Species("3,4-dichloro-1-butene", "C_4H_6Cl_2", "", &
    "760-23-6", "XVEASTGLHPVZNA-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-methylpropene", "C_4H_7Cl", "dimethylvinyl chloride", &
    "513-37-1", "KWISWUFGPUHDRY-UHFFFAOYSA-N")
  CALL Species("2-chloro-1,3-butadiene", "C_4H_5Cl", "", &
    "126-99-8", "YACLQRRMGMJLJV-UHFFFAOYSA-N")
  CALL Species("hexachlorobutadiene", "CCl_2CClCClCCl_2", "", &
    "87-68-3", "RWNKSTSCBHKHTB-UHFFFAOYSA-N")
  CALL Species("hexachlorocyclopentadiene", "C_5Cl_6", "", &
    "77-47-4", "VUNCWTMEJYMOOR-UHFFFAOYSA-N")
  CALL Species("chlordane", "C_{10}H_6Cl_8", "", &
    "57-74-9", "BIWJNBZANLAXMG-UHFFFAOYSA-N") ! other CAS: 12789-03-6
  CALL Species("{\it cis}-chlordane", "C_{10}H_6Cl_8", "$\alpha$-chlordane", &
    "5103-71-9", "BIWJNBZANLAXMG-KMMBHOGFSA-N")
  CALL Species("{\it trans}-chlordane", "C_{10}H_6Cl_8", "$\beta$-chlordane; $\gamma$-chlordane", &
    "5103-74-2", "BIWJNBZANLAXMG-SVSLFMFOSA-N")
  CALL Species("{\it cis}-nonachlor", "C_{10}H_5Cl_9", "", &
    "5103-73-1", "OCHOKXCPKDPNQU-BBXWSCHTSA-N")
  CALL Species("{\it trans}-nonachlor", "C_{10}H_5Cl_9", "", &
    "39765-80-5", "OCHOKXCPKDPNQU-FLVMBEMLSA-N")
  ! aromatic:
  CALL Species("chlorobenzene", "C_6H_5Cl", "", &
    "108-90-7", "MVPPADPHJFYWMZ-UHFFFAOYSA-N")
  CALL Species("chlorobenzene-d5", "C_6D_5Cl", "", &
    "3114-55-4", "MVPPADPHJFYWMZ-RALIUCGRSA-N")
  CALL Species("1,2-dichlorobenzene", "C_6H_4Cl_2", "$o$-dichlorobenzene", &
    "95-50-1", "RFFLAFLAYFXFSW-UHFFFAOYSA-N")
  CALL Species("1,2-dichlorobenzene-d4", "C_6D_4Cl_2", "$o$-dichlorobenzene-d4", &
    "2199-69-1", "RFFLAFLAYFXFSW-RHQRLBAQSA-N")
  CALL Species("1,3-dichlorobenzene", "C_6H_4Cl_2", "$m$-dichlorobenzene", &
    "541-73-1", "ZPQOPVIELGIULI-UHFFFAOYSA-N")
  CALL Species("1,4-dichlorobenzene", "C_6H_4Cl_2", "$p$-dichlorobenzene", &
    "106-46-7", "OCJBOOLMMGQPQU-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichlorobenzene", "C_6H_3Cl_3", "", &
    "87-61-6", "RELMFMZEBKVZJC-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichlorobenzene-d3", "C_6D_3Cl_3", "", &
    "3907-98-0", "SMNOERSLNYGGOU-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichlorobenzene", "C_6H_3Cl_3", "", &
    "120-82-1", "PBKONEOXTCPAFI-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichlorobenzene-d3", "C_6D_3Cl_3", "", &
    "2199-72-6", "PBKONEOXTCPAFI-CBYSEHNBSA-N")
  CALL Species("1,3,5-trichlorobenzene", "C_6H_3Cl_3", "", &
    "108-70-3", "XKEFYDZQGKAQCN-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrachlorobenzene", "C_6H_2Cl_4", "", &
    "634-66-2", "GBDZXPJXOMHESU-UHFFFAOYSA-N")
  CALL Species("1,2,3,5-tetrachlorobenzene", "C_6H_2Cl_4", "", &
    "634-90-2", "QZYNWJQFTJXIRN-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetrachlorobenzene", "C_6H_2Cl_4", "", &
    "95-94-3", "JHBKHLUZVFWLAG-UHFFFAOYSA-N")
  CALL Species("pentachlorobenzene", "C_6HCl_5", "", &
    "608-93-5", "CEOCDNVZRAIOQZ-UHFFFAOYSA-N")
  CALL Species("hexachlorobenzene", "C_6Cl_6", "", &
    "118-74-1", "CKAPSXZOOQJIBF-UHFFFAOYSA-N")
  CALL Species("(chloromethyl)-benzene", "C_6H_5CH_2Cl", "benzylchloride", &
    "100-44-7", "KCXMKQUNVWSEMD-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-methylbenzene", "C_7H_7Cl", "$o$-chlorotoluene", &
    "95-49-8", "IBSQPLPBRSHTTG-UHFFFAOYSA-N")
  CALL Species("1-chloro-3-methylbenzene", "C_7H_7Cl", "$m$-chlorotoluene", &
    "108-41-8", "OSOUNOBYRMOXQQ-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-methylbenzene", "C_7H_7Cl", "$p$-chlorotoluene", &
    "106-43-4", "NPDACUSDTOMAMK-UHFFFAOYSA-N")
  CALL Species("(dichloromethyl)-benzene", "C_7H_6Cl_2", "", &
    "98-87-3", "CAHQGWAXKLQREW-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-4-methylbenzene", "C_7H_6Cl_2", "", &
    "95-75-0", "WYUIWKFIFOJVKW-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-2-methylbenzene", "C_7H_6Cl_2", "", &
    "118-69-4", "DMEDNTFWIHCBRK-UHFFFAOYSA-N")
  CALL Species("1-methyl-2,4-dichlorobenzene", "C_7H_6Cl_2", "2,4-dichlorotoluene", &
    "95-73-8", "FUNUTBJJKQIVSY-UHFFFAOYSA-N")
  CALL Species("1-methyl-2,4,5-trichlorobenzene", "C_7H_5Cl_3", "2,4,5-Trichlorotoluene", &
    "6639-30-1", "ZCXHZKNWIYVQNC-UHFFFAOYSA-N")
  CALL Species("1-methyl-2,3,6-trichlorobenzene", "C_7H_5Cl_3", "2,3,6-Trichlorotoluene", &
    "2077-46-5", "UZYYBZNZSSNYSA-UHFFFAOYSA-N")
  CALL Species("pentachloromethylbenzene", "C_7H_3Cl_5", "2,3,4,5,6-pentachlorotoluene", &
    "877-11-2", "AVSIMRGRHWKCAY-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-(chloromethyl)benzene", "C_7H_6Cl_2", "", &
    "611-19-8", "BASMANVIUSSIIM-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-(chloromethyl)benzene", "C_7H_6Cl_2", "", &
    "104-83-6", "JQZAEUFPPSRDOP-UHFFFAOYSA-N")
  CALL Species("chloro(dichloromethyl)benzene", "C_7H_5Cl_3", "", &
    "88-66-4", "BXSVYGKOUULJCL-UHFFFAOYSA-N")
  CALL Species("(trichloromethyl)-benzene", "C_7H_5Cl_3", "", &
    "98-07-7", "XEMRAKSQROQPBR-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-(trichloromethyl)benzene", "C_7H_4Cl_4", "", &
    "5216-25-1", "LVZPKYYPPLUECL-UHFFFAOYSA-N")
  CALL Species("1-chloro-3-ethenylbenzene", "C_8H_7Cl", "", &
    "2039-85-2", "BOVQCIDBZXNFEJ-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-ethenylbenzene", "C_8H_7Cl", "", &
    "1073-67-2", "KTZVZZJJVJQZHV-UHFFFAOYSA-N")
  CALL Species("1,4-dichloro-2,5-dimethylbenzene", "C_8H_8Cl_2", "", &
    "1124-05-6", "UTGSRNVBAFCOEU-UHFFFAOYSA-N")
  CALL Species("1,4-bis(trichloromethyl)benzene", "C_8H_4Cl_6", "", &
    "68-36-0", "OTEKOJQFKOIXMU-UHFFFAOYSA-N")
  CALL Species("$\alpha$,$\alpha$-dichloro-$o$-xylene", "C_8H_8Cl_2", "", &
    "612-12-4", "FMGGHNGKHRCJLL-UHFFFAOYSA-N")
  CALL Species("2-chlorostyrene", "C_8H_7Cl", "", &
    "2039-87-4", "ISRGONDNXBCDBM-UHFFFAOYSA-N")
  CALL Species("octachlorostyrene", "C_8Cl_8", "", &
    "29082-74-4", "RUYUCCQRWINUHE-UHFFFAOYSA-N")
  CALL Species("1-chloronaphthalene", "C_{10}H_7Cl", "", &
    "90-13-1", "JTPNRXUCIXHOKM-UHFFFAOYSA-N") ! other CAS: 25586-43-0
  CALL Species("2-chloronaphthalene", "C_{10}H_7Cl", "", &
    "91-58-7", "CGYGETOMCSJHJU-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichloronaphthalene", "C_{10}H_5Cl_3", "", &
    "1321-65-9", "QEPTXDCPBXMWJC-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrachloronaphthalene", "C_{10}H_4Cl_4", "", &
    "20020-02-4", "NAQWICRLNQSPPW-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5-pentachloronaphthalene", "C_{10}H_3Cl_5", "", &
    "1321-64-8", "JRZKNHITLINYHV-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5,6-hexachloronaphthalene", "C_{10}H_2Cl_6", "", &
    "1335-87-1", "CTLMCQOGOWNFHA-UHFFFAOYSA-N")
  CALL Species("octachloronaphthalene", "C_{10}Cl_8", "", &
    "2234-13-1", "RTNLUFLDZOAXIC-UHFFFAOYSA-N")
  CALL Species("heptachlor", "C_{10}H_5Cl_7", "", &
    "76-44-8", "FRCCEHPWNOQAEU-UHFFFAOYSA-N")
  CALL Species("1,3-dichloronaphthalene", "C_{10}H_6Cl_2", "", &
    "2198-75-6", "AMCBMCWLCDERHY-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-methyl-2-phenylpropane", "C_{10}H_{13}Cl", "", &
    "515-40-2", "DNXXUUPUQXSUFH-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-5-[(2$S$)-2,4,4,4-tetrachlorobutan-2-yl]benzene", "C_{10}H_8Cl_6", "", &
    "73588-42-8", "DELZPCKTBPIBEE-VIFPVBQESA-N")
  CALL Species("1,2,3,4,5,6,7,8,8-nonachloro-2,3,3a,4,7,7a-hexahydro-4,7-methano-1H-indene", "C_{10}H_5Cl_9", "nonachlor", &
    "3734-49-4", "OCHOKXCPKDPNQU-UHFFFAOYSA-N")
  CALL Species("1,1-dichloro-2,2-bis-(4-chlorophenyl)-ethane", "C_{14}H_{10}Cl_4", "p,p'-DDD", &
    "72-54-8", "AHJKRLASYNVKDZ-UHFFFAOYSA-N")
  CALL Species("mitotane", "C_{14}H_{10}Cl_4", "o,p'-DDD", &
    "53-19-0", "JWBOIMRXGHLCPP-UHFFFAOYSA-N")
  CALL Species("1,1-dichloro-2,2-bis-(4-chlorophenyl)-ethene", "C_{14}H_8Cl_4", "p,p'-DDE", &
    "72-55-9", "UCNVFOCBFJOQAL-UHFFFAOYSA-N")
  CALL Species("o,p'-DDE", "C_{14}H_8Cl_4", "", &
    "3424-82-6", "ZDYJWDIWLRZXDB-UHFFFAOYSA-N")
  CALL Species("1,1,1-trichloro-2-(2-chlorophenyl)-2-(4-chlorophenyl)ethane", "C_{14}H_9Cl_5", "o,p'-DDT", &
    "789-02-6", "CVUGPAFCQJIYDT-UHFFFAOYSA-N")
  CALL Species("1,1,1-trichloro-2,2-bis-(4-chlorophenyl)-ethane", "C_{14}H_9Cl_5", "DDT; p,p'-DDT", &
    "50-29-3", "YVGGHNCTFXOJCH-UHFFFAOYSA-N")
  CALL Species("aldrin", "C_{12}H_8Cl_6", "", &
    "309-00-2", "QBYJBZPUGVGKQQ-SJJAEHHWSA-N")
  CALL Species("isodrin", "C_{12}H_8Cl_6", "", &
    "465-73-6", "QBYJBZPUGVGKQQ-DIFDVCDBSA-N")
  CALL Species("1,1'-(2,2-dichloroethylidene)bis[4-ethylbenzene", "C_{18}H_{20}Cl_2", "perthane", &
    "72-56-0", "QFMDFTQOJHFVNR-UHFFFAOYSA-N")

  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Polychlorinated biphenyls (PCBs)")
  ! Aroclor products are identified by a four-digit numbering code in
  ! which the first two digits (12) indicate that the parent molecule is
  ! biphenyl and the last two digits indicate the percentage of chlorine
  ! content by weight. The exception to this formula is Aroclor 1016,
  ! which has an average chlorine percentage of 41.5 percent.
  ! (www.environmentwriter.org/resources/backissues/chemicals/pcb.htm)
  !CALL Species("aroclor1016", "C_{12}H_xCl_{(10-x)}", "", &
  !  "12674-11-2", "inchikey")
  !CALL Species("aroclor1221", "C_{12}H_xCl_{(10-x)}", "", &
  !  "11104-28-2", "inchikey")
  !CALL Species("aroclor1232", "C_{12}H_xCl_{(10-x)}", "", &
  !  "11141-16-5", "inchikey")
  !CALL Species("aroclor1242", "C_{12}H_xCl_{(10-x)}", "", &
  !  "53469-21-9", "inchikey")
  !CALL Species("aroclor1248", "C_{12}H_xCl_{(10-x)}", "", &
  !  "12672-29-6", "inchikey")
  !CALL Species("aroclor1254", "C_{12}H_xCl_{(10-x)}", "", &
  !  "11097-69-1", "inchikey")
  !CALL Species("aroclor1260", "C_{12}H_xCl_{(10-x)}", "", &
  !  "11096-82-5", "inchikey")
  !CALL Species("aroclor1268", "C_{12}H_xCl_{(10-x)}", "", &
  !  "11100-14-4", "inchikey")
  ! PCBs with IUPAC (BZ) PCB-number:
  CALL Species("2-chlorobiphenyl",                         "C_{12}H_9Cl",   "PCB-1", &
    "2051-60-7", "LAXBNTIAOJWAOP-UHFFFAOYSA-N")
  CALL Species("3-chlorobiphenyl",                         "C_{12}H_9Cl",   "PCB-2", &
    "2051-61-8", "NMWSKOLWZZWHPL-UHFFFAOYSA-N")
  CALL Species("4-chlorobiphenyl",                         "C_{12}H_9Cl",   "PCB-3", &
    "2051-62-9", "FPWNLURCHDRMHC-UHFFFAOYSA-N")
  CALL Species("2,2'-dichlorobiphenyl",                    "C_{12}H_8Cl_2", "PCB-4", &
    "13029-08-8", "JAYCNKDKIKZTAF-UHFFFAOYSA-N")
  CALL Species("2,3-dichlorobiphenyl",                     "C_{12}H_8Cl_2", "PCB-5", &
    "16605-91-7", "XOMKZKJEJBZBJJ-UHFFFAOYSA-N")
  CALL Species("2,3'-dichlorobiphenyl",                    "C_{12}H_8Cl_2", "PCB-6", &
    "25569-80-6", "ZHBBDTRJIVXKEX-UHFFFAOYSA-N")
  CALL Species("2,4-dichlorobiphenyl",                     "C_{12}H_8Cl_2", "PCB-7", &
    "33284-50-3", "WEJZHZJJXPXXMU-UHFFFAOYSA-N")
  CALL Species("2,4'-dichlorobiphenyl",                    "C_{12}H_8Cl_2", "PCB-8", &
    "34883-43-7", "UFNIBRDIUNVOMX-UHFFFAOYSA-N")
  CALL Species("2,5-dichlorobiphenyl",                     "C_{12}H_8Cl_2", "PCB-9", &
    "34883-39-1", "KKQWHYGECTYFIA-UHFFFAOYSA-N")
  CALL Species("2,6-dichlorobiphenyl",                     "C_{12}H_8Cl_2", "PCB-10", &
    "33146-45-1", "IYZWUWBAFUBNCH-UHFFFAOYSA-N")
  CALL Species("3,3'-dichlorobiphenyl",                    "C_{12}H_8Cl_2", "PCB-11", &
    "2050-67-1", "KTXUOWUHFLBZPW-UHFFFAOYSA-N")
  CALL Species("3,4-dichlorobiphenyl",                     "C_{12}H_8Cl_2", "PCB-12", &
    "2974-92-7", "ZGHQUYZPMWMLBM-UHFFFAOYSA-N")
  CALL Species("3,4'-dichlorobiphenyl",                    "C_{12}H_8Cl_2", "PCB-13", &
    "2974-90-5", "CJDNEKOMKXLSBN-UHFFFAOYSA-N")
  CALL Species("3,5-dichlorobiphenyl",                     "C_{12}H_8Cl_2", "PCB-14", &
    "34883-41-5", "QHZSDTDMQZPUKC-UHFFFAOYSA-N")
  CALL Species("4,4'-dichlorobiphenyl",                    "C_{12}H_8Cl_2", "PCB-15", &
    "2050-68-2", "YTBRNEUEFCNVHC-UHFFFAOYSA-N")
  CALL Species("2,2',3-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-16", &
    "38444-78-9", "XVIZMMSINIOIQP-UHFFFAOYSA-N")
  CALL Species("2,2',4-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-17", &
    "37680-66-3", "YKKYCYQDUUXNLN-UHFFFAOYSA-N")
  CALL Species("2,2',5-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-18", &
    "37680-65-2", "DCMURXAZTZQAFB-UHFFFAOYSA-N")
  CALL Species("2,2',6-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-19", &
    "38444-73-4", "MVXIJRBBCDLNLX-UHFFFAOYSA-N")
  CALL Species("2,3,3'-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-20", &
    "38444-84-7", "SXHLTVKPNQVZGL-UHFFFAOYSA-N")
  CALL Species("2,3,4-trichlorobiphenyl",                  "C_{12}H_7Cl_3", "PCB-21", &
    "55702-46-0", "IUYHQGMDSZOPDZ-UHFFFAOYSA-N")
  CALL Species("2,3,4'-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-22", &
    "38444-85-8", "ZMHWQAHZKUPENF-UHFFFAOYSA-N")
  CALL Species("2,3,5-trichlorobiphenyl",                  "C_{12}H_7Cl_3", "PCB-23", &
    "55720-44-0", "GBUCDGDROYMOAN-UHFFFAOYSA-N")
  CALL Species("2,3,6-trichlorobiphenyl",                  "C_{12}H_7Cl_3", "PCB-24", &
    "55702-45-9", "LVROLHVSYNLFBE-UHFFFAOYSA-N")
  CALL Species("2,3',4-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-25", &
    "55712-37-3", "XBBZAULFUPBZSP-UHFFFAOYSA-N")
  CALL Species("2,3',5-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-26", &
    "38444-81-4", "ONNCPBRWFSKDMQ-UHFFFAOYSA-N")
  CALL Species("2,3',6-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-27", &
    "38444-76-7", "VQOFJPFYTCHPTR-UHFFFAOYSA-N")
  CALL Species("2,4,4'-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-28", &
    "7012-37-5", "BZTYNSQSZHARAZ-UHFFFAOYSA-N")
  CALL Species("2,4,5-trichlorobiphenyl",                  "C_{12}H_7Cl_3", "PCB-29", &
    "15862-07-4", "VGVIKVCCUATMNG-UHFFFAOYSA-N")
  CALL Species("2,4,6-trichlorobiphenyl",                  "C_{12}H_7Cl_3", "PCB-30", &
    "35693-92-6", "MTLMVEWEYZFYTH-UHFFFAOYSA-N")
  CALL Species("2,4',5-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-31", &
    "16606-02-3", "VAHKBZSAUKPEOV-UHFFFAOYSA-N")
  CALL Species("2,4',6-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-32", &
    "38444-77-8", "IHIDFKLAWYPTKB-UHFFFAOYSA-N")
  CALL Species("2,3',4'-trichlorobiphenyl",                "C_{12}H_7Cl_3", "PCB-33", &
    "38444-86-9", "RIMXLXBUOQMDHV-UHFFFAOYSA-N")
  CALL Species("2,3',5'-trichlorobiphenyl",                "C_{12}H_7Cl_3", "PCB-34", &
    "37680-68-5", "GXVMAQACUOSFJF-UHFFFAOYSA-N")
  CALL Species("3,3',4-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-35", &
    "37680-69-6", "JHBVPKZLIBDTJR-UHFFFAOYSA-N")
  CALL Species("3,3',5-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-36", &
    "38444-87-0", "RIBGNAJQTOXRDK-UHFFFAOYSA-N")
  CALL Species("3,4,4'-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-37", &
    "38444-90-5", "YZANRISAORXTHU-UHFFFAOYSA-N")
  CALL Species("3,4,5-trichlorobiphenyl",                  "C_{12}H_7Cl_3", "PCB-38", &
    "53555-66-1", "BSFZSQRJGZHMMV-UHFFFAOYSA-N")
  CALL Species("3,4',5-trichlorobiphenyl",                 "C_{12}H_7Cl_3", "PCB-39", &
    "38444-88-1", "SYSBNFJJSJLZMM-UHFFFAOYSA-N")
  CALL Species("2,2',3,3'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-40", &
    "38444-93-8", "VTLYHLREPCPDKX-UHFFFAOYSA-N")
  CALL Species("2,2',3,4-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-41", &
    "52663-59-9", "SEWHDNLIHDBVDZ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-42", &
    "36559-22-5", "ALFHIHDQSYXSGP-UHFFFAOYSA-N")
  CALL Species("2,2',3,5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-43", &
    "70362-46-8", "NRBNBYFPJCCKTO-UHFFFAOYSA-N")
  CALL Species("2,2',3,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-44", &
    "41464-39-5", "ALDJIKXAHSDLLB-UHFFFAOYSA-N")
  CALL Species("2,2',3,6-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-45", &
    "70362-45-7", "VHGHHZZTMJLTJX-UHFFFAOYSA-N")
  CALL Species("2,2',3,6'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-46", &
    "41464-47-5", "CUGLICQCTXWQNF-UHFFFAOYSA-N")
  CALL Species("2,2',4,4'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-47", &
    "2437-79-8", "QORAVNMWUNPXAO-UHFFFAOYSA-N")
  CALL Species("2,2',4,5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-48", &
    "70362-47-9", "XBTHILIDLBPRPM-UHFFFAOYSA-N")
  CALL Species("2,2',4,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-49", &
    "41464-40-8", "ZWPVHELAQPIZHO-UHFFFAOYSA-N")
  CALL Species("2,2',4,6-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-50", &
    "62796-65-0", "VLLVVZDKBSYMCG-UHFFFAOYSA-N")
  CALL Species("2,2',4,6'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-51", &
    "68194-04-7", "WVHNUGRFECMVLQ-UHFFFAOYSA-N")
  CALL Species("2,2',5,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-52", &
    "35693-99-3", "HCWZEPKLWVAEOV-UHFFFAOYSA-N")
  CALL Species("2,2',5,6'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-53", &
    "41464-41-9", "SFTUSTXGTCCSHX-UHFFFAOYSA-N")
  CALL Species("2,2',6,6'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-54", &
    "15968-05-5", "PXAGFNRKXSYIHU-UHFFFAOYSA-N")
  CALL Species("2,3,3',4-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-55", &
    "74338-24-2", "ZKGSEEWIVLAUNH-UHFFFAOYSA-N")
  CALL Species("2,3,3',4'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-56", &
    "41464-43-1", "UNCGJRRROFURDV-UHFFFAOYSA-N")
  CALL Species("2,3,3',5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-57", &
    "70424-67-8", "DHDBTLFALXRTLB-UHFFFAOYSA-N")
  CALL Species("2,3,3',5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-58", &
    "41464-49-7", "IOPBNBSKOPJKEG-UHFFFAOYSA-N")
  CALL Species("2,3,3',6-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-59", &
    "74472-33-6", "WZNAMGYIQPAXDH-UHFFFAOYSA-N")
  CALL Species("2,3,4,4'-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-60", &
    "33025-41-1", "XLDBTRJKXLKYTC-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetrachlorobiphenyl",              "C_{12}H_6Cl_4", "PCB-61", &
    "33284-53-6", "HLQDGCWIOSOMDP-UHFFFAOYSA-N")
  CALL Species("2,3,4,6-tetrachlorobiphenyl",              "C_{12}H_6Cl_4", "PCB-62", &
    "54230-22-7", "HOBRTVXSIVSXIA-UHFFFAOYSA-N")
  CALL Species("2,3,4',5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-63", &
    "74472-34-7", "CITMYAMXIZQCJD-UHFFFAOYSA-N")
  CALL Species("2,3,4',6-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-64", &
    "52663-58-8", "FXRXQYZZALWWGA-UHFFFAOYSA-N")
  CALL Species("2,3,5,6-tetrachlorobiphenyl",              "C_{12}H_6Cl_4", "PCB-65", &
    "33284-54-7", "BLAYIQLVUNIICD-UHFFFAOYSA-N")
  CALL Species("2,3',4,4'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-66", &
    "32598-10-0", "RKLLTEAEZIJBAU-UHFFFAOYSA-N")
  CALL Species("2,3',4,5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-67", &
    "73575-53-8", "LQEGJNOKOZHBBZ-UHFFFAOYSA-N")
  CALL Species("2,3',4,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-68", &
    "73575-52-7", "KTTXLLZIBIDUCR-UHFFFAOYSA-N")
  CALL Species("2,3',4,6-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-69", &
    "60233-24-1", "CKUBKYSLNCKBOI-UHFFFAOYSA-N")
  CALL Species("2,3',4',5-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-70", &
    "32598-11-1", "KENZYIHFBRWMOD-UHFFFAOYSA-N")
  CALL Species("2,3',4',6-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-71", &
    "41464-46-4", "WYVBETQIUHPLFO-UHFFFAOYSA-N")
  CALL Species("2,3',5,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-72", &
    "41464-42-0", "WBTMFEPLVQOWFI-UHFFFAOYSA-N")
  CALL Species("2,3',5',6-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-73", &
    "74338-23-1", "HDULUCZRGGWTMZ-UHFFFAOYSA-N")
  CALL Species("2,4,4',5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-74", &
    "32690-93-0", "TULCXSBAPHCWCF-UHFFFAOYSA-N")
  CALL Species("2,4,4',6-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-75", &
    "32598-12-2", "RZFZBHKDGHISSH-UHFFFAOYSA-N")
  CALL Species("2,3',4',5'-tetrachlorobiphenyl",           "C_{12}H_6Cl_4", "PCB-76", &
    "70362-48-0", "QILUYCYPNYWMIL-UHFFFAOYSA-N")
  CALL Species("3,3',4,4'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-77", &
    "32598-13-3", "UQMGJOKDKOLIDP-UHFFFAOYSA-N")
  CALL Species("3,3',4,5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-78", &
    "70362-49-1", "SXFLURRQRFKBNN-UHFFFAOYSA-N")
  CALL Species("3,3',4,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-79", &
    "41464-48-6", "QLCTXEMDCZGPCG-UHFFFAOYSA-N")
  CALL Species("3,3',5,5'-tetrachlorobiphenyl",            "C_{12}H_6Cl_4", "PCB-80", &
    "33284-52-5", "UTMWFJSRHLYRPY-UHFFFAOYSA-N")
  CALL Species("3,4,4',5-tetrachlorobiphenyl",             "C_{12}H_6Cl_4", "PCB-81", &
    "70362-50-4", "BHWVLZJTVIYLIV-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-82", &
    "52663-62-4", "AUGNBQPSMWGAJE-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-83", &
    "60145-20-2", "SUBRHHYLRGOTHL-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-84", &
    "52663-60-2", "QVWUJLANSDKRAH-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-85", &
    "65510-45-4", "LACXVZHAJMVESG-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-86", &
    "55312-69-1", "AIURIRUDHVDRFQ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-87", &
    "38380-02-8", "OPKYDBFRKPQCBS-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,6-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-88", &
    "55215-17-3", "QGDKRLQRLFUJPP-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,6'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-89", &
    "73575-57-2", "GLOOIONSKMZYQZ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-90", &
    "68194-07-0", "SUOAMBOBSWRMNQ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-91", &
    "68194-05-8", "CXKIGWXPPVZSQK-UHFFFAOYSA-N")
  CALL Species("2,2',3,5,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-92", &
    "52663-61-3", "CRCBRZBVCDKPGA-UHFFFAOYSA-N")
  CALL Species("2,2',3,5,6-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-93", &
    "73575-56-1", "BMXRLHMJGHJGLR-UHFFFAOYSA-N")
  CALL Species("2,2',3,5,6'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-94", &
    "73575-55-0", "FJUVPPYNSDTRQV-UHFFFAOYSA-N")
  CALL Species("2,2',3,5',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-95", &
    "38379-99-6", "GXNNLIMMEXHBKV-UHFFFAOYSA-N")
  CALL Species("2,2',3,6,6'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-96", &
    "73575-54-9", "QQFGAXUIQVKBKU-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5'-pentachlorobiphenyl",         "C_{12}H_5Cl_5", "PCB-97", &
    "41464-51-1", "JTUSORDQZVOEAZ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',6'-pentachlorobiphenyl",         "C_{12}H_5Cl_5", "PCB-98", &
    "60233-25-2", "GOFFZTAPOOICFT-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-99", &
    "38380-01-7", "LMQJBFRGXHMNOX-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-100", &
    "39485-83-1", "RKUAZJIXKHPFRK-UHFFFAOYSA-N")
  CALL Species("2,2',4,5,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-101", &
    "37680-73-2", "LAHWLEDBADHJGA-UHFFFAOYSA-N")
  CALL Species("2,2',4,5,6'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-102", &
    "68194-06-9", "BWWVXHRLMPBDCK-UHFFFAOYSA-N")
  CALL Species("2,2',4,5',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-103", &
    "60145-21-3", "PQHZWWBJPCNNGI-UHFFFAOYSA-N")
  CALL Species("2,2',4,6,6'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-104", &
    "56558-16-8", "MTCPZNVSDFCBBE-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-105", &
    "32598-14-4", "WIDHRBRBACOVOY-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,5-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-106", &
    "70424-69-0", "BQENMISTWGTJIJ-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',5-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-107", &
    "70424-68-9", "PVYBHVJTMRRXLG-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-108", &
    "70362-41-3", "MPCDNZSLJWJDNW-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,6-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-109", &
    "74472-35-8", "XGQBSVVYMVILEL-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-110", &
    "38380-03-9", "ARXHIJMGSIYYRZ-UHFFFAOYSA-N")
  CALL Species("2,3,3',5,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-111", &
    "39635-32-0", "QMUDLTGWHILKHH-UHFFFAOYSA-N")
  CALL Species("2,3,3',5,6-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-112", &
    "74472-36-9", "NTKSJAPQYKCFPP-UHFFFAOYSA-N")
  CALL Species("2,3,3',5',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-113", &
    "68194-10-5", "YDGFMDPEJCJZEV-UHFFFAOYSA-N")
  CALL Species("2,3,4,4',5-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-114", &
    "74472-37-0", "SXZSFWHOSHAKMN-UHFFFAOYSA-N")
  CALL Species("2,3,4,4',6-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-115", &
    "74472-38-1", "IOVARPVVZDOPGQ-UHFFFAOYSA-N")
  CALL Species("2,3,4,5,6-pentachlorobiphenyl",            "C_{12}H_5Cl_5", "PCB-116", &
    "18259-05-7", "GGMPTLAAIUQMIE-UHFFFAOYSA-N")
  CALL Species("2,3,4',5,6-pentachlorobiphenyl",           "C_{12}H_5Cl_5", "PCB-117", &
    "68194-11-6", "ZDDZPDTVCZLFFC-UHFFFAOYSA-N")
  CALL Species("2,3',4,4',5-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-118", &
    "31508-00-6", "IUTPYMGCWINGEY-UHFFFAOYSA-N")
  CALL Species("2,3',4,4',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-119", &
    "56558-17-9", "OAEQTHQGPZKTQP-UHFFFAOYSA-N")
  CALL Species("2,3',4,5,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-120", &
    "68194-12-7", "ZLGYJAIAVPVCNF-UHFFFAOYSA-N")
  CALL Species("2,3',4,5',6-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-121", &
    "56558-18-0", "XBVSGJGMWSKAKL-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',5'-pentachlorobiphenyl",         "C_{12}H_5Cl_5", "PCB-122", &
    "76842-07-4", "GWOWBISZHLPYEK-UHFFFAOYSA-N")
  CALL Species("2,3',4,4',5'-pentachlorobiphenyl",         "C_{12}H_5Cl_5", "PCB-123", &
    "65510-44-3", "YAHNWSSFXMVPOU-UHFFFAOYSA-N")
  CALL Species("2,3',4',5,5'-pentachlorobiphenyl",         "C_{12}H_5Cl_5", "PCB-124", &
    "70424-70-3", "PIVBPZFQXKMHBD-UHFFFAOYSA-N")
  CALL Species("2,3',4',5',6-pentachlorobiphenyl",         "C_{12}H_5Cl_5", "PCB-125", &
    "74472-39-2", "WAZUWHGJMMZVHH-UHFFFAOYSA-N")
  CALL Species("3,3',4,4',5-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-126", &
    "57465-28-8", "REHONNLQRWTIFF-UHFFFAOYSA-N")
  CALL Species("3,3',4,5,5'-pentachlorobiphenyl",          "C_{12}H_5Cl_5", "PCB-127", &
    "39635-33-1", "MXVAYAXIPRGORY-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-128", &
    "38380-07-3", "BTAGRXWGMYTPBY-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-129", &
    "55215-18-4", "VQQKIXKPMJTUMP-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-130", &
    "52663-66-8", "YFSLABAYQDPWPF-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-131", &
    "61798-70-7", "WDLTVNWWEZJMPF-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-132", &
    "38380-05-1", "OKBJVIVEFXPEOU-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-133", &
    "35694-04-3", "AJKLKINFZLWHQE-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5,6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-134", &
    "52704-70-8", "RVWLHPJFOKUPNM-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-135", &
    "52744-13-5", "UUTNFLRSJBQQJM-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',6,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-136", &
    "38411-22-2", "FZFUUSROAHKTTF-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-137", &
    "35694-06-5", "CKLLRBPBZLTGDJ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-138", &
    "35065-28-2", "RPUMZMSNLZHIGZ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-139", &
    "56030-56-9", "SPOPSCCFZQFGDL-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-140", &
    "59291-64-4", "XBBRGUHRZBZMPP-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5,5'-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-141", &
    "52712-04-6", "UCLKLGIYGBLTSM-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5,6-hexachlorobiphenyl",          "C_{12}H_4Cl_6", "PCB-142", &
    "41411-61-4", "RUEIBQJFGMERJD-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5,6'-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-143", &
    "68194-15-0", "UQPQKLGBEKEZBV-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5',6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-144", &
    "68194-14-9", "CXXRQFOKRZJAJA-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,6,6'-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-145", &
    "74472-40-5", "JZFZCLFEPXCRCA-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-146", &
    "51908-16-8", "BQHCQAQLTCQFJZ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5,6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-147", &
    "68194-13-8", "AQONCPKMJSBHQT-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-148", &
    "74472-41-6", "CTVRBEKNQHJPLX-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5',6-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-149", &
    "38380-04-0", "LKHLFUVHHXCNJH-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',6,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-150", &
    "68194-08-1", "RPPNJBZNXQNKNM-UHFFFAOYSA-N")
  CALL Species("2,2',3,5,5',6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-151", &
    "52663-63-5", "UHCLFIWDCYOTOL-UHFFFAOYSA-N")
  CALL Species("2,2',3,5,6,6'-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-152", &
    "68194-09-2", "CLODVDBWNVQLGO-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-153", &
    "35065-27-1", "MVWHGTYKUMDIHL-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-154", &
    "60145-22-4", "QXZHEJWDLVUFFB-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',6,6'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-155", &
    "33979-03-2", "ICOAEPDGFWLUTI-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',5-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-156", &
    "38380-08-4", "LCXMEXLGMKFLQO-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-157", &
    "69782-90-7", "YTWXDQVNPCIEOX-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-158", &
    "74472-42-7", "ZQUPQXINXTWCQR-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,5,5'-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-159", &
    "39635-35-3", "YZKLGRAIIIGOHB-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,5,6-hexachlorobiphenyl",          "C_{12}H_4Cl_6", "PCB-160", &
    "41411-62-5", "JHJMZCXLJXRCHK-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,5',6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-161", &
    "74472-43-8", "UNPTZXSJGZTGJJ-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',5,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-162", &
    "39635-34-2", "AHZUOPSGLWYCNF-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',5,6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-163", &
    "74472-44-9", "ZAGRQXMWMRUYRB-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',5',6-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-164", &
    "74472-45-0", "HAZQOLYHFUUJJN-UHFFFAOYSA-N")
  CALL Species("2,3,3',5,5',6-hexachlorobiphenyl",         "C_{12}H_4Cl_6", "PCB-165", &
    "74472-46-1", "ZEATXTCWXKQPHO-UHFFFAOYSA-N")
  CALL Species("2,3,4,4',5,6-hexachlorobiphenyl",          "C_{12}H_4Cl_6", "PCB-166", &
    "41411-63-6", "BTOCFTAWZMMTNB-UHFFFAOYSA-N")
  CALL Species("2,3',4,4',5,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-167", &
    "52663-72-6", "AZXHAWRMEPZSSV-UHFFFAOYSA-N")
  CALL Species("2,3',4,4',5',6-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-168", &
    "59291-65-5", "PITHIPNORFGJPI-UHFFFAOYSA-N")
  CALL Species("3,3',4,4',5,5'-hexachlorobiphenyl",        "C_{12}H_4Cl_6", "PCB-169", &
    "32774-16-6", "ZHLICBPIXDOFFG-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-170", &
    "35065-30-6", "RMPWIIKNWPVWNG-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-171", &
    "52663-71-5", "TZMHVHLTPWKZCI-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,5'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-172", &
    "52663-74-8", "HOPMUCXYRNOABF-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,6-heptachlorobiphenyl",      "C_{12}H_3Cl_7", "PCB-173", &
    "68194-16-1", "PAYFWJAKKLILIT-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,6'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-174", &
    "38411-25-5", "ZDLMBNHYTPHDLF-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-175", &
    "40186-70-7", "KJBDZJFSYQUNJT-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,6,6'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-176", &
    "52663-65-7", "HGMYRFJAJNYBRX-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5',6'-heptachlorobiphenyl",    "C_{12}H_3Cl_7", "PCB-177", &
    "52663-70-4", "CXOYNJAHPUASHN-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5,5',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-178", &
    "52663-67-9", "WCIBKXHMIXUQHK-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5,6,6'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-179", &
    "52663-64-6", "XYHVYEUZLSYHDP-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,5'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-180", &
    "35065-29-3", "WBHQEUPUMONIKF-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,6-heptachlorobiphenyl",      "C_{12}H_3Cl_7", "PCB-181", &
    "74472-47-2", "DJEUXBQAKBLKPO-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,6'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-182", &
    "60145-23-5", "RXRLRYZUMSYVLS-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-183", &
    "52663-69-1", "KQBFUDNJKCZEDQ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',6,6'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-184", &
    "74472-48-3", "OBIUJJSQKPGKME-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5,5',6-heptachlorobiphenyl",      "C_{12}H_3Cl_7", "PCB-185", &
    "52712-05-7", "PYZHTHZEHQHHEN-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,5,6,6'-heptachlorobiphenyl",      "C_{12}H_3Cl_7", "PCB-186", &
    "74472-49-4", "FGDPOTMRBQHPJK-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5,5',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-187", &
    "52663-68-0", "UDMZPLROONOSEF-UHFFFAOYSA-N")
  CALL Species("2,2',3,4',5,6,6'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-188", &
    "74487-85-7", "MMTJWDQKGUNSDK-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',5,5'-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-189", &
    "39635-31-9", "XUAWBXBYHDRROL-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',5,6-heptachlorobiphenyl",      "C_{12}H_3Cl_7", "PCB-190", &
    "41411-64-7", "TYEDCFVCFDKSBK-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',5',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-191", &
    "74472-50-7", "TVFXBXWAXIMLAQ-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,5,5',6-heptachlorobiphenyl",      "C_{12}H_3Cl_7", "PCB-192", &
    "74472-51-8", "ZUTDUGMNROUBOX-UHFFFAOYSA-N")
  CALL Species("2,3,3',4',5,5',6-heptachlorobiphenyl",     "C_{12}H_3Cl_7", "PCB-193", &
    "69782-91-8", "SSTJUBQGYXNFFP-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5,5'-octachlorobiphenyl",   "C_{12}H_2Cl_8", "PCB-194", &
    "35694-08-7", "DTMRKGRREZAYAP-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5,6-octachlorobiphenyl",    "C_{12}H_2Cl_8", "PCB-195", &
    "52663-78-2", "JAHJITLFJSDRCG-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5,6'-octachlorobiphenyl",   "C_{12}H_2Cl_8", "PCB-196", &
    "42740-50-1", "BQFCCUSDZLKBJG-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',6,6'-octachlorobiphenyl",   "C_{12}H_2Cl_8", "PCB-197", &
    "33091-17-7", "YPDBBDKYNWRFMF-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,5',6-octachlorobiphenyl",    "C_{12}H_2Cl_8", "PCB-198", &
    "68194-17-2", "PJHBSPRZHUOIAS-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,5',6'-octachlorobiphenyl",   "C_{12}H_2Cl_8", "PCB-199", &
    "52663-75-9", "HJBYDWKNARZTMJ-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,6,6'-octachlorobiphenyl",    "C_{12}H_2Cl_8", "PCB-200", &
    "52663-73-7", "HHXNVASVVVNNDG-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5',6,6'-octachlorobiphenyl",   "C_{12}H_2Cl_8", "PCB-201", &
    "40186-71-8", "LJQOBQLZTUSEJA-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',5,5',6,6'-octachlorobiphenyl",   "C_{12}H_2Cl_8", "PCB-202", &
    "2136-99-4", "JPOPEORRMSDUIP-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,5',6-octachlorobiphenyl",    "C_{12}H_2Cl_8", "PCB-203", &
    "52663-76-0", "DCPDZFRGNJDWPP-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,6,6'-octachlorobiphenyl",    "C_{12}H_2Cl_8", "PCB-204", &
    "74472-52-9", "JDZUWXRNKHXZFE-UHFFFAOYSA-N")
  CALL Species("2,3,3',4,4',5,5',6-octachlorobiphenyl",    "C_{12}H_2Cl_8", "PCB-205", &
    "74472-53-0", "VXXBCDUYUQKWCK-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5,5',6-nonachlorobiphenyl", "C_{12}HCl_9",   "PCB-206", &
    "40186-72-9", "JFIMDKGRGPNPRQ-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5,6,6'-nonachlorobiphenyl", "C_{12}HCl_9",   "PCB-207", &
    "52663-79-3", "YGDPIDTZOQGPAX-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,5,5',6,6'-nonachlorobiphenyl", "C_{12}HCl_9",   "PCB-208", &
    "52663-77-1", "XIFFTDRFWYFAPO-UHFFFAOYSA-N")
  CALL Species("decachlorobiphenyl",                       "C_{12}Cl_{10}", "PCB-209", &
    "2051-24-3", "ONXPZLFXDMAPRO-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Oxygenated chlorocarbons (\chem{C}, \chem{H}, \chem{O}, \chem{Cl})")
  ! C, H, O, Cl:
  ! aliphatic:
  CALL Species("phosgene", "CCl_2O", "", &
    "75-44-5", "YGYAWVDWMABLBF-UHFFFAOYSA-N")
  CALL Species("dichloroacetaldehyde", "C_2H_2Cl_2O", "", &
    "79-02-7", "NWQWQKUXRJYXFH-UHFFFAOYSA-N")
  CALL Species("chloroacetyl chloride", "C_2H_2Cl_2O", "", &
    "79-04-9", "VGCXGMAHQTYDJK-UHFFFAOYSA-N")
  CALL Species("chloral hydrate", "C_2H_3Cl_3O_2", "", &
    "302-17-0", "RNFNDJAIBTYOQL-UHFFFAOYSA-N")
  CALL Species("chloroacetaldehyde", "C_2H_3ClO", "", &
    "107-20-0", "QSKPIOLLBIHNAC-UHFFFAOYSA-N")
  CALL Species("2-chloroethanol", "C_2H_5ClO", "", &
    "107-07-3", "SZIFAVKTNFCBPC-UHFFFAOYSA-N")
  CALL Species("2-chloroethanol-d4", "ClC_2D_4OH", "", &
    "117067-62-6", "SZIFAVKTNFCBPC-LNLMKGTHSA-N")
  CALL Species("1,1,1-trichloro-2-propanone", "C_3H_3Cl_3O", "", &
    "918-00-3", "SMZHKGXSEAGRTI-UHFFFAOYSA-N")
  CALL Species("1,1-dichloro-2-propanone", "C_3H_4Cl_2O", "1,1-dichloroacetone", &
    "513-88-2", "CSVFWMMPUJDVKH-UHFFFAOYSA-N")
  CALL Species("carbonochloridic acid, 2-chloroethyl ester", "C_3H_4Cl_2O_2", "chloroethyl chloroformate", &
    "627-11-2", "SVDDJQGVOFZBNX-UHFFFAOYSA-N")
  CALL Species("carbonochloridic acid, ethyl ester", "C_3H_5ClO_2", "ethyl chloroformate", &
    "541-41-3", "RIFGWPKJUGCATF-UHFFFAOYSA-N")
  CALL Species("2-chloropropanoic acid", "C_3H_5ClO_2", "", &
    "598-78-7", "GAWAYYRQGQZKCR-UHFFFAOYSA-N")
  CALL Species("2,3-dichloro-1-propanol", "C_3H_6Cl_2O", "", &
    "616-23-9", "ZXCYIJGIGSDJQQ-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-2-propanol", "C_3H_6Cl_2O", "", &
    "96-23-1", "DEWLEGDTCGBNGU-UHFFFAOYSA-N")
  CALL Species("3-chloro-1,2-propanediol", "C_3H_7ClO_2", "", &
    "96-24-2", "SSZWWUDQMAHNAQ-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-propanol", "C_3H_7ClO", "", &
    "127-00-4", "YYTSGNJTASLUOY-UHFFFAOYSA-N")
  CALL Species("2-chloro-1-propanol", "C_3H_7ClO", "", &
    "78-89-7", "VZIQXGLTRZLBEX-UHFFFAOYSA-N")
  CALL Species("trichloroethanal", "CCl_3CHO", "trichloroacetaldehyde; chloral", &
    "75-87-6", "HFFLGKNGCAIQMO-UHFFFAOYSA-N")
  CALL Species("chloro-2-propanone", "CH_2ClCOCH_3", "chloroacetone", &
    "78-95-5", "BULLHNJGPPOUOX-UHFFFAOYSA-N")
  CALL Species("chloroethanoic acid", "CH_2ClCOOH", "chloroacetic acid", &
    "79-11-8", "FOCAUTSVDIKZOP-UHFFFAOYSA-N")
  CALL Species("dichloroethanoic acid", "CHCl_2COOH", "dichloroacetic acid", &
    "79-43-6", "JXTHNDFMNIQAHM-UHFFFAOYSA-N")
  CALL Species("trichloroethanoic acid", "CCl_3COOH", "trichloroacetic acid", &
    "76-03-9", "YNJBWRMUSHSURL-UHFFFAOYSA-N")
  CALL Species("2,2-dichloro-propanoic acid", "C_3H_4Cl_2O_2", "", &
    "75-99-0", "NDUPDOJHUQKPAG-UHFFFAOYSA-N")
  CALL Species("trichloroacetylchloride", "CCl_3COCl", "", &
    "76-02-8", "PVFOMCVHYWHZJE-UHFFFAOYSA-N")
  CALL Species("hexachloroacetone", "C_3Cl_6O", "", &
    "116-16-5", "DOJXGHGHTWFZHK-UHFFFAOYSA-N")
  CALL Species("(chloromethyl)-oxirane", "C_3H_5ClO", "epichlorohydrin", &
    "106-89-8", "BRLQWZUYTZBJKN-UHFFFAOYSA-N")
  CALL Species("methyl chloroethanoate", "C_3H_5ClO_2", "", &
    "96-34-4", "QABLOFMHHSOFRJ-UHFFFAOYSA-N")
  CALL Species("ethyl chloroethanoate", "C_4H_7ClO_2", "", &
    "105-39-5", "VEUUMBGHMNQHGO-UHFFFAOYSA-N")
  CALL Species("chloroacetic acid anhydride", "C_4H_4Cl_2O_3", "", &
    "541-88-8", "PNVPNXKRAUBJGW-UHFFFAOYSA-N")
  CALL Species("carbonochloridic acid, 1-methylethyl ester", "C_4H_7ClO_2", "", &
    "108-23-6", "IVRIRQXJSNCSPQ-UHFFFAOYSA-N")
  CALL Species("chlorobutanol", "C_4H_9ClO", "", &
    "1320-66-7", "OSASVXMJTNOKOY-UHFFFAOYSA-N")
  CALL Species("3-chloro-4-(dichloromethyl)-2-(5H)-furanone", "C_5H_3Cl_3O_2", "", &
    "122551-89-7", "WNQKLIFDPFSPIZ-UHFFFAOYSA-N")
  CALL Species("3-chloro-4-(dichloromethyl)-5-hydroxy-2-(5H)-furanone", "C_5H_3Cl_3O_3", "", &
    "77439-76-0", "WNTRMRXAGJOLCU-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichloro-2-methyl-3-pentanone", "C_6H_9Cl_3O", "", &
    "145556-04-3", "KAUWEMQJFDRELR-UHFFFAOYSA-N")
  CALL Species("bis(2-chloroisopropyl) ether", "C_6H_{12}Cl_2O", "", &
    "39638-32-9", "BULHJTXRZFEUDQ-UHFFFAOYSA-N")
  CALL Species("butyl 2,2,3,4,4-pentachloro-3-butenoate", "C_8H_9Cl_5O_2", "", &
    "75147-20-5", "JZJILZTVTMMGAR-UHFFFAOYSA-N")
  CALL Species("3-(2,2-dichlorovinyl)-2,2-dimethylcyclopropane carbonyl chloride", "C_8H_9Cl_3O", "", &
    "52314-67-7", "CHLAOFANYRDCPD-UHFFFAOYSA-N")
  CALL Species("3-(2,2-dichlorovinyl)-2,2-dimethylcyclopropane carboxylic acid", "C_8H_{10}Cl_2O_2", "", &
    "55701-05-8", "LLMLSUSAKZVFOA-UHFFFAOYSA-N")
  CALL Species("hexanoic acid, 3,3-dimethyl-4,6,6,6-tetrachloro, methyl ester", "C_9H_{14}Cl_4O_2", "", &
    "64667-33-0", "POFHGKISWXYKLB-UHFFFAOYSA-N")
  CALL Species("methyl 3-(2,2-dichlorovinyl)-2,2-dimethylcyclopropanecarboxylate", "C_9H_{12}Cl_2O_2", "", &
    "61898-95-1", "QJOOIMSFFIUFKX-UHFFFAOYSA-N")
  CALL Species("oxychlordane", "C_{10}H_4Cl_8O", "", &
    "27304-13-8", "VWGNQYSIWFHEQU-UHFFFAOYSA-N")
  CALL Species("kepone", "C_{10}Cl_{10}O", "", &
    "143-50-0", "LHHGDZSESBACKH-UHFFFAOYSA-N")
  ! aliphatic ethers:
  CALL Species("(2-chloroethoxy)-ethene", "C_4H_7ClO", "2-chloroethylvinylether", &
    "110-75-8", "DNJRKFKAFWSXSE-UHFFFAOYSA-N")
  CALL Species("bis-(2-chloroethoxy)-methane", "C_5H_{10}Cl_2O_2", "", &
    "111-91-1", "NLXGURFLBLRZRO-UHFFFAOYSA-N")
  CALL Species("bis-(chloromethyl) ether", "C_2H_4Cl_2O", "", &
    "542-88-1", "HRQGCQVOJVTVLU-UHFFFAOYSA-N")
  CALL Species("1,5-dichloro-3-oxapentane", "C_4H_8Cl_2O", "bis-(2-chloroethyl)-ether", &
    "111-44-4", "ZNSMNVMLTJELDZ-UHFFFAOYSA-N")
  CALL Species("bis-(2-chloroisopropyl) ether", "C_6H_{12}Cl_2O", "DCIP", &
    "108-60-1", "QCFYJCYNJLBDRT-UHFFFAOYSA-N")
  CALL Species("1,2-bis(2-chloroethoxy)ethane", "C_6H_{12}Cl_2O_2", "", &
    "112-26-5", "AGYUOJIYYGGHKV-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("2-hydroxychlorobenzene", "C_6H_5ClO", "$o$-chlorophenol", &
    "95-57-8", "ISPYQTSUDJAMAB-UHFFFAOYSA-N")
  CALL Species("3-hydroxychlorobenzene", "C_6H_5ClO", "$m$-chlorophenol", &
    "108-43-0", "HORNXRXVQWOLPJ-UHFFFAOYSA-N")
  CALL Species("4-hydroxychlorobenzene", "C_6H_5ClO", "$p$-chlorophenol", &
    "106-48-9", "WXNZTHHGJRFXKQ-UHFFFAOYSA-N")
  CALL Species("2,3-dichlorophenol", "C_6H_4Cl_2O", "", &
    "576-24-9", "UMPSXRYVXUPCOS-UHFFFAOYSA-N")
  CALL Species("2,4-dichlorophenol", "C_6H_4Cl_2O", "", &
    "120-83-2", "HFZWRUODUSTPEG-UHFFFAOYSA-N")
  CALL Species("2,5-dichlorophenol", "C_6H_4Cl_2O", "", &
    "583-78-8", "RANCECPPZPIPNO-UHFFFAOYSA-N")
  CALL Species("2,6-dichlorophenol", "C_6H_4Cl_2O", "", &
    "87-65-0", "HOLHYSJJBXSLMV-UHFFFAOYSA-N")
  CALL Species("3,4-dichlorophenol", "C_6H_4Cl_2O", "", &
    "95-77-2", "WDNBURPWRNALGP-UHFFFAOYSA-N")
  CALL Species("3,5-dichlorophenol", "C_6H_4Cl_2O", "", &
    "591-35-5", "VPOMSPZBQMDLTM-UHFFFAOYSA-N")
  CALL Species("2,3,4-trichlorophenol", "C_6H_3Cl_3O", "", &
    "15950-66-0", "HSQFVBWFPBKHEB-UHFFFAOYSA-N")
  CALL Species("2,3,5-trichlorophenol", "C_6H_3Cl_3O", "", &
    "933-78-8", "WWGQHTJIFOQAOC-UHFFFAOYSA-N")
  CALL Species("2,4,5-trichlorophenol", "C_6H_3Cl_3O", "", &
    "95-95-4", "LHJGJYXLEPZJPM-UHFFFAOYSA-N")
  CALL Species("2,3,6-trichlorophenol", "C_6H_3Cl_3O", "", &
    "933-75-5", "XGCHAIDDPMFRLJ-UHFFFAOYSA-N")
  CALL Species("2,4,6-trichlorophenol", "C_6H_3Cl_3O", "", &
    "88-06-2", "LINPIYWFGCPVIE-UHFFFAOYSA-N")
  CALL Species("3,4,5-trichlorophenol", "C_6H_3Cl_3O", "", &
    "609-19-8", "GBNHEBQXJVDXSW-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetrachlorophenol", "C_6H_2Cl_4O", "", &
    "4901-51-3", "RULKYXXCCZZKDZ-UHFFFAOYSA-N")
  CALL Species("2,3,4,6-tetrachlorophenol", "C_6H_2Cl_4O", "", &
    "58-90-2", "VGVRPFIJEJYOFN-UHFFFAOYSA-N")
  CALL Species("2,3,5,6-tetrachlorophenol", "C_6H_2Cl_4O", "", &
    "935-95-5", "KEWNKZNZRIAIAK-UHFFFAOYSA-N")
  CALL Species("hydroxypentachlorobenzene", "C_6HCl_5O", "pentachlorophenol", &
    "87-86-5", "IZUPBVBPLAPZRR-UHFFFAOYSA-N")
  CALL Species("3,4,5-trichloro-1,2-benzenediol", "C_6H_3Cl_3O_2", "3,4,5-trichlorocatechol", &
    "56961-20-7", "FUTDYIMYZIMPBJ-UHFFFAOYSA-N")
  CALL Species("4,5-dichloro-1,2-benzenediol", "C_6H_4Cl_2O_2", "4,5-dichlorocatechol", &
    "3428-24-8", "ACCHWUWBKYGKNM-UHFFFAOYSA-N")
  CALL Species("3,4,5,6-tetrachloro-1,2-benzenediol", "C_6H_2Cl_4O_2", "tetrachlorocatechol", &
    "1198-55-6", "RRBMVWQICIXSEO-UHFFFAOYSA-N")
  CALL Species("2,3,5,6-tetrachloro-$p$-benzoquinone", "C_6Cl_4O_2", "chloranil", &
    "118-75-2", "UGNWTBMOAKPKBL-UHFFFAOYSA-N")
  CALL Species("2-chloro-5-methylphenol", "C_7H_7ClO", "", &
    "615-74-7", "SMFHPCZZAAMJJO-UHFFFAOYSA-N")
  CALL Species("4-chloro-2-methylphenol", "C_7H_7ClO", "", &
    "1570-64-5", "RHPUJHQBPORFGV-UHFFFAOYSA-N")
  CALL Species("4-chloro-3-methylphenol", "C_7H_7ClO", "", &
    "59-50-7", "CFKMVGJGLGKFKI-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-methoxybenzene", "C_7H_7ClO", "2-chloroanisole", &
    "766-51-8", "QGRPVMLBTFGQDQ-UHFFFAOYSA-N")
  CALL Species("1-chloro-3-methoxybenzene", "C_7H_7ClO", "3-chloroanisole", &
    "2845-89-8", "YUKILTJWFRTXGB-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-methoxybenzene", "C_7H_7ClO", "4-chloroanisole", &
    "623-12-1", "YRGAYAGBVIXNAQ-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-3-methoxybenzene", "C_7H_6Cl_2O", "2,3-dichloroanisole", &
    "1984-59-4", "HFEASCCDHUVYKU-UHFFFAOYSA-N")
  CALL Species("1,5-dichloro-2-methoxybenzene", "C_7H_6Cl_2O", "2,4-dichloroanisole", &
    "553-82-2", "CICQUFBZCADHHX-UHFFFAOYSA-N")
  CALL Species("1,4-dichloro-2-methoxybenzene", "C_7H_6Cl_2O", "2,5-dichloroanisole", &
    "1984-58-3", "QKMNFFSBZRGHDJ-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-2-methoxybenzene", "C_7H_6Cl_2O", "2,6-dichloroanisole", &
    "1984-65-2", "KZLMCDNAVVJKPX-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-4-methoxybenzene", "C_7H_6Cl_2O", "3,4-dichloroanisole", &
    "36404-30-5", "VISJRVXHPNMYRH-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-5-methoxybenzene", "C_7H_6Cl_2O", "3,5-dichloroanisole", &
    "33719-74-3", "SSNXYMVLSOMJLU-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichloro-4-methoxybenzene", "C_7H_5Cl_3O", "2,3,4-trichloroanisole", &
    "54135-80-7", "FRQUNVLMWIYOLV-UHFFFAOYSA-N")
  CALL Species("1,2,5-trichloro-3-methoxybenzene", "C_7H_5Cl_3O", "2,3,5-trichloroanisole", &
    "54135-81-8", "MKERQGLKSFEKAE-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichloro-3-methoxybenzene", "C_7H_5Cl_3O", "2,3,6-trichloroanisole", &
    "50375-10-5", "OTFNCXLUCRUNCH-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichloro-5-methoxybenzene", "C_7H_5Cl_3O", "2,4,5-trichloroanisole", &
    "6130-75-2", "SXKBHOQOOGRFJF-UHFFFAOYSA-N")
  CALL Species("1,3,5-trichloro-2-methoxybenzene", "C_7H_5Cl_3O", "2,4,6-trichloroanisole", &
    "87-40-1", "WCVOGSZTONGSQY-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichloro-5-methoxybenzene", "C_7H_5Cl_3O", "3,4,5-trichloroanisole", &
    "54135-82-9", "GUCFBWGWRCILHN-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrachloro-5-methoxybenzene", "C_7H_4Cl_4O", "2,3,4,5-tetrachloroanisole", &
    "938-86-3", "FUUHMSUPRUNWRQ-UHFFFAOYSA-N")
  CALL Species("1,2,3,5-tetrachloro-4-methoxybenzene", "C_7H_4Cl_4O", "2,3,4,6-tetrachloroanisole", &
    "938-22-7", "ITXDBGLYYSJNPK-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetrachloro-3-methoxybenzene", "C_7H_4Cl_4O", "2,3,5,6-tetrachloroanisole", &
    "6936-40-9", "WMMFIDNWZNCBCT-UHFFFAOYSA-N")
  CALL Species("pentachloromethoxybenzene", "C_7H_3Cl_5O", "pentachloroanisole", &
    "1825-21-4", "BBABSCYTNHOKOG-UHFFFAOYSA-N")
  CALL Species("4,5-dichloro-2-methoxyphenol", "C_7H_6Cl_2O_2", "4,5-dichloroguaiacol", &
    "2460-49-3", "HAAFFTHBNFBVKY-UHFFFAOYSA-N")
  CALL Species("3,4,5-trichloro-2-methoxyphenol", "C_7H_5Cl_3O_2", "3,4,5-trichloroguaiacol", &
    "57057-83-7", "RKEHLKXRUVUBJN-UHFFFAOYSA-N")
  CALL Species("4,5,6-trichloro-2-methoxyphenol", "C_7H_5Cl_3O_2", "4,5,6-trichloroguaiacol", &
    "2668-24-8", "NIAJPNQTKGWEOI-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetrachloro-6-methoxyphenol", "C_7H_4Cl_4O_2", "tetrachloroguaiacol", &
    "2539-17-5", "YZZVKLJKDFFSFL-UHFFFAOYSA-N")
  CALL Species("3-chlorobenzoic acid", "C_7H_5ClO_2", "", &
    "535-80-8", "LULAYUGMBFYYEX-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichloro-4,5-dimethoxybenzene", "C_8H_7Cl_3O_2", "3,4,5-trichloroveratrole", &
    "16766-29-3", "VKNITLPENCJQOP-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrachloro-5,6-dimethoxybenzene", "C_8H_6Cl_4O_2", "tetrachloroveratrole", &
    "944-61-6", "NCYHCGGUQGDEQW-UHFFFAOYSA-N")
  CALL Species("3-chloro-2,6-dimethoxyphenol", "C_8H_9ClO_3", "3-chlorosyringol", &
    "18113-22-9", "WYEMCZZCZXKDNC-UHFFFAOYSA-N")
  CALL Species("3,5-dichloro-2,6-dimethoxyphenol", "C_8H_8Cl_2O_3", "3,5-dichlorosyringol", &
    "78782-46-4", "IDKMFABKPPHDBI-UHFFFAOYSA-N")
  CALL Species("3,5-dichloro-2-hydroxybenzoic acid", "C_7H_4Cl_2O_3", "", &
    "320-72-9", "CNJGWCQEGROXEE-UHFFFAOYSA-N")
  CALL Species("3,6-dichloro-2-hydroxybenzoic acid", "C_7H_4Cl_2O_3", "", &
    "3401-80-7", "FKIKPQHMWFZFEB-UHFFFAOYSA-N")
  CALL Species("5-chloro-2-methoxybenzoic acid", "C_8H_7ClO_3", "", &
    "3438-16-2", "HULDRQRKKXRXBI-UHFFFAOYSA-N")
  CALL Species("2-chloroacetophenone", "C_8H_7ClO", "", &
    "532-27-4", "IMACFCSSMIZSPP-UHFFFAOYSA-N")
  CALL Species("2,2,2',4',5'-pentachloroacetophenone", "C_8H_3Cl_5O", "", &
    "1203-86-7", "WKJXVVFAALGBOH-UHFFFAOYSA-N")
  CALL Species("tetrachloroterephthaloyl chloride", "C_8Cl_6O_2", "", &
    "719-32-4", "YJIRZJAZKDWEIJ-UHFFFAOYSA-N")
  CALL Species("chloroxylenol", "C_8H_9ClO", "", &
    "88-04-0", "OSDLLIBGSJNGJE-UHFFFAOYSA-N")
  CALL Species("4,5,6,7-tetrachloro-1,3-isobenzofurandione", "C_8Cl_4O_3", "", &
    "117-08-8", "AUHHYELHRWCWEZ-UHFFFAOYSA-N")
  CALL Species("3,4,5-trichloro-2,6-dimethoxyphenol", "C_8H_7Cl_3O_3", "trichlorosyringol", &
    "2539-26-6", "ZZCSBXFJFLSDRR-UHFFFAOYSA-N")
  CALL Species("4,5,6,7-tetrachlorophthalide", "C_8H_2Cl_4O_2", "", &
    "27355-22-2", "NMWKWBPNKPGATC-UHFFFAOYSA-N")
  CALL Species("dicamba", "C_8H_6Cl_2O_3", "banvel", &
    "1918-00-9", "IWEDIXLBFLAXBO-UHFFFAOYSA-N")
  CALL Species("(2,4-dichlorophenoxy)-ethanoic acid", "C_8H_6Cl_2O_3", "(2,4-dichlorophenoxy)-acetic acid; 2,4-D", &
    "94-75-7", "OVSKIKFHRZPJSS-UHFFFAOYSA-N")
  CALL Species("2,4,5-trichlorophenoxyethanoic acid", "C_8H_5Cl_3O_3", "2,4,5-T", &
    "93-76-5", "SMYMJHWAQXWPDB-UHFFFAOYSA-N")
  CALL Species("1,4-dichloro-2,5-dimethoxybenzene", "C_8H_8Cl_2O_2", "", &
    "2675-77-6", "PFIADAMVCJPXSF-UHFFFAOYSA-N")
  CALL Species("2,3,6-trichlorophenylacetic acid", "C_8H_5Cl_3O_2", "", &
    "85-34-7", "QZXCCPZJCKEPSA-UHFFFAOYSA-N")
  CALL Species("4-methoxy-benzoyl chloride", "C_8H_7ClO_2", "$p$-anisoyl chloride", &
    "100-07-2", "MXMOTZIXVICDSD-UHFFFAOYSA-N")
  CALL Species("isobenzan", "C_9H_4Cl_8O", "", &
    "297-78-9", "LRWHHSXTGZSMSN-UHFFFAOYSA-N")
  CALL Species("2-chloro-4-hydroxy-3,5-dimethoxybenzaldehyde", "C_9H_9ClO_4", "2-chlorosyringaldehyde", &
    "76341-69-0", "GRIHRCLOUQZXPD-UHFFFAOYSA-N")
  CALL Species("2,6-dichloro-4-hydroxy-3,5-dimethoxybenzaldehyde", "C_9H_8Cl_2O_4", "2,6-dichlorosyringaldehyde", &
    "76330-06-8", "CTFRWEPMHUGVMM-UHFFFAOYSA-N")
  CALL Species("methyl 2,4-dichlorophenoxyethanoate", "C_9H_8Cl_2O_3", "", &
    "1928-38-7", "HWIGZMADSFQMOI-UHFFFAOYSA-N")
  CALL Species("(2-methyl-4-chlorophenoxy)acetic acid", "C_9H_9ClO_3", "MCPA", &
    "94-74-6", "WHKUVVPPKQRRBV-UHFFFAOYSA-N")
  CALL Species("$\alpha$-(2,4-dichlorophenoxy)propionic acid", "C_9H_8Cl_2O_3", "dichloroprop", &
    "120-36-5", "MZHCENGPTKEIGP-UHFFFAOYSA-N")
  CALL Species("($R$)-2-(2,4-dichlorophenoxy)propanoic acid", "C_9H_8Cl_2O_3", "dichlorprop-p", &
    "15165-67-0", "MZHCENGPTKEIGP-RXMQYKEDSA-N")
  CALL Species("2-(2,4,5-trichlorophenoxy)propanoic acid", "C_9H_7Cl_3O_3", "", &
    "93-72-1", "ZLSWBLPERHFHIS-UHFFFAOYSA-N")
  CALL Species("tridiphane", "C_{10}H_7Cl_5O", "", &
    "58138-08-2", "IBZHOAONZVJLOB-UHFFFAOYSA-N")
  CALL Species("plifenat", "C_{10}H_7O_2Cl_5", "", &
    "21757-82-4", "FSGNOVKGEXRRHD-UHFFFAOYSA-N")
  CALL Species("ethyl 2,4-dichlorophenoxyethanoate", "C_{10}H_{10}Cl_2O_3", "", &
    "533-23-3", "JSLBZIVMVVHMDJ-UHFFFAOYSA-N")
  CALL Species("mecoprop", "C_{10}H_{11}ClO_3", "", &
    "7085-19-0", "WNTGYJSOUMFZEP-UHFFFAOYSA-N")
  CALL Species("($R$)-2-(4-chloro-2-methylphenoxy)propanoic acid", "C_{10}H_{11}ClO_3", "mecoprop-p", &
    "16484-77-8", "WNTGYJSOUMFZEP-SSDOTTSWSA-N")
  CALL Species("dacthal", "C_{10}H_6Cl_4O_4", "DCPA", &
    "1861-32-1", "NPOJQCVWMSKXDN-UHFFFAOYSA-N") ! other CAS: 65862-98-8
  CALL Species("4-(2,4-dichlorophenoxy)-butanoic acid", "C_{10}H_{10}Cl_2O_3", "", &
    "94-82-6", "YIVXMZJTEQBPQO-UHFFFAOYSA-N")
  CALL Species("dichlone", "C_{10}H_4Cl_2O_2", "", &
    "117-80-6", "SVPKNMBRVBMTLB-UHFFFAOYSA-N")
  CALL Species("(2,4-dichlorophenoxy)-acetic acid 1-methylethyl ester", "C_{11}H_{12}Cl_2O_3", "", &
    "94-11-1", "WHOKDONDRZNCBC-UHFFFAOYSA-N")
  CALL Species("4-(4-chloro-2-methylphenoxy)butanoic acid", "C_{11}H_{13}ClO_3", "MCPB", &
    "94-81-5", "LLWADFLAOKUBDR-UHFFFAOYSA-N")
  CALL Species("triclosan", "C_{12}H_7Cl_3O_2", "", &
    "3380-34-5", "XEFQLINVKFYRCS-UHFFFAOYSA-N")
  CALL Species("monobutyl tetrachlorophthalate", "C_{12}H_{10}Cl_4O_4", "", &
    "24261-19-6", "WKYMTJULVAGWJM-UHFFFAOYSA-N")
  CALL Species("(2,4-dichlorophenoxy)-acetic acid butyl ester", "C_{12}H_{14}Cl_2O_3", "", &
    "94-80-4", "UQMRAFJOBWOFNS-UHFFFAOYSA-N")
  CALL Species("sucralose", "C_{12}H_{19}Cl_3O_8", "", &
    "56038-13-2", "BAQAVOSOZGMPRM-QBMZZYIRSA-N")
  CALL Species("1,2,3,4,6-pentachlorodibenzo-$p$-dioxin", "C_{12}H_3Cl_5O_2", "", &
    "36088-22-9", "LNWDBNKKBLRAMH-UHFFFAOYSA-N")
  CALL Species("endrin aldehyde", "C_{12}H_8Cl_6O", "", &
    "7421-93-4", "HCTWZIFNBBCVGM-UHFFFAOYSA-N")
  CALL Species("clorophene", "C_{13}H_{11}ClO", "4-chloro-2-benzylphenol", &
    "120-32-1", "NCKMMSIFQUPKCK-UHFFFAOYSA-N")
  CALL Species("(4-chlorophenyl)phenylmethanone", "C_{13}H_9ClO", "4-chlorobenzophenone", &
    "134-85-0", "UGVRJVHOJNYEHR-UHFFFAOYSA-N")
  CALL Species("1-(4-chlorophenyl)-4,4-dimethyl-3-pentanone", "C_{13}H_{17}ClO", "", &
    "66346-01-8", "ILQGIJDYSLHIOX-UHFFFAOYSA-N")
  CALL Species("hexachlorophene", "C_{13}H_6Cl_6O_2", "", &
    "70-30-4", "ACGUYXCXAPNIKK-UHFFFAOYSA-N")
  CALL Species("2,4'-dichlorobenzophenone", "C_{13}H_8Cl_2O", "", &
    "85-29-0", "YXMYPHLWXBXNFF-UHFFFAOYSA-N")
  CALL Species("1-(4-chlorophenyl)-4,4-dimethylpent-1-en-3-one", "C_{13}H_{15}ClO", "", &
    "1577-03-3", "LXJZYHPGRKBVGF-UHFFFAOYSA-N")
  CALL Species("dichlorophen", "C_{13}H_{10}Cl_2O_2", "", &
    "97-23-4", "MDNWOSOZYLHTCG-UHFFFAOYSA-N")
  CALL Species("2-chloro-9,10-anthracenedione", "C_{14}H_7ClO_2", "", &
    "131-09-9", "FPKCTSIVDAWGFA-UHFFFAOYSA-N")
  CALL Species("dicofol", "C_{14}H_9Cl_5O", "", &
    "115-32-2", "UOAMTSKGCBMZTC-UHFFFAOYSA-N")
  CALL Species("bis(2,4-dichlorobenzoyl)peroxide", "C_{14}H_6Cl_4O_4", "", &
    "133-14-2", "WRXCBRHBHGNNQA-UHFFFAOYSA-N")
  CALL Species("dipropyl tetrachlorophthalate", "C_{14}H_{14}Cl_4O_4", "", &
    "6928-67-2", "QJRSPJSHRYYBJL-UHFFFAOYSA-N")
  CALL Species("2-(4-chlorobenzoyl)benzoic acid", "C_{14}H_9ClO_3", "", &
    "85-56-3", "YWECCEXWKFHHQJ-UHFFFAOYSA-N")
  CALL Species("(2,4,5-trichlorophenoxy)acetic acid butoxyethanol ester", "C_{14}H_{17}Cl_3O_4", "", &
    "2545-59-7", "GLDWASBMYWLQGG-UHFFFAOYSA-N")
  CALL Species("(2,4-dichlorophenoxy)-acetic acid, 2-butoxyethyl ester", "C_{14}H_{18}Cl_2O_4", "", &
    "1929-73-3", "ZMWGIGHRZQTQRE-UHFFFAOYSA-N")
  CALL Species("1-chloro-9,10-anthracenedione", "C_{14}H_7ClO_2", "1-chloroanthraquinone", &
    "82-44-0", "BOCJQSFSGAZAPQ-UHFFFAOYSA-N")
  CALL Species("4,4'-(1-methylethylidene)bis(2,6-dichlorophenol)", "C_{15}H_{12}Cl_4O_2", "2,2',6,6'-tetrachlorobisphenol A", &
    "79-95-8", "KYPYTERUKNKOLP-UHFFFAOYSA-N")
  CALL Species("methoxychlor", "C_{16}H_{15}Cl_3O_2", "", &
    "72-43-5", "IAKOZHOLGAGEJT-UHFFFAOYSA-N")
  CALL Species("diclofop-methyl", "C_{16}H_{14}Cl_2O_4", "", &
    "51338-27-3", "BACHBFVBHLGWSL-UHFFFAOYSA-N")
  CALL Species("chlorobenzilate", "C_{16}H_{14}Cl_2O_3", "", &
    "510-15-6", "RAPBNVDSDCTNRC-UHFFFAOYSA-N")
  CALL Species("(2,4-dichlorophenoxy)-acetic acid 2-ethylhexyl ester", "C_{16}H_{22}Cl_2O_3", "", &
    "1928-43-4", "QZSFJRIWRPJUOH-UHFFFAOYSA-N")
  CALL Species("(2,4-dichlorophenoxy)-acetic acid, isooctyl ester", "C_{16}H_{22}Cl_2O_3", "", &
    "25168-26-7", "BBPLSOGERZQYQC-UHFFFAOYSA-N")
  CALL Species("chloropropylate", "C_{17}H_{16}Cl_2O_3", "", &
    "5836-10-2", "AXGUBXVWZBFQGA-UHFFFAOYSA-N")
  CALL Species("1-(2-(2-chloroethoxy)ethoxy)-4-(1,1,3,3-tetramethylbutyl)benzene", "C_{18}H_{29}ClO_2", "", &
    "65925-28-2", "FITQCDWGUKECBJ-UHFFFAOYSA-N")
  CALL Species("fenofibrate", "C_{20}H_{21}ClO_4", "", &
    "49562-28-9", "YMTINGFKWWXKFG-UHFFFAOYSA-N")
  CALL Species("spirodiclofen", "C_{21}H_{24}Cl_2O_4", "", &
    "148477-71-8", "DTDSAWVUFPGDMX-UHFFFAOYSA-N")
  CALL Species("permethrin", "C_{21}H_{20}Cl_2O_3", "", &
    "52645-53-1", "RLLPVAHGXHCWKJ-UHFFFAOYSA-N")
  CALL Species("chlormadinone acetate", "C_{23}H_{29}ClO_4", "", &
    "302-22-7", "QMBJSIBWORFWQT-UHFFFAOYSA-N")
  CALL Species("3,4,5,6-tetrachlorophthalic acid bis(2-ethylhexyl) ester", "C_{24}H_{34}Cl_4O_4", "", &
    "34832-88-7", "BELGUQVGZMFEAQ-UHFFFAOYSA-N")
  ! polycyclic:
  CALL Species("endosulfan alcohol", "C_9H_8Cl_6O_2", "", &
    "2157-19-9", "GTSJHTSVFKEASK-UHFFFAOYSA-N")
  CALL Species("chlorendic anhydride", "C_9H_2Cl_6O_3", "", &
    "115-27-5", "FLBJFXNAEMSXGL-UHFFFAOYSA-N")
  CALL Species("1,4,5,6,7,7-hexachloro-bicyclo[2.2.1]hept-5-ene-2,3-dicarboxylic acid", "C_9H_4Cl_6O_4", "", &
    "115-28-6", "DJKGDNKYTKCJKD-UHFFFAOYSA-N")
  CALL Species("heptachlorepoxide", "C_{10}H_5Cl_7O", "", &
    "1024-57-3", "ZXFXBSWRVIQKOD-UHFFFAOYSA-N") ! other CAS: 66240-71-9
  CALL Species("dieldrin", "C_{12}H_8OCl_6", "", &
    "60-57-1", "DFBKLUNHFCTMDC-NLUYNBKHSA-N")
  CALL Species("endrin", "C_{12}H_8Cl_6O", "", &
    "72-20-8", "DFBKLUNHFCTMDC-GKRDHZSOSA-N")
  CALL Species("1,4,5,6,7,7-hexachlorobicyclo[2.2.1]hept-5-ene-2,3-dicarboxylic acid, dibutyl ester", &
    "C_{17}H_{20}Cl_6O_4", "", &
    "1770-80-5", "UJAHPBDUQZFDLA-UHFFFAOYSA-N")
  CALL Species("di-2-ethylhexyl chlorendate", "C_{25}H_{36}Cl_6O_4", "", &
    "4827-55-8", "ONIHOIFWLALAQH-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Polychlorinated diphenyl ethers (PCDEs)")
  ! if the casrn is unknown, the PCDE number with an underscore prefix is used:
  CALL Species("2-chlorodiphenyl ether",                         "C_{12}H_9ClO",   "PCDE-1", &
    "2689-07-8", "IPBRZLMGGXHHMS-UHFFFAOYSA-N")
  CALL Species("3-chlorodiphenyl ether",                         "C_{12}H_9ClO",   "PCDE-2", &
    "6452-49-9", "BMURONZFJJPAOK-UHFFFAOYSA-N")
  CALL Species("4-chlorodiphenyl ether",                         "C_{12}H_9ClO",   "PCDE-3", &
    "7005-72-3", "PGPNJCAMHOJTEF-UHFFFAOYSA-N")
  !CALL Species("2,2'-dichlorodiphenyl ether",                   "C_{12}H_8Cl_2O", "PCDE-4", &
  !  "_PCDE-4", "inchikey")
  CALL Species("2,3-dichlorodiphenyl ether",                     "C_{12}H_8Cl_2O", "PCDE-5", &
    "_PCDE-5", "inchikey")
  !CALL Species("2,3'-dichlorodiphenyl ether",                   "C_{12}H_8Cl_2O", "PCDE-6", &
  !  "_PCDE-6", "inchikey")
  CALL Species("2,4-dichlorodiphenyl ether",                     "C_{12}H_8Cl_2O", "PCDE-7", &
    "51892-26-3", "KXIPYLZZJZMMPD-UHFFFAOYSA-N")
  CALL Species("2,4'-dichlorodiphenyl ether",                    "C_{12}H_8Cl_2O", "PCDE-8", &
    "_PCDE-8", "inchikey")
  CALL Species("2,5-dichlorodiphenyl ether",                     "C_{12}H_8Cl_2O", "PCDE-9", &
    "_PCDE-9", "inchikey")
  CALL Species("2,6-dichlorodiphenyl ether",                     "C_{12}H_8Cl_2O", "PCDE-10", &
    "28419-69-4", "IRLZOQDGEAEIPX-UHFFFAOYSA-N")
  !CALL Species("3,3'-dichlorodiphenyl ether",                   "C_{12}H_8Cl_2O", "PCDE-11", &
  !  "_PCDE-11", "inchikey")
  CALL Species("3,4-dichlorodiphenyl ether",                     "C_{12}H_8Cl_2O", "PCDE-12", &
    "_PCDE-12", "inchikey")
  CALL Species("3,4'-dichlorodiphenyl ether",                    "C_{12}H_8Cl_2O", "PCDE-13", &
    "_PCDE-13", "inchikey")
  CALL Species("3,5-dichlorodiphenyl ether",                     "C_{12}H_8Cl_2O", "PCDE-14", &
    "_PCDE-14", "inchikey")
  CALL Species("4,4'-dichlorodiphenyl ether",                    "C_{12}H_8Cl_2O", "PCDE-15", &
    "2444-89-5", "URUJZHZLCCIILC-UHFFFAOYSA-N")
  !CALL Species("2,2',3-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-16", &
  !  "_PCDE-16", "inchikey")
  CALL Species("2,2',4-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-17", &
    "_PCDE-17", "inchikey")
  !CALL Species("2,2',5-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-18", &
  !  "_PCDE-18", "inchikey")
  !CALL Species("2,2',6-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-19", &
  !  "_PCDE-19", "inchikey")
  !CALL Species("2,3,3'-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-20", &
  !  "_PCDE-20", "inchikey")
  CALL Species("2,3,4-trichlorodiphenyl ether",                  "C_{12}H_7Cl_3O", "PCDE-21", &
    "_PCDE-21", "inchikey")
  CALL Species("2,3,4'-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-22", &
    "_PCDE-22", "inchikey")
  CALL Species("2,3,5-trichlorodiphenyl ether",                  "C_{12}H_7Cl_3O", "PCDE-23", &
    "_PCDE-23", "inchikey")
  CALL Species("2,3,6-trichlorodiphenyl ether",                  "C_{12}H_7Cl_3O", "PCDE-24", &
    "_PCDE-24", "inchikey")
  CALL Species("2,3',4-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-25", &
    "_PCDE-25", "inchikey")
  !CALL Species("2,3',5-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-26", &
  !  "_PCDE-26", "inchikey")
  !CALL Species("2,3',6-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-27", &
  !  "_PCDE-27", "inchikey")
  CALL Species("2,4,4'-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-28", &
    "_PCDE-28", "inchikey")
  CALL Species("2,4,5-trichlorodiphenyl ether",                  "C_{12}H_7Cl_3O", "PCDE-29", &
    "_PCDE-29", "inchikey")
  CALL Species("2,4,6-trichlorodiphenyl ether",                  "C_{12}H_7Cl_3O", "PCDE-30", &
    "_PCDE-30", "inchikey")
  CALL Species("2,4',5-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-31", &
    "65075-00-5", "FZBSTAVCYOMFMD-UHFFFAOYSA-N")
  CALL Species("2,4',6-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-32", &
    "_PCDE-32", "inchikey")
  CALL Species("2,3',4'-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-33", &
    "_PCDE-33", "inchikey")
  !CALL Species("2,3',5'-trichlorodiphenyl ether",               "C_{12}H_7Cl_3O", "PCDE-34", &
  !  "_PCDE-34", "inchikey")
  CALL Species("3,3',4-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-35", &
    "_PCDE-35", "inchikey")
  !CALL Species("3,3',5-trichlorodiphenyl ether",                "C_{12}H_7Cl_3O", "PCDE-36", &
  !  "_PCDE-36", "inchikey")
  CALL Species("3,4,4'-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-37", &
    "_PCDE-37", "inchikey")
  CALL Species("3,4,5-trichlorodiphenyl ether",                  "C_{12}H_7Cl_3O", "PCDE-38", &
    "_PCDE-38", "inchikey")
  CALL Species("3,4',5-trichlorodiphenyl ether",                 "C_{12}H_7Cl_3O", "PCDE-39", &
    "_PCDE-39", "inchikey")
  !CALL Species("2,2',3,3'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-40", &
  !  "_PCDE-40", "inchikey")
  CALL Species("2,2',3,4-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-41", &
    "_PCDE-41", "inchikey")
  CALL Species("2,2',3,4'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-42", &
    "_PCDE-42", "inchikey")
  !CALL Species("2,2',3,5-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-43", &
  !  "_PCDE-43", "inchikey")
  !CALL Species("2,2',3,5'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-44", &
  !  "_PCDE-44", "inchikey")
  !CALL Species("2,2',3,6-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-45", &
  !  "_PCDE-45", "inchikey")
  !CALL Species("2,2',3,6'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-46", &
  !  "_PCDE-46", "inchikey")
  CALL Species("2,2',4,4'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-47", &
    "28076-73-5", "ZRWRPGGXCSSBAO-UHFFFAOYSA-N")
  CALL Species("2,2',4,5-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-48", &
    "_PCDE-48", "inchikey")
  CALL Species("2,2',4,5'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-49", &
    "_PCDE-49", "inchikey")
  !CALL Species("2,2',4,6-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-50", &
  !  "_PCDE-50", "inchikey")
  !CALL Species("2,2',4,6'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-51", &
  !  "_PCDE-51", "inchikey")
  !CALL Species("2,2',5,5'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-52", &
  !  "_PCDE-52", "inchikey")
  !CALL Species("2,2',5,6'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-53", &
  !  "_PCDE-53", "inchikey")
  !CALL Species("2,2',6,6'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-54", &
  !  "_PCDE-54", "inchikey")
  CALL Species("2,3,3',4-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-55", &
    "_PCDE-55", "inchikey")
  CALL Species("2,3,3',4'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-56", &
    "_PCDE-56", "inchikey")
  !CALL Species("2,3,3',5-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-57", &
  !  "_PCDE-57", "inchikey")
  !CALL Species("2,3,3',5'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-58", &
  !  "_PCDE-58", "inchikey")
  !CALL Species("2,3,3',6-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-59", &
  !  "_PCDE-59", "inchikey")
  CALL Species("2,3,4,4'-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-60", &
    "_PCDE-60", "inchikey")
  CALL Species("2,3,4,5-tetrachlorodiphenyl ether",              "C_{12}H_6Cl_4O", "PCDE-61", &
    "_PCDE-61", "inchikey")
  CALL Species("2,3,4,6-tetrachlorodiphenyl ether",              "C_{12}H_6Cl_4O", "PCDE-62", &
    "_PCDE-62", "inchikey")
  CALL Species("2,3,4',5-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-63", &
    "_PCDE-63", "inchikey")
  CALL Species("2,3,4',6-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-64", &
    "_PCDE-64", "inchikey")
  CALL Species("2,3,5,6-tetrachlorodiphenyl ether",              "C_{12}H_6Cl_4O", "PCDE-65", &
    "_PCDE-65", "inchikey")
  CALL Species("2,3',4,4'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-66", &
    "61328-46-9", "CAWSVYYOUZEMHA-UHFFFAOYSA-N")
  CALL Species("2,3',4,5-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-67", &
    "_PCDE-67", "inchikey")
  CALL Species("2,3',4,5'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-68", &
    "_PCDE-68", "inchikey")
  !CALL Species("2,3',4,6-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-69", &
  !  "_PCDE-69", "inchikey")
  CALL Species("2,3',4',5-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-70", &
    "_PCDE-70", "inchikey")
  CALL Species("2,3',4',6-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-71", &
    "_PCDE-71", "inchikey")
  !CALL Species("2,3',5,5'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-72", &
  !  "_PCDE-72", "inchikey")
  !CALL Species("2,3',5',6-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-73", &
  !  "_PCDE-73", "inchikey")
  CALL Species("2,4,4',5-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-74", &
    "61328-45-8", "KXOJXWNARBQHNX-UHFFFAOYSA-N")
  CALL Species("2,4,4',6-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-75", &
    "_PCDE-75", "inchikey")
  !CALL Species("2,3',4',5'-tetrachlorodiphenyl ether",          "C_{12}H_6Cl_4O", "PCDE-76", &
  !  "_PCDE-76", "inchikey")
  CALL Species("3,3',4,4'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-77", &
    "56348-72-2", "DHLVZXZRIZBPKG-UHFFFAOYSA-N")
  !CALL Species("3,3',4,5-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-78", &
  !  "_PCDE-78", "inchikey")
  CALL Species("3,3',4,5'-tetrachlorodiphenyl ether",            "C_{12}H_6Cl_4O", "PCDE-79", &
    "_PCDE-79", "inchikey")
  !CALL Species("3,3',5,5'-tetrachlorodiphenyl ether",           "C_{12}H_6Cl_4O", "PCDE-80", &
  !  "_PCDE-80", "inchikey")
  CALL Species("3,4,4',5-tetrachlorodiphenyl ether",             "C_{12}H_6Cl_4O", "PCDE-81", &
    "_PCDE-81", "inchikey")
  CALL Species("2,2',3,3',4-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-82", &
    "_PCDE-82", "inchikey")
  !CALL Species("2,2',3,3',5-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-83", &
  !  "_PCDE-83", "inchikey")
  !CALL Species("2,2',3,3',6-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-84", &
  !  "_PCDE-84", "inchikey")
  CALL Species("2,2',3,4,4'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-85", &
    "71585-37-0", "RSBUDFTVQYJNHK-UHFFFAOYSA-N")
  !CALL Species("2,2',3,4,5-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-86", &
  !  "_PCDE-86", "inchikey")
  CALL Species("2,2',3,4,5'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-87", &
    "_PCDE-87", "inchikey")
  !CALL Species("2,2',3,4,6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-88", &
  !  "_PCDE-88", "inchikey")
  CALL Species("2,2',3,4,6'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-89", &
    "_PCDE-89", "inchikey")
  CALL Species("2,2',3,4',5-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-90", &
    "_PCDE-90", "inchikey")
  CALL Species("2,2',3,4',6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-91", &
    "_PCDE-91", "inchikey")
  !CALL Species("2,2',3,5,5'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-92", &
  !  "_PCDE-92", "inchikey")
  !CALL Species("2,2',3,5,6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-93", &
  !  "_PCDE-93", "inchikey")
  !CALL Species("2,2',3,5,6'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-94", &
  !  "_PCDE-94", "inchikey")
  !CALL Species("2,2',3,5',6-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-95", &
  !  "_PCDE-95", "inchikey")
  !CALL Species("2,2',3,6,6'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-96", &
  !  "_PCDE-96", "inchikey")
  CALL Species("2,2',3,4',5'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-97", &
    "_PCDE-97", "inchikey")
  !CALL Species("2,2',3,4',6'-pentachlorodiphenyl ether",        "C_{12}H_5Cl_5O", "PCDE-98", &
  !  "_PCDE-98", "inchikey")
  CALL Species("2,2',4,4',5-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-99", &
    "60123-64-0", "AVURWLKSFZBANQ-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-100", &
    "104294-16-8", "FONWDRSQXQZNBN-UHFFFAOYSA-N")
  CALL Species("2,2',4,5,5'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-101", &
    "131138-21-1", "MKIAKZAWONVRFF-UHFFFAOYSA-N")
  CALL Species("2,2',4,5,6'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-102", &
    "_PCDE-102", "inchikey")
  !CALL Species("2,2',4,5',6-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-103", &
  !  "_PCDE-103", "inchikey")
  !CALL Species("2,2',4,6,6'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-104", &
  !  "_PCDE-104", "inchikey")
  CALL Species("2,3,3',4,4'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-105", &
    "85918-31-6", "PKEGIXYNAGGYPN-UHFFFAOYSA-N")
  !CALL Species("2,3,3',4,5-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-106", &
  !  "_PCDE-106", "inchikey")
  !CALL Species("2,3,3',4',5-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-107", &
  !  "_PCDE-107", "inchikey")
  CALL Species("2,3,3',4,5'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-108", &
    "_PCDE-108", "inchikey")
  CALL Species("2,3,3',4,6-pentachlorodiphenyl ether",           "C_{12}H_5Cl_5O", "PCDE-109", &
    "_PCDE-109", "inchikey")
  CALL Species("2,3,3',4',6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-110", &
    "_PCDE-110", "inchikey")
  !CALL Species("2,3,3',5,5'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-111", &
  !  "_PCDE-111", "inchikey")
  !CALL Species("2,3,3',5,6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-112", &
  !  "_PCDE-112", "inchikey")
  !CALL Species("2,3,3',5',6-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-113", &
  !  "_PCDE-113", "inchikey")
  CALL Species("2,3,4,4',5-pentachlorodiphenyl ether",           "C_{12}H_5Cl_5O", "PCDE-114", &
    "_PCDE-114", "inchikey")
  CALL Species("2,3,4,4',6-pentachlorodiphenyl ether",           "C_{12}H_5Cl_5O", "PCDE-115", &
    "_PCDE-115", "inchikey")
  CALL Species("2,3,4,5,6-pentachlorodiphenyl ether",            "C_{12}H_5Cl_5O", "PCDE-116", &
    "_PCDE-116", "inchikey")
  CALL Species("2,3,4',5,6-pentachlorodiphenyl ether",           "C_{12}H_5Cl_5O", "PCDE-117", &
    "_PCDE-117", "inchikey")
  CALL Species("2,3',4,4',5-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-118", &
    "_PCDE-118", "inchikey")
  CALL Species("2,3',4,4',6-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-119", &
    "_PCDE-119", "inchikey")
  CALL Species("2,3',4,5,5'-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-120", &
    "_PCDE-120", "inchikey")
  !CALL Species("2,3',4,5',6-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-121", &
  !  "_PCDE-121", "inchikey")
  !CALL Species("2,3,3',4',5'-pentachlorodiphenyl ether",        "C_{12}H_5Cl_5O", "PCDE-122", &
  !  "_PCDE-122", "inchikey")
  CALL Species("2,3',4,4',5'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-123", &
    "_PCDE-123", "inchikey")
  !CALL Species("2,3',4',5,5'-pentachlorodiphenyl ether",        "C_{12}H_5Cl_5O", "PCDE-124", &
  !  "_PCDE-124", "inchikey")
  !CALL Species("2,3',4',5',6-pentachlorodiphenyl ether",        "C_{12}H_5Cl_5O", "PCDE-125", &
  !  "_PCDE-125", "inchikey")
  CALL Species("3,3',4,4',5-pentachlorodiphenyl ether",          "C_{12}H_5Cl_5O", "PCDE-126", &
    "94339-59-0", "WDBLKMRZRGLISL-UHFFFAOYSA-N")
  !CALL Species("3,3',4,5,5'-pentachlorodiphenyl ether",         "C_{12}H_5Cl_5O", "PCDE-127", &
  !  "_PCDE-127", "inchikey")
  CALL Species("2,2',3,3',4,4'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-128", &
    "71585-39-2", "GSWMXIIUDJOXNF-UHFFFAOYSA-N")
  !CALL Species("2,2',3,3',4,5-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-129", &
  !  "_PCDE-129", "inchikey")
  CALL Species("2,2',3,3',4,5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-130", &
    "_PCDE-130", "inchikey")
  !CALL Species("2,2',3,3',4,6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-131", &
  !  "_PCDE-131", "inchikey")
  CALL Species("2,2',3,3',4,6'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-132", &
    "_PCDE-132", "inchikey")
  !CALL Species("2,2',3,3',5,5'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-133", &
  !  "_PCDE-133", "inchikey")
  !CALL Species("2,2',3,3',5,6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-134", &
  !  "_PCDE-134", "inchikey")
  !CALL Species("2,2',3,3',5,6'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-135", &
  !  "_PCDE-135", "inchikey")
  !CALL Species("2,2',3,3',6,6'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-136", &
  !  "_PCDE-136", "inchikey")
  CALL Species("2,2',3,4,4',5-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-137", &
    "71585-36-9", "LDPJEMNNPDFBCQ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-138", &
    "71585-38-1", "PHSJJYZIFPWCLZ-UHFFFAOYNA-N")
  CALL Species("2,2',3,4,4',6-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-139", &
    "_PCDE-139", "inchikey")
  CALL Species("2,2',3,4,4',6'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-140", &
    "106220-82-0", "XDAOZRZWYVKIAK-UHFFFAOYSA-N")
  !CALL Species("2,2',3,4,5,5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-141", &
  !  "_PCDE-141", "inchikey")
  !CALL Species("2,2',3,4,5,6-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-142", &
  !  "_PCDE-142", "inchikey")
  !CALL Species("2,2',3,4,5,6'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-143", &
  !  "_PCDE-143", "inchikey")
  !CALL Species("2,2',3,4,5',6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-144", &
  !  "_PCDE-144", "inchikey")
  !CALL Species("2,2',3,4,6,6'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-145", &
  !  "_PCDE-145", "inchikey")
  CALL Species("2,2',3,4',5,5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-146", &
    "_PCDE-146", "inchikey")
  CALL Species("2,2',3,4',5,6-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-147", &
    "_PCDE-147", "inchikey")
  !CALL Species("2,2',3,4',5,6'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-148", &
  !  "_PCDE-148", "inchikey")
  CALL Species("2,2',3,4',5',6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-149", &
    "_PCDE-149", "inchikey")
  !CALL Species("2,2',3,4',6,6'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-150", &
  !  "_PCDE-150", "inchikey")
  !CALL Species("2,2',3,5,5',6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-151", &
  !  "_PCDE-151", "inchikey")
  !CALL Species("2,2',3,5,6,6'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-152", &
  !  "_PCDE-152", "inchikey")
  CALL Species("2,2',4,4',5,5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-153", &
    "71859-30-8", "PECXRRMHOQBOIE-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5,6'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-154", &
    "106220-81-9", "XKQUAQGQLZDDBV-UHFFFAOYSA-N")
  !CALL Species("2,2',4,4',6,6'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-155", &
  !  "_PCDE-155", "inchikey")
  CALL Species("2,3,3',4,4',5-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-156", &
    "_PCDE-156", "inchikey")
  CALL Species("2,3,3',4,4',5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-157", &
    "_PCDE-157", "inchikey")
  !CALL Species("2,3,3',4,4',6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-158", &
  !  "_PCDE-158", "inchikey")
  !CALL Species("2,3,3',4,5,5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-159", &
  !  "_PCDE-159", "inchikey")
  !CALL Species("2,3,3',4,5,6-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-160", &
  !  "_PCDE-160", "inchikey")
  !CALL Species("2,3,3',4,5',6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-161", &
  !  "_PCDE-161", "inchikey")
  !CALL Species("2,3,3',4',5,5'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-162", &
  !  "_PCDE-162", "inchikey")
  CALL Species("2,3,3',4',5,6-hexachlorodiphenyl ether",         "C_{12}H_4Cl_6O", "PCDE-163", &
    "_PCDE-163", "inchikey")
  !CALL Species("2,3,3',4',5',6-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-164", &
  !  "_PCDE-164", "inchikey")
  !CALL Species("2,3,3',5,5',6-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-165", &
  !  "_PCDE-165", "inchikey")
  CALL Species("2,3,4,4',5,6-hexachlorodiphenyl ether",          "C_{12}H_4Cl_6O", "PCDE-166", &
    "_PCDE-166", "inchikey")
  CALL Species("2,3',4,4',5,5'-hexachlorodiphenyl ether",        "C_{12}H_4Cl_6O", "PCDE-167", &
    "131138-20-0", "DYSUSQZPGJXVAL-UHFFFAOYSA-N")
  !CALL Species("2,3',4,4',5',6-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-168", &
  !  "_PCDE-168", "inchikey")
  !CALL Species("3,3',4,4',5,5'-hexachlorodiphenyl ether",       "C_{12}H_4Cl_6O", "PCDE-169", &
  !  "_PCDE-169", "inchikey")
  CALL Species("2,2',3,3',4,4',5-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-170", &
    "_PCDE-170", "inchikey")
  !CALL Species("2,2',3,3',4,4',6-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-171", &
  !  "_PCDE-171", "inchikey")
  !CALL Species("2,2',3,3',4,5,5'-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-172", &
  !  "_PCDE-172", "inchikey")
  !CALL Species("2,2',3,3',4,5,6-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-173", &
  !  "_PCDE-173", "inchikey")
  CALL Species("2,2',3,3',4,5,6'-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-174", &
    "_PCDE-174", "inchikey")
  !CALL Species("2,2',3,3',4,5',6-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-175", &
  !  "_PCDE-175", "inchikey")
  !CALL Species("2,2',3,3',4,6,6'-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-176", &
  !  "_PCDE-176", "inchikey")
  CALL Species("2,2',3,3',4,5',6'-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-177", &
    "_PCDE-177", "inchikey")
  !CALL Species("2,2',3,3',5,5',6-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-178", &
  !  "_PCDE-178", "inchikey")
  !CALL Species("2,2',3,3',5,6,6'-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-179", &
  !  "_PCDE-179", "inchikey")
  CALL Species("2,2',3,4,4',5,5'-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-180", &
    "83992-69-2", "YBYYCWMPXZRBNJ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,6-heptachlorodiphenyl ether",      "C_{12}H_3Cl_7O", "PCDE-181", &
    "_PCDE-181", "inchikey")
  CALL Species("2,2',3,4,4',5,6'-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-182", &
    "88467-63-4", "XWRZWPPSQDHTFU-UHFFFAOYSA-N")
  !CALL Species("2,2',3,4,4',5',6-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-183", &
  !  "_PCDE-183", "inchikey")
  CALL Species("2,2',3,4,4',6,6'-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-184", &
    "106220-84-2", "WTYSJAGEYAAIFW-UHFFFAOYSA-N")
  !CALL Species("2,2',3,4,5,5',6-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-185", &
  !  "_PCDE-185", "inchikey")
  !CALL Species("2,2',3,4,5,6,6'-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-186", &
  !  "_PCDE-186", "inchikey")
  CALL Species("2,2',3,4',5,5',6-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-187", &
    "_PCDE-187", "inchikey")
  !CALL Species("2,2',3,4',5,6,6'-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-188", &
  !  "_PCDE-188", "inchikey")
  CALL Species("2,3,3',4,4',5,5'-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-189", &
    "_PCDE-189", "inchikey")
  CALL Species("2,3,3',4,4',5,6-heptachlorodiphenyl ether",      "C_{12}H_3Cl_7O", "PCDE-190", &
    "_PCDE-190", "inchikey")
  !CALL Species("2,3,3',4,4',5',6-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-191", &
  !  "_PCDE-191", "inchikey")
  !CALL Species("2,3,3',4,5,5',6-heptachlorodiphenyl ether",     "C_{12}H_3Cl_7O", "PCDE-192", &
  !  "_PCDE-192", "inchikey")
  !CALL Species("2,3,3',4',5,5',6-heptachlorodiphenyl ether",    "C_{12}H_3Cl_7O", "PCDE-193", &
  !  "_PCDE-193", "inchikey")
  CALL Species("2,2',3,3',4,4',5,5'-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-194", &
    "_PCDE-194", "inchikey")
  CALL Species("2,2',3,3',4,4',5,6-octachlorodiphenyl ether",    "C_{12}H_2Cl_8O", "PCDE-195", &
    "_PCDE-195", "inchikey")
  CALL Species("2,2',3,3',4,4',5,6'-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-196", &
    "85918-38-3", "HYNYIQBCBHJTOZ-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',6,6'-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-197", &
    "117948-62-6", "GRWRDFGBFYSOKR-UHFFFAOYSA-N")
  !CALL Species("2,2',3,3',4,5,5',6-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-198", &
  !  "_PCDE-198", "inchikey")
  CALL Species("2,2',3,3',4,5,5',6'-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-199", &
    "_PCDE-199", "inchikey")
  !CALL Species("2,2',3,3',4,5,6,6'-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-200", &
  !  "_PCDE-200", "inchikey")
  !CALL Species("2,2',3,3',4,5',6,6'-octachlorodiphenyl ether",  "C_{12}H_2Cl_8O", "PCDE-201", &
  !  "_PCDE-201", "inchikey")
  !CALL Species("2,2',3,3',5,5',6,6'-octachlorodiphenyl ether",  "C_{12}H_2Cl_8O", "PCDE-202", &
  !  "_PCDE-202", "inchikey")
  CALL Species("2,2',3,4,4',5,5',6-octachlorodiphenyl ether",    "C_{12}H_2Cl_8O", "PCDE-203", &
    "_PCDE-203", "inchikey")
  !CALL Species("2,2',3,4,4',5,6,6'-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-204", &
  !  "_PCDE-204", "inchikey")
  !CALL Species("2,3,3',4,4',5,5',6-octachlorodiphenyl ether",   "C_{12}H_2Cl_8O", "PCDE-205", &
  !  "_PCDE-205", "inchikey")
  CALL Species("2,2',3,3',4,4',5,5',6-nonachlorodiphenyl ether", "C_{12}HCl_9O",   "PCDE-206", &
    "83992-73-8", "FPEYJPVHPGDXDD-UHFFFAOYSA-N")
  !CALL Species("2,2',3,3',4,4',5,6,6'-nonachlorodiphenyl ether","C_{12}HCl_9O",   "PCDE-207", &
  !  "_PCDE-207", "inchikey")
  !CALL Species("2,2',3,3',4,5,5',6,6'-nonachlorodiphenyl ether","C_{12}HCl_9O",   "PCDE-208", &
  !  "_PCDE-208", "inchikey")
  CALL Species("decachlorodiphenyl ether",                       "C_{12}Cl_{10}O", "PCDE-209", &
    "31710-30-2", "CIPFDHFTBYJKQB-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  ! some casrn from: http://chemicalland21.com/info/DIBENZOFURAN PRODUCTS.htm
  CALL SpeciesGroup(2,"Polychlorinated dibenzofuranes (PCDFs)")
  CALL Species("1-chlorodibenzofuran",                              "C_{12}H_7ClO",   "PCDF-1", &
    "84761-86-4", "WRSMJZYBNIAAEE-UHFFFAOYSA-N")
  CALL Species("2-chlorodibenzofuran",                              "C_{12}H_7ClO",   "PCDF-2", &
    "51230-49-0", "PRKTYWJFCODJOA-UHFFFAOYSA-N")
  CALL Species("3-chlorodibenzofuran",                              "C_{12}H_7ClO",   "PCDF-3", &
    "25074-67-3", "BBOZMMAURMEVAR-UHFFFAOYSA-N")
  CALL Species("4-chlorodibenzofuran",                              "C_{12}H_7ClO",   "PCDF-4", &
    "74992-96-4", "RHRYBWFAHXCUCR-UHFFFAOYSA-N")
  CALL Species("1,2-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-12", &
    "64126-85-8", "QVAPRJWSOUITIF-UHFFFAOYSA-N")
  CALL Species("1,3-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-13", &
    "94538-00-8", "VKIBKEFGJSPRJC-UHFFFAOYSA-N")
  CALL Species("1,4-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-14", &
    "94538-01-9", "VHQCMZLPHWGUDB-UHFFFAOYSA-N")
  CALL Species("1,6-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-16", &
    "74992-97-5", "JRSRWACZUFLWKF-UHFFFAOYSA-N")
  CALL Species("1,7-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-17", &
    "94538-02-0", "XRQNHPGZRFKBJW-UHFFFAOYSA-N")
  CALL Species("1,8-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-18", &
    "81638-37-1", "UAFNQQBPUWFPGC-UHFFFAOYSA-N")
  CALL Species("1,9-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-19", &
    "70648-14-5", "AEKSGHBVWJHELW-UHFFFAOYSA-N")
  CALL Species("2,3-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-23", &
    "64126-86-9", "GETJJZZRPQFSFM-UHFFFAOYSA-N")
  CALL Species("2,4-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-24", &
    "24478-74-8", "LHTCKMYRNOGUOA-UHFFFAOYSA-N")
  CALL Species("2,6-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-26", &
    "60390-27-4", "XVLCNKFGFHUQNL-UHFFFAOYSA-N")
  CALL Species("2,7-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-27", &
    "74992-98-6", "DOZUTNBCPVUMPY-UHFFFAOYSA-N")
  CALL Species("2,8-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-28", &
    "5409-83-6", "IVVRJIDVYSPKFZ-UHFFFAOYSA-N")
  CALL Species("3,4-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-34", &
    "94570-83-9", "HYQGGNWDPQZLGX-UHFFFAOYSA-N")
  CALL Species("3,6-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-36", &
    "74918-40-4", "DMOBGFAKTSXOHG-UHFFFAOYSA-N")
  CALL Species("3,7-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-37", &
    "58802-21-4", "OLTYAGNRSNFHLK-UHFFFAOYSA-N")
  CALL Species("4,6-dichlorodibenzofuran",                          "C_{12}H_6Cl_2O", "PCDF-46", &
    "64560-13-0", "JZDVJXBKJDADAY-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-123", &
    "83636-47-9", "LADSWAAWPMGHBE-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-124", &
    "24478-73-7", "RQIWKWHVZLDXEJ-UHFFFAOYSA-N")
  CALL Species("1,2,6-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-126", &
    "64560-15-2", "CYRZCBUWRUACKJ-UHFFFAOYSA-N")
  CALL Species("1,2,7-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-127", &
    "83704-37-4", "AFOVQGPNOZDUEP-UHFFFAOYSA-N")
  CALL Species("1,2,8-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-128", &
    "83704-34-1", "UYIGPSPCOXGBCS-UHFFFAOYSA-N")
  CALL Species("1,2,9-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-129", &
    "83704-38-5", "ICTXINQOXPMQPM-UHFFFAOYSA-N")
  CALL Species("1,3,4-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-134", &
    "82911-61-3", "FIPOITUDJFQRRN-UHFFFAOYSA-N")
  CALL Species("1,3,6-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-136", &
    "83704-39-6", "AGPTXRLVBIRYLV-UHFFFAOYSA-N")
  CALL Species("1,3,7-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-137", &
    "64560-16-3", "INRBXOGZPDFCLQ-UHFFFAOYSA-N")
  CALL Species("1,3,8-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-138", &
    "76621-12-0", "PHFSTDOPTZHECA-UHFFFAOYSA-N")
  CALL Species("1,3,9-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-139", &
    "83704-40-9", "SPPGDLROKBFNNO-UHFFFAOYSA-N")
  CALL Species("1,4,6-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-146", &
    "82911-60-2", "XDQRWSUJOURTHK-UHFFFAOYSA-N")
  CALL Species("1,4,7-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-147", &
    "83704-41-0", "XTLMVJUSIANHND-UHFFFAOYSA-N")
  CALL Species("1,4,8-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-148", &
    "64560-14-1", "PCQCYDNFBUADOK-UHFFFAOYSA-N")
  CALL Species("1,4,9-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-149", &
    "70648-13-4", "NVYUPBVXKLTYHV-UHFFFAOYSA-N")
  CALL Species("2,3,4-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-234", &
    "57117-34-7", "YDLADWPBKZODCJ-UHFFFAOYSA-N")
  CALL Species("2,3,6-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-236", &
    "_PCDF-236", "inchikey")
  CALL Species("2,3,7-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-237", &
    "58802-17-8", "CKXMNTLGGAOERF-UHFFFAOYSA-N")
  CALL Species("2,3,8-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-238", &
    "57117-32-5", "NUNSNNOYACKRIK-UHFFFAOYSA-N")
  CALL Species("2,3,9-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-239", &
    "_PCDF-239", "inchikey")
  CALL Species("2,4,6-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-246", &
    "58802-14-5", "GTKURBTWZFQHHY-UHFFFAOYSA-N")
  CALL Species("2,4,7-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-247", &
    "83704-42-1", "SZBZRVJHPZIGAY-UHFFFAOYSA-N")
  CALL Species("2,4,8-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-248", &
    "54589-71-8", "WJURXKWTCOMRCE-UHFFFAOYSA-N")
  CALL Species("2,4,9-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-249", &
    "_PCDF-249", "inchikey")
  CALL Species("3,4,6-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-346", &
    "_PCDF-346", "inchikey")
  CALL Species("3,4,7-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-347", &
    "83704-44-3", "RPJJBTSXPNFUTA-UHFFFAOYSA-N")
  CALL Species("3,4,8-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-348", &
    "_PCDF-348", "inchikey")
  CALL Species("3,4,9-trichlorodibenzofuran",                       "C_{12}H_5Cl_3O", "PCDF-349", &
    "83704-46-5", "HEWLCNCSWBMZHG-UHFFFAOYSA-N") ! = PCDF-167 ?
  CALL Species("1,2,3,4-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1234", &
    "24478-72-6", "AETAPIFVELRIDN-UHFFFAOYSA-N")
  CALL Species("1,2,3,6-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1236", &
    "83704-21-6", "BBAXFLIBRPXRBP-UHFFFAOYSA-N")
  CALL Species("1,2,3,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1237", &
    "83704-22-7", "MDNZFYGATDCKRB-UHFFFAOYSA-N")
  CALL Species("1,2,3,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1238", &
    "62615-08-1", "KFQRHGKKSHJMCO-UHFFFAOYSA-N")
  CALL Species("1,2,3,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1239", &
    "83704-23-8", "GNQHLJHTOATTOJ-UHFFFAOYSA-N")
  CALL Species("1,2,4,6-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1246", &
    "71998-73-7", "NLVWEKPJFUPVMZ-UHFFFAOYSA-N")
  CALL Species("1,2,4,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1247", &
    "83719-40-8", "MFURKMJLDQBHRA-UHFFFAOYSA-N")
  CALL Species("1,2,4,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1248", &
    "64126-87-0", "BFTASCFRRBHFFK-UHFFFAOYSA-N")
  CALL Species("1,2,4,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1249", &
    "_PCDF-1249", "inchikey")
  CALL Species("1,2,6,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1267", &
    "83704-25-0", "AUEWYHHKDYUYMI-UHFFFAOYSA-N")
  CALL Species("1,2,6,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1268", &
    "83710-07-0", "KCVGVSIBBGIJNZ-UHFFFAOYSA-N")
  CALL Species("1,2,6,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1269", &
    "_PCDF-1269", "inchikey")
  CALL Species("1,2,7,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1278", &
    "58802-20-3", "JODWPAQNABOHDG-UHFFFAOYSA-N")
  CALL Species("1,2,7,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1279", &
    "83704-26-1", "PDMFRPIFZAKMLH-UHFFFAOYSA-N")
  CALL Species("1,2,8,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1289", &
    "_PCDF-1289", "inchikey")
  CALL Species("1,3,4,6-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1346", &
    "83704-27-2", "CBBDONKZEJKFJP-UHFFFAOYSA-N")
  CALL Species("1,3,4,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1347", &
    "70648-16-7", "UMKCVDZTSZNWRH-UHFFFAOYSA-N")
  CALL Species("1,3,4,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1348", &
    "92341-04-3", "XWKRJSMNDOXIHS-UHFFFAOYSA-N")
  CALL Species("1,3,4,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1349", &
    "_PCDF-1349", "inchikey")
  CALL Species("1,3,6,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1367", &
    "57117-36-9", "PITDPGCTIMCYEZ-UHFFFAOYSA-N")
  CALL Species("1,3,6,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1368", &
    "71998-72-6", "BDXKVABZWRZKOS-UHFFFAOYSA-N")
  CALL Species("1,3,6,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1369", &
    "83690-98-6", "NJQQZRLWVLWNGD-UHFFFAOYSA-N")
  CALL Species("1,3,7,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1378", &
    "57117-35-8", "CSXDVUGDFSYXTD-UHFFFAOYSA-N")
  CALL Species("1,3,7,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1379", &
    "64560-17-4", "IEMJMCVYAORWJV-UHFFFAOYSA-N")
  CALL Species("1,4,6,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1467", &
    "66794-59-0", "RBFNYMHNIOKXLA-UHFFFAOYSA-N")
  CALL Species("1,4,6,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1468", &
    "82911-58-8", "VHOBVPNETFRJED-UHFFFAOYSA-N")
  CALL Species("1,4,6,9-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1469", &
    "_PCDF-1469", "inchikey")
  CALL Species("1,4,7,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1478", &
    "83704-29-4", "IVRDRRWQABCXLY-UHFFFAOYSA-N")
  CALL Species("1,6,7,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-1678", &
    "_PCDF-1678", "inchikey")
  CALL Species("2,3,4,6-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2346", &
    "83704-30-7", "JNVHSHPAAMRSKK-UHFFFAOYSA-N")
  CALL Species("2,3,4,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2347", &
    "83704-31-8", "BROFYOSLFHTGCQ-UHFFFAOYSA-N")
  CALL Species("2,3,4,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2348", &
    "83704-32-9", "IIKXRERKNIJJQY-UHFFFAOYSA-N")
  CALL Species("2,3,6,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2367", &
    "57117-39-2", "MJCNKMDTLRSHNK-UHFFFAOYSA-N")
  CALL Species("2,3,6,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2368", &
    "57117-37-0", "SPMZHWVRMWWTSY-UHFFFAOYSA-N")
  CALL Species("2,3,7,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2378", &
    "51207-31-9", "KSMVNVHUTQZITP-UHFFFAOYSA-N")
  CALL Species("2,4,6,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2467", &
    "57117-38-1", "NSDXKMRVQOSASS-UHFFFAOYSA-N")
  CALL Species("2,4,6,8-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-2468", &
    "58802-19-0", "ZSPJEACWUWSAGS-UHFFFAOYSA-N")
  CALL Species("3,4,6,7-tetrachlorodibenzofuran",                   "C_{12}H_4Cl_4O", "PCDF-3467", &
    "57117-40-5", "LMJLCLBSUNZLNW-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12346", &
    "83704-47-6", "LIQJBAPSLUZUTB-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,7-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12347", &
    "83704-48-7", "DOJZTBGOWIYFAC-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12348", &
    "67517-48-0", "ZCTNDJSCLPJCRA-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12349", &
    "83704-49-8", "IQSZNZVZXOFRJS-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,7-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12367", &
    "57117-42-7", "NZUPQBVDIWCPBX-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12368", &
    "83704-51-2", "VHQJZOFUPXEZQZ-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12369", &
    "83704-52-3", "IPSFQAKXDJVQOX-UHFFFAOYSA-N")
  CALL Species("1,2,3,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12378", &
    "57117-41-6", "SBMIVUVRFPGOEB-UHFFFAOYSA-N")
  CALL Species("1,2,3,7,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12379", &
    "83704-53-4", "JVUSEQPOWCBYNG-UHFFFAOYSA-N")
  CALL Species("1,2,3,8,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12389", &
    "83704-54-5", "NKGLWUJPCTUDEH-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,7-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12467", &
    "83704-50-1", "BQTCODOVGXJHRB-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12468", &
    "69698-57-3", "JDTUAYPJSSXDNO-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12469", &
    "70648-24-7", "QDQFGVXGPSYEJU-UHFFFAOYSA-N")
  CALL Species("1,2,4,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12478", &
    "58802-15-6", "GCFDWHIKRXCUPJ-UHFFFAOYSA-N")
  CALL Species("1,2,4,7,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12479", &
    "71998-74-8", "IYGVHNHWORPMFU-UHFFFAOYSA-N")
  CALL Species("1,2,4,8,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12489", &
    "70648-23-6", "ZSPAPWGNAGTCCA-UHFFFAOYSA-N")
  !CALLSpecies("1,2,6,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12678",    "69433-00-7")
  CALL Species("1,2,6,7,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-12679", &
    "70872-82-1", "QQRRQEVOSMEVQB-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,7-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-13467", &
    "83704-36-3", "JVYYDUWJIJMOGW-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-13468", &
    "83704-55-6", "COKIAYPRHYHYCH-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-13469", &
    "70648-15-6", "MYSAFUYQSBEEDR-UHFFFAOYSA-N")
  CALL Species("1,3,4,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-13478", &
    "58802-16-7", "ORSUQGVCWLXKLZ-UHFFFAOYSA-N")
  CALL Species("1,3,4,7,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-13479", &
    "70648-20-3", "GFXPLABVZOBCCW-UHFFFAOYSA-N")
  CALL Species("1,3,6,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-13678", &
    "70648-21-4", "FRLMQDUYUJIHCZ-UHFFFAOYSA-N")
  CALL Species("1,4,6,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-14678", &
    "_PCDF-14678", "inchikey")
  CALL Species("2,3,4,6,7-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-23467", &
    "57117-43-8", "SJFBZRQKGOGHEV-UHFFFAOYSA-N")
  CALL Species("2,3,4,6,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-23468", &
    "67481-22-5", "MKRFORPSRBMAIP-UHFFFAOYSA-N")
  CALL Species("2,3,4,7,8-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-23478", &
    "57117-31-4", "OGBQILNBLMPPDP-UHFFFAOYSA-N")
  CALL Species("2,3,4,8,9-pentachlorodibenzofuran",                 "C_{12}H_3Cl_5O", "PCDF-23489", &
    "_PCDF-23489", "inchikey")
  CALL Species("1,2,3,4,6,7-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123467", &
    "79060-60-9", "SNWFMKXFMVHBKD-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6,8-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123468", &
    "69698-60-8", "UCFGNWHERVQWMZ-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123469", &
    "91538-83-9", "KFFUZIROJGXTQH-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,7,8-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123478", &
    "70648-26-9", "LVYBAQIVPKCOEE-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,7,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123479", &
    "91538-84-0", "BKIXWRBZCQEZAQ-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,8,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123489", &
    "92341-07-6", "VSDUQUBUJRNREH-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,7,8-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123678", &
    "57117-44-9", "JEYJJJXOFWNEHN-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,7,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123679", &
    "92341-06-5", "JZVOLXQREJNTTL-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,8,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123689", &
    "75198-38-8", "WLGQZUOHEXTWFH-UHFFFAOYSA-N")
  CALL Species("1,2,3,7,8,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-123789", &
    "72918-21-9", "PYUSJFJVDVSXIU-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,7,8-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-124678", &
    "67562-40-7", "CKDDYGBBKXIHRY-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,7,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-124679", &
    "75627-02-0", "FAHIPPHRJJJQOG-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,8,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-124689", &
    "69698-59-5", "FGZCXIPKUCJGHW-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,7,8-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-134678", &
    "71998-75-9", "OGTZINCGZYXZCR-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,7,9-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-134679", &
    "92341-05-4", "TURXXOIFVABBPW-UHFFFAOYSA-N")
  CALL Species("2,3,4,6,7,8-hexachlorodibenzofuran",                "C_{12}H_2Cl_6O", "PCDF-234678", &
    "60851-34-5", "XTAHLACQOVXINQ-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6,7,8-heptachlorodibenzofuran",             "C_{12}HCl_7O",   "PCDF-1234678", &
    "67562-39-4", "WDMKCPIVJOGHBF-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6,7,9-heptachlorodibenzofuran",             "C_{12}HCl_7O",   "PCDF-1234679", &
    "70648-25-8", "JWXWOEUKHXOUSK-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6,8,9-heptachlorodibenzofuran",             "C_{12}HCl_7O",   "PCDF-1234689", &
    "69698-58-4", "BADFHCOLISGRRW-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,7,8,9-heptachlorodibenzofuran",             "C_{12}HCl_7O",   "PCDF-1234789", &
    "55673-89-7", "VEZCTZWLJYWARH-UHFFFAOYSA-N")
  CALL Species("octachlorodibenzofuran",                            "C_{12}Cl_8O",    "PCDF-12346789", &
    "39001-02-0", "RHIROFAGUQOFLU-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Polychlorinated dibenzo-$p$-dioxins (PCDDs)")
  CALL Species("1-chlorodibenzo[$b,e$][1,4]dioxin",                  "C_{12}H_7ClO_2",   "PCDD-1", &
    "39227-53-7", "VGGGRWRBGXENKI-UHFFFAOYSA-N")
  CALL Species("2-chlorodibenzo[$b,e$][1,4]dioxin",                  "C_{12}H_7ClO_2",   "PCDD-2", &
    "39227-54-8", "GIUGGRUEPHPVNR-UHFFFAOYSA-N")
  CALL Species("1,2-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-12", &
    "_PCDD-12", "inchikey")
  CALL Species("1,3-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-13", &
    "50585-39-2", "AZYJYMAKTBXNSX-UHFFFAOYSA-N")
  CALL Species("1,4-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-14", &
    "_PCDD-14", "inchikey")
  CALL Species("1,6-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-16", &
    "38178-38-0", "MAWMBEVNJGEDAD-UHFFFAOYSA-N")
  CALL Species("1,7-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-17", &
    "_PCDD-17", "inchikey")
  CALL Species("1,8-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-18", &
    "_PCDD-18", "inchikey")
  CALL Species("1,9-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-19", &
    "_PCDD-19", "inchikey")
  CALL Species("2,3-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-23", &
    "29446-15-9", "YCIYTXRUZSDMRZ-UHFFFAOYSA-N")
  CALL Species("2,7-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-27", &
    "33857-26-0", "NBFMTHWVRBOVPE-UHFFFAOYSA-N")
  CALL Species("2,8-dichlorodibenzo[$b,e$][1,4]dioxin",              "C_{12}H_6Cl_2O_2", "PCDD-28", &
    "38964-22-6", "WMWJCKBJUQDYLM-UHFFFAOYSA-N")
  CALL Species("1,2,3-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-123", &
    "_PCDD-123", "inchikey")
  CALL Species("1,2,4-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-124", &
    "39227-58-2", "HRVUKLBFRPWXPJ-UHFFFAOYSA-N")
  CALL Species("1,2,6-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-126", &
    "_PCDD-126", "inchikey")
  CALL Species("1,2,7-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-127", &
    "_PCDD-127", "inchikey")
  CALL Species("1,2,8-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-128", &
    "_PCDD-128", "inchikey")
  CALL Species("1,2,9-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-129", &
    "_PCDD-129", "inchikey")
  CALL Species("1,3,6-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-136", &
    "_PCDD-136", "inchikey")
  CALL Species("1,3,7-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-137", &
    "67028-17-5", "RPKWIXFZKMDPMH-UHFFFAOYSA-N")
  CALL Species("1,3,8-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-138", &
    "_PCDD-138", "inchikey")
  CALL Species("1,3,9-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-139", &
    "_PCDD-139", "inchikey")
  CALL Species("1,4,6-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-146", &
    "_PCDD-146", "inchikey")
  CALL Species("1,4,7-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-147", &
    "_PCDD-147", "inchikey")
  CALL Species("1,7,8-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-178", &
    "_PCDD-178", "inchikey")
  CALL Species("2,3,7-trichlorodibenzo[$b,e$][1,4]dioxin",           "C_{12}H_5Cl_3O_2", "PCDD-237", &
    "33857-28-2", "ZSIZNEVHVVRPFF-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1234", &
    "30746-58-8", "DJHHDLMTUOLVHY-UHFFFAOYSA-N")
  CALL Species("1,2,3,6-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1236", &
    "_PCDD-1236", "inchikey")
  CALL Species("1,2,3,7-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1237", &
    "67028-18-6", "SKGXYFVQZVPEFP-UHFFFAOYSA-N")
  CALL Species("1,2,3,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1238", &
    "53555-02-5", "BXKLTNKYLCZOHF-UHFFFAOYSA-N")
  CALL Species("1,2,3,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1239", &
    "_PCDD-1239", "inchikey")
  CALL Species("1,2,4,6-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1246", &
    "_PCDD-1246", "inchikey")
  CALL Species("1,2,4,7-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1247", &
    "_PCDD-1247", "inchikey")
  CALL Species("1,2,4,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1248", &
    "_PCDD-1248", "inchikey")
  CALL Species("1,2,4,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1249", &
    "_PCDD-1249", "inchikey")
  CALL Species("1,2,6,7-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1267", &
    "_PCDD-1267", "inchikey")
  CALL Species("1,2,6,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1268", &
    "_PCDD-1268", "inchikey")
  CALL Species("1,2,6,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1269", &
    "_PCDD-1269", "inchikey")
  CALL Species("1,2,7,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1278", &
    "34816-53-0", "YDZCLBKUTXYYKS-UHFFFAOYSA-N")
  CALL Species("1,2,7,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1279", &
    "_PCDD-1279", "inchikey")
  CALL Species("1,2,8,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1289", &
    "_PCDD-1289", "inchikey")
  CALL Species("1,3,6,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1368", &
    "33423-92-6", "OTQFXRBLGNEOGH-UHFFFAOYSA-N")
  CALL Species("1,3,6,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1369", &
    "_PCDD-1369", "inchikey")
  CALL Species("1,3,7,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1378", &
    "50585-46-1", "VPTDIAYLYJBYQG-UHFFFAOYSA-N")
  CALL Species("1,3,7,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1379", &
    "62470-53-5", "JMGYHLJVDHUACM-UHFFFAOYSA-N")
  CALL Species("1,4,6,9-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1469", &
    "_PCDD-1469", "inchikey")
  CALL Species("1,4,7,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-1478", &
    "_PCDD-1478", "inchikey")
  CALL Species("2,3,7,8-tetrachlorodibenzo[$b,e$][1,4]dioxin",       "C_{12}H_4Cl_4O_2", "PCDD-2378; TCDD", &
    "1746-01-6", "HGUFODBRKLSHSI-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12346", &
    "_PCDD-12346", "inchikey")
  CALL Species("1,2,3,4,7-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12347", &
    "39227-61-7", "WRNGAZFESPEMCN-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,7-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12367", &
    "_PCDD-12367", "inchikey")
  CALL Species("1,2,3,6,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12368", &
    "_PCDD-12368", "inchikey")
  CALL Species("1,2,3,7,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12378", &
    "40321-76-4", "FSPZPQQWDODWAU-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,7-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12467", &
    "_PCDD-12467", "inchikey")
  CALL Species("1,2,4,6,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12468", &
    "_PCDD-12468", "inchikey")
  CALL Species("1,2,4,6,9-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12469", &
    "_PCDD-12469", "inchikey")
  CALL Species("1,2,4,7,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-12478", &
    "58802-08-7", "QUPLGUUISJOUPJ-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,7-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-13467", &
    "_PCDD-13467", "inchikey")
  CALL Species("1,3,4,6,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-13468", &
    "_PCDD-13468", "inchikey")
  CALL Species("1,4,6,7,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-14678", &
    "_PCDD-14678", "inchikey")
  CALL Species("2,3,4,6,7-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-23467", &
    "_PCDD-23467", "inchikey")
  CALL Species("2,3,4,6,8-pentachlorodibenzo[$b,e$][1,4]dioxin",     "C_{12}H_3Cl_5O_2", "PCDD-23468", &
    "_PCDD-23468", "inchikey")
  CALL Species("1,2,3,4,6,7-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-123467", &
    "_PCDD-123467", "inchikey")
  CALL Species("1,2,3,4,6,8-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-123468", &
    "_PCDD-123468", "inchikey")
  CALL Species("1,2,3,4,6,9-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-123469", &
    "_PCDD-123469", "inchikey")
  CALL Species("1,2,3,4,7,8-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-123478", &
    "39227-28-6", "WCYYQNSQJHPVMG-UHFFFAOYSA-N")
  CALL Species("1,2,3,6,7,8-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-123678", &
    "57653-85-7", "YCLUIPQDHHPDJJ-UHFFFAOYSA-N")
  CALL Species("1,2,3,7,8,9-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-123789", &
    "19408-74-3", "LGIRBUBHIWTVCK-UHFFFAOYSA-N")
  CALL Species("1,2,4,6,7,8-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-124678", &
    "_PCDD-124678", "inchikey")
  CALL Species("1,2,4,6,7,9-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-124679", &
    "39227-62-8", "BSJDQMWAWFTDGD-UHFFFAOYSA-N")
  CALL Species("1,3,4,6,7,8-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-134678", &
    "_PCDD-134678", "inchikey")
  CALL Species("1,3,4,6,7,9-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-134679", &
    "_PCDD-134679", "inchikey")
  CALL Species("2,3,4,6,7,8-hexachlorodibenzo[$b,e$][1,4]dioxin",    "C_{12}H_2Cl_6O_2", "PCDD-234678", &
    "_PCDD-234678", "inchikey")
  CALL Species("1,2,3,4,6,7,8-heptachlorodibenzo[$b,e$][1,4]dioxin", "C_{12}HCl_7O_2",   "PCDD-1234678", &
    "35822-46-9", "WCLNVRQZUKYVAI-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,6,7,9-heptachlorodibenzo[$b,e$][1,4]dioxin", "C_{12}HCl_7O_2",   "PCDD-1234679", &
    "58200-70-7", "KTJJIBIRZGQFQZ-UHFFFAOYSA-N")
  CALL Species("octachlorodibenzo[$b,e$][1,4]dioxin",                "C_{12}Cl_8O_2",    "PCDD-12346789", &
    "3268-87-9", "FOIBFBMSLDGNHL-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Chlorocarbons with nitrogen (\chem{C}, \chem{H}, \chem{O}, \chem{N}, \chem{Cl})")
  ! C, H, N, Cl:
  ! aliphatic:
  CALL Species("cyanogen chloride", "NCCl", "", &
    "506-77-4", "QPJDMGCKMHUXFD-UHFFFAOYSA-N")
  CALL Species("N,N-dichloromethylamine", "CH_3NCl_2", "", &
    "7651-91-4", "DWEYPOWXNBAIDU-UHFFFAOYSA-N")
  CALL Species("chloroacetonitrile", "C_2H_2ClN", "", &
    "107-14-2", "RENMDAKOXSCIGH-UHFFFAOYSA-N")
  CALL Species("dichloroacetonitrile", "C_2HCl_2N", "", &
    "3018-12-0", "STZZWJCGRKXEFF-UHFFFAOYSA-N")
  CALL Species("trichloroacetonitrile", "C_2Cl_3N", "", &
    "545-06-2", "DRUIESSIVFYOMK-UHFFFAOYSA-N")
  CALL Species("tetramethylammonium chloride", "C_4H_{12}ClN", "", &
    "75-57-0", "OKIZCWYLBDKLSU-UHFFFAOYSA-M")
  CALL Species("metformin hydrochloride", "C_4H_{12}ClN_5", "", &
    "1115-70-4", "OETHQSJEHLVLGH-UHFFFAOYSA-N")
  CALL Species("tris(2-chloroethyl)amine", "C_6H_{12}Cl_3N", "", &
    "555-77-1", "FDAYLTPAFBGXAB-UHFFFAOYSA-N")
  CALL Species("bis(2-chloroethyl)ethylamine", "C_6H_{13}Cl_2N", "ethylbis(2-chloroethyl)amine", &
    "538-07-8", "UQZPGHOJMQTOHB-UHFFFAOYSA-N")
  CALL Species("cetrimonium chloride", "C_{19}H_{42}ClN", "trimethylhexadecylammonium chloride", &
    "112-02-7", "WOWHHFRSBJGXCM-UHFFFAOYSA-M")
  CALL Species("dimethyldioctadecylammonium chloride", "C_{38}H_{80}ClN", "", &
    "107-64-2", "REZZEXDLIUJMMS-UHFFFAOYSA-M")
  ! aromatic:
  CALL Species("1-amino-2-chlorobenzene", "C_6H_6ClN", "$o$-chloroaniline", &
    "95-51-2", "AKCRQHGQIJBRMN-UHFFFAOYSA-N")
  CALL Species("1-amino-3-chlorobenzene", "C_6H_6ClN", "$m$-chloroaniline", &
    "108-42-9", "PNPCRKVUWYDDST-UHFFFAOYSA-N")
  CALL Species("1-amino-4-chlorobenzene", "C_6H_6ClN", "$p$-chloroaniline", &
    "106-47-8", "QSNSCYSYFYORTR-UHFFFAOYSA-N")
  CALL Species("2,3-dichlorobenzenamine", "C_6H_5Cl_2N", "2,3-dichloroaniline", &
    "608-27-5", "BRPSAOUFIJSKOT-UHFFFAOYSA-N")
  CALL Species("2,4-dichlorobenzenamine", "C_6H_5Cl_2N", "2,4-dichloroaniline", &
    "554-00-7", "KQCMTOWTPBNWDB-UHFFFAOYSA-N")
  CALL Species("3,4-dichlorobenzenamine", "C_6H_5Cl_2N", "3,4-dichloroaniline", &
    "95-76-1", "SDYWXFYBZPNOFX-UHFFFAOYSA-N")
  CALL Species("3,5-dichlorobenzenamine", "C_6H_5Cl_2N", "3,5-dichloroaniline", &
    "626-43-7", "UQRLKWGPEVNVHT-UHFFFAOYSA-N")
  CALL Species("2,5-dichlorobenzenamine", "C_6H_5Cl_2N", "2,5-dichloroaniline", &
    "95-82-9", "AVYGCQXNNJPXSS-UHFFFAOYSA-N")
  CALL Species("2,4,5-trichlorobenzenamine", "C_6H_4Cl_3N", "", &
    "636-30-6", "GUMCAKKKNKYFEB-UHFFFAOYSA-N")
  CALL Species("2,4,6-trichlorobenzenamine", "C_6H_4Cl_3N", "", &
    "634-93-5", "NATVSFWWYVJTAZ-UHFFFAOYSA-N")
  CALL Species("2,3,4,5,6-pentachloroaniline", "C_6H_2Cl_5N", "", &
    "527-20-8", "KHCZSJXTDDHLGJ-UHFFFAOYSA-N")
  CALL Species("2,6-dichlorobenzenenitrile", "C_6H_3Cl_2CN", "dichlobenil", &
    "1194-65-6", "YOYAIZYFCNQIRF-UHFFFAOYSA-N")
  CALL Species("(2,4,6-trichlorophenyl)hydrazine", "C_6H_5Cl_3N_2", "", &
    "5329-12-4", "MULHANRBCQBHII-UHFFFAOYSA-N")
  CALL Species("4-chlorobenzonitrile", "C_7H_4ClN", "", &
    "623-03-0", "GJNGXPDXRVXSEH-UHFFFAOYSA-N")
  CALL Species("3-chloro-2-methylbenzenamine", "C_7H_8ClN", "", &
    "87-60-5", "ZUVPLKVDZNDZCM-UHFFFAOYSA-N")
  CALL Species("3-chloro-4-methylbenzenamine", "C_7H_8ClN", "", &
    "95-74-9", "RQKFYFNZSHWXAW-UHFFFAOYSA-N")
  CALL Species("4-chloro-2-methylbenzenamine", "C_7H_8ClN", "", &
    "95-69-2", "CXNVOWPRHWWCQR-UHFFFAOYSA-N")
  CALL Species("5-chloro-2-methylbenzenamine", "C_7H_8ClN", "", &
    "95-79-4", "WRZOMWDJOLIVQP-UHFFFAOYSA-N")
  CALL Species("2,4,5,6-tetrachloro-1,3-dicyanobenzene", "C_8Cl_4N_2", "chlorothalonil", &
    "1897-45-6", "CRQQGFGUEAVUIL-UHFFFAOYSA-N")
  CALL Species("2-chlorobenzalmalononitrile", "C_{10}H_5ClN_2", "", &
    "2698-41-1", "JJNZXLAFIPKXIG-UHFFFAOYSA-N")
  CALL Species("benzyltrimethylammonium chloride", "C_{10}H_{16}ClN", "", &
    "56-93-9", "KXHPPCXNWTUNSB-UHFFFAOYSA-M")
  CALL Species("chlordimeform", "C_{10}H_{13}ClN_2", "", &
    "6164-98-3", "STUSTWKEFDQFFZ-UHFFFAOYSA-N")
  CALL Species("4,4'-dichloroazobenzene", "C_{12}H_8Cl_2N_2", "", &
    "1602-00-2", "XHQLXCFUPJSGOE-UHFFFAOYSA-N")
  CALL Species("bis(3,4-dichlorophenyl)diazene", "C_{12}H_6Cl_4N_2", "3,4,3',4'-tetrachloroazobenzene", &
    "14047-09-7", "SOBGIMQKWDUEPY-UHFFFAOYSA-N")
  CALL Species("2-($p$-chlorophenyl)-3-methylbutyronitrile", "C_{11}H_{12}ClN", "", &
    "2012-81-9", "RBGSZIRWNWQDOK-UHFFFAOYSA-N")
  CALL Species("3,3'-dichloro-(1,1'-biphenyl)-4,4'-diamine", "C_{12}H_{10}Cl_2N_2", "3,3'-dichlorobenzidine", &
    "91-94-1", "HUWXDEQWWKGHRV-UHFFFAOYSA-N")
  CALL Species("4,4'-methylenebis(2-chlorobenzenamine)", "C_{13}H_{12}Cl_2N_2", "", &
    "101-14-4", "IBOFVQJTBBUKMU-UHFFFAOYSA-N")
  CALL Species("aniline, 4,4'-(imidocarbonyl)bis-(N,N-dimethyl)-, hydrochloride", "C_{17}H_{22}ClN_3", "auramine hydrochloride", &
    "2465-27-2", "KSCQDDRPFHTIRL-UHFFFAOYSA-N")
  CALL Species("amitriptyline hydrochloride", "C_{20}H_{24}ClN", "", &
    "549-18-8", "KFYRPLNVJVHZGT-UHFFFAOYSA-N")
  CALL Species("chlorhexidine", "C_{22}H_{30}Cl_2N_{10}", "", &
    "55-56-1", "GHXZTYHSJHQHIJ-UHFFFAOYSA-N")
  CALL Species("malachite green", "C_{23}H_{25}ClN_2", "", &
    "569-64-2", "FDZZZRQASAIRJF-UHFFFAOYSA-M")
  CALL Species("tetradecylbenzyldimethyl ammonium chloride", "C_{23}H_{42}ClN", "", &
    "139-08-2", "OCBHHZMJRVXXQK-UHFFFAOYSA-M")
  CALL Species("stearyldimethylbenzylammonium chloride", "C_{27}H_{50}ClN", "benzyldimethylstearylammonium chloride", &
    "122-19-0", "SFVFIFLLYFPGHH-UHFFFAOYSA-M")
  ! heterocycles with N:
  CALL Species("2,4,6-trichloro-1,3,5-triazine", "C_3Cl_3N_3", "", &
    "108-77-0", "MGNCLNQXLYJVJD-UHFFFAOYSA-N")
  CALL Species("2-chloropyridine", "C_5H_4ClN", "", &
    "109-09-1", "OKDGRDCXVWSXDC-UHFFFAOYSA-N")
  CALL Species("3-chloropyridine", "C_5H_4ClN", "", &
    "626-60-8", "PWRBCZZQRRPXAB-UHFFFAOYSA-N")
  CALL Species("2,3,4,6-tetrachloropyridine", "C_5HCl_4N", "", &
    "14121-36-9", "FZFNDUTVMQOPCT-UHFFFAOYSA-N")
  CALL Species("2,3,5,6-tetrachloropyridine", "C_5HCl_4N", "", &
    "2402-79-1", "FATBKZJZAHWCSL-UHFFFAOYSA-N")
  CALL Species("pentachloropyridine", "C_5Cl_5N", "", &
    "2176-62-7", "DNDPLEAVNVOOQZ-UHFFFAOYSA-N")
  CALL Species("desethylatrazine", "C_6H_{10}ClN_5", "", &
    "6190-65-4", "DFWFIQKMSFGDCQ-UHFFFAOYSA-N")
  CALL Species("2-chloro-6-(trichloromethyl)-pyridine", "C_6H_3Cl_4N", "", &
    "1929-82-4", "DCUJJWWUNKIJPH-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetrachloro-6-methylpyridine", "C_6H_3Cl_4N", "", &
    "10469-02-0", "OZLPEWBQZDDFCQ-UHFFFAOYSA-N")
  CALL Species("2-chloro-5-(trichloromethyl)pyridine", "C_6H_3Cl_4N", "", &
    "69045-78-9", "VLJIVLGVKMTBOD-UHFFFAOYSA-N")
  CALL Species("2,3-dichloro-5-(trichloromethyl)pyridine", "C_6H_2Cl_5N", "", &
    "69045-83-6", "XVBWGQSXLITICX-UHFFFAOYSA-N")
  CALL Species("2,5-dichloro-6-(trichloromethyl)pyridine", "C_6H_2Cl_5N", "", &
    "1817-13-6", "MWFCRQNUHFSUNY-UHFFFAOYSA-N")
  CALL Species("3,4,5-trichloro-2-(trichloromethyl)pyridine", "C_6HCl_6N", "", &
    "1201-30-5", "YWSFDYUMEBEQNZ-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetrachloro-6-(trichloromethyl)pyridine", "C_6Cl_7N", "", &
    "1134-04-9", "YMBFWRZKTZICHS-UHFFFAOYSA-N")
  CALL Species("3,4,5,6-tetrachloropyridine-2-carbonitrile", "C_6Cl_4N_2", "", &
    "17824-83-8", "KFPBGJYBKSQIAI-UHFFFAOYSA-N")
  CALL Species("4-amino-3,5,6-trichloropyridine-2-carbonitrile", "C_6H_2Cl_3N_3", "", &
    "14143-60-3", "AZYYQVGBVUCIEO-UHFFFAOYSA-N")
  CALL Species("crimidine", "C_7H_{10}ClN_3", "", &
    "535-89-7", "HJIUPFPIEBPYIE-UHFFFAOYSA-N")
  CALL Species("simazine", "C_7H_{12}ClN_5", "", &
    "122-34-9", "ODCWYMIRDDJXKW-UHFFFAOYSA-N")
  CALL Species("desethylterbuthylazine", "C_7H_{12}ClN_5", "", &
    "30125-63-4", "LMKQNTMFZLAJDV-UHFFFAOYSA-N")
  CALL Species("atrazine", "C_8H_{14}ClN_5", "", &
    "1912-24-9", "MXWJVTOOROXGIU-UHFFFAOYSA-N")
  CALL Species("clonidine", "C_9H_9Cl_2N_3", "", &
    "4205-90-7", "GJSURZIOUXUGAL-UHFFFAOYSA-N")
  CALL Species("cyprazine", "C_9H_{12}ClN_5", "", &
    "22936-86-3", "OOHIAOSLOGDBCE-UHFFFAOYSA-N")
  CALL Species("propazine", "C_9H_{16}ClN_5", "", &
    "139-40-2", "WJNRPILHGGKWCK-UHFFFAOYSA-N")
  CALL Species("terbuthylazine", "C_9H_{16}ClN_5", "", &
    "5915-41-3", "FZXISNSWEXTPMF-UHFFFAOYSA-N")
  CALL Species("cyanazine", "C_9H_{13}ClN_6", "", &
    "21725-46-2", "MZZBPDKVEFVLFF-UHFFFAOYSA-N") ! other CAS: 11096-88-1
  CALL Species("anilazine", "C_9H_5Cl_3N_4", "", &
    "101-05-3", "IMHBYKMAHXWHRP-UHFFFAOYSA-N")
  CALL Species("4,7-dichloroquinoline", "C_9H_5Cl_2N", "", &
    "86-98-6", "HXEWMTXDBOQQKO-UHFFFAOYSA-N")
  CALL Species("acetamiprid", "C_{10}H_{11}ClN_4", "", &
    "135410-20-7", "WCXDHFDTOYPNIE-UHFFFAOYSA-N")
  CALL Species("pyrimethamine", "C_{12}H_{13}ClN_4", "", &
    "58-14-0", "WKSAUQYGYAYLPV-UHFFFAOYSA-N")
  CALL Species("penconazole", "C_{13}H_{15}Cl_2N_3", "", &
    "66246-88-6", "WKBPZYKAUNRMKP-UHFFFAOYSA-N")
  CALL Species("myclobutanil", "C_{15}H_{17}ClN_4", "", &
    "88671-89-0", "HZJKXKUJVSEEFU-UHFFFAOYSA-N")
  CALL Species("2-chloro-4,6-bis(2,4-dimethylphenyl)-1,3,5-triazine", "C_{19}H_{18}N_3Cl", "", &
    "1237-53-2", "LVWOBZPDFCTAOU-UHFFFAOYSA-N")
  ! C, H, O, N, Cl:
  ! aliphatic:
  CALL Species("trichloronitromethane", "CCl_3NO_2", "chloropicrin", &
    "76-06-2", "LFHISGNCFUNFFM-UHFFFAOYSA-N")
  CALL Species("phosgene oxime", "CHCl_2NO", "", &
    "1794-86-1", "JIRJHEXNDQBKRZ-UHFFFAOYSA-N")
  CALL Species("1,1-dichloro-1-nitroethane", "C_2H_3Cl_2NO_2", "", &
    "594-72-9", "OQOGEOLRYAOSKO-UHFFFAOYSA-N")
  CALL Species("2-chloroacetamide", "C_2H_4ClNO", "", &
    "79-07-2", "VXIVSQZSERGHQP-UHFFFAOYSA-N")
  CALL Species("symclosene", "C_3Cl_3N_3O_3", "trichloroisocyanuric acid", &
    "87-90-1", "YRIZYWQGELRKNT-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-5,5-dimethylhydantoin", "C_5H_6Cl_2N_2O_2", "", &
    "118-52-5", "KEQGZUUPPQEDPF-UHFFFAOYSA-N")
  CALL Species("carmustine", "C_5H_9Cl_2N_3O_2", "", &
    "154-93-8", "DLGOEMSEDOSKAD-UHFFFAOYSA-N")
  CALL Species("2-chloro-N,N-di-2-propenylacetamide", "C_8H_{12}ClNO", "", &
    "93-71-0", "MDBGGTQNNUOQRC-UHFFFAOYSA-N")
  CALL Species("2,2-dichloro-N,N-di-2-propenylacetamide", "C_8H_{11}Cl_2NO", "dichlormid", &
    "37764-25-3", "YRMLFORXOOIJDR-UHFFFAOYSA-N")
  CALL Species("lomustine", "C_9H_{16}ClN_3O_2", "", &
    "13010-47-4", "GQYIWUVLTXOXAJ-UHFFFAOYSA-N")
  CALL Species("semustine", "C_{10}H_{18}ClN_3O_2", "", &
    "13909-09-6", "FVLVBPDQNARYJU-UHFFFAOYSA-N")
  CALL Species("dimethazone", "C_{12}H_{14}ClNO_2", "", &
    "81777-89-1", "KIEDNEWSYUYDSN-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("2-chloronitrobenzene", "C_6H_4ClNO_2", "$o$-chloronitrobenzene", &
    "88-73-3", "BFCFYVKQTRLZHA-UHFFFAOYSA-N")
  CALL Species("3-chloronitrobenzene", "C_6H_4ClNO_2", "$m$-chloronitrobenzene", &
    "121-73-3", "KMAQZIILEGKYQZ-UHFFFAOYSA-N")
  CALL Species("4-chloronitrobenzene", "C_6H_4ClNO_2", "$p$-chloronitrobenzene", &
    "100-00-5", "CZGCEKJOLUNIFY-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-4-nitrobenzene", "C_6H_3Cl_2NO_2", "", &
    "99-54-7", "NTBYINQTYWZXLH-UHFFFAOYSA-N")
  CALL Species("1,4-dichloro-2-nitrobenzene", "C_6H_3Cl_2NO_2", "", &
    "89-61-2", "RZKKOBGFCAHLCZ-UHFFFAOYSA-N")
  CALL Species("2,3-dichloronitrobenzene", "C_6H_3Cl_2NO_2", "", &
    "3209-22-1", "CMVQZRLQEOAYSW-UHFFFAOYSA-N")
  CALL Species("2,4-dichloronitrobenzene", "C_6H_3Cl_2NO_2", "", &
    "611-06-3", "QUIMTLZDMCNYGY-UHFFFAOYSA-N")
  CALL Species("3,5-dichloronitrobenzene", "C_6H_3Cl_2NO_2", "", &
    "618-62-2", "RNABGKOKSBUFHW-UHFFFAOYSA-N")
  CALL Species("pentachloronitrobenzene", "C_6Cl_5NO_2", "quintozene", &
    "82-68-8", "LKPLKUMXSAEKID-UHFFFAOYSA-N")
  CALL Species("4-chloro-2-nitrophenol", "C_6H_4ClNO_3", "", &
    "89-64-5", "NWSIFTLPLKCTSX-UHFFFAOYSA-N")
  CALL Species("2-chloro-4-nitrobenzenamine", "C_6H_5ClN_2O_2", "", &
    "121-87-9", "LOCWBQIWHWIRGN-UHFFFAOYSA-N")
  CALL Species("2-chloro-5-nitrobenzenamine", "C_6H_5ClN_2O_2", "", &
    "6283-25-6", "KWIXNFOTNVKIGM-UHFFFAOYSA-N")
  CALL Species("4-chloro-2,6-dinitrobenzenamine", "C_6H_4ClN_3O_4", "", &
    "5388-62-5", "CLMQUEQFVUMDPC-UHFFFAOYSA-N")
  CALL Species("1-chloro-2,4-dinitrobenzene", "C_6H_3ClN_2O_4", "", &
    "97-00-7", "VYZAHLCBVHPDDF-UHFFFAOYSA-N")
  CALL Species("1-chloro-2,6-dinitrobenzene", "C_6H_3ClN_2O_4", "", &
    "606-21-3", "BPPMIQPXQVIZNJ-UHFFFAOYSA-N")
  CALL Species("2-chloro-1,3,5-trinitrobenzene", "C_6H_2ClN_3O_6", "", &
    "88-88-0", "HJRJRUMKQCMYDL-UHFFFAOYSA-N")
  CALL Species("2,3,4-trichloronitrobenzene", "C_6H_2Cl_3NO_2", "", &
    "17700-09-3", "BGKIECJVXXHLDP-UHFFFAOYSA-N")
  CALL Species("2,3,4,5-tetrachloronitrobenzene", "C_6HCl_4NO_2", "", &
    "879-39-0", "MTBYTWZDRVOMBR-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetrachloronitrobenzene", "C_6HCl_4NO_2", "tecnazene", &
    "117-18-0", "XQTLDIFVVHJORV-UHFFFAOYSA-N")
  CALL Species("4-chloro-2-nitrobenzenamine", "C_6H_5ClN_2O_2", "", &
    "89-63-4", "PBGKNXWGYQPUJK-UHFFFAOYSA-N")
  CALL Species("4-chloro-3-nitrobenzenamine", "C_6H_5ClN_2O_2", "", &
    "635-22-3", "FOHHWGVAOVDVLP-UHFFFAOYSA-N")
  CALL Species("botran", "C_6H_4Cl_2N_2O_2", "", &
    "99-30-9", "BIXZHMJUSMUDOQ-UHFFFAOYSA-N")
  CALL Species("3,5-dichlorophenyl isocyanate", "C_7H_3Cl_2NO", "", &
    "34893-92-0", "XEFUJGURFLOFAN-UHFFFAOYSA-N")
  CALL Species("4-chloro-3-nitrobenzoic acid", "C_7H_4ClNO_4", "", &
    "96-99-1", "DFXQXFGFOLXAPO-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-isocyanatobenzene", "C_7H_4ClNO", "", &
    "104-12-1", "ADAKRBAJFHTIEW-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-4-isocyanatobenzene", "C_7H_3Cl_2NO", "", &
    "102-36-3", "MFUVCHZWGSJKEQ-UHFFFAOYSA-N")
  CALL Species("2-chloro-1-methyl-4-nitrobenzene", "C_7H_6ClNO_2", "", &
    "121-86-8", "LLYXJBROWQDVMI-UHFFFAOYSA-N")
  CALL Species("2,4-dichloro-3-methyl-6-nitrophenol", "C_7H_5Cl_2NO_3", "", &
    "39549-27-4", "VMBRJHMTAZXHES-UHFFFAOYSA-N")
  CALL Species("4-chloro-5-methyl-2-nitrophenol", "C_7H_6ClNO_3", "4-chloro-6-nitro-$m$-cresol", &
    "7147-89-9", "JBMGJOKJUYGIJH-UHFFFAOYSA-N")
  CALL Species("3-amino-2,5-dichlorobenzoic acid", "C_7H_5Cl_2NO_2", "", &
    "133-90-4", "HSSBORCLYSCBJR-UHFFFAOYSA-N")
  CALL Species("2,3,5,6-tetrachloro-4-nitroanisole", "C_7H_3Cl_4NO_3", "TCNA", &
    "2438-88-2", "BGPPUXMKKQMWLV-UHFFFAOYSA-N")
  CALL Species("2,6-dichlorobenzamide", "C_7H_5Cl_2NO", "", &
    "2008-58-4", "JHSPCUHPSIUQRB-UHFFFAOYSA-N")
  CALL Species("swep", "C_8H_7Cl_2NO", "", &
    "1918-18-9", "WOZQBERUBLYCEG-UHFFFAOYSA-N")
  CALL Species("N-(4-chlorophenyl)acetamide", "C_8H_8ClNO", "$p$-chloroacetanilide", &
    "539-03-7", "GGUOCFNAWIODMF-UHFFFAOYSA-N")
  CALL Species("methyl 5-chloro-2-nitrobenzoate", "C_8H_6ClNO_4", "", &
    "51282-49-6", "JGBJHRKCUKTQOE-UHFFFAOYSA-N")
  CALL Species("4-chloro-2,5-dimethoxynitrobenzene", "C_8H_8ClNO_4", "", &
    "6940-53-0", "ORLPGMKKCAEWOW-UHFFFAOYSA-N")
  CALL Species("chloraniformethan", "C_9H_7Cl_5N_2O", "", &
    "20856-57-9", "REEFSLKDEDEWAO-UHFFFAOYSA-N")
  CALL Species("monuron", "C_9H_{11}ClN_2O", "", &
    "150-68-5", "BMLIZLVNXIYGCK-UHFFFAOYSA-N")
  CALL Species("monolinuron", "C_9H_{11}ClN_2O_2", "", &
    "1746-81-2", "LKJPSUCKSLORMF-UHFFFAOYSA-N")
  CALL Species("diuron", "C_9H_{10}Cl_2N_2O", "", &
    "330-54-1", "XMTQQYYKAHVGBJ-UHFFFAOYSA-N")
  CALL Species("linuron", "C_9H_{10}Cl_2N_2O_2", "", &
    "330-55-2", "XKJMBINCVNINCA-UHFFFAOYSA-N")
  CALL Species("propanil", "C_9H_9Cl_2NO", "", &
    "709-98-8", "LFULEKSKNZEWOE-UHFFFAOYSA-N")
  CALL Species("methazole", "C_9H_6Cl_2N_2O_3", "", &
    "20354-26-1", "LRUUNMYPIBZBQH-UHFFFAOYSA-N")
  CALL Species("chlortoluron", "C_{10}H_{13}ClN_2O", "", &
    "15545-48-9", "JXCGFZXSOMJFOA-UHFFFAOYSA-N")
  CALL Species("metoxuron", "C_{10}H_{13}ClN_2O_2", "", &
    "19937-59-8", "DSRNRYQBBJQVCW-UHFFFAOYSA-N")
  CALL Species("chlorpropham", "C_{10}H_{12}ClNO_2", "", &
    "101-21-3", "CWJSHJJYOPWUGX-UHFFFAOYSA-N")
  CALL Species("pyrazon", "C_{10}H_8ClN_3O", "", &
    "1698-60-8", "WYKYKTKDBLFHCY-UHFFFAOYSA-N")
  CALL Species("2,4-D dimethylamine", "C_{10}H_{13}Cl_2NO_3", "(2,4-dichlorophenoxy)acetic acid dimethylamine", &
    "2008-39-1", "IUQJDHJVPLLKFL-UHFFFAOYSA-N")
  CALL Species("3',4'-dichlorocyclopropanecarboxanilide", "C_{10}H_9Cl_2NO", "cypromid", &
    "2759-71-9", "PLQDLOBGKJCDSZ-UHFFFAOYSA-N")
  CALL Species("chlorbufam", "C_{11}H_{10}ClNO_2", "", &
    "1967-16-4", "ULBXWWGWDPVHAO-UHFFFAOYSA-N")
  CALL Species("zarilamid", "C_{11}H_{11}N_2O_2Cl", "", &
    "84527-51-5", "VLBZAQJMGULJIU-UHFFFAOYSA-N")
  CALL Species("chloramphenicol", "C_{11}H_{12}Cl_2N_2O_5", "", &
    "56-75-7", "WIIZWVCIJKGZOK-IUCAKERBSA-N")
  CALL Species("cloethocarb", "C_{11}H_{14}ClNO_4", "", &
    "51487-69-5", "PITWUHDDNUVBPT-UHFFFAOYSA-N")
  CALL Species("formetanate hydrochloride", "C_{11}H_{16}ClN_3O_2", "", &
    "23422-53-9", "MYPKGPZHHQEODQ-UHFFFAOYSA-N")
  CALL Species("cyclanilide", "C_{11}H_9Cl_2NO_3", "", &
    "113136-77-9", "GLWWLNJJJCTFMZ-UHFFFAOYSA-N")
  CALL Species("propachlor", "C_{11}H_{14}ClNO", "", &
    "1918-16-7", "MFOUDYKPLGXPGO-UHFFFAOYSA-N")
  CALL Species("barban", "C_{11}H_9Cl_2NO_2", "", &
    "101-27-9", "MCOQHIWZJUDQIC-UHFFFAOYSA-N")
  CALL Species("propyzamide", "C_{12}H_{11}Cl_2NO", "pronamide", &
    "23950-58-5", "PHNUZKMIPFFYSO-UHFFFAOYSA-N")
  CALL Species("2,4,6-trichlorophenyl 4-nitrophenyl ether", "C_{12}H_6Cl_3NO_3", "chlornitrofen", &
    "1836-77-7", "XQNAUQUKWRBODG-UHFFFAOYSA-N")
  CALL Species("nitrofen", "C_{12}H_7Cl_2NO_3", "", &
    "1836-75-5", "XITQUSLLOSKDTB-UHFFFAOYSA-N")
  CALL Species("buturon", "C_{12}H_{13}ClN_2O", "", &
    "3766-60-7", "BYYMILHAKOURNM-UHFFFAOYSA-N")
  CALL Species("triclocarban", "C_{13}H_9Cl_3N_2O", "", &
    "101-20-2", "ICUTUKXCWQYESQ-UHFFFAOYSA-N")
  CALL Species("3,5-dichloro-N-(3,4-dichlorophenyl)-2-hydroxybenzamide", "C_{13}H_7Cl_4NO_2", "", &
    "1154-59-2", "SJQBHPJLLIJASD-UHFFFAOYSA-N")
  CALL Species("procymidone", "C_{13}H_{11}Cl_2NO_2", "", &
    "32809-16-8", "QXJKBPAVAHBARF-UHFFFAOYSA-N")
  CALL Species("melphalan", "C_{13}H_{18}Cl_2N_2O_2", "", &
    "148-82-3", "SGDBTWWWUNNDEQ-LBPRGKRZSA-N")
  CALL Species("niclosamide", "C_{13}H_8Cl_2N_2O_4", "", &
    "50-65-7", "RJMUSRYZPJIFPJ-UHFFFAOYSA-N")
  CALL Species("zoxamide", "C_{14}H_{16}Cl_3NO_2", "", &
    "156052-68-5", "SOUGWDPPRBKJEX-UHFFFAOYSA-N")
  CALL Species("fenhexamid", "C_{14}H_{17}Cl_2NO_2", "", &
    "126833-17-8", "VDLGAVXLJYLFDH-UHFFFAOYSA-N")
  CALL Species("chlorambucil", "C_{14}H_{19}Cl_2NO_2", "", &
    "305-03-3", "JCKYGMPEJWAADB-UHFFFAOYSA-N")
  CALL Species("2-chloro-N-(ethoxymethyl)-N-(2-ethyl-6-methylphenyl)acetamide", "C_{14}H_{20}ClNO_2", "acetochlor", &
    "34256-82-1", "VTNQPKFIQCLBDU-UHFFFAOYSA-N")
  CALL Species("alachlor", "C_{14}H_{20}ClNO_2", "", &
    "15972-60-8", "XCSGPAVHZFQHGE-UHFFFAOYSA-N")
  CALL Species("bifenox", "C_{14}H_9Cl_2NO_3", "", &
    "42576-02-3", "SUSRORUBZHMPCO-UHFFFAOYSA-N")
  CALL Species("metolachlor", "C_{15}H_{22}ClNO_2", "", &
    "51218-45-2", "WVQBLGZPHOPPFO-UHFFFAOYSA-N")
  CALL Species("clonitralid", "C_{15}H_{15}Cl_2N_3O_5", "", &
    "1420-04-8", "XYCDHXSQODHSLG-UHFFFAOYSA-N")
  CALL Species("chloroxuron", "C_{15}H_{15}ClN_2O_2", "", &
    "1982-47-4", "IVUXTESCPZUGJC-UHFFFAOYSA-N")
  CALL Species("CGA 80000", "C_{15}H_{18}ClNO_4", "", &
    "67932-85-8", "FHZMAAGOSXDIBJ-UHFFFAOYSA-N") ! other CAS: 79555-80-9
  CALL Species("pigment red 4", "C_{16}H_{10}ClN_3O_3", "", &
    "2814-77-9", "XLTMWFMRJZDFFD-VHEBQXMUSA-N")
  CALL Species("darendoside b", "C_{17}H_{15}Cl_2N_5O_2", "", &
    "13301-61-6", "KHZRTXVUEZJYNE-UHFFFAOYSA-N")
  CALL Species("butenachlor", "C_{17}H_{24}NO_2Cl", "", &
    "87310-56-3", "HZDIJTXDRLNTIS-DAXSKMNVSA-N")
  CALL Species("butachlor", "C_{17}H_{26}ClNO_2", "", &
    "23184-66-9", "HKPHPIREJKHECO-UHFFFAOYSA-N")
  CALL Species("pretilachlor", "C_{17}H_{26}ClNO_2", "", &
    "51218-49-6", "YLPGTOIOYRQOHV-UHFFFAOYSA-N")
  CALL Species("halofenozide", "C_{18}H_{19}ClN_2O_2", "", &
    "112226-61-6", "CNKHSLKYRMDDNQ-UHFFFAOYSA-N")
  CALL Species("$\alpha$-cypermethrin", "C_{22}H_{19}Cl_2NO_3", "", &
    "67375-30-8", "KAATUXNTWXVJKI-DXCJPMOASA-N")
  CALL Species("$\beta$-cypermethrin", "C_{22}H_{19}Cl_2NO_3", "", &
    "65731-84-2", "KAATUXNTWXVJKI-NSHGMRRFSA-N")
  CALL Species("$\delta$-cypermethrin", "C_{22}H_{19}Cl_2NO_3", "cypermethrin; alphamethrin", &
    "52315-07-8", "KAATUXNTWXVJKI-UHFFFAOYSA-N")
  CALL Species("ochratoxin C", "C_{22}H_{22}ClNO_6", "", &
    "4865-85-4", "BPZZWRPHVVDAPT-PXAZEXFGSA-N")
  CALL Species("mandipropamid", "C_{23}H_{22}ClNO_4", "", &
    "374726-62-2", "KWLVWJPJKJMCSH-UHFFFAOYSA-N")
  CALL Species("fenvalerate", "C_{25}H_{22}ClNO_3", "", &
    "51630-58-1", "NYPJDWWKZLNGGM-UHFFFAOYSA-N")
  CALL Species("esfenvalerate", "C_{25}H_{22}ClNO_3", "", &
    "66230-04-4", "NYPJDWWKZLNGGM-ZEQRLZLVSA-N")
  ! heterocycles with N:
  CALL Species("picloram", "C_6H_3Cl_3N_2O_2", "", &
    "1918-02-1", "NQQVFXUMIDALNH-UHFFFAOYSA-N")
  CALL Species("aminopyralid", "C_6H_4Cl_2N_2O_2", "", &
    "150114-71-9", "NIXXQNOQHKNPEJ-UHFFFAOYSA-N")
  CALL Species("3,4,5,6-tetrachloropyridine-2-carboxylic acid", "C_6HCl_4NO_2", "", &
    "10469-09-7", "GXFRQLQUKBSYQL-UHFFFAOYSA-N")
  CALL Species("[(3,5,6-trichloro-2-pyridinyl)oxy]-acetic acid", "C_7H_4Cl_3NO_3", "triclopyr", &
    "55335-06-3", "REEQLXCGVXDJSQ-UHFFFAOYSA-N")
  CALL Species("clopidol", "C_7H_7Cl_2NO", "", &
    "2971-90-6", "ZDPIZLCVJAAHHR-UHFFFAOYSA-N")
  CALL Species("[(3,5,6-trichloro-2-pyridinyl)oxy]-acetic acid, methyl ester", "C_8H_6Cl_3NO_3", "", &
    "60825-26-5", "MNYBZEHWPRTNJY-UHFFFAOYSA-N")
  CALL Species("uracil mustard", "C_8H_{11}Cl_2N_3O_2", "", &
    "66-75-1", "IDPUKCWIGUEADI-UHFFFAOYSA-N")
  CALL Species("imidacloprid", "C_9H_{10}ClN_5O_2", "", &
    "138261-41-3", "YWTYJOPNNQFBPC-UHFFFAOYSA-N")
  CALL Species("ethyl [(3,5,6-trichloro-2-pyridinyl)oxy]acetate", "C_9H_8Cl_3NO_3", "", &
    "60825-27-6", "KXAVVWXJUDQGDA-UHFFFAOYSA-N")
  CALL Species("N-methyl-3,4,5,6-tetrachlorophthalimide", "C_9H_3Cl_4NO_2", "", &
    "14737-80-5", "OHCSZUQRNNNMRG-UHFFFAOYSA-N")
  CALL Species("terbacil", "C_9H_{13}ClN_2O_2", "", &
    "5902-51-2", "NBQCNZYJJMBDKY-UHFFFAOYSA-N")
  CALL Species("triforine", "C_{10}H_{14}Cl_6N_4O_2", "", &
    "26644-46-2", "RROQIUMZODEXOR-UHFFFAOYSA-N")
  CALL Species("anagrelide", "C_{10}H_7Cl_2N_3O", "", &
    "68475-42-3", "OTBXOEAOVRKTNQ-UHFFFAOYSA-N")
  CALL Species("fenpiclonil", "C_{11}H_6Cl_2N_2", "", &
    "74738-17-3", "FKLFBQCQQYDUAM-UHFFFAOYSA-N")
  CALL Species("fenchlorazole-ethyl", "C_{12}H_8N_3O_2Cl_5", "", &
    "103112-35-2", "GMBRUAIJEFRHFQ-UHFFFAOYSA-N")
  CALL Species("vinclozoline", "C_{12}H_9Cl_2NO_3", "", &
    "50471-44-8", "FSCWZHGZWWDELK-UHFFFAOYSA-N")
  CALL Species("forchlorfenuron", "C_{12}H_{10}ClN_3O", "", &
    "68157-60-8", "GPXLRLUVLMHHIK-UHFFFAOYSA-N")
  CALL Species("myclozolin", "C_{12}H_{11}NO_4Cl_2", "", &
    "54864-61-8", "FTCOKXNKPOUEFH-UHFFFAOYSA-N")
  CALL Species("clofencet", "C_{13}H_{11}ClN_2O_3", "", &
    "129025-54-3", "PIZCXVUFSNPNON-UHFFFAOYSA-N")
  CALL Species("chlozolinate", "C_{13}H_{11}NO_5Cl_2", "", &
    "84332-86-5", "IGUYEXXAGBDLLX-UHFFFAOYSA-N")
  CALL Species("monalide", "C_{13}H_{18}ClNO", "", &
    "7287-36-7", "KXGYBSNVFXBPNO-UHFFFAOYSA-N")
  CALL Species("etaconazole", "C_{14}H_{15}Cl_2N_3O_2", "", &
    "60207-93-4", "DWRKFAJEBUWTQM-UHFFFAOYSA-N")
  CALL Species("triadimenol", "C_{14}H_{18}ClN_3O_2", "", &
    "55219-65-3", "BAZVSMNPJJMILC-UHFFFAOYSA-N")
  CALL Species("triadimefon", "C_{14}H_{16}ClN_3O_2", "", &
    "43121-43-3", "WURBVZBTWMNKQT-UHFFFAOYSA-N")
  CALL Species("imazalil", "C_{14}H_{14}Cl_2N_2O", "", &
    "35554-44-0", "PZBPKYOVPCNPJY-UHFFFAOYSA-N")
  CALL Species("propiconazole", "C_{15}H_{17}Cl_2N_3O_2", "", &
    "60207-90-1", "STJLVHWMYQXCPB-UHFFFAOYSA-N")
  CALL Species("clonazepam", "C_{15}H_{10}ClN_3O_3", "", &
    "1622-61-3", "DGBIGWXXNGSACT-UHFFFAOYSA-N")
  CALL Species("oxazepam", "C_{15}H_{12}ClN_2O_2", "", &
    "604-75-1", "ADIMAYPTOBDMTL-UHFFFAOYSA-N")
  CALL Species("oxadiazon", "C_{15}H_{18}Cl_2N_2O_3", "", &
    "19666-30-9", "CHNUNORXWHYHNE-UHFFFAOYSA-N")
  CALL Species("cyproconazole", "C_{15}H_{18}ClN_3O", "", &
    "94361-06-5", "UFNOUKDBUJZYDE-UHFFFAOYSA-N")
  CALL Species("diclobutrazol", "C_{15}H_{19}Cl_2N_3O", "", &
    "75736-33-3", "URDNHJIVMYZFRT-UHFFFAOYSA-N")
  CALL Species("diazepam", "C_{16}H_{13}ClN_2O", "", &
    "439-14-5", "AAOVKJBEBIDNHE-UHFFFAOYSA-N")
  CALL Species("bendamustine", "C_{16}H_{21}Cl_2N_3O_2", "", &
    "16506-27-7", "YTKUWDBFDASYHO-UHFFFAOYSA-N")
  CALL Species("piperalin", "C_{16}H_{21}Cl_2NO_2", "", &
    "3478-94-2", "BZGLBXYQOMFXAU-UHFFFAOYSA-N")
  CALL Species("tebuconazole", "C_{16}H_{22}ClN_3O", "", &
    "107534-96-3", "PXMNMQRDXWABCY-UHFFFAOYSA-N")
  CALL Species("fenarimol", "C_{17}H_{12}Cl_2N_2O", "", &
    "60168-88-9", "NHOWDZOIZKMVAI-UHFFFAOYSA-N")
  CALL Species("triticonazole", "C_{17}H_{20}N_3OCl", "", &
    "131983-72-7", "PPDBOQMNKNNODG-ZROIWOOFSA-N")
  CALL Species("boscalid", "C_{18}H_{12}Cl_2N_2O", "", &
    "188425-85-6", "WYEMLYFITZORAB-UHFFFAOYSA-N")
  CALL Species("tebufenpyrad", "C_{18}H_{24}ClN_3O", "", &
    "119168-77-3", "ZZYSLNWGKKDOML-UHFFFAOYSA-N")
  CALL Species("8,9,10,11-tetrachloro-12-phthaloperinone", "C_{18}H_6Cl_4N_2O", "", &
    "20749-68-2", "UBZVRROHBDDCQY-UHFFFAOYSA-N")
  CALL Species("pigment red 254", "C_{18}H_{10}Cl_2N_2O_2", "", &
    "84632-65-5", "JNNHVXMCVRYTTN-UHFFFAOYSA-N")
  CALL Species("quizalofop ethyl", "C_{19}H_{17}ClN_2O_4", "", &
    "76578-14-8", "OSUHJPCHFDQAIT-UHFFFAOYSA-N")
  CALL Species("pyraclostrobine", "C_{19}H_{18}ClN_3O_4", "", &
    "175013-18-0", "HZRSNVGNWUDEFX-UHFFFAOYSA-N")
  CALL Species("ponsol red violet 2rnx", "C_{21}H_8Cl_3NO_3", "", &
    "6373-31-5", "SQAQTWYUQXFOMH-UHFFFAOYSA-N")
  CALL Species("dimethomorph", "C_{21}H_{22}NO_4Cl", "", &
    "110488-70-5", "QNBTYORWCCMPQP-JXAWBTAJSA-N")
  CALL Species("aripiprazole", "C_{23}H_{27}Cl_2N_3O_2", "", &
    "129722-12-9", "CEUORZQYGODEFX-UHFFFAOYSA-N")
  CALL Species("ag-g-86814", "C_{26}H_6Cl_8N_2O_4", "", &
    "30125-47-4", "ZEHOVWPIGREOPO-UHFFFAOYSA-N")
  CALL Species("8,18-dichloro-5,15-diethyl-5,15-dihydrodiindolo(3,2-b:3',2'-m)triphenodioxazine", "C_{34}H_{22}Cl_2N_4O_2", "", &
    "6358-30-1", "CGLVZFOCZLHKOH-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Chlorofluorocarbons (\chem{C}, \chem{H}, \chem{O}, \chem{N}, \chem{F}, \chem{Cl})")
  ! C, H, F:
  CALL Species("fluoroethene", "C_2H_3F", "vinyl fluoride", &
    "75-02-5", "XUCNUKMRBVNAPB-UHFFFAOYSA-N")
  CALL Species("1,2-difluoroethane", "C_2H_4F_2", "", &
    "624-72-6", "AHFMSNDOYCFEPH-UHFFFAOYSA-N")
  CALL Species("trifluoroethene", "C_2HF_3", "", &
    "359-11-5", "MIZLGWKEZAPEFJ-UHFFFAOYSA-N")
  CALL Species("3,3,3-trifluoropropene", "C_3H_3F_3", "", &
    "677-21-4", "FDMFUZHCIRHGRG-UHFFFAOYSA-N")
  CALL Species("1,1,3,3,3-pentafluoro-2-(trifluoromethyl)-1-propene", "C_4F_8", "perfluoroisobutylene", &
    "382-21-8", "DAFIBNSJXIGBQB-UHFFFAOYSA-N")
  CALL Species("decafluorobutane", "C_4F_{10}", "", &
    "355-25-9", "KAVGMUDTWQVPDF-UHFFFAOYSA-N")
  CALL Species("tetradecafluorohexane", "C_6F_{14}", "perflexane", &
    "355-42-0", "ZJIJAJXFLBMLCK-UHFFFAOYSA-N")
  ! C, H, O, F:
  CALL Species("1,1,1,3,3,3-hexafluoro-2-propanone", "C_3F_6O", "", &
    "684-16-2", "VBZWSGALLODQNC-UHFFFAOYSA-N")
  CALL Species("desflurane", "C_3H_2F_6O", "", &
    "57041-67-5", "DPYMFVXJLLWWEU-UHFFFAOYSA-N")
  CALL Species("sevoflurane", "C_4H_3F_7O", "", &
    "28523-86-6", "DFEYYRMXOJXZRJ-UHFFFAOYSA-N")
  CALL Species("metofluthrin", "C_{18}H_{20}F_4O_3", "", &
    "240494-70-6", "KVIZNNVXXNFLMU-AATRIKPKSA-N")
  CALL Species("fluoxymesterone", "C_{20}H_{29}FO_3", "", &
    "76-43-7", "YLRFCQOZQXIBAB-YXVJBPKESA-N")
  CALL Species("dexamethasone", "C_{22}H_{29}FO_5", "", &
    "50-02-2", "UREBDLICKHMUKA-GCMAGEFQSA-N")
  CALL Species("flocoumafen", "C_{33}H_{25}F_3O_4", "", &
    "90035-08-8", "KKBGNYHHEIAGOH-UHFFFAOYSA-N")
  ! C, H, F, Cl:
  CALL Species("chlorofluoromethane", "CH_2FCl", "R31", &
    "593-70-4", "XWCDCDSDNJVCLO-UHFFFAOYSA-N")
  CALL Species("chlorodifluoromethane", "CHF_2Cl", "R22", &
    "75-45-6", "VOPWNXZWBYDODV-UHFFFAOYSA-N")
  CALL Species("dichlorofluoromethane", "CHFCl_2", "R21", &
    "75-43-4", "UMNKXPULIDJLSU-UHFFFAOYSA-N")
  CALL Species("chlorotrifluoromethane", "CF_3Cl", "R13", &
    "75-72-9", "AFYPFACVUDMOHA-UHFFFAOYSA-N")
  CALL Species("dichlorodifluoromethane", "CF_2Cl_2", "R12", &
    "75-71-8", "PXBRQCKWGAHEHS-UHFFFAOYSA-N")
  CALL Species("trichlorofluoromethane", "CFCl_3", "R11", &
    "75-69-4", "CYRMSUTZVYGINF-UHFFFAOYSA-N")
  CALL Species("1,1,1,2-tetrachlorodifluoroethane", "C_2Cl_4F_2", "", &
    "76-11-9", "SLGOCMATMKJJCE-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrachlorodifluoroethane", "C_2F_2Cl_4", "R112", &
    "76-12-0", "UGCSPKPEHQEOSR-UHFFFAOYSA-N")
  CALL Species("1,1,1-trichloro-2,2,2-trifluoroethane", "C_2F_3Cl_3", "R113a", &
    "354-58-5", "BOSAWIQFTJIYIS-UHFFFAOYSA-N")
  CALL Species("1,1,2-trichloro-1,2,2-trifluoroethane", "C_2F_3Cl_3", "R113", &
    "76-13-1", "AJDIZQLSFPQPEY-UHFFFAOYSA-N")
  CALL Species("1,1-dichlorotetrafluoroethane", "C_2F_4Cl_2", "R114a", &
    "374-07-2", "BAMUEXIPKSRTBS-UHFFFAOYSA-N")
  CALL Species("1,2-dichlorotetrafluoroethane", "C_2F_4Cl_2", "R114", &
    "76-14-2", "DDMOUSALMHHKOS-UHFFFAOYSA-N")
  CALL Species("chloropentafluoroethane", "C_2F_5Cl", "R115", &
    "76-15-3", "RFCAUADVODFSLZ-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrachloro-1-fluoroethane", "C_2HCl_4F", "", &
    "354-14-3", "LUBCGHUOCJOIJA-UHFFFAOYSA-N")
  CALL Species("1,1-dichloro-1,2,2-trifluoroethane", "C_2HCl_2F_3", "", &
    "812-04-4", "AFTSHZRGGNMLHC-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-1,1,2-trifluoroethane", "C_2HCl_2F_3", "", &
    "354-23-4", "YMRMDGSNYHCUCL-UHFFFAOYSA-N")
  CALL Species("2,2-dichloro-1,1,1-trifluoroethane", "C_2HF_3Cl_2", "R123", &
    "306-83-2", "OHMHBGPWCHTMQE-UHFFFAOYSA-N")
  CALL Species("1-chloro-1,1,2,2-tetrafluoroethane", "C_2HClF_4", "", &
    "354-25-6", "JQZFYIGAYWLRCC-UHFFFAOYSA-N")
  CALL Species("1-chloro-1,2,2,2-tetrafluoroethane", "C_2HF_4Cl", "R124", &
    "2837-89-0", "BOUGCJDAQLKBQH-UHFFFAOYSA-N")
  CALL Species("1,2-dichloro-1,1-difluoroethane", "C_2H_2Cl_2F_2", "", &
    "1649-08-7", "SKDFWEPBABSFMG-UHFFFAOYSA-N")
  CALL Species("2-chloro-1,1,1-trifluoroethane", "C_2H_2F_3Cl", "R133a", &
    "75-88-7", "CYXIKYKBLDZZNW-UHFFFAOYSA-N")
  CALL Species("1,1-dichloro-1-fluoroethane", "CH_3CFCl_2", "R141b", &
    "1717-00-6", "FRCHKSNAZZFGCA-UHFFFAOYSA-N")
  CALL Species("1-chloro-1,1-difluoroethane", "CH_3CF_2Cl", "R142b", &
    "75-68-3", "BHNZEZWIUMJCGF-UHFFFAOYSA-N")
  CALL Species("1-chloro-1,2-difluoroethane", "C_2H_3ClF_2", "", &
    "338-64-7", "UOVSDUIHNGNMBZ-UHFFFAOYSA-N")
  CALL Species("1-chloro-1,1,2-trifluoroethane", "C_2H_2F_3Cl", "R133b", &
    "421-04-5", "HILNUELUDBMBJQ-UHFFFAOYSA-N")
  CALL Species("2-chloro-1,1-difluoroethene", "C_2HClF_2", "R1122", &
    "359-10-4", "HTHNTJCVPNKCPZ-UHFFFAOYSA-N")
  CALL Species("chlorotrifluoroethene", "C_2ClF_3", "", &
    "79-38-9", "UUAGAQFQZIEFAH-UHFFFAOYSA-N")
  CALL Species("3,3-dichloro-1,1,1,2,2-pentafluoropropane", "CF_3CF_2CHCl_2", "R225ca", &
    "422-56-0", "COAUHYBSXMIJDK-UHFFFAOYSA-N")
  CALL Species("1,3-dichloro-1,1,2,2,3-pentafluoro-propane", "CClF_2CF_2CHClF", "R225cb", &
    "507-55-1", "UJIGKESMIPTWJH-UHFFFAOYSA-N")
  CALL Species("1-chloro-3-(trifluoromethyl)benzene", "C_7H_4ClF_3", "", &
    "98-15-7", "YTCGOUNVIAWCMG-UHFFFAOYSA-N")
  CALL Species("1-chloro-4-(trifluoromethyl)benzene", "C_7H_4ClF_3", "", &
    "98-56-6", "QULYNCCPRWKEMF-UHFFFAOYSA-N")
  CALL Species("3-chloro-4-fluorobenzotrifluoride", "C_7H_3ClF_4", "", &
    "78068-85-6", "BKHVEYHSOXVAOP-UHFFFAOYSA-N")
  CALL Species("3,4-dichlorobenzotrifluoride", "C_7H_3Cl_2F_3", "", &
    "328-84-7", "XILPLWOGHPSJBK-UHFFFAOYSA-N")
  ! C, H, O, F, Cl:
  CALL Species("chlorodifluoroethanoic acid", "CF_2ClCOOH", "chlorodifluoroacetic acid", &
    "76-04-0", "OAWAZQITIZDJRB-UHFFFAOYSA-N")
  CALL Species("carbonic chloride fluoride", "COFCl", "", &
    "353-49-1", "OXVVNXMNLYYMOL-UHFFFAOYSA-N")
  CALL Species("trifluoroacetylchloride", "CF_3COCl", "", &
    "354-32-5", "PNQBEPDZQUOCNY-UHFFFAOYSA-N")
  CALL Species("2,2-dichloro-1,1-difluoro-1-methoxyethane", "C_3H_4Cl_2F_2O", "methoxyflurane", &
    "76-38-0", "RFKMCNOHBTXSMU-UHFFFAOYSA-N")
  CALL Species("1-chloro-2,2,2-trifluoroethyl difluoromethyl ether", "C_3H_2ClF_5O", "forane; isoflurane", &
    "26675-46-7", "PIWKPBJCKXDKJR-UHFFFAOYSA-N")
  CALL Species("2-chloro-1,1,2-trifluoroethyl difluoromethyl ether", "C_3H_2ClF_5O", "enflurane", &
    "13838-16-9", "JPGQOUSTVILISH-UHFFFAOYSA-N")
  CALL Species("3-[2-chloro-4-(trifluoromethyl)phenoxy]benzoic acid", "C_{14}H_8ClF_3O_3", "", &
    "63734-62-3", "ONKRUAQFUNKYAX-UHFFFAOYSA-N")
  CALL Species("3-(2-chloro-4-(trifluoromethyl)phenoxy)phenyl acetate", "C_{15}H_{10}ClF_3O_3", "", &
    "50594-77-9", "KNFRYRRZMRETJX-UHFFFAOYSA-N")
  CALL Species("tefluthrin", "C_{17}H_{14}O_2ClF_7", "", &
    "79538-32-2", "ZFHGXWPMULPQSE-GPCIZFCYSA-N")
  CALL Species("clobetasol", "C_{22}H_{28}ClFO_4", "", &
    "25122-41-2", "FCSHDIVRCWTZOX-DVTGEIKXSA-N")
  CALL Species("EINECS 273-236-7", "C_{28}H_{33}Cl_3F_6O_{11}", "", &
    "68954-01-8", "KVXVLCBFSKMBAR-UHFFFAOYSA-N")
  ! C, H, N, F:
  CALL Species("4-fluoroaniline", "C_6H_6FN", "", &
    "371-40-4", "KRZCOLNOCZKSDF-UHFFFAOYSA-N")
  CALL Species("N-ethyl-1-[3-(trifluoromethyl)phenyl]-2-propanamine", "C_{12}H_{16}F_3N", "fenfluramine", &
    "458-24-2", "DBGIVFWFUFKIQN-UHFFFAOYSA-N")
  CALL Species("cinacalcet", "C_{22}H_{22}F_3N", "", &
    "226256-56-0", "VDHAWDNDOKGFTD-MRXNPFEDSA-N")
  CALL Species("hydramethylnon", "C_{25}H_{24}F_6N_4", "", &
    "67485-29-4", "IQVNEKKDSLOHHK-FNCQTZNRSA-N")
  ! C, H, N, F, Cl:
  CALL Species("3,5-dichloro-2,4,6-trifluoropyridine", "C_5Cl_2F_3N", "", &
    "1737-93-5", "PKSORSNCSXBXOT-UHFFFAOYSA-N")
  ! C, H, O, N, F, Cl:
  CALL Species("chlorodifluoronitrooxymethane", "CClF_2OONO_2", "", &
    "70490-95-8", "HWHZTSGXJYKIPK-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-nitro-4-(trifluoromethyl)-benzene", "C_7H_3ClF_3NO_2", "", &
    "121-17-5", "TZGFQIXRVUHDLE-UHFFFAOYSA-N")
  CALL Species("2-chloro-1,3-dinitro-5-(trifluoromethyl)-benzene", "C_7H_2ClF_3N_2O_4", "", &
    "393-75-9", "HFHAVERNVFNSHL-UHFFFAOYSA-N")
  CALL Species("fluroxypyr", "C_7H_5Cl_2FN_2O_3", "", &
    "69377-81-7", "MEFQWPUMEMWTJP-UHFFFAOYSA-N")
  CALL Species("norflurazon", "C_{12}H_9ClF_3N_3O", "", &
    "27314-13-2", "NVGOPFQZYCNLDU-UHFFFAOYSA-N")
  CALL Species("fluchloralin", "C_{12}H_{13}ClF_3N_3O_4", "", &
    "33245-39-5", "MNFMIVVPXOGUMX-UHFFFAOYSA-N")
  CALL Species("fluazinam", "C_{13}H_4Cl_2F_6N_4O_4", "", &
    "79622-59-6", "UZCGKGPEKUCDTF-UHFFFAOYSA-N")
  CALL Species("5-(2-chloro-4-(trifluoromethyl)phenoxy)-2-nitrophenol", "C_{13}H_7ClF_3NO_4", "", &
    "42874-63-5", "WYTRKEWETULQOA-UHFFFAOYSA-N")
  CALL Species("tetraconazole", "C_{13}H_{11}Cl_2F_4N_3O", "", &
    "112281-77-3", "LQDARGUHUSPFNL-UHFFFAOYSA-N")
  CALL Species("fluopicolide", "C_{14}H_8Cl_3F_3N_2O", "", &
    "239110-15-7", "GBOYJIHYACSLGN-UHFFFAOYSA-N")
  CALL Species("difluron", "C_{14}H_9ClF_2N_2O_2", "", &
    "35367-38-5", "QQQYTWIFVNKMRW-UHFFFAOYSA-N")
  CALL Species("efavirenz", "C_{14}H_9ClF_3NO_2", "", &
    "154598-52-4", "XPOQHMRABVBWPR-ZDUSSCGKSA-N")
  CALL Species("quinoxyfen", "C_{15}H_8Cl_2FNO", "", &
    "124495-18-7", "WRPIRSINYZBGPK-UHFFFAOYSA-N")
  CALL Species("5-(2-chloro-4-(trifluoromethyl)phenoxy)-2-nitrophenyl acetate", "C_{15}H_9ClF_3NO_5", "", &
    "50594-44-0", "PSWSPFSDVZVVDC-UHFFFAOYSA-N")
  CALL Species("oxyfluorfen", "C_{15}H_{11}ClF_3NO_4", "", &
    "42874-03-3", "OQMBBFQZGJFLBU-UHFFFAOYSA-N")
  CALL Species("pyraflufen-ethyl", "C_{15}H_{13}Cl_2F_3N_2O_4", "", &
    "129630-19-9", "APTZNLHMIGJTEW-UHFFFAOYSA-N")
  CALL Species("carfentrazone ethyl", "C_{15}H_{14}Cl_2F_3N_3O_3", "", &
    "128639-02-1", "MLKCGVHIFJBRCD-UHFFFAOYSA-N")
  CALL Species("triflumizole", "C_{15}H_{15}ClF_3N_3O", "", &
    "99387-89-0", "HSMVPDGQOIQYSR-UHFFFAOYSA-N")
  CALL Species("3-(2,4-dichlorophenyl)-6-fluoro-2-(1H-1,2,4-triazol-1-yl)-quinazolin-4(3H)-one", "C_{16}H_8Cl_2FN_5O", &
    "fluquinconazole", &
    "136426-54-5", "IJJVMEJXYNJXOJ-UHFFFAOYSA-N")
  CALL Species("hexaflumuron", "C_{16}H_8Cl_2F_6N_2O_3", "", &
    "86479-06-3", "RGNPBRKPHBKNKX-UHFFFAOYSA-N")
  CALL Species("nuarimol", "C_{17}H_{12}ClFN_2O", "", &
    "63284-71-9", "SAPGTCDSBGMXCD-UHFFFAOYSA-N")
  CALL Species("clodinafop-propargyl", "C_{17}H_{13}ClFNO_4", "", &
    "105512-06-9", "JBDHZKLJNAIJNC-LLVKDONJSA-N")
  CALL Species("flamprop-methyl", "C_{17}H_{15}ClFNO_3", "", &
    "52756-25-9", "RBNIGDFIUWJJEV-UHFFFAOYSA-N")
  CALL Species("pyridalyl", "C_{18}H_{14}Cl_4F_3NO_3", "", &
    "179101-81-6", "UBSUICNYBBPFHD-UHFFFAOYSA-N")
  CALL Species("lactofen", "C_{19}H_{15}ClF_3NO_7", "", &
    "77501-63-4", "CONWAEURSVPLRM-UHFFFAOYSA-N")
  CALL Species("chlorfluazuron", "C_{20}H_9Cl_3F_5N_3O_3", "", &
    "71422-67-8", "UISUNVFOGSJSKD-UHFFFAOYSA-N")
  CALL Species("fluazuron", "C_{20}H_{10}N_3O_3Cl_2F_5", "", &
    "86811-58-7", "YOWNVPAUWYHLQX-UHFFFAOYSA-N")
  CALL Species("flufenoxuron", "C_{21}H_{11}ClF_6N_2O_3", "", &
    "101463-69-8", "RYLHNOVXKPXDIP-UHFFFAOYSA-N")
  CALL Species("fluoxastrobin", "C_{21}H_{16}N_4O_5ClF", "", &
    "361377-29-9", "UFEODZBUAFNAEU-NLRVBDNBSA-N")
  CALL Species("haloperidol", "C_{21}H_{23}ClFNO_2", "", &
    "52-86-8", "LNEPOXFFQSENCJ-UHFFFAOYSA-N")
  CALL Species("indoxacarb", "C_{22}H_{17}ClF_3N_3O_7", "", &
    "173584-44-6", "VBCVPMMZEGZULK-NRFANRHFSA-N")
  CALL Species("cyfluthrin", "C_{22}H_{18}Cl_2FNO_3", "", &
    "68359-37-5", "QQODLKZGRKWIFG-UHFFFAOYSA-N")
  CALL Species("metamifop", "C_{23}H_{18}N_2O_4ClF", "", &
    "256412-89-2", "ADDQHLREJDZPMT-CQSZACIVSA-N")
  CALL Species("cyhalothrin", "C_{23}H_{19}NO_3ClF_3", "", &
    "68085-85-8", "ZXQYGBMAQZUVMI-BWHPXCRDSA-N")
  CALL Species("bifenthrin", "C_{23}H_{22}ClF_3O_2", "", &
    "82657-04-3", "OMFRMAHOUUJSGP-UNOMPAQXSA-N")
  CALL Species("flucycloxuron", "C_{25}H_{20}ClF_2N_3O_3", "", &
    "94050-52-9", "PCKNFPQPGUWFHO-UQRQXUALSA-N")
  CALL Species("fluvalinate", "C_{26}H_{22}ClF_3N_2O_3", "", &
    "69409-94-5", "INISTDXBRIBGOC-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with bromine (\chem{Br})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Bromocarbons (\chem{C}, \chem{H}, \chem{O}, \chem{N}, \chem{Br})")
  ! C, H, Br:
  ! saturated:
  CALL Species("bromomethane", "CH_3Br", "methyl bromide", &
    "74-83-9", "GZUXJHMPEANEGY-UHFFFAOYSA-N")
  CALL Species("dibromomethane", "CH_2Br_2", "", &
    "74-95-3", "FJBFPHVGVWTDIP-UHFFFAOYSA-N")
  CALL Species("tribromomethane", "CHBr_3", "bromoform", &
    "75-25-2", "DIKBFYAXUHHXCS-UHFFFAOYSA-N")
  CALL Species("tetrabromomethane", "CBr_4", "", &
    "558-13-4", "HJUGFYREWKUQJT-UHFFFAOYSA-N")
  CALL Species("bromoethane", "C_2H_5Br", "", &
    "74-96-4", "RDHPKYGYEGBMSE-UHFFFAOYSA-N")
  CALL Species("1,1-dibromoethane", "C_2H_4Br_2", "", &
    "557-91-5", "APQIUTYORBAGEZ-UHFFFAOYSA-N")
  CALL Species("1,2-dibromoethane", "C_2H_4Br_2", "ethylene dibromide", &
    "106-93-4", "PAAZPARNPHGIKF-UHFFFAOYSA-N")
  CALL Species("1,2-dibromoethane-d4", "C_2D_4Br_2", "ethylene dibromide-d4", &
    "22581-63-1", "PAAZPARNPHGIKF-LNLMKGTHSA-N")
  CALL Species("1,1,2,2-tetrabromoethane", "C_2H_2Br_4", "", &
    "79-27-6", "QXSZNDIIPUOQMB-UHFFFAOYSA-N")
  CALL Species("1-bromopropane", "C_3H_7Br", "", &
    "106-94-5", "CYNYIHKIEHGYOZ-UHFFFAOYSA-N")
  CALL Species("2-bromopropane", "C_3H_7Br", "", &
    "75-26-3", "NAMYKGVDVNBCFQ-UHFFFAOYSA-N")
  CALL Species("1,2-dibromopropane", "C_3H_6Br_2", "", &
    "78-75-1", "XFNJYAKDBJUJAJ-UHFFFAOYSA-N")
  CALL Species("1,3-dibromopropane", "C_3H_6Br_2", "", &
    "109-64-8", "VEFLKXRACNJHOV-UHFFFAOYSA-N")
  CALL Species("1-bromobutane", "C_4H_9Br", "", &
    "109-65-9", "MPPPKRYCTPRNTB-UHFFFAOYSA-N")
  CALL Species("2-bromobutane", "C_4H_9Br", "", &
    "78-76-2", "UPSXAPQYNGXVBF-UHFFFAOYSA-N")
  CALL Species("1-bromo-2-methylpropane", "C_4H_9Br", "", &
    "78-77-3", "HLVFKOKELQSXIQ-UHFFFAOYSA-N")
  CALL Species("2-bromo-2-methylpropane", "C_4H_9Br", "", &
    "507-19-7", "RKSOPLXZQNSWAS-UHFFFAOYSA-N")
  CALL Species("1-bromo-3-methylbutane", "C_5H_{11}Br", "", &
    "107-82-4", "YXZFFTJAHVMMLF-UHFFFAOYSA-N")
  CALL Species("1,4-dibromobutane", "C_4H_8Br_2", "", &
    "110-52-1", "ULTHEAFYOOPTTB-UHFFFAOYSA-N")
  CALL Species("1-bromopentane", "C_5H_{11}Br", "", &
    "110-53-2", "YZWKKMVJZFACSU-UHFFFAOYSA-N")
  CALL Species("1-bromo-2-methylbutane", "C_5H_{11}Br", "", &
    "10422-35-2", "XKVLZBNEPALHIO-UHFFFAOYSA-N")
  CALL Species("1-bromohexane", "C_6H_{13}Br", "", &
    "111-25-1", "MNDIARAMWBIKFW-UHFFFAOYSA-N")
  CALL Species("1-bromo-3-methylpentane", "C_6H_{13}Br", "", &
    "51116-73-5", "MDCCBJLCTOTLKM-UHFFFAOYSA-N")
  CALL Species("bromocyclohexane", "C_6H_{11}Br", "", &
    "108-85-0", "AQNQQHJNRPDOQV-UHFFFAOYSA-N")
  CALL Species("1-bromoheptane", "C_7H_{15}Br", "", &
    "629-04-9", "LSXKDWGTSHCFPP-UHFFFAOYSA-N")
  CALL Species("1-bromooctane", "C_8H_{17}Br", "", &
    "111-83-1", "VMKOFRJSULQZRM-UHFFFAOYSA-N")
  CALL Species("1,8-dibromooctane", "C_8H_{16}Br_2", "", &
    "4549-32-0", "DKEGCUDAFWNSSO-UHFFFAOYSA-N")
  CALL Species("1,2-dibromo-4-(1,2-dibromoethyl)cyclohexane", "C_8H_{12}Br_4", "", &
    "3322-93-8", "PQRRSJBLKOPVJV-UHFFFAOYSA-N")
  CALL Species("1-bromononane", "C_9H_{19}Br", "", &
    "693-58-3", "AYMUQTNXKPEMLM-UHFFFAOYSA-N")
  CALL Species("hexabromocyclododecane", "C_{12}H_{18}Br_6", "", &
    "3194-55-6", "DEIGXXQKDWULML-UHFFFAOYSA-N") ! other CAS: 25637-99-4
  ! unsaturated:
  CALL Species("vinyl bromide", "C_2H_3Br", "", &
    "593-60-2", "INLLPKCGLOXCIV-UHFFFAOYSA-N")
  CALL Species("1,2-dibromoethene", "C_2H_2Br_2", "", &
    "540-49-8", "UWTUEMKLYAGTNQ-UHFFFAOYSA-N")
  CALL Species("3-bromo-1-propene", "C_3H_5Br", "allyl bromide", &
    "106-95-6", "BHELZAPQIKSEDF-UHFFFAOYSA-N")
  CALL Species("3-bromo-1-propyne", "C_3H_3Br", "propargyl bromide", &
    "106-96-7", "YORCIIVHUBAYBQ-UHFFFAOYSA-N")
  CALL Species("1-bromocyclohexene", "C_6H_9Br", "", &
    "2044-08-8", "QBUMXSSCYUMVAW-UHFFFAOYSA-N")
  CALL Species("1-bromo-4-methylcyclohexene", "C_7H_{11}Br", "", &
    "31053-84-6", "inchikey")
  ! aromatic:
  CALL Species("bromobenzene", "C_6H_5Br", "", &
    "108-86-1", "QARVLSVVCXYDNA-UHFFFAOYSA-N")
  CALL Species("bromobenzene-d5", "C_6D_5Br", "", &
    "4165-57-5", "QARVLSVVCXYDNA-RALIUCGRSA-N")
  CALL Species("1,2-dibromobenzene", "C_6H_4Br_2", "", &
    "583-53-9", "WQONPSCCEXUXTQ-UHFFFAOYSA-N")
  CALL Species("1,3-dibromobenzene", "C_6H_4Br_2", "", &
    "108-36-1", "JSRLURSZEMLAFO-UHFFFAOYSA-N")
  CALL Species("1,4-dibromobenzene", "C_6H_4Br_2", "", &
    "106-37-6", "SWJPEBQEEAHIGZ-UHFFFAOYSA-N")
  CALL Species("1,2,4-tribromobenzene", "C_6H_3Br_3", "", &
    "615-54-3", "FWAJPSIPOULHHH-UHFFFAOYSA-N")
  CALL Species("1,3,5-tribromobenzene", "C_6H_3Br_3", "", &
    "626-39-1", "YWDUZLFWHVQCHY-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetrabromobenzene", "C_6H_2Br_4", "", &
    "636-28-2", "QCKHVNQHBOGZER-UHFFFAOYSA-N")
  CALL Species("hexabromobenzene", "C_6Br_6", "", &
    "87-82-1", "CAYGQBVSOZLICD-UHFFFAOYSA-N")
  CALL Species("(bromomethyl)-benzene", "C_7H_7Br", "benzyl bromide", &
    "100-39-0", "AGEZXYOZHKGVCM-UHFFFAOYSA-N")
  CALL Species("$p$-bromobenzyl bromide", "C_7H_6Br_2", "", &
    "589-15-1", "YLRBJYMANQKEAW-UHFFFAOYSA-N")
  CALL Species("1-bromo-2-methylbenzene", "BrC_6H_4CH_3", "$o$-bromotoluene", &
    "95-46-5", "QSSXJPIWXQTSIX-UHFFFAOYSA-N")
  CALL Species("1-bromo-3-methylbenzene", "BrC_6H_4CH_3", "$m$-bromotoluene", &
    "591-17-3", "WJIFKOVZNJTSGO-UHFFFAOYSA-N")
  CALL Species("1-bromo-4-methylbenzene", "BrC_6H_4CH_3", "$p$-bromotoluene", &
    "106-38-7", "ZBTMRBYMKUEVEU-UHFFFAOYSA-N")
  CALL Species("3,5-dibromotoluene", "C_7H_6Br_2", "", &
    "1611-92-3", "DPKKOVGCHDUSAI-UHFFFAOYSA-N")
  CALL Species("pentabromotoluene", "C_7H_3Br_5", "", &
    "87-83-2", "OZHJEQVYCBTHJT-UHFFFAOYSA-N")
  CALL Species("1-bromo-2-ethylbenzene", "C_8H_9Br", "", &
    "1973-22-4", "HVRUGFJYCAFAAN-UHFFFAOYSA-N")
  CALL Species("1-bromo-4-ethylbenzene", "C_8H_9Br", "", &
    "1585-07-5", "URFPRAHGGBYNPW-UHFFFAOYSA-N")
  CALL Species("1-(bromomethyl)-2-methylbenzene", "C_8H_9Br", "$o$-xylyl bromide", &
    "89-92-9", "WGVYCXYGPNNUQA-UHFFFAOYSA-N")
  CALL Species("1-(bromomethyl)-3-methylbenzene", "C_8H_9Br", "$m$-xylyl bromide", &
    "620-13-3", "FWLWTILKTABGKQ-UHFFFAOYSA-N")
  CALL Species("1-(bromomethyl)-4-methylbenzene", "C_8H_9Br", "$p$-xylyl bromide", &
    "104-81-4", "WZRKSPFYXUXINF-UHFFFAOYSA-N")
  CALL Species("(2-bromoethyl)-benzene", "C_8H_9Br", "", &
    "103-63-9", "WMPPDTMATNBGJN-UHFFFAOYSA-N")
  CALL Species("2-bromostyrene", "C_8H_7Br", "", &
    "125904-11-2", "SSZOCHFYWWVSAI-UHFFFAOYSA-N")
  CALL Species("(2-bromoethenyl)benzene", "C_8H_7Br", "", &
    "103-64-0", "YMOONIIMQBGTDU-VOTSOKGWSA-N")
  CALL Species("2,3,4,5,6-pentabromoethylbenzene", "C_8H_5Br_5", "", &
    "85-22-3", "FIAXCDIQXHJNIX-UHFFFAOYSA-N")
  CALL Species("1-bromo-2-(2-propyl)-benzene", "BrC_6H_4C_3H_7", "$o$-bromocumene", &
    "7073-94-1", "LECYCYNAEJDSIL-UHFFFAOYSA-N")
  CALL Species("1-bromonaphthalene", "C_{10}H_7Br", "", &
    "90-11-9", "DLKQHBOKULLWDQ-UHFFFAOYSA-N")
  CALL Species("decabromobiphenyl", "C_{12}Br_{10}", "", &
    "13654-09-6", "AQPHBYQUCKHJLT-UHFFFAOYSA-N")
  CALL Species("4-bromo-1,1'-biphenyl", "C_{12}H_9Br", "", &
    "92-66-0", "PKJBWOWQJHHAHG-UHFFFAOYSA-N")
  CALL Species("octabromobiphenyl", "C_{12}H_2Br_8", "", &
    "27858-07-7", "NDRKXFLZSRHAJE-UHFFFAOYSA-N")
  CALL Species("hexabromobiphenyl", "C_{12}H_4Br_6", "", &
    "36355-01-8", "PTJQVJQAZSLKJO-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5,5'-hexabromo-1,1'-biphenyl", "C_{12}H_4Br_6", "", &
    "59080-40-9", "HMBBJSKXDBUNNT-UHFFFAOYSA-N")
  CALL Species("1,2-bis(pentabromophenyl) ethane", "C_{14}H_4Br_{10}", "", &
    "84852-53-9", "BZQKBFHEWDPQHD-UHFFFAOYSA-N")
  CALL Species("1,3,6,8-tetrabromopyrene", "C_{16}H_6Br_4", "", &
    "128-63-2", "ZKBKRTZIYOKNRG-UHFFFAOYSA-N")
  CALL Species("6-bromobenzo[$a$]pyrene", "C_{20}H_{11}Br", "", &
    "21248-00-0", "MJSYSGSEEADMTK-UHFFFAOYSA-N")
  ! C, H, O, Br:
  ! aliphatic:
  CALL Species("bromomethanol",                 "CH_2BrOH",      "", &
    "_CAS-11", "OEDMOCYNWLHUDP-UHFFFAOYSA-N")
  CALL Species("dibromomethanol",               "CHBr_2OH",      "", &
    "_CAS-10", "WICMSCLXMMZMFF-UHFFFAOYSA-N")
  CALL Species("tribromomethanol",              "CBr_3OH",       "", &
    "5405-30-1", "ACRXLLXANWELLX-UHFFFAOYSA-N")
  CALL Species("formyl bromide",                "CHBrO",         "", &
    "7726-11-6", "AIFARXRIYKCEEV-UHFFFAOYSA-N")
  CALL Species("carbonyl bromide",              "CBr_2O",        "", &
    "593-95-3", "MOIPGXQKZSZOQX-UHFFFAOYSA-N")
  CALL Species("bromomethyl peroxide",          "CH_2BrO_2H",    "", &
    "_CAS-06", "inchikey")
  CALL Species("dibromomethyl peroxide",        "CHBr_2O_2H",    "", &
    "_CAS-05", "inchikey")
  CALL Species("tribromomethyl peroxide",       "CBr_3O_2H",     "", &
    "_CAS-04", "inchikey")
  CALL Species("bromoethanoic acid", "CH_2BrCOOH", "bromoacetic acid", &
    "79-08-3", "KDPAWGWELVVRCH-UHFFFAOYSA-N")
  CALL Species("dibromoethanoic acid", "CHBr_2COOH", "dibromoacetic acid", &
    "631-64-1", "SIEILFNCEFEENQ-UHFFFAOYSA-N")
  CALL Species("tribromoethanoic acid", "CBr_3COOH", "tribromoacetic acid", &
    "75-96-7", "QIONYIKHPASLHO-UHFFFAOYSA-N")
  CALL Species("2,3-dibromopropyl alcohol", "C_3H_6Br_2O", "", &
    "96-13-9", "QWVCIORZLNBIIC-UHFFFAOYSA-N")
  CALL Species("bromoacetone", "C_3H_5BrO", "", &
    "598-31-2", "VQFAIAKCILWQPZ-UHFFFAOYSA-N")
  CALL Species("(bromomethyl)oxirane", "C_3H_5BrO", "epibromohydrin", &
    "3132-64-7", "GKIPXFAANLTWBM-UHFFFAOYSA-N")
  CALL Species("2,3-dibromobutane-1,4-diol", "C_4H_8Br_2O_2", "", &
    "90801-18-6", "OXYNQEOLHRWEPE-QWWZWVQMSA-N")
  CALL Species("bromoacetic acid, ethyl ester", "C_4H_7BrO_2", "", &
    "105-36-2", "PQJJJMRNHATNKG-UHFFFAOYSA-N")
  CALL Species("brometone", "C_4H_7Br_3O", "1,1,1-tribromo-2-methyl-2-propanol", &
    "76-08-4", "JUGRTVJQTFZHOM-UHFFFAOYSA-N")
  CALL Species("2,2-bis(bromomethyl)-1,3-propanediol", "C_5H_{10}Br_2O_2", "", &
    "3296-90-0", "CHUGKEQJSLOLHL-UHFFFAOYSA-N")
  CALL Species("trisbromoneopentyl alcohol", "C_5H_9Br_3O", "", &
    "36483-57-5", "HQWKMYFWGMCJSW-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("2-bromophenol", "HOC_6H_4Br", "", &
    "95-56-7", "VADKRMSMGWJZCF-UHFFFAOYSA-N")
  CALL Species("3-bromophenol", "HOC_6H_4Br", "", &
    "591-20-8", "MNOJRWOWILAHAV-UHFFFAOYSA-N")
  CALL Species("4-bromophenol", "HOC_6H_4Br", "", &
    "106-41-2", "GZFGOTFRPZRKDS-UHFFFAOYSA-N")
  CALL Species("2,4-dibromophenol", "C_6H_4Br_2O", "", &
    "615-58-7", "FAXWFCTVSHEODL-UHFFFAOYSA-N")
  CALL Species("2,6-dibromophenol", "C_6H_4Br_2O", "", &
    "608-33-3", "SSIZLKDLDKIHEV-UHFFFAOYSA-N")
  CALL Species("2,4,6-tribromophenol", "C_6H_3Br_3O", "", &
    "118-79-6", "BSWWXRFVMJHFBN-UHFFFAOYSA-N")
  CALL Species("2,3,4,6-tetrabromophenol", "C_6H_2Br_4O", "", &
    "14400-94-3", "CXPJZISGVIVNEL-UHFFFAOYSA-N")
  CALL Species("pentabromophenol", "C_6HBr_5O", "", &
    "608-71-9", "SVHOVVJFOWGYJO-UHFFFAOYSA-N")
  CALL Species("1-bromo-2-methoxybenzene", "C_7H_7BrO", "2-bromoanisole", &
    "578-57-4", "HTDQSWDEWGSAMN-UHFFFAOYSA-N")
  CALL Species("1-bromo-3-methoxybenzene", "C_7H_7BrO", "3-bromoanisole", &
    "2398-37-0", "PLDWAJLZAAHOGG-UHFFFAOYSA-N")
  CALL Species("1-bromo-4-methoxybenzene", "C_7H_7BrO", "4-bromoanisole", &
    "104-92-7", "QJPJQTDYNZXKQF-UHFFFAOYSA-N")
  CALL Species("1,5-dibromo-2-methoxybenzene", "C_7H_6Br_2O", "2,4-dibromoanisole", &
    "21702-84-1", "XGXUGXPKRBQINS-UHFFFAOYSA-N")
  CALL Species("1,3-dibromo-2-methoxybenzene", "C_7H_6Br_2O", "2,6-dibromoanisole", &
    "38603-09-7", "BMZVDHQOAJUZJL-UHFFFAOYSA-N")
  CALL Species("1,3,4-tribromo-2-methoxybenzene", "C_7H_5Br_3O", "2,3,6-tribromoanisole", &
    "95970-19-7", "XZYCSFIRWAPGJV-UHFFFAOYNA-N")
  CALL Species("1,3,5-tribromo-2-methoxybenzene", "C_7H_5Br_3O", "2,4,6-tribromoanisole", &
    "607-99-8", "YXTRCOAFNXQTKL-UHFFFAOYSA-N")
  CALL Species("pentabromomethoxybenzene", "C_7H_3Br_5O", "pentabromoanisole", &
    "1825-26-9", "VEFNQGLEDJPUJF-UHFFFAOYSA-N")
  CALL Species("1,3,5-tribromo-2-methoxy-4-methylbenzene", "C_8H_7Br_3O", "", &
    "41424-36-6", "NMPPAMFEYWGNCI-UHFFFAOYSA-N")
  CALL Species("4,5,6,7-tetrabromo-1,3-isobenzofurandione", "C_8Br_4O_3", "", &
    "632-79-1", "QHWKHLYUUZGSCW-UHFFFAOYSA-N")
  CALL Species("allyl 2,4,6-tribromophenyl ether", "C_9H_7Br_3O", "", &
    "3278-89-5", "RZLLIOPGUFOWOD-UHFFFAOYSA-N")
  CALL Species("2,4-dibromo-6-methylphenyl glycidyl ether", "C_{10}H_{10}Br_2O_2", "", &
    "75150-13-9", "XQTJZNGNEJLXTR-UHFFFAOYSA-N")
  CALL Species("2-(2,4,6-tribromophenoxy)ethyl acrylate", "C_{11}H_9Br_3O_3", "", &
    "7347-19-5", "AMBJXYFIMKHOQE-UHFFFAOYSA-N")
  CALL Species("1,2,3',4,4',5'-hexabromodiphenyl ether", "C_{12}H_4Br_6O", "", &
    "36483-60-0", "NMUPLZRHSXJCJQ-UHFFFAOYSA-N")
  CALL Species("heptabromodiphenyl oxide", "C_{12}H_3Br_7O", "", &
    "68928-80-3", "NLBLNZDNOSSGPW-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5,5',6-octabromodiphenyl ether", "C_{12}H_2Br_8O", "", &
    "32536-52-0", "RTUZOQFRIPIWPS-UHFFFAOYSA-N")
  CALL Species("nonabromodiphenyl ether", "C_{12}HBr_9O", "", &
    "63936-56-1", "CYRHBNRLQMLULE-UHFFFAOYSA-N")
  CALL Species("1,2,3-tribromo-4-(3-bromophenoxy)benzene", "C_{12}H_6Br_4O", "", &
    "40088-47-9", "VIHUMJGEWQPWOT-UHFFFAOYSA-N")
  CALL Species("4,4'-methylenebis(2,6-dibromophenol)", "C_{13}H_8Br_4O_2", "", &
    "21825-03-6", "WPZJSWWEEJJSIZ-UHFFFAOYSA-N")
  CALL Species("1,1'-[1,2-ethanediylbis(oxy)]bis pentabromobenzene", "C_{14}H_4Br_{10}O_2", "", &
    "61262-53-1", "JJEPQBZQAGCZTH-UHFFFAOYSA-N")
  CALL Species("4,4'-dibromobenzil", "C_{14}H_8Br_2O_2", "", &
    "35578-47-3", "NYCBYBDDECLFPE-UHFFFAOYSA-N")
  CALL Species("1,2-bis(2,4,6-tribromophenoxy)ethane", "C_{14}H_8Br_6O_2", "BTBPE", &
    "37853-59-1", "YATIGPZCMOYEGE-UHFFFAOYSA-N")
  CALL Species("2-ethylhexyl-2,3,4,5-tetrabromobenzoate", "C_{15}H_{18}Br_4O_2", "EHTeBB", &
    "183658-27-7", "HVDXCGSGEQKWGB-UHFFFAOYSA-N")
  CALL Species("tribromobisphenol A", "C_{15}H_{13}Br_3O_2", "", &
    "6386-73-8", "WYBOEVJIVYIEJL-UHFFFAOYSA-N")
  CALL Species("4,4'-(1-methylethylidene)bis(2,6-dibromophenol)", "C_{15}H_{12}Br_4O_2", "", &
    "79-94-7", "VEORPZCZECFIRK-UHFFFAOYSA-N")
  CALL Species("4-[2-[2,6-bis(bromanyl)-4-oxidanyl-phenyl]propan-2-yl]-3,5-bis(bromanyl)phenol", "C_{15}H_{12}Br_4O_2", "", &
    "94334-64-2", "KIZJVNGSIWXYTL-UHFFFAOYSA-N")
  CALL Species("2-(2-hydroxyethoxy)ethyl 2-hydroxypropyl 3,4,5,6-tetrabromophthalate", "C_{15}H_{16}Br_4O_7", "", &
    "20566-35-2", "OQHHASWHOGRCRC-UHFFFAOYSA-N")
  CALL Species("bromopropylate", "C_{17}H_{16}Br_2O_3", "", &
    "18181-80-1", "FOANIXZHAMJWOI-UHFFFAOYSA-N")
  CALL Species("1,2,4,5-tetrabromo-3,6-bis(pentabromophenoxy)benzene", "C_{18}O_2Br_{14}", "", &
    "58965-66-5", "YMIUHIAWWDYGGU-UHFFFAOYSA-N")
  CALL Species("2,2-bis(3,5-dibromo-4-(2-hydroxyethoxy)phenyl)propane", "C_{19}H_{20}Br_4O_4", "", &
    "4162-45-2", "RVHUMFJSCJBNGS-UHFFFAOYSA-N")
  CALL Species("solvent red 43", "C_{20}H_8Br_4O_5", "", &
    "15086-94-9", "DBZJJPROPLPMSN-UHFFFAOYSA-N")
  CALL Species("2,2-bis[4-(2,3-dibromopropoxy)-3,5-dibromophenyl]-propane", "C_{21}H_{20}Br_8O_2", "", &
    "21850-44-2", "LXIZRZRTWSDLKK-UHFFFAOYSA-N")
  CALL Species("2,2-bis(4-allyloxy-3,5-dibromophenyl)propane", "C_{21}H_{20}Br_4O_2", "", &
    "25327-89-3", "PWXTUWQHMIFLKL-UHFFFAOYSA-N")
  CALL Species("AC1MJ2TG", "C_{21}H_{24}Br_4O_4", "", &
    "33294-14-3", "UTMWVHZWNKBNKF-UHFFFAOYSA-N") ! other CAS: 93907-20-1
  CALL Species("tetrabromophenolphthalein, ethyl ester", "C_{22}H_{14}Br_4O_4", "", &
    "1176-74-5", "SQFXATUXPUCFFO-UHFFFAOYSA-N")
  CALL Species("4,10-dibromodibenzo[$def,mno$]\+chrysene-6,12-dione", "C_{22}H_8Br_2O_2", "", &
    "4378-61-4", "HTENFZMEHKCNMD-UHFFFAOYSA-N")
  CALL Species("bis(2-ethylhexyl)-3,4,5,6-tetrabromophthalate", "C_{24}H_{34}Br_4O_4", "TBPH", &
    "26040-51-7", "UUEDINPOVKWVAZ-UHFFFAOYSA-N")
  CALL Species("bromadiolone", "C_{30}H_{23}BrO_4", "", &
    "28772-56-7", "OWNRRUFOJXFKCU-UHFFFAOYSA-N")
  CALL Species("brodifacoum", "C_{31}H_{23}BrO_3", "", &
    "56073-10-0", "VEUZZDOCACZPRY-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Polybrominated diphenyl ethers (PBDEs)")
  CALL Species("4-bromodiphenyl ether",                            "C_{12}H_9BrO",   "PBDE-3", &
    "101-55-3", "JDUYPUMQALQRCN-UHFFFAOYSA-N")
  CALL Species("4,4'-dibromodiphenyl ether",                       "C_{12}H_8Br_2O", "PBDE-15", &
    "2050-47-7", "YAWIAFUBXXPJMQ-UHFFFAOYSA-N")
  CALL Species("2,4,4'-tribromodiphenyl ether",                    "C_{12}H_7Br_3O", "PBDE-28", &
    "41318-75-6", "UPNBETHEXPIWQX-UHFFFAOYSA-N")
  CALL Species("2,2',4,4'-tetrabromodiphenyl ether",               "C_{12}H_6Br_4O", "PBDE-47", &
    "5436-43-1", "XYBSIYMGXVUVGY-UHFFFAOYSA-N")
  CALL Species("2,3',4,4'-tetrabromodiphenyl ether",               "C_{12}H_6Br_4O", "PBDE-66", &
    "189084-61-5", "DHUMTYRHKMCVAG-UHFFFAOYSA-N")
  CALL Species("3,3',4,4'-tetrabromodiphenyl ether",               "C_{12}H_6Br_4O", "PBDE-77", &
    "93703-48-1", "RYGLOWMCGZHYRQ-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4'-pentabromodiphenyl ether",             "C_{12}H_5Br_5O", "PBDE-85", &
    "182346-21-0", "DMLQSUZPTTUUDP-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5-pentabromodiphenyl ether",             "C_{12}H_5Br_5O", "PBDE-99", &
    "60348-60-9", "WHPVYXDFIXRKLN-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',6-pentabromodiphenyl ether",             "C_{12}H_5Br_5O", "PBDE-100", &
    "189084-64-8", "NSKIRYMHNFTRLR-UHFFFAOYSA-N")
  CALL Species("2,3',4,4',5-pentabromodiphenyl ether",             "C_{12}H_5Br_5O", "PBDE-118", &
    "446254-77-9", "SFNAUTSNWPPDSY-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5,5'-hexabromodiphenyl ether",           "C_{12}H_4Br_6O", "PBDE-153", &
    "68631-49-2", "RZXIRSKYBISPGF-UHFFFAOYSA-N")
  CALL Species("2,2',4,4',5,6'-hexabromodiphenyl ether",           "C_{12}H_4Br_6O", "PBDE-154", &
    "207122-15-4", "VHNPZYZQKWIWOD-UHFFFAOYSA-N")
  CALL Species("2,2',3,4,4',5',6-heptabromodiphenyl ether",        "C_{12}H_3Br_7O", "PBDE-183", &
    "207122-16-5", "ILPSCQCLBHQUEM-UHFFFAOYSA-N")
  CALL Species("2,2',3,3',4,4',5,5',6,6'-decabromodiphenyl ether", "C_{12}Br{10}O",  "PBDE-209", &
    "1163-19-5", "WHHGLZMJPXIBIX-UHFFFAOYSA-N") ! other CAS: 145538-74-5
  ! C, H, N, Br:
  CALL Species("dibromoacetonitrile", "C_2HBr_2N", "", &
    "3252-43-5", "NDSBDLSWTGLNQA-UHFFFAOYSA-N")
  CALL Species("bromoacetonitrile", "C_2H_2BrN", "", &
    "590-17-0", "REXUYBKPWIPONM-UHFFFAOYSA-N")
  CALL Species("1,2-dibromo-2,4-dicyanobutane", "C_6H_6Br_2N_2", "", &
    "35691-65-7", "DHVLDKHFGIVEIP-UHFFFAOYSA-N")
  CALL Species("4-bromobenzenamine", "C_6H_6BrN", "", &
    "106-40-1", "WDFQBORIUYODSI-UHFFFAOYSA-N")
  CALL Species("2,4,6-tribromobenzenamine", "C_6H_4Br_3N", "", &
    "147-82-0", "GVPODVKBTHCGFU-UHFFFAOYSA-N")
  CALL Species("N,N'-dimethyl-3,3',4,4',5,5'-hexabromo-2,2'-bipyrrole", "C_{10}H_6Br_6N_2", "DBP-Br6", &
    "253798-63-9", "BUKWTHPBLJVYMZ-UHFFFAOYSA-N")
  CALL Species("1,1'-ethylene 2,2'-dipyridylium dibromide", "C_{12}H_{12}N_2Br", "diquat dibromide", &
    "85-00-7", "JXEXEPZXXFNEHA-UHFFFAOYSA-M")
  CALL Species("tralomethrin", "C_{22}H_{19}NO_3Br_4", "", &
    "66841-25-6", "YWSCPYYRJXKUDB-KAKFPZCNSA-N")
  ! C, H, O, N, Br:
  CALL Species("bromomethyl peroxynitrate",     "CH_2BrO_2NO_2", "", &
    "_CAS-09", "JTAFUKGUWIYDNI-UHFFFAOYSA-N")
  CALL Species("dibromomethyl peroxynitrate",   "CHBr_2O_2NO_2", "", &
    "_CAS-08", "inchikey")
  CALL Species("tribromomethyl peroxynitrate",  "CBr_3O_2NO_2",  "", &
    "_CAS-07", "inchikey")
  CALL Species("2,2-dibromo-2-cyanoacetamide", "C_3H_2Br_2N_2O", "2,2-dibromo-3-nitrilopropionamide", &
    "10222-01-2", "UUIVKBHZENILKB-UHFFFAOYSA-N")
  CALL Species("bronopol", "C_3H_6BrNO_4", "", &
    "52-51-7", "LVDKZNITIUWNER-UHFFFAOYSA-N")
  CALL Species("2,6-dibromo-4-nitroaniline", "C_6H_4Br_2N_2O_2", "", &
    "827-94-1", "YMZIFDLWYUSZCC-UHFFFAOYSA-N")
  CALL Species("2-bromo-4,6-dinitroaniline", "C_6H_4BrN_3O_4", "", &
    "1817-73-8", "KWMDHCLJYMVBNS-UHFFFAOYSA-N")
  CALL Species("3-bromonitrobenzene", "C_6H_4BrNO_2", "$m$-bromonitrobenzene", &
    "585-79-5", "FWIROFMBWVMWLB-UHFFFAOYSA-N")
  CALL Species("3,5-dibromo-4-hydroxy-benzonitrile", "C_7H_3Br_2NO", "", &
    "1689-84-5", "UPMXNNIRAGDFEH-UHFFFAOYSA-N")
  CALL Species("2,6-dibromo-3-methyl-4-nitroanisole", "C_8H_7Br_2NO_3", "", &
    "62265-99-0", "RBAJFFLBHVZCDY-UHFFFAOYSA-N")
  CALL Species("bromacil", "C_9H_{13}BrN_2O_2", "", &
    "314-40-9", "CTSLUCNDVMMDHG-UHFFFAOYSA-N")
  CALL Species("N'-(4-bromophenyl)-N-methoxy-N-methylurea", "C_9H_{11}BrN_2O", "metobromuron", &
    "3060-89-7", "WLFDQEVORAMCIM-UHFFFAOYSA-N")
  CALL Species("bromuron", "C_9H_{11}BrN_2O", "", &
    "3408-97-7", "GSNZNZUNAJCHDO-UHFFFAOYSA-N")
  CALL Species("tris(2,3-dibromopropyl)isocyanurate", "C_{12}H_{15}Br_6N_3O_3", "", &
    "52434-90-9", "NZUPFZNVGSWLQC-UHFFFAOYSA-N")
  CALL Species("bromofenoxim", "C_{13}H_7Br_2N_3O_6", "", &
    "13181-17-4", "VTQWKUZUPOTXEH-UHFFFAOYSA-N")
  CALL Species("tribromsalan", "C_{13}H_8Br_3NO_2", "", &
    "87-10-5", "KVSKGMLNBAPGKH-UHFFFAOYSA-N")
  CALL Species("1-amino-2,4-dibromo-9,10-anthracenedione", "C_{14}H_7Br_2NO_2", "1-amino-2,4-dibromoanthraquinone", &
    "81-49-2", "ZINRVIQBCHAZMM-UHFFFAOYSA-N")
  CALL Species("2,6-dibromo-4-cyanophenyl octanoate", "C_{15}H_{17}BrNO_2", "", &
    "1689-99-2", "DQKWXTIYGWPGOO-UHFFFAOYSA-N")
  CALL Species("(2$E$)-N,N'-bis(2,4,6-tribromophenyl)-2-butenediamide", "C_{16}H_8Br_6N_2O_2", "", &
    "92484-07-6", "IJUNKLAVMFKPCX-OWOJBTEDSA-N")
  CALL Species("SAYTEX BT 93", "C_{18}H_4Br_8N_2O_4", "", &
    "32588-76-4", "DYIZJUDNMOIZQO-UHFFFAOYSA-N")
  CALL Species("SAYTEX BN 451", "C_{20}H_{20}Br_4N_2O_4", "", &
    "52907-07-0", "WOFYQUJNULCFLN-UHFFFAOYSA-N")
  CALL Species("deltamethrin", "C_{22}H_{19}Br_2NO_3", "", &
    "52918-63-5", "OWZREIFADZCYQD-NSHGMRRFSA-N")
  CALL Species("2,2'-(methylenedi-4,1-phenylene)bis(4,5,6,7-tetrabromo-1H-isoindole-1,3(2H)-dione", &
    "C_{29}H_{10}N_2O_4Br_8", "", &
    "32588-74-2", "RHFKNNBDKARGKL-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Bromine, chlorine and fluorine (\chem{C}, \chem{H}, \chem{N}, \chem{O}, \chem{F}, \chem{Cl}, \chem{Br})")
  ! C, H, F, Br:
  ! aliphatic:
  CALL Species("bromotrifluoromethane", "CF_3Br", "", &
    "75-63-8", "RJCQBQGAPKAMLL-UHFFFAOYSA-N")
  CALL Species("dibromodifluoromethane", "CBr_2F_2", "", &
    "75-61-6", "AZSZCFSOHXEJQE-UHFFFAOYSA-N")
  CALL Species("1-bromo-1,2,2,2-tetrafluoroethane", "C_2HBrF_4", "teflurane", &
    "124-72-1", "RZXZIZDRFQFCTA-UHFFFAOYSA-N")
  CALL Species("1,2-dibromotetrafluoroethane", "C_2Br_2F_4", "", &
    "124-73-2", "KVBKAPANDHPRDG-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("4-bromofluorobenzene", "C_6H_4BrF", "", &
    "460-00-4", "AITNMTXHTIIIBB-UHFFFAOYSA-N")
  CALL Species("bromopentafluorobenzene", "C_6BrF_5", "", &
    "344-04-7", "XEKTVXADUPBFOA-UHFFFAOYSA-N")
  ! C, H, O, N, F, Br:
  CALL Species("bromethalin", "C_{14}H_7Br_3F_3N_3O_4", "", &
    "63333-35-7", "USMZPYXTVKAYST-UHFFFAOYSA-N")
  ! C, H, Cl, Br:
  ! aliphatic:
  CALL Species("bromochloromethane", "CH_2BrCl", "", &
    "74-97-5", "JPOXNPPZZKNXOV-UHFFFAOYSA-N")
  CALL Species("bromodichloromethane", "CHCl_2Br", "", &
    "75-27-4", "FMWLUWPQPKEARP-UHFFFAOYSA-N")
  CALL Species("bromotrichloromethane", "CBrCl_3", "", &
    "75-62-7", "XNNQFQFUQLJSQT-UHFFFAOYSA-N")
  CALL Species("dibromochloromethane", "CHClBr_2", "", &
    "124-48-1", "GATVIKZLVQHOMN-UHFFFAOYSA-N")
  CALL Species("1-chloro-2-bromoethane", "C_2H_4BrCl", "", &
    "107-04-0", "IBYHHJPAARCAIE-UHFFFAOYSA-N")
  CALL Species("1,2-dibromo-1,1-dichloroethane", "C_2H_2Br_2Cl_2", "", &
    "75-81-0", "FIYBYNHDEOSJPL-UHFFFAOYSA-N")
  CALL Species("1-bromo-3-chloropropane", "C_3H_6BrCl", "", &
    "109-70-6", "MFESCIUQSIBMSM-UHFFFAOYSA-N")
  CALL Species("1,2-dibromo-3-chloropropane", "C_3H_5Br_2Cl", "", &
    "96-12-8", "WBEJYOJJBDISQU-UHFFFAOYSA-N")
  CALL Species("1,2,3,4,5-pentabromo-6-chlorocyclohexane", "C_6H_6Br_5Cl", "", &
    "87-84-3", "UZOSVZSBPTTWIG-UHFFFAOYSA-N")
  CALL Species("1,2,3,4-tetrabromo-5,6-dichlorocyclohexane", "C_6H_6Br_4Cl_2", "", &
    "_CAS-77", "GABFTOZBVQIDBB-UHFFFAOYSA-N")
  CALL Species("1,2,3-tribromo-4,5,6-trichlorocyclohexane", "C_6H_6Br_3Cl_3", "", &
    "_CAS-79", "ZDEQCIGFZLZXBZ-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("1-bromo-4-chlorobenzene", "C_6H_4BrCl", "", &
    "106-39-8", "NHDODQWIKUYWMW-UHFFFAOYSA-N")
  CALL Species("1,2,4-tribromo-3,5,6-trichlorobenzene", "C_6Br_3Cl_3", "", &
    "13075-01-9", "XAIKFWSNTFEXDC-UHFFFAOYSA-N")
  CALL Species("1-(bromomethyl)-2-chlorobenzene", "C_7H_6BrCl", "", &
    "611-17-6", "PURSZYWBIQIANP-UHFFFAOYSA-N")
  ! C, H, O, Cl, Br:
  CALL Species("2-bromo-4-chloro-1-methoxybenzene", "C_7H_6BrClO", "2-bromo-4-chloroanisole", &
    "60633-25-2", "YJEMGEBDXDPBSP-UHFFFAOYSA-N")
  CALL Species("2-bromo-6-chloro-1-methoxybenzene", "C_7H_6BrClO", "2-bromo-6-chloroanisole", &
    "174913-10-1", "NWOYYECMNBWCNK-UHFFFAOYSA-N")
  CALL Species("4-bromo-2-chloro-1-methoxybenzene", "C_7H_6BrClO", "4-bromo-2-chloroanisole", &
    "50638-47-6", "FPIQNBOUYZLESW-UHFFFAOYSA-N")
  CALL Species("2-bromo-3,5-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "2-bromo-3,5-dichloroanisole", &
    "_CAS-14", "inchikey")
  CALL Species("2-bromo-4,6-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "2-bromo-4,6-dichloroanisole", &
    "60633-26-3", "OEYKUHBCPJRXGZ-UHFFFAOYSA-N")
  CALL Species("4-bromo-2,3-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "4-bromo-2,3-dichloroanisole", &
    "109803-52-3", "BTRCDLZQISXWHZ-UHFFFAOYSA-N")
  CALL Species("4-bromo-2,6-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "4-bromo-2,6-dichloroanisole", &
    "19240-91-6", "OAYSFAKCFYRCRU-UHFFFAOYSA-N")
  CALL Species("4-bromo-3,5-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "4-bromo-3,5-dichloroanisole", &
    "_CAS-18", "inchikey")
  CALL Species("3-bromo-2,6-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "3-bromo-2,6-dichloroanisole", &
    "_CAS-88", "ANLVZYYGYBXMIX-UHFFFAOYNA-N")
  CALL Species("5-bromo-2,4-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "5-bromo-2,4-dichloroanisole", &
    "_CAS-19", "inchikey")
  CALL Species("6-bromo-2,3-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "6-bromo-2,3-dichloroanisole", &
    "_CAS-20", "inchikey")
  CALL Species("6-bromo-2,5-dichloro-1-methoxybenzene", "C_7H_5BrCl_2O", "6-bromo-2,5-dichloroanisole", &
    "174913-14-5", "BVSOVPUWHJWGEP-UHFFFAOYSA-N")
  CALL Species("2-bromo-3,4,5-trichloro-1-methoxybenzene", "C_7H_4BrCl_3O", "2-bromo-3,4,5-trichloroanisole", &
    "_CAS-21", "inchikey")
  CALL Species("3-bromo-2,4,6-trichloro-1-methoxybenzene", "C_7H_4BrCl_3O", "3-bromo-2,4,6-trichloroanisole", &
    "174913-28-1", "inchikey")
  CALL Species("3-bromo-2,5,6-trichloro-1-methoxybenzene", "C_7H_4BrCl_3O", "3-bromo-2,5,6-trichloroanisole", &
    "78647-93-5", "ZUXVGCIQOSXRJN-UHFFFAOYSA-N")
  CALL Species("4-bromo-2,3,6-trichloro-1-methoxybenzene", "C_7H_4BrCl_3O", "4-bromo-2,3,6-trichloroanisole", &
    "78647-87-7", "VZRSUQWPXPUWCS-UHFFFAOYSA-N")
  CALL Species("6-bromo-2,3,4-trichloro-1-methoxybenzene", "C_7H_4BrCl_3O", "6-bromo-2,3,4-trichloroanisole", &
    "_CAS-25", "inchikey")
  CALL Species("4-bromo-2,3,5,6-tetrachloro-1-methoxybenzene", "C_7H_3BrCl_4O", "4-bromo-2,3,5,6-tetrachloroanisole", &
    "174913-33-8", "inchikey")
  CALL Species("2,6-dibromo-3-chloro-1-methoxybenzene", "C_7H_5Br_2ClO", "2,6-dibromo-3-chloroanisole", &
    "_CAS-89", "AHBGIHFKTBTQJP-UHFFFAOYSA-N")
  CALL Species("2,6-dibromo-4-chloro-1-methoxybenzene", "C_7H_5Br_2ClO", "2,6-dibromo-4-chloroanisole", &
    "174913-44-1", "inchikey")
  CALL Species("2,4-dibromo-3,5-dichloro-1-methoxybenzene", "C_7H_4Br_2Cl_2O", "2,4-dibromo-3,5-dichloroanisole", &
    "174913-52-1", "inchikey")
  CALL Species("2,4-dibromo-5,6-dichloro-1-methoxybenzene", "C_7H_4Br_2Cl_2O", "2,4-dibromo-5,6-dichloroanisole", &
    "_CAS-29", "inchikey")
  CALL Species("2,3-dibromo-5,6-dichloro-1-methoxybenzene", "C_7H_4Br_2Cl_2O", "2,3-dibromo-5,6-dichloroanisole", &
    "_CAS-30", "inchikey")
  CALL Species("2,6-dibromo-3,4,5-trichloro-1-methoxybenzene", "C_7H_3Br_2Cl_3O", "2,6-dibromo-3,4,5-trichloroanisole", &
    "_CAS-31", "inchikey")
  CALL Species("2,4,6-tribromo-3-chloro-1-methoxybenzene", "C_7H_4Br_3ClO", "2,4,6-tribromo-3-chloroanisole", &
    "174913-78-1", "inchikey")
  CALL Species("2',4',5',7'-tetrabromo-3,4,5,6-tetrachlorofluorescein", "C_{20}H_4Br_4Cl_4O_5", "", &
    "13473-26-2", "ZYIBVBKZZZDFOY-UHFFFAOYSA-N")
  ! C, H, N, Cl, Br:
  CALL Species("bromochloroacetonitrile", "C_2HBrClN", "", &
    "83463-62-1", "BMWPPNAUMLRKML-UHFFFAOYSA-N")
  CALL Species("N,N'-dimethyl-3,3',4-tribromo-4,5,5'-trichloro-2,2'-bipyrrole", "C_{10}H_6Br_3Cl_3N_2", "DBP-Br3Cl3a", &
    "400766-93-0", "JSQYFPHYSOZLPT-UHFFFAOYSA-N")
  CALL Species("N,N'-dimethyl- 3,4,4'-tribromo-3',5,5'-trichloro-2,2'-bipyrrole", "C_{10}H_6Br_3Cl_3N_2", "DBP-Br3Cl3b", &
    "666856-68-4", "GUWAXPTVCYBOMV-UHFFFAOYSA-N") ! cas from ref2521, not verified
  CALL Species("N,N'-dimethyl-3,3',4,4'-tetrabromo-5,5'-dichloro-2,2'-bipyrrole", "C_{10}H_6Br_4Cl_2N_2", "DBP-Br4Cl2", &
    "253798-64-0", "FQGSQKFVAAJWFY-UHFFFAOYSA-N")
  CALL Species("N,N'-dimethyl-3,3',4,4',5-pentabromo-5'-chloro-2,2'-bipyrrole", "C_{10}H_6Br_5ClN_2", "DBP-Br5Cl", &
    "400767-00-2", "LIYSVIAQQQEQBT-UHFFFAOYSA-N")
  ! C, H, O, N, Cl, Br:
  CALL Species("1-bromo-3-chloro-5,5-dimethylhydantoin", "C_5H_6BrClN_2O_2", "", &
    "16079-88-2", "PIEXCQIOSMOEOU-UHFFFAOYSA-N")
  CALL Species("3-(4-bromo-3-chlorophenyl)-1-methoxy-1-methylurea", "C_9H_{10}BrClN_2O_2", "chlorbromuron", &
    "13360-45-7", "NLYNUTMZTCLNOO-UHFFFAOYSA-N")
  CALL Species("N-(4-bromo-2,6-dichloro-3-methylphenyl)acetamide", "C_9H_8BrCl_2NO", "", &
    "68399-95-1", "MRPNWLPYJSSISQ-UHFFFAOYSA-N")
  CALL Species("halacrinate", "C_{12}H_7NO_2BrCl", "", &
    "34462-96-9", "YDNLKBDXQCHOTH-UHFFFAOYSA-N")
  CALL Species("bromuconazole", "C_{13}H_{12}BrCl_2N_3O", "", &
    "116255-48-2", "HJJVPARKXDDIQD-UHFFFAOYSA-N")
  CALL Species("5,7-dibromo-2-(5-bromo-7-chloro-1,3-dihydro-3-oxo-2H-indol-2-ylidene)-1,2-dihydro-3H-indol-3-one", &
    "C_{16}H_6Br_3ClN_2O_2", "", &
    "85702-64-3", "UOWUGDPSFZLTMZ-BUHFOSPRSA-N")
  CALL Species("chlorantraniliprole", "C_{18}H_{14}BrCl_2N_5O_2", "", &
    "500008-45-7", "IZCBNTYXTMZSDP-UHFFFAOYSA-N")
  ! C, H, F, Cl, Br:
  CALL Species("tribromofluoromethane", "CBr_3F", "", &
    "353-54-8", "IHZAEIHJPNTART-UHFFFAOYSA-N")
  CALL Species("bromochlorodifluoromethane", "CBrClF_2", "", &
    "353-59-3", "MEXUFEQDCXZEON-UHFFFAOYSA-N")
  CALL Species("1-bromo-1-chloro-2,2,2-trifluoroethane", "C_2HBrClF_3", "halothane", &
    "151-67-7", "BCQZXOMGPXTTIC-UHFFFAOYSA-N")
  ! C, H, O, N, F, Cl, Br:
  CALL Species("chlorfenapyr", "C_{15}H_{11}BrClF_3N_2O", "", &
    "122453-73-0", "CWFOCCVIPCEQCK-UHFFFAOYSA-N")
  CALL Species("fluazolate", "C_{15}H_{12}N_2O_2BrClF_4", "", &
    "174514-07-9", "FKLQIONHGSFYJY-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with iodine (\chem{I})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Iodocarbons (\chem{C}, \chem{H}, \chem{O}, \chem{Cl}, \chem{I})")
  ! C, H, I:
  ! aliphatic:
  CALL Species("iodomethane", "CH_3I", "methyl iodide", &
    "74-88-4", "INQOMBQAUSQDDS-UHFFFAOYSA-N")
  CALL Species("diiodomethane", "CH_2I_2", "", &
    "75-11-6", "NZZFYRREKKOMAT-UHFFFAOYSA-N")
  CALL Species("triiodomethane", "CHI_3", "iodoform", &
    "75-47-8", "OKJPEAGHQZHRQV-UHFFFAOYSA-N")
  CALL Species("iodoethane", "C_2H_5I", "", &
    "75-03-6", "HVTICUPFWKNHNG-UHFFFAOYSA-N")
  CALL Species("1-iodopropane", "C_3H_7I", "", &
    "107-08-4", "PVWOIHVRPOBWPI-UHFFFAOYSA-N")
  CALL Species("2-iodopropane", "C_3H_7I", "", &
    "75-30-9", "FMKOJHQHASLBPH-UHFFFAOYSA-N")
  CALL Species("1-iodobutane", "C_4H_9I", "", &
    "542-69-8", "KMGBZBJJOKUPIA-UHFFFAOYSA-N")
  CALL Species("2-iodobutane", "C_4H_9I", "", &
    "513-48-4", "IQRUSQUYPCHEKN-UHFFFAOYSA-N")
  CALL Species("1-iodopentane", "C_5H_{11}I", "", &
    "628-17-1", "BLXSFCHWMBESKV-UHFFFAOYSA-N")
  CALL Species("1-iodohexane", "C_6H_{13}I", "", &
    "638-45-9", "ANOOTOPTCJRUPK-UHFFFAOYSA-N")
  CALL Species("1-iodoheptane", "C_7H_{15}I", "", &
    "4282-40-0", "LMHCYRULPLGEEZ-UHFFFAOYSA-N")
  CALL Species("iodocyclohexane", "C_6H_{11}I", "", &
    "626-62-0", "FUCOMWZKWIEKRK-UHFFFAOYSA-N")
  CALL Species("3-iodo-1-propene", "C_3H_5I", "", &
    "556-56-9", "HFEHLDPGIKPNKL-UHFFFAOYSA-N")
  CALL Species("1-iodocyclohexene", "C_6H_9I", "", &
    "17497-53-9", "CAROGICRCNKEOD-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("iodobenzene", "C_6H_5I", "", &
    "591-50-4", "SNHMUERNLJLMHN-UHFFFAOYSA-N")
  ! C, H, O, I:
  CALL Species("iodoacetic acid", "C_2H_3IO_2", "", &
    "64-69-7", "JDNTWHVOXJZDSN-UHFFFAOYSA-N")
  CALL Species("2-iodophenol", "C_6H_5IO", "", &
    "533-58-4", "KQDJTBPASNJQFQ-UHFFFAOYSA-N")
  CALL Species("3-iodophenol", "C_6H_5IO", "", &
    "626-02-8", "FXTKWBZFNQHAAO-UHFFFAOYSA-N")
  CALL Species("4-iodophenol", "C_6H_5IO", "", &
    "540-38-5", "VSMDINRNYYEDRN-UHFFFAOYSA-N")
  CALL Species("erythrosine", "C_{20}H_8I_4O_5", "", &
    "16423-68-0", "OALHHIHQOFIMEF-UHFFFAOYSA-N") ! other CAS: 15905-32-5
  ! C, H, O, N, I:
  CALL Species("4-hydroxy-3,5-diiodo-benzonitrile", "C_7H_3I_2NO", "", &
    "1689-83-4", "NRXQIUSYPAHGNM-UHFFFAOYSA-N")
  CALL Species("3-iodo-2-propynyl butylcarbamate", "C_8H_{12}INO_2", "", &
    "55406-53-6", "WYVVKGNFXHOCQV-UHFFFAOYSA-N")
  CALL Species("diatrizoic acid", "C_{11}H_9I_3N_2O_4", "", &
    "117-96-4", "YVPYQUNUQOZFHG-UHFFFAOYSA-N")
  CALL Species("iothalamic acid", "C_{11}H_9I_3N_2O_4", "", &
    "2276-90-6", "UXIGWFXRQKWHHA-UHFFFAOYSA-N")
  CALL Species("benodanil", "C_{13}H_{10}INO", "", &
    "15310-01-7", "LJOZMWRYMKECFF-UHFFFAOYSA-N")
  CALL Species("iopamidol", "C_{17}H_{22}I_3N_3O_8", "", &
    "60166-93-0", "XQZXYNRDCRIARQ-LURJTMIESA-N")
  CALL Species("ioxaglic acid", "C_{24}H_{21}I_6N_5O_8", "", &
    "59017-64-0", "TYYBFXNZMFNZJT-UHFFFAOYSA-N")
  ! C, H, F, I:
  CALL Species("1,1,1,2,2,3,3-heptafluoro-5-iodopentane", "C_5H_4F_7I", "", &
    "68188-12-5", "TZNRRNKRZXHADL-UHFFFAOYSA-N")
  CALL Species("5-diethylamiloride", "C_6H_4F_9I", "", &
    "2043-55-2", "CXHFIVFPHDGZIS-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6-tridecafluoro-8-iodooctane", "C_8H_4F_{13}I", "", &
    "2043-57-4", "NVVZEKTVIXIUKW-UHFFFAOYSA-N")
  CALL Species("1,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8-heptadecafluoro-10-iododecane", "C_{10}H_4F_{17}I", "", &
    "2043-53-0", "XVKJSLBVVRCOIT-UHFFFAOYSA-N")
  ! C, H, Cl, I:
  CALL Species("chloroiodomethane", "CH_2ClI", "", &
    "593-71-5", "PJGJQVRXEUVAFT-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with sulfur (\chem{S})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Sulfur (\chem{C}, \chem{H}, \chem{O}, \chem{N}, \chem{Cl}, \chem{S})")
  ! C, H, S:
  ! saturated:
  CALL Species("methanethiol", "CH_3SH", "methyl mercaptan", &
    "74-93-1", "LSDPWZHWYPCBBB-UHFFFAOYSA-N")
  CALL Species("ethanethiol", "C_2H_5SH", "ethyl mercaptan", &
    "75-08-1", "DNJIEGIFACGWOD-UHFFFAOYSA-N")
  CALL Species("1,2-ethanedithiol", "C_2H_6S_2", "", &
    "540-63-6", "VYMPLPIFKRHAAC-UHFFFAOYSA-N")
  CALL Species("thiirane", "C_2H_4S", "ethylene sulfide", &
    "420-12-2", "VOVUARRWDCVURC-UHFFFAOYSA-N")
  CALL Species("1-propanethiol", "C_3H_7SH", "propyl mercaptan", &
    "107-03-9", "SUVIGLJNEAMWEG-UHFFFAOYSA-N")
  CALL Species("2-propanethiol", "C_3H_8S", "", &
    "75-33-2", "KJRCEJOSASVSRA-UHFFFAOYSA-N")
  CALL Species("1-butanethiol", "C_4H_9SH", "butyl mercaptan", &
    "109-79-5", "WQAQPCDUOCURKW-UHFFFAOYSA-N")
  CALL Species("2-butanethiol", "C_4H_{10}S", "", &
    "513-53-1", "LOCHFZBWPCLPAN-UHFFFAOYSA-N")
  CALL Species("2-methyl-1-propanethiol", "C_4H_{10}S", "", &
    "513-44-0", "BDFAOUQQXJIZDG-UHFFFAOYSA-N")
  CALL Species("2-methyl-2-propanethiol", "C_4H_{10}S", "", &
    "75-66-1", "WMXCDAVJEZZYLT-UHFFFAOYSA-N")
  CALL Species("1,4-dithiane", "C_4H_8S_2", "", &
    "505-29-3", "LOZWAPSEEHRYPG-UHFFFAOYSA-N")
  CALL Species("1-pentanethiol", "C_5H_{11}SH", "pentyl mercaptan", &
    "110-66-7", "ZRKMQKLGEQPLNS-UHFFFAOYSA-N")
  CALL Species("1-hexanethiol", "C_6H_{14}S", "", &
    "111-31-9", "PMBXCGGQNSVESQ-UHFFFAOYSA-N")
  CALL Species("1-heptanethiol", "C_7H_{16}S", "", &
    "1639-09-4", "VPIAKHNXCOTPAY-UHFFFAOYSA-N")
  CALL Species("1-octanethiol", "C_8H_{18}S", "", &
    "111-88-6", "KZCOBXFFBQJQHH-UHFFFAOYSA-N")
  CALL Species("{\it tert}-octanethiol", "C_8H_{18}S", "", &
    "141-59-3", "QZLAEIZEPJAELS-UHFFFAOYSA-N")
  CALL Species("1-nonanethiol", "C_9H_{20}S", "", &
    "1455-21-6", "ZVEZMVFBMOOHAT-UHFFFAOYSA-N")
  CALL Species("1-decanethiol", "C_{10}H_{22}S", "", &
    "143-10-2", "VTXVGVNLYGSIAR-UHFFFAOYSA-N")
  CALL Species("1-dodecanethiol", "C_{12}H_{26}S", "", &
    "112-55-0", "WNAHIZMDSQCWRP-UHFFFAOYSA-N")
  CALL Species("dicyclohexyldisulfide", "C_{12}H_{22}S_2", "", &
    "2550-40-5", "ODHAQPXNQDBHSH-UHFFFAOYSA-N")
  CALL Species("dimethyl sulfide", "CH_3SCH_3", "DMS", &
    "75-18-3", "QMMFVYPAHWMCMS-UHFFFAOYSA-N")
  CALL Species("ethyl methyl sulfide", "C_3H_8S", "", &
    "624-89-5", "WXEHBUMAEPOYKP-UHFFFAOYSA-N")
  CALL Species("diethyl sulfide", "C_2H_5SC_2H_5", "", &
    "352-93-2", "LJSQFQKUNVCTIA-UHFFFAOYSA-N")
  CALL Species("dipropyl sulfide", "C_3H_7SC_3H_7", "", &
    "111-47-7", "ZERULLAPCVRMCO-UHFFFAOYSA-N")
  CALL Species("di-(2-propyl)-sulfide", "(C_3H_7)_2S", "diisopropyl sulfide", &
    "625-80-9", "XYWDPYKBIRQXQS-UHFFFAOYSA-N")
  CALL Species("allyl methyl sulfide", "C_4H_8S", "", &
    "10152-76-8", "NVLPQIPTCCLBEU-UHFFFAOYSA-N")
  CALL Species("dimethyl disulfide", "CH_3SSCH_3", "", &
    "624-92-0", "WQOXQRCZOLPYPM-UHFFFAOYSA-N")
  CALL Species("diethyl disulfide", "C_2H_5SSC_2H_5", "", &
    "110-81-6", "CETBSQOFQKLHHZ-UHFFFAOYSA-N")
  CALL Species("dipropyl disulfide", "C_3H_7SSC_3H_7", "", &
    "629-19-6", "ALVPFGSHPUPROW-UHFFFAOYSA-N")
  CALL Species("carbon disulfide", "CS_2", "", &
    "75-15-0", "QGJOPFRUJISHPQ-UHFFFAOYSA-N")
  CALL Species("2,3,4-trithiapentane", "C_2H_6S_3", "dimethyltrisulfide", &
    "3658-80-8", "YWHLKYXPLRWGSE-UHFFFAOYSA-N")
  CALL Species("5-propyl-5-nonanethiol", "C_{12}H_{26}S", "", &
    "_CAS-78", "BGQHJKADBZPYGJ-UHFFFAOYSA-N")
  ! unsaturated:
  CALL Species("allyl mercaptan", "C_3H_6S", "", &
    "870-23-5", "ULIKDJVNUXNQHS-UHFFFAOYSA-N")
  CALL Species("3,3'-thiobis-1-propene", "(C_3H_5)_2S", "diallyl sulfide", &
    "592-88-1", "UBJVUCKUDDKUJF-UHFFFAOYSA-N")
  CALL Species("thiophene", "C_4H_4S", "", &
    "110-02-1", "YTPLMLYBLZKORZ-UHFFFAOYSA-N")
  CALL Species("2-methylthiophene", "CH_3C_4H_3S", "", &
    "554-14-3", "XQQBUAPQHNYYRS-UHFFFAOYSA-N")
  CALL Species("3-methylthiophene", "CH_3C_4H_3S", "", &
    "616-44-4", "QENGPZGAWFQWCZ-UHFFFAOYSA-N")
  CALL Species("propyl allyl disulfide", "C_6H_{12}S_2", "", &
    "2179-59-1", "FCSSPCOFDUKHPV-UHFFFAOYSA-N")
  ! aromatic:
  CALL Species("benzenethiol", "C_6H_5SH", "thiophenol", &
    "108-98-5", "RMVRSNDYEFQCLF-UHFFFAOYSA-N")
  CALL Species("methyl phenyl sulfide", "C_6H_5SCH_3", "thioanisole", &
    "100-68-5", "HNKJADCVZUBCPG-UHFFFAOYSA-N")
  CALL Species("2-methylbenzenethiol", "C_7H_8S", "2-thiocresol", &
    "137-06-4", "LXUNZSDDXMPKLP-UHFFFAOYSA-N")
  CALL Species("3-methylbenzenethiol", "C_7H_8S", "3-thiocresol", &
    "108-40-7", "WRXOZRLZDJAYDR-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenethiol", "C_7H_8S", "4-thiocresol", &
    "106-45-6", "WLHCBQAPPJAULW-UHFFFAOYSA-N")
  CALL Species("benzenemethanethiol", "C_7H_8S", "", &
    "100-53-8", "UENWRTRMUIOCKN-UHFFFAOYSA-N")
  CALL Species("benzo[$b$]thiophene", "C_8H_6S", "", &
    "95-15-8", "FCEHBMOGCRZNNI-UHFFFAOYSA-N")
  CALL Species("dibenzothiophene", "C_{12}H_8S", "", &
    "132-65-0", "IYYZUPMFVPLQIF-UHFFFAOYSA-N")
  CALL Species("benzyl sulfide", "C_{14}H_{14}S", "", &
    "538-74-9", "LUFPJJNWMYZRQE-UHFFFAOYSA-N")
  ! C, H, O, S:
  CALL Species("carbon oxide sulfide", "OCS", "carbonyl sulfide", &
    "463-58-1", "JJWKPURADFRFRB-UHFFFAOYSA-N")
  CALL Species("methanesulfonic acid", "CH_3SO_3H", "MSA", &
    "75-75-2", "AFVFQIVMOAPDHO-UHFFFAOYSA-N")
  CALL Species("sulfuric acid, dimethyl ester", "C_2H_6O_4S", "", &
    "77-78-1", "VAYGXNSJCAHWJZ-UHFFFAOYSA-N")
  CALL Species("dimethylsulfoxide", "CH_3SOCH_3", "DMSO", &
    "67-68-5", "IAZDPXIOMUYVGZ-UHFFFAOYSA-N")
  CALL Species("dimethylsulfone", "CH_3SO_2CH_3", "DMSO2", &
    "67-71-0", "HHVIBTZHLRERCL-UHFFFAOYSA-N")
  CALL Species("mercaptoacetic acid", "C_2H_4O_2S", "", &
    "68-11-1", "CWERGRDVMFNCDR-UHFFFAOYSA-N")
  CALL Species("2-mercaptoethanol", "C_2H_6OS", "", &
    "60-24-2", "DGVVWUTYPXICAM-UHFFFAOYSA-N")
  CALL Species("methanesulfonic acid, methyl ester", "C_2H_6O_3S", "", &
    "66-27-3", "MBABOKRGFJTBAE-UHFFFAOYSA-N")
  CALL Species("mercaptoacetic acid, methyl ester", "C_3H_6O_2S", "methyl thioglycolate", &
    "2365-48-2", "MKIJJIMOAABWGF-UHFFFAOYSA-N")
  CALL Species("methanesulfonic acid, ethyl ester", "C_3H_8O_3S", "", &
    "62-50-0", "PLUBXMRUUVWRLT-UHFFFAOYSA-N")
  CALL Species("divinyl sulfoxide", "C_4H_6OS", "vinyl sulfoxide", &
    "1115-15-7", "HQSMEHLVLOGBCK-UHFFFAOYSA-N")
  CALL Species("divinyl sulphone", "C_4H_6O_2S", "", &
    "77-77-0", "AFOSIXZFDONLBT-UHFFFAOYSA-N")
  CALL Species("2,5-dihydrothiophene sulfone", "C_4H_6O_2S", "2,5-dihydrothiophene 1,1-dioxide", &
    "77-79-2", "MBDNRNMVTZADMQ-UHFFFAOYSA-N")
  CALL Species("thiodiacetic acid", "C_4H_6O_4S", "", &
    "123-93-3", "UVZICZIVKIMRNE-UHFFFAOYSA-N")
  CALL Species("thiophene, tetrahydro-, 1,1-dioxide", "C_4H_8O_2S", "sulfolane", &
    "126-33-0", "HXJUTPCZVOIRIF-UHFFFAOYSA-N")
  CALL Species("2-(ethylthio)ethanol", "C_4H_{10}OS", "", &
    "110-77-0", "LNRIEBFNWGMXKP-UHFFFAOYSA-N")
  CALL Species("thiodiglycol", "C_4H_{10}O_2S", "", &
    "111-48-8", "YODZTKMDCQEPHD-UHFFFAOYSA-N")
  CALL Species("methanesulfonic acid, 1-methylethyl ester", "C_4H_{10}O_3S", "", &
    "926-06-7", "SWWHCQCMVCPLEQ-UHFFFAOYSA-N")
  CALL Species("4-hydroxybenzenesulfonic acid", "C_6H_6O_4S", "", &
    "98-67-9", "FEPBITJSIHRMRT-UHFFFAOYSA-N")
  CALL Species("benzenesulfonic acid", "C_6H_6O_3S", "", &
    "98-11-3", "SRSXLGNVWSONIS-UHFFFAOYSA-N")
  CALL Species("dimethipin", "C_6H_{10}O_4S_2", "", &
    "55290-64-7", "PHVNLLCAQHGNKU-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenesulfonic acid", "C_7H_8O_3S", "", &
    "104-15-4", "JOXIMZWYDAKGHI-UHFFFAOYSA-N")
  CALL Species("phenylmethanesulfonic acid", "C_7H_8O_3S", "benzylsulfonic acid", &
    "100-87-8", "NIXKBAZVOQAHGC-UHFFFAOYSA-N")
  CALL Species("4,4'-sulfonyldiphenol", "C_{12}H_{10}O_4S", "bisphenol S", &
    "80-09-1", "VPWNQTHUCYMVMZ-UHFFFAOYSA-N")
  CALL Species("lauryl sulfate", "C_{12}H_{26}O_4S", "dodecyl sulfate", &
    "151-41-7", "MOTZDAYCYVMXPC-UHFFFAOYSA-N")
  CALL Species("ethofumesate", "C_{13}H_{18}O_5S", "", &
    "26225-79-6", "IRCMYGHHKLLGHV-UHFFFAOYSA-N")
  CALL Species("1,1'-sulfonylbis(4-(1-methylethyl)-benzene", "C_{18}H_{22}O_2S", "", &
    "57913-35-6", "PKQWGBLKCJIMDP-UHFFFAOYSA-N")
  CALL Species("propargite", "C_{19}H_{26}O_4S", "", &
    "2312-35-8", "ZYHMJXZULPZUED-UHFFFAOYSA-N")
  CALL Species("kadethrin", "C_{23}H_{24}O_4S", "", &
    "58769-20-3", "UGWALRUNBSBTGI-QJLCOAGJSA-N")
  CALL Species("spironolactone", "C_{24}H_{32}O_4S", "", &
    "52-01-7", "LXMSZDCAJNLERA-PJKOONHHSA-N")
  CALL Species("2,2'-thiobis(4-(1,1,3,3-tetramethylbutyl)phenol)", "C_{28}H_{42}O_2S", "", &
    "3294-03-9", "WQYFETFRIRDUPJ-UHFFFAOYSA-N")
  CALL Species("propanoic acid, 3,3'-thiobis-, didodecyl ester", "C_{30}H_{58}O_4S", "dilauryl thiodipropionate", &
    "123-28-4", "GHKOFFNLGXMVNJ-UHFFFAOYSA-N")
  CALL Species("dioctadecyl 3,3'-thiodipropionate", "C_{42}H_{82}O_4S", "", &
    "693-36-7", "PWWSSIYVTQUJQQ-UHFFFAOYSA-N")
  ! C, H, N, S:
  CALL Species("methyl isothiocyanate", "CH_3NCS", "", &
    "556-61-6", "LGDSHSYDSCRFAB-UHFFFAOYSA-N")
  CALL Species("thiourea", "CH_4N_2S", "", &
    "62-56-6", "UMGDCJDMYOKAJW-UHFFFAOYSA-N")
  CALL Species("hydrazinecarbothioamide", "CH_5N_3S", "1-amino-2-thiourea", &
    "79-19-6", "BRWIZMBXBAOCCF-UHFFFAOYSA-N")
  CALL Species("thiocyanic acid, methyl ester", "C_2H_3NS", "", &
    "556-64-9", "VYHVQEYOFIYNJP-UHFFFAOYSA-N")
  CALL Species("ethanethioamide", "C_2H_5NS", "thioacetamide", &
    "62-55-5", "YUKQRDCYNOVPGJ-UHFFFAOYSA-N")
  CALL Species("mercaptamine", "C_2H_7NS", "cysteamine", &
    "60-23-1", "UFULAYFCSOUIOV-UHFFFAOYSA-N")
  CALL Species("thiocyanic acid, ethyl ester", "C_3H_5NS", "", &
    "542-90-5", "WFCLYEAZTHWNEH-UHFFFAOYSA-N")
  CALL Species("2-imidazolidinethione", "C_3H_6N_2S", "ethylene thiourea", &
    "96-45-7", "PDQAZBWRQCGBEV-UHFFFAOYSA-N")
  CALL Species("ethylthiourea", "C_3H_8N_2S", "", &
    "625-53-6", "GMEHFXXZSWDEDB-UHFFFAOYSA-N")
  CALL Species("allyl isothiocyanate", "C_4H_5NS", "", &
    "57-06-7", "ZOJBYZNEUISWFT-UHFFFAOYSA-N")
  CALL Species("dazomet", "C_5H_{10}N_2S_2", "", &
    "533-74-4", "QAYICIQNSGETAS-UHFFFAOYSA-N")
  CALL Species("N,N'-diethylthiourea", "C_5H_{12}N_2S", "", &
    "105-55-5", "FLVIGYVXZHLUHP-UHFFFAOYSA-N")
  CALL Species("tetramethylthiourea", "C_5H_{12}N_2S", "", &
    "2782-91-4", "MNOILHPDHOHILI-UHFFFAOYSA-N")
  CALL Species("thiram", "C_6H_{12}N_2S_4", "", &
    "137-26-8", "KUAZQDVKQLNFPE-UHFFFAOYSA-N")
  CALL Species("bis(dimethylthiocarbamyl) sulfide", "C_6H_{12}N_2S_3", "bis(dimethylthiocarbamoyl) sulfide", &
    "97-74-5", "REQPQFUJGGOFQL-UHFFFAOYSA-N")
  CALL Species("benzothiazole", "C_7H_5NS", "", &
    "95-16-9", "IOJUPLGTWVMSFF-UHFFFAOYSA-N")
  CALL Species("2-mercaptobenzothiazole", "C_7H_5NS_2", "", &
    "149-30-4", "YXIWHUQXZSMYRE-UHFFFAOYSA-N")
  CALL Species("2-benzothiazolamine", "C_7H_6N_2S", "", &
    "136-95-8", "UHGULLIUJBCTEF-UHFFFAOYSA-N")
  CALL Species("phenylthiourea", "C_7H_8N_2S", "", &
    "103-85-5", "FULZLIGZKMKICU-UHFFFAOYSA-N")
  CALL Species("aziprotryn", "C_7H_{11}N_7S", "", &
    "4658-28-0", "AFIIBUOYKYSPKB-UHFFFAOYSA-N")
  CALL Species("simetryn", "C_8H_{15}N_5S", "", &
    "1014-70-6", "MGLWZSOBALDPEK-UHFFFAOYSA-N")
  CALL Species("desmetryn", "C_8H_{15}N_5S", "", &
    "1014-69-3", "HCRWJJJUKUVORR-UHFFFAOYSA-N")
  CALL Species("thioquinox", "C_9H_4N_2S_3", "", &
    "93-75-4", "ILERPRJWJPJZDN-UHFFFAOYSA-N")
  CALL Species("thiocyanic acid, (2-benzothiazolylthio)methyl ester", "C_9H_6N_2S_3", "", &
    "21564-17-0", "TUBQDCKAWGHZPF-UHFFFAOYSA-N")
  CALL Species("ametryn", "C_9H_{17}N_5S", "", &
    "834-12-8", "RQVYBGPQFYCBGX-UHFFFAOYSA-N")
  CALL Species("cimetidine", "C_{10}H_{16}N_6S", "", &
    "51481-61-9", "AQIXAKUUQRKLND-UHFFFAOYSA-N")
  CALL Species("prometryn", "C_{10}H_{19}N_5S", "", &
    "7287-19-6", "AAEVYOVXGOFMJO-UHFFFAOYSA-N")
  CALL Species("terbutryn", "C_{10}H_{19}N_5S", "", &
    "886-50-0", "IROINLKCQGIITA-UHFFFAOYSA-N")
  CALL Species("disulfiram", "C_{10}H_{20}N_2S_4", "", &
    "97-77-8", "AUZONCFQVSMFAP-UHFFFAOYSA-N")
  CALL Species("1-naphthalenylthiourea", "C_{11}H_{10}N_2S", "", &
    "86-88-4", "PIVQQUNOTICCSA-UHFFFAOYSA-N")
  CALL Species("4,4'-thiobisbenzenamine", "C_{12}H_{12}N_2S", "bis(4-aminophenyl) sulfide", &
    "139-65-1", "ICNFHJVPAJKPHW-UHFFFAOYSA-N")
  CALL Species("dipropetryn", "C_{11}H_{19}N_5S", "", &
    "4147-51-7", "NPWMZOGDXOFZIN-UHFFFAOYSA-N")
  CALL Species("dimethametryn", "C_{11}H_{21}N_5S", "", &
    "22936-75-0", "IKYICRRUVNIHPP-UHFFFAOYSA-N")
  CALL Species("phenothiazine", "C_{12}H_9NS", "", &
    "92-84-2", "WJFKNYWRSNBZNX-UHFFFAOYSA-N")
  CALL Species("2,2'-dithiobisbenzothiazole", "C_{14}H_8N_2S_4", "2,2'-dibenzothiazyl disulfide", &
    "120-78-5", "AFZSMODLJJCVPP-UHFFFAOYSA-N")
  CALL Species("methapyrilene", "C_{14}H_{19}N_3S", "", &
    "91-80-5", "HNJJXZKZRAWDPF-UHFFFAOYSA-N")
  CALL Species("olanzapine", "C_{17}H_{20}N_4S", "", &
    "132539-06-1", "KVWDHTXUZHCGIO-UHFFFAOYSA-N")
  CALL Species("N-(1,1-dimethylethyl)bis(2-benzothiazolesulfen)amide", "C_{18}H_{17}N_3S_4", "", &
    "3741-80-8", "VILGDADBAQFRJE-UHFFFAOYSA-N")
  ! C, H, O, N, S:
  CALL Species("taurine", "C_2H_7NO_3S", "", &
    "107-35-7", "XOAAWQZATWQOTB-UHFFFAOYSA-N")
  CALL Species("2-amino-5-nitrothiazole", "C_3H_3N_3O_2S", "", &
    "121-66-4", "MIHADVKEHAFNPG-UHFFFAOYSA-N")
  CALL Species("N-(aminothioxomethyl)acetamide", "C_3H_6N_2OS", "1-acetyl-2-thiourea", &
    "591-08-2", "IPCRBOOJBPETMF-UHFFFAOYSA-N")
  CALL Species("acesulfame", "C_4H_5NO_4S", "", &
    "33665-90-6", "YGCFIWIQZPHFLU-UHFFFAOYSA-N")
  CALL Species("methomyl", "C_5H_{10}N_2O_2S", "", &
    "16752-77-5", "UHXUZOCRWCRNSJ-UHFFFAOYSA-N")
  CALL Species("4-aminobenzenesulfonic acid", "C_6H_7NO_3S", "sulfanilic acid", &
    "121-57-3", "HVBSAKJJOYLTQU-UHFFFAOYSA-N")
  CALL Species("sulfanilamide", "C_6H_8N_2O_2S", "", &
    "63-74-1", "FDDDEECHVMSUSB-UHFFFAOYSA-N")
  CALL Species("nithiazide", "C_6H_8N_4O_3S", "", &
    "139-94-6", "FQSUTLQHSDLLAN-UHFFFAOYSA-N")
  CALL Species("2-methylbenzenesulfonamide", "C_7H_9NO_2S", "$o$-toluenesulfonamide", &
    "88-19-7", "YCMLQMDWSXFTIF-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenesulfonamide", "C_7H_9NO_2S", "$p$-toluenesulfonamide", &
    "70-55-3", "LMYRWZFENFIFIT-UHFFFAOYSA-N")
  CALL Species("ethidimuron", "C_7H_{12}N_4O_3S_2", "", &
    "30043-49-3", "KCOCSOWTADCKOL-UHFFFAOYSA-N")
  CALL Species("oxamyl", "C_7H_{13}N_3O_3S", "", &
    "23135-22-0", "KZAUOCCYDRDERY-UITAMQMPSA-N")
  CALL Species("aldicarb", "C_7H_{14}N_2O_2S", "", &
    "116-06-3", "QGLZXHRNAYXIBU-WEVVVXLNSA-N")
  CALL Species("aldicarb sulfone", "C_7H_{14}N_2O_4S", "", &
    "1646-88-4", "YRRKLBAKDXSTNC-UHFFFAOYSA-N")
  CALL Species("butocarboxim", "C_7H_{14}N_2O_2S", "", &
    "34681-10-2", "SFNPDDSJBGRXLW-UHFFFAOYSA-N")
  CALL Species("butoxycarboxim", "C_7H_{14}N_2O_4S", "", &
    "34681-23-7", "CTJBHIROCMPUKL-UHFFFAOYSA-N")
  CALL Species("saccharin", "C_7H_5NO_3S", "", &
    "81-07-2", "CVHZOJJKTDOEJC-UHFFFAOYSA-N")
  CALL Species("acibenzolar-S-methyl", "C_8H_6N_2OS_2", "", &
    "135158-54-2", "UELITFHSCLAHKR-UHFFFAOYSA-N")
  CALL Species("quinomethionate", "C_8H_6N_2OS_2", "", &
    "2439-01-2", "FBQQHUGEACOBDN-UHFFFAOYSA-N")
  CALL Species("nifurthiazole", "C_8H_6N_4O_4S", "", &
    "3570-75-0", "DUWYZHLZDVCZIO-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenesulfonyl isocyanate", "C_8H_7NO_3S", "", &
    "4083-64-1", "VLJQDHDVZJXNQL-UHFFFAOYSA-N")
  CALL Species("tinidazole", "C_8H_{13}N_3O_4S", "", &
    "19387-91-8", "HJLSLZFTEKNLFI-UHFFFAOYSA-N")
  CALL Species("metribuzin", "C_8H_{14}N_4OS", "", &
    "21087-64-9", "FOXFZRUHNHCZPX-UHFFFAOYSA-N")
  CALL Species("tricyclazole", "C_9H_7N_3S", "", &
    "41814-78-2", "DQJCHOQLCLEDLL-UHFFFAOYSA-N")
  CALL Species("thidiazuron", "C_9H_8N_4OS", "", &
    "51707-55-2", "HFCYZXMHUIHAQI-UHFFFAOYSA-N")
  CALL Species("sulfathiazole", "C_9H_9N_3O_2S_2", "", &
    "72-14-0", "JNMRHUJNCSQMMB-UHFFFAOYSA-N")
  CALL Species("sulfamethizole", "C_9H_{10}N_4O_2S_2", "", &
    "144-82-1", "VACCAVUAMIDAGB-UHFFFAOYSA-N")
  CALL Species("ethiozin", "C_9H_{16}N_4OS", "", &
    "64529-56-2", "ADZSGNDOZREKJK-UHFFFAOYSA-N")
  CALL Species("molinate", "C_9H_{17}NOS", "", &
    "2212-67-1", "DEDOPGXGGQYYMW-UHFFFAOYSA-N")
  CALL Species("S-ethyl dipropylthiocarbamate", "C_9H_{19}NOS", "eptam; EPTC", &
    "759-94-4", "GUVLYNGULCJVDO-UHFFFAOYSA-N")
  CALL Species("thiabendazole", "C_{10}H_7N_3S", "", &
    "148-79-8", "WJCNZQLZVWNLKY-UHFFFAOYSA-N")
  CALL Species("benzo[$b$]thiophene-4-ol, methylcarbamate", "C_{10}H_9NO_2S", "mobam", &
    "1079-33-0", "BOTUVXISJHKZKJ-UHFFFAOYSA-N")
  CALL Species("sulfamethoxazole", "C_{10}H_{11}N_3O_3S", "", &
    "723-46-6", "JLKIGFTWXXRPMT-UHFFFAOYSA-N")
  CALL Species("bentazone", "C_{10}H_{12}N_2O_3S", "", &
    "25057-89-0", "ZOMSMJKLGFBRBS-UHFFFAOYSA-N")
  CALL Species("buthidazole", "C_{10}H_{16}N_4O_2S", "", &
    "55511-98-3", "SWMGXKSQWDSBKV-UHFFFAOYSA-N")
  CALL Species("thiodicarb", "C_{10}H_{18}N_4O_4S_3", "", &
    "59669-26-0", "XDOTVMNBCQVZKG-UHFFFAOYSA-N")
  CALL Species("pebulate", "C_{10}H_{21}NOS", "", &
    "1114-71-2", "SGEJQUSYQTVSIU-UHFFFAOYSA-N")
  CALL Species("vernolate", "C_{10}H_{21}NOS", "", &
    "1929-77-7", "OKUGPJPKMAEJOE-UHFFFAOYSA-N")
  CALL Species("sulfisoxazole", "C_{11}H_{13}N_3O_3S", "", &
    "127-69-5", "NHUHCSRWZMLRLA-UHFFFAOYSA-N")
  CALL Species("ethiofencarb", "C_{11}H_{15}NO_2S", "", &
    "29973-13-5", "HEZNVIYQEUHLNI-UHFFFAOYSA-N")
  CALL Species("methiocarb", "C_{11}H_{15}NO_2S", "", &
    "2032-65-7", "YFBPRJGDJKVWAH-UHFFFAOYSA-N")
  CALL Species("cycloate", "C_{11}H_{21}NOS", "", &
    "1134-23-2", "DFCAFRGABIXSDS-UHFFFAOYSA-N")
  CALL Species("methoprotryn", "C_{11}H_{21}N_5OS", "", &
    "841-06-5", "DDUIUBPJPOKOMV-UHFFFAOYSA-N")
  CALL Species("butylate", "C_{11}H_{23}NOS", "", &
    "2008-41-5", "BMTAFVWTTFSTOG-UHFFFAOYSA-N")
  CALL Species("carboxin", "C_{12}H_{13}NO_2S", "", &
    "5234-68-4", "GYSSRZJIHXQEHQ-UHFFFAOYSA-N")
  CALL Species("oxycarboxin", "C_{12}H_{13}NO_4S", "", &
    "5259-88-1", "AMEKQAFGQBKLKX-UHFFFAOYSA-N")
  CALL Species("thifensulfuron-methyl", "C_{12}H_{13}N_5O_6S_2", "", &
    "79277-27-3", "AHTPATJNIAFOLR-UHFFFAOYSA-N")
  CALL Species("sulfamethazine", "C_{12}H_{14}N_4O_2S", "", &
    "57-68-1", "ASWVTGNCAZCNNR-UHFFFAOYSA-N")
  CALL Species("thiophanate-methyl", "C_{12}H_{14}N_4O_4S_2", "", &
    "23564-05-8", "QGHREAKMXXNCOA-UHFFFAOYSA-N")
  CALL Species("4,4'-oxydi(benzenesulphonohydrazide)", "C_{12}H_{14}N_4O_5S_2", "", &
    "80-51-3", "NBOCQTNZUPTTEI-UHFFFAOYSA-N")
  CALL Species("albendazole", "C_{12}H_{15}N_3O_2S", "", &
    "54965-21-8", "HXHWSAZORRCQMX-UHFFFAOYSA-N")
  CALL Species("oryzalin", "C_{12}H_{18}N_4O_6S", "", &
    "19044-88-3", "UNAHYJYOSSSJHH-UHFFFAOYSA-N")
  CALL Species("STK366145", "C_{12}H_{19}N_3O_3S", "N-(2-ethyl(3-methyl-4-nitrosophenyl)amino)ethyl)-methanesulfonamide", &
    "56046-62-9", "XWQURWIJAIIPQP-UHFFFAOYSA-N")
  CALL Species("isomethiozin", "C_{12}H_{20}N_4OS", "", &
    "57052-04-7", "MZTLOILRKLUURT-UHFFFAOYSA-N")
  CALL Species("isobornyl thiocyanoacetate", "C_{13}H_{19}NO_2S", "", &
    "115-31-1", "IXEVGHXRXDBAOB-RUETXSTFSA-N")
  CALL Species("nitralin", "C_{13}H_{19}N_3O_6S", "", &
    "4726-14-1", "UMKANAFDOQQUKE-UHFFFAOYSA-N")
  CALL Species("bupirimate", "C_{13}H_{24}N_4O_3S", "", &
    "41483-43-6", "DSKJPMWIHSOYEA-UHFFFAOYSA-N")
  CALL Species("timolol", "C_{13}H_{24}N_4O_3S", "", &
    "26839-75-8", "BLJRIMJGRPQVNF-JTQLQIEISA-N")
  CALL Species("dithianone", "C_{14}H_4N_2O_2S_2", "", &
    "3347-22-6", "PYZSVQVRHDXQSL-UHFFFAOYSA-N")
  CALL Species("N-(cyclohexylthio)phthalimide", "C_{14}H_{15}NO_2S", "", &
    "17796-82-6", "UEZWYKZHXASYJN-UHFFFAOYSA-N")
  CALL Species("metsulfuron-methyl", "C_{14}H_{15}N_5O_6S", "", &
    "74223-64-6", "RSMUVYRMZCOLBH-UHFFFAOYSA-N")
  CALL Species("rimsulfuron", "C_{14}H_{17}N_5O_7S_2", "", &
    "122931-48-0", "MEFOUWRMVYJCQC-UHFFFAOYSA-N")
  CALL Species("thiophanate", "C_{14}H_{18}N_4O_4S_2", "", &
    "23564-06-9", "YFNCATAIYKQPOO-UHFFFAOYSA-N")
  CALL Species("sumatriptan", "C_{14}H_{21}N_3O_2S", "", &
    "103628-46-2", "KQKPFRSPSRPDEB-UHFFFAOYSA-N")
  CALL Species("sulfometuron methyl", "C_{15}H_{16}N_4O_5S", "", &
    "74222-97-2", "ZDXMLEQEMNLCQG-UHFFFAOYSA-N")
  CALL Species("tribenuron-methyl", "C_{15}H_{17}N_5O_6S", "", &
    "101200-48-0", "VLCQZHSMCYCDJL-UHFFFAOYSA-N")
  CALL Species("propoxycarbazone", "C_{15}H_{18}N_4O_7S", "", &
    "145026-81-9", "JTHMVYBOQLDDIY-UHFFFAOYSA-N")
  CALL Species("valdecoxib", "C_{16}H_{14}N_2O_3S", "", &
    "181695-72-7", "LNPDTQAFDNKSHK-UHFFFAOYSA-N")
  CALL Species("topramezone", "C_{16}H_{17}N_3O_5S", "", &
    "210631-68-8", "BPPVUXSMLBXYGG-UHFFFAOYSA-N")
  CALL Species("sulfosulfuron", "C_{16}H_{18}N_6O_7S_2", "", &
    "141776-32-1", "RBSXHDIPCIWOMG-UHFFFAOYSA-N")
  CALL Species("orthosulfamuron", "C_{16}H_{20}N_6O_6S", "", &
    "213464-77-8", "UCDPMNSCCRBWIC-UHFFFAOYSA-N")
  CALL Species("buprofezin", "C_{16}H_{23}N_3OS", "", &
    "69327-76-0", "PRLVTUNWOQKEAI-UHFFFAOYSA-N")
  CALL Species("bensulfuron methyl", "C_{16}H_{18}N_4O_7S", "", &
    "83055-99-6", "XMQFTWRPUQYINF-UHFFFAOYSA-N")
  CALL Species("esomeprazole", "C_{17}H_{19}N_3O_3S", "", &
    "119141-88-7", "SUBDBMMJDZJVOS-UHFFFAOYSA-N")
  CALL Species("foramsulfuron", "C_{17}H_{20}N_6O_7S", "", &
    "173159-57-4", "PXDNXJSDGQBLKS-UHFFFAOYSA-N")
  CALL Species("sethoxydim", "C_{17}H_{29}NO_3S", "", &
    "74051-80-2", "NMHGOXYVOKDNHF-UHFFFAOYSA-N")
  CALL Species("mesosulfuron-methyl", "C_{17}H_{21}N_5O_9S_2", "", &
    "208465-21-8", "NIFKBBMCXCMCAO-UHFFFAOYSA-N")
  CALL Species("rosiglitazone", "C_{18}H_{19}N_3O_3S", "", &
    "122320-73-4", "YASAKCUCGLMORW-UHFFFAOYSA-N")
  CALL Species("rabeprazole", "C_{18}H_{21}N_3O_3S", "", &
    "117976-89-3", "YREYEVIYCVEVJK-UHFFFAOYSA-N")
  CALL Species("furathiocarb", "C_{18}H_{26}N_2O_5S", "", &
    "65907-30-4", "HAWJXYBZNNRMNO-UHFFFAOYSA-N")
  CALL Species("lincomycin", "C_{18}H_{34}N_2O_6S", "", &
    "154-21-2", "OJMMVQQUTAEWLP-UHFFFAOYSA-N")
  CALL Species("pioglitazone", "C_{19}H_{20}N_2O_3S", "", &
    "111025-46-8", "HYAFETHFCAUJAY-UHFFFAOYSA-N")
  CALL Species("tamsulosin", "C_{20}H_{28}N_2O_5S", "", &
    "106133-20-4", "DRHKJLXJIQTDTD-OAHLLOKOSA-N")
  CALL Species("sufentanil", "C_{22}H_{30}N_2O_2S", "", &
    "56030-54-7", "GGCSSNBKKAUURC-UHFFFAOYSA-N")
  CALL Species("sildenafil", "C_{22}H_{30}N_6O_4S", "", &
    "139755-83-2", "BNRNXUUZRGQAQC-UHFFFAOYSA-N")
  CALL Species("tirofiban", "C_{22}H_{36}N_2O_5S", "", &
    "144494-65-5", "COKMIXFXJJXBQG-NRFANRHFSA-N")
  CALL Species("vardenafil", "C_{23}H_{32}N_6O_4S", "", &
    "224785-90-4", "SECKRCOLJRRGGV-UHFFFAOYSA-N")
  CALL Species("taurocholic acid", "C_{26}H_{45}NO_7S", "", &
    "81-24-3", "WBWWGRHZICKQGZ-HZAMXZRMSA-N")
  CALL Species("dalfopristin", "C_{34}H_{50}N_4O_9S", "", &
    "112362-50-2", "SUYRLXYYZQTJHF-FUODUHIRSA-N")
  CALL Species("C.I. acid green 3", "C_{37}H_{37}N_2O_6S_2", "", &
    "4680-78-8", "SRRJCDUOSQWHGS-UHFFFAOYSA-O")
  CALL Species("tinopal", "C_{40}H_{40}N_{12}O_8S_2", "", &
    "24231-46-7", "YGUMVDWOQQJBGA-VAWYXSNFSA-N")
  CALL Species("quinupristin", "C_{53}H_{67}N_9O_{10}S", "", &
    "120138-50-3", "WTHRRGMBUAHGNI-UHFFFAOYSA-N")
  ! C, H, F, S:
  CALL Species("3,3,4,4,4-pentafluorobutane-1-thiol", "C_4H_5F_5S", "", &
    "68140-18-1", "WEILNYJKAUGBAU-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,6,6,6-nonafluoro-1-hexanethiol", "C_6H_5F_9S", "", &
    "68140-20-5", "GQJXVHYUQPXZOL-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5,7,7,8,8,9,9,10,10,10-pentadecafluoro-1-decanethiol", "C_{10}H_7F_{15}S", "", &
    "68140-21-6", "ROKKEEDUUQVHFZ-UHFFFAOYSA-N")
  CALL Species("3,3,4,4,5,5-hexafluoro-1-(3,3,4,4,5,5-hexafluorohexyldisulfanyl)hexane", "C_{12}H_{14}F_{12}S_2", "", &
    "118400-71-8", "CIZUOSOWGOENRE-UHFFFAOYSA-N")
  ! C, H, O, F, S:
  CALL Species("perfluorobutane sulfonic acid", "C_4HF_9O_3S", "PFBS", &
    "375-73-5", "JGTNAGYHADQMCM-UHFFFAOYSA-N")
  CALL Species("perfluorohexane sulfonic acid", "C_6HF_{13}O_3S", "PFHxS", &
    "355-46-4", "QZHDEAJFRJCDMF-UHFFFAOYSA-N")
  CALL Species("perfluorooctane sulfonic acid", "C_8HF_{17}O_3S", "PFOS", &
    "1763-23-1", "YFSUTJLHUFNCNZ-UHFFFAOYSA-N")
  CALL Species("heptadecafluorooctanesulphonyl fluoride", "C_8F_{18}O_2S", "perfluorooctylsulfonyl fluoride", &
    "307-35-7", "BHFJBHMTEDLICO-UHFFFAOYSA-N")
  CALL Species("fluticasone", "C_{22}H_{27}F_3O_4S", "", &
    "90566-53-3", "MGNNYOODZCAHBA-GQKYHHCASA-N")
  ! C, H, N, F, S:
  CALL Species("flubenzimine", "C_{17}H_{10}F_6N_4S", "", &
    "37893-02-0", "IZFZCMFMJKDHJZ-UHFFFAOYSA-N")
  ! C, H, O, N, F, S:
  CALL Species("thiazafluron", "C_6H_7F_3N_4OS", "", &
    "25366-23-8", "BBJPZPLAZVZTGR-UHFFFAOYSA-N")
  CALL Species("undecafluoro-N-methyl-1-pentanesulfonamide", "C_6H_4F_{11}NO_2S", "", &
    "68298-13-5", "BKKNDZBSSSAGIB-UHFFFAOYSA-N")
  CALL Species("1,1,2,2,3,3,4,4,4-nonafluoro-N-(2-hydroxyethyl)-N-methylbutane-1-sulfonamide", "C_7H_8F_9NO_3S", "", &
    "34454-97-2", "DSRUAYIFDCHEEV-UHFFFAOYSA-N")
  CALL Species("tridecafluoro-N-methyl-1-hexanesulfonamide", "C_7H_4F_{13}NO_2S", "", &
    "68259-15-4", "HPPDPHZGXWMRHN-UHFFFAOYSA-N")
  CALL Species("perfluorooctane sulfonamide", "C_8H_2F_{17}NO_2S", "PFOSA", &
    "754-91-6", "RRRXPPIDPYTNJG-UHFFFAOYSA-N")
  CALL Species("emtricitabine", "C_8H_{10}FN_3O_3S", "", &
    "143491-57-0", "XQSPYNMVSIKCOC-NTSWFWBYSA-N")
  CALL Species("N-ethyl-1,1,2,2,3,3,4,4,4-nonafluoro-N-(2-hydroxyethyl)butane-1-sulfonamide", "C_8H_{10}F_9NO_3S", "", &
    "34449-89-3", "ZSBOIPHQFKYRMG-UHFFFAOYSA-N")
  CALL Species("1,1,2,2,3,3,4,4,5,5,6,6,7,7,7-pentadecafluoro-N-methylheptane-1-sulphonamide", "C_8H_4NO_2F_{15}S", "", &
    "68259-14-3", "KDHCALLFPWZTPN-UHFFFAOYSA-N")
  CALL Species("1,1,2,2,3,3,4,4,5,5,5-undecafluoro-N-(2-hydroxyethyl)-N-methylpentane-1-sulphonamide", "C_8H_8NO_3F_{11}S", "", &
    "68555-74-8", "BRBCKWCOTRPYGH-UHFFFAOYSA-N")
  CALL Species("N-(3-(dimethylamino)propyl)-nonafluoro-1-butanesulfonamide", "C_9H_{13}F_9N_2O_2S", "", &
    "68555-77-1", "XMRMVBVJGSKMEN-UHFFFAOYSA-N")
  CALL Species("heptadecafluoro-N-methyloctanesulphonamide", "C_9H_4F_{17}NO_2S", "", &
    "31506-32-8", "SRMWNTGHXHOWBT-UHFFFAOYSA-N")
  CALL Species("N-ethyl-1,1,2,2,3,3,4,4,5,5,5-undecafluoro-N-(2-hydroxyethyl)-1-pentanesulfonamide", "C_9H_{10}NO_3F_{11}S", "", &
    "68555-72-6", "GBPAQIZWHVCENQ-UHFFFAOYSA-N")
  CALL Species("1,1,2,2,3,3,4,4,5,5,6,6,6-tridecafluoro-N-(2-hydroxyethyl)-N-methyl-1-hexanesulfonamide", &
    "C_9H_8NO_3F_{13}S", "", &
    "68555-75-9", "UYIBZOUSVFOPJK-UHFFFAOYSA-N")
  CALL Species("N-ethyl-1,1,2,2,3,3,4,4,5,5,6,6,6-tridecafluoro-N-(2-hydroxyethyl)hexane-1-sulfonamide", &
    "C_{10}H_{10}F_{13}NO_3S", "", &
    "34455-03-3", "SSGYCIQAXNQIBC-UHFFFAOYSA-N")
  CALL Species("2-{methyl[(nonafluorobutyl)sulfonyl]\+amino}ethyl acrylate", "C_{10}H_{10}F_9NO_4S", "", &
    "67584-55-8", "KEMCLRGAIUJRAN-UHFFFAOYSA-N")
  CALL Species("N-ethyl perfluorooctane sulfonamide", "C_{10}H_6F_{17}NO_2S", "EtFOSA", &
    "4151-50-2", "CCEKAJIANROZEO-UHFFFAOYSA-N")
  CALL Species("1,1,2,2,3,3,4,4,5,5,6,6,7,7,7-pentadecafluoro-N-(2-hydroxyethyl)-N-methylheptane-1-sulphonamide", &
    "C_{10}H_8NO_3F_{15}S", "", &
    "68555-76-0", "UIZUTEDYGNRNSW-UHFFFAOYSA-N")
  CALL Species("N-methyl perfluorooctane sulfonamidoethanol", "C_{11}H_8F_{17}NO_3S", "MeFOSE", &
    "24448-09-7", "PLGACQRCZCVKGK-UHFFFAOYSA-N")
  CALL Species("N-ethyl-1,1,2,2,3,3,4,4,5,5,6,6,7,7,7-pentadecafluoro-N-(2-hydroxyethyl)-1-heptanesulfonamide", &
    "C_{11}H_{10}NO_3F_{15}S", "", &
    "68555-73-7", "HINASMOVWHGCAK-UHFFFAOYSA-N")
  CALL Species("mefluidide", "C_{11}H_{13}F_3N_2O_3S", "", &
    "53780-34-0", "OKIBNKKYNPBDRS-UHFFFAOYSA-N")
  CALL Species("N-(3-(dimethylamino)propyl)-1,1,2,2,3,3,4,4,5,5,6,6,6-tridecafluoro-1-hexanesulfonamide", &
    "C_{11}H_{13}N_2O_2F_{13}S", "", &
    "50598-28-2", "INDOGKYZYLAGEM-UHFFFAOYSA-N")
  CALL Species("2-(methyl-(1,1,2,2,3,3,4,4,5,5,5-undecafluoropentylsulfonyl)amino)ethyl prop-2-enoate", &
    "C_{11}H_{10}F_{11}NO_4S", "", &
    "67584-56-9", "FZWFDJBZTLTRGH-UHFFFAOYSA-N")
  CALL Species("2-(methyl((nonafluorobutyl)sulphonyl)\+amino)ethyl methacrylate", "C_{11}H_{12}F_9NO_4S", "", &
    "67584-59-2", "BEIWUHUHJDEMQO-UHFFFAOYSA-N")
  CALL Species("N-(3-(dimethylamino)propyl)\+pentadecafluoro-1-heptanesulfonamide", "C_{12}H_{13}F_{15}N_2O_2S", "", &
    "67584-54-7", "RFJQYRXZGNILIY-UHFFFAOYSA-N")
  CALL Species("acrylic acid 2-[methyl[(tridecafluorohexyl)sulfonyl]\+amino]ethyl ester", "C_{12}H_{10}F_{13}NO_4S", "", &
    "67584-57-0", "HLKZFXXWGVPYAY-UHFFFAOYSA-N")
  CALL Species("N-ethyl perfluorooctane sulfonamidoethanol", "C_{12}H_{10}F_{17}NO_3S", "EtFOSE", &
    "1691-99-2", "HUFHNYZNTFSKCT-UHFFFAOYAI")
  CALL Species("florasulam", "C_{12}H_8F_3N_5O_3S", "", &
    "145701-23-1", "QZXATCCPQKOEIH-UHFFFAOYSA-N")
  CALL Species("2-(methyl((pentadecafluoroheptyl)\+sulphonyl)amino)ethyl acrylate", "C_{13}H_{10}F_{15}NO_4S", "", &
    "68084-62-8", "BEYGZFVOTUDDJK-UHFFFAOYSA-N")
  CALL Species("flazasulfuron", "C_{13}H_{12}F_3N_5O_5S", "", &
    "104040-78-0", "HWATZEJQIXKWQS-UHFFFAOYSA-N")
  CALL Species("N-methyl perfluorooctane sulfonamidoethylacrylate", "C_{14}H_{10}F_{17}NO_4S", "MeFOSEA", &
    "25268-77-3", "RTJZWOGSCLVJLD-UHFFFAOYSA-N")
  CALL Species("pyrasulfotole", "C_{14}H_{13}F_3N_2O_4S", "", &
    "365400-11-9", "CZRVDACSCJKRFL-UHFFFAOYSA-N")
  CALL Species("flufenacet", "C_{14}H_{13}F_4N_3O_2S", "", &
    "142459-58-3", "IANUJLZYFUDJIH-UHFFFAOYSA-N")
  CALL Species("N-butyl-1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,8-heptadecafluoro-N-(2-hydroxyethyl)-1-octanesulfonamide", &
    "C_{14}H_{14}F_{17}NO_3S", "", &
    "2263-09-4", "AQWROZBAYZBWIH-UHFFFAOYSA-N")
  CALL Species("ethyl N-ethyl-N-[(heptadecafluorooctyl)\+sulphonyl]glycinate", "C_{14}H_{12}NO_4F_{17}S", "", &
    "1869-77-8", "LMUUXHHNCDERBQ-UHFFFAOYSA-N")
  CALL Species("2-(((heptadecafluorooctyl)sulfonyl)\+methylamino)ethyl methacrylate", "C_{15}H_{12}F_{17}NO_4S", "", &
    "14650-24-9", "UZMOXNBUTMPDCX-UHFFFAOYSA-N")
  CALL Species("isoxaflutole", "C_{15}H_{12}F_3NO_4S", "", &
    "141112-29-0", "OYIKARCXOQLFHF-UHFFFAOYSA-N")
  CALL Species("primisulfuron-methyl", "C_{15}H_{12}F_4N_4O_7S", "", &
    "86209-51-0", "ZTYVMAQSHCZXLF-UHFFFAOYSA-N")
  CALL Species("penoxsulam", "C_{16}H_{14}F_5N_5O_5S", "", &
    "219714-96-2", "SYJGKVOENHZYMQ-UHFFFAOYSA-N")
  CALL Species("pantoprazole", "C_{16}H_{15}F_2N_3O_4S", "", &
    "102625-70-7", "IQPSEEYGBUAQFF-UHFFFAOYSA-N")
  CALL Species("2-(N-ethylperfluorooctanesulfamido)ethyl methacrylate", "C_{16}H_{14}F_{17}NO_4S", "", &
    "376-14-7", "DBCGADAHIXJHCE-UHFFFAOYSA-N")
  CALL Species("thiazopyr", "C_{16}H_{17}F_5N_2O_2S", "", &
    "117718-60-2", "YIJZJEYQBAAWRJ-UHFFFAOYSA-N")
  CALL Species("celecoxib", "C_{17}H_{14}F_3N_3O_2S", "", &
    "169590-42-5", "RZEKVGVHFLEQIL-UHFFFAOYSA-N")
  CALL Species("2-{butyl[(heptadecafluorooctyl)sulfonyl]\+amino}ethyl acrylate", "C_{17}H_{16}F_{17}NO_4S", "", &
    "383-07-3", "AQQNNAXBGPWALO-UHFFFAOYSA-N")
  CALL Species("thidiazimin", "C_{18}H_{17}N_4O_2FS", "", &
    "123249-43-4", "HZKBYBNLTLVSPX-JZJYNLBNSA-N")
  CALL Species("benthiavalicarb isopropyl", "C_{18}H_{24}FN_3O_3S", "", &
    "177406-68-7", "USRKFGIXLGKMKU-IAQYHMDHSA-N")
  CALL Species("rosuvastatin", "C_{22}H_{28}N_3O_6FS", "", &
    "287714-41-4", "BPRHUIZQVSMCRT-YXWZHEERSA-N")
  ! C, H, Cl, S:
  CALL Species("trichloromethanesulfenyl chloride", "CCl_4S", "", &
    "594-42-3", "RYFZYYUIAZYQLC-UHFFFAOYSA-N")
  CALL Species("1,1,2,2-tetrachloroethanesulfenyl chloride", "C_2HCl_5S", "", &
    "1185-09-7", "LCVOCDOSGJHZFH-UHFFFAOYSA-N")
  CALL Species("2-chloroethyl ethyl sulfide", "C_4H_9ClS", "", &
    "693-07-2", "GBNVXYXIRHSYEG-UHFFFAOYSA-N")
  CALL Species("2,2'-dichlorodiethylsulfide", "(ClCH_2CH_2)_2S", "mustard gas", &
    "69020-37-7", "QKSKPIVNLNLAAV-UHFFFAOYSA-N") ! other CAS: 39472-40-7, 505-60-2, 68157-62-0
  CALL Species("pentachlorobenzenethiol", "C_6HCl_5S", "", &
    "133-49-3", "LLMLGZUZTFMXSA-UHFFFAOYSA-N")
  CALL Species("tetrasul", "C_{12}H_6Cl_4S", "", &
    "2227-13-6", "QUWSDLYBOVGOCW-UHFFFAOYSA-N")
  ! C, H, O, Cl, S:
  CALL Species("methanesulfonyl chloride", "CH_3ClO_2S", "", &
    "124-63-0", "QARBMVPHQWIHKH-UHFFFAOYSA-N")
  CALL Species("bis(trichloromethyl)sulfone", "C_2Cl_6O_2S", "", &
    "3064-70-8", "YBNLWIZAWPBUKQ-UHFFFAOYSA-N")
  CALL Species("benzenesulfonyl chloride", "C_6H_5ClO_2S", "", &
    "98-09-9", "CSKNSYBAZOQPLR-UHFFFAOYSA-N")
  CALL Species("4-methylbenzenesulfonyl chloride", "C_7H_7ClO_2S", "", &
    "98-59-9", "YYROPELSRYBVMQ-UHFFFAOYSA-N")
  CALL Species("endosulfan", "C_9H_6Cl_6O_3S", "", &
    "115-29-7", "RDYMFSUJUZBWLH-UHFFFAOYSA-N")
  CALL Species("$\alpha$-endosulfan", "C_9H_6Cl_6O_3S", "endosulfan I", &
    "959-98-8", "RDYMFSUJUZBWLH-AMHWMVONSA-N")
  CALL Species("$\beta$-endosulfan", "C_9H_6Cl_6O_3S", "endosulfan II", &
    "33213-65-9", "RDYMFSUJUZBWLH-MDBBVBRHSA-N") ! other CAS: 891-86-1, 12640-59-4, 19670-15-6
  CALL Species("endosulfan sulfate", "C_9H_6Cl_6O_4S", "", &
    "1031-07-8", "AAPVQEMYVNZIOO-UHFFFAOYSA-N")
  CALL Species("mcpa-thioethyl", "C_{11}H_{13}ClO_2S", "", &
    "25319-90-8", "AZFKQCNGMSSWDS-UHFFFAOYSA-N")
  CALL Species("1,1'-sulfonylbis(4-chlorobenzene)", "C_{12}H_8Cl_2O_2S", "", &
    "80-07-9", "GPAPPPVRLPGFEQ-UHFFFAOYSA-N")
  CALL Species("1,2,4-trichloro-5-[(4-chlorophenyl)sulfonyl]benzene", "C_{12}H_6Cl_4O_2S", "tetradifon", &
    "116-29-0", "MLGCXEBRWGEOQX-UHFFFAOYSA-N")
  CALL Species("ovex", "C_{12}H_8Cl_2O_3S", "chlorfenson", &
    "80-33-1", "RZXLPPRPEOUENN-UHFFFAOYSA-N")
  CALL Species("sulphenone", "C_{12}H_9ClO_2S", "", &
    "80-00-2", "OFCFYWOKHPOXKF-UHFFFAOYSA-N")
  CALL Species("aramite", "C_{15}H_{23}ClO_4S", "", &
    "140-57-8", "YKFRAOGHWKADFJ-UHFFFAOYSA-N")
  CALL Species("6-chloro-2-(6-chloro-4-methyl-3-oxobenzo[$b$]thien-2(3H)-ylidene)-4-methylbenzo[$b$]thiophene-3(2H)-one", &
    "C_{18}H_{10}Cl_2O_2S_2", "", &
    "2379-74-0", "NDDLLTAIKYHPOD-ISLYRVAYSA-N")
  ! C, H, N, Cl, S:
  CALL Species("5-chloro-3-(trichloromethyl)-1,2,4-thiadiazole", "C_3Cl_4N_2S", "", &
    "5848-93-1", "MARKPJMFLDWCID-UHFFFAOYSA-N")
  CALL Species("2,4-dichloro-6-(methylthio)-1,3,5-triazine", "C_4H_3Cl_2N_3S", "", &
    "13705-05-0", "MWPZLWRHHPWTFS-UHFFFAOYSA-N")
  CALL Species("chlorthiamid", "C_7H_5Cl_2NS", "", &
    "1918-13-4", "KGKGSIUWJCAFPX-UHFFFAOYSA-N")
  CALL Species("(2-chlorophenyl)thiourea", "C_7H_7ClN_2S", "", &
    "5344-82-1", "YZUKKTCDYSIWKJ-UHFFFAOYSA-N")
  CALL Species("2-chloroallyl-N,N-diethyldithiocarbamate", "C_8H_{14}ClNS_2", "", &
    "95-06-7", "XJCLWVXTCRQIDI-UHFFFAOYSA-N")
  CALL Species("thiacloprid", "C_{10}H_9ClN_4S", "", &
    "111988-49-9", "HOKKPVIRMVDYPB-UHFFFAOYSA-N")
  CALL Species("chloromethiuron", "C_{10}H_{13}N_2ClS", "", &
    "28217-97-2", "IBZZDPVVVSNQOY-UHFFFAOYSA-N")
  ! C, H, O, N, Cl, S:
  CALL Species("etridiazole", "C_5H_5Cl_3N_2OS", "", &
    "2593-15-9", "KQTVWCSONPJJPE-UHFFFAOYSA-N")
  CALL Species("4-chloro-3-nitrobenzenesulfonamide", "C_6H_5ClN_2O_4S", "", &
    "97-09-6", "SPZGXONNVLTQDE-UHFFFAOYSA-N")
  CALL Species("clothianidin", "C_6H_8ClN_5O_2S", "", &
    "210880-92-5", "PGOOBECODWQEAB-UHFFFAOYSA-N")
  CALL Species("chlobenthiazone", "C_8H_6NOClS", "", &
    "63755-05-5", "QCPASDYEQAVIJF-UHFFFAOYSA-N")
  CALL Species("prothiocarb hydrochloride", "C_8H_{19}ClN_2OS", "", &
    "19622-19-6", "NMFAMPYSJHIYMR-UHFFFAOYSA-N")
  CALL Species("thicyofen", "C_8H_5N_2OClS_2", "", &
    "116170-30-0", "GNOOAFGERMHQJE-UHFFFAOYSA-N")
  CALL Species("thiamethoxam", "C_8H_{10}ClN_5O_3S", "", &
    "153719-23-4", "NWWZPOKUUAIXIW-DHZHZOJOSA-N")
  CALL Species("4-amino-3,5-dichloro-N-ethyl-2-methylbenzenesulfonamide", "C_9H_{12}Cl_2N_2O_2S", "", &
    "151574-12-8", "SBBHTEMLRJJIGK-UHFFFAOYSA-N")
  CALL Species("dichlofluanid", "C_9H_{11}Cl_2FN_2O_2S_2", "", &
    "1085-98-9", "WURGXGVFSMYFCG-UHFFFAOYSA-N")
  CALL Species("captan", "C_9H_8Cl_3NO_2S", "", &
    "133-06-2", "LDVVMCZRFWMZSG-UHFFFAOYSA-N")
  CALL Species("folpet", "C_9H_4Cl_3NO_2S", "", &
    "133-07-3", "HKIOYBQGHSTUDB-UHFFFAOYSA-N")
  CALL Species("captafol", "C_{10}H_9Cl_4NO_2S", "difolatan", &
    "2425-06-1", "JHRWWRDRBPCWTF-UHFFFAOYSA-N")
  CALL Species("diallate", "C_{10}H_{17}Cl_2NOS", "avadex", &
    "2303-16-4", "SPANOECCGNXGNR-UITAMQMPSA-N")
  CALL Species("triallate", "C_{10}H_{16}Cl_3NOS", "", &
    "2303-17-5", "MWBPRDONLNQCFV-UHFFFAOYSA-N")
  CALL Species("tolylfluanid", "C_{10}H_{13}Cl_2FN_2O_2S_2", "", &
    "731-27-1", "HYVWIQDYBVKITD-UHFFFAOYSA-N")
  CALL Species("S-(4-chlorobenzyl) diethylthiocarbamate", "C_{12}H_{16}ClNOS", "thiobencarb", &
    "28249-77-6", "QHTQREMOGMZHJV-UHFFFAOYSA-N")
  CALL Species("furosemide", "C_{12}H_{11}ClN_2O_5S", "", &
    "54-31-9", "ZZUFCTLCJUWOSV-UHFFFAOYSA-N")
  CALL Species("chlorsulfuron", "C_{12}H_{12}ClN_5O_4S", "", &
    "64902-72-3", "VJYIFXVZLXQVHO-UHFFFAOYSA-N")
  CALL Species("phosalone", "C_{12}H_{15}ClNO_4S_2", "", &
    "2310-17-0", "IOUNQDKNJZEDEP-UHFFFAOYSA-N")
  CALL Species("dimethenamid", "C_{12}H_{18}ClNO_2S", "", &
    "87674-68-8", "JLYFCTQDENRSOL-UHFFFAOYSA-N")
  CALL Species("dimethenamid-p", "C_{12}H_{18}ClNO_2S", "", &
    "163515-14-8", "JLYFCTQDENRSOL-VIFPVBQESA-N")
  CALL Species("cyazofamid", "C_{13}H_{13}ClN_4O_2S", "", &
    "120116-88-3", "YXKMMRDKEKCERS-UHFFFAOYSA-N")
  CALL Species("prothioconazole", "C_{14}H_{15}Cl_2N_3OS", "", &
    "178928-70-6", "MNHVNIJQQRJYDH-UHFFFAOYSA-N")
  CALL Species("chlorimuron-ethyl", "C_{15}H_{15}ClN_4O_6S", "", &
    "90982-32-4", "NSWAMPCUPHPTTC-UHFFFAOYSA-N")
  CALL Species("clopidogrel", "C_{16}H_{16}ClNO_2S", "", &
    "113665-84-2", "GKTWGGQPFAXNFI-HNNXBMFYSA-N")
  CALL Species("hexythiazox", "C_{17}H_{21}N_2O_2ClS", "", &
    "78587-05-0", "XGWIJUOSCAQSSV-XHDPSFHLSA-N")
  CALL Species("clethodim", "C_{17}H_{26}ClNO_3S", "", &
    "99129-21-2", "INNPZTGYZSAJFN-ZTVUPKSFSA-N")
  CALL Species("clindamycin", "C_{18}H_{33}N_2O_5ClS", "", &
    "18323-44-9", "KDLRVYVGXIQJDK-AWPVFWJPSA-N")
  CALL Species("vismodegib", "C_{19}H_{14}Cl_2N_2O_3S", "", &
    "879085-55-9", "BPQMGSKTAYIVFO-UHFFFAOYSA-N")
  CALL Species("pyridaben", "C_{19}H_{25}ClN_2OS", "", &
    "96489-71-3", "DWFZBUWUXWZWKD-UHFFFAOYSA-N")
  ! C, H, O, F, Cl, S:
  CALL Species("tembotrione", "C_{17}H_{16}ClF_3O_6S", "", &
    "335104-84-2", "IUQAXCIUEPFPSF-UHFFFAOYSA-N")
  ! C, H, O, N, F, Cl, S:
  CALL Species("fluothiuron", "C_{10}H_{10}Cl_2F_2N_2OS", "", &
    "33439-45-1", "YFEUKKUPOVGUIW-UHFFFAOYSA-N")
  CALL Species("sulfentrazone", "C_{11}H_{10}Cl_2F_2N_4O_3S", "", &
    "122836-35-5", "OORLZFUTLGXMEF-UHFFFAOYSA-N")
  CALL Species("flurazole", "C_{12}H_7NO_2ClF_3S", "", &
    "72850-64-7", "MKQSWTQPLLCSOB-UHFFFAOYSA-N")
  CALL Species("fipronil", "C_{12}H_4Cl_2F_6N_4OS", "", &
    "120068-37-3", "ZOCSXAVNDGMNBV-UHFFFAOYSA-N")
  CALL Species("fluthiacet-methyl", "C_{15}H_{15}ClFN_3O_3S_2", "", &
    "117337-19-6", "ZCNQYNHDVRPZIH-UHFFFAOYSA-N")
  CALL Species("vemurafenib", "C_{23}H_{18}ClF_2N_3O_3S", "", &
    "918504-65-1", "GPXBXXGIAQBQNI-UHFFFAOYSA-N")
  ! C, H, O, Br, S:
  CALL Species("tetrabromobisphenol S", "C_{12}H_6Br_4O_4S", "", &
    "39635-79-5", "JHJUYGMZIWDHMO-UHFFFAOYSA-N")
  CALL Species("1,3-dibromo-5-[3,5-dibromo-4-(2,3-dibromopropoxy)benzenesulfonyl]-2-(2,3-dibromopropoxy)benzene", &
    "C_{18}H_{14}Br_8O_4S", "", &
    "42757-55-1", "CWZVMVIHYSYLSI-UHFFFAOYSA-N")
  CALL Species("bromphenol blue", "C_{19}H_{10}Br_4O_5S", "", &
    "115-39-9", "UDSAIICHUKSCKT-UHFFFAOYSA-N")
  CALL Species("bromcresol green", "C_{21}H_{14}Br_4O_5S", "", &
    "76-60-8", "FRPHFZCDPYBUAU-UHFFFAOYSA-N")
  CALL Species("bromocresol purple", "C_{21}H_{16}Br_2O_5S", "", &
    "115-40-2", "ABIUHPWEYMSGSR-UHFFFAOYSA-N")
  CALL Species("difethialone", "C_{31}H_{23}BrO_2S", "", &
    "104653-34-1", "VSVAQRUUFVBBFS-UHFFFAOYSA-N")
  ! C, H, O, N, F, Br, S:
  CALL Species("amisulbrom", "C_{13}H_{13}BrFN_5O_4S_2", "", &
    "348635-87-0", "BREATYVWRHIPIY-UHFFFAOYSA-N")
  ! C, H, O, I, S:
  CALL Species("amical 48", "C_8H_8I_2O_2S", "diiodomethyl $p$-tolyl sulfone", &
    "20018-09-1", "XOILGBPDXMVFIP-UHFFFAOYSA-N")
  ! C, H, O, N, I, S:
  CALL Species("flubendiamide", "C_{23}H_{22}F_7IN_2O_4S", "", &
    "272451-65-7", "ZGNITFSDLCMLGI-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with phosphorus (\chem{P})")
  !***************************************************************************
  CALL SpeciesGroup(2,"Phosphorus (\chem{C}, \chem{H}, \chem{O}, \chem{N}, \chem{Cl}, \chem{Br}, \chem{S}, \chem{P})")
  ! C, H, P:
  CALL Species("9-icosyl-9-phosphabicyclo[4.2.1]nonane", "C_{28}H_{55}P", "", &
    "13886-99-2", "UNOOEFGBOLKBFW-UHFFFAOYSA-N")
  CALL Species("triphenylphosphine", "C_{18}H_{15}P", "", &
    "603-35-0", "RIOQSEWOXXDEQQ-UHFFFAOYSA-N")
  ! C, H, O, P:
  CALL Species("phosphoric acid, trimethyl ester", "C_3H_9O_4P", "trimethyl phosphate", &
    "512-56-1", "WVLBCYQITXONBZ-UHFFFAOYSA-N")
  CALL Species("trimethyl phosphite", "C_3H_9O_3P", "", &
    "121-45-9", "CYTQBVOFDCPGCX-UHFFFAOYSA-N")
  CALL Species("dimethyl methylphosphonate", "C_3H_9O_3P", "", &
    "756-79-6", "VONWDASPFIQPDY-UHFFFAOYSA-N")
  CALL Species("diethyl hydrogen phosphite", "C_4H_{11}O_3P", "", &
    "762-04-9", "MJUJXFBTEFXVKU-UHFFFAOYSA-N")
  CALL Species("triethylphosphate", "C_6H_{15}O_4P", "", &
    "78-40-0", "DQWPFSLDHJDLRL-UHFFFAOYSA-N")
  CALL Species("mevinphos", "C_7H_{13}O_6P", "", &
    "7786-34-7", "GEPDYQSQVLXLEU-AATRIKPKSA-N")
  CALL Species("diisopropyl methanephosphonate", "C_7H_{17}O_3P", "", &
    "1445-75-6", "WOAFDHWYKSOANX-UHFFFAOYSA-N")
  CALL Species("dibutyl hydrogen phosphite", "C_8H_{19}O_3P", "", &
    "1809-19-4", "NFJPGAKRJKLOJK-UHFFFAOYSA-N")
  CALL Species("dibutyl phosphate", "C_8H_{19}O_4P", "", &
    "107-66-4", "JYFHYPJRHGVZDY-UHFFFAOYSA-N")
  CALL Species("tetraethyl pyrophosphate", "C_8H_{20}O_7P_2", "", &
    "107-49-3", "IDCBOTIENDVCBQ-UHFFFAOYSA-N")
  CALL Species("tripropyl phosphate", "C_9H_{21}O_4P", "", &
    "513-08-6", "RXPQRKFMDQNODS-UHFFFAOYSA-N")
  CALL Species("triallyl phosphate", "C_9H_{15}O_4P", "", &
    "1623-19-4", "XHGIFBQQEGRTPB-UHFFFAOYSA-N")
  CALL Species("tributylphosphate", "C_{12}H_{27}O_4P", "", &
    "126-73-8", "STCOOQWBFONSKY-UHFFFAOYSA-N")
  CALL Species("hexaethyl tetraphosphate", "C_{12}H_{30}O_{13}P_4", "", &
    "757-58-4", "DAJYZXUXDOSMCG-UHFFFAOYSA-N")
  CALL Species("crotoxyphos", "C_{14}H_{19}O_6P", "", &
    "7700-17-6", "XXXSILNSXNPGKG-ZHACJKMWSA-N")
  CALL Species("phosphoric acid, dibutyl phenyl ester", "C_{14}H_{23}O_4P", "", &
    "2528-36-1", "YICSVBJRVMLQNS-UHFFFAOYSA-N")
  CALL Species("bis(2-ethylhexyl) hydrogen phosphite", "C_{16}H_{35}O_3P", "", &
    "3658-48-8", "HZIUHEQKVCPTAJ-UHFFFAOYSA-N")
  CALL Species("bis(2-ethylhexyl)hydrogen phosphate", "C_{16}H_{35}O_4P", "bis(2-ethylhexyl) phosphate", &
    "298-07-7", "SEGLCEQVOFDUPX-UHFFFAOYSA-N")
  CALL Species("triphenyl phosphate", "C_{18}H_{15}O_4P", "", &
    "115-86-6", "XZZNDPSIHUTMOC-UHFFFAOYSA-N")
  CALL Species("tris(2-butoxyethyl) phosphate", "C_{18}H_{39}O_7P", "", &
    "78-51-3", "WTLBZVNBAKMVDP-UHFFFAOYSA-N")
  CALL Species("$p$-cresyl diphenyl phosphate", "C_{19}H_{17}O_4P", "", &
    "78-31-9", "OJUZRFGUKHQNJX-UHFFFAOYSA-N")
  CALL Species("triphenylphosphine oxide", "C_{18}H_{15}OP", "", &
    "791-28-6", "FIQMHBFVRAXMOP-UHFFFAOYSA-N")
  CALL Species("phosphorous acid, triphenyl ester", "C_{18}H_{15}O_3P", "", &
    "101-02-0", "HVLLSGMXQDNUAL-UHFFFAOYSA-N")
  CALL Species("trihexylphosphine oxide", "C_{18}H_{39}OP", "", &
    "3084-48-8", "PPDZLUVUQQGIOJ-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, octyl diphenyl ester", "C_{20}H_{27}O_4P", "", &
    "115-88-8", "YAFOVCNAQTZDQB-UHFFFAOYSA-N")
  CALL Species("octyldihexylphosphine oxide", "C_{20}H_{43}OP", "", &
    "31160-64-2", "XHRRUIJGMKIISX-UHFFFAOYSA-N")
  CALL Species("tris(methylphenyl) phosphate", "C_{21}H_{21}O_4P", "tricresyl phosphate", &
    "1330-78-5", "IUJIYUAKFBGBCG-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, (1-methylethyl)phenyl diphenyl ester", "C_{21}H_{21}O_4P", "", &
    "28108-99-8", "JJXNVYMIYBNZQX-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, tris(2-methylphenyl) ester", "C_{21}H_{21}O_4P", "tri-$o$-cresyl phosphate", &
    "78-30-8", "YSMRWXYRXBRSND-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, tris(3-methylphenyl) ester", "C_{21}H_{21}O_4P", "tri-$m$-cresyl phosphate", &
    "563-04-2", "RMLPZKRPSQVRAB-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, tris(4-methylphenyl) ester", "C_{21}H_{21}O_4P", "tri-$p$-cresyl phosphate", &
    "78-32-0", "BOSMZFBHAYFUBJ-UHFFFAOYSA-N")
  CALL Species("(4-{\it tert}-butylphenyl) diphenyl phosphate", "C_{22}H_{23}O_4P", "", &
    "56803-37-3", "ULGAVXUJJBOWOD-UHFFFAOYSA-N")
  CALL Species("isodecyl diphenyl phosphate", "C_{22}H_{31}O_4P", "", &
    "29761-21-5", "RYUJRXVZSJCHDZ-UHFFFAOYSA-N")
  CALL Species("dioctylhexylphosphine oxide", "C_{22}H_{47}OP", "", &
    "31160-66-4", "MKEFGIKZZDCMQC-UHFFFAOYSA-N")
  CALL Species("tris(2,4-dimethylphenyl)phosphate", "C_{24}H_{27}O_4P", "", &
    "3862-12-2", "KOWVWXQNQNCRRS-UHFFFAOYSA-N")
  CALL Species("tris(2,5-dimethylphenyl)phosphate", "C_{24}H_{27}O_4P", "", &
    "19074-59-0", "MDHAARLWBHZGIP-UHFFFAOYSA-N")
  CALL Species("tris(2,6-dimethylphenyl)phosphate", "C_{24}H_{27}O_4P", "", &
    "121-06-2", "QLORRTLBSJTMSN-UHFFFAOYSA-N")
  CALL Species("tris(3,4-dimethylphenyl)phosphate", "C_{24}H_{27}O_4P", "", &
    "3862-11-1", "BCTKCHOESSAGCN-UHFFFAOYSA-N")
  CALL Species("tris(3,5-dimethylphenyl)phosphate", "C_{24}H_{27}O_4P", "", &
    "25653-16-1", "LLPMAOBOEQFPRE-UHFFFAOYSA-N")
  CALL Species("tris(4-isopropylphenyl) phosphate", "C_{27}H_{33}O_4P", "", &
    "26967-76-0", "ANVREEJNGJMLOV-UHFFFAOYSA-N")
  CALL Species("trioctylphosphine oxide", "C_{24}H_{51}OP", "", &
    "78-50-2", "ZMBHCYHQLYEYDV-UHFFFAOYSA-N")
  CALL Species("bis(2-ethylhexyl)-2-ethylhexyl phosphonate", "C_{24}H_{51}O_3P", "", &
    "126-63-6", "GOCVCBDBQYEFQD-UHFFFAOYSA-N")
  CALL Species("didodecyl hydrogen phosphate", "C_{24}H_{51}O_4P", "", &
    "7057-92-3", "JTXUVYOABGUBMX-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, tris(2-ethylhexyl) ester", "C_{24}H_{51}O_4P", "trioctyl phosphate", &
    "78-42-2", "GTVWRXDRKAHEAD-UHFFFAOYSA-N")
  CALL Species("diisodecylphenyl phosphite", "C_{26}H_{47}O_3P", "", &
    "25550-98-5", "SXXILWLQSQDLDL-UHFFFAOYSA-N")
  CALL Species("fyrolflex rdp", "C_{30}H_{24}O_8P_2", "", &
    "57583-54-7", "OWICEWMBIBPFAH-UHFFFAOYSA-N")
  CALL Species("tris(4-{\it tert}-butylphenyl) phosphate", "C_{30}H_{39}O_4P", "", &
    "78-33-1", "LORSVOJSXMHDHF-UHFFFAOYSA-N")
  CALL Species("tris-(2,4-di-{\it tert}-butylphenyl) phosphite", "C_{42}H_{63}O_3P", "", &
    "31570-04-4", "JKIJEFPNVSHHEI-UHFFFAOYSA-N")
  ! C, H, O, N, P:
  CALL Species("glyphosate", "C_3H_8NO_5P", "", &
    "1071-83-6", "XDDAORKBJWWYJS-UHFFFAOYSA-N")
  CALL Species("krenite", "C_3H_{11}N_2O_4P", "fosamine-ammonium", &
    "25954-13-6", "OTSAMNSACVKIOJ-UHFFFAOYSA-N")
  CALL Species("tabun", "C_5H_{11}N_2O_2P", "", &
    "77-81-6", "PJVJTCIRVMBVIA-UHFFFAOYSA-N")
  CALL Species("glufosinate-ammonium", "C_5H_{15}N_2O_4P", "", &
    "77182-82-2", "ZBMRKNMTMPPMMK-UHFFFAOYSA-N")
  CALL Species("monocrotophos", "C_7H_{14}NO_5P", "", &
    "6923-22-4", "KRTSDMXIXPKRQR-AATRIKPKSA-N")
  CALL Species("dicrotophos", "C_8H_{16}NO_5P", "", &
    "141-66-2", "VEENJGZXVHKXNB-VOTSOKGWSA-N")
  CALL Species("octamethyldiphosphoramide", "C_8H_{24}N_4O_3P_2", "schradan", &
    "152-16-9", "SZKKRCSOSQAJDE-UHFFFAOYSA-N")
  CALL Species("fyrol 6", "C_9H_{22}NO_5P", "diethyl ((diethanolamino)methyl) phosphonate", &
    "2781-11-5", "CCJKFLLIJCGHMO-UHFFFAOYSA-N")
  CALL Species("diethyl 4-nitrophenyl phosphate", "C_{10}H_{14}NO_6P", "paraoxon", &
    "311-45-5", "WYMSBXTXOHUIGT-UHFFFAOYSA-N")
  CALL Species("dimethyl 4-nitrophenyl phosphate", "C_8H_{10}NO_6P", "methyl paraoxon", &
    "950-35-6", "BAFQDKPJKOLXFZ-UHFFFAOYSA-N")
  CALL Species("buminafos", "C_{18}H_{38}NO_3P", "", &
    "51249-05-9", "NMBXMBCZBXUXAM-UHFFFAOYSA-N")
  ! C, H, O, F, P:
  CALL Species("methylphosphonyldifluoride", "CH_3F_2OP", "", &
    "676-99-3", "PQIOSYKVBBWRRI-UHFFFAOYSA-N")
  CALL Species("sarin", "C_4H_{10}FO_2P", "", &
    "107-44-8", "DYAHQFWOVKZOOW-UHFFFAOYSA-N")
  CALL Species("dimefox", "C_4H_{12}FN_2OP", "", &
    "115-26-4", "PGJBQBDNXAZHBP-UHFFFAOYSA-N")
  CALL Species("isoflurophate", "C_6H_{14}FO_3P", "diisopropyl fluorophosphate", &
    "55-91-4", "MUCZHBLJLSDCSD-UHFFFAOYSA-N")
  CALL Species("cyclohexyl methylphosphonofluoridate", "C_7H_{14}FO_2P", "cyclosarin", &
    "329-99-7", "SNTRKUOVAPUGAY-UHFFFAOYSA-N")
  CALL Species("soman", "C_7H_{16}FO_2P", "", &
    "96-64-0", "GRXKLBBBQUKJJZ-UHFFFAOYSA-N")
  ! C, H, O, N, F, P:
  CALL Species("mipafox", "C_6H_{16}FN_2OP", "", &
    "371-86-8", "UOSHUBFBCPGQAY-UHFFFAOYSA-N")
  ! C, H, Cl, P:
  CALL Species("phenylphosphonous dichloride", "C_6H_5Cl_2P", "", &
    "644-97-3", "IMDXZWRLUZPMDH-UHFFFAOYSA-N")
  CALL Species("chlorphonium chloride", "C_{19}H_{32}Cl_3P", "", &
    "115-78-6", "IVHVNMLJNASKHW-UHFFFAOYSA-M")
  ! C, H, O, Cl, P:
  CALL Species("triclofos", "C_2H_4Cl_3O_4P", "", &
    "306-52-5", "YYQRGCZGSFRBAM-UHFFFAOYSA-N")
  CALL Species("(2-chloroethyl)-phosphonic acid", "C_2H_6ClO_3P", "ethephon", &
    "16672-87-0", "UDPGUMQDCGORJQ-UHFFFAOYSA-N")
  CALL Species("1-hydroxy-2,2,2-trichloroethylphosphonic acid, dimethyl ester", "C_4H_8Cl_3O_4P", "trichlorfon", &
    "52-68-6", "NFACJZMKEDPNKN-UHFFFAOYSA-N")
  CALL Species("dimethyl-2,2-dichlorovinyl phosphate", "C_4H_7Cl_2O_4P", "dichlorvos", &
    "62-73-7", "OEBRKCOSUFCWJD-UHFFFAOYSA-N")
  CALL Species("tris(2-chloroethyl) phosphate", "C_6H_{12}Cl_3O_4P", "", &
    "115-96-8", "HQUQLFOMPYWACS-UHFFFAOYSA-N")
  CALL Species("cyclophosphamide", "C_7H_{15}Cl_2N_2O_2P", "", &
    "50-18-0", "CMSMOCZEIVJLDB-UHFFFAOYSA-N")
  CALL Species("ifosfamide", "C_7H_{15}Cl_2N_2O_2P", "", &
    "3778-73-2", "HOMGKSMUEGBAAB-UHFFFAOYSA-N")
  CALL Species("butonate", "C_8H_{14}Cl_3O_5P", "", &
    "126-22-7", "BKAQXYNWONVOAX-UHFFFAOYSA-N")
  CALL Species("phosphoric acid, 7-chlorobicyclo[3.2.0]hepta-2,6-dien-6-yl dimethyl ester", "C_9H_{12}ClO_4P", "heptenophos", &
    "23560-59-0", "GBAWQJNHVWMTLU-UHFFFAOYSA-N")
  CALL Species("tris(2,3-dichloropropyl) phosphate", "C_9H_{15}Cl_6O_4P", "", &
    "78-43-3", "JZZBTMVTLBHJHL-UHFFFAOYSA-N")
  CALL Species("tris(1,3-dichloroisopropyl)phosphate", "C_9H_{15}Cl_6O_4P", "", &
    "13674-87-8", "ASLWPAWFJZFCKF-UHFFFAOYSA-N")
  CALL Species("tris(2-chloropropyl) phosphate", "C_9H_{18}Cl_3O_4P", "", &
    "6145-73-9", "GTRSAMFYSUBAGN-UHFFFAOYSA-N")
  CALL Species("tri-(2-chloroisopropyl)phosphate", "C_9H_{18}Cl_3O_4P", "", &
    "13674-84-5", "KVMPUXDNESXNOH-UHFFFAOYSA-N")
  CALL Species("bis(2-chloropropyl) 2-chloro-1-methylethyl phosphate", "C_9H_{18}Cl_3O_4P", "", &
    "76649-15-5", "WDLBXPUJJVVRGX-UHFFFAOYSA-N")
  CALL Species("tetrachlorvinphos", "C_{10}H_9Cl_4O_4P", "", &
    "22248-79-9", "UBCKGWBNUIFUST-YHYXMXQVSA-N")
  CALL Species("chlorfenvinphos", "C_{12}H_{14}Cl_3O_4P", "clofenvinfos", &
    "470-90-6", "FSAVDKDHPDSCTO-XYOKQWHBSA-N")
  CALL Species("crufomate", "C_{12}H_{19}ClNO_3P", "ruelene", &
    "299-86-5", "BOFHKBLZOYVHSI-UHFFFAOYSA-N")
  CALL Species("phosdiphen", "C_{14}H_{11}O_4Cl_4P", "", &
    "36519-00-3", "HEMINMLPKZELPP-UHFFFAOYSA-N")
  ! C, H, O, N, Cl, P:
  CALL Species("phosphamidon", "C_{10}H_{19}ClNO_5P", "", &
    "13171-21-6", "RGCLLPNLLBQHPF-HJWRWDBZSA-N")
  ! C, H, Br, P:
  CALL Species("tris(2,3-dibromo-1-propyl) phosphate", "C_9H_{15}Br_6O_4P", "", &
    "126-72-7", "PQYJRMFWJJONBO-UHFFFAOYSA-N")
  ! C, H, Cl, Br, P:
  CALL Species("naled", "C_4H_7Br_2Cl_2O_4P", "", &
    "300-76-5", "BUYMVQAILCEWRR-UHFFFAOYSA-N")
  ! C, H, O, Cl, Br, P:
  CALL Species("2-bromo-1,1-dimethylethyl 2-bromoethyl 2-chloroethyl phosphate", "C_9H_{18}Br_2ClO_4P", "", &
    "125997-20-8", "GZSKSYDWLZIPOX-UHFFFAOYSA-N")
  CALL Species("leptophos", "C_{13}H_{10}O_3BrCl_2P", "", &
    "21609-90-5", "CVRALZAYCYJELZ-UHFFFAOYSA-N")
  ! C, H, S, P:
  CALL Species("tributyl phosphorotrithioite", "C_{12}H_{27}PS_3", "", &
    "150-50-5", "KLAPGAOQRZTCBI-UHFFFAOYSA-N")
  CALL Species("bis(2,6,6-trimethylbicyclo[3.1.1]hept-2-enyl) bis(2,6,6-trimethylbicyclo[3.1.1]hept-2-enyl)thiodiphosphonate", &
    "C_{40}H_{60}P_2S_5", "", &
    "68400-79-3", "ZZMOHCWFHCHISQ-UHFFFAOYSA-N")
  ! C, H, O, S, P:
  CALL Species("thiometon", "C_6H_{15}O_2PS_3", "", &
    "640-15-3", "OPASCBHCTNRLRM-UHFFFAOYSA-N")
  CALL Species("demeton-S-methyl sulfone", "C_6H_{15}O_5PS_2", "", &
    "17040-19-6", "PZIRJMYRYORVIT-UHFFFAOYSA-N")
  CALL Species("oxydemeton-methyl", "C_6H_{15}O_4PS_2", "", &
    "301-12-2", "PMCVMORKVPSKHZ-UHFFFAOYSA-N")
  CALL Species("demeton-S-methyl", "C_6H_{15}O_3PS_2", "", &
    "919-86-8", "WEBQKRLKWNIYKK-UHFFFAOYSA-N")
  CALL Species("methacrifos", "C_7H_{13}O_5PS", "", &
    "62610-77-9", "NTAHCMPOMKHKEU-AATRIKPKSA-N")
  CALL Species("phorate", "C_7H_{17}O_2PS_3", "", &
    "298-02-2", "BULVZWIRKLYCBC-UHFFFAOYSA-N")
  CALL Species("salithion", "C_8H_9O_3PS", "", &
    "3811-49-2", "OUNSASXJZHBGAI-UHFFFAOYSA-N")
  CALL Species("acetoxon", "C_8H_{17}O_5PS", "", &
    "2425-25-4", "ZRCQYAQOWIQUBA-UHFFFAOYSA-N")
  CALL Species("demeton-O", "C_8H_{19}O_3PS_2", "", &
    "298-03-3", "DGLIBALSRMUQDD-UHFFFAOYSA-N")
  CALL Species("demeton-S", "C_8H_{19}O_3PS_2", "isosystox", &
    "126-75-0", "GRPRVIYRYGLIJU-UHFFFAOYSA-N")
  ! demeton is a mixture of demeton-O and demeton-S, value not used here:
  !CALL Species("demeton", "C_8H_{19}O_3PS_2", "", &
  !  "298-03-3", "DGLIBALSRMUQDD-UHFFFAOYSA-N")
  CALL Species("sulfotep", "C_8H_{20}O_5P_2S_2", "", &
    "3689-24-5", "XIUROWKZWPIAIB-UHFFFAOYSA-N")
  CALL Species("tetrakis(hydroxymethyl) phosphonium sulfate", "C_8H_{24}O_{12}P_2S", "", &
    "55566-30-8", "YIEDHPBKGZGLIK-UHFFFAOYSA-L")
  CALL Species("ethoprophos", "C_8H_{19}O_2PS_2", "", &
    "13194-48-4", "VJYFKVYYMZPMAB-UHFFFAOYSA-N")
  CALL Species("disulfoton", "C_8H_{19}O_2PS_3", "", &
    "298-04-4", "DOFZAZXDOSGAJZ-UHFFFAOYSA-N")
  CALL Species("endothion", "C_9H_{13}O_6PS", "", &
    "2778-04-3", "YCAGGFXSFQFVQL-UHFFFAOYSA-N")
  CALL Species("terbufos", "C_9H_{21}O_2PS_3", "", &
    "13071-79-9", "XLNZEKHULJKQBA-UHFFFAOYSA-N")
  CALL Species("ethion", "C_9H_{22}O_4P_2S_4", "", &
    "563-12-2", "RIZMRRKBZQXFOY-UHFFFAOYSA-N")
  CALL Species("fonofos", "C_{10}H_{15}OPS_2", "", &
    "944-22-9", "KVGLBTYUCJYMND-UHFFFAOYSA-N")
  CALL Species("fenthion", "C_{10}H_{15}O_3PS_2", "", &
    "55-38-9", "PNVJTZOFSHSLTO-UHFFFAOYSA-N")
  CALL Species("malathion", "C_{10}H_{19}O_6PS_2", "", &
    "121-75-5", "JXSJBGJIGXNWCI-UHFFFAOYSA-N")
  CALL Species("malaoxon", "C_{10}H_{19}O_7PS", "", &
    "1634-78-2", "WSORODGWGUUOBO-UHFFFAOYSA-N")
  CALL Species("cadusafos", "C_{10}H_{23}O_2PS_2", "", &
    "95465-99-9", "KXRPCFINVWWFHQ-UHFFFAOYSA-N")
  CALL Species("fensulfothion", "C_{11}H_{17}O_4PS_2", "", &
    "115-90-2", "XDNBJTQLKCIJBV-UHFFFAOYSA-N")
  CALL Species("phenthoate", "C_{12}H_{17}O_4PS_2", "", &
    "2597-03-7", "XAMUDJHXFNRLCY-UHFFFAOYSA-N")
  CALL Species("sulprofos", "C_{12}H_{19}O_2PS_3", "", &
    "35400-43-2", "JXHJNEJVUNHLKO-UHFFFAOYSA-N")
  CALL Species("S,S,S-tributyl phosphorotrithioate", "C_{12}H_{27}OPS_3", "DEF", &
    "78-48-8", "ZOKXUAHZSKEQSS-UHFFFAOYSA-N")
  CALL Species("iprobenphos", "C_{13}H_{21}O_3PS", "", &
    "26087-47-8", "FCOAHACKGGIURQ-UHFFFAOYSA-N")
  CALL Species("propaphos", "C_{13}H_{21}O_4PS", "", &
    "7292-16-2", "PWYIUEFFPNVCMW-UHFFFAOYSA-N")
  CALL Species("edifenphos", "C_{14}H_{15}O_2PS_2", "", &
    "17109-49-8", "AWZOLILCOUMRDG-UHFFFAOYSA-N")
  CALL Species("systox", "C_{16}H_{38}O_6P_2S_4", "", &
    "8065-48-3", "FAXIJTUDSBIMHY-UHFFFAOYSA-N")
  CALL Species("temefos", "C_{16}H_{20}O_6P_2S_3", "", &
    "3383-96-8", "WWJZWCUNLNYYAU-UHFFFAOYSA-N")
  ! C, H, O, N, S, P:
  CALL Species("methamidophos", "C_2H_8NOPS_2", "", &
    "10265-92-6", "NNKVPIKMPCQWCG-UHFFFAOYSA-N")
  CALL Species("acephate", "C_4H_{10}NO_3PS", "", &
    "30560-19-1", "YASYVMFAVPKPKE-UHFFFAOYSA-N")
  CALL Species("dimethoate", "C_5H_{12}NO_3PS_2", "", &
    "60-51-5", "MCWXGJITAZMZEV-UHFFFAOYSA-N") ! other CAS: 56833-73-9, 79956-18-6
  CALL Species("omethoate", "C_5H_{12}NO_4PS", "", &
    "1113-02-6", "PZXOQEXFMJCDPG-UHFFFAOYSA-N")
  CALL Species("methidathion", "C_6H_{11}N_2O_4PS_3", "", &
    "950-37-8", "MEBQXILRKZHVCX-UHFFFAOYSA-N")
  CALL Species("fosthietan", "C_6H_{12}NO_3PS_2", "", &
    "21548-32-3", "RHJOIOVESMTJEK-UHFFFAOYSA-N")
  CALL Species("formothion", "C_6H_{12}NO_4PS_2", "", &
    "2540-82-1", "AIKKULXCBHRFOS-UHFFFAOYSA-N")
  CALL Species("menazon", "C_6H_{12}N_5O_2PS_2", "", &
    "78-57-9", "SUYHYHLFUHHVJQ-UHFFFAOYSA-N")
  CALL Species("ethoate-methyl", "C_6H_{14}NO_3PS_2", "", &
    "116-01-8", "DICRHEJCQXFJBY-UHFFFAOYSA-N")
  CALL Species("glyphosate-trimesium", "C_6H_{16}NO_5PS", "", &
    "81591-81-3", "RUCAXVJJQQJZGU-UHFFFAOYSA-M")
  CALL Species("methylparathion", "C_{8}H_{10}NO_5PS", "", &
    "298-00-0", "RLBIQVVOMOPOHC-UHFFFAOYSA-N")
  CALL Species("zinophos", "C_8H_{13}N_2O_3PS", "thionazin", &
    "297-97-2", "IRVDMKJLOCGUBJ-UHFFFAOYSA-N")
  CALL Species("vamidothion", "C_8H_{18}NO_4PS_2", "", &
    "2275-23-2", "LESVOLZBIFDZGS-UHFFFAOYSA-N")
  CALL Species("cyanophos", "C_9H_{10}NO_3PS", "", &
    "2636-26-2", "SCKHCCSZFPSHGR-UHFFFAOYSA-N")
  CALL Species("fenitrothion", "C_9H_{12}NO_5PS", "", &
    "122-14-5", "ZNOLGFHPUIJIMJ-UHFFFAOYSA-N")
  CALL Species("fosthiazate-1", "C_9H_{18}NO_3PS_2", "", &
    "98886-44-3", "DUFVKSUJRWYZQP-UHFFFAOYSA-N")
  CALL Species("prothoate", "C_9H_{20}NO_3PS_2", "trimethoate", &
    "2275-18-5", "QTXHFDHVLBDJIO-UHFFFAOYSA-N")
  CALL Species("azinphos-methyl", "C_{10}H_{12}N_3O_3PS_2", "", &
    "86-50-0", "CJJOSEISRRTUQB-UHFFFAOYSA-N")
  CALL Species("parathion", "C_{10}H_{14}NO_5PS", "E 605", &
    "56-38-2", "LCCNCVORNKJIRZ-UHFFFAOYSA-N")
  CALL Species("etrimfos", "C_{10}H_{17}N_2O_4PS", "", &
    "38260-54-7", "FGIWFCGDPUIBEZ-UHFFFAOYSA-N")
  CALL Species("propetamphos", "C_{10}H_{20}NO_4PS", "", &
    "31218-83-4", "BZNDWPRGXNILMS-VQHVLOKHSA-N")
  CALL Species("mecarbam", "C_{10}H_{20}NO_5PS_2", "", &
    "2595-54-2", "KLGMSAOQDHLCOS-UHFFFAOYSA-N")
  CALL Species("phosmet", "C_{11}H_{12}NO_4PS_2", "", &
    "732-11-6", "LMNZTLDVJIUSHT-UHFFFAOYSA-N")
  CALL Species("pirimiphos methyl", "C_{11}H_{20}N_3O_3PS", "", &
    "29232-93-7", "QHOQHJPRIBSPCY-UHFFFAOYSA-N")
  CALL Species("Agent VX", "C_{11}H_{26}NO_2PS", "", &
    "50782-69-9", "JJIUCEJQJXNMHV-UHFFFAOYSA-N")
  CALL Species("triazophos", "C_{12}H_{16}N_3O_3PS", "", &
    "24017-47-8", "AMFGTOFWMRQMEM-UHFFFAOYSA-N")
  CALL Species("azinphos-ethyl", "C_{12}H_{16}N_3O_3PS_2", "", &
    "2642-71-9", "RQVGAIADHNPSME-UHFFFAOYSA-N")
  CALL Species("diazinon", "C_{12}H_{21}N_2O_3PS", "dimpylate", &
    "333-41-5", "FHIVAFMUCKRCQO-UHFFFAOYSA-N")
  CALL Species("isoxathion", "C_{13}H_{16}NO_4PS", "", &
    "18854-01-8", "SDMSCIWHRZJSRN-UHFFFAOYSA-N")
  CALL Species("fenamiphos", "C_{13}H_{22}NO_3PS", "", &
    "22224-92-6", "ZCJPOPBZHLUFHF-UHFFFAOYSA-N")
  CALL Species("tebupirimfos", "C_{13}H_{23}N_2O_3PS", "", &
    "96182-53-5", "AWYOMXWDGWUJHS-UHFFFAOYSA-N")
  CALL Species("pirimiphos ethyl", "C_{13}H_{24}N_3O_3PS", "", &
    "23505-41-1", "TZBPRYIIJAJUOY-UHFFFAOYSA-N")
  CALL Species("bensulide", "C_{14}H_{24}NO_4PS_3", "", &
    "741-58-2", "RRNIZKPFKNDSRS-UHFFFAOYSA-N")
  CALL Species("ethyl $p$-nitrophenyl benzenethiophosphonate", "C_{14}H_{14}NO_4PS", "", &
    "2104-64-5", "AIGRXSNSLVJMEA-UHFFFAOYSA-N")
  CALL Species("isofenphos", "C_{15}H_{24}NO_4PS", "", &
    "25311-71-1", "HOQADATXFBOEGG-UHFFFAOYSA-N")
  ! C, H, O, Cl, S, P:
  CALL Species("chlormephos", "C_5H_{12}ClO_2PS_2", "", &
    "24934-91-6", "QGTYWWGEWOBMAK-UHFFFAOYSA-N")
  CALL Species("chlorethoxyfos", "C_6H_{11}Cl_4O_3PS", "", &
    "54593-83-8", "XFDJMIHUAHSGKG-UHFFFAOYSA-N")
  CALL Species("ronnel", "C_8H_8O_3Cl_3PS", "", &
    "299-84-3", "JHJOOSLFWRRSGU-UHFFFAOYSA-N")
  CALL Species("tolclofos-methyl", "C_9H_{11}Cl_2O_3PS", "", &
    "57018-04-9", "OBZIQQJJIKNWNO-UHFFFAOYSA-N")
  CALL Species("methyl trithion", "C_9H_{12}ClO_2PS_3", "", &
    "953-17-3", "OUCCVXVYGFBXSV-UHFFFAOYSA-N")
  CALL Species("trichloronate", "C_{10}H_{12}Cl_3O_2PS", "", &
    "327-98-0", "ANIAQSUBRGXWLS-UHFFFAOYSA-N")
  CALL Species("dichlofenthion", "C_{10}H_{13}Cl_2O_3PS", "", &
    "97-17-6", "WGOWCPGHOCIHBW-UHFFFAOYSA-N")
  CALL Species("chlorthiophos", "C_{11}H_{15}Cl_2O_3PS_2", "", &
    "21923-23-9", "JAZJVWLGNLCNDD-UHFFFAOYSA-N")
  CALL Species("carbophenothion", "C_{11}H_{16}ClO_2PS_3", "", &
    "786-19-6", "VEDTXTNSFWUXGQ-UHFFFAOYSA-N")
  CALL Species("coumaphos", "C_{14}H_{16}ClO_5PS", "", &
    "56-72-4", "BXNANOICGRISHX-UHFFFAOYSA-N")
  ! C, H, O, N, Cl, S, P:
  CALL Species("methylchlorpyrifos", "C_7H_7NO_3Cl_3PS", "", &
    "5598-13-0", "HRBKVYFZANMGRE-UHFFFAOYSA-N")
  CALL Species("dicapthon", "C_8H_9NO_5ClPS", "", &
    "2463-84-5", "OTKXWJHPGBRXCR-UHFFFAOYSA-N")
  CALL Species("chlorthion", "C_8H_9ClNO_5PS", "", &
    "500-28-7", "NZNRRXXETLSZRO-UHFFFAOYSA-N")
  CALL Species("isazophos", "C_9H_{17}ClN_3O_3PS", "", &
    "42509-80-8", "XRHGWAGWAHHFLF-UHFFFAOYSA-N") ! other CAS: 65357-77-9
  CALL Species("chlorpyrifos", "C_9H_{11}Cl_3NO_3PS", "", &
    "2921-88-2", "SBPBAQFWLVIOKP-UHFFFAOYSA-N")
  CALL Species("chlorphoxim", "C_{12}H_{14}ClN_2O_3PS", "", &
    "14816-20-7", "GQKRUMZWUHSLJF-NTCAYCPXSA-N")
  CALL Species("phosazetim", "C_{14}H_{11}Cl_2N_2O_4PS", "", &
    "4104-14-7", "XIBXUAZIZXDFTG-UHFFFAOYSA-N")
  CALL Species("dialifor", "C_{14}H_{17}ClNO_4PS_2", "", &
    "10311-84-9", "MUMQYXACQUZOFP-UHFFFAOYSA-N")
  ! C, H, O, Cl, Br, S, P:
  CALL Species("bromophos", "C_8H_8BrCl_2O_3PS", "", &
    "2104-96-3", "NYQDCVLCJXRDSK-UHFFFAOYSA-N")
  CALL Species("bromophos-ethyl", "C_{10}H_{12}BrCl_2O_3PS", "", &
    "4824-78-6", "KWGUFOITWDSNQY-UHFFFAOYSA-N")
  CALL Species("profenofos", "C_{11}H_{15}BrClO_3PS", "", &
    "41198-08-7", "QYMMJNLHFKGANY-UHFFFAOYSA-N")
  ! C, H, O, Cl, I, S, P:
  CALL Species("iodofenphos", "C_8H_8Cl_2IO_3PS", "", &
    "18181-70-9", "LFVLUOAHQIVABZ-UHFFFAOYSA-N")
  !***************************************************************************
  CALL SpeciesGroup(1,"Organic species with other elements")
  !***************************************************************************
  CALL SpeciesGroup(2,"Sodium (\chem{Na})") ! 11
  CALL Species("sesone", "C_8H_7Cl_2NaO_5S", "2,4-dichlorophenoxyethyl sulfate", &
    "136-78-7", "KISFEBPWFCGRGN-UHFFFAOYSA-M")
  CALL Species("D\&C black 1", "C_{22}H_{14}N_6Na_2O_9S_2", "amido black 10B", &
    "1064-48-8", "HKBVRFLHNUEVRO-DWTBGCDMSA-L")
  CALL Species("D\&C green 5", "C_{28}H_{20}N_2Na_2O_8S_2", "", &
    "4403-90-1", "FPAYXBWMYIMERV-UHFFFAOYSA-L")
  CALL Species("FD\&C green 2", "C_{37}H_{34}N_2Na_2O_9S3", "", &
    "5141-20-8", "DGOBMKYRQHEFGQ-UHFFFAOYSA-L")
  CALL Species("dioctyl sulfosuccinatesodium salt", "C_{20}H_{37}NaO_7S", "bis(2-ethylhexyl) sodium sulfosuccinate", &
    "577-11-7", "APSBXTVYXVQYAB-UHFFFAOYSA-M")
  CALL Species("D\&C yellow 10", "C_{20}H_{17}NO_8Na_2S_2", "", &
    "8004-92-0", "NYMFWSWVZMTZQO-UHFFFAOYSA-L")
  CALL Species("D\&C yellow 8", "C_{20}H_{10}Na_2O_5", "fluorescein sodium", &
    "518-47-8", "NJDNXYGOVLYJHP-UHFFFAOYSA-L")
  CALL Species("dodecylbenzenesulfonic acid sodium salt", "C_{18}H_{29}NaO_3S", "sodium dodecylbenzenesulfonate", &
    "25155-30-0", "BWUAQXVVJWAXHR-UHFFFAOYSA-M")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Aluminum (\chem{Al})") ! 13
  CALL Species("fosetyl-aluminum", "C_6H_{18}AlO_9P_3", "", &
    "39148-24-8", "ZKZMJOFIHHZSRW-UHFFFAOYSA-K")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Silicon (\chem{Si})") ! 14
  ! H, Si:
  CALL Species("tetramethylsilane", "C_4H_{12}Si", "", &
    "75-76-3", "CZDYPVPMEAXLPK-UHFFFAOYSA-N")
  CALL Species("tetraethylsilane", "C_8H_{20}Si", "", &
    "631-36-7", "VCZQFJFZMMALHB-UHFFFAOYSA-N")
  ! O, Si:
  CALL Species("trimethylsilanol", "(CH_3)_3SiOH", "TMS", &
    "1066-40-6", "AAPLIUHOKVUFCC-UHFFFAOYSA-N")
  CALL Species("silicic acid", "Si(OH)_4", "", &
    "10193-36-9", "RMAQACBXLXPBSY-UHFFFAOYSA-N")
  CALL Species("dimethylsilanediol", "C_2H_8O_2Si", "", &
    "1066-42-8", "XCLIHDJZGPCUBT-UHFFFAOYSA-N")
  CALL Species("tetramethyl silicate", "C_4H_{12}O_4Si", "", &
    "681-84-5", "LFQCEHFDDXELDD-UHFFFAOYSA-N")
  CALL Species("pentamethyldisiloxanol", "C_5H_{16}O_2Si_2", "", &
    "56428-93-4", "FGOLZCPMTWJPOU-UHFFFAOYSA-N")
  CALL Species("tetraethyl silicate", "C_8H_{20}O_4Si", "", &
    "78-10-4", "BOTDANWDWHJENH-UHFFFAOYSA-N")
  CALL Species("trimethoxysilylpropyl methacrylate", "C_{10}H_{20}O_5Si", "", &
    "2530-85-0", "XDLMVUHYZWKMMD-UHFFFAOYSA-N")
  CALL Species("hexamethyldisiloxane", "C_6H_{18}OSi_2", "L2", &
    "107-46-0", "UQEAIHBTYFGYIE-UHFFFAOYSA-N")
  CALL Species("octamethyltrisiloxane", "C_8H_{24}O_2Si_3", "L3", &
    "107-51-7", "CXQXSVUQTKDNFP-UHFFFAOYSA-N")
  CALL Species("decamethyltetrasiloxane", "C_{10}H_{30}O_3Si_4", "L4", &
    "141-62-8", "YFCGDEUVHLPRCZ-UHFFFAOYSA-N")
  CALL Species("dodecamethylpentasiloxane", "C_{12}H_{36}O_4Si_5", "L5", &
    "141-63-9", "FBZANXDWQAVSTQ-UHFFFAOYSA-N")
  CALL Species("tetradecamethylhexasiloxane", "C_{14}H_{42}O_5Si_6", "L6", &
    "107-52-8", "ADANNTOYRVPQLJ-UHFFFAOYSA-N")
  CALL Species("hexadecamethylheptasiloxane", "C_{16}H_{48}O_6Si_7", "L7", &
    "541-01-5", "NFVSFLUJRHRSJG-UHFFFAOYSA-N")
  CALL Species("octadecamethyloctasiloxane", "C_{18}H_{54}O_7Si_8", "L8", &
    "556-69-4", "VWGDPBQTSZDFMX-UHFFFAOYSA-N")
  CALL Species("hexamethylcyclotrisiloxane", "C_6H_{18}O_3Si_3", "D3", &
    "541-05-9", "HTDJPCNNEPUOOQ-UHFFFAOYSA-N")
  CALL Species("octamethylcyclotetrasiloxane", "C_8H_{24}O_4Si_4", "D4", &
    "556-67-2", "HMMGMWAXVFQUOA-UHFFFAOYSA-N")
  CALL Species("decamethylcyclopentasiloxane", "C_{10}H_{30}O_5Si_5", "D5", &
    "541-02-6", "XMSXQFUHVRWGNA-UHFFFAOYSA-N")
  CALL Species("dodecamethylcyclohexasiloxane", "C_{12}H_{36}O_6Si_6", "D6", &
    "540-97-6", "IUMSDRXLFWAGNT-UHFFFAOYSA-N")
  CALL Species("tetramethyldisiloxane-1,3-diol", "C_4H_{14}O_3Si_2", "", &
    "1118-15-6", "PFEAZKFNWPIFCV-UHFFFAOYSA-N")
  CALL Species("hexamethyltrisiloxane-1,5-diol", "C_6H_{20}O_4Si_3", "", &
    "3663-50-1", "XYBQTTAROZGWOZ-UHFFFAOYSA-N")
  CALL Species("octamethyltetrasiloxane-1,7-diol", "C_8H_{26}O_5Si_4", "", &
    "3081-07-0", "VERNMKKMBJGSQB-UHFFFAOYSA-N")
  CALL Species("pentamethylcyclotrisiloxanol",   "C_5H_{16}O_4Si_3", "", &
    "106916-50-1", "OGNYSZJXUXVWRE-UHFFFAOYSA-N")
  CALL Species("heptamethylcyclotetrasiloxanol", "C_7H_{22}O_5Si_4", "", &
    "5290-02-8", "inchikey")
  CALL Species("nonamethylcyclopentasiloxanol",  "C_9H_{28}O_6Si_5", "", &
    "5290-04-0", "inchikey")
  ! N, Si:
  CALL Species("hexamethyldisilazane", "C_6H_{19}NSi_2", "", &
    "999-97-3", "FFUAGWLWBBFQJT-UHFFFAOYSA-N")
  ! Cl, Si:
  CALL Species("dichloromethylsilane", "CH_4Cl_2Si", "methyldichlorosilane", &
    "75-54-7", "NWKBSEBOBPHMKL-UHFFFAOYSA-N")
  ! O, Cl, Si:
  CALL Species("etacelasil",                "C_{11}H_{25}O_6ClSi", "", &
    "37894-46-5", "SLZWEMYSYKOWCG-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Zinc (\chem{Zn})") ! 30
  CALL Species("zineb", "C_4H_6N_2S_4Zn", "", &
    "12122-67-7", "AMHNZOICSMBGDH-UHFFFAOYSA-L")
  CALL Species("ziram", "C_6H_{12}N_2S_4Zn", "", &
    "137-30-4", "DUBNHZYBDBBJHD-UHFFFAOYSA-L")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Arsenic (\chem{Sn})") ! 33
  CALL Species("diethyl arsine", "C_4H_{11}As", "", &
    "692-42-2", "JZCIYTSNUPIOMK-UHFFFAOYSA-N")
  CALL Species("lewisite", "C_2H_2AsCl_3", "", &
    "541-25-3", "GIKLTQKNOXNBNY-OWOJBTEDSA-N")
  CALL Species("phenyldichloroarsine", "C_6H_5AsCl_2", "", &
    "696-28-6", "UDHDFEGCOJAVRE-UHFFFAOYSA-N")
  CALL Species("adamsite", "C_{12}H_9AsClN", "", &
    "578-94-9", "PBNSPNYJYOYWTA-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Selenium (\chem{Se})") ! 34
  CALL Species("2-amino-4-(methylselenyl)butyric acid", "C_5H_{11}NO_2Se", "selenium methionine", &
    "1464-42-2", "RJFAYQIBOAGBLC-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Tin (\chem{Sn})") ! 50
  CALL Species("tetramethylstannane", "C_4H_{12}Sn", "tetramethyltin", &
    "594-27-4", "VXKWYPOMXBVZSJ-UHFFFAOYSA-N")
  CALL Species("tetraethylstannane", "C_8H_{20}Sn", "tetraethyltin", &
    "597-64-8", "RWWNQEOPUOCKGR-UHFFFAOYSA-N")
  CALL Species("tetrabutylstannane", "C_{16}H_{36}Sn", "tetra-butyl tin", &
    "1461-25-2", "AFCAKJKUYFLYFK-UHFFFAOYSA-N")
  CALL Species("hexabutyldistannoxane", "C_{24}H_{54}OSn_2", "bis(tributyltin)oxide", &
    "56-35-9", "APQHKWPGGHMYKJ-UHFFFAOYSA-N")
  CALL Species("hexakis(2-methyl-2-phenylpropyl)distannoxane", "C_{60}H_{78}OSn_2", "fenbutatin oxide", &
    "13356-08-6", "HOXINJBQVZWYGZ-UHFFFAOYSA-N")
  CALL Species("1-(tricyclohexylstannyl)1H-1,2,4-triazole", "C_{20}H_{35}N_3Sn", "azocyclotin", &
    "41083-11-8", "ONHBDDJJTDTLIR-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Mercury (\chem{Hg})") ! 80
  ! C, H, Hg:
  CALL Species("dimethylmercury", "C_2H_6Hg", "", &
    "593-74-8", "ATZBPOVXVPIOMR-UHFFFAOYSA-N")
  CALL Species("diethylmercury", "C_4H_{10}Hg", "", &
    "627-44-1", "SPIUPAOJDZNUJH-UHFFFAOYSA-N")
  CALL Species("dipropylmercury", "C_6H_{14}Hg", "", &
    "628-85-3", "UZTYYBPPVOXULF-UHFFFAOYSA-N")
  CALL Species("diisopropylmercury", "C_6H_{14}Hg", "", &
    "1071-39-2", "UVUGOJQWNVFTRT-UHFFFAOYSA-N")
  CALL Species("dibutylmercury", "C_8H_{18}Hg", "", &
    "629-35-6", "CCYKQVBIPYDCKS-UHFFFAOYSA-N")
  CALL Species("diphenylmercury", "C_{12}H_{10}Hg", "", &
    "587-85-9", "HWMTUNCVVYPZHZ-UHFFFAOYSA-N")
  ! C, H, O, Hg:
  CALL Species("hydroxymethylmercury", "CH_3HgOH", "", &
    "1184-57-2", "KRZWEBVPFGCYMY-UHFFFAOYSA-M")
  CALL Species("phenyl mercuric ethanoate", "C_8H_8HgO_2", "", &
    "62-38-4", "XEBWQGVWTUSTLN-UHFFFAOYSA-M")
  ! C, H, N, Hg:
  CALL Species("(3-cyanoguanidino)methylmercury", "C_3H_6N_4Hg", "methylmercuric dicyanamide", &
    "502-39-6", "JVJUWCMBRUMDDQ-UHFFFAOYSA-N")
  ! C, H, Cl, Hg:
  CALL Species("chloromethylmercury", "CH_3HgCl", "", &
    "115-09-3", "BABMCXWQNSQAOC-UHFFFAOYSA-M")
  CALL Species("chloroethylmercury", "C_2H_5HgCl", "", &
    "107-27-7", "QWUGXIXRFGEYBD-UHFFFAOYSA-M")
  CALL Species("chloropropylmercury", "C_3H_7HgCl", "", &
    "2440-40-6", "ZLAYJSKLDWSALK-UHFFFAOYSA-M")
  CALL Species("chloroisopropylmercury", "C_3H_7HgCl", "", &
    "30615-19-1", "YOKZNQICWABELX-UHFFFAOYSA-M")
  CALL Species("chlorobutylmercury", "C_4H_9HgCl", "", &
    "543-63-5", "OKPMTXZRMGMMOO-UHFFFAOYSA-M")
  CALL Species("chloropentylmercury", "C_5H_{11}HgCl", "", &
    "544-15-0", "UHFZINPMKCNPQL-UHFFFAOYSA-M")
  CALL Species("chlorophenylmercury", "C_6H_5HgCl", "", &
    "100-56-1", "AWGTVRDHKJQFAX-UHFFFAOYSA-M")
  ! C, H, O, Cl, Hg:
  CALL Species("2-methoxyethylmercury chloride", "CH_3OC_2H_4HgCl", "aretan", &
    "123-88-6", "VJTAZCKMHINUKO-UHFFFAOYSA-M")
  ! C, H, Br, Hg:
  CALL Species("bromomethylmercury", "CH_3HgBr", "", &
    "506-83-2", "ZDHHIJSLJCLMPX-UHFFFAOYSA-M")
  CALL Species("bromoethylmercury", "C_2H_5HgBr", "", &
    "107-26-6", "UREACWLAXSOUKG-UHFFFAOYSA-M")
  CALL Species("bromophenylmercury", "C_6H_5HgBr", "", &
    "1192-89-8", "PUPHNPSAIJQNEE-UHFFFAOYSA-M")
  ! C, H, I, Hg:
  CALL Species("iodomethylmercury", "CH_3HgI", "", &
    "143-36-2", "JVDIOYBHEYUIBM-UHFFFAOYSA-M")
  CALL Species("iodoethylmercury", "C_2H_5HgI", "", &
    "2440-42-8", "BYIGJUQTUPMNMF-UHFFFAOYSA-M")
  CALL Species("iodophenylmercury", "C_6H_5HgI", "", &
    "823-04-1", "BISBXZWWFIOZSX-UHFFFAOYSA-M")
  !---------------------------------------------------------------------------
  CALL SpeciesGroup(2,"Lead (\chem{Pb})") ! 82
  CALL Species("tetramethyl lead", "C_4H_{12}Pb", "", &
    "75-74-1", "XOOGZRUBTYCLHG-UHFFFAOYSA-N")
  CALL Species("ethyltrimethylplumbane", "C_5H_{14}Pb", "", &
    "1762-26-1", "KHQJREYATBQBHY-UHFFFAOYSA-N")
  CALL Species("diethyldimethylplumbane", "C_6H_{16}Pb", "diethyldimethyl lead", &
    "1762-27-2", "OLOAJSHVLXNSQV-UHFFFAOYSA-N")
  CALL Species("triethylmethylplumbane", "C_7H_{18}Pb", "methyltriethyl lead", &
    "1762-28-3", "KGFRUGHBHNUHOS-UHFFFAOYSA-N")
  CALL Species("tetraethyllead", "C_8H_{20}Pb", "", &
    "78-00-2", "MRMOZBOQVYRSEM-UHFFFAOYSA-N")
  !---------------------------------------------------------------------------

  ! Typesetting of names:
  ! see also: http://www.acdlabs.com/iupac/nomenclature/93/r93_74.htm
  ! - cis, trans, sec, and tert are written in italics with \it.
  ! - o, m, and p (only in trivial name) are in math mode: $o$-, $m$-, $p$-
  ! - ($Z$) and ($E$) in round parentheses
  ! - ($R$) and ($S$) in round parentheses
  ! - enantiomers $D$ and $L$
  ! - element names are uppercase and upright, e.g.: N-methylaniline
  ! CALL Species("iupacname", "formula", "trivialname", &
  !   "casrn", "inchikey")
  ! CALL Species("iupacname", "formula", "triv1; triv2", &
  !   "casrn", "inchikey")

  ! CALL Species("", "", "", &
  !   "", "")

  ! check which dummy CAS have already been used:
  ! gr _cas henry.f90 | sort

  !---------------------------------------------------------------------------

  CALL Finalize

  !-----------------------------------------------------------------------------

END PROGRAM Henry

!*****************************************************************************
!                                  end of file
!*****************************************************************************
